from typing import List, Union
from ._utils import clean_null_terms, deep_merge, details_error


class DetailsMixin:
    def set_audio_details(
        self,
        audio_player_button_color: str = None,
        audio_player_button_icon_color: str = None,
        audio_player_button_size: float = None,
        audio_player_button_roundness: float = None,
        audio_player_progress_color: str = None,
        audio_player_progress_bg_color: str = None,
        audio_player_progress_height: float = None,
        audio_player_progress_width: float = None,
        audio_player_width: float = None,
        audio_player_margin_top_bottom: float = None,
        audio_player_show_text_styling: bool = None,
        audio_player_title_size: float = None,
        audio_player_title_color: str = None,
        audio_player_title_weight: str = None,
        audio_player_subtitle_size: float = None,
        audio_player_subtitle_color: str = None,
        audio_player_subtitle_weight: str = None,
        audio_player_time_size: float = None,
        audio_player_time_color: str = None,
        audio_player_time_weight: str = None,
        audio_player_link_color: str = None,
        chart_filter_controls_control_type: str = None,
        chart_filter_controls_control_styles: bool = None,
        chart_filter_controls_control_title: str = None,
        chart_filter_controls_button_group: bool = None,
        chart_filter_controls_button_group_width_mode: str = None,
        chart_filter_controls_button_group_width_fixed: float = None,
        chart_filter_controls_dropdown_width_mode: str = None,
        chart_filter_controls_dropdown_width_fixed: float = None,
        chart_filter_controls_slider_width: float = None,
        chart_filter_controls_slider_max_label_width: float = None,
        chart_filter_controls_slider_step_time: float = None,
        chart_filter_controls_slider_loop: bool = None,
        chart_filter_controls_slider_restart_pause: float = None,
        chart_filter_controls_sort: bool = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: audio.


        :param audio_player_button_color: Background. Flourish type hint: color, defaults to None.
        :type audio_player_button_color: str, optional
        :param audio_player_button_icon_color: Icons. Flourish type hint: color, defaults to None.
        :type audio_player_button_icon_color: str, optional
        :param audio_player_button_size: Size. In rems, a multiple of base font size. Flourish type hint: number, defaults to None.
        :type audio_player_button_size: float, optional
        :param audio_player_button_roundness: Roundness. Flourish type hint: number, defaults to None.
        :type audio_player_button_roundness: float, optional
        :param audio_player_progress_color: Color. Flourish type hint: color, defaults to None.
        :type audio_player_progress_color: str, optional
        :param audio_player_progress_bg_color: Background. Flourish type hint: color, defaults to None.
        :type audio_player_progress_bg_color: str, optional
        :param audio_player_progress_height: Height. In rems, a multiple of base font size. Flourish type hint: number, defaults to None.
        :type audio_player_progress_height: float, optional
        :param audio_player_progress_width: Width (%). Flourish type hint: number, defaults to None.
        :type audio_player_progress_width: float, optional
        :param audio_player_width: Width. In rems, a multiple of base font size. Leave blank to fill the available space. Flourish type hint: number, defaults to None.
        :type audio_player_width: float, optional
        :param audio_player_margin_top_bottom: Space. Spacing above and below the player. In rems, a multiple of base font size. Flourish type hint: number, defaults to None.
        :type audio_player_margin_top_bottom: float, optional
        :param audio_player_show_text_styling: Show text styles. Flourish type hint: boolean, defaults to None.
        :type audio_player_show_text_styling: bool, optional
        :param audio_player_title_size: Size. Flourish type hint: number, defaults to None.
        :type audio_player_title_size: float, optional
        :param audio_player_title_color: Color. Flourish type hint: color, defaults to None.
        :type audio_player_title_color: str, optional
        :param audio_player_title_weight: Weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type audio_player_title_weight: str, optional
        :param audio_player_subtitle_size: Size. Flourish type hint: number, defaults to None.
        :type audio_player_subtitle_size: float, optional
        :param audio_player_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type audio_player_subtitle_color: str, optional
        :param audio_player_subtitle_weight: Weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type audio_player_subtitle_weight: str, optional
        :param audio_player_time_size: Size. Flourish type hint: number, defaults to None.
        :type audio_player_time_size: float, optional
        :param audio_player_time_color: Color. Flourish type hint: color, defaults to None.
        :type audio_player_time_color: str, optional
        :param audio_player_time_weight: Weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type audio_player_time_weight: str, optional
        :param audio_player_link_color: Color. Where links are present (added by wrapping text in &lt;a&gt; tags in the datasheet) this setting changes their text color. Flourish type hint: color, defaults to None.
        :type audio_player_link_color: str, optional
        :param chart_filter_controls_control_type: Control type. Choices: dropdown, buttons. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_type: str, optional
        :param chart_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_control_styles: bool, optional
        :param chart_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_title: str, optional
        :param chart_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_button_group: bool, optional
        :param chart_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_button_group_width_mode: str, optional
        :param chart_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_button_group_width_fixed: float, optional
        :param chart_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_dropdown_width_mode: str, optional
        :param chart_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_dropdown_width_fixed: float, optional
        :param chart_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_width: float, optional
        :param chart_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_max_label_width: float, optional
        :param chart_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_step_time: float, optional
        :param chart_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_slider_loop: bool, optional
        :param chart_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_restart_pause: float, optional
        :param chart_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_sort: bool, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Dropdown border styles. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "audio_player": {},
                "filter_control": {},
                "controls_style": {},
                "dropdown_style": {},
                "button_style": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        self.state["state"]["audio_player"]["button_color"] = audio_player_button_color
        self.state["state"]["audio_player"][
            "button_icon_color"
        ] = audio_player_button_icon_color
        self.state["state"]["audio_player"]["button_size"] = audio_player_button_size
        self.state["state"]["audio_player"][
            "button_roundness"
        ] = audio_player_button_roundness
        self.state["state"]["audio_player"][
            "progress_color"
        ] = audio_player_progress_color
        self.state["state"]["audio_player"][
            "progress_bg_color"
        ] = audio_player_progress_bg_color
        self.state["state"]["audio_player"][
            "progress_height"
        ] = audio_player_progress_height
        self.state["state"]["audio_player"][
            "progress_width"
        ] = audio_player_progress_width
        self.state["state"]["audio_player"]["width"] = audio_player_width
        self.state["state"]["audio_player"][
            "margin_top_bottom"
        ] = audio_player_margin_top_bottom
        self.state["state"]["audio_player"][
            "show_text_styling"
        ] = audio_player_show_text_styling
        self.state["state"]["audio_player"]["title_size"] = audio_player_title_size
        self.state["state"]["audio_player"]["title_color"] = audio_player_title_color

        list_audio_player_title_weight = ["normal", "bold"] + [None]
        if audio_player_title_weight not in list_audio_player_title_weight:
            raise ValueError(
                f"`audio_player_title_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            audio_player_title_weight in list_audio_player_title_weight
            and audio_player_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if audio_player_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["audio_player"]["title_weight"] = filtered_dict[
                    audio_player_title_weight
                ]
        self.state["state"]["audio_player"][
            "subtitle_size"
        ] = audio_player_subtitle_size
        self.state["state"]["audio_player"][
            "subtitle_color"
        ] = audio_player_subtitle_color

        list_audio_player_subtitle_weight = ["normal", "bold"] + [None]
        if audio_player_subtitle_weight not in list_audio_player_subtitle_weight:
            raise ValueError(
                f"`audio_player_subtitle_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            audio_player_subtitle_weight in list_audio_player_subtitle_weight
            and audio_player_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if audio_player_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["audio_player"]["subtitle_weight"] = filtered_dict[
                    audio_player_subtitle_weight
                ]
        self.state["state"]["audio_player"]["time_size"] = audio_player_time_size
        self.state["state"]["audio_player"]["time_color"] = audio_player_time_color

        list_audio_player_time_weight = ["normal", "bold"] + [None]
        if audio_player_time_weight not in list_audio_player_time_weight:
            raise ValueError(
                f"`audio_player_time_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            audio_player_time_weight in list_audio_player_time_weight
            and audio_player_time_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if audio_player_time_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["audio_player"]["time_weight"] = filtered_dict[
                    audio_player_time_weight
                ]
        self.state["state"]["audio_player"]["link_color"] = audio_player_link_color

        list_chart_filter_controls_control_type = ["dropdown", "buttons"] + [None]
        if (
            chart_filter_controls_control_type
            not in list_chart_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_filter_controls_control_type` must be one of: ['dropdown', 'buttons']"
            )
        elif (
            chart_filter_controls_control_type
            in list_chart_filter_controls_control_type
            and chart_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"dropdown": "dropdown", "buttons": "buttons"}.items()
                if chart_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["control_type"] = filtered_dict[
                    chart_filter_controls_control_type
                ]
        self.state["state"]["filter_control"][
            "control_styles"
        ] = chart_filter_controls_control_styles
        self.state["state"]["filter_control"][
            "control_title"
        ] = chart_filter_controls_control_title

        list_chart_filter_controls_button_group = [True, False] + [None]
        if (
            chart_filter_controls_button_group
            not in list_chart_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_button_group
            in list_chart_filter_controls_button_group
            and chart_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["button_group"] = filtered_dict[
                    chart_filter_controls_button_group
                ]

        list_chart_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_filter_controls_button_group_width_mode
            not in list_chart_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_button_group_width_mode
            in list_chart_filter_controls_button_group_width_mode
            and chart_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_filter_controls_button_group_width_mode]
        self.state["state"]["filter_control"][
            "button_group_width_fixed"
        ] = chart_filter_controls_button_group_width_fixed

        list_chart_filter_controls_dropdown_width_mode = ["auto", "full", "fixed"] + [
            None
        ]
        if (
            chart_filter_controls_dropdown_width_mode
            not in list_chart_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_dropdown_width_mode
            in list_chart_filter_controls_dropdown_width_mode
            and chart_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"][
                    "dropdown_width_mode"
                ] = filtered_dict[chart_filter_controls_dropdown_width_mode]
        self.state["state"]["filter_control"][
            "dropdown_width_fixed"
        ] = chart_filter_controls_dropdown_width_fixed
        self.state["state"]["filter_control"][
            "slider_width"
        ] = chart_filter_controls_slider_width
        self.state["state"]["filter_control"][
            "slider_max_label_width"
        ] = chart_filter_controls_slider_max_label_width
        self.state["state"]["filter_control"][
            "slider_step_time"
        ] = chart_filter_controls_slider_step_time
        self.state["state"]["filter_control"][
            "slider_loop"
        ] = chart_filter_controls_slider_loop
        self.state["state"]["filter_control"][
            "slider_restart_pause"
        ] = chart_filter_controls_slider_restart_pause

        list_chart_filter_controls_sort = [True, False] + [None]
        if chart_filter_controls_sort not in list_chart_filter_controls_sort:
            raise ValueError(
                f"`chart_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_sort in list_chart_filter_controls_sort
            and chart_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["sort"] = filtered_dict[
                    chart_filter_controls_sort
                ]
        self.state["state"]["controls_style"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_style"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["controls_style"]["height"] = chart_controls_style_height
        self.state["state"]["dropdown_style"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["dropdown_style"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["dropdown_style"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown_style"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["dropdown_style"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["dropdown_style"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["dropdown_style"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["dropdown_style"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius
        self.state["state"]["button_style"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["button_style"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["button_style"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["button_style"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["button_style"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["button_style"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["button_style"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["button_style"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["button_style"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["button_style"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["button_style"][
            "border_radius"
        ] = chart_button_control_style_border_radius
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_bar_chart_race_details(
        self,
        column_chart: bool = None,
        number_of_bars: float = None,
        bar_margin: float = None,
        sort_enabled: bool = None,
        sort_ascending: bool = None,
        bars_advanced: bool = None,
        height_mode: str = None,
        bar_height: float = None,
        bar_min_value: float = None,
        bar_empty_spaces: bool = None,
        color_mode: str = None,
        color_single: str = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        color_single_overrides: Union[list, str] = None,
        bar_opacity: float = None,
        label_max_size: float = None,
        label_mode: str = None,
        label_color_in: str = None,
        label_axis_width: float = None,
        show_value: bool = None,
        label_color_out: str = None,
        padding_right: float = None,
        image_height: float = None,
        image_width: float = None,
        image_margin_right: float = None,
        image_scale: str = None,
        image_circle: bool = None,
        counter: bool = None,
        counter_font_size: float = None,
        counter_color: str = None,
        counter_line_height: float = None,
        totaliser: bool = None,
        totaliser_font_size: float = None,
        totaliser_color: str = None,
        totaliser_label: str = None,
        caption_background_color: str = None,
        caption_border_color: str = None,
        caption_opacity: float = None,
        caption_padding: float = None,
        caption_text_align: str = None,
        caption_position: str = None,
        caption_font_size: float = None,
        caption_text_color: str = None,
        caption_mode: str = None,
        caption_image_width: float = None,
        caption_image_position: str = None,
        caption_space_between: float = None,
        sort_control: bool = None,
        sort_descending_text: str = None,
        sort_ascending_text: str = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        chart_categorical_legend_show_legend: bool = None,
        chart_categorical_legend_title_mode: str = None,
        chart_categorical_legend_title: str = None,
        chart_categorical_legend_swatch_width: float = None,
        chart_categorical_legend_swatch_height: float = None,
        chart_categorical_legend_swatch_radius: float = None,
        chart_categorical_legend_legend_items_padding: float = None,
        chart_categorical_legend_swatch_outline: bool = None,
        chart_categorical_legend_swatch_outline_color: str = None,
        chart_categorical_legend_order_override: Union[list, str] = None,
        chart_categorical_legend_icon_height: float = None,
        chart_categorical_legend_icon_color: str = None,
        chart_categorical_legend_max_width: float = None,
        chart_categorical_legend_orientation: str = None,
        text_legend: str = None,
        text_legend_title: bool = None,
        text_legend_subtitle: bool = None,
        text_legend_caption: bool = None,
        text_legend_bold: bool = None,
        axis_text_color: str = None,
        axis_font_size: float = None,
        axis_color: str = None,
        axis_gridline_dash: float = None,
        scale_type: str = None,
        scale_min: float = None,
        scale_max: float = None,
        annotations_enabled: bool = None,
        annotations_content: Union[list, str] = None,
        annotations_text_color: str = None,
        annotations_text_size: float = None,
        annotations_text_weight: str = None,
        annotations_line_color: str = None,
        annotations_line_opacity: float = None,
        annotations_line_width: float = None,
        annotations_line_dash: float = None,
        annotations_align: str = None,
        annotations_offset: str = None,
        chart_timeline_controls_enabled: bool = None,
        chart_timeline_controls_style: str = None,
        chart_timeline_controls_graph: bool = None,
        chart_timeline_controls_play_on_load: bool = None,
        chart_timeline_controls_loop: bool = None,
        chart_timeline_controls_duration: float = None,
        chart_timeline_controls_duration_tween: float = None,
        chart_timeline_controls_duration_wait_at_end: float = None,
        chart_timeline_controls_axes_custom_enabled: bool = None,
        chart_timeline_controls_color_axes: str = None,
        chart_timeline_controls_axis_font_size: float = None,
        chart_timeline_controls_date_format_display: str = None,
        chart_timeline_controls_axis_nice_x: bool = None,
        chart_timeline_controls_axis_nice_y: bool = None,
        chart_timeline_controls_scrubber_snap: bool = None,
        chart_timeline_controls_scrubber_snap_paused: bool = None,
        chart_timeline_controls_layout_settings: bool = None,
        chart_timeline_controls_margin_top: float = None,
        chart_timeline_controls_margin_left: float = None,
        chart_timeline_controls_margin_bottom: float = None,
        chart_timeline_controls_margin_right: float = None,
        chart_timeline_controls_playback_button_margin_right: float = None,
        chart_timeline_controls_scrubber_height: float = None,
        chart_timeline_controls_playback_button_margin_right_button: float = None,
        chart_timeline_controls_graph_settings: bool = None,
        chart_timeline_controls_color_background: str = None,
        chart_timeline_controls_graph_height: float = None,
        chart_timeline_controls_curve: bool = None,
        chart_timeline_controls_playback_styling: bool = None,
        chart_timeline_controls_playback_button_button_color: str = None,
        chart_timeline_controls_playback_button_button_size: float = None,
        chart_timeline_controls_playback_button_icon_color: str = None,
        chart_timeline_controls_playback_button_icon_size: float = None,
        chart_timeline_controls_playback_button_label_size: float = None,
        animation_duration: float = None,
        chart_number_date_format_prefix: str = None,
        chart_number_date_format_suffix: str = None,
        chart_number_date_format_n_dec: float = None,
        chart_number_date_format_advanced: bool = None,
        chart_number_date_format_negative_sign: str = None,
        chart_number_date_format_strip_zeros: bool = None,
        chart_number_date_format_strip_separator: bool = None,
        chart_number_date_format_transform_labels: bool = None,
        chart_number_date_format_transform: str = None,
        chart_number_date_format_multiply_divide_constant: float = None,
        chart_number_date_format_exponentiate_constant: float = None,
        blank_cells: str = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: bar chart race.


        :param column_chart: Chart style. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type column_chart: bool, optional
        :param number_of_bars: No. bars. Flourish type hint: number, defaults to None.
        :type number_of_bars: float, optional
        :param bar_margin: Spacing (Percentage). Spacing as a percentage of bar width. For example at "50" the bar height will equal bar spacing. Flourish type hint: number, defaults to None.
        :type bar_margin: float, optional
        :param sort_enabled: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type sort_enabled: bool, optional
        :param sort_ascending: Sort mode. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type sort_ascending: bool, optional
        :param bars_advanced: Show advanced. Flourish type hint: boolean, defaults to None.
        :type bars_advanced: bool, optional
        :param height_mode: Bar height. Choices: fill_space, specified. Flourish type hint: string, defaults to None.
        :type height_mode: str, optional
        :param bar_height: Height. Height of the bar; expressed as a multiple of the base font size to make it responsive. Flourish type hint: number, defaults to None.
        :type bar_height: float, optional
        :param bar_min_value: Hide bars below value. This will hide all bars that have a value below the number specified in this setting. Flourish type hint: number, defaults to None.
        :type bar_min_value: float, optional
        :param bar_empty_spaces: When not enough bars. Choices: True, False. If enabled, the chart and bars will remain the same size as more bars enter the race. Flourish type hint: boolean, defaults to None.
        :type bar_empty_spaces: bool, optional
        :param color_mode: Color mode. Choices: category, bar, single. Whether to color by category (if you have a category column set in the datasheet), by each individual bar, or give every bar the same color. Flourish type hint: string, defaults to None.
        :type color_mode: str, optional
        :param color_single: Single color. Flourish type hint: color, defaults to None.
        :type color_single: str, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Color overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param color_single_overrides: Color overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type color_single_overrides: Union[list, str], optional
        :param bar_opacity: Bar opacity. Flourish type hint: number, defaults to None.
        :type bar_opacity: float, optional
        :param label_max_size: Max size. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type label_max_size: float, optional
        :param label_mode: Labels mode. Choices: bars, axis. Flourish type hint: string, defaults to None.
        :type label_mode: str, optional
        :param label_color_in: Color. Flourish type hint: color, defaults to None.
        :type label_color_in: str, optional
        :param label_axis_width: Space. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type label_axis_width: float, optional
        :param show_value: Show values. Flourish type hint: boolean, defaults to None.
        :type show_value: bool, optional
        :param label_color_out: Color. Flourish type hint: color, defaults to None.
        :type label_color_out: str, optional
        :param padding_right: Space. Flourish type hint: number, defaults to None.
        :type padding_right: float, optional
        :param image_height: Height. As a percentage of bar height. Flourish type hint: number, defaults to None.
        :type image_height: float, optional
        :param image_width: Width. As a percentage of bar height. Flourish type hint: number, defaults to None.
        :type image_width: float, optional
        :param image_margin_right: Margin right. As a percentage of bar height. Use a negative value to get images to show to the right of the barFlourish type hint: number, defaults to None.
        :type image_margin_right: float, optional
        :param image_scale: Image sizing. Choices: fill, fit, stretch. Flourish type hint: string, defaults to None.
        :type image_scale: str, optional
        :param image_circle: Shape. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type image_circle: bool, optional
        :param counter: Show current time. Flourish type hint: boolean, defaults to None.
        :type counter: bool, optional
        :param counter_font_size: Size (percentage of screen). Flourish type hint: number, defaults to None.
        :type counter_font_size: float, optional
        :param counter_color: Color. Flourish type hint: color, defaults to None.
        :type counter_color: str, optional
        :param counter_line_height: Line height. Flourish type hint: number, defaults to None.
        :type counter_line_height: float, optional
        :param totaliser: Show total. Shows the sum of all the values in the datasheet for the current time, including any bars not currently visible in the chart. Flourish type hint: boolean, defaults to None.
        :type totaliser: bool, optional
        :param totaliser_font_size: Size (percentage of screen). Flourish type hint: number, defaults to None.
        :type totaliser_font_size: float, optional
        :param totaliser_color: Color. Flourish type hint: color, defaults to None.
        :type totaliser_color: str, optional
        :param totaliser_label: Label. Flourish type hint: string, defaults to None.
        :type totaliser_label: str, optional
        :param caption_background_color: Background. Flourish type hint: color, defaults to None.
        :type caption_background_color: str, optional
        :param caption_border_color: Border. Flourish type hint: color, defaults to None.
        :type caption_border_color: str, optional
        :param caption_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type caption_opacity: float, optional
        :param caption_padding: Padding. In rems  multiples of the base font size. Flourish type hint: number, defaults to None.
        :type caption_padding: float, optional
        :param caption_text_align: Align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type caption_text_align: str, optional
        :param caption_position: Position. Choices: top-left, center-left, bottom-left, top-right, center-right, bottom-right, top-center, center-center, bottom-center. Flourish type hint: string, defaults to None.
        :type caption_position: str, optional
        :param caption_font_size: Font size. In rems  multiples of the base font size. Flourish type hint: number, defaults to None.
        :type caption_font_size: float, optional
        :param caption_text_color: Text. Flourish type hint: color, defaults to None.
        :type caption_text_color: str, optional
        :param caption_mode: Content mode. Choices: text_legend, html. In Text with colors mode, any phrases matching category names will be automatically colored. In HTML mode, no colors will be applied, but you can include any HTML in the datasheet to add images, etc. Flourish type hint: string, defaults to None.
        :type caption_mode: str, optional
        :param caption_image_width: Width. As a percentage of the caption container width. Flourish type hint: number, defaults to None.
        :type caption_image_width: float, optional
        :param caption_image_position: Position. Choices: column, column-reverse, row, row-reverse. Flourish type hint: string, defaults to None.
        :type caption_image_position: str, optional
        :param caption_space_between: Space between. Space between the image and text in rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type caption_space_between: float, optional
        :param sort_control: Show sort control. Flourish type hint: boolean, defaults to None.
        :type sort_control: bool, optional
        :param sort_descending_text: “Highest” label. Flourish type hint: string, defaults to None.
        :type sort_descending_text: str, optional
        :param sort_ascending_text: “Lowest” label. Flourish type hint: string, defaults to None.
        :type sort_ascending_text: str, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param chart_categorical_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_show_legend: bool, optional
        :param chart_categorical_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title_mode: str, optional
        :param chart_categorical_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title: str, optional
        :param chart_categorical_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_width: float, optional
        :param chart_categorical_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_height: float, optional
        :param chart_categorical_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_radius: float, optional
        :param chart_categorical_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_legend_items_padding: float, optional
        :param chart_categorical_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_swatch_outline: bool, optional
        :param chart_categorical_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_swatch_outline_color: str, optional
        :param chart_categorical_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_categorical_legend_order_override: Union[list, str], optional
        :param chart_categorical_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_icon_height: float, optional
        :param chart_categorical_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_icon_color: str, optional
        :param chart_categorical_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_max_width: float, optional
        :param chart_categorical_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_orientation: str, optional
        :param text_legend: Choices: auto, custom, off. Flourish type hint: string, defaults to None.
        :type text_legend: str, optional
        :param text_legend_title: Title. Flourish type hint: boolean, defaults to None.
        :type text_legend_title: bool, optional
        :param text_legend_subtitle: Subtitle. Flourish type hint: boolean, defaults to None.
        :type text_legend_subtitle: bool, optional
        :param text_legend_caption: Captions. Flourish type hint: boolean, defaults to None.
        :type text_legend_caption: bool, optional
        :param text_legend_bold: Bold. If checked, always use bold for colored items. Flourish type hint: boolean, defaults to None.
        :type text_legend_bold: bool, optional
        :param axis_text_color: Text color. Flourish type hint: color, defaults to None.
        :type axis_text_color: str, optional
        :param axis_font_size: Text size. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type axis_font_size: float, optional
        :param axis_color: Line color. Flourish type hint: color, defaults to None.
        :type axis_color: str, optional
        :param axis_gridline_dash: Line dash. Flourish type hint: number, defaults to None.
        :type axis_gridline_dash: float, optional
        :param scale_type: Type. Choices: auto, auto_fixed, manual. The dynamic scale type sets a dynamix X axis that will animate with the chart. The fixed or custom scale type sets a fixed maximum value on the X axis. Flourish type hint: string, defaults to None.
        :type scale_type: str, optional
        :param scale_min: Min range. The axis will go from zero to this value, then be dynamic. Flourish type hint: number, defaults to None.
        :type scale_min: float, optional
        :param scale_max: Max. Flourish type hint: number, defaults to None.
        :type scale_max: float, optional
        :param annotations_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type annotations_enabled: bool, optional
        :param annotations_content: Annotations. One line per annotation.   Syntax  Annotation text :: Value on X axis  Example  Winner :: 250 Majority :: 200. Flourish type hint: text, defaults to None.
        :type annotations_content: Union[list, str], optional
        :param annotations_text_color: Text color. Flourish type hint: color, defaults to None.
        :type annotations_text_color: str, optional
        :param annotations_text_size: Size. Flourish type hint: number, defaults to None.
        :type annotations_text_size: float, optional
        :param annotations_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type annotations_text_weight: str, optional
        :param annotations_line_color: Line color. Flourish type hint: color, defaults to None.
        :type annotations_line_color: str, optional
        :param annotations_line_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type annotations_line_opacity: float, optional
        :param annotations_line_width: Width. Flourish type hint: number, defaults to None.
        :type annotations_line_width: float, optional
        :param annotations_line_dash: Dash. Flourish type hint: number, defaults to None.
        :type annotations_line_dash: float, optional
        :param annotations_align: Align. Choices: start, middle, end. Flourish type hint: string, defaults to None.
        :type annotations_align: str, optional
        :param annotations_offset: Offset. Choices: above, on, below. Offset text mode. Flourish type hint: string, defaults to None.
        :type annotations_offset: str, optional
        :param chart_timeline_controls_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_enabled: bool, optional
        :param chart_timeline_controls_style: Style. Choices: timeline, button. Flourish type hint: string, defaults to None.
        :type chart_timeline_controls_style: str, optional
        :param chart_timeline_controls_graph: Show chart. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_graph: bool, optional
        :param chart_timeline_controls_play_on_load: Play on load. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_play_on_load: bool, optional
        :param chart_timeline_controls_loop: Loop timeline. When turned on, the timeline will return to the beginning once complete. Otherwise, it will stop when it reaches the end. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_loop: bool, optional
        :param chart_timeline_controls_duration: Timeline duration. Total duration of the timeline during normal playback in seconds. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_duration: float, optional
        :param chart_timeline_controls_duration_tween: Time jump duration. Duration of transitions between different points in time on the timeline.  This is the transition you see in the story player when switching between slides with a different time on the timeline (in seconds). Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_duration_tween: float, optional
        :param chart_timeline_controls_duration_wait_at_end: Pause before loop. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_duration_wait_at_end: float, optional
        :param chart_timeline_controls_axes_custom_enabled: Axis settings. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_axes_custom_enabled: bool, optional
        :param chart_timeline_controls_color_axes: Axes color. Flourish type hint: color, defaults to None.
        :type chart_timeline_controls_color_axes: str, optional
        :param chart_timeline_controls_axis_font_size: Font size. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_axis_font_size: float, optional
        :param chart_timeline_controls_date_format_display: X axis date format. Choices:, %Y-%m-%dT%H:%M:%S.%LZ, %Y-%m-%d, %m/%d/%Y, %d/%m/%Y, %d-%b-%y, %m/%Y, %b %Y, %b %y, %B %d, %d %b, %Y, %B, %b, %A, %a, %H:%M:%S, %I:%M %p, %H:%M. Flourish type hint: string, defaults to None.
        :type chart_timeline_controls_date_format_display: str, optional
        :param chart_timeline_controls_axis_nice_x: Clean X axis. Rounds out the X axis so that its start and end values are nice, round dates. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_axis_nice_x: bool, optional
        :param chart_timeline_controls_axis_nice_y: Clean Y axis. Rounds out the Y axis so that its start and end values are nice, round numbers. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_axis_nice_y: bool, optional
        :param chart_timeline_controls_scrubber_snap: Snap when scrubbing. When turned on, you can only jump to values that are supplied in the dataset and nothing in between. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_scrubber_snap: bool, optional
        :param chart_timeline_controls_scrubber_snap_paused: Snap when paused. Activate to snap the timeline to the closest interval when non animating. This is useful for ensuring the data visible in the visualization always reflects the data you have supplied. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_scrubber_snap_paused: bool, optional
        :param chart_timeline_controls_layout_settings: Layout settings. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_layout_settings: bool, optional
        :param chart_timeline_controls_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_margin_top: float, optional
        :param chart_timeline_controls_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_margin_left: float, optional
        :param chart_timeline_controls_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_margin_bottom: float, optional
        :param chart_timeline_controls_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_margin_right: float, optional
        :param chart_timeline_controls_playback_button_margin_right: Space between button and timeline. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_playback_button_margin_right: float, optional
        :param chart_timeline_controls_scrubber_height: Scrubber height. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_scrubber_height: float, optional
        :param chart_timeline_controls_playback_button_margin_right_button: Space between button and text. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_playback_button_margin_right_button: float, optional
        :param chart_timeline_controls_graph_settings: Chart settings. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_graph_settings: bool, optional
        :param chart_timeline_controls_color_background: Background. Flourish type hint: color, defaults to None.
        :type chart_timeline_controls_color_background: str, optional
        :param chart_timeline_controls_graph_height: Height. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_graph_height: float, optional
        :param chart_timeline_controls_curve: Curved lines. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_curve: bool, optional
        :param chart_timeline_controls_playback_styling: Play button settings. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_playback_styling: bool, optional
        :param chart_timeline_controls_playback_button_button_color: Button color. Flourish type hint: color, defaults to None.
        :type chart_timeline_controls_playback_button_button_color: str, optional
        :param chart_timeline_controls_playback_button_button_size: Button size. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_playback_button_button_size: float, optional
        :param chart_timeline_controls_playback_button_icon_color: Icon color. Flourish type hint: color, defaults to None.
        :type chart_timeline_controls_playback_button_icon_color: str, optional
        :param chart_timeline_controls_playback_button_icon_size: Icon size. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_playback_button_icon_size: float, optional
        :param chart_timeline_controls_playback_button_label_size: Label size. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_playback_button_label_size: float, optional
        :param animation_duration: Bar swap duration. Animation duration of the bars swapping, in seconds. Flourish type hint: number, defaults to None.
        :type animation_duration: float, optional
        :param chart_number_date_format_prefix: Prefix. Text to place in front of a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_prefix: str, optional
        :param chart_number_date_format_suffix: Suffix. Text to place after a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_suffix: str, optional
        :param chart_number_date_format_n_dec: Decimal places. Decimal places. You can also enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_number_date_format_n_dec: float, optional
        :param chart_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_advanced: bool, optional
        :param chart_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_negative_sign: str, optional
        :param chart_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_zeros: bool, optional
        :param chart_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_separator: bool, optional
        :param chart_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_transform_labels: bool, optional
        :param chart_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_transform: str, optional
        :param chart_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_multiply_divide_constant: float, optional
        :param chart_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_exponentiate_constant: float, optional
        :param blank_cells: How to handle blank/invalid cells. Choices: interpolate, last_valid, zero, remove. Interpolate fills the gaps between the last and next valid values.  Use last valid will use the last number for the bar.  Treat as zero will set the value of the blank cell to zero.  Remove bar will remove the bar for any blank/invalid cells. Flourish type hint: string, defaults to None.
        :type blank_cells: str, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "color": {},
                "controls_style": {},
                "button_style": {},
                "legend_container": {},
                "legend_categorical": {},
                "timeline": {"margin": {}, "playback_button": {}},
                "formatting": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        list_column_chart = [False, True] + [None]
        if column_chart not in list_column_chart:
            raise ValueError(f"`column_chart` must be one of: [False, True]")
        elif column_chart in list_column_chart and column_chart is not None:
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if column_chart in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["column_chart"] = filtered_dict[column_chart]
        self.state["state"]["number_of_bars"] = number_of_bars
        self.state["state"]["bar_margin"] = bar_margin

        list_sort_enabled = [True, False] + [None]
        if sort_enabled not in list_sort_enabled:
            raise ValueError(f"`sort_enabled` must be one of: [True, False]")
        elif sort_enabled in list_sort_enabled and sort_enabled is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if sort_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["sort_enabled"] = filtered_dict[sort_enabled]

        list_sort_ascending = [False, True] + [None]
        if sort_ascending not in list_sort_ascending:
            raise ValueError(f"`sort_ascending` must be one of: [False, True]")
        elif sort_ascending in list_sort_ascending and sort_ascending is not None:
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if sort_ascending in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["sort_ascending"] = filtered_dict[sort_ascending]
        self.state["state"]["bars_advanced"] = bars_advanced

        list_height_mode = ["fill_space", "specified"] + [None]
        if height_mode not in list_height_mode:
            raise ValueError(
                f"`height_mode` must be one of: ['fill_space', 'specified']"
            )
        elif height_mode in list_height_mode and height_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fill_space": "fill_space",
                    "specified": "specified",
                }.items()
                if height_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["height_mode"] = filtered_dict[height_mode]
        self.state["state"]["bar_height"] = bar_height
        self.state["state"]["bar_min_value"] = bar_min_value

        list_bar_empty_spaces = [True, False] + [None]
        if bar_empty_spaces not in list_bar_empty_spaces:
            raise ValueError(f"`bar_empty_spaces` must be one of: [True, False]")
        elif bar_empty_spaces in list_bar_empty_spaces and bar_empty_spaces is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if bar_empty_spaces in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["bar_empty_spaces"] = filtered_dict[
                    bar_empty_spaces
                ]

        list_color_mode = ["category", "bar", "single"] + [None]
        if color_mode not in list_color_mode:
            raise ValueError(
                f"`color_mode` must be one of: ['category', 'bar', 'single']"
            )
        elif color_mode in list_color_mode and color_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "category": "category",
                    "bar": "bar",
                    "single": "single",
                }.items()
                if color_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color_mode"] = filtered_dict[color_mode]
        self.state["state"]["color_single"] = color_single

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max

        if (
            color_single_overrides is not None
            and len(color_single_overrides) > 1
            and isinstance(color_single_overrides, list)
        ):
            self.state["state"]["color_single_overrides"] = " \n ".join(
                color_single_overrides
            )
        else:
            self.state["state"]["color_single_overrides"] = color_single_overrides

        self.state["state"]["bar_opacity"] = bar_opacity
        self.state["state"]["label_max_size"] = label_max_size

        list_label_mode = ["bars", "axis"] + [None]
        if label_mode not in list_label_mode:
            raise ValueError(f"`label_mode` must be one of: ['bars', 'axis']")
        elif label_mode in list_label_mode and label_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"bars": "bars", "axis": "axis"}.items()
                if label_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_mode"] = filtered_dict[label_mode]
        self.state["state"]["label_color_in"] = label_color_in
        self.state["state"]["label_axis_width"] = label_axis_width
        self.state["state"]["show_value"] = show_value
        self.state["state"]["label_color_out"] = label_color_out
        self.state["state"]["padding_right"] = padding_right
        self.state["state"]["image_height"] = image_height
        self.state["state"]["image_width"] = image_width
        self.state["state"]["image_margin_right"] = image_margin_right

        list_image_scale = ["fill", "fit", "stretch"] + [None]
        if image_scale not in list_image_scale:
            raise ValueError(
                f"`image_scale` must be one of: ['fill', 'fit', 'stretch']"
            )
        elif image_scale in list_image_scale and image_scale is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fill": "fill",
                    "fit": "fit",
                    "stretch": "stretch",
                }.items()
                if image_scale in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_scale"] = filtered_dict[image_scale]

        list_image_circle = [False, True] + [None]
        if image_circle not in list_image_circle:
            raise ValueError(f"`image_circle` must be one of: [False, True]")
        elif image_circle in list_image_circle and image_circle is not None:
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if image_circle in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_circle"] = filtered_dict[image_circle]
        self.state["state"]["counter"] = counter
        self.state["state"]["counter_font_size"] = counter_font_size
        self.state["state"]["counter_color"] = counter_color
        self.state["state"]["counter_line_height"] = counter_line_height
        self.state["state"]["totaliser"] = totaliser
        self.state["state"]["totaliser_font_size"] = totaliser_font_size
        self.state["state"]["totaliser_color"] = totaliser_color
        self.state["state"]["totaliser_label"] = totaliser_label
        self.state["state"]["caption_background_color"] = caption_background_color
        self.state["state"]["caption_border_color"] = caption_border_color
        self.state["state"]["caption_opacity"] = caption_opacity
        self.state["state"]["caption_padding"] = caption_padding

        list_caption_text_align = ["flex-start", "center", "flex-end"] + [None]
        if caption_text_align not in list_caption_text_align:
            raise ValueError(
                f"`caption_text_align` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            caption_text_align in list_caption_text_align
            and caption_text_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if caption_text_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["caption_text_align"] = filtered_dict[
                    caption_text_align
                ]

        list_caption_position = [
            "top-left",
            "center-left",
            "bottom-left",
            "top-right",
            "center-right",
            "bottom-right",
            "top-center",
            "center-center",
            "bottom-center",
        ] + [None]
        if caption_position not in list_caption_position:
            raise ValueError(
                f"`caption_position` must be one of: ['top-left', 'center-left', 'bottom-left', 'top-right', 'center-right', 'bottom-right', 'top-center', 'center-center', 'bottom-center']"
            )
        elif caption_position in list_caption_position and caption_position is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top-left": "top-left",
                    "center-left": "center-left",
                    "bottom-left": "bottom-left",
                    "top-right": "top-right",
                    "center-right": "center-right",
                    "bottom-right": "bottom-right",
                    "top-center": "top-center",
                    "center-center": "center-center",
                    "bottom-center": "bottom-center",
                }.items()
                if caption_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["caption_position"] = filtered_dict[
                    caption_position
                ]
        self.state["state"]["caption_font_size"] = caption_font_size
        self.state["state"]["caption_text_color"] = caption_text_color

        list_caption_mode = ["text_legend", "html"] + [None]
        if caption_mode not in list_caption_mode:
            raise ValueError(f"`caption_mode` must be one of: ['text_legend', 'html']")
        elif caption_mode in list_caption_mode and caption_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"text_legend": "text_legend", "html": "html"}.items()
                if caption_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["caption_mode"] = filtered_dict[caption_mode]
        self.state["state"]["caption_image_width"] = caption_image_width

        list_caption_image_position = [
            "column",
            "column-reverse",
            "row",
            "row-reverse",
        ] + [None]
        if caption_image_position not in list_caption_image_position:
            raise ValueError(
                f"`caption_image_position` must be one of: ['column', 'column-reverse', 'row', 'row-reverse']"
            )
        elif (
            caption_image_position in list_caption_image_position
            and caption_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "column": "column",
                    "column-reverse": "column-reverse",
                    "row": "row",
                    "row-reverse": "row-reverse",
                }.items()
                if caption_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["caption_image_position"] = filtered_dict[
                    caption_image_position
                ]
        self.state["state"]["caption_space_between"] = caption_space_between
        self.state["state"]["sort_control"] = sort_control
        self.state["state"]["sort_descending_text"] = sort_descending_text
        self.state["state"]["sort_ascending_text"] = sort_ascending_text
        self.state["state"]["controls_style"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_style"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["controls_style"]["height"] = chart_controls_style_height
        self.state["state"]["button_style"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["button_style"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["button_style"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["button_style"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["button_style"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["button_style"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["button_style"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["button_style"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["button_style"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["button_style"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["button_style"][
            "border_radius"
        ] = chart_button_control_style_border_radius

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size

        list_chart_categorical_legend_show_legend = [True, False] + [None]
        if (
            chart_categorical_legend_show_legend
            not in list_chart_categorical_legend_show_legend
        ):
            raise ValueError(
                f"`chart_categorical_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_categorical_legend_show_legend
            in list_chart_categorical_legend_show_legend
            and chart_categorical_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_categorical_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "show_legend"
                ] = filtered_dict[chart_categorical_legend_show_legend]

        list_chart_categorical_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_categorical_legend_title_mode
            not in list_chart_categorical_legend_title_mode
        ):
            raise ValueError(
                f"`chart_categorical_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_categorical_legend_title_mode
            in list_chart_categorical_legend_title_mode
            and chart_categorical_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_categorical_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"]["title_mode"] = filtered_dict[
                    chart_categorical_legend_title_mode
                ]
        self.state["state"]["legend_categorical"][
            "title"
        ] = chart_categorical_legend_title
        self.state["state"]["legend_categorical"][
            "swatch_width"
        ] = chart_categorical_legend_swatch_width
        self.state["state"]["legend_categorical"][
            "swatch_height"
        ] = chart_categorical_legend_swatch_height
        self.state["state"]["legend_categorical"][
            "swatch_radius"
        ] = chart_categorical_legend_swatch_radius
        self.state["state"]["legend_categorical"][
            "legend_items_padding"
        ] = chart_categorical_legend_legend_items_padding
        self.state["state"]["legend_categorical"][
            "swatch_outline"
        ] = chart_categorical_legend_swatch_outline
        self.state["state"]["legend_categorical"][
            "swatch_outline_color"
        ] = chart_categorical_legend_swatch_outline_color

        if (
            chart_categorical_legend_order_override is not None
            and len(chart_categorical_legend_order_override) > 1
            and isinstance(chart_categorical_legend_order_override, list)
        ):
            self.state["state"]["legend_categorical"]["order_override"] = " \n ".join(
                chart_categorical_legend_order_override
            )
        else:
            self.state["state"]["legend_categorical"][
                "order_override"
            ] = chart_categorical_legend_order_override

        self.state["state"]["legend_categorical"][
            "icon_height"
        ] = chart_categorical_legend_icon_height
        self.state["state"]["legend_categorical"][
            "icon_color"
        ] = chart_categorical_legend_icon_color
        self.state["state"]["legend_categorical"][
            "max_width"
        ] = chart_categorical_legend_max_width

        list_chart_categorical_legend_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_categorical_legend_orientation
            not in list_chart_categorical_legend_orientation
        ):
            raise ValueError(
                f"`chart_categorical_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_categorical_legend_orientation
            in list_chart_categorical_legend_orientation
            and chart_categorical_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_categorical_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "orientation"
                ] = filtered_dict[chart_categorical_legend_orientation]

        list_text_legend = ["auto", "custom", "off"] + [None]
        if text_legend not in list_text_legend:
            raise ValueError(f"`text_legend` must be one of: ['auto', 'custom', 'off']")
        elif text_legend in list_text_legend and text_legend is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom", "off": "off"}.items()
                if text_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["text_legend"] = filtered_dict[text_legend]
        self.state["state"]["text_legend_title"] = text_legend_title
        self.state["state"]["text_legend_subtitle"] = text_legend_subtitle
        self.state["state"]["text_legend_caption"] = text_legend_caption
        self.state["state"]["text_legend_bold"] = text_legend_bold
        self.state["state"]["axis_text_color"] = axis_text_color
        self.state["state"]["axis_font_size"] = axis_font_size
        self.state["state"]["axis_color"] = axis_color
        self.state["state"]["axis_gridline_dash"] = axis_gridline_dash

        list_scale_type = ["auto", "auto_fixed", "manual"] + [None]
        if scale_type not in list_scale_type:
            raise ValueError(
                f"`scale_type` must be one of: ['auto', 'auto_fixed', 'manual']"
            )
        elif scale_type in list_scale_type and scale_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "auto_fixed": "auto_fixed",
                    "manual": "manual",
                }.items()
                if scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["scale_type"] = filtered_dict[scale_type]
        self.state["state"]["scale_min"] = scale_min
        self.state["state"]["scale_max"] = scale_max

        list_annotations_enabled = [True, False] + [None]
        if annotations_enabled not in list_annotations_enabled:
            raise ValueError(f"`annotations_enabled` must be one of: [True, False]")
        elif (
            annotations_enabled in list_annotations_enabled
            and annotations_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if annotations_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations_enabled"] = filtered_dict[
                    annotations_enabled
                ]

        if (
            annotations_content is not None
            and len(annotations_content) > 1
            and isinstance(annotations_content, list)
        ):
            self.state["state"]["annotations_content"] = " \n ".join(
                annotations_content
            )
        else:
            self.state["state"]["annotations_content"] = annotations_content

        self.state["state"]["annotations_text_color"] = annotations_text_color
        self.state["state"]["annotations_text_size"] = annotations_text_size

        list_annotations_text_weight = ["bold", "normal"] + [None]
        if annotations_text_weight not in list_annotations_text_weight:
            raise ValueError(
                f"`annotations_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            annotations_text_weight in list_annotations_text_weight
            and annotations_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if annotations_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations_text_weight"] = filtered_dict[
                    annotations_text_weight
                ]
        self.state["state"]["annotations_line_color"] = annotations_line_color
        self.state["state"]["annotations_line_opacity"] = annotations_line_opacity
        self.state["state"]["annotations_line_width"] = annotations_line_width
        self.state["state"]["annotations_line_dash"] = annotations_line_dash

        list_annotations_align = ["start", "middle", "end"] + [None]
        if annotations_align not in list_annotations_align:
            raise ValueError(
                f"`annotations_align` must be one of: ['start', 'middle', 'end']"
            )
        elif (
            annotations_align in list_annotations_align
            and annotations_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "middle": "middle",
                    "end": "end",
                }.items()
                if annotations_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations_align"] = filtered_dict[
                    annotations_align
                ]

        list_annotations_offset = ["above", "on", "below"] + [None]
        if annotations_offset not in list_annotations_offset:
            raise ValueError(
                f"`annotations_offset` must be one of: ['above', 'on', 'below']"
            )
        elif (
            annotations_offset in list_annotations_offset
            and annotations_offset is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"above": "above", "on": "on", "below": "below"}.items()
                if annotations_offset in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations_offset"] = filtered_dict[
                    annotations_offset
                ]

        list_chart_timeline_controls_enabled = [True, False] + [None]
        if chart_timeline_controls_enabled not in list_chart_timeline_controls_enabled:
            raise ValueError(
                f"`chart_timeline_controls_enabled` must be one of: [True, False]"
            )
        elif (
            chart_timeline_controls_enabled in list_chart_timeline_controls_enabled
            and chart_timeline_controls_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_timeline_controls_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["timeline"]["enabled"] = filtered_dict[
                    chart_timeline_controls_enabled
                ]

        list_chart_timeline_controls_style = ["timeline", "button"] + [None]
        if chart_timeline_controls_style not in list_chart_timeline_controls_style:
            raise ValueError(
                f"`chart_timeline_controls_style` must be one of: ['timeline', 'button']"
            )
        elif (
            chart_timeline_controls_style in list_chart_timeline_controls_style
            and chart_timeline_controls_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"timeline": "timeline", "button": "button"}.items()
                if chart_timeline_controls_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["timeline"]["style"] = filtered_dict[
                    chart_timeline_controls_style
                ]

        list_chart_timeline_controls_graph = [True, False] + [None]
        if chart_timeline_controls_graph not in list_chart_timeline_controls_graph:
            raise ValueError(
                f"`chart_timeline_controls_graph` must be one of: [True, False]"
            )
        elif (
            chart_timeline_controls_graph in list_chart_timeline_controls_graph
            and chart_timeline_controls_graph is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_timeline_controls_graph in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["timeline"]["graph"] = filtered_dict[
                    chart_timeline_controls_graph
                ]
        self.state["state"]["timeline"][
            "play_on_load"
        ] = chart_timeline_controls_play_on_load
        self.state["state"]["timeline"]["loop"] = chart_timeline_controls_loop
        self.state["state"]["timeline"]["duration"] = chart_timeline_controls_duration
        self.state["state"]["timeline"][
            "duration_tween"
        ] = chart_timeline_controls_duration_tween
        self.state["state"]["timeline"][
            "duration_wait_at_end"
        ] = chart_timeline_controls_duration_wait_at_end
        self.state["state"]["timeline"][
            "axes_custom_enabled"
        ] = chart_timeline_controls_axes_custom_enabled
        self.state["state"]["timeline"][
            "color_axes"
        ] = chart_timeline_controls_color_axes
        self.state["state"]["timeline"][
            "axis_font_size"
        ] = chart_timeline_controls_axis_font_size

        list_chart_timeline_controls_date_format_display = [
            "",
            "%Y-%m-%dT%H:%M:%S.%LZ",
            "%Y-%m-%d",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%d-%b-%y",
            "%m/%Y",
            "%b %Y",
            "%b %y",
            "%B %d",
            "%d %b",
            "%Y",
            "%B",
            "%b",
            "%A",
            "%a",
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
        ] + [None]
        if (
            chart_timeline_controls_date_format_display
            not in list_chart_timeline_controls_date_format_display
        ):
            raise ValueError(
                f"`chart_timeline_controls_date_format_display` must be one of: ['', '%Y-%m-%dT%H:%M:%S.%LZ', '%Y-%m-%d', '%m/%d/%Y', '%d/%m/%Y', '%d-%b-%y', '%m/%Y', '%b %Y', '%b %y', '%B %d', '%d %b', '%Y', '%B', '%b', '%A', '%a', '%H:%M:%S', '%I:%M %p', '%H:%M']"
            )
        elif (
            chart_timeline_controls_date_format_display
            in list_chart_timeline_controls_date_format_display
            and chart_timeline_controls_date_format_display is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "": "",
                    "%Y-%m-%dT%H:%M:%S.%LZ": "%Y-%m-%dT%H:%M:%S.%LZ",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%d-%b-%y": "%d-%b-%y",
                    "%m/%Y": "%m/%Y",
                    "%b %Y": "%b %Y",
                    "%b %y": "%b %y",
                    "%B %d": "%B %d",
                    "%d %b": "%d %b",
                    "%Y": "%Y",
                    "%B": "%B",
                    "%b": "%b",
                    "%A": "%A",
                    "%a": "%a",
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                }.items()
                if chart_timeline_controls_date_format_display in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["timeline"]["date_format_display"] = filtered_dict[
                    chart_timeline_controls_date_format_display
                ]
        self.state["state"]["timeline"][
            "axis_nice_x"
        ] = chart_timeline_controls_axis_nice_x
        self.state["state"]["timeline"][
            "axis_nice_y"
        ] = chart_timeline_controls_axis_nice_y
        self.state["state"]["timeline"][
            "scrubber_snap"
        ] = chart_timeline_controls_scrubber_snap
        self.state["state"]["timeline"][
            "scrubber_snap_paused"
        ] = chart_timeline_controls_scrubber_snap_paused
        self.state["state"]["timeline"][
            "layout_settings"
        ] = chart_timeline_controls_layout_settings
        self.state["state"]["timeline"]["margin"][
            "top"
        ] = chart_timeline_controls_margin_top
        self.state["state"]["timeline"]["margin"][
            "left"
        ] = chart_timeline_controls_margin_left
        self.state["state"]["timeline"]["margin"][
            "bottom"
        ] = chart_timeline_controls_margin_bottom
        self.state["state"]["timeline"]["margin"][
            "right"
        ] = chart_timeline_controls_margin_right
        self.state["state"]["timeline"]["playback_button"][
            "margin_right"
        ] = chart_timeline_controls_playback_button_margin_right
        self.state["state"]["timeline"][
            "scrubber_height"
        ] = chart_timeline_controls_scrubber_height
        self.state["state"]["timeline"]["playback_button"][
            "margin_right_button"
        ] = chart_timeline_controls_playback_button_margin_right_button
        self.state["state"]["timeline"][
            "graph_settings"
        ] = chart_timeline_controls_graph_settings
        self.state["state"]["timeline"][
            "color_background"
        ] = chart_timeline_controls_color_background
        self.state["state"]["timeline"][
            "graph_height"
        ] = chart_timeline_controls_graph_height
        self.state["state"]["timeline"]["curve"] = chart_timeline_controls_curve
        self.state["state"]["timeline"][
            "playback_styling"
        ] = chart_timeline_controls_playback_styling
        self.state["state"]["timeline"]["playback_button"][
            "button_color"
        ] = chart_timeline_controls_playback_button_button_color
        self.state["state"]["timeline"]["playback_button"][
            "button_size"
        ] = chart_timeline_controls_playback_button_button_size
        self.state["state"]["timeline"]["playback_button"][
            "icon_color"
        ] = chart_timeline_controls_playback_button_icon_color
        self.state["state"]["timeline"]["playback_button"][
            "icon_size"
        ] = chart_timeline_controls_playback_button_icon_size
        self.state["state"]["timeline"]["playback_button"][
            "label_size"
        ] = chart_timeline_controls_playback_button_label_size
        self.state["state"]["animation_duration"] = animation_duration
        self.state["state"]["formatting"]["prefix"] = chart_number_date_format_prefix
        self.state["state"]["formatting"]["suffix"] = chart_number_date_format_suffix
        self.state["state"]["formatting"]["n_dec"] = chart_number_date_format_n_dec
        self.state["state"]["formatting"][
            "advanced"
        ] = chart_number_date_format_advanced

        list_chart_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_number_date_format_negative_sign
            not in list_chart_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_number_date_format_negative_sign
            in list_chart_number_date_format_negative_sign
            and chart_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["formatting"]["negative_sign"] = filtered_dict[
                    chart_number_date_format_negative_sign
                ]
        self.state["state"]["formatting"][
            "strip_zeros"
        ] = chart_number_date_format_strip_zeros
        self.state["state"]["formatting"][
            "strip_separator"
        ] = chart_number_date_format_strip_separator
        self.state["state"]["formatting"][
            "transform_labels"
        ] = chart_number_date_format_transform_labels

        list_chart_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_number_date_format_transform
            not in list_chart_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_number_date_format_transform
            in list_chart_number_date_format_transform
            and chart_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["formatting"]["transform"] = filtered_dict[
                    chart_number_date_format_transform
                ]
        self.state["state"]["formatting"][
            "multiply_divide_constant"
        ] = chart_number_date_format_multiply_divide_constant
        self.state["state"]["formatting"][
            "exponentiate_constant"
        ] = chart_number_date_format_exponentiate_constant

        list_blank_cells = ["interpolate", "last_valid", "zero", "remove"] + [None]
        if blank_cells not in list_blank_cells:
            raise ValueError(
                f"`blank_cells` must be one of: ['interpolate', 'last_valid', 'zero', 'remove']"
            )
        elif blank_cells in list_blank_cells and blank_cells is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "interpolate": "interpolate",
                    "last_valid": "last_valid",
                    "zero": "zero",
                    "remove": "remove",
                }.items()
                if blank_cells in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["blank_cells"] = filtered_dict[blank_cells]
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_bubble_chart_details(
        self,
        bubble_alignment: str = None,
        margin_bubbles: float = None,
        animation_duration: float = None,
        height_mode: str = None,
        aspect_ratio: float = None,
        aspect_ratio_mobile: float = None,
        aspect_ratio_breakpoint: float = None,
        circle_background_color: str = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        circle_background_border: float = None,
        image_opacity: float = None,
        label_font_weight: str = None,
        label_font_style: str = None,
        label_font_case: str = None,
        label_font_color: str = None,
        label_shadow: bool = None,
        enable_highlighting: bool = None,
        selected_bubbles: Union[list, str] = None,
        opacity_highlighted: float = None,
        opacity_not_highlighted: float = None,
        highlight_pictures: bool = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        show_legend_axis: bool = None,
        axis_legend_title_mode: str = None,
        axis_legend_title: str = None,
        chart_categorical_legend_show_legend: bool = None,
        chart_categorical_legend_title_mode: str = None,
        chart_categorical_legend_title: str = None,
        chart_categorical_legend_swatch_width: float = None,
        chart_categorical_legend_swatch_height: float = None,
        chart_categorical_legend_swatch_radius: float = None,
        chart_categorical_legend_legend_items_padding: float = None,
        chart_categorical_legend_swatch_outline: bool = None,
        chart_categorical_legend_swatch_outline_color: str = None,
        chart_categorical_legend_order_override: Union[list, str] = None,
        chart_categorical_legend_icon_height: float = None,
        chart_categorical_legend_icon_color: str = None,
        chart_categorical_legend_max_width: float = None,
        chart_categorical_legend_orientation: str = None,
        chart_size_legend_show_legend: bool = None,
        chart_size_legend_title_mode: str = None,
        chart_size_legend_title: str = None,
        chart_size_legend_shape_fill: str = None,
        chart_size_legend_shape_stroke: str = None,
        chart_size_legend_clip_height: float = None,
        chart_size_legend_small_symbol_size: float = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_custom_accessible: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        chart_number_localization_input_decimal_separator: str = None,
        chart_number_localization_output_separators: str = None,
        chart_number_date_format_prefix: str = None,
        chart_number_date_format_suffix: str = None,
        chart_number_date_format_n_dec: float = None,
        chart_number_date_format_advanced: bool = None,
        chart_number_date_format_negative_sign: str = None,
        chart_number_date_format_strip_zeros: bool = None,
        chart_number_date_format_strip_separator: bool = None,
        chart_number_date_format_transform_labels: bool = None,
        chart_number_date_format_transform: str = None,
        chart_number_date_format_multiply_divide_constant: float = None,
        chart_number_date_format_exponentiate_constant: float = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: bubble chart.


        :param bubble_alignment: Alignment of bubbles. Choices: center, axis. Flourish type hint: string, defaults to None.
        :type bubble_alignment: str, optional
        :param margin_bubbles: Space between bubbles. Flourish type hint: number, defaults to None.
        :type margin_bubbles: float, optional
        :param animation_duration: Animation duration. in seconds. Flourish type hint: number, defaults to None.
        :type animation_duration: float, optional
        :param height_mode: Height mode. Choices: fill_space, aspect. Fill space: the graphic will fill the container (which by default will be the the standard Flourish responsive chart size)  Aspect ratio: sets the aspect of the chart.  This setting is ignored when embedded in a fixed-height context, such as a simple iframe embedFlourish type hint: string, defaults to None.
        :type height_mode: str, optional
        :param aspect_ratio: Aspect (desktop). Height of the plot as a proportion of its width, between 0 and 1. Flourish type hint: number, defaults to None.
        :type aspect_ratio: float, optional
        :param aspect_ratio_mobile: Aspect (mobile). Height of the plot as a proportion of its width, between 0 and 1. Flourish type hint: number, defaults to None.
        :type aspect_ratio_mobile: float, optional
        :param aspect_ratio_breakpoint: Breakpoint. The width at which mobile mode ends and desktop begins. Flourish type hint: number, defaults to None.
        :type aspect_ratio_breakpoint: float, optional
        :param circle_background_color: Color. Default color. Flourish type hint: color, defaults to None.
        :type circle_background_color: str, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param circle_background_border: Border. Flourish type hint: number, defaults to None.
        :type circle_background_border: float, optional
        :param image_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type image_opacity: float, optional
        :param label_font_weight: Weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type label_font_weight: str, optional
        :param label_font_style: Style. Choices: normal, italic. Flourish type hint: string, defaults to None.
        :type label_font_style: str, optional
        :param label_font_case: Case. Choices:, uppercase. Flourish type hint: string, defaults to None.
        :type label_font_case: str, optional
        :param label_font_color: Color. Defaults to contrast coloring when no image is set. Flourish type hint: color, defaults to None.
        :type label_font_color: str, optional
        :param label_shadow: Text shadow. Flourish type hint: boolean, defaults to None.
        :type label_shadow: bool, optional
        :param enable_highlighting: Enable highlighting. Flourish type hint: boolean, defaults to None.
        :type enable_highlighting: bool, optional
        :param selected_bubbles: Highlight bubbles. To highlight bubbles, write the name of each bubble on a new line. You can also create a story and highlight/unhighlight by clicking. Flourish type hint: text, defaults to None.
        :type selected_bubbles: Union[list, str], optional
        :param opacity_highlighted: Opacity of highlighted bubble. Flourish type hint: number, defaults to None.
        :type opacity_highlighted: float, optional
        :param opacity_not_highlighted: Opacity of all other bubbles. Flourish type hint: number, defaults to None.
        :type opacity_not_highlighted: float, optional
        :param highlight_pictures: Show pictures only on highlighted bubbles. Flourish type hint: boolean, defaults to None.
        :type highlight_pictures: bool, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param show_legend_axis: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type show_legend_axis: bool, optional
        :param axis_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type axis_legend_title_mode: str, optional
        :param axis_legend_title: Title. Flourish type hint: string, defaults to None.
        :type axis_legend_title: str, optional
        :param chart_categorical_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_show_legend: bool, optional
        :param chart_categorical_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title_mode: str, optional
        :param chart_categorical_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title: str, optional
        :param chart_categorical_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_width: float, optional
        :param chart_categorical_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_height: float, optional
        :param chart_categorical_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_radius: float, optional
        :param chart_categorical_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_legend_items_padding: float, optional
        :param chart_categorical_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_swatch_outline: bool, optional
        :param chart_categorical_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_swatch_outline_color: str, optional
        :param chart_categorical_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_categorical_legend_order_override: Union[list, str], optional
        :param chart_categorical_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_icon_height: float, optional
        :param chart_categorical_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_icon_color: str, optional
        :param chart_categorical_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_max_width: float, optional
        :param chart_categorical_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_orientation: str, optional
        :param chart_size_legend_show_legend: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_size_legend_show_legend: bool, optional
        :param chart_size_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_size_legend_title_mode: str, optional
        :param chart_size_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_size_legend_title: str, optional
        :param chart_size_legend_shape_fill: Shape fill. Flourish type hint: color, defaults to None.
        :type chart_size_legend_shape_fill: str, optional
        :param chart_size_legend_shape_stroke: Shape stroke. Hint: set to same value as fill for no stroke. Flourish type hint: color, defaults to None.
        :type chart_size_legend_shape_stroke: str, optional
        :param chart_size_legend_clip_height: Max height. Maximum height of shape ( relative to root font size ). Flourish type hint: number, defaults to None.
        :type chart_size_legend_clip_height: float, optional
        :param chart_size_legend_small_symbol_size: Small/large proportion. Proportion of the smallest symbols value compared to the biggest symbols value. 0.5 means its half the value of the big symbol. Flourish type hint: number, defaults to None.
        :type chart_size_legend_small_symbol_size: float, optional
        :param chart_popup_mode: Choices: none, popup, panel, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML styling or add category colors to popup headers.  To hide parts of the popup when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML for designs, styles, and images.  To hide parts of the popup when a column is empty use the syntax `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_custom_accessible: Popup custom accessible content. A text alternative to visual custom popup content that will be read out by screenreaders. This content is added as an aria-label attribute to data point elements. You can still use `{{column_name}}` to add values from your data, but do not use HTML. For example: `{{Name}}, Population: {{Population}}, GDP: {{GDP}}`. If left empty, accessible content will fallback to the default popup content. Flourish type hint: text, defaults to None.
        :type chart_popup_popup_custom_accessible: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for styling or add category colors to panel headers.  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for designs, styles, images, videos and embedded Flourish charts,  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing Click position is especially useful when your visualization is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param chart_number_localization_input_decimal_separator: Decimal separator in data sheet. Choices: ., ,. Used for interpreting your data. Only change if data is not displaying on the chart as expected. Flourish type hint: string, defaults to None.
        :type chart_number_localization_input_decimal_separator: str, optional
        :param chart_number_localization_output_separators: Number format to display. Choices: ,., .,, ., ,, ., ,. How the numbers should appear on chart labels. Flourish type hint: string, defaults to None.
        :type chart_number_localization_output_separators: str, optional
        :param chart_number_date_format_prefix: Prefix. Text to place in front of number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_prefix: str, optional
        :param chart_number_date_format_suffix: Suffix. Text to place after number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_suffix: str, optional
        :param chart_number_date_format_n_dec: Decimal places. Enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_number_date_format_n_dec: float, optional
        :param chart_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_advanced: bool, optional
        :param chart_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_negative_sign: str, optional
        :param chart_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_zeros: bool, optional
        :param chart_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_separator: bool, optional
        :param chart_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_transform_labels: bool, optional
        :param chart_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_transform: str, optional
        :param chart_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_multiply_divide_constant: float, optional
        :param chart_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_exponentiate_constant: float, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "color": {},
                "legend_container": {},
                "legend_categorical": {},
                "legend_size": {},
                "popup": {},
                "localization": {},
                "size_by_format": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        list_bubble_alignment = ["center", "axis"] + [None]
        if bubble_alignment not in list_bubble_alignment:
            raise ValueError(f"`bubble_alignment` must be one of: ['center', 'axis']")
        elif bubble_alignment in list_bubble_alignment and bubble_alignment is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"center": "center", "axis": "axis"}.items()
                if bubble_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["bubble_alignment"] = filtered_dict[
                    bubble_alignment
                ]
        self.state["state"]["margin_bubbles"] = margin_bubbles
        self.state["state"]["animation_duration"] = animation_duration

        list_height_mode = ["fill_space", "aspect"] + [None]
        if height_mode not in list_height_mode:
            raise ValueError(f"`height_mode` must be one of: ['fill_space', 'aspect']")
        elif height_mode in list_height_mode and height_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"fill_space": "fill_space", "aspect": "aspect"}.items()
                if height_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["height_mode"] = filtered_dict[height_mode]
        self.state["state"]["aspect_ratio"] = aspect_ratio
        self.state["state"]["aspect_ratio_mobile"] = aspect_ratio_mobile
        self.state["state"]["aspect_ratio_breakpoint"] = aspect_ratio_breakpoint
        self.state["state"]["circle_background_color"] = circle_background_color

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max
        self.state["state"]["circle_background_border"] = circle_background_border
        self.state["state"]["image_opacity"] = image_opacity

        list_label_font_weight = ["normal", "bold"] + [None]
        if label_font_weight not in list_label_font_weight:
            raise ValueError(f"`label_font_weight` must be one of: ['normal', 'bold']")
        elif (
            label_font_weight in list_label_font_weight
            and label_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if label_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_font_weight"] = filtered_dict[
                    label_font_weight
                ]

        list_label_font_style = ["normal", "italic"] + [None]
        if label_font_style not in list_label_font_style:
            raise ValueError(f"`label_font_style` must be one of: ['normal', 'italic']")
        elif label_font_style in list_label_font_style and label_font_style is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "italic": "italic"}.items()
                if label_font_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_font_style"] = filtered_dict[
                    label_font_style
                ]

        list_label_font_case = ["", "uppercase"] + [None]
        if label_font_case not in list_label_font_case:
            raise ValueError(f"`label_font_case` must be one of: ['', 'uppercase']")
        elif label_font_case in list_label_font_case and label_font_case is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"": "", "uppercase": "uppercase"}.items()
                if label_font_case in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_font_case"] = filtered_dict[label_font_case]
        self.state["state"]["label_font_color"] = label_font_color
        self.state["state"]["label_shadow"] = label_shadow
        self.state["state"]["enable_highlighting"] = enable_highlighting

        if (
            selected_bubbles is not None
            and len(selected_bubbles) > 1
            and isinstance(selected_bubbles, list)
        ):
            self.state["state"]["selected_bubbles"] = " \n ".join(selected_bubbles)
        else:
            self.state["state"]["selected_bubbles"] = selected_bubbles

        self.state["state"]["opacity_highlighted"] = opacity_highlighted
        self.state["state"]["opacity_not_highlighted"] = opacity_not_highlighted
        self.state["state"]["highlight_pictures"] = highlight_pictures

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size

        list_show_legend_axis = [True, False] + [None]
        if show_legend_axis not in list_show_legend_axis:
            raise ValueError(f"`show_legend_axis` must be one of: [True, False]")
        elif show_legend_axis in list_show_legend_axis and show_legend_axis is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if show_legend_axis in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["show_legend_axis"] = filtered_dict[
                    show_legend_axis
                ]

        list_axis_legend_title_mode = ["auto", "custom"] + [None]
        if axis_legend_title_mode not in list_axis_legend_title_mode:
            raise ValueError(
                f"`axis_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            axis_legend_title_mode in list_axis_legend_title_mode
            and axis_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if axis_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axis_legend_title_mode"] = filtered_dict[
                    axis_legend_title_mode
                ]
        self.state["state"]["axis_legend_title"] = axis_legend_title

        list_chart_categorical_legend_show_legend = [True, False] + [None]
        if (
            chart_categorical_legend_show_legend
            not in list_chart_categorical_legend_show_legend
        ):
            raise ValueError(
                f"`chart_categorical_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_categorical_legend_show_legend
            in list_chart_categorical_legend_show_legend
            and chart_categorical_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_categorical_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "show_legend"
                ] = filtered_dict[chart_categorical_legend_show_legend]

        list_chart_categorical_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_categorical_legend_title_mode
            not in list_chart_categorical_legend_title_mode
        ):
            raise ValueError(
                f"`chart_categorical_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_categorical_legend_title_mode
            in list_chart_categorical_legend_title_mode
            and chart_categorical_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_categorical_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"]["title_mode"] = filtered_dict[
                    chart_categorical_legend_title_mode
                ]
        self.state["state"]["legend_categorical"][
            "title"
        ] = chart_categorical_legend_title
        self.state["state"]["legend_categorical"][
            "swatch_width"
        ] = chart_categorical_legend_swatch_width
        self.state["state"]["legend_categorical"][
            "swatch_height"
        ] = chart_categorical_legend_swatch_height
        self.state["state"]["legend_categorical"][
            "swatch_radius"
        ] = chart_categorical_legend_swatch_radius
        self.state["state"]["legend_categorical"][
            "legend_items_padding"
        ] = chart_categorical_legend_legend_items_padding
        self.state["state"]["legend_categorical"][
            "swatch_outline"
        ] = chart_categorical_legend_swatch_outline
        self.state["state"]["legend_categorical"][
            "swatch_outline_color"
        ] = chart_categorical_legend_swatch_outline_color

        if (
            chart_categorical_legend_order_override is not None
            and len(chart_categorical_legend_order_override) > 1
            and isinstance(chart_categorical_legend_order_override, list)
        ):
            self.state["state"]["legend_categorical"]["order_override"] = " \n ".join(
                chart_categorical_legend_order_override
            )
        else:
            self.state["state"]["legend_categorical"][
                "order_override"
            ] = chart_categorical_legend_order_override

        self.state["state"]["legend_categorical"][
            "icon_height"
        ] = chart_categorical_legend_icon_height
        self.state["state"]["legend_categorical"][
            "icon_color"
        ] = chart_categorical_legend_icon_color
        self.state["state"]["legend_categorical"][
            "max_width"
        ] = chart_categorical_legend_max_width

        list_chart_categorical_legend_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_categorical_legend_orientation
            not in list_chart_categorical_legend_orientation
        ):
            raise ValueError(
                f"`chart_categorical_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_categorical_legend_orientation
            in list_chart_categorical_legend_orientation
            and chart_categorical_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_categorical_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "orientation"
                ] = filtered_dict[chart_categorical_legend_orientation]

        list_chart_size_legend_show_legend = [True, False] + [None]
        if chart_size_legend_show_legend not in list_chart_size_legend_show_legend:
            raise ValueError(
                f"`chart_size_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_size_legend_show_legend in list_chart_size_legend_show_legend
            and chart_size_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_size_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_size"]["show_legend"] = filtered_dict[
                    chart_size_legend_show_legend
                ]

        list_chart_size_legend_title_mode = ["auto", "custom"] + [None]
        if chart_size_legend_title_mode not in list_chart_size_legend_title_mode:
            raise ValueError(
                f"`chart_size_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_size_legend_title_mode in list_chart_size_legend_title_mode
            and chart_size_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_size_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_size"]["title_mode"] = filtered_dict[
                    chart_size_legend_title_mode
                ]
        self.state["state"]["legend_size"]["title"] = chart_size_legend_title
        self.state["state"]["legend_size"]["shape_fill"] = chart_size_legend_shape_fill
        self.state["state"]["legend_size"][
            "shape_stroke"
        ] = chart_size_legend_shape_stroke
        self.state["state"]["legend_size"][
            "clip_height"
        ] = chart_size_legend_clip_height
        self.state["state"]["legend_size"][
            "small_symbol_size"
        ] = chart_size_legend_small_symbol_size

        list_chart_popup_mode = ["none", "popup", "panel", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'panel', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "panel": "panel",
                    "both": "both",
                }.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popup"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popup"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popup"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        if (
            chart_popup_popup_custom_accessible is not None
            and len(chart_popup_popup_custom_accessible) > 1
            and isinstance(chart_popup_popup_custom_accessible, list)
        ):
            self.state["state"]["popup"]["popup_custom_accessible"] = " \n ".join(
                chart_popup_popup_custom_accessible
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_accessible"
            ] = chart_popup_popup_custom_accessible

        self.state["state"]["popup"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popup"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popup"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popup"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popup"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popup"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popup"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popup"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popup"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_label_weight"] = filtered_dict[
                    chart_popup_popup_list_label_weight
                ]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popup"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popup"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popup"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popup"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popup"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popup"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popup"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popup"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popup"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popup"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popup"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popup"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popup"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popup"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popup"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_vertical_position"] = filtered_dict[
                    chart_popup_panel_vertical_position
                ]
        self.state["state"]["popup"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popup"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popup"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popup"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popup"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popup"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_label_weight"] = filtered_dict[
                    chart_popup_panel_list_label_weight
                ]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popup"]["panel_shadow"] = chart_popup_panel_shadow

        list_chart_number_localization_input_decimal_separator = [".", ","] + [None]
        if (
            chart_number_localization_input_decimal_separator
            not in list_chart_number_localization_input_decimal_separator
        ):
            raise ValueError(
                f"`chart_number_localization_input_decimal_separator` must be one of: ['.', ',']"
            )
        elif (
            chart_number_localization_input_decimal_separator
            in list_chart_number_localization_input_decimal_separator
            and chart_number_localization_input_decimal_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {".": ".", ",": ","}.items()
                if chart_number_localization_input_decimal_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "input_decimal_separator"
                ] = filtered_dict[chart_number_localization_input_decimal_separator]

        list_chart_number_localization_output_separators = [
            ",.",
            ".,",
            ".",
            ",",
            " .",
            " ,",
        ] + [None]
        if (
            chart_number_localization_output_separators
            not in list_chart_number_localization_output_separators
        ):
            raise ValueError(
                f"`chart_number_localization_output_separators` must be one of: [',.', '.,', '.', ',', ' .', ' ,']"
            )
        elif (
            chart_number_localization_output_separators
            in list_chart_number_localization_output_separators
            and chart_number_localization_output_separators is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ",.": ",.",
                    ".,": ".,",
                    ".": ".",
                    ",": ",",
                    " .": " .",
                    " ,": " ,",
                }.items()
                if chart_number_localization_output_separators in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "output_separators"
                ] = filtered_dict[chart_number_localization_output_separators]
        self.state["state"]["size_by_format"][
            "prefix"
        ] = chart_number_date_format_prefix
        self.state["state"]["size_by_format"][
            "suffix"
        ] = chart_number_date_format_suffix
        self.state["state"]["size_by_format"]["n_dec"] = chart_number_date_format_n_dec
        self.state["state"]["size_by_format"][
            "advanced"
        ] = chart_number_date_format_advanced

        list_chart_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_number_date_format_negative_sign
            not in list_chart_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_number_date_format_negative_sign
            in list_chart_number_date_format_negative_sign
            and chart_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["size_by_format"]["negative_sign"] = filtered_dict[
                    chart_number_date_format_negative_sign
                ]
        self.state["state"]["size_by_format"][
            "strip_zeros"
        ] = chart_number_date_format_strip_zeros
        self.state["state"]["size_by_format"][
            "strip_separator"
        ] = chart_number_date_format_strip_separator
        self.state["state"]["size_by_format"][
            "transform_labels"
        ] = chart_number_date_format_transform_labels

        list_chart_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_number_date_format_transform
            not in list_chart_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_number_date_format_transform
            in list_chart_number_date_format_transform
            and chart_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["size_by_format"]["transform"] = filtered_dict[
                    chart_number_date_format_transform
                ]
        self.state["state"]["size_by_format"][
            "multiply_divide_constant"
        ] = chart_number_date_format_multiply_divide_constant
        self.state["state"]["size_by_format"][
            "exponentiate_constant"
        ] = chart_number_date_format_exponentiate_constant
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_calculator_details(
        self,
        question_flow: str = None,
        design_border_type: str = None,
        design_border_color: str = None,
        design_background: str = None,
        design_advanced: bool = None,
        design_align_horizontal: str = None,
        design_align_vertical: str = None,
        design_max_width: float = None,
        design_margin_vertical: float = None,
        design_padding_vertical: float = None,
        design_padding_horizontal: float = None,
        design_border_width: float = None,
        design_border_style: str = None,
        design_border_radius: float = None,
        design_shadow: bool = None,
        design_shadow_color: str = None,
        result_variables: Union[list, str] = None,
        result_input: Union[list, str] = None,
        result_advanced: bool = None,
        result_font_size: str = None,
        result_font_size_custom: float = None,
        result_font_color: str = None,
        result_font_weight: str = None,
        result_font_style: str = None,
        result_border_type: str = None,
        result_border_width: float = None,
        result_border_style: str = None,
        result_border_color: str = None,
        result_bg_type: str = None,
        result_bg_color: str = None,
        result_bg_image_src: str = None,
        result_bg_image_size: str = None,
        design_question_font_size: str = None,
        design_question_font_size_custom: float = None,
        design_question_font_color: str = None,
        design_question_font_weight: str = None,
        design_question_font_style: str = None,
        design_question_margin_vertical: float = None,
        design_question_margin_horizontal: float = None,
        design_question_padding: float = None,
        design_context_font_size: str = None,
        design_context_font_size_custom: float = None,
        design_context_font_color: str = None,
        design_context_font_weight: str = None,
        design_context_font_style: str = None,
        design_context_margin_vertical: float = None,
        design_context_margin_horizontal: float = None,
        design_question_bg_color: str = None,
        design_question_bg_opacity: float = None,
        design_question_border_radius: float = None,
        design_answer_margin_vertical: float = None,
        design_answer_margin_horizontal: float = None,
        input_color: str = None,
        input_background_color: str = None,
        input_width: float = None,
        number_input_placeholder: str = None,
        text_input_placeholder: str = None,
        input_input_advanced: bool = None,
        input_border_color: str = None,
        input_border_radius: float = None,
        input_border_width: float = None,
        input_border_style: str = None,
        input_align: str = None,
        input_margin: float = None,
        input_padding: float = None,
        button_font_size: str = None,
        button_font_size_custom: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        button_border_style: str = None,
        button_container_width: float = None,
        button_justify_content: str = None,
        button_margin: float = None,
        button_padding_factor: float = None,
        dropdown_font_size: str = None,
        dropdown_font_size_custom: float = None,
        dropdown_placeholder: str = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        dropdown_padding_factor: float = None,
        dropdown_border_style: str = None,
        dropdown_font_weight: str = None,
        dropdown_font_style: str = None,
        dropdown_shadow: bool = None,
        dropdown_shadow_color: str = None,
        date_format: str = None,
        date_input_placeholder: str = None,
        date_advanced: bool = None,
        date_width: float = None,
        date_margin: float = None,
        date_padding: float = None,
        date_border_width: float = None,
        date_border_style: str = None,
        date_border_color: str = None,
        date_border_radius: float = None,
        date_align: str = None,
        date_calendar_position_vertical: str = None,
        date_calendar_position_horizontal: str = None,
        rating_icon_type: str = None,
        rating_icon_fill_base: str = None,
        rating_icon_stroke_base: str = None,
        rating_icon_fill_active: str = None,
        rating_icon_stroke_active: str = None,
        rating_advanced: bool = None,
        rating_icon_width: float = None,
        rating_icon_height: float = None,
        rating_icon_margin: float = None,
        rating_icon_stroke_width: float = None,
        rating_container_width: float = None,
        rating_wrap_margin_vertical: float = None,
        rating_wrap_margin_horizontal: float = None,
        rating_wrap_padding_vertical: float = None,
        rating_wrap_padding_horizontal: float = None,
        rating_label_width: float = None,
        rating_label_color: str = None,
        rating_label_position: str = None,
        chart_slider_filter_controls_handle_color: str = None,
        chart_slider_filter_controls_track_active_color: str = None,
        chart_slider_filter_controls_track_base_color: str = None,
        chart_slider_filter_controls_handle_size: float = None,
        chart_slider_filter_controls_ticks: bool = None,
        chart_slider_filter_controls_advanced: bool = None,
        chart_slider_filter_controls_container_width: float = None,
        chart_slider_filter_controls_wrap_margin_vertical: float = None,
        chart_slider_filter_controls_wrap_margin_horizontal: float = None,
        chart_slider_filter_controls_track_height: float = None,
        chart_slider_filter_controls_track_border_radius: float = None,
        chart_slider_filter_controls_track_border_color: str = None,
        chart_slider_filter_controls_track_border_width: float = None,
        chart_slider_filter_controls_handle_shape: str = None,
        chart_slider_filter_controls_handle_width: float = None,
        chart_slider_filter_controls_handle_border_color: str = None,
        chart_slider_filter_controls_handle_border_width: float = None,
        chart_slider_filter_controls_handle_border_radius: float = None,
        chart_slider_filter_controls_handle_box_shadow: bool = None,
        chart_slider_filter_controls_tooltips: bool = None,
        chart_slider_filter_controls_tooltip_background: bool = None,
        chart_slider_filter_controls_tick_color: str = None,
        chart_slider_filter_controls_tick_padding: float = None,
        chart_slider_filter_controls_tick_number_padding: float = None,
        submit_comment_text: Union[list, str] = None,
        submit_button_text: str = None,
        submit_bg_type: str = None,
        submit_bg_color: str = None,
        submit_bg_image_src: str = None,
        submit_border: bool = None,
        submit_bg_image_size: str = None,
        submit_advanced: bool = None,
        submit_comment_font_size: str = None,
        submit_comment_font_size_custom: float = None,
        submit_comment_font_weight: str = None,
        submit_comment_font_style: str = None,
        submit_flex_direction: str = None,
        submit_comment_font_color: str = None,
        submit_comment_margin: float = None,
        submit_button_font_size: str = None,
        submit_button_font_size_custom: float = None,
        submit_button_font_weight: str = None,
        submit_button_font_style: str = None,
        submit_button_margin: float = None,
        submit_button_padding_factor: float = None,
        submit_button_box_shadow: bool = None,
        submit_button_use_default_styles: bool = None,
        submit_button_bg_color: str = None,
        submit_button_bg_color_hover: str = None,
        submit_button_font_color: str = None,
        submit_button_font_color_hover: str = None,
        submit_button_border_style: str = None,
        submit_button_border_color: str = None,
        submit_button_border_width: float = None,
        submit_button_border_transparency: float = None,
        submit_button_border_radius: float = None,
        design_controls_position: str = None,
        design_controls_button_symbol_back: str = None,
        design_controls_button_symbol_forward: str = None,
        design_controls_button_font_color: str = None,
        design_controls_button_font_size: float = None,
        design_controls_advanced: bool = None,
        design_controls_button_margin: float = None,
        design_controls_button_padding_factor: float = None,
        design_controls_button_bg_color: str = None,
        design_controls_button_bg_opacity: float = None,
        design_controls_button_font_weight: str = None,
        design_controls_button_font_style: str = None,
        design_controls_button_border_width: float = None,
        design_controls_button_border_style: str = None,
        design_controls_button_border_color: str = None,
        design_controls_button_border_radius: float = None,
        design_progress_show: bool = None,
        design_progress_position: str = None,
        design_progress_height: float = None,
        design_progress_margin: float = None,
        design_progress_bg_color: str = None,
        design_progress_bg_opacity: float = None,
        chart_number_date_format_prefix: str = None,
        chart_number_date_format_suffix: str = None,
        chart_number_date_format_n_dec: float = None,
        chart_number_date_format_advanced: bool = None,
        chart_number_date_format_negative_sign: str = None,
        chart_number_date_format_strip_zeros: bool = None,
        chart_number_date_format_strip_separator: bool = None,
        chart_number_date_format_transform_labels: bool = None,
        chart_number_date_format_transform: str = None,
        chart_number_date_format_multiply_divide_constant: float = None,
        chart_number_date_format_exponentiate_constant: float = None,
        chart_number_localization_input_decimal_separator: str = None,
        chart_number_localization_output_separators: str = None,
        external_write_enabled: bool = None,
        external_write_endpoint: str = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: calculator.


        :param question_flow: Question flow. Choices: vertical, horizontal. Flourish type hint: string, defaults to None.
        :type question_flow: str, optional
        :param design_border_type: Border. Choices: border-bottom, border. Flourish type hint: string, defaults to None.
        :type design_border_type: str, optional
        :param design_border_color: Border color. Flourish type hint: color, defaults to None.
        :type design_border_color: str, optional
        :param design_background: Background. The background color of the cards. If not set, the background color in Layout is used. Flourish type hint: color, defaults to None.
        :type design_background: str, optional
        :param design_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type design_advanced: bool, optional
        :param design_align_horizontal: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type design_align_horizontal: str, optional
        :param design_align_vertical: Position. Choices: start, center, flex-end. Set the vertical text position if the window height is fixed and the text doesnt stretch across the full vertical card space. Flourish type hint: string, defaults to None.
        :type design_align_vertical: str, optional
        :param design_max_width: Max width (%). Flourish type hint: number, defaults to None.
        :type design_max_width: float, optional
        :param design_margin_vertical: Vertical margins. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type design_margin_vertical: float, optional
        :param design_padding_vertical: Vertical padding. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type design_padding_vertical: float, optional
        :param design_padding_horizontal: Horizontal padding. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type design_padding_horizontal: float, optional
        :param design_border_width: Border width. Flourish type hint: number, defaults to None.
        :type design_border_width: float, optional
        :param design_border_style: Border style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type design_border_style: str, optional
        :param design_border_radius: Roundness. Flourish type hint: number, defaults to None.
        :type design_border_radius: float, optional
        :param design_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type design_shadow: bool, optional
        :param design_shadow_color: Shadow color. Shadow color as an RGBA value (red, green, blue, alpha). The alpha parameter is a number between 0.0 (fully transparent) and 1.0 (fully opaque). Flourish type hint: string, defaults to None.
        :type design_shadow_color: str, optional
        :param result_variables: Variables.  Define variables to use in the Result field below. Set one variable per line in the format name = value Values can be:   Numbers   Text (single quotes for spaces)   Question references like q_2  with the number representing the row number of each question in the Questions datasheet  Previously defined variables (if wrapped into square   brackets ) which will resolve to the answered value   Excel functions, e.g., a = SUM(q_2, q_3)  Flourish type hint: text, defaults to None.
        :type result_variables: Union[list, str], optional
        :param result_input: Result. Here you can compose your result view You have access to all variables you created above as well as all "q_" variables by referencing them in double curly braces like for example: `{{ my_variable }}` or `{{ q_6 }}` Flourish type hint: html, defaults to None.
        :type result_input: Union[list, str], optional
        :param result_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type result_advanced: bool, optional
        :param result_font_size: Text size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type result_font_size: str, optional
        :param result_font_size_custom: Custom. Specify a custom responsive text size. Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type result_font_size_custom: float, optional
        :param result_font_color: Color. Flourish type hint: color, defaults to None.
        :type result_font_color: str, optional
        :param result_font_weight: Text weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type result_font_weight: str, optional
        :param result_font_style: Text style. Choices: normal, italic. Flourish type hint: string, defaults to None.
        :type result_font_style: str, optional
        :param result_border_type: Border. Choices: border-bottom, border. Flourish type hint: string, defaults to None.
        :type result_border_type: str, optional
        :param result_border_width: Border width. Flourish type hint: number, defaults to None.
        :type result_border_width: float, optional
        :param result_border_style: Border style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type result_border_style: str, optional
        :param result_border_color: Border color. Flourish type hint: color, defaults to None.
        :type result_border_color: str, optional
        :param result_bg_type: Background. Choices: color, image. Flourish type hint: string, defaults to None.
        :type result_bg_type: str, optional
        :param result_bg_color: Background color. Flourish type hint: color, defaults to None.
        :type result_bg_color: str, optional
        :param result_bg_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type result_bg_image_src: str, optional
        :param result_bg_image_size: Image size. Choices: auto, cover, contain. Flourish type hint: string, defaults to None.
        :type result_bg_image_size: str, optional
        :param design_question_font_size: Text size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type design_question_font_size: str, optional
        :param design_question_font_size_custom: Custom. Specify a custom responsive text size. Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type design_question_font_size_custom: float, optional
        :param design_question_font_color: Color. The text color used for your questions. If not set, the text color in Layout is used. Flourish type hint: color, defaults to None.
        :type design_question_font_color: str, optional
        :param design_question_font_weight: Text weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type design_question_font_weight: str, optional
        :param design_question_font_style: Text style. Choices: normal, italic. Flourish type hint: string, defaults to None.
        :type design_question_font_style: str, optional
        :param design_question_margin_vertical: Vertical margins. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type design_question_margin_vertical: float, optional
        :param design_question_margin_horizontal: Horizontal margins. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type design_question_margin_horizontal: float, optional
        :param design_question_padding: Padding. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type design_question_padding: float, optional
        :param design_context_font_size: Text size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type design_context_font_size: str, optional
        :param design_context_font_size_custom: Custom. Specify a custom responsive text size. Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type design_context_font_size_custom: float, optional
        :param design_context_font_color: Color. The text color used for your question context. If not set, the text color in Layout is used. Flourish type hint: color, defaults to None.
        :type design_context_font_color: str, optional
        :param design_context_font_weight: Text weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type design_context_font_weight: str, optional
        :param design_context_font_style: Text style. Choices: normal, italic. Flourish type hint: string, defaults to None.
        :type design_context_font_style: str, optional
        :param design_context_margin_vertical: Vertical margins. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type design_context_margin_vertical: float, optional
        :param design_context_margin_horizontal: Horizontal margins. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type design_context_margin_horizontal: float, optional
        :param design_question_bg_color: Background color. The background color for your questions and context. To change the background color of the whole question card, go to the General design settings. Flourish type hint: color, defaults to None.
        :type design_question_bg_color: str, optional
        :param design_question_bg_opacity: Background opacity. The opacity of the question background color. Flourish type hint: number, defaults to None.
        :type design_question_bg_opacity: float, optional
        :param design_question_border_radius: Roundness. The roundness of the question background container. Flourish type hint: number, defaults to None.
        :type design_question_border_radius: float, optional
        :param design_answer_margin_vertical: Vertical margins. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type design_answer_margin_vertical: float, optional
        :param design_answer_margin_horizontal: Horizontal margins. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type design_answer_margin_horizontal: float, optional
        :param input_color: Color. Flourish type hint: color, defaults to None.
        :type input_color: str, optional
        :param input_background_color: Background color. Flourish type hint: color, defaults to None.
        :type input_background_color: str, optional
        :param input_width: Width. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type input_width: float, optional
        :param number_input_placeholder: Number input placeholder. Flourish type hint: string, defaults to None.
        :type number_input_placeholder: str, optional
        :param text_input_placeholder: Text input placeholder. Flourish type hint: string, defaults to None.
        :type text_input_placeholder: str, optional
        :param input_input_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type input_input_advanced: bool, optional
        :param input_border_color: Border color. Flourish type hint: color, defaults to None.
        :type input_border_color: str, optional
        :param input_border_radius: Roundness. Flourish type hint: number, defaults to None.
        :type input_border_radius: float, optional
        :param input_border_width: Border width. Flourish type hint: number, defaults to None.
        :type input_border_width: float, optional
        :param input_border_style: Border style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type input_border_style: str, optional
        :param input_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type input_align: str, optional
        :param input_margin: Margin. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type input_margin: float, optional
        :param input_padding: Padding. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type input_padding: float, optional
        :param button_font_size: Text size. Choices: 1, 1.2, 1.6, custom. Flourish type hint: string, defaults to None.
        :type button_font_size: str, optional
        :param button_font_size_custom: Custom. Specify a custom responsive text size. Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type button_font_size_custom: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param button_border_style: Border style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type button_border_style: str, optional
        :param button_container_width: Button group width (%). The width of the button group as a percentage of the card width. Flourish type hint: number, defaults to None.
        :type button_container_width: float, optional
        :param button_justify_content: Align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type button_justify_content: str, optional
        :param button_margin: Margin. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type button_margin: float, optional
        :param button_padding_factor: Padding. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type button_padding_factor: float, optional
        :param dropdown_font_size: Text size. Choices: 1, 1.2, 1.6, custom. Flourish type hint: string, defaults to None.
        :type dropdown_font_size: str, optional
        :param dropdown_font_size_custom: Custom. Specify a custom responsive text size. Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type dropdown_font_size_custom: float, optional
        :param dropdown_placeholder: Placeholder. Flourish type hint: string, defaults to None.
        :type dropdown_placeholder: str, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param dropdown_padding_factor: Padding. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type dropdown_padding_factor: float, optional
        :param dropdown_border_style: Border look. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type dropdown_border_style: str, optional
        :param dropdown_font_weight: Text weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type dropdown_font_weight: str, optional
        :param dropdown_font_style: Text style. Choices: normal, italic. Flourish type hint: string, defaults to None.
        :type dropdown_font_style: str, optional
        :param dropdown_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type dropdown_shadow: bool, optional
        :param dropdown_shadow_color: Shadow color. Flourish type hint: string, defaults to None.
        :type dropdown_shadow_color: str, optional
        :param date_format: Format. Choices: y-m-d, d/m/_y, d/m/y, j/n/_y, j/n/y, d-m-_y, d-m-y, j-n-_y, j-n-y, d.m._y, d.m.y, j.n._y, j.n.y, m/d/_y, m/d/y, n/j/_y, n/j/y, m-d-_y, m-d-y, n-j-_y, n-j-y, m j, _y, f j, _y. Flourish type hint: string, defaults to None.
        :type date_format: str, optional
        :param date_input_placeholder: Placeholder. Flourish type hint: string, defaults to None.
        :type date_input_placeholder: str, optional
        :param date_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type date_advanced: bool, optional
        :param date_width: Width. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type date_width: float, optional
        :param date_margin: Margin. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type date_margin: float, optional
        :param date_padding: Padding. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type date_padding: float, optional
        :param date_border_width: Border width. Flourish type hint: number, defaults to None.
        :type date_border_width: float, optional
        :param date_border_style: Border style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type date_border_style: str, optional
        :param date_border_color: Border color. Flourish type hint: color, defaults to None.
        :type date_border_color: str, optional
        :param date_border_radius: Roundness. Flourish type hint: number, defaults to None.
        :type date_border_radius: float, optional
        :param date_align: Text alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type date_align: str, optional
        :param date_calendar_position_vertical: Calendar vertical position. Choices: auto, above, below. Flourish type hint: string, defaults to None.
        :type date_calendar_position_vertical: str, optional
        :param date_calendar_position_horizontal: Calendar horizontal position. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type date_calendar_position_horizontal: str, optional
        :param rating_icon_type: Choices: star, circle, check. Flourish type hint: string, defaults to None.
        :type rating_icon_type: str, optional
        :param rating_icon_fill_base: Base fill color. Flourish type hint: color, defaults to None.
        :type rating_icon_fill_base: str, optional
        :param rating_icon_stroke_base: Base stroke color. Flourish type hint: color, defaults to None.
        :type rating_icon_stroke_base: str, optional
        :param rating_icon_fill_active: Active fill color. Flourish type hint: color, defaults to None.
        :type rating_icon_fill_active: str, optional
        :param rating_icon_stroke_active: Active stroke color. Flourish type hint: color, defaults to None.
        :type rating_icon_stroke_active: str, optional
        :param rating_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type rating_advanced: bool, optional
        :param rating_icon_width: Width. Flourish type hint: number, defaults to None.
        :type rating_icon_width: float, optional
        :param rating_icon_height: Height. Flourish type hint: number, defaults to None.
        :type rating_icon_height: float, optional
        :param rating_icon_margin: Vertical margin. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type rating_icon_margin: float, optional
        :param rating_icon_stroke_width: Stroke width (px). Flourish type hint: number, defaults to None.
        :type rating_icon_stroke_width: float, optional
        :param rating_container_width: Rating group width (%). The width of the rating group as a percentage of the card width. Flourish type hint: number, defaults to None.
        :type rating_container_width: float, optional
        :param rating_wrap_margin_vertical: Vertical margins. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type rating_wrap_margin_vertical: float, optional
        :param rating_wrap_margin_horizontal: Horizontal margins. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type rating_wrap_margin_horizontal: float, optional
        :param rating_wrap_padding_vertical: Vertical padding. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type rating_wrap_padding_vertical: float, optional
        :param rating_wrap_padding_horizontal: Horizontal padding. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type rating_wrap_padding_horizontal: float, optional
        :param rating_label_width: Width. Flourish type hint: number, defaults to None.
        :type rating_label_width: float, optional
        :param rating_label_color: Color. Flourish type hint: color, defaults to None.
        :type rating_label_color: str, optional
        :param rating_label_position: Position. Choices: above, below. Flourish type hint: string, defaults to None.
        :type rating_label_position: str, optional
        :param chart_slider_filter_controls_handle_color: Handle color. Flourish type hint: color, defaults to None.
        :type chart_slider_filter_controls_handle_color: str, optional
        :param chart_slider_filter_controls_track_active_color: Track active color. Flourish type hint: color, defaults to None.
        :type chart_slider_filter_controls_track_active_color: str, optional
        :param chart_slider_filter_controls_track_base_color: Track background color. Flourish type hint: color, defaults to None.
        :type chart_slider_filter_controls_track_base_color: str, optional
        :param chart_slider_filter_controls_handle_size: Handle size. percentage of track height. Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_handle_size: float, optional
        :param chart_slider_filter_controls_ticks: Range ticks. Display the minimum and the maximum of the range at the left and right. Flourish type hint: boolean, defaults to None.
        :type chart_slider_filter_controls_ticks: bool, optional
        :param chart_slider_filter_controls_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_slider_filter_controls_advanced: bool, optional
        :param chart_slider_filter_controls_container_width: Track width (%). The width of the track as a percentage of the card width. Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_container_width: float, optional
        :param chart_slider_filter_controls_wrap_margin_vertical: Vertical margins. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_wrap_margin_vertical: float, optional
        :param chart_slider_filter_controls_wrap_margin_horizontal: Horizontal margins. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_wrap_margin_horizontal: float, optional
        :param chart_slider_filter_controls_track_height: Height. Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_track_height: float, optional
        :param chart_slider_filter_controls_track_border_radius: Roundness. Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_track_border_radius: float, optional
        :param chart_slider_filter_controls_track_border_color: Border color. Flourish type hint: color, defaults to None.
        :type chart_slider_filter_controls_track_border_color: str, optional
        :param chart_slider_filter_controls_track_border_width: Border width. The width of the border around the card, in rems Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_track_border_width: float, optional
        :param chart_slider_filter_controls_handle_shape: Shape. Choices: rectangle, circle. Flourish type hint: string, defaults to None.
        :type chart_slider_filter_controls_handle_shape: str, optional
        :param chart_slider_filter_controls_handle_width: Width. % of Size (the handle height). Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_handle_width: float, optional
        :param chart_slider_filter_controls_handle_border_color: Stroke color. Flourish type hint: color, defaults to None.
        :type chart_slider_filter_controls_handle_border_color: str, optional
        :param chart_slider_filter_controls_handle_border_width: Stroke width. Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_handle_border_width: float, optional
        :param chart_slider_filter_controls_handle_border_radius: Roundness. Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_handle_border_radius: float, optional
        :param chart_slider_filter_controls_handle_box_shadow: Box shadow. Flourish type hint: boolean, defaults to None.
        :type chart_slider_filter_controls_handle_box_shadow: bool, optional
        :param chart_slider_filter_controls_tooltips: Tooltip. Flourish type hint: boolean, defaults to None.
        :type chart_slider_filter_controls_tooltips: bool, optional
        :param chart_slider_filter_controls_tooltip_background: Tooltip background. Flourish type hint: boolean, defaults to None.
        :type chart_slider_filter_controls_tooltip_background: bool, optional
        :param chart_slider_filter_controls_tick_color: Tick color. Flourish type hint: color, defaults to None.
        :type chart_slider_filter_controls_tick_color: str, optional
        :param chart_slider_filter_controls_tick_padding: Tick padding. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_tick_padding: float, optional
        :param chart_slider_filter_controls_tick_number_padding: Number padding. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_tick_number_padding: float, optional
        :param submit_comment_text: Submit label. Flourish type hint: text, defaults to None.
        :type submit_comment_text: Union[list, str], optional
        :param submit_button_text: Submit button text. Flourish type hint: string, defaults to None.
        :type submit_button_text: str, optional
        :param submit_bg_type: Background. Choices: color, image. Flourish type hint: string, defaults to None.
        :type submit_bg_type: str, optional
        :param submit_bg_color: Color. Flourish type hint: color, defaults to None.
        :type submit_bg_color: str, optional
        :param submit_bg_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type submit_bg_image_src: str, optional
        :param submit_border: Border. Flourish type hint: boolean, defaults to None.
        :type submit_border: bool, optional
        :param submit_bg_image_size: Image size. Choices: auto, cover, contain. Flourish type hint: string, defaults to None.
        :type submit_bg_image_size: str, optional
        :param submit_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type submit_advanced: bool, optional
        :param submit_comment_font_size: Label size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type submit_comment_font_size: str, optional
        :param submit_comment_font_size_custom: Custom. Specify a custom responsive text size. Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type submit_comment_font_size_custom: float, optional
        :param submit_comment_font_weight: Text weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type submit_comment_font_weight: str, optional
        :param submit_comment_font_style: Text style. Choices: normal, italic. Flourish type hint: string, defaults to None.
        :type submit_comment_font_style: str, optional
        :param submit_flex_direction: Label position. Choices: column, column-reverse. Flourish type hint: string, defaults to None.
        :type submit_flex_direction: str, optional
        :param submit_comment_font_color: Label color. Flourish type hint: color, defaults to None.
        :type submit_comment_font_color: str, optional
        :param submit_comment_margin: Vertical margins. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type submit_comment_margin: float, optional
        :param submit_button_font_size: Button text size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type submit_button_font_size: str, optional
        :param submit_button_font_size_custom: Custom. Specify a custom responsive text size. Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type submit_button_font_size_custom: float, optional
        :param submit_button_font_weight: Button text weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type submit_button_font_weight: str, optional
        :param submit_button_font_style: Text style. Choices: normal, italic. Flourish type hint: string, defaults to None.
        :type submit_button_font_style: str, optional
        :param submit_button_margin: Margin. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type submit_button_margin: float, optional
        :param submit_button_padding_factor: Padding. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type submit_button_padding_factor: float, optional
        :param submit_button_box_shadow: Hover shadow. Flourish type hint: boolean, defaults to None.
        :type submit_button_box_shadow: bool, optional
        :param submit_button_use_default_styles: Use answer button styles. Flourish type hint: boolean, defaults to None.
        :type submit_button_use_default_styles: bool, optional
        :param submit_button_bg_color: Background. Flourish type hint: color, defaults to None.
        :type submit_button_bg_color: str, optional
        :param submit_button_bg_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type submit_button_bg_color_hover: str, optional
        :param submit_button_font_color: Text color. Flourish type hint: color, defaults to None.
        :type submit_button_font_color: str, optional
        :param submit_button_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type submit_button_font_color_hover: str, optional
        :param submit_button_border_style: Border style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type submit_button_border_style: str, optional
        :param submit_button_border_color: Color. Flourish type hint: color, defaults to None.
        :type submit_button_border_color: str, optional
        :param submit_button_border_width: Width. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type submit_button_border_width: float, optional
        :param submit_button_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type submit_button_border_transparency: float, optional
        :param submit_button_border_radius: Roundness. Flourish type hint: number, defaults to None.
        :type submit_button_border_radius: float, optional
        :param design_controls_position: Position. Choices: top_left, top_centre, top_right, bottom_left, bottom_centre, bottom_right. Flourish type hint: string, defaults to None.
        :type design_controls_position: str, optional
        :param design_controls_button_symbol_back: Back button. Flourish type hint: string, defaults to None.
        :type design_controls_button_symbol_back: str, optional
        :param design_controls_button_symbol_forward: Forward button. Flourish type hint: string, defaults to None.
        :type design_controls_button_symbol_forward: str, optional
        :param design_controls_button_font_color: Color. Flourish type hint: color, defaults to None.
        :type design_controls_button_font_color: str, optional
        :param design_controls_button_font_size: Size. Flourish type hint: number, defaults to None.
        :type design_controls_button_font_size: float, optional
        :param design_controls_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type design_controls_advanced: bool, optional
        :param design_controls_button_margin: Margin. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type design_controls_button_margin: float, optional
        :param design_controls_button_padding_factor: Padding. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type design_controls_button_padding_factor: float, optional
        :param design_controls_button_bg_color: Background color. Flourish type hint: color, defaults to None.
        :type design_controls_button_bg_color: str, optional
        :param design_controls_button_bg_opacity: Background opacity. Flourish type hint: number, defaults to None.
        :type design_controls_button_bg_opacity: float, optional
        :param design_controls_button_font_weight: Text weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type design_controls_button_font_weight: str, optional
        :param design_controls_button_font_style: Text style. Choices: normal, italic. Flourish type hint: string, defaults to None.
        :type design_controls_button_font_style: str, optional
        :param design_controls_button_border_width: Border width. Flourish type hint: number, defaults to None.
        :type design_controls_button_border_width: float, optional
        :param design_controls_button_border_style: Border style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type design_controls_button_border_style: str, optional
        :param design_controls_button_border_color: Border color. Flourish type hint: color, defaults to None.
        :type design_controls_button_border_color: str, optional
        :param design_controls_button_border_radius: Roundness. Flourish type hint: number, defaults to None.
        :type design_controls_button_border_radius: float, optional
        :param design_progress_show: Show progress bar. Flourish type hint: boolean, defaults to None.
        :type design_progress_show: bool, optional
        :param design_progress_position: Position. Choices: top, bottom. Flourish type hint: string, defaults to None.
        :type design_progress_position: str, optional
        :param design_progress_height: Height. Flourish type hint: number, defaults to None.
        :type design_progress_height: float, optional
        :param design_progress_margin: Horizontal margins. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type design_progress_margin: float, optional
        :param design_progress_bg_color: Background color. Flourish type hint: color, defaults to None.
        :type design_progress_bg_color: str, optional
        :param design_progress_bg_opacity: Background opacity. Flourish type hint: number, defaults to None.
        :type design_progress_bg_opacity: float, optional
        :param chart_number_date_format_prefix: Prefix. Text to place in front of number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_prefix: str, optional
        :param chart_number_date_format_suffix: Suffix. Text to place after number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_suffix: str, optional
        :param chart_number_date_format_n_dec: Decimal places. Enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_number_date_format_n_dec: float, optional
        :param chart_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_advanced: bool, optional
        :param chart_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_negative_sign: str, optional
        :param chart_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_zeros: bool, optional
        :param chart_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_separator: bool, optional
        :param chart_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_transform_labels: bool, optional
        :param chart_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_transform: str, optional
        :param chart_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_multiply_divide_constant: float, optional
        :param chart_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_exponentiate_constant: float, optional
        :param chart_number_localization_input_decimal_separator: Decimal separator in data sheet. Choices: ., ,. Used for interpreting your data. Only change if data is not displaying on the chart as expected. Flourish type hint: string, defaults to None.
        :type chart_number_localization_input_decimal_separator: str, optional
        :param chart_number_localization_output_separators: Number format to display. Choices: ,., .,, ., ,, ., ,. How the numbers should appear on chart labels. Flourish type hint: string, defaults to None.
        :type chart_number_localization_output_separators: str, optional
        :param external_write_enabled: Store result data externally. Flourish type hint: boolean, defaults to None.
        :type external_write_enabled: bool, optional
        :param external_write_endpoint: Storage endpoint. Your external database, store, API or web app endpoint to post data to. If you were to use Google Sheets to store your data, please check the External write docs for integration help. Flourish type hint: string, defaults to None.
        :type external_write_endpoint: str, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "design": {
                    "question": {},
                    "context": {},
                    "answer": {},
                    "controls": {"button": {}},
                    "progress": {},
                },
                "result": {},
                "input": {},
                "number": {},
                "text": {},
                "button": {},
                "button_style": {},
                "dropdown": {},
                "dropdown_style": {},
                "date": {"calendar_position": {}},
                "rating": {},
                "slider": {},
                "submit": {"comment": {}, "button": {}},
                "number_format": {},
                "localization": {},
                "external_write": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        list_question_flow = ["vertical", "horizontal"] + [None]
        if question_flow not in list_question_flow:
            raise ValueError(
                f"`question_flow` must be one of: ['vertical', 'horizontal']"
            )
        elif question_flow in list_question_flow and question_flow is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "vertical": "vertical",
                    "horizontal": "horizontal",
                }.items()
                if question_flow in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["question_flow"] = filtered_dict[question_flow]

        list_design_border_type = ["border-bottom", "border"] + [None]
        if design_border_type not in list_design_border_type:
            raise ValueError(
                f"`design_border_type` must be one of: ['border-bottom', 'border']"
            )
        elif (
            design_border_type in list_design_border_type
            and design_border_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "border-bottom": "border-bottom",
                    "border": "border",
                }.items()
                if design_border_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["design"]["border_type"] = filtered_dict[
                    design_border_type
                ]
        self.state["state"]["design"]["border_color"] = design_border_color
        self.state["state"]["design"]["background"] = design_background
        self.state["state"]["design"]["advanced"] = design_advanced

        list_design_align_horizontal = ["start", "center", "end"] + [None]
        if design_align_horizontal not in list_design_align_horizontal:
            raise ValueError(
                f"`design_align_horizontal` must be one of: ['start', 'center', 'end']"
            )
        elif (
            design_align_horizontal in list_design_align_horizontal
            and design_align_horizontal is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if design_align_horizontal in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["design"]["align_horizontal"] = filtered_dict[
                    design_align_horizontal
                ]

        list_design_align_vertical = ["start", "center", "flex-end"] + [None]
        if design_align_vertical not in list_design_align_vertical:
            raise ValueError(
                f"`design_align_vertical` must be one of: ['start', 'center', 'flex-end']"
            )
        elif (
            design_align_vertical in list_design_align_vertical
            and design_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if design_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["design"]["align_vertical"] = filtered_dict[
                    design_align_vertical
                ]
        self.state["state"]["design"]["max_width"] = design_max_width
        self.state["state"]["design"]["margin_vertical"] = design_margin_vertical
        self.state["state"]["design"]["padding_vertical"] = design_padding_vertical
        self.state["state"]["design"]["padding_horizontal"] = design_padding_horizontal
        self.state["state"]["design"]["border_width"] = design_border_width

        list_design_border_style = ["solid", "dashed", "dotted"] + [None]
        if design_border_style not in list_design_border_style:
            raise ValueError(
                f"`design_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            design_border_style in list_design_border_style
            and design_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if design_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["design"]["border_style"] = filtered_dict[
                    design_border_style
                ]
        self.state["state"]["design"]["border_radius"] = design_border_radius
        self.state["state"]["design"]["shadow"] = design_shadow
        self.state["state"]["design"]["shadow_color"] = design_shadow_color

        if (
            result_variables is not None
            and len(result_variables) > 1
            and isinstance(result_variables, list)
        ):
            self.state["state"]["result"]["variables"] = " \n ".join(result_variables)
        else:
            self.state["state"]["result"]["variables"] = result_variables

        if (
            result_input is not None
            and len(result_input) > 1
            and isinstance(result_input, list)
        ):
            self.state["state"]["result"]["input"] = " \n ".join(result_input)
        else:
            self.state["state"]["result"]["input"] = result_input

        self.state["state"]["result"]["advanced"] = result_advanced

        list_result_font_size = ["1.4", "1.6", "2", "custom"] + [None]
        if result_font_size not in list_result_font_size:
            raise ValueError(
                f"`result_font_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif result_font_size in list_result_font_size and result_font_size is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if result_font_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["result"]["font_size"] = filtered_dict[
                    result_font_size
                ]
        self.state["state"]["result"]["font_size_custom"] = result_font_size_custom
        self.state["state"]["result"]["font_color"] = result_font_color

        list_result_font_weight = ["normal", "bold"] + [None]
        if result_font_weight not in list_result_font_weight:
            raise ValueError(f"`result_font_weight` must be one of: ['normal', 'bold']")
        elif (
            result_font_weight in list_result_font_weight
            and result_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if result_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["result"]["font_weight"] = filtered_dict[
                    result_font_weight
                ]

        list_result_font_style = ["normal", "italic"] + [None]
        if result_font_style not in list_result_font_style:
            raise ValueError(
                f"`result_font_style` must be one of: ['normal', 'italic']"
            )
        elif (
            result_font_style in list_result_font_style
            and result_font_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "italic": "italic"}.items()
                if result_font_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["result"]["font_style"] = filtered_dict[
                    result_font_style
                ]

        list_result_border_type = ["border-bottom", "border"] + [None]
        if result_border_type not in list_result_border_type:
            raise ValueError(
                f"`result_border_type` must be one of: ['border-bottom', 'border']"
            )
        elif (
            result_border_type in list_result_border_type
            and result_border_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "border-bottom": "border-bottom",
                    "border": "border",
                }.items()
                if result_border_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["result"]["border_type"] = filtered_dict[
                    result_border_type
                ]
        self.state["state"]["result"]["border_width"] = result_border_width

        list_result_border_style = ["solid", "dashed", "dotted"] + [None]
        if result_border_style not in list_result_border_style:
            raise ValueError(
                f"`result_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            result_border_style in list_result_border_style
            and result_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if result_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["result"]["border_style"] = filtered_dict[
                    result_border_style
                ]
        self.state["state"]["result"]["border_color"] = result_border_color

        list_result_bg_type = ["color", "image"] + [None]
        if result_bg_type not in list_result_bg_type:
            raise ValueError(f"`result_bg_type` must be one of: ['color', 'image']")
        elif result_bg_type in list_result_bg_type and result_bg_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"color": "color", "image": "image"}.items()
                if result_bg_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["result"]["bg_type"] = filtered_dict[result_bg_type]
        self.state["state"]["result"]["bg_color"] = result_bg_color
        self.state["state"]["result"]["bg_image_src"] = result_bg_image_src

        list_result_bg_image_size = ["auto", "cover", "contain"] + [None]
        if result_bg_image_size not in list_result_bg_image_size:
            raise ValueError(
                f"`result_bg_image_size` must be one of: ['auto', 'cover', 'contain']"
            )
        elif (
            result_bg_image_size in list_result_bg_image_size
            and result_bg_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "cover": "cover",
                    "contain": "contain",
                }.items()
                if result_bg_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["result"]["bg_image_size"] = filtered_dict[
                    result_bg_image_size
                ]

        list_design_question_font_size = ["1.4", "1.6", "2", "custom"] + [None]
        if design_question_font_size not in list_design_question_font_size:
            raise ValueError(
                f"`design_question_font_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            design_question_font_size in list_design_question_font_size
            and design_question_font_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if design_question_font_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["design"]["question"]["font_size"] = filtered_dict[
                    design_question_font_size
                ]
        self.state["state"]["design"]["question"][
            "font_size_custom"
        ] = design_question_font_size_custom
        self.state["state"]["design"]["question"][
            "font_color"
        ] = design_question_font_color

        list_design_question_font_weight = ["normal", "bold"] + [None]
        if design_question_font_weight not in list_design_question_font_weight:
            raise ValueError(
                f"`design_question_font_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            design_question_font_weight in list_design_question_font_weight
            and design_question_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if design_question_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["design"]["question"][
                    "font_weight"
                ] = filtered_dict[design_question_font_weight]

        list_design_question_font_style = ["normal", "italic"] + [None]
        if design_question_font_style not in list_design_question_font_style:
            raise ValueError(
                f"`design_question_font_style` must be one of: ['normal', 'italic']"
            )
        elif (
            design_question_font_style in list_design_question_font_style
            and design_question_font_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "italic": "italic"}.items()
                if design_question_font_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["design"]["question"]["font_style"] = filtered_dict[
                    design_question_font_style
                ]
        self.state["state"]["design"]["question"][
            "margin_vertical"
        ] = design_question_margin_vertical
        self.state["state"]["design"]["question"][
            "margin_horizontal"
        ] = design_question_margin_horizontal
        self.state["state"]["design"]["question"]["padding"] = design_question_padding

        list_design_context_font_size = ["1.4", "1.6", "2", "custom"] + [None]
        if design_context_font_size not in list_design_context_font_size:
            raise ValueError(
                f"`design_context_font_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            design_context_font_size in list_design_context_font_size
            and design_context_font_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if design_context_font_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["design"]["context"]["font_size"] = filtered_dict[
                    design_context_font_size
                ]
        self.state["state"]["design"]["context"][
            "font_size_custom"
        ] = design_context_font_size_custom
        self.state["state"]["design"]["context"][
            "font_color"
        ] = design_context_font_color

        list_design_context_font_weight = ["normal", "bold"] + [None]
        if design_context_font_weight not in list_design_context_font_weight:
            raise ValueError(
                f"`design_context_font_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            design_context_font_weight in list_design_context_font_weight
            and design_context_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if design_context_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["design"]["context"]["font_weight"] = filtered_dict[
                    design_context_font_weight
                ]

        list_design_context_font_style = ["normal", "italic"] + [None]
        if design_context_font_style not in list_design_context_font_style:
            raise ValueError(
                f"`design_context_font_style` must be one of: ['normal', 'italic']"
            )
        elif (
            design_context_font_style in list_design_context_font_style
            and design_context_font_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "italic": "italic"}.items()
                if design_context_font_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["design"]["context"]["font_style"] = filtered_dict[
                    design_context_font_style
                ]
        self.state["state"]["design"]["context"][
            "margin_vertical"
        ] = design_context_margin_vertical
        self.state["state"]["design"]["context"][
            "margin_horizontal"
        ] = design_context_margin_horizontal
        self.state["state"]["design"]["question"]["bg_color"] = design_question_bg_color
        self.state["state"]["design"]["question"][
            "bg_opacity"
        ] = design_question_bg_opacity
        self.state["state"]["design"]["question"][
            "border_radius"
        ] = design_question_border_radius
        self.state["state"]["design"]["answer"][
            "margin_vertical"
        ] = design_answer_margin_vertical
        self.state["state"]["design"]["answer"][
            "margin_horizontal"
        ] = design_answer_margin_horizontal
        self.state["state"]["input"]["color"] = input_color
        self.state["state"]["input"]["background_color"] = input_background_color
        self.state["state"]["input"]["width"] = input_width
        self.state["state"]["number"]["input_placeholder"] = number_input_placeholder
        self.state["state"]["text"]["input_placeholder"] = text_input_placeholder
        self.state["state"]["input"]["input_advanced"] = input_input_advanced
        self.state["state"]["input"]["border_color"] = input_border_color
        self.state["state"]["input"]["border_radius"] = input_border_radius
        self.state["state"]["input"]["border_width"] = input_border_width

        list_input_border_style = ["solid", "dashed", "dotted"] + [None]
        if input_border_style not in list_input_border_style:
            raise ValueError(
                f"`input_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            input_border_style in list_input_border_style
            and input_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if input_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["input"]["border_style"] = filtered_dict[
                    input_border_style
                ]

        list_input_align = ["start", "center", "end"] + [None]
        if input_align not in list_input_align:
            raise ValueError(
                f"`input_align` must be one of: ['start', 'center', 'end']"
            )
        elif input_align in list_input_align and input_align is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if input_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["input"]["align"] = filtered_dict[input_align]
        self.state["state"]["input"]["margin"] = input_margin
        self.state["state"]["input"]["padding"] = input_padding

        list_button_font_size = ["1", "1.2", "1.6", "custom"] + [None]
        if button_font_size not in list_button_font_size:
            raise ValueError(
                f"`button_font_size` must be one of: ['1', '1.2', '1.6', 'custom']"
            )
        elif button_font_size in list_button_font_size and button_font_size is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1": "1",
                    "1.2": "1.2",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if button_font_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["button"]["font_size"] = filtered_dict[
                    button_font_size
                ]
        self.state["state"]["button"]["font_size_custom"] = button_font_size_custom
        self.state["state"]["button_style"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["button_style"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["button_style"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["button_style"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["button_style"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["button_style"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["button_style"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["button_style"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["button_style"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["button_style"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["button_style"][
            "border_radius"
        ] = chart_button_control_style_border_radius

        list_button_border_style = ["solid", "dashed", "dotted"] + [None]
        if button_border_style not in list_button_border_style:
            raise ValueError(
                f"`button_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            button_border_style in list_button_border_style
            and button_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if button_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["button"]["border_style"] = filtered_dict[
                    button_border_style
                ]
        self.state["state"]["button"]["container_width"] = button_container_width

        list_button_justify_content = ["flex-start", "center", "flex-end"] + [None]
        if button_justify_content not in list_button_justify_content:
            raise ValueError(
                f"`button_justify_content` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            button_justify_content in list_button_justify_content
            and button_justify_content is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if button_justify_content in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["button"]["justify_content"] = filtered_dict[
                    button_justify_content
                ]
        self.state["state"]["button"]["margin"] = button_margin
        self.state["state"]["button"]["padding_factor"] = button_padding_factor

        list_dropdown_font_size = ["1", "1.2", "1.6", "custom"] + [None]
        if dropdown_font_size not in list_dropdown_font_size:
            raise ValueError(
                f"`dropdown_font_size` must be one of: ['1', '1.2', '1.6', 'custom']"
            )
        elif (
            dropdown_font_size in list_dropdown_font_size
            and dropdown_font_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1": "1",
                    "1.2": "1.2",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if dropdown_font_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown"]["font_size"] = filtered_dict[
                    dropdown_font_size
                ]
        self.state["state"]["dropdown"]["font_size_custom"] = dropdown_font_size_custom
        self.state["state"]["dropdown"]["placeholder"] = dropdown_placeholder
        self.state["state"]["dropdown_style"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["dropdown_style"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["dropdown_style"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown_style"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["dropdown_style"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["dropdown_style"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["dropdown_style"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["dropdown_style"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius
        self.state["state"]["dropdown"]["padding_factor"] = dropdown_padding_factor

        list_dropdown_border_style = ["solid", "dashed", "dotted"] + [None]
        if dropdown_border_style not in list_dropdown_border_style:
            raise ValueError(
                f"`dropdown_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            dropdown_border_style in list_dropdown_border_style
            and dropdown_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if dropdown_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown"]["border_style"] = filtered_dict[
                    dropdown_border_style
                ]

        list_dropdown_font_weight = ["normal", "bold"] + [None]
        if dropdown_font_weight not in list_dropdown_font_weight:
            raise ValueError(
                f"`dropdown_font_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            dropdown_font_weight in list_dropdown_font_weight
            and dropdown_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if dropdown_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown"]["font_weight"] = filtered_dict[
                    dropdown_font_weight
                ]

        list_dropdown_font_style = ["normal", "italic"] + [None]
        if dropdown_font_style not in list_dropdown_font_style:
            raise ValueError(
                f"`dropdown_font_style` must be one of: ['normal', 'italic']"
            )
        elif (
            dropdown_font_style in list_dropdown_font_style
            and dropdown_font_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "italic": "italic"}.items()
                if dropdown_font_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown"]["font_style"] = filtered_dict[
                    dropdown_font_style
                ]
        self.state["state"]["dropdown"]["shadow"] = dropdown_shadow
        self.state["state"]["dropdown"]["shadow_color"] = dropdown_shadow_color

        list_date_format = [
            "y-m-d",
            "d/m/_y",
            "d/m/y",
            "j/n/_y",
            "j/n/y",
            "d-m-_y",
            "d-m-y",
            "j-n-_y",
            "j-n-y",
            "d.m._y",
            "d.m.y",
            "j.n._y",
            "j.n.y",
            "m/d/_y",
            "m/d/y",
            "n/j/_y",
            "n/j/y",
            "m-d-_y",
            "m-d-y",
            "n-j-_y",
            "n-j-y",
            "m j, _y",
            "f j, _y",
        ] + [None]
        if date_format not in list_date_format:
            raise ValueError(
                f"`date_format` must be one of: ['y-m-d', 'd/m/_y', 'd/m/y', 'j/n/_y', 'j/n/y', 'd-m-_y', 'd-m-y', 'j-n-_y', 'j-n-y', 'd.m._y', 'd.m.y', 'j.n._y', 'j.n.y', 'm/d/_y', 'm/d/y', 'n/j/_y', 'n/j/y', 'm-d-_y', 'm-d-y', 'n-j-_y', 'n-j-y', 'm j, _y', 'f j, _y']"
            )
        elif date_format in list_date_format and date_format is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "y-m-d": "Y-m-d",
                    "d/m/_y": "d/m/Y",
                    "d/m/y": "d/m/y",
                    "j/n/_y": "j/n/Y",
                    "j/n/y": "j/n/y",
                    "d-m-_y": "d-m-Y",
                    "d-m-y": "d-m-y",
                    "j-n-_y": "j-n-Y",
                    "j-n-y": "j-n-y",
                    "d.m._y": "d.m.Y",
                    "d.m.y": "d.m.y",
                    "j.n._y": "j.n.Y",
                    "j.n.y": "j.n.y",
                    "m/d/_y": "m/d/Y",
                    "m/d/y": "m/d/y",
                    "n/j/_y": "n/j/Y",
                    "n/j/y": "n/j/y",
                    "m-d-_y": "m-d-Y",
                    "m-d-y": "m-d-y",
                    "n-j-_y": "n-j-Y",
                    "n-j-y": "n-j-y",
                    "m j, _y": "M j, Y",
                    "f j, _y": "F j, Y",
                }.items()
                if date_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["date"]["format"] = filtered_dict[date_format]
        self.state["state"]["date"]["input_placeholder"] = date_input_placeholder
        self.state["state"]["date"]["advanced"] = date_advanced
        self.state["state"]["date"]["width"] = date_width
        self.state["state"]["date"]["margin"] = date_margin
        self.state["state"]["date"]["padding"] = date_padding
        self.state["state"]["date"]["border_width"] = date_border_width

        list_date_border_style = ["solid", "dashed", "dotted"] + [None]
        if date_border_style not in list_date_border_style:
            raise ValueError(
                f"`date_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            date_border_style in list_date_border_style
            and date_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if date_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["date"]["border_style"] = filtered_dict[
                    date_border_style
                ]
        self.state["state"]["date"]["border_color"] = date_border_color
        self.state["state"]["date"]["border_radius"] = date_border_radius

        list_date_align = ["start", "center", "end"] + [None]
        if date_align not in list_date_align:
            raise ValueError(f"`date_align` must be one of: ['start', 'center', 'end']")
        elif date_align in list_date_align and date_align is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if date_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["date"]["align"] = filtered_dict[date_align]

        list_date_calendar_position_vertical = ["auto", "above", "below"] + [None]
        if date_calendar_position_vertical not in list_date_calendar_position_vertical:
            raise ValueError(
                f"`date_calendar_position_vertical` must be one of: ['auto', 'above', 'below']"
            )
        elif (
            date_calendar_position_vertical in list_date_calendar_position_vertical
            and date_calendar_position_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "above": "above",
                    "below": "below",
                }.items()
                if date_calendar_position_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["date"]["calendar_position"][
                    "vertical"
                ] = filtered_dict[date_calendar_position_vertical]

        list_date_calendar_position_horizontal = ["left", "center", "right"] + [None]
        if (
            date_calendar_position_horizontal
            not in list_date_calendar_position_horizontal
        ):
            raise ValueError(
                f"`date_calendar_position_horizontal` must be one of: ['left', 'center', 'right']"
            )
        elif (
            date_calendar_position_horizontal in list_date_calendar_position_horizontal
            and date_calendar_position_horizontal is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if date_calendar_position_horizontal in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["date"]["calendar_position"][
                    "horizontal"
                ] = filtered_dict[date_calendar_position_horizontal]

        list_rating_icon_type = ["star", "circle", "check"] + [None]
        if rating_icon_type not in list_rating_icon_type:
            raise ValueError(
                f"`rating_icon_type` must be one of: ['star', 'circle', 'check']"
            )
        elif rating_icon_type in list_rating_icon_type and rating_icon_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "star": "star",
                    "circle": "circle",
                    "check": "check",
                }.items()
                if rating_icon_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["rating"]["icon_type"] = filtered_dict[
                    rating_icon_type
                ]
        self.state["state"]["rating"]["icon_fill_base"] = rating_icon_fill_base
        self.state["state"]["rating"]["icon_stroke_base"] = rating_icon_stroke_base
        self.state["state"]["rating"]["icon_fill_active"] = rating_icon_fill_active
        self.state["state"]["rating"]["icon_stroke_active"] = rating_icon_stroke_active
        self.state["state"]["rating"]["advanced"] = rating_advanced
        self.state["state"]["rating"]["icon_width"] = rating_icon_width
        self.state["state"]["rating"]["icon_height"] = rating_icon_height
        self.state["state"]["rating"]["icon_margin"] = rating_icon_margin
        self.state["state"]["rating"]["icon_stroke_width"] = rating_icon_stroke_width
        self.state["state"]["rating"]["container_width"] = rating_container_width
        self.state["state"]["rating"][
            "wrap_margin_vertical"
        ] = rating_wrap_margin_vertical
        self.state["state"]["rating"][
            "wrap_margin_horizontal"
        ] = rating_wrap_margin_horizontal
        self.state["state"]["rating"][
            "wrap_padding_vertical"
        ] = rating_wrap_padding_vertical
        self.state["state"]["rating"][
            "wrap_padding_horizontal"
        ] = rating_wrap_padding_horizontal
        self.state["state"]["rating"]["label_width"] = rating_label_width
        self.state["state"]["rating"]["label_color"] = rating_label_color

        list_rating_label_position = ["above", "below"] + [None]
        if rating_label_position not in list_rating_label_position:
            raise ValueError(
                f"`rating_label_position` must be one of: ['above', 'below']"
            )
        elif (
            rating_label_position in list_rating_label_position
            and rating_label_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"above": "above", "below": "below"}.items()
                if rating_label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["rating"]["label_position"] = filtered_dict[
                    rating_label_position
                ]
        self.state["state"]["slider"][
            "handle_color"
        ] = chart_slider_filter_controls_handle_color
        self.state["state"]["slider"][
            "track_active_color"
        ] = chart_slider_filter_controls_track_active_color
        self.state["state"]["slider"][
            "track_base_color"
        ] = chart_slider_filter_controls_track_base_color
        self.state["state"]["slider"][
            "handle_size"
        ] = chart_slider_filter_controls_handle_size
        self.state["state"]["slider"]["ticks"] = chart_slider_filter_controls_ticks
        self.state["state"]["slider"][
            "advanced"
        ] = chart_slider_filter_controls_advanced
        self.state["state"]["slider"][
            "container_width"
        ] = chart_slider_filter_controls_container_width
        self.state["state"]["slider"][
            "wrap_margin_vertical"
        ] = chart_slider_filter_controls_wrap_margin_vertical
        self.state["state"]["slider"][
            "wrap_margin_horizontal"
        ] = chart_slider_filter_controls_wrap_margin_horizontal
        self.state["state"]["slider"][
            "track_height"
        ] = chart_slider_filter_controls_track_height
        self.state["state"]["slider"][
            "track_border_radius"
        ] = chart_slider_filter_controls_track_border_radius
        self.state["state"]["slider"][
            "track_border_color"
        ] = chart_slider_filter_controls_track_border_color
        self.state["state"]["slider"][
            "track_border_width"
        ] = chart_slider_filter_controls_track_border_width

        list_chart_slider_filter_controls_handle_shape = ["rectangle", "circle"] + [
            None
        ]
        if (
            chart_slider_filter_controls_handle_shape
            not in list_chart_slider_filter_controls_handle_shape
        ):
            raise ValueError(
                f"`chart_slider_filter_controls_handle_shape` must be one of: ['rectangle', 'circle']"
            )
        elif (
            chart_slider_filter_controls_handle_shape
            in list_chart_slider_filter_controls_handle_shape
            and chart_slider_filter_controls_handle_shape is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"rectangle": "rectangle", "circle": "circle"}.items()
                if chart_slider_filter_controls_handle_shape in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["slider"]["handle_shape"] = filtered_dict[
                    chart_slider_filter_controls_handle_shape
                ]
        self.state["state"]["slider"][
            "handle_width"
        ] = chart_slider_filter_controls_handle_width
        self.state["state"]["slider"][
            "handle_border_color"
        ] = chart_slider_filter_controls_handle_border_color
        self.state["state"]["slider"][
            "handle_border_width"
        ] = chart_slider_filter_controls_handle_border_width
        self.state["state"]["slider"][
            "handle_border_radius"
        ] = chart_slider_filter_controls_handle_border_radius
        self.state["state"]["slider"][
            "handle_box_shadow"
        ] = chart_slider_filter_controls_handle_box_shadow
        self.state["state"]["slider"][
            "tooltips"
        ] = chart_slider_filter_controls_tooltips
        self.state["state"]["slider"][
            "tooltip_background"
        ] = chart_slider_filter_controls_tooltip_background
        self.state["state"]["slider"][
            "tick_color"
        ] = chart_slider_filter_controls_tick_color
        self.state["state"]["slider"][
            "tick_padding"
        ] = chart_slider_filter_controls_tick_padding
        self.state["state"]["slider"][
            "tick_number_padding"
        ] = chart_slider_filter_controls_tick_number_padding

        if (
            submit_comment_text is not None
            and len(submit_comment_text) > 1
            and isinstance(submit_comment_text, list)
        ):
            self.state["state"]["submit"]["comment"]["text"] = " \n ".join(
                submit_comment_text
            )
        else:
            self.state["state"]["submit"]["comment"]["text"] = submit_comment_text

        self.state["state"]["submit"]["button"]["text"] = submit_button_text

        list_submit_bg_type = ["color", "image"] + [None]
        if submit_bg_type not in list_submit_bg_type:
            raise ValueError(f"`submit_bg_type` must be one of: ['color', 'image']")
        elif submit_bg_type in list_submit_bg_type and submit_bg_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"color": "color", "image": "image"}.items()
                if submit_bg_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["submit"]["bg_type"] = filtered_dict[submit_bg_type]
        self.state["state"]["submit"]["bg_color"] = submit_bg_color
        self.state["state"]["submit"]["bg_image_src"] = submit_bg_image_src
        self.state["state"]["submit"]["border"] = submit_border

        list_submit_bg_image_size = ["auto", "cover", "contain"] + [None]
        if submit_bg_image_size not in list_submit_bg_image_size:
            raise ValueError(
                f"`submit_bg_image_size` must be one of: ['auto', 'cover', 'contain']"
            )
        elif (
            submit_bg_image_size in list_submit_bg_image_size
            and submit_bg_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "cover": "cover",
                    "contain": "contain",
                }.items()
                if submit_bg_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["submit"]["bg_image_size"] = filtered_dict[
                    submit_bg_image_size
                ]
        self.state["state"]["submit"]["advanced"] = submit_advanced

        list_submit_comment_font_size = ["1.4", "1.6", "2", "custom"] + [None]
        if submit_comment_font_size not in list_submit_comment_font_size:
            raise ValueError(
                f"`submit_comment_font_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            submit_comment_font_size in list_submit_comment_font_size
            and submit_comment_font_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if submit_comment_font_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["submit"]["comment"]["font_size"] = filtered_dict[
                    submit_comment_font_size
                ]
        self.state["state"]["submit"]["comment"][
            "font_size_custom"
        ] = submit_comment_font_size_custom

        list_submit_comment_font_weight = ["normal", "bold"] + [None]
        if submit_comment_font_weight not in list_submit_comment_font_weight:
            raise ValueError(
                f"`submit_comment_font_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            submit_comment_font_weight in list_submit_comment_font_weight
            and submit_comment_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if submit_comment_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["submit"]["comment"]["font_weight"] = filtered_dict[
                    submit_comment_font_weight
                ]

        list_submit_comment_font_style = ["normal", "italic"] + [None]
        if submit_comment_font_style not in list_submit_comment_font_style:
            raise ValueError(
                f"`submit_comment_font_style` must be one of: ['normal', 'italic']"
            )
        elif (
            submit_comment_font_style in list_submit_comment_font_style
            and submit_comment_font_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "italic": "italic"}.items()
                if submit_comment_font_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["submit"]["comment"]["font_style"] = filtered_dict[
                    submit_comment_font_style
                ]

        list_submit_flex_direction = ["column", "column-reverse"] + [None]
        if submit_flex_direction not in list_submit_flex_direction:
            raise ValueError(
                f"`submit_flex_direction` must be one of: ['column', 'column-reverse']"
            )
        elif (
            submit_flex_direction in list_submit_flex_direction
            and submit_flex_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "column": "column",
                    "column-reverse": "column-reverse",
                }.items()
                if submit_flex_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["submit"]["flex_direction"] = filtered_dict[
                    submit_flex_direction
                ]
        self.state["state"]["submit"]["comment"][
            "font_color"
        ] = submit_comment_font_color
        self.state["state"]["submit"]["comment"]["margin"] = submit_comment_margin

        list_submit_button_font_size = ["1.4", "1.6", "2", "custom"] + [None]
        if submit_button_font_size not in list_submit_button_font_size:
            raise ValueError(
                f"`submit_button_font_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            submit_button_font_size in list_submit_button_font_size
            and submit_button_font_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if submit_button_font_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["submit"]["button"]["font_size"] = filtered_dict[
                    submit_button_font_size
                ]
        self.state["state"]["submit"]["button"][
            "font_size_custom"
        ] = submit_button_font_size_custom

        list_submit_button_font_weight = ["normal", "bold"] + [None]
        if submit_button_font_weight not in list_submit_button_font_weight:
            raise ValueError(
                f"`submit_button_font_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            submit_button_font_weight in list_submit_button_font_weight
            and submit_button_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if submit_button_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["submit"]["button"]["font_weight"] = filtered_dict[
                    submit_button_font_weight
                ]

        list_submit_button_font_style = ["normal", "italic"] + [None]
        if submit_button_font_style not in list_submit_button_font_style:
            raise ValueError(
                f"`submit_button_font_style` must be one of: ['normal', 'italic']"
            )
        elif (
            submit_button_font_style in list_submit_button_font_style
            and submit_button_font_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "italic": "italic"}.items()
                if submit_button_font_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["submit"]["button"]["font_style"] = filtered_dict[
                    submit_button_font_style
                ]
        self.state["state"]["submit"]["button"]["margin"] = submit_button_margin
        self.state["state"]["submit"]["button"][
            "padding_factor"
        ] = submit_button_padding_factor
        self.state["state"]["submit"]["button"]["box_shadow"] = submit_button_box_shadow
        self.state["state"]["submit"]["button"][
            "use_default_styles"
        ] = submit_button_use_default_styles
        self.state["state"]["submit"]["button"]["bg_color"] = submit_button_bg_color
        self.state["state"]["submit"]["button"][
            "bg_color_hover"
        ] = submit_button_bg_color_hover
        self.state["state"]["submit"]["button"]["font_color"] = submit_button_font_color
        self.state["state"]["submit"]["button"][
            "font_color_hover"
        ] = submit_button_font_color_hover

        list_submit_button_border_style = ["solid", "dashed", "dotted"] + [None]
        if submit_button_border_style not in list_submit_button_border_style:
            raise ValueError(
                f"`submit_button_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            submit_button_border_style in list_submit_button_border_style
            and submit_button_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if submit_button_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["submit"]["button"]["border_style"] = filtered_dict[
                    submit_button_border_style
                ]
        self.state["state"]["submit"]["button"][
            "border_color"
        ] = submit_button_border_color
        self.state["state"]["submit"]["button"][
            "border_width"
        ] = submit_button_border_width
        self.state["state"]["submit"]["button"][
            "border_transparency"
        ] = submit_button_border_transparency
        self.state["state"]["submit"]["button"][
            "border_radius"
        ] = submit_button_border_radius

        list_design_controls_position = [
            "top_left",
            "top_centre",
            "top_right",
            "bottom_left",
            "bottom_centre",
            "bottom_right",
        ] + [None]
        if design_controls_position not in list_design_controls_position:
            raise ValueError(
                f"`design_controls_position` must be one of: ['top_left', 'top_centre', 'top_right', 'bottom_left', 'bottom_centre', 'bottom_right']"
            )
        elif (
            design_controls_position in list_design_controls_position
            and design_controls_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top_left": "top_left",
                    "top_centre": "top_centre",
                    "top_right": "top_right",
                    "bottom_left": "bottom_left",
                    "bottom_centre": "bottom_centre",
                    "bottom_right": "bottom_right",
                }.items()
                if design_controls_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["design"]["controls"]["position"] = filtered_dict[
                    design_controls_position
                ]
        self.state["state"]["design"]["controls"]["button"][
            "symbol_back"
        ] = design_controls_button_symbol_back
        self.state["state"]["design"]["controls"]["button"][
            "symbol_forward"
        ] = design_controls_button_symbol_forward
        self.state["state"]["design"]["controls"]["button"][
            "font_color"
        ] = design_controls_button_font_color
        self.state["state"]["design"]["controls"]["button"][
            "font_size"
        ] = design_controls_button_font_size
        self.state["state"]["design"]["controls"]["advanced"] = design_controls_advanced
        self.state["state"]["design"]["controls"]["button"][
            "margin"
        ] = design_controls_button_margin
        self.state["state"]["design"]["controls"]["button"][
            "padding_factor"
        ] = design_controls_button_padding_factor
        self.state["state"]["design"]["controls"]["button"][
            "bg_color"
        ] = design_controls_button_bg_color
        self.state["state"]["design"]["controls"]["button"][
            "bg_opacity"
        ] = design_controls_button_bg_opacity

        list_design_controls_button_font_weight = ["normal", "bold"] + [None]
        if (
            design_controls_button_font_weight
            not in list_design_controls_button_font_weight
        ):
            raise ValueError(
                f"`design_controls_button_font_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            design_controls_button_font_weight
            in list_design_controls_button_font_weight
            and design_controls_button_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if design_controls_button_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["design"]["controls"]["button"][
                    "font_weight"
                ] = filtered_dict[design_controls_button_font_weight]

        list_design_controls_button_font_style = ["normal", "italic"] + [None]
        if (
            design_controls_button_font_style
            not in list_design_controls_button_font_style
        ):
            raise ValueError(
                f"`design_controls_button_font_style` must be one of: ['normal', 'italic']"
            )
        elif (
            design_controls_button_font_style in list_design_controls_button_font_style
            and design_controls_button_font_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "italic": "italic"}.items()
                if design_controls_button_font_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["design"]["controls"]["button"][
                    "font_style"
                ] = filtered_dict[design_controls_button_font_style]
        self.state["state"]["design"]["controls"]["button"][
            "border_width"
        ] = design_controls_button_border_width

        list_design_controls_button_border_style = ["solid", "dashed", "dotted"] + [
            None
        ]
        if (
            design_controls_button_border_style
            not in list_design_controls_button_border_style
        ):
            raise ValueError(
                f"`design_controls_button_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            design_controls_button_border_style
            in list_design_controls_button_border_style
            and design_controls_button_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if design_controls_button_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["design"]["controls"]["button"][
                    "border_style"
                ] = filtered_dict[design_controls_button_border_style]
        self.state["state"]["design"]["controls"]["button"][
            "border_color"
        ] = design_controls_button_border_color
        self.state["state"]["design"]["controls"]["button"][
            "border_radius"
        ] = design_controls_button_border_radius
        self.state["state"]["design"]["progress"]["show"] = design_progress_show

        list_design_progress_position = ["top", "bottom"] + [None]
        if design_progress_position not in list_design_progress_position:
            raise ValueError(
                f"`design_progress_position` must be one of: ['top', 'bottom']"
            )
        elif (
            design_progress_position in list_design_progress_position
            and design_progress_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "bottom": "bottom"}.items()
                if design_progress_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["design"]["progress"]["position"] = filtered_dict[
                    design_progress_position
                ]
        self.state["state"]["design"]["progress"]["height"] = design_progress_height
        self.state["state"]["design"]["progress"]["margin"] = design_progress_margin
        self.state["state"]["design"]["progress"]["bg_color"] = design_progress_bg_color
        self.state["state"]["design"]["progress"][
            "bg_opacity"
        ] = design_progress_bg_opacity
        self.state["state"]["number_format"]["prefix"] = chart_number_date_format_prefix
        self.state["state"]["number_format"]["suffix"] = chart_number_date_format_suffix
        self.state["state"]["number_format"]["n_dec"] = chart_number_date_format_n_dec
        self.state["state"]["number_format"][
            "advanced"
        ] = chart_number_date_format_advanced

        list_chart_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_number_date_format_negative_sign
            not in list_chart_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_number_date_format_negative_sign
            in list_chart_number_date_format_negative_sign
            and chart_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["number_format"]["negative_sign"] = filtered_dict[
                    chart_number_date_format_negative_sign
                ]
        self.state["state"]["number_format"][
            "strip_zeros"
        ] = chart_number_date_format_strip_zeros
        self.state["state"]["number_format"][
            "strip_separator"
        ] = chart_number_date_format_strip_separator
        self.state["state"]["number_format"][
            "transform_labels"
        ] = chart_number_date_format_transform_labels

        list_chart_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_number_date_format_transform
            not in list_chart_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_number_date_format_transform
            in list_chart_number_date_format_transform
            and chart_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["number_format"]["transform"] = filtered_dict[
                    chart_number_date_format_transform
                ]
        self.state["state"]["number_format"][
            "multiply_divide_constant"
        ] = chart_number_date_format_multiply_divide_constant
        self.state["state"]["number_format"][
            "exponentiate_constant"
        ] = chart_number_date_format_exponentiate_constant

        list_chart_number_localization_input_decimal_separator = [".", ","] + [None]
        if (
            chart_number_localization_input_decimal_separator
            not in list_chart_number_localization_input_decimal_separator
        ):
            raise ValueError(
                f"`chart_number_localization_input_decimal_separator` must be one of: ['.', ',']"
            )
        elif (
            chart_number_localization_input_decimal_separator
            in list_chart_number_localization_input_decimal_separator
            and chart_number_localization_input_decimal_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {".": ".", ",": ","}.items()
                if chart_number_localization_input_decimal_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "input_decimal_separator"
                ] = filtered_dict[chart_number_localization_input_decimal_separator]

        list_chart_number_localization_output_separators = [
            ",.",
            ".,",
            ".",
            ",",
            " .",
            " ,",
        ] + [None]
        if (
            chart_number_localization_output_separators
            not in list_chart_number_localization_output_separators
        ):
            raise ValueError(
                f"`chart_number_localization_output_separators` must be one of: [',.', '.,', '.', ',', ' .', ' ,']"
            )
        elif (
            chart_number_localization_output_separators
            in list_chart_number_localization_output_separators
            and chart_number_localization_output_separators is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ",.": ",.",
                    ".,": ".,",
                    ".": ".",
                    ",": ",",
                    " .": " .",
                    " ,": " ,",
                }.items()
                if chart_number_localization_output_separators in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "output_separators"
                ] = filtered_dict[chart_number_localization_output_separators]
        self.state["state"]["external_write"]["enabled"] = external_write_enabled
        self.state["state"]["external_write"]["endpoint"] = external_write_endpoint
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_cards_details(
        self,
        mode: str = None,
        carousel_channel_background: str = None,
        carousel_bar_background: str = None,
        carousel_channel_height: float = None,
        autoplay_enabled: bool = None,
        autoplay_duration: float = None,
        autoplay_loop: bool = None,
        autoplay_pause_when: str = None,
        autoplay_btn_visible: bool = None,
        autoplay_btn_position: str = None,
        autoplay_btn_size: float = None,
        autoplay_btn_background: str = None,
        autoplay_btn_opacity: float = None,
        autoplay_btn_color: str = None,
        card_layout: str = None,
        card_order: str = None,
        card_width_portrait: float = None,
        card_width_landscape: float = None,
        card_width_stretch: bool = None,
        card_width_stretch_percent: float = None,
        card_padding_top: float = None,
        card_padding_right: float = None,
        card_padding_bottom: float = None,
        card_padding_left: float = None,
        card_horizontal_margin: float = None,
        card_vertical_margin: float = None,
        card_border_color: str = None,
        card_border_width: float = None,
        card_shape: str = None,
        card_radius: float = None,
        card_shadow: bool = None,
        card_shadow_color: str = None,
        card_shadow_blur: float = None,
        template_customise: bool = None,
        template_simple_custom: Union[list, str] = None,
        content_vertical_align: str = None,
        content_horizontal_padding: float = None,
        title_color: str = None,
        title_fontsize: float = None,
        title_weight: str = None,
        title_advanced: bool = None,
        title_opacity: float = None,
        title_space_above: float = None,
        title_space_below: float = None,
        title_lineheight: float = None,
        title_minheight: float = None,
        title_align: str = None,
        subtitle_color: str = None,
        subtitle_fontsize: float = None,
        subtitle_weight: str = None,
        subtitle_advanced: bool = None,
        subtitle_opacity: float = None,
        subtitle_space_above: float = None,
        subtitle_space_below: float = None,
        subtitle_lineheight: float = None,
        subtitle_minheight: float = None,
        subtitle_align: str = None,
        text_color: str = None,
        text_fontsize: float = None,
        text_weight: str = None,
        text_advanced: bool = None,
        text_opacity: float = None,
        text_space_between: float = None,
        text_lineheight: float = None,
        text_minheight: float = None,
        text_align: str = None,
        text_column_names: bool = None,
        text_column_separator: str = None,
        text_column_weight: str = None,
        text_column_separator_custom: str = None,
        image_width_portrait: float = None,
        image_width_landscape: float = None,
        image_aspect_ratio: float = None,
        image_sizing: str = None,
        image_horizontal_margin: float = None,
        image_vertical_margin: float = None,
        card_space_between: float = None,
        image_border_color: str = None,
        image_border_width: float = None,
        image_shape: str = None,
        image_radius: float = None,
        image_styling: bool = None,
        image_opacity: float = None,
        image_contrast: float = None,
        image_brightness: float = None,
        image_blend_mode: str = None,
        image_blackwhite: bool = None,
        image_missing: str = None,
        image_missing_icon: str = None,
        card_background_mode: str = None,
        card_background_color: str = None,
        card_background_mode_category: str = None,
        card_background_color_category: str = None,
        image_background_mode: str = None,
        image_background_color: str = None,
        image_background_mode_category: str = None,
        image_background_color_category: str = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_custom_accessible: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        chart_categorical_legend_show_legend: bool = None,
        chart_categorical_legend_title_mode: str = None,
        chart_categorical_legend_title: str = None,
        chart_categorical_legend_swatch_width: float = None,
        chart_categorical_legend_swatch_height: float = None,
        chart_categorical_legend_swatch_radius: float = None,
        chart_categorical_legend_legend_items_padding: float = None,
        chart_categorical_legend_swatch_outline: bool = None,
        chart_categorical_legend_swatch_outline_color: str = None,
        chart_categorical_legend_order_override: Union[list, str] = None,
        chart_categorical_legend_icon_height: float = None,
        chart_categorical_legend_icon_color: str = None,
        chart_categorical_legend_max_width: float = None,
        chart_categorical_legend_orientation: str = None,
        legend_filter_mode: str = None,
        chart_filter_controls_container_alignment: str = None,
        chart_filter_controls_container_controls_spacing: float = None,
        chart_filter_controls_control_type: str = None,
        chart_filter_controls_control_styles: bool = None,
        chart_filter_controls_control_title: str = None,
        chart_filter_controls_button_group: bool = None,
        chart_filter_controls_button_group_width_mode: str = None,
        chart_filter_controls_button_group_width_fixed: float = None,
        chart_filter_controls_dropdown_width_mode: str = None,
        chart_filter_controls_dropdown_width_fixed: float = None,
        chart_filter_controls_slider_width: float = None,
        chart_filter_controls_slider_max_label_width: float = None,
        chart_filter_controls_slider_step_time: float = None,
        chart_filter_controls_slider_loop: bool = None,
        chart_filter_controls_slider_restart_pause: float = None,
        chart_filter_controls_sort: bool = None,
        filter_show_all: bool = None,
        filter_show_all_text: str = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_slider_control_style_track_color: str = None,
        chart_slider_control_style_font_color: str = None,
        chart_slider_control_style_handle_color: str = None,
        chart_slider_control_style_play_color: str = None,
        chart_slider_control_style_track_height: float = None,
        chart_slider_control_style_handle_height: float = None,
        chart_slider_control_style_play_button: bool = None,
        audio_click: str = None,
        audio_animation: bool = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
        chart_url_settings_enabled: bool = None,
        chart_url_settings_whitelist: Union[list, str] = None,
    ):
        """
        Set chart details for: cards.


        :param mode: View mode. Choices: grid, carousel. Flourish type hint: string, defaults to None.
        :type mode: str, optional
        :param carousel_channel_background: Channel color. Flourish type hint: color, defaults to None.
        :type carousel_channel_background: str, optional
        :param carousel_bar_background: Bar color. Flourish type hint: color, defaults to None.
        :type carousel_bar_background: str, optional
        :param carousel_channel_height: Channel height. Flourish type hint: number, defaults to None.
        :type carousel_channel_height: float, optional
        :param autoplay_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type autoplay_enabled: bool, optional
        :param autoplay_duration: Duration. Flourish type hint: number, defaults to None.
        :type autoplay_duration: float, optional
        :param autoplay_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type autoplay_loop: bool, optional
        :param autoplay_pause_when: Pause on interaction. Choices: never, hover, popup, hover_popup. Flourish type hint: string, defaults to None.
        :type autoplay_pause_when: str, optional
        :param autoplay_btn_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type autoplay_btn_visible: bool, optional
        :param autoplay_btn_position: Position. Choices: top_left, top_right, bottom_left, bottom_right. Flourish type hint: string, defaults to None.
        :type autoplay_btn_position: str, optional
        :param autoplay_btn_size: Size. Flourish type hint: number, defaults to None.
        :type autoplay_btn_size: float, optional
        :param autoplay_btn_background: Background. Flourish type hint: color, defaults to None.
        :type autoplay_btn_background: str, optional
        :param autoplay_btn_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type autoplay_btn_opacity: float, optional
        :param autoplay_btn_color: Icon. Flourish type hint: color, defaults to None.
        :type autoplay_btn_color: str, optional
        :param card_layout: Card layout. Choices: portrait, landscape, absolute. Flourish type hint: string, defaults to None.
        :type card_layout: str, optional
        :param card_order: Card structure. Choices: stack-default, stack-2, stack-3, stack-4. Flourish type hint: string, defaults to None.
        :type card_order: str, optional
        :param card_width_portrait: Width. Flourish type hint: number, defaults to None.
        :type card_width_portrait: float, optional
        :param card_width_landscape: Width. Flourish type hint: number, defaults to None.
        :type card_width_landscape: float, optional
        :param card_width_stretch: Stretch cards to fill. Flourish type hint: boolean, defaults to None.
        :type card_width_stretch: bool, optional
        :param card_width_stretch_percent: Stretch. How much the cards are allowed to scale up to fill the space, in %. When too much stretch would be required, cards are scaled down to add a column to the grid. Flourish type hint: number, defaults to None.
        :type card_width_stretch_percent: float, optional
        :param card_padding_top: Top. Flourish type hint: number, defaults to None.
        :type card_padding_top: float, optional
        :param card_padding_right: Right. Flourish type hint: number, defaults to None.
        :type card_padding_right: float, optional
        :param card_padding_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type card_padding_bottom: float, optional
        :param card_padding_left: Left. Flourish type hint: number, defaults to None.
        :type card_padding_left: float, optional
        :param card_horizontal_margin: Horizontal. Flourish type hint: number, defaults to None.
        :type card_horizontal_margin: float, optional
        :param card_vertical_margin: Vertical. Flourish type hint: number, defaults to None.
        :type card_vertical_margin: float, optional
        :param card_border_color: Border color. Flourish type hint: color, defaults to None.
        :type card_border_color: str, optional
        :param card_border_width: Weight. Flourish type hint: number, defaults to None.
        :type card_border_width: float, optional
        :param card_shape: Shape. Choices: circle, square. Flourish type hint: string, defaults to None.
        :type card_shape: str, optional
        :param card_radius: Roundness. Flourish type hint: number, defaults to None.
        :type card_radius: float, optional
        :param card_shadow: Shadow behind card. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type card_shadow: bool, optional
        :param card_shadow_color: Color. Flourish type hint: color, defaults to None.
        :type card_shadow_color: str, optional
        :param card_shadow_blur: Blur. Flourish type hint: number, defaults to None.
        :type card_shadow_blur: float, optional
        :param template_customise: Customize card HTML. Flourish type hint: boolean, defaults to None.
        :type template_customise: bool, optional
        :param template_simple_custom: Custom HTML. Custom HTML can be used for flippable cards, text on hover, embedded Flourish charts, etc.  Refer to columns using `{{column_name}}` If a column name has spaces, wrap in square brackets, like `{{column name}}`  If a column includes HTML, prevent escaping HTML by wrapping in triple curly brackets. For example: `{{{column_name}}}`  Use handlebar syntax for conditions, etc. Flourish type hint: html, defaults to None.
        :type template_simple_custom: Union[list, str], optional
        :param content_vertical_align: Vertical position. Choices: center, flex-start, flex-end. Flourish type hint: string, defaults to None.
        :type content_vertical_align: str, optional
        :param content_horizontal_padding: Horizontal space. Flourish type hint: number, defaults to None.
        :type content_horizontal_padding: float, optional
        :param title_color: Color. Flourish type hint: color, defaults to None.
        :type title_color: str, optional
        :param title_fontsize: Font size. Flourish type hint: number, defaults to None.
        :type title_fontsize: float, optional
        :param title_weight: Weight. Choices: italic, normal, bold. Flourish type hint: string, defaults to None.
        :type title_weight: str, optional
        :param title_advanced: Advanced settings. Flourish type hint: boolean, defaults to None.
        :type title_advanced: bool, optional
        :param title_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type title_opacity: float, optional
        :param title_space_above: Space above. Flourish type hint: number, defaults to None.
        :type title_space_above: float, optional
        :param title_space_below: Space below. Flourish type hint: number, defaults to None.
        :type title_space_below: float, optional
        :param title_lineheight: Line height. Flourish type hint: number, defaults to None.
        :type title_lineheight: float, optional
        :param title_minheight: Min height. Flourish type hint: number, defaults to None.
        :type title_minheight: float, optional
        :param title_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type title_align: str, optional
        :param subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type subtitle_color: str, optional
        :param subtitle_fontsize: Font size. Flourish type hint: number, defaults to None.
        :type subtitle_fontsize: float, optional
        :param subtitle_weight: Weight. Choices: italic, normal, bold. Flourish type hint: string, defaults to None.
        :type subtitle_weight: str, optional
        :param subtitle_advanced: Advanced settings. Flourish type hint: boolean, defaults to None.
        :type subtitle_advanced: bool, optional
        :param subtitle_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type subtitle_opacity: float, optional
        :param subtitle_space_above: Space above. Flourish type hint: number, defaults to None.
        :type subtitle_space_above: float, optional
        :param subtitle_space_below: Space below. Flourish type hint: number, defaults to None.
        :type subtitle_space_below: float, optional
        :param subtitle_lineheight: Line height. Flourish type hint: number, defaults to None.
        :type subtitle_lineheight: float, optional
        :param subtitle_minheight: Min height. Flourish type hint: number, defaults to None.
        :type subtitle_minheight: float, optional
        :param subtitle_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type subtitle_align: str, optional
        :param text_color: Color. Flourish type hint: color, defaults to None.
        :type text_color: str, optional
        :param text_fontsize: Font size. Flourish type hint: number, defaults to None.
        :type text_fontsize: float, optional
        :param text_weight: Weight. Choices: italic, normal, bold. Flourish type hint: string, defaults to None.
        :type text_weight: str, optional
        :param text_advanced: Advanced settings. Flourish type hint: boolean, defaults to None.
        :type text_advanced: bool, optional
        :param text_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type text_opacity: float, optional
        :param text_space_between: Space between. Flourish type hint: number, defaults to None.
        :type text_space_between: float, optional
        :param text_lineheight: Line height. Flourish type hint: number, defaults to None.
        :type text_lineheight: float, optional
        :param text_minheight: Min height. Flourish type hint: number, defaults to None.
        :type text_minheight: float, optional
        :param text_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type text_align: str, optional
        :param text_column_names: Column names. Choices: True, False. To add column names before text entries. Flourish type hint: boolean, defaults to None.
        :type text_column_names: bool, optional
        :param text_column_separator: Column separator. Choices: :, -, `<br>`, other. Choose a separator between column names and text entries. Flourish type hint: string, defaults to None.
        :type text_column_separator: str, optional
        :param text_column_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type text_column_weight: str, optional
        :param text_column_separator_custom: Other. Flourish type hint: string, defaults to None.
        :type text_column_separator_custom: str, optional
        :param image_width_portrait: Width. As a percentage of the cards width. Flourish type hint: number, defaults to None.
        :type image_width_portrait: float, optional
        :param image_width_landscape: Width. As a percentage of the cards width. Flourish type hint: number, defaults to None.
        :type image_width_landscape: float, optional
        :param image_aspect_ratio: Aspect ratio. As a multiplier of the images width. For example: a value of 2, means the image height is 2 times the image width. Flourish type hint: number, defaults to None.
        :type image_aspect_ratio: float, optional
        :param image_sizing: Image sizing. Choices: cover, contain. Flourish type hint: string, defaults to None.
        :type image_sizing: str, optional
        :param image_horizontal_margin: Horizontal. As a percentage of the cards width. Flourish type hint: number, defaults to None.
        :type image_horizontal_margin: float, optional
        :param image_vertical_margin: Vertical. As a percentage of the cards width. Flourish type hint: number, defaults to None.
        :type image_vertical_margin: float, optional
        :param card_space_between: Space between image and text. Flourish type hint: number, defaults to None.
        :type card_space_between: float, optional
        :param image_border_color: Color. Flourish type hint: color, defaults to None.
        :type image_border_color: str, optional
        :param image_border_width: Weight. Flourish type hint: number, defaults to None.
        :type image_border_width: float, optional
        :param image_shape: Shape. Choices: circle, square. Flourish type hint: string, defaults to None.
        :type image_shape: str, optional
        :param image_radius: Roundness. Flourish type hint: number, defaults to None.
        :type image_radius: float, optional
        :param image_styling: Advanced image styling. Flourish type hint: boolean, defaults to None.
        :type image_styling: bool, optional
        :param image_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type image_opacity: float, optional
        :param image_contrast: Contrast. Flourish type hint: number, defaults to None.
        :type image_contrast: float, optional
        :param image_brightness: Brightness. Flourish type hint: number, defaults to None.
        :type image_brightness: float, optional
        :param image_blend_mode: Blend mode. Choices: normal, lighten, darken, overlay, screen, multiply. Flourish type hint: string, defaults to None.
        :type image_blend_mode: str, optional
        :param image_blackwhite: Black and white. Flourish type hint: boolean, defaults to None.
        :type image_blackwhite: bool, optional
        :param image_missing: Missing images. Choices: hide, icon. What to show when theres a missing image. Flourish type hint: string, defaults to None.
        :type image_missing: str, optional
        :param image_missing_icon: Missing icon. Flourish type hint: url, defaults to None.
        :type image_missing_icon: str, optional
        :param card_background_mode: Card. Choices: transparent, fixed. Flourish type hint: string, defaults to None.
        :type card_background_mode: str, optional
        :param card_background_color: Color. Flourish type hint: color, defaults to None.
        :type card_background_color: str, optional
        :param card_background_mode_category: Card. Choices: data, transparent, fixed. Choose Data if you want to base the color on the Categories column in your dataset. Flourish type hint: string, defaults to None.
        :type card_background_mode_category: str, optional
        :param card_background_color_category: Color. Flourish type hint: color, defaults to None.
        :type card_background_color_category: str, optional
        :param image_background_mode: Image. Choices: transparent, fixed. Flourish type hint: string, defaults to None.
        :type image_background_mode: str, optional
        :param image_background_color: Color. Flourish type hint: color, defaults to None.
        :type image_background_color: str, optional
        :param image_background_mode_category: Image. Choices: data, transparent, fixed. Choose Data if you want to base the color on the Categories column in your dataset. Flourish type hint: string, defaults to None.
        :type image_background_mode_category: str, optional
        :param image_background_color_category: Color. Flourish type hint: color, defaults to None.
        :type image_background_color_category: str, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param chart_popup_mode: Choices: none, popup, panel, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML styling or add category colors to popup headers.  To hide parts of the popup when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML for designs, styles, and images.  To hide parts of the popup when a column is empty use the syntax `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_custom_accessible: Popup custom accessible content. A text alternative to visual custom popup content that will be read out by screenreaders. This content is added as an aria-label attribute to data point elements. You can still use `{{column_name}}` to add values from your data, but do not use HTML. For example: `{{Name}}, Population: {{Population}}, GDP: {{GDP}}`. If left empty, accessible content will fallback to the default popup content. Flourish type hint: text, defaults to None.
        :type chart_popup_popup_custom_accessible: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for styling or add category colors to panel headers.  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for designs, styles, images, videos and embedded Flourish charts,  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing Click position is especially useful when your visualization is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param chart_categorical_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_show_legend: bool, optional
        :param chart_categorical_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title_mode: str, optional
        :param chart_categorical_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title: str, optional
        :param chart_categorical_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_width: float, optional
        :param chart_categorical_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_height: float, optional
        :param chart_categorical_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_radius: float, optional
        :param chart_categorical_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_legend_items_padding: float, optional
        :param chart_categorical_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_swatch_outline: bool, optional
        :param chart_categorical_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_swatch_outline_color: str, optional
        :param chart_categorical_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_categorical_legend_order_override: Union[list, str], optional
        :param chart_categorical_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_icon_height: float, optional
        :param chart_categorical_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_icon_color: str, optional
        :param chart_categorical_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_max_width: float, optional
        :param chart_categorical_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_orientation: str, optional
        :param legend_filter_mode: Filter on click. Choices: none, single, multi. Flourish type hint: string, defaults to None.
        :type legend_filter_mode: str, optional
        :param chart_filter_controls_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_container_alignment: str, optional
        :param chart_filter_controls_container_controls_spacing: Spacing. The space between controls, like dropdowns and adjacent button sets, in em units. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_container_controls_spacing: float, optional
        :param chart_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_type: str, optional
        :param chart_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_control_styles: bool, optional
        :param chart_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_title: str, optional
        :param chart_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_button_group: bool, optional
        :param chart_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_button_group_width_mode: str, optional
        :param chart_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_button_group_width_fixed: float, optional
        :param chart_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_dropdown_width_mode: str, optional
        :param chart_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_dropdown_width_fixed: float, optional
        :param chart_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_width: float, optional
        :param chart_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_max_label_width: float, optional
        :param chart_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_step_time: float, optional
        :param chart_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_slider_loop: bool, optional
        :param chart_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_restart_pause: float, optional
        :param chart_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_sort: bool, optional
        :param filter_show_all: Include "All". Flourish type hint: boolean, defaults to None.
        :type filter_show_all: bool, optional
        :param filter_show_all_text: “All” label. Flourish type hint: string, defaults to None.
        :type filter_show_all_text: str, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Dropdown border styles. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_slider_control_style_track_color: Track. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_track_color: str, optional
        :param chart_slider_control_style_font_color: Text. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_font_color: str, optional
        :param chart_slider_control_style_handle_color: Handle. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_handle_color: str, optional
        :param chart_slider_control_style_play_color: Play/pause. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_play_color: str, optional
        :param chart_slider_control_style_track_height: Track height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_track_height: float, optional
        :param chart_slider_control_style_handle_height: Height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_handle_height: float, optional
        :param chart_slider_control_style_play_button: Play button. Flourish type hint: boolean, defaults to None.
        :type chart_slider_control_style_play_button: bool, optional
        :param audio_click: Click while playing should:. Choices: replay, stop, pause. Flourish type hint: string, defaults to None.
        :type audio_click: str, optional
        :param audio_animation: Animate while playing audio. Flourish type hint: boolean, defaults to None.
        :type audio_animation: bool, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        :param chart_url_settings_enabled: Update project from URL. Make it possible to change the visualizations settings/state from the URL hash, for example when embedding in an iframe or popup panel. Flourish type hint: boolean, defaults to None.
        :type chart_url_settings_enabled: bool, optional
        :param chart_url_settings_whitelist: Allowed state properties. List each state property you want to make changeable with the URL hash See the template page for a full list of state properties.  Add one property name per line. Use dot format for nested properties, e.g. `layout.background_color`. Flourish type hint: text, defaults to None.
        :type chart_url_settings_whitelist: Union[list, str], optional
        """
        details_error(self)

        self.state = {
            "state": {
                "color": {},
                "popups": {},
                "legend_container": {},
                "legend_categorical": {},
                "controls_container": {},
                "filter_controls": {},
                "controls_style": {},
                "dropdown_style": {},
                "button_style": {},
                "slider_style": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
                "url_state": {},
            }
        }

        list_mode = ["grid", "carousel"] + [None]
        if mode not in list_mode:
            raise ValueError(f"`mode` must be one of: ['grid', 'carousel']")
        elif mode in list_mode and mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"grid": "grid", "carousel": "carousel"}.items()
                if mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["mode"] = filtered_dict[mode]
        self.state["state"]["carousel_channel_background"] = carousel_channel_background
        self.state["state"]["carousel_bar_background"] = carousel_bar_background
        self.state["state"]["carousel_channel_height"] = carousel_channel_height

        list_autoplay_enabled = [True, False] + [None]
        if autoplay_enabled not in list_autoplay_enabled:
            raise ValueError(f"`autoplay_enabled` must be one of: [True, False]")
        elif autoplay_enabled in list_autoplay_enabled and autoplay_enabled is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if autoplay_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["autoplay_enabled"] = filtered_dict[
                    autoplay_enabled
                ]
        self.state["state"]["autoplay_duration"] = autoplay_duration
        self.state["state"]["autoplay_loop"] = autoplay_loop

        list_autoplay_pause_when = ["never", "hover", "popup", "hover_popup"] + [None]
        if autoplay_pause_when not in list_autoplay_pause_when:
            raise ValueError(
                f"`autoplay_pause_when` must be one of: ['never', 'hover', 'popup', 'hover_popup']"
            )
        elif (
            autoplay_pause_when in list_autoplay_pause_when
            and autoplay_pause_when is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "never": "never",
                    "hover": "hover",
                    "popup": "popup",
                    "hover_popup": "hover_popup",
                }.items()
                if autoplay_pause_when in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["autoplay_pause_when"] = filtered_dict[
                    autoplay_pause_when
                ]

        list_autoplay_btn_visible = [True, False] + [None]
        if autoplay_btn_visible not in list_autoplay_btn_visible:
            raise ValueError(f"`autoplay_btn_visible` must be one of: [True, False]")
        elif (
            autoplay_btn_visible in list_autoplay_btn_visible
            and autoplay_btn_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if autoplay_btn_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["autoplay_btn_visible"] = filtered_dict[
                    autoplay_btn_visible
                ]

        list_autoplay_btn_position = [
            "top_left",
            "top_right",
            "bottom_left",
            "bottom_right",
        ] + [None]
        if autoplay_btn_position not in list_autoplay_btn_position:
            raise ValueError(
                f"`autoplay_btn_position` must be one of: ['top_left', 'top_right', 'bottom_left', 'bottom_right']"
            )
        elif (
            autoplay_btn_position in list_autoplay_btn_position
            and autoplay_btn_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top_left": "top_left",
                    "top_right": "top_right",
                    "bottom_left": "bottom_left",
                    "bottom_right": "bottom_right",
                }.items()
                if autoplay_btn_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["autoplay_btn_position"] = filtered_dict[
                    autoplay_btn_position
                ]
        self.state["state"]["autoplay_btn_size"] = autoplay_btn_size
        self.state["state"]["autoplay_btn_background"] = autoplay_btn_background
        self.state["state"]["autoplay_btn_opacity"] = autoplay_btn_opacity
        self.state["state"]["autoplay_btn_color"] = autoplay_btn_color

        list_card_layout = ["portrait", "landscape", "absolute"] + [None]
        if card_layout not in list_card_layout:
            raise ValueError(
                f"`card_layout` must be one of: ['portrait', 'landscape', 'absolute']"
            )
        elif card_layout in list_card_layout and card_layout is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "portrait": "portrait",
                    "landscape": "landscape",
                    "absolute": "absolute",
                }.items()
                if card_layout in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["card_layout"] = filtered_dict[card_layout]

        list_card_order = ["stack-default", "stack-2", "stack-3", "stack-4"] + [None]
        if card_order not in list_card_order:
            raise ValueError(
                f"`card_order` must be one of: ['stack-default', 'stack-2', 'stack-3', 'stack-4']"
            )
        elif card_order in list_card_order and card_order is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "stack-default": "stack-default",
                    "stack-2": "stack-2",
                    "stack-3": "stack-3",
                    "stack-4": "stack-4",
                }.items()
                if card_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["card_order"] = filtered_dict[card_order]
        self.state["state"]["card_width_portrait"] = card_width_portrait
        self.state["state"]["card_width_landscape"] = card_width_landscape
        self.state["state"]["card_width_stretch"] = card_width_stretch
        self.state["state"]["card_width_stretch_percent"] = card_width_stretch_percent
        self.state["state"]["card_padding_top"] = card_padding_top
        self.state["state"]["card_padding_right"] = card_padding_right
        self.state["state"]["card_padding_bottom"] = card_padding_bottom
        self.state["state"]["card_padding_left"] = card_padding_left
        self.state["state"]["card_horizontal_margin"] = card_horizontal_margin
        self.state["state"]["card_vertical_margin"] = card_vertical_margin
        self.state["state"]["card_border_color"] = card_border_color
        self.state["state"]["card_border_width"] = card_border_width

        list_card_shape = ["circle", "square"] + [None]
        if card_shape not in list_card_shape:
            raise ValueError(f"`card_shape` must be one of: ['circle', 'square']")
        elif card_shape in list_card_shape and card_shape is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"circle": "circle", "square": "square"}.items()
                if card_shape in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["card_shape"] = filtered_dict[card_shape]
        self.state["state"]["card_radius"] = card_radius

        list_card_shadow = [True, False] + [None]
        if card_shadow not in list_card_shadow:
            raise ValueError(f"`card_shadow` must be one of: [True, False]")
        elif card_shadow in list_card_shadow and card_shadow is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if card_shadow in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["card_shadow"] = filtered_dict[card_shadow]
        self.state["state"]["card_shadow_color"] = card_shadow_color
        self.state["state"]["card_shadow_blur"] = card_shadow_blur
        self.state["state"]["template_customise"] = template_customise

        if (
            template_simple_custom is not None
            and len(template_simple_custom) > 1
            and isinstance(template_simple_custom, list)
        ):
            self.state["state"]["template_simple_custom"] = " \n ".join(
                template_simple_custom
            )
        else:
            self.state["state"]["template_simple_custom"] = template_simple_custom

        list_content_vertical_align = ["center", "flex-start", "flex-end"] + [None]
        if content_vertical_align not in list_content_vertical_align:
            raise ValueError(
                f"`content_vertical_align` must be one of: ['center', 'flex-start', 'flex-end']"
            )
        elif (
            content_vertical_align in list_content_vertical_align
            and content_vertical_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "center": "center",
                    "flex-start": "flex-start",
                    "flex-end": "flex-end",
                }.items()
                if content_vertical_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_vertical_align"] = filtered_dict[
                    content_vertical_align
                ]
        self.state["state"]["content_horizontal_padding"] = content_horizontal_padding
        self.state["state"]["title_color"] = title_color
        self.state["state"]["title_fontsize"] = title_fontsize

        list_title_weight = ["italic", "normal", "bold"] + [None]
        if title_weight not in list_title_weight:
            raise ValueError(
                f"`title_weight` must be one of: ['italic', 'normal', 'bold']"
            )
        elif title_weight in list_title_weight and title_weight is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "italic": "italic",
                    "normal": "normal",
                    "bold": "bold",
                }.items()
                if title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["title_weight"] = filtered_dict[title_weight]
        self.state["state"]["title_advanced"] = title_advanced
        self.state["state"]["title_opacity"] = title_opacity
        self.state["state"]["title_space_above"] = title_space_above
        self.state["state"]["title_space_below"] = title_space_below
        self.state["state"]["title_lineheight"] = title_lineheight
        self.state["state"]["title_minheight"] = title_minheight

        list_title_align = ["start", "center", "end"] + [None]
        if title_align not in list_title_align:
            raise ValueError(
                f"`title_align` must be one of: ['start', 'center', 'end']"
            )
        elif title_align in list_title_align and title_align is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if title_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["title_align"] = filtered_dict[title_align]
        self.state["state"]["subtitle_color"] = subtitle_color
        self.state["state"]["subtitle_fontsize"] = subtitle_fontsize

        list_subtitle_weight = ["italic", "normal", "bold"] + [None]
        if subtitle_weight not in list_subtitle_weight:
            raise ValueError(
                f"`subtitle_weight` must be one of: ['italic', 'normal', 'bold']"
            )
        elif subtitle_weight in list_subtitle_weight and subtitle_weight is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "italic": "italic",
                    "normal": "normal",
                    "bold": "bold",
                }.items()
                if subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["subtitle_weight"] = filtered_dict[subtitle_weight]
        self.state["state"]["subtitle_advanced"] = subtitle_advanced
        self.state["state"]["subtitle_opacity"] = subtitle_opacity
        self.state["state"]["subtitle_space_above"] = subtitle_space_above
        self.state["state"]["subtitle_space_below"] = subtitle_space_below
        self.state["state"]["subtitle_lineheight"] = subtitle_lineheight
        self.state["state"]["subtitle_minheight"] = subtitle_minheight

        list_subtitle_align = ["start", "center", "end"] + [None]
        if subtitle_align not in list_subtitle_align:
            raise ValueError(
                f"`subtitle_align` must be one of: ['start', 'center', 'end']"
            )
        elif subtitle_align in list_subtitle_align and subtitle_align is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if subtitle_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["subtitle_align"] = filtered_dict[subtitle_align]
        self.state["state"]["text_color"] = text_color
        self.state["state"]["text_fontsize"] = text_fontsize

        list_text_weight = ["italic", "normal", "bold"] + [None]
        if text_weight not in list_text_weight:
            raise ValueError(
                f"`text_weight` must be one of: ['italic', 'normal', 'bold']"
            )
        elif text_weight in list_text_weight and text_weight is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "italic": "italic",
                    "normal": "normal",
                    "bold": "bold",
                }.items()
                if text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["text_weight"] = filtered_dict[text_weight]
        self.state["state"]["text_advanced"] = text_advanced
        self.state["state"]["text_opacity"] = text_opacity
        self.state["state"]["text_space_between"] = text_space_between
        self.state["state"]["text_lineheight"] = text_lineheight
        self.state["state"]["text_minheight"] = text_minheight

        list_text_align = ["start", "center", "end"] + [None]
        if text_align not in list_text_align:
            raise ValueError(f"`text_align` must be one of: ['start', 'center', 'end']")
        elif text_align in list_text_align and text_align is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if text_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["text_align"] = filtered_dict[text_align]

        list_text_column_names = [True, False] + [None]
        if text_column_names not in list_text_column_names:
            raise ValueError(f"`text_column_names` must be one of: [True, False]")
        elif (
            text_column_names in list_text_column_names
            and text_column_names is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if text_column_names in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["text_column_names"] = filtered_dict[
                    text_column_names
                ]

        list_text_column_separator = [": ", " - ", "<br>", "other"] + [None]
        if text_column_separator not in list_text_column_separator:
            raise ValueError(
                f"`text_column_separator` must be one of: [': ', ' - ', '<br>', 'other']"
            )
        elif (
            text_column_separator in list_text_column_separator
            and text_column_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " - ": " - ",
                    "<br>": "<br>",
                    "other": "other",
                }.items()
                if text_column_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["text_column_separator"] = filtered_dict[
                    text_column_separator
                ]

        list_text_column_weight = ["bold", "normal"] + [None]
        if text_column_weight not in list_text_column_weight:
            raise ValueError(f"`text_column_weight` must be one of: ['bold', 'normal']")
        elif (
            text_column_weight in list_text_column_weight
            and text_column_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if text_column_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["text_column_weight"] = filtered_dict[
                    text_column_weight
                ]
        self.state["state"][
            "text_column_separator_custom"
        ] = text_column_separator_custom
        self.state["state"]["image_width_portrait"] = image_width_portrait
        self.state["state"]["image_width_landscape"] = image_width_landscape
        self.state["state"]["image_aspect_ratio"] = image_aspect_ratio

        list_image_sizing = ["cover", "contain"] + [None]
        if image_sizing not in list_image_sizing:
            raise ValueError(f"`image_sizing` must be one of: ['cover', 'contain']")
        elif image_sizing in list_image_sizing and image_sizing is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"cover": "cover", "contain": "contain"}.items()
                if image_sizing in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_sizing"] = filtered_dict[image_sizing]
        self.state["state"]["image_horizontal_margin"] = image_horizontal_margin
        self.state["state"]["image_vertical_margin"] = image_vertical_margin
        self.state["state"]["card_space_between"] = card_space_between
        self.state["state"]["image_border_color"] = image_border_color
        self.state["state"]["image_border_width"] = image_border_width

        list_image_shape = ["circle", "square"] + [None]
        if image_shape not in list_image_shape:
            raise ValueError(f"`image_shape` must be one of: ['circle', 'square']")
        elif image_shape in list_image_shape and image_shape is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"circle": "circle", "square": "square"}.items()
                if image_shape in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_shape"] = filtered_dict[image_shape]
        self.state["state"]["image_radius"] = image_radius
        self.state["state"]["image_styling"] = image_styling
        self.state["state"]["image_opacity"] = image_opacity
        self.state["state"]["image_contrast"] = image_contrast
        self.state["state"]["image_brightness"] = image_brightness

        list_image_blend_mode = [
            "normal",
            "lighten",
            "darken",
            "overlay",
            "screen",
            "multiply",
        ] + [None]
        if image_blend_mode not in list_image_blend_mode:
            raise ValueError(
                f"`image_blend_mode` must be one of: ['normal', 'lighten', 'darken', 'overlay', 'screen', 'multiply']"
            )
        elif image_blend_mode in list_image_blend_mode and image_blend_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "normal": "normal",
                    "lighten": "lighten",
                    "darken": "darken",
                    "overlay": "overlay",
                    "screen": "screen",
                    "multiply": "multiply",
                }.items()
                if image_blend_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_blend_mode"] = filtered_dict[
                    image_blend_mode
                ]
        self.state["state"]["image_blackwhite"] = image_blackwhite

        list_image_missing = ["hide", "icon"] + [None]
        if image_missing not in list_image_missing:
            raise ValueError(f"`image_missing` must be one of: ['hide', 'icon']")
        elif image_missing in list_image_missing and image_missing is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"hide": "hide", "icon": "icon"}.items()
                if image_missing in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_missing"] = filtered_dict[image_missing]
        self.state["state"]["image_missing_icon"] = image_missing_icon

        list_card_background_mode = ["transparent", "fixed"] + [None]
        if card_background_mode not in list_card_background_mode:
            raise ValueError(
                f"`card_background_mode` must be one of: ['transparent', 'fixed']"
            )
        elif (
            card_background_mode in list_card_background_mode
            and card_background_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"transparent": "transparent", "fixed": "fixed"}.items()
                if card_background_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["card_background_mode"] = filtered_dict[
                    card_background_mode
                ]
        self.state["state"]["card_background_color"] = card_background_color

        list_card_background_mode_category = ["data", "transparent", "fixed"] + [None]
        if card_background_mode_category not in list_card_background_mode_category:
            raise ValueError(
                f"`card_background_mode_category` must be one of: ['data', 'transparent', 'fixed']"
            )
        elif (
            card_background_mode_category in list_card_background_mode_category
            and card_background_mode_category is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "data": "data",
                    "transparent": "transparent",
                    "fixed": "fixed",
                }.items()
                if card_background_mode_category in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["card_background_mode_category"] = filtered_dict[
                    card_background_mode_category
                ]
        self.state["state"][
            "card_background_color_category"
        ] = card_background_color_category

        list_image_background_mode = ["transparent", "fixed"] + [None]
        if image_background_mode not in list_image_background_mode:
            raise ValueError(
                f"`image_background_mode` must be one of: ['transparent', 'fixed']"
            )
        elif (
            image_background_mode in list_image_background_mode
            and image_background_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"transparent": "transparent", "fixed": "fixed"}.items()
                if image_background_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_background_mode"] = filtered_dict[
                    image_background_mode
                ]
        self.state["state"]["image_background_color"] = image_background_color

        list_image_background_mode_category = ["data", "transparent", "fixed"] + [None]
        if image_background_mode_category not in list_image_background_mode_category:
            raise ValueError(
                f"`image_background_mode_category` must be one of: ['data', 'transparent', 'fixed']"
            )
        elif (
            image_background_mode_category in list_image_background_mode_category
            and image_background_mode_category is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "data": "data",
                    "transparent": "transparent",
                    "fixed": "fixed",
                }.items()
                if image_background_mode_category in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_background_mode_category"] = filtered_dict[
                    image_background_mode_category
                ]
        self.state["state"][
            "image_background_color_category"
        ] = image_background_color_category

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max

        list_chart_popup_mode = ["none", "popup", "panel", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'panel', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "panel": "panel",
                    "both": "both",
                }.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popups"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popups"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popups"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popups"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popups"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popups"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popups"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        if (
            chart_popup_popup_custom_accessible is not None
            and len(chart_popup_popup_custom_accessible) > 1
            and isinstance(chart_popup_popup_custom_accessible, list)
        ):
            self.state["state"]["popups"]["popup_custom_accessible"] = " \n ".join(
                chart_popup_popup_custom_accessible
            )
        else:
            self.state["state"]["popups"][
                "popup_custom_accessible"
            ] = chart_popup_popup_custom_accessible

        self.state["state"]["popups"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popups"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popups"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popups"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popups"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popups"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popups"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popups"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popups"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popups"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popups"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popups"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popups"][
                    "popup_list_label_weight"
                ] = filtered_dict[chart_popup_popup_list_label_weight]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popups"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popups"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popups"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popups"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popups"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popups"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popups"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popups"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popups"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popups"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popups"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popups"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popups"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popups"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popups"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popups"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popups"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popups"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popups"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popups"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popups"][
                    "panel_vertical_position"
                ] = filtered_dict[chart_popup_panel_vertical_position]
        self.state["state"]["popups"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popups"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popups"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popups"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popups"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popups"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popups"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popups"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popups"][
                    "panel_list_label_weight"
                ] = filtered_dict[chart_popup_panel_list_label_weight]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popups"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popups"]["panel_shadow"] = chart_popup_panel_shadow

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size

        list_chart_categorical_legend_show_legend = [True, False] + [None]
        if (
            chart_categorical_legend_show_legend
            not in list_chart_categorical_legend_show_legend
        ):
            raise ValueError(
                f"`chart_categorical_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_categorical_legend_show_legend
            in list_chart_categorical_legend_show_legend
            and chart_categorical_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_categorical_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "show_legend"
                ] = filtered_dict[chart_categorical_legend_show_legend]

        list_chart_categorical_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_categorical_legend_title_mode
            not in list_chart_categorical_legend_title_mode
        ):
            raise ValueError(
                f"`chart_categorical_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_categorical_legend_title_mode
            in list_chart_categorical_legend_title_mode
            and chart_categorical_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_categorical_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"]["title_mode"] = filtered_dict[
                    chart_categorical_legend_title_mode
                ]
        self.state["state"]["legend_categorical"][
            "title"
        ] = chart_categorical_legend_title
        self.state["state"]["legend_categorical"][
            "swatch_width"
        ] = chart_categorical_legend_swatch_width
        self.state["state"]["legend_categorical"][
            "swatch_height"
        ] = chart_categorical_legend_swatch_height
        self.state["state"]["legend_categorical"][
            "swatch_radius"
        ] = chart_categorical_legend_swatch_radius
        self.state["state"]["legend_categorical"][
            "legend_items_padding"
        ] = chart_categorical_legend_legend_items_padding
        self.state["state"]["legend_categorical"][
            "swatch_outline"
        ] = chart_categorical_legend_swatch_outline
        self.state["state"]["legend_categorical"][
            "swatch_outline_color"
        ] = chart_categorical_legend_swatch_outline_color

        if (
            chart_categorical_legend_order_override is not None
            and len(chart_categorical_legend_order_override) > 1
            and isinstance(chart_categorical_legend_order_override, list)
        ):
            self.state["state"]["legend_categorical"]["order_override"] = " \n ".join(
                chart_categorical_legend_order_override
            )
        else:
            self.state["state"]["legend_categorical"][
                "order_override"
            ] = chart_categorical_legend_order_override

        self.state["state"]["legend_categorical"][
            "icon_height"
        ] = chart_categorical_legend_icon_height
        self.state["state"]["legend_categorical"][
            "icon_color"
        ] = chart_categorical_legend_icon_color
        self.state["state"]["legend_categorical"][
            "max_width"
        ] = chart_categorical_legend_max_width

        list_chart_categorical_legend_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_categorical_legend_orientation
            not in list_chart_categorical_legend_orientation
        ):
            raise ValueError(
                f"`chart_categorical_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_categorical_legend_orientation
            in list_chart_categorical_legend_orientation
            and chart_categorical_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_categorical_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "orientation"
                ] = filtered_dict[chart_categorical_legend_orientation]

        list_legend_filter_mode = ["none", "single", "multi"] + [None]
        if legend_filter_mode not in list_legend_filter_mode:
            raise ValueError(
                f"`legend_filter_mode` must be one of: ['none', 'single', 'multi']"
            )
        elif (
            legend_filter_mode in list_legend_filter_mode
            and legend_filter_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "single": "single",
                    "multi": "multi",
                }.items()
                if legend_filter_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_filter_mode"] = filtered_dict[
                    legend_filter_mode
                ]

        list_chart_filter_controls_container_alignment = ["start", "center", "end"] + [
            None
        ]
        if (
            chart_filter_controls_container_alignment
            not in list_chart_filter_controls_container_alignment
        ):
            raise ValueError(
                f"`chart_filter_controls_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_filter_controls_container_alignment
            in list_chart_filter_controls_container_alignment
            and chart_filter_controls_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_filter_controls_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_container"]["alignment"] = filtered_dict[
                    chart_filter_controls_container_alignment
                ]
        self.state["state"]["controls_container"][
            "controls_spacing"
        ] = chart_filter_controls_container_controls_spacing

        list_chart_filter_controls_control_type = ["dropdown", "buttons", "slider"] + [
            None
        ]
        if (
            chart_filter_controls_control_type
            not in list_chart_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_filter_controls_control_type
            in list_chart_filter_controls_control_type
            and chart_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_controls"]["control_type"] = filtered_dict[
                    chart_filter_controls_control_type
                ]
        self.state["state"]["filter_controls"][
            "control_styles"
        ] = chart_filter_controls_control_styles
        self.state["state"]["filter_controls"][
            "control_title"
        ] = chart_filter_controls_control_title

        list_chart_filter_controls_button_group = [True, False] + [None]
        if (
            chart_filter_controls_button_group
            not in list_chart_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_button_group
            in list_chart_filter_controls_button_group
            and chart_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_controls"]["button_group"] = filtered_dict[
                    chart_filter_controls_button_group
                ]

        list_chart_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_filter_controls_button_group_width_mode
            not in list_chart_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_button_group_width_mode
            in list_chart_filter_controls_button_group_width_mode
            and chart_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_controls"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_filter_controls_button_group_width_mode]
        self.state["state"]["filter_controls"][
            "button_group_width_fixed"
        ] = chart_filter_controls_button_group_width_fixed

        list_chart_filter_controls_dropdown_width_mode = ["auto", "full", "fixed"] + [
            None
        ]
        if (
            chart_filter_controls_dropdown_width_mode
            not in list_chart_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_dropdown_width_mode
            in list_chart_filter_controls_dropdown_width_mode
            and chart_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_controls"][
                    "dropdown_width_mode"
                ] = filtered_dict[chart_filter_controls_dropdown_width_mode]
        self.state["state"]["filter_controls"][
            "dropdown_width_fixed"
        ] = chart_filter_controls_dropdown_width_fixed
        self.state["state"]["filter_controls"][
            "slider_width"
        ] = chart_filter_controls_slider_width
        self.state["state"]["filter_controls"][
            "slider_max_label_width"
        ] = chart_filter_controls_slider_max_label_width
        self.state["state"]["filter_controls"][
            "slider_step_time"
        ] = chart_filter_controls_slider_step_time
        self.state["state"]["filter_controls"][
            "slider_loop"
        ] = chart_filter_controls_slider_loop
        self.state["state"]["filter_controls"][
            "slider_restart_pause"
        ] = chart_filter_controls_slider_restart_pause

        list_chart_filter_controls_sort = [True, False] + [None]
        if chart_filter_controls_sort not in list_chart_filter_controls_sort:
            raise ValueError(
                f"`chart_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_sort in list_chart_filter_controls_sort
            and chart_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_controls"]["sort"] = filtered_dict[
                    chart_filter_controls_sort
                ]
        self.state["state"]["filter_show_all"] = filter_show_all
        self.state["state"]["filter_show_all_text"] = filter_show_all_text
        self.state["state"]["controls_style"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_style"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["controls_style"]["height"] = chart_controls_style_height
        self.state["state"]["dropdown_style"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["dropdown_style"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["dropdown_style"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown_style"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["dropdown_style"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["dropdown_style"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["dropdown_style"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["dropdown_style"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius
        self.state["state"]["button_style"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["button_style"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["button_style"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["button_style"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["button_style"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["button_style"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["button_style"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["button_style"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["button_style"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["button_style"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["button_style"][
            "border_radius"
        ] = chart_button_control_style_border_radius
        self.state["state"]["slider_style"][
            "track_color"
        ] = chart_slider_control_style_track_color
        self.state["state"]["slider_style"][
            "font_color"
        ] = chart_slider_control_style_font_color
        self.state["state"]["slider_style"][
            "handle_color"
        ] = chart_slider_control_style_handle_color
        self.state["state"]["slider_style"][
            "play_color"
        ] = chart_slider_control_style_play_color
        self.state["state"]["slider_style"][
            "track_height"
        ] = chart_slider_control_style_track_height
        self.state["state"]["slider_style"][
            "handle_height"
        ] = chart_slider_control_style_handle_height
        self.state["state"]["slider_style"][
            "play_button"
        ] = chart_slider_control_style_play_button

        list_audio_click = ["replay", "stop", "pause"] + [None]
        if audio_click not in list_audio_click:
            raise ValueError(
                f"`audio_click` must be one of: ['replay', 'stop', 'pause']"
            )
        elif audio_click in list_audio_click and audio_click is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "replay": "replay",
                    "stop": "stop",
                    "pause": "pause",
                }.items()
                if audio_click in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["audio_click"] = filtered_dict[audio_click]
        self.state["state"]["audio_animation"] = audio_animation
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        self.state["state"]["url_state"]["enabled"] = chart_url_settings_enabled

        if (
            chart_url_settings_whitelist is not None
            and len(chart_url_settings_whitelist) > 1
            and isinstance(chart_url_settings_whitelist, list)
        ):
            self.state["state"]["url_state"]["whitelist"] = " \n ".join(
                chart_url_settings_whitelist
            )
        else:
            self.state["state"]["url_state"]["whitelist"] = chart_url_settings_whitelist

        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_chord_diagram_details(
        self,
        opacity_default: float = None,
        opacity_focused: float = None,
        opacity_defocused: float = None,
        selected_chords: Union[list, str] = None,
        use_mouseover_label: bool = None,
        show_selected_label: bool = None,
        chord_labels_reponsive: bool = None,
        chord_label_font_size: float = None,
        chord_label_font_size_min: float = None,
        chord_label_font_size_max: float = None,
        show_chord_stroke: bool = None,
        chord_stroke_color: str = None,
        chord_stroke_opacity: float = None,
        arc_thickness: float = None,
        arc_spacing: float = None,
        pad_angle: float = None,
        label_alignment: str = None,
        label_responsive: bool = None,
        label_font_size: float = None,
        label_font_size_min: float = None,
        label_font_size_max: float = None,
        label_color: str = None,
        use_label_color_arc: bool = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        gradient_type: str = None,
        chart_popup_show_popups: bool = None,
        chart_popup_is_custom: bool = None,
        chart_popup_custom_template: Union[list, str] = None,
        chart_popup_show_pointer: bool = None,
        chart_popup_show_shadow: bool = None,
        chart_popup_style_popups: bool = None,
        chart_popup_text_color: str = None,
        chart_popup_align: str = None,
        chart_popup_text_size: float = None,
        chart_popup_fill_color: str = None,
        chart_popup_opacity: float = None,
        chart_popup_padding: float = None,
        chart_popup_border_radius: float = None,
        chart_popup_max_width: float = None,
        popup_type: str = None,
        popup_content: Union[list, str] = None,
        animation_speed: float = None,
        chart_number_localization_input_decimal_separator: str = None,
        chart_number_localization_output_separators: str = None,
        chart_label_number_date_format_prefix: str = None,
        chart_label_number_date_format_suffix: str = None,
        chart_label_number_date_format_n_dec: float = None,
        chart_label_number_date_format_advanced: bool = None,
        chart_label_number_date_format_negative_sign: str = None,
        chart_label_number_date_format_strip_zeros: bool = None,
        chart_label_number_date_format_strip_separator: bool = None,
        chart_label_number_date_format_transform_labels: bool = None,
        chart_label_number_date_format_transform: str = None,
        chart_label_number_date_format_multiply_divide_constant: float = None,
        chart_label_number_date_format_exponentiate_constant: float = None,
        chart_scale: float = None,
        allow_resize: bool = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: chord diagram.


        :param opacity_default: Default opacity. Opacity for the default view. Flourish type hint: number, defaults to None.
        :type opacity_default: float, optional
        :param opacity_focused: Focused opacity. Opacity for the selected and/or hovered chords. Flourish type hint: number, defaults to None.
        :type opacity_focused: float, optional
        :param opacity_defocused: Defocused opacity. Opacity for the background chords when one is in focus. Flourish type hint: number, defaults to None.
        :type opacity_defocused: float, optional
        :param selected_chords: Highlight chords. You can highlight all of an arcs chords by typing the name of the arc. Alternatively, you can highlight individual chords by typing the name of the two arcs that it connects using the format: Arc 1 >> Arc 2  If you wanted to highlight all chords from "Arc 3" and any chords between "Arc 1" and "Arc 2" you would write: Arc 3  Arc 1 >> Arc 2  If you wish to highlight/unhighlight in the story editor you can do so by clicking on chords. Flourish type hint: text, defaults to None.
        :type selected_chords: Union[list, str], optional
        :param use_mouseover_label: Show chord values on hover. Flourish type hint: boolean, defaults to None.
        :type use_mouseover_label: bool, optional
        :param show_selected_label: Keep chord values on click. Flourish type hint: boolean, defaults to None.
        :type show_selected_label: bool, optional
        :param chord_labels_reponsive: Label text size. Choices: True, False. Auto changes the label size based on the window size, subject to the specified min and max. Flourish type hint: boolean, defaults to None.
        :type chord_labels_reponsive: bool, optional
        :param chord_label_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chord_label_font_size: float, optional
        :param chord_label_font_size_min: Min size. Flourish type hint: number, defaults to None.
        :type chord_label_font_size_min: float, optional
        :param chord_label_font_size_max: Max size. Flourish type hint: number, defaults to None.
        :type chord_label_font_size_max: float, optional
        :param show_chord_stroke: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type show_chord_stroke: bool, optional
        :param chord_stroke_color: Stroke color. Flourish type hint: color, defaults to None.
        :type chord_stroke_color: str, optional
        :param chord_stroke_opacity: Stroke opacity. Flourish type hint: number, defaults to None.
        :type chord_stroke_opacity: float, optional
        :param arc_thickness: Thickness. As a percentage of the radius. Flourish type hint: number, defaults to None.
        :type arc_thickness: float, optional
        :param arc_spacing: Space below. As a percentage of the radius. Flourish type hint: number, defaults to None.
        :type arc_spacing: float, optional
        :param pad_angle: Space between. In degrees. Flourish type hint: number, defaults to None.
        :type pad_angle: float, optional
        :param label_alignment: Alignment. Choices: along_arcs, 90_rotated. Flourish type hint: string, defaults to None.
        :type label_alignment: str, optional
        :param label_responsive: Label text size. Choices: True, False. Auto changes the label size based on the window size, subject to the specified min and max. Flourish type hint: boolean, defaults to None.
        :type label_responsive: bool, optional
        :param label_font_size: Text size. Flourish type hint: number, defaults to None.
        :type label_font_size: float, optional
        :param label_font_size_min: Min size. Flourish type hint: number, defaults to None.
        :type label_font_size_min: float, optional
        :param label_font_size_max: Max size. Flourish type hint: number, defaults to None.
        :type label_font_size_max: float, optional
        :param label_color: Label color. Flourish type hint: color, defaults to None.
        :type label_color: str, optional
        :param use_label_color_arc: Make the arc label color the same as the arc color. Flourish type hint: boolean, defaults to None.
        :type use_label_color_arc: bool, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param gradient_type: Chord color mode. Choices: linear_gradient, largest_end, smallest_end. Flourish type hint: string, defaults to None.
        :type gradient_type: str, optional
        :param chart_popup_show_popups: Popups. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popups: bool, optional
        :param chart_popup_is_custom: Popup contents. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_is_custom: bool, optional
        :param chart_popup_custom_template: Popup content. The text to appear in the popup. You can use `{{column_name}}` to add a value from your data. It must be in a selected column, but you can add columns to Metadata if you just want to include them for use in the popup. Advanced users can include HTML to apply layouts, formatting, images, etc. Flourish type hint: text, defaults to None.
        :type chart_popup_custom_template: Union[list, str], optional
        :param chart_popup_show_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_pointer: bool, optional
        :param chart_popup_show_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_shadow: bool, optional
        :param chart_popup_style_popups: Custom styling. Flourish type hint: boolean, defaults to None.
        :type chart_popup_style_popups: bool, optional
        :param chart_popup_text_color: Text colour. Flourish type hint: color, defaults to None.
        :type chart_popup_text_color: str, optional
        :param chart_popup_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_popup_align: str, optional
        :param chart_popup_text_size: Font size. Flourish type hint: number, defaults to None.
        :type chart_popup_text_size: float, optional
        :param chart_popup_fill_color: Fill colour. Flourish type hint: color, defaults to None.
        :type chart_popup_fill_color: str, optional
        :param chart_popup_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_opacity: float, optional
        :param chart_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_padding: float, optional
        :param chart_popup_border_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_border_radius: float, optional
        :param chart_popup_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_popup_max_width: float, optional
        :param popup_type: Position. Choices: directional, non_directional. Flourish type hint: string, defaults to None.
        :type popup_type: str, optional
        :param popup_content: Popup description. Add a title or a discription to help explain your tooltip. Flourish type hint: text, defaults to None.
        :type popup_content: Union[list, str], optional
        :param animation_speed: Animation duration. The duration, in seconds, of transitions  for example between two slides in a story Flourish type hint: number, defaults to None.
        :type animation_speed: float, optional
        :param chart_number_localization_input_decimal_separator: Decimal separator in data sheet. Choices: ., ,. Used for interpreting your data. Only change if data is not displaying on the chart as expected. Flourish type hint: string, defaults to None.
        :type chart_number_localization_input_decimal_separator: str, optional
        :param chart_number_localization_output_separators: Number format to display. Choices: ,., .,, ., ,, ., ,. How the numbers should appear on chart labels. Flourish type hint: string, defaults to None.
        :type chart_number_localization_output_separators: str, optional
        :param chart_label_number_date_format_prefix: Prefix. Text to place in front of number. Flourish type hint: string, defaults to None.
        :type chart_label_number_date_format_prefix: str, optional
        :param chart_label_number_date_format_suffix: Suffix. Text to place after number. Flourish type hint: string, defaults to None.
        :type chart_label_number_date_format_suffix: str, optional
        :param chart_label_number_date_format_n_dec: Decimal places. Enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_label_number_date_format_n_dec: float, optional
        :param chart_label_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_label_number_date_format_advanced: bool, optional
        :param chart_label_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_label_number_date_format_negative_sign: str, optional
        :param chart_label_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_label_number_date_format_strip_zeros: bool, optional
        :param chart_label_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_label_number_date_format_strip_separator: bool, optional
        :param chart_label_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_label_number_date_format_transform_labels: bool, optional
        :param chart_label_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_label_number_date_format_transform: str, optional
        :param chart_label_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_label_number_date_format_multiply_divide_constant: float, optional
        :param chart_label_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_label_number_date_format_exponentiate_constant: float, optional
        :param chart_scale: Chart scale. Flourish type hint: number, defaults to None.
        :type chart_scale: float, optional
        :param allow_resize: Allow embeds to resize. Checking this option allows the visualization to resize so the chord diagram is always a square without white space to the sides or top/bottom. Flourish type hint: boolean, defaults to None.
        :type allow_resize: bool, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "color": {},
                "popup": {},
                "localization": {},
                "label_format": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        self.state["state"]["opacity_default"] = opacity_default
        self.state["state"]["opacity_focused"] = opacity_focused
        self.state["state"]["opacity_defocused"] = opacity_defocused

        if (
            selected_chords is not None
            and len(selected_chords) > 1
            and isinstance(selected_chords, list)
        ):
            self.state["state"]["selected_chords"] = " \n ".join(selected_chords)
        else:
            self.state["state"]["selected_chords"] = selected_chords

        self.state["state"]["use_mouseover_label"] = use_mouseover_label
        self.state["state"]["show_selected_label"] = show_selected_label

        list_chord_labels_reponsive = [True, False] + [None]
        if chord_labels_reponsive not in list_chord_labels_reponsive:
            raise ValueError(f"`chord_labels_reponsive` must be one of: [True, False]")
        elif (
            chord_labels_reponsive in list_chord_labels_reponsive
            and chord_labels_reponsive is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chord_labels_reponsive in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["chord_labels_reponsive"] = filtered_dict[
                    chord_labels_reponsive
                ]
        self.state["state"]["chord_label_font_size"] = chord_label_font_size
        self.state["state"]["chord_label_font_size_min"] = chord_label_font_size_min
        self.state["state"]["chord_label_font_size_max"] = chord_label_font_size_max

        list_show_chord_stroke = [True, False] + [None]
        if show_chord_stroke not in list_show_chord_stroke:
            raise ValueError(f"`show_chord_stroke` must be one of: [True, False]")
        elif (
            show_chord_stroke in list_show_chord_stroke
            and show_chord_stroke is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if show_chord_stroke in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["show_chord_stroke"] = filtered_dict[
                    show_chord_stroke
                ]
        self.state["state"]["chord_stroke_color"] = chord_stroke_color
        self.state["state"]["chord_stroke_opacity"] = chord_stroke_opacity
        self.state["state"]["arc_thickness"] = arc_thickness
        self.state["state"]["arc_spacing"] = arc_spacing
        self.state["state"]["pad_angle"] = pad_angle

        list_label_alignment = ["along_arcs", "90_rotated"] + [None]
        if label_alignment not in list_label_alignment:
            raise ValueError(
                f"`label_alignment` must be one of: ['along_arcs', '90_rotated']"
            )
        elif label_alignment in list_label_alignment and label_alignment is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "along_arcs": "along_arcs",
                    "90_rotated": "90_rotated",
                }.items()
                if label_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_alignment"] = filtered_dict[label_alignment]

        list_label_responsive = [True, False] + [None]
        if label_responsive not in list_label_responsive:
            raise ValueError(f"`label_responsive` must be one of: [True, False]")
        elif label_responsive in list_label_responsive and label_responsive is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if label_responsive in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_responsive"] = filtered_dict[
                    label_responsive
                ]
        self.state["state"]["label_font_size"] = label_font_size
        self.state["state"]["label_font_size_min"] = label_font_size_min
        self.state["state"]["label_font_size_max"] = label_font_size_max
        self.state["state"]["label_color"] = label_color
        self.state["state"]["use_label_color_arc"] = use_label_color_arc

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max

        list_gradient_type = ["linear_gradient", "largest_end", "smallest_end"] + [None]
        if gradient_type not in list_gradient_type:
            raise ValueError(
                f"`gradient_type` must be one of: ['linear_gradient', 'largest_end', 'smallest_end']"
            )
        elif gradient_type in list_gradient_type and gradient_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "linear_gradient": "linear_gradient",
                    "largest_end": "largest_end",
                    "smallest_end": "smallest_end",
                }.items()
                if gradient_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gradient_type"] = filtered_dict[gradient_type]

        list_chart_popup_show_popups = [True, False] + [None]
        if chart_popup_show_popups not in list_chart_popup_show_popups:
            raise ValueError(f"`chart_popup_show_popups` must be one of: [True, False]")
        elif (
            chart_popup_show_popups in list_chart_popup_show_popups
            and chart_popup_show_popups is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_popup_show_popups in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["show_popups"] = filtered_dict[
                    chart_popup_show_popups
                ]

        list_chart_popup_is_custom = [False, True] + [None]
        if chart_popup_is_custom not in list_chart_popup_is_custom:
            raise ValueError(f"`chart_popup_is_custom` must be one of: [False, True]")
        elif (
            chart_popup_is_custom in list_chart_popup_is_custom
            and chart_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["is_custom"] = filtered_dict[
                    chart_popup_is_custom
                ]

        if (
            chart_popup_custom_template is not None
            and len(chart_popup_custom_template) > 1
            and isinstance(chart_popup_custom_template, list)
        ):
            self.state["state"]["popup"]["custom_template"] = " \n ".join(
                chart_popup_custom_template
            )
        else:
            self.state["state"]["popup"][
                "custom_template"
            ] = chart_popup_custom_template

        self.state["state"]["popup"]["show_pointer"] = chart_popup_show_pointer
        self.state["state"]["popup"]["show_shadow"] = chart_popup_show_shadow
        self.state["state"]["popup"]["style_popups"] = chart_popup_style_popups
        self.state["state"]["popup"]["text_color"] = chart_popup_text_color

        list_chart_popup_align = ["left", "center", "right"] + [None]
        if chart_popup_align not in list_chart_popup_align:
            raise ValueError(
                f"`chart_popup_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_popup_align in list_chart_popup_align
            and chart_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["align"] = filtered_dict[chart_popup_align]
        self.state["state"]["popup"]["text_size"] = chart_popup_text_size
        self.state["state"]["popup"]["fill_color"] = chart_popup_fill_color
        self.state["state"]["popup"]["opacity"] = chart_popup_opacity
        self.state["state"]["popup"]["padding"] = chart_popup_padding
        self.state["state"]["popup"]["border_radius"] = chart_popup_border_radius
        self.state["state"]["popup"]["max_width"] = chart_popup_max_width

        list_popup_type = ["directional", "non_directional"] + [None]
        if popup_type not in list_popup_type:
            raise ValueError(
                f"`popup_type` must be one of: ['directional', 'non_directional']"
            )
        elif popup_type in list_popup_type and popup_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "directional": "directional",
                    "non_directional": "non_directional",
                }.items()
                if popup_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup_type"] = filtered_dict[popup_type]

        if (
            popup_content is not None
            and len(popup_content) > 1
            and isinstance(popup_content, list)
        ):
            self.state["state"]["popup_content"] = " \n ".join(popup_content)
        else:
            self.state["state"]["popup_content"] = popup_content

        self.state["state"]["animation_speed"] = animation_speed

        list_chart_number_localization_input_decimal_separator = [".", ","] + [None]
        if (
            chart_number_localization_input_decimal_separator
            not in list_chart_number_localization_input_decimal_separator
        ):
            raise ValueError(
                f"`chart_number_localization_input_decimal_separator` must be one of: ['.', ',']"
            )
        elif (
            chart_number_localization_input_decimal_separator
            in list_chart_number_localization_input_decimal_separator
            and chart_number_localization_input_decimal_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {".": ".", ",": ","}.items()
                if chart_number_localization_input_decimal_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "input_decimal_separator"
                ] = filtered_dict[chart_number_localization_input_decimal_separator]

        list_chart_number_localization_output_separators = [
            ",.",
            ".,",
            ".",
            ",",
            " .",
            " ,",
        ] + [None]
        if (
            chart_number_localization_output_separators
            not in list_chart_number_localization_output_separators
        ):
            raise ValueError(
                f"`chart_number_localization_output_separators` must be one of: [',.', '.,', '.', ',', ' .', ' ,']"
            )
        elif (
            chart_number_localization_output_separators
            in list_chart_number_localization_output_separators
            and chart_number_localization_output_separators is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ",.": ",.",
                    ".,": ".,",
                    ".": ".",
                    ",": ",",
                    " .": " .",
                    " ,": " ,",
                }.items()
                if chart_number_localization_output_separators in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "output_separators"
                ] = filtered_dict[chart_number_localization_output_separators]
        self.state["state"]["label_format"][
            "prefix"
        ] = chart_label_number_date_format_prefix
        self.state["state"]["label_format"][
            "suffix"
        ] = chart_label_number_date_format_suffix
        self.state["state"]["label_format"][
            "n_dec"
        ] = chart_label_number_date_format_n_dec
        self.state["state"]["label_format"][
            "advanced"
        ] = chart_label_number_date_format_advanced

        list_chart_label_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_label_number_date_format_negative_sign
            not in list_chart_label_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_label_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_label_number_date_format_negative_sign
            in list_chart_label_number_date_format_negative_sign
            and chart_label_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_label_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_format"]["negative_sign"] = filtered_dict[
                    chart_label_number_date_format_negative_sign
                ]
        self.state["state"]["label_format"][
            "strip_zeros"
        ] = chart_label_number_date_format_strip_zeros
        self.state["state"]["label_format"][
            "strip_separator"
        ] = chart_label_number_date_format_strip_separator
        self.state["state"]["label_format"][
            "transform_labels"
        ] = chart_label_number_date_format_transform_labels

        list_chart_label_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_label_number_date_format_transform
            not in list_chart_label_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_label_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_label_number_date_format_transform
            in list_chart_label_number_date_format_transform
            and chart_label_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_label_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_format"]["transform"] = filtered_dict[
                    chart_label_number_date_format_transform
                ]
        self.state["state"]["label_format"][
            "multiply_divide_constant"
        ] = chart_label_number_date_format_multiply_divide_constant
        self.state["state"]["label_format"][
            "exponentiate_constant"
        ] = chart_label_number_date_format_exponentiate_constant
        self.state["state"]["chart_scale"] = chart_scale
        self.state["state"]["allow_resize"] = allow_resize
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_countdown_details(
        self,
        date_day: float = None,
        date_month: float = None,
        date_year: float = None,
        date_hour: float = None,
        date_minute: float = None,
        date_second: float = None,
        before_content_mode: str = None,
        before_content_custom: Union[list, str] = None,
        after_content_mode: str = None,
        after_content_custom: Union[list, str] = None,
        countdown_size: float = None,
        countdown_color: str = None,
        countdown_weight: str = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: countdown.


        :param date_day: Day. Flourish type hint: number, defaults to None.
        :type date_day: float, optional
        :param date_month: Month. Flourish type hint: number, defaults to None.
        :type date_month: float, optional
        :param date_year: Year. If your date is in the future, the tool will count down to it If its in the past, the tool will count up, showing the number of days that have passed since the date. Flourish type hint: number, defaults to None.
        :type date_year: float, optional
        :param date_hour: Hour. 0 to 23. Flourish type hint: number, defaults to None.
        :type date_hour: float, optional
        :param date_minute: Minute. Flourish type hint: number, defaults to None.
        :type date_minute: float, optional
        :param date_second: Second. Flourish type hint: number, defaults to None.
        :type date_second: float, optional
        :param before_content_mode: Text mode. Choices: auto, custom. Displays while counting down to the specified time/date. Flourish type hint: string, defaults to None.
        :type before_content_mode: str, optional
        :param before_content_custom: Custom text before date/time reached. Can include any text or HTML Use `{{d}}` for days, `{{h}}` for hours, `{{m}}` for minutes and `{{s}}` for seconds. Flourish type hint: text, defaults to None.
        :type before_content_custom: Union[list, str], optional
        :param after_content_mode: Text mode. Choices: auto, custom. Displays while counting upwards after the specified time/date. Flourish type hint: string, defaults to None.
        :type after_content_mode: str, optional
        :param after_content_custom: Custom text after date/time reached. Can include any text or HTML Use `{{d}}` for days, `{{h}}` for hours, `{{m}}` for minutes and `{{s}}` for seconds. Flourish type hint: text, defaults to None.
        :type after_content_custom: Union[list, str], optional
        :param countdown_size: Size. Measured in vw (percentage of view window). This makes sure the countdown always scales with the page. Flourish type hint: number, defaults to None.
        :type countdown_size: float, optional
        :param countdown_color: Color. Flourish type hint: color, defaults to None.
        :type countdown_color: str, optional
        :param countdown_weight: Weight. Choices: 400, 600. Flourish type hint: string, defaults to None.
        :type countdown_weight: str, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "date": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        self.state["state"]["date"]["day"] = date_day
        self.state["state"]["date"]["month"] = date_month
        self.state["state"]["date"]["year"] = date_year
        self.state["state"]["date"]["hour"] = date_hour
        self.state["state"]["date"]["minute"] = date_minute
        self.state["state"]["date"]["second"] = date_second

        list_before_content_mode = ["auto", "custom"] + [None]
        if before_content_mode not in list_before_content_mode:
            raise ValueError(
                f"`before_content_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            before_content_mode in list_before_content_mode
            and before_content_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if before_content_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["before_content_mode"] = filtered_dict[
                    before_content_mode
                ]

        if (
            before_content_custom is not None
            and len(before_content_custom) > 1
            and isinstance(before_content_custom, list)
        ):
            self.state["state"]["before_content_custom"] = " \n ".join(
                before_content_custom
            )
        else:
            self.state["state"]["before_content_custom"] = before_content_custom

        list_after_content_mode = ["auto", "custom"] + [None]
        if after_content_mode not in list_after_content_mode:
            raise ValueError(f"`after_content_mode` must be one of: ['auto', 'custom']")
        elif (
            after_content_mode in list_after_content_mode
            and after_content_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if after_content_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["after_content_mode"] = filtered_dict[
                    after_content_mode
                ]

        if (
            after_content_custom is not None
            and len(after_content_custom) > 1
            and isinstance(after_content_custom, list)
        ):
            self.state["state"]["after_content_custom"] = " \n ".join(
                after_content_custom
            )
        else:
            self.state["state"]["after_content_custom"] = after_content_custom

        self.state["state"]["countdown_size"] = countdown_size
        self.state["state"]["countdown_color"] = countdown_color

        list_countdown_weight = ["400", "600"] + [None]
        if countdown_weight not in list_countdown_weight:
            raise ValueError(f"`countdown_weight` must be one of: ['400', '600']")
        elif countdown_weight in list_countdown_weight and countdown_weight is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"400": "400", "600": "600"}.items()
                if countdown_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["countdown_weight"] = filtered_dict[
                    countdown_weight
                ]
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_draw_the_line_details(
        self,
        guess_lines_start: float = None,
        guess_lines_width: float = None,
        guess_lines_dot_radius: float = None,
        guess_lines_dash: float = None,
        fixed_lines_width: float = None,
        fixed_lines_dot_radius: float = None,
        line_curve: str = None,
        guess_lines_panel_position: str = None,
        message_styling: bool = None,
        message_background: str = None,
        message_opacity: float = None,
        message_color: str = None,
        message_font_size: float = None,
        message_border: str = None,
        message_border_width: float = None,
        message_border_radius: float = None,
        message_shadow: bool = None,
        guess_lines_message_text: str = None,
        scores_3_min: float = None,
        scores_3_text: str = None,
        scores_2_min: float = None,
        scores_2_text: str = None,
        scores_1_min: float = None,
        scores_1_text: str = None,
        scores_0_text: str = None,
        guess_lines_submit_text: str = None,
        submit_styling: bool = None,
        submit_background: str = None,
        submit_opacity: float = None,
        submit_color: str = None,
        submit_font_size: float = None,
        submit_border: str = None,
        submit_border_width: float = None,
        submit_border_radius: float = None,
        submit_shadow: bool = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        chart_categorical_legend_show_legend: bool = None,
        chart_categorical_legend_title_mode: str = None,
        chart_categorical_legend_title: str = None,
        chart_categorical_legend_swatch_width: float = None,
        chart_categorical_legend_swatch_height: float = None,
        chart_categorical_legend_swatch_radius: float = None,
        chart_categorical_legend_legend_items_padding: float = None,
        chart_categorical_legend_swatch_outline: bool = None,
        chart_categorical_legend_swatch_outline_color: str = None,
        chart_categorical_legend_order_override: Union[list, str] = None,
        chart_categorical_legend_icon_height: float = None,
        chart_categorical_legend_icon_color: str = None,
        chart_categorical_legend_max_width: float = None,
        chart_categorical_legend_orientation: str = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        chart_x_axis_axis_position: str = None,
        chart_x_axis_y_axis_position: str = None,
        chart_x_axis_numeric_scale_type: str = None,
        chart_x_axis_linear_min: float = None,
        chart_x_axis_linear_max: float = None,
        chart_x_axis_log_min: float = None,
        chart_x_axis_log_max: float = None,
        chart_x_axis_datetime_min: str = None,
        chart_x_axis_datetime_max: str = None,
        chart_x_axis_flip: bool = None,
        chart_x_axis_show_scale_settings: bool = None,
        chart_x_axis_nice: bool = None,
        chart_x_axis_zero_axis: str = None,
        chart_x_axis_title_mode: str = None,
        chart_x_axis_title: str = None,
        chart_x_axis_title_styling: bool = None,
        chart_x_axis_title_weight: str = None,
        chart_x_axis_title_color: str = None,
        chart_x_axis_title_size: float = None,
        chart_x_axis_title_padding: float = None,
        chart_x_axis_tick_label_position: str = None,
        chart_x_axis_tick_label_styling: bool = None,
        chart_x_axis_tick_label_size: float = None,
        chart_x_axis_tick_label_color: str = None,
        chart_x_axis_tick_padding: float = None,
        chart_x_axis_tick_label_angle: str = None,
        chart_x_axis_tick_label_weight: str = None,
        chart_x_axis_tick_label_max_lines: float = None,
        chart_x_axis_tick_label_line_height: float = None,
        chart_x_axis_tick_label_space_mode: str = None,
        chart_x_axis_tick_label_space: float = None,
        chart_x_axis_tick_mode: str = None,
        chart_x_axis_tick_number: float = None,
        chart_x_axis_tick_custom: Union[list, str] = None,
        chart_x_axis_line_and_tick_color: str = None,
        chart_x_axis_line_and_tick_width: float = None,
        chart_x_axis_tick_length: float = None,
        chart_x_axis_tick_side: str = None,
        chart_x_axis_line_visible: bool = None,
        chart_x_axis_edge_padding: float = None,
        chart_x_axis_gridlines_visible: bool = None,
        chart_x_axis_gridlines_styling: bool = None,
        chart_x_axis_gridline_color: str = None,
        chart_x_axis_gridline_style: str = None,
        chart_x_axis_gridline_width: float = None,
        chart_x_axis_gridline_category_dividers: bool = None,
        chart_x_axis_gridline_category_dividers_extend: bool = None,
        chart_y_axis_axis_visible: bool = None,
        chart_y_axis_numeric_scale_type: str = None,
        chart_y_axis_linear_min: float = None,
        chart_y_axis_linear_max: float = None,
        chart_y_axis_log_min: float = None,
        chart_y_axis_log_max: float = None,
        chart_y_axis_datetime_min: str = None,
        chart_y_axis_datetime_max: str = None,
        chart_y_axis_flip: bool = None,
        chart_y_axis_show_scale_settings: bool = None,
        chart_y_axis_nice: bool = None,
        chart_y_axis_zero_axis: str = None,
        chart_y_axis_title_mode: str = None,
        chart_y_axis_title: str = None,
        chart_y_axis_title_styling: bool = None,
        chart_y_axis_title_position: str = None,
        chart_y_axis_title_weight: str = None,
        chart_y_axis_title_color: str = None,
        chart_y_axis_title_size: float = None,
        chart_y_axis_title_padding: float = None,
        chart_y_axis_tick_label_position: str = None,
        chart_y_axis_tick_label_styling: bool = None,
        chart_y_axis_tick_label_size: float = None,
        chart_y_axis_tick_label_color: str = None,
        chart_y_axis_tick_padding: float = None,
        chart_y_axis_tick_label_angle: str = None,
        chart_y_axis_tick_label_weight: str = None,
        chart_y_axis_tick_label_max_lines: float = None,
        chart_y_axis_tick_label_line_height: float = None,
        chart_y_axis_tick_label_space_mode: str = None,
        chart_y_axis_tick_label_space: float = None,
        chart_y_axis_tick_mode: str = None,
        chart_y_axis_tick_number: float = None,
        chart_y_axis_tick_custom: Union[list, str] = None,
        chart_y_axis_line_and_tick_color: str = None,
        chart_y_axis_line_and_tick_width: float = None,
        chart_y_axis_tick_length: float = None,
        chart_y_axis_tick_side: str = None,
        chart_y_axis_line_visible: bool = None,
        chart_y_axis_edge_padding: float = None,
        chart_y_axis_gridlines_visible: bool = None,
        chart_y_axis_gridlines_styling: bool = None,
        chart_y_axis_gridline_color: str = None,
        chart_y_axis_gridline_style: str = None,
        chart_y_axis_gridline_width: float = None,
        chart_y_axis_gridline_category_dividers: bool = None,
        chart_y_axis_gridline_category_dividers_extend: bool = None,
        chart_background_background_color_enabled: bool = None,
        chart_background_background_image_enabled: bool = None,
        chart_background_background_color: str = None,
        chart_background_background_image_src: str = None,
        chart_background_background_image_size: str = None,
        chart_background_background_image_position: str = None,
        datetime_input_format: str = None,
        date_format: str = None,
        chart_number_localization_input_decimal_separator: str = None,
        chart_number_localization_output_separators: str = None,
        chart_number_date_format_prefix: str = None,
        chart_number_date_format_suffix: str = None,
        chart_number_date_format_n_dec: float = None,
        chart_number_date_format_advanced: bool = None,
        chart_number_date_format_negative_sign: str = None,
        chart_number_date_format_strip_zeros: bool = None,
        chart_number_date_format_strip_separator: bool = None,
        chart_number_date_format_transform_labels: bool = None,
        chart_number_date_format_transform: str = None,
        chart_number_date_format_multiply_divide_constant: float = None,
        chart_number_date_format_exponentiate_constant: float = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: draw the line chart.


        :param guess_lines_start: Percent to reveal. What percentage of the line to show before a user starts drawing. Flourish type hint: number, defaults to None.
        :type guess_lines_start: float, optional
        :param guess_lines_width: Width. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type guess_lines_width: float, optional
        :param guess_lines_dot_radius: Dot radius. Flourish type hint: number, defaults to None.
        :type guess_lines_dot_radius: float, optional
        :param guess_lines_dash: Drawing dash size. Only applies to the drawn section of the line. Set to zero for a solid line. Flourish type hint: number, defaults to None.
        :type guess_lines_dash: float, optional
        :param fixed_lines_width: Width. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type fixed_lines_width: float, optional
        :param fixed_lines_dot_radius: Dot radius. Flourish type hint: number, defaults to None.
        :type fixed_lines_dot_radius: float, optional
        :param line_curve: Live curve. Choices: linear, step, curve. Flourish type hint: string, defaults to None.
        :type line_curve: str, optional
        :param guess_lines_panel_position: Position. Choices: top, middle, bottom. Flourish type hint: string, defaults to None.
        :type guess_lines_panel_position: str, optional
        :param message_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type message_styling: bool, optional
        :param message_background: Background. Flourish type hint: color, defaults to None.
        :type message_background: str, optional
        :param message_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type message_opacity: float, optional
        :param message_color: Font color. Flourish type hint: color, defaults to None.
        :type message_color: str, optional
        :param message_font_size: Font size. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type message_font_size: float, optional
        :param message_border: Border color. Flourish type hint: color, defaults to None.
        :type message_border: str, optional
        :param message_border_width: Border width. In pixels. Flourish type hint: number, defaults to None.
        :type message_border_width: float, optional
        :param message_border_radius: Border radius. In rems, a multiple of the panels font size. Flourish type hint: number, defaults to None.
        :type message_border_radius: float, optional
        :param message_shadow: Drop shadow. Flourish type hint: boolean, defaults to None.
        :type message_shadow: bool, optional
        :param guess_lines_message_text: Text. Include `{{LINE}}` to show the lines name, in color. Flourish type hint: string, defaults to None.
        :type guess_lines_message_text: str, optional
        :param scores_3_min: % error. Specified as the maximum percentage error allowed, relative to the total Y axis. Flourish type hint: number, defaults to None.
        :type scores_3_min: float, optional
        :param scores_3_text: Text. Use `{{DIFF}}` to show the average gap from the users guess to the real data point. Flourish type hint: string, defaults to None.
        :type scores_3_text: str, optional
        :param scores_2_min: % error. Specified as the maximum percentage error allowed, relative to the total Y axis. Flourish type hint: number, defaults to None.
        :type scores_2_min: float, optional
        :param scores_2_text: Text. Flourish type hint: string, defaults to None.
        :type scores_2_text: str, optional
        :param scores_1_min: % error. Specified as the maximum percentage error allowed, relative to the total Y axis. Flourish type hint: number, defaults to None.
        :type scores_1_min: float, optional
        :param scores_1_text: Text. Flourish type hint: string, defaults to None.
        :type scores_1_text: str, optional
        :param scores_0_text: Text. Flourish type hint: string, defaults to None.
        :type scores_0_text: str, optional
        :param guess_lines_submit_text: Text. In rems, a multiple of the pages base font size. Flourish type hint: string, defaults to None.
        :type guess_lines_submit_text: str, optional
        :param submit_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type submit_styling: bool, optional
        :param submit_background: Background. Flourish type hint: color, defaults to None.
        :type submit_background: str, optional
        :param submit_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type submit_opacity: float, optional
        :param submit_color: Font color. Flourish type hint: color, defaults to None.
        :type submit_color: str, optional
        :param submit_font_size: Font size. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type submit_font_size: float, optional
        :param submit_border: Border colour. Flourish type hint: color, defaults to None.
        :type submit_border: str, optional
        :param submit_border_width: Border width. In pixels. Flourish type hint: number, defaults to None.
        :type submit_border_width: float, optional
        :param submit_border_radius: Border radius. In ems a multiple of the panels font size. Flourish type hint: number, defaults to None.
        :type submit_border_radius: float, optional
        :param submit_shadow: Drop shadow. Flourish type hint: boolean, defaults to None.
        :type submit_shadow: bool, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param chart_categorical_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_show_legend: bool, optional
        :param chart_categorical_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title_mode: str, optional
        :param chart_categorical_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title: str, optional
        :param chart_categorical_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_width: float, optional
        :param chart_categorical_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_height: float, optional
        :param chart_categorical_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_radius: float, optional
        :param chart_categorical_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_legend_items_padding: float, optional
        :param chart_categorical_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_swatch_outline: bool, optional
        :param chart_categorical_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_swatch_outline_color: str, optional
        :param chart_categorical_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_categorical_legend_order_override: Union[list, str], optional
        :param chart_categorical_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_icon_height: float, optional
        :param chart_categorical_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_icon_color: str, optional
        :param chart_categorical_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_max_width: float, optional
        :param chart_categorical_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_orientation: str, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param chart_x_axis_axis_position: Position. Choices: bottom, float-below, float-above, top, off. Flourish type hint: string, defaults to None.
        :type chart_x_axis_axis_position: str, optional
        :param chart_x_axis_y_axis_position: Y value. Vertical position of the X axis on the Y scale. Flourish type hint: string, defaults to None.
        :type chart_x_axis_y_axis_position: str, optional
        :param chart_x_axis_numeric_scale_type: Type. Choices: linear, log. Flourish type hint: string, defaults to None.
        :type chart_x_axis_numeric_scale_type: str, optional
        :param chart_x_axis_linear_min: Min. Flourish type hint: number, defaults to None.
        :type chart_x_axis_linear_min: float, optional
        :param chart_x_axis_linear_max: Max. Flourish type hint: number, defaults to None.
        :type chart_x_axis_linear_max: float, optional
        :param chart_x_axis_log_min: Min. Flourish type hint: number, defaults to None.
        :type chart_x_axis_log_min: float, optional
        :param chart_x_axis_log_max: Max. Flourish type hint: number, defaults to None.
        :type chart_x_axis_log_max: float, optional
        :param chart_x_axis_datetime_min: Min (date). Flourish type hint: string, defaults to None.
        :type chart_x_axis_datetime_min: str, optional
        :param chart_x_axis_datetime_max: Max (date). Flourish type hint: string, defaults to None.
        :type chart_x_axis_datetime_max: str, optional
        :param chart_x_axis_flip: Flip axis. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_flip: bool, optional
        :param chart_x_axis_show_scale_settings: Configure default min/max. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_show_scale_settings: bool, optional
        :param chart_x_axis_nice: Round min/max. Choices: True, False. Enabling this option rounds the X axis start and end values to tidy numbers, such as 0, 50, 100 or whole years. Specified min and max values will override this feature. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_nice: bool, optional
        :param chart_x_axis_zero_axis: Include zero. Choices: auto, on, off. Enable to extend the axis to include zero, even when data is all positive or all negative. This is ignored if you set specific min and max scale values. Flourish type hint: string, defaults to None.
        :type chart_x_axis_zero_axis: str, optional
        :param chart_x_axis_title_mode: Type. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title_mode: str, optional
        :param chart_x_axis_title: Text. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title: str, optional
        :param chart_x_axis_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_title_styling: bool, optional
        :param chart_x_axis_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title_weight: str, optional
        :param chart_x_axis_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_title_color: str, optional
        :param chart_x_axis_title_size: Size. Flourish type hint: number, defaults to None.
        :type chart_x_axis_title_size: float, optional
        :param chart_x_axis_title_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_x_axis_title_padding: float, optional
        :param chart_x_axis_tick_label_position: Position. Choices: default, left, right. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_position: str, optional
        :param chart_x_axis_tick_label_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_tick_label_styling: bool, optional
        :param chart_x_axis_tick_label_size: Size. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_size: float, optional
        :param chart_x_axis_tick_label_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_tick_label_color: str, optional
        :param chart_x_axis_tick_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_padding: float, optional
        :param chart_x_axis_tick_label_angle: Angle. Choices: 0, 30, 45, 60, 90. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_angle: str, optional
        :param chart_x_axis_tick_label_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_weight: str, optional
        :param chart_x_axis_tick_label_max_lines: Max lines. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_max_lines: float, optional
        :param chart_x_axis_tick_label_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_line_height: float, optional
        :param chart_x_axis_tick_label_space_mode: Space mode. Choices: auto, max, fixed. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_space_mode: str, optional
        :param chart_x_axis_tick_label_space: Space. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_space: float, optional
        :param chart_x_axis_tick_mode: Mode. Choices: auto, number, custom. Sets the method for selecting tick values on the axis:  Auto automatically selects the ticks  Number allows you to choose the number of ticks to display.  Custom lets you select specific ticks to show.  Note: If the axis is categorical, Number mode is ignored. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_mode: str, optional
        :param chart_x_axis_tick_number: Number. Approximate number of ticks or gridlines. The actual number will depend on the range of values, chart size, etc. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_number: float, optional
        :param chart_x_axis_tick_custom: One tick label per line. Specify the ticks to show, one per line. For dates, use the input format as specified in the datasheet.  You can also use `{{FIRST}}` and `{{LAST}}` to add ticks at the minimum and maximum of the axis. For example:  `{{FIRST}}` 25000 50000 75000 `{{LAST}}`. Flourish type hint: text, defaults to None.
        :type chart_x_axis_tick_custom: Union[list, str], optional
        :param chart_x_axis_line_and_tick_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_line_and_tick_color: str, optional
        :param chart_x_axis_line_and_tick_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_x_axis_line_and_tick_width: float, optional
        :param chart_x_axis_tick_length: Tick length. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_length: float, optional
        :param chart_x_axis_tick_side: Tick side. Choices: out, in. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_side: str, optional
        :param chart_x_axis_line_visible: Axis line. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_line_visible: bool, optional
        :param chart_x_axis_edge_padding: Edge padding (%). Space between start/end of axis line and first/last category tick as a percentage of the spacing between ticks. Flourish type hint: number, defaults to None.
        :type chart_x_axis_edge_padding: float, optional
        :param chart_x_axis_gridlines_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridlines_visible: bool, optional
        :param chart_x_axis_gridlines_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridlines_styling: bool, optional
        :param chart_x_axis_gridline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_gridline_color: str, optional
        :param chart_x_axis_gridline_style: Style. Choices: solid, dash, dot, dot_dash. Flourish type hint: string, defaults to None.
        :type chart_x_axis_gridline_style: str, optional
        :param chart_x_axis_gridline_width: Width. Flourish type hint: number, defaults to None.
        :type chart_x_axis_gridline_width: float, optional
        :param chart_x_axis_gridline_category_dividers: Put lines between categories. On a categorical axis, this option disables the gridline on each tick and instead adds rules between each category to give a table-like design. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridline_category_dividers: bool, optional
        :param chart_x_axis_gridline_category_dividers_extend: Extend. Extends the dividers into the axis margins. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridline_category_dividers_extend: bool, optional
        :param chart_y_axis_axis_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_axis_visible: bool, optional
        :param chart_y_axis_numeric_scale_type: Type. Choices: linear, log. Flourish type hint: string, defaults to None.
        :type chart_y_axis_numeric_scale_type: str, optional
        :param chart_y_axis_linear_min: Min. Flourish type hint: number, defaults to None.
        :type chart_y_axis_linear_min: float, optional
        :param chart_y_axis_linear_max: Max. Flourish type hint: number, defaults to None.
        :type chart_y_axis_linear_max: float, optional
        :param chart_y_axis_log_min: Min. Flourish type hint: number, defaults to None.
        :type chart_y_axis_log_min: float, optional
        :param chart_y_axis_log_max: Max. Flourish type hint: number, defaults to None.
        :type chart_y_axis_log_max: float, optional
        :param chart_y_axis_datetime_min: Min (date). Flourish type hint: string, defaults to None.
        :type chart_y_axis_datetime_min: str, optional
        :param chart_y_axis_datetime_max: Max (date). Flourish type hint: string, defaults to None.
        :type chart_y_axis_datetime_max: str, optional
        :param chart_y_axis_flip: Flip axis. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_flip: bool, optional
        :param chart_y_axis_show_scale_settings: Configure default min/max. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_show_scale_settings: bool, optional
        :param chart_y_axis_nice: Round min/max. Choices: True, False. When enabled, scales automatically extend to "nice" rounded start/end values, such as hundreds or whole years. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_nice: bool, optional
        :param chart_y_axis_zero_axis: Include zero. Choices: auto, on, off. Whether to extend the axis to include zero if the data values are all positive or all negative. Flourish type hint: string, defaults to None.
        :type chart_y_axis_zero_axis: str, optional
        :param chart_y_axis_title_mode: Type. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_mode: str, optional
        :param chart_y_axis_title: Text. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title: str, optional
        :param chart_y_axis_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_title_styling: bool, optional
        :param chart_y_axis_title_position: Position. Choices: side, end. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_position: str, optional
        :param chart_y_axis_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_weight: str, optional
        :param chart_y_axis_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_title_color: str, optional
        :param chart_y_axis_title_size: Size. Flourish type hint: number, defaults to None.
        :type chart_y_axis_title_size: float, optional
        :param chart_y_axis_title_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_y_axis_title_padding: float, optional
        :param chart_y_axis_tick_label_position: Position. Choices: default, above, below. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_position: str, optional
        :param chart_y_axis_tick_label_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_tick_label_styling: bool, optional
        :param chart_y_axis_tick_label_size: Size. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_size: float, optional
        :param chart_y_axis_tick_label_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_tick_label_color: str, optional
        :param chart_y_axis_tick_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_padding: float, optional
        :param chart_y_axis_tick_label_angle: Angle. Choices: 0, 30, 45, 60, 90. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_angle: str, optional
        :param chart_y_axis_tick_label_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_weight: str, optional
        :param chart_y_axis_tick_label_max_lines: Max lines. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_max_lines: float, optional
        :param chart_y_axis_tick_label_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_line_height: float, optional
        :param chart_y_axis_tick_label_space_mode: Space mode. Choices: auto, max, fixed. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_space_mode: str, optional
        :param chart_y_axis_tick_label_space: Space. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_space: float, optional
        :param chart_y_axis_tick_mode: Mode. Choices: auto, number, custom. Sets the method for selecting tick values on the axis:  Auto automatically selects the ticks  Number allows you to choose the number of ticks to display.  Custom lets you select specific ticks to show.  Note: If the axis is categorical, Number mode is ignored. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_mode: str, optional
        :param chart_y_axis_tick_number: Number. Approximate number of ticks or gridlines. The actual number will depend on the range of values, chart size, etc. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_number: float, optional
        :param chart_y_axis_tick_custom: One tick label per line. Specify the ticks to show, one per line. For dates, use the input format as specified in the datasheet.  You can also use `{{FIRST}}` and `{{LAST}}` to add ticks at the minimum and maximum of the axis. For example:  `{{FIRST}}` 25000 50000 75000 `{{LAST}}`. Flourish type hint: text, defaults to None.
        :type chart_y_axis_tick_custom: Union[list, str], optional
        :param chart_y_axis_line_and_tick_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_line_and_tick_color: str, optional
        :param chart_y_axis_line_and_tick_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_y_axis_line_and_tick_width: float, optional
        :param chart_y_axis_tick_length: Tick length. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_length: float, optional
        :param chart_y_axis_tick_side: Side. Choices: out, in. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_side: str, optional
        :param chart_y_axis_line_visible: Axis line. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_line_visible: bool, optional
        :param chart_y_axis_edge_padding: Edge padding (%). Space between start/end of axis line and first/last category tick as a percentage of the spacing between ticks. Flourish type hint: number, defaults to None.
        :type chart_y_axis_edge_padding: float, optional
        :param chart_y_axis_gridlines_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridlines_visible: bool, optional
        :param chart_y_axis_gridlines_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridlines_styling: bool, optional
        :param chart_y_axis_gridline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_gridline_color: str, optional
        :param chart_y_axis_gridline_style: Style. Choices: solid, dash, dot, dot_dash. Flourish type hint: string, defaults to None.
        :type chart_y_axis_gridline_style: str, optional
        :param chart_y_axis_gridline_width: Width. Flourish type hint: number, defaults to None.
        :type chart_y_axis_gridline_width: float, optional
        :param chart_y_axis_gridline_category_dividers: Put lines between categories. On a categorical axis, this option disables the gridline on each tick and instead adds rules between each category to give a table-like design. Ignored for date and numeric axes. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridline_category_dividers: bool, optional
        :param chart_y_axis_gridline_category_dividers_extend: Extend. Extends the dividers into the axis margins. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridline_category_dividers_extend: bool, optional
        :param chart_background_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_background_background_color_enabled: bool, optional
        :param chart_background_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_background_background_image_enabled: bool, optional
        :param chart_background_background_color: Color. Flourish type hint: color, defaults to None.
        :type chart_background_background_color: str, optional
        :param chart_background_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_background_background_image_src: str, optional
        :param chart_background_background_image_size: Size. Choices: stretch, slice, meet. Flourish type hint: string, defaults to None.
        :type chart_background_background_image_size: str, optional
        :param chart_background_background_image_position: Position. Choices: x_min_y_min, x_mid_y_min, x_max_y_min, x_max_y_mid, x_mid_y_mid, x_min_y_max, x_mid_y_max, x_max_y_max. Flourish type hint: string, defaults to None.
        :type chart_background_background_image_position: str, optional
        :param datetime_input_format: Format in data sheet. Choices: auto, %Y-%m-%dT%H:%M:%S.%LZ, %Y-%m-%d, %m/%d/%Y, %d/%m/%Y, %d-%b-%y, %m/%Y, %m/%y, %b %Y, %b %y, %B %d, %d %b, %Y, %y, %B, %b, %H:%M:%S, %I:%M %p, %H:%M. The date/time format in the datasheet. Leave as Auto for Flourish to make a best guess. If it isnt in the list, you can enter a custom format using d3-time-format syntax. See NPM d3-data-format for details. Flourish type hint: string, defaults to None.
        :type datetime_input_format: str, optional
        :param date_format: Display format. Choices: auto, %Y-%m-%dT%H:%M:%S.%LZ, %Y-%m-%d, %m/%d/%Y, %d/%m/%Y, %d-%b-%y, %m/%Y, %m/%y, %b %Y, %b %y, %B %d, %d %b, %Y, %y, %B, %b, %A, %a, %H:%M:%S, %I:%M %p, %H:%M. The date/time format to show in the graphic. If it isnt in the list, you can enter a custom format using d3-time-format syntax. See NPM d3-data-format for details. Flourish type hint: string, defaults to None.
        :type date_format: str, optional
        :param chart_number_localization_input_decimal_separator: Decimal separator in data sheet. Choices: ., ,. Used for interpreting your data. Only change if data is not displaying on the chart as expected. Flourish type hint: string, defaults to None.
        :type chart_number_localization_input_decimal_separator: str, optional
        :param chart_number_localization_output_separators: Number format to display. Choices: ,., .,, ., ,, ., ,. How the numbers should appear on chart labels. Flourish type hint: string, defaults to None.
        :type chart_number_localization_output_separators: str, optional
        :param chart_number_date_format_prefix: Prefix. Text to place in front of number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_prefix: str, optional
        :param chart_number_date_format_suffix: Suffix. Text to place after number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_suffix: str, optional
        :param chart_number_date_format_n_dec: Decimal places. Enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_number_date_format_n_dec: float, optional
        :param chart_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_advanced: bool, optional
        :param chart_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_negative_sign: str, optional
        :param chart_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_zeros: bool, optional
        :param chart_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_separator: bool, optional
        :param chart_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_transform_labels: bool, optional
        :param chart_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_transform: str, optional
        :param chart_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_multiply_divide_constant: float, optional
        :param chart_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_exponentiate_constant: float, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "color": {},
                "legend_categorical": {},
                "legend_container": {},
                "x": {},
                "y": {},
                "background": {},
                "localization": {},
                "formatter": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        self.state["state"]["guess_lines_start"] = guess_lines_start
        self.state["state"]["guess_lines_width"] = guess_lines_width
        self.state["state"]["guess_lines_dot_radius"] = guess_lines_dot_radius
        self.state["state"]["guess_lines_dash"] = guess_lines_dash
        self.state["state"]["fixed_lines_width"] = fixed_lines_width
        self.state["state"]["fixed_lines_dot_radius"] = fixed_lines_dot_radius

        list_line_curve = ["linear", "step", "curve"] + [None]
        if line_curve not in list_line_curve:
            raise ValueError(
                f"`line_curve` must be one of: ['linear', 'step', 'curve']"
            )
        elif line_curve in list_line_curve and line_curve is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "linear": "linear",
                    "step": "step",
                    "curve": "curve",
                }.items()
                if line_curve in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_curve"] = filtered_dict[line_curve]

        list_guess_lines_panel_position = ["top", "middle", "bottom"] + [None]
        if guess_lines_panel_position not in list_guess_lines_panel_position:
            raise ValueError(
                f"`guess_lines_panel_position` must be one of: ['top', 'middle', 'bottom']"
            )
        elif (
            guess_lines_panel_position in list_guess_lines_panel_position
            and guess_lines_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "middle": "middle",
                    "bottom": "bottom",
                }.items()
                if guess_lines_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["guess_lines_panel_position"] = filtered_dict[
                    guess_lines_panel_position
                ]
        self.state["state"]["message_styling"] = message_styling
        self.state["state"]["message_background"] = message_background
        self.state["state"]["message_opacity"] = message_opacity
        self.state["state"]["message_color"] = message_color
        self.state["state"]["message_font_size"] = message_font_size
        self.state["state"]["message_border"] = message_border
        self.state["state"]["message_border_width"] = message_border_width
        self.state["state"]["message_border_radius"] = message_border_radius
        self.state["state"]["message_shadow"] = message_shadow
        self.state["state"]["guess_lines_message_text"] = guess_lines_message_text
        self.state["state"]["scores_3_min"] = scores_3_min
        self.state["state"]["scores_3_text"] = scores_3_text
        self.state["state"]["scores_2_min"] = scores_2_min
        self.state["state"]["scores_2_text"] = scores_2_text
        self.state["state"]["scores_1_min"] = scores_1_min
        self.state["state"]["scores_1_text"] = scores_1_text
        self.state["state"]["scores_0_text"] = scores_0_text
        self.state["state"]["guess_lines_submit_text"] = guess_lines_submit_text
        self.state["state"]["submit_styling"] = submit_styling
        self.state["state"]["submit_background"] = submit_background
        self.state["state"]["submit_opacity"] = submit_opacity
        self.state["state"]["submit_color"] = submit_color
        self.state["state"]["submit_font_size"] = submit_font_size
        self.state["state"]["submit_border"] = submit_border
        self.state["state"]["submit_border_width"] = submit_border_width
        self.state["state"]["submit_border_radius"] = submit_border_radius
        self.state["state"]["submit_shadow"] = submit_shadow

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max

        list_chart_categorical_legend_show_legend = [True, False] + [None]
        if (
            chart_categorical_legend_show_legend
            not in list_chart_categorical_legend_show_legend
        ):
            raise ValueError(
                f"`chart_categorical_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_categorical_legend_show_legend
            in list_chart_categorical_legend_show_legend
            and chart_categorical_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_categorical_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "show_legend"
                ] = filtered_dict[chart_categorical_legend_show_legend]

        list_chart_categorical_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_categorical_legend_title_mode
            not in list_chart_categorical_legend_title_mode
        ):
            raise ValueError(
                f"`chart_categorical_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_categorical_legend_title_mode
            in list_chart_categorical_legend_title_mode
            and chart_categorical_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_categorical_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"]["title_mode"] = filtered_dict[
                    chart_categorical_legend_title_mode
                ]
        self.state["state"]["legend_categorical"][
            "title"
        ] = chart_categorical_legend_title
        self.state["state"]["legend_categorical"][
            "swatch_width"
        ] = chart_categorical_legend_swatch_width
        self.state["state"]["legend_categorical"][
            "swatch_height"
        ] = chart_categorical_legend_swatch_height
        self.state["state"]["legend_categorical"][
            "swatch_radius"
        ] = chart_categorical_legend_swatch_radius
        self.state["state"]["legend_categorical"][
            "legend_items_padding"
        ] = chart_categorical_legend_legend_items_padding
        self.state["state"]["legend_categorical"][
            "swatch_outline"
        ] = chart_categorical_legend_swatch_outline
        self.state["state"]["legend_categorical"][
            "swatch_outline_color"
        ] = chart_categorical_legend_swatch_outline_color

        if (
            chart_categorical_legend_order_override is not None
            and len(chart_categorical_legend_order_override) > 1
            and isinstance(chart_categorical_legend_order_override, list)
        ):
            self.state["state"]["legend_categorical"]["order_override"] = " \n ".join(
                chart_categorical_legend_order_override
            )
        else:
            self.state["state"]["legend_categorical"][
                "order_override"
            ] = chart_categorical_legend_order_override

        self.state["state"]["legend_categorical"][
            "icon_height"
        ] = chart_categorical_legend_icon_height
        self.state["state"]["legend_categorical"][
            "icon_color"
        ] = chart_categorical_legend_icon_color
        self.state["state"]["legend_categorical"][
            "max_width"
        ] = chart_categorical_legend_max_width

        list_chart_categorical_legend_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_categorical_legend_orientation
            not in list_chart_categorical_legend_orientation
        ):
            raise ValueError(
                f"`chart_categorical_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_categorical_legend_orientation
            in list_chart_categorical_legend_orientation
            and chart_categorical_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_categorical_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "orientation"
                ] = filtered_dict[chart_categorical_legend_orientation]

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size

        list_chart_x_axis_axis_position = [
            "bottom",
            "float-below",
            "float-above",
            "top",
            "off",
        ] + [None]
        if chart_x_axis_axis_position not in list_chart_x_axis_axis_position:
            raise ValueError(
                f"`chart_x_axis_axis_position` must be one of: ['bottom', 'float-below', 'float-above', 'top', 'off']"
            )
        elif (
            chart_x_axis_axis_position in list_chart_x_axis_axis_position
            and chart_x_axis_axis_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "bottom": "bottom",
                    "float-below": "float-below",
                    "float-above": "float-above",
                    "top": "top",
                    "off": "off",
                }.items()
                if chart_x_axis_axis_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["axis_position"] = filtered_dict[
                    chart_x_axis_axis_position
                ]
        self.state["state"]["x"]["y_axis_position"] = chart_x_axis_y_axis_position

        list_chart_x_axis_numeric_scale_type = ["linear", "log"] + [None]
        if chart_x_axis_numeric_scale_type not in list_chart_x_axis_numeric_scale_type:
            raise ValueError(
                f"`chart_x_axis_numeric_scale_type` must be one of: ['linear', 'log']"
            )
        elif (
            chart_x_axis_numeric_scale_type in list_chart_x_axis_numeric_scale_type
            and chart_x_axis_numeric_scale_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "log": "log"}.items()
                if chart_x_axis_numeric_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["numeric_scale_type"] = filtered_dict[
                    chart_x_axis_numeric_scale_type
                ]
        self.state["state"]["x"]["linear_min"] = chart_x_axis_linear_min
        self.state["state"]["x"]["linear_max"] = chart_x_axis_linear_max
        self.state["state"]["x"]["log_min"] = chart_x_axis_log_min
        self.state["state"]["x"]["log_max"] = chart_x_axis_log_max
        self.state["state"]["x"]["datetime_min"] = chart_x_axis_datetime_min
        self.state["state"]["x"]["datetime_max"] = chart_x_axis_datetime_max
        self.state["state"]["x"]["flip"] = chart_x_axis_flip
        self.state["state"]["x"][
            "show_scale_settings"
        ] = chart_x_axis_show_scale_settings

        list_chart_x_axis_nice = [True, False] + [None]
        if chart_x_axis_nice not in list_chart_x_axis_nice:
            raise ValueError(f"`chart_x_axis_nice` must be one of: [True, False]")
        elif (
            chart_x_axis_nice in list_chart_x_axis_nice
            and chart_x_axis_nice is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_x_axis_nice in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["nice"] = filtered_dict[chart_x_axis_nice]

        list_chart_x_axis_zero_axis = ["auto", "on", "off"] + [None]
        if chart_x_axis_zero_axis not in list_chart_x_axis_zero_axis:
            raise ValueError(
                f"`chart_x_axis_zero_axis` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_x_axis_zero_axis in list_chart_x_axis_zero_axis
            and chart_x_axis_zero_axis is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_x_axis_zero_axis in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["zero_axis"] = filtered_dict[
                    chart_x_axis_zero_axis
                ]

        list_chart_x_axis_title_mode = ["auto", "custom"] + [None]
        if chart_x_axis_title_mode not in list_chart_x_axis_title_mode:
            raise ValueError(
                f"`chart_x_axis_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_x_axis_title_mode in list_chart_x_axis_title_mode
            and chart_x_axis_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_x_axis_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["title_mode"] = filtered_dict[
                    chart_x_axis_title_mode
                ]
        self.state["state"]["x"]["title"] = chart_x_axis_title
        self.state["state"]["x"]["title_styling"] = chart_x_axis_title_styling

        list_chart_x_axis_title_weight = ["bold", "normal"] + [None]
        if chart_x_axis_title_weight not in list_chart_x_axis_title_weight:
            raise ValueError(
                f"`chart_x_axis_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_x_axis_title_weight in list_chart_x_axis_title_weight
            and chart_x_axis_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_x_axis_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["title_weight"] = filtered_dict[
                    chart_x_axis_title_weight
                ]
        self.state["state"]["x"]["title_color"] = chart_x_axis_title_color
        self.state["state"]["x"]["title_size"] = chart_x_axis_title_size
        self.state["state"]["x"]["title_padding"] = chart_x_axis_title_padding

        list_chart_x_axis_tick_label_position = ["default", "left", "right"] + [None]
        if (
            chart_x_axis_tick_label_position
            not in list_chart_x_axis_tick_label_position
        ):
            raise ValueError(
                f"`chart_x_axis_tick_label_position` must be one of: ['default', 'left', 'right']"
            )
        elif (
            chart_x_axis_tick_label_position in list_chart_x_axis_tick_label_position
            and chart_x_axis_tick_label_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "default": "default",
                    "left": "left",
                    "right": "right",
                }.items()
                if chart_x_axis_tick_label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_position"] = filtered_dict[
                    chart_x_axis_tick_label_position
                ]
        self.state["state"]["x"]["tick_label_styling"] = chart_x_axis_tick_label_styling
        self.state["state"]["x"]["tick_label_size"] = chart_x_axis_tick_label_size
        self.state["state"]["x"]["tick_label_color"] = chart_x_axis_tick_label_color
        self.state["state"]["x"]["tick_padding"] = chart_x_axis_tick_padding

        list_chart_x_axis_tick_label_angle = ["0", "30", "45", "60", "90"] + [None]
        if chart_x_axis_tick_label_angle not in list_chart_x_axis_tick_label_angle:
            raise ValueError(
                f"`chart_x_axis_tick_label_angle` must be one of: ['0', '30', '45', '60', '90']"
            )
        elif (
            chart_x_axis_tick_label_angle in list_chart_x_axis_tick_label_angle
            and chart_x_axis_tick_label_angle is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "30": "30",
                    "45": "45",
                    "60": "60",
                    "90": "90",
                }.items()
                if chart_x_axis_tick_label_angle in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_angle"] = filtered_dict[
                    chart_x_axis_tick_label_angle
                ]

        list_chart_x_axis_tick_label_weight = ["bold", "normal"] + [None]
        if chart_x_axis_tick_label_weight not in list_chart_x_axis_tick_label_weight:
            raise ValueError(
                f"`chart_x_axis_tick_label_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_x_axis_tick_label_weight in list_chart_x_axis_tick_label_weight
            and chart_x_axis_tick_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_x_axis_tick_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_weight"] = filtered_dict[
                    chart_x_axis_tick_label_weight
                ]
        self.state["state"]["x"][
            "tick_label_max_lines"
        ] = chart_x_axis_tick_label_max_lines
        self.state["state"]["x"][
            "tick_label_line_height"
        ] = chart_x_axis_tick_label_line_height

        list_chart_x_axis_tick_label_space_mode = ["auto", "max", "fixed"] + [None]
        if (
            chart_x_axis_tick_label_space_mode
            not in list_chart_x_axis_tick_label_space_mode
        ):
            raise ValueError(
                f"`chart_x_axis_tick_label_space_mode` must be one of: ['auto', 'max', 'fixed']"
            )
        elif (
            chart_x_axis_tick_label_space_mode
            in list_chart_x_axis_tick_label_space_mode
            and chart_x_axis_tick_label_space_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "max": "max", "fixed": "fixed"}.items()
                if chart_x_axis_tick_label_space_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_space_mode"] = filtered_dict[
                    chart_x_axis_tick_label_space_mode
                ]
        self.state["state"]["x"]["tick_label_space"] = chart_x_axis_tick_label_space

        list_chart_x_axis_tick_mode = ["auto", "number", "custom"] + [None]
        if chart_x_axis_tick_mode not in list_chart_x_axis_tick_mode:
            raise ValueError(
                f"`chart_x_axis_tick_mode` must be one of: ['auto', 'number', 'custom']"
            )
        elif (
            chart_x_axis_tick_mode in list_chart_x_axis_tick_mode
            and chart_x_axis_tick_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "number": "number",
                    "custom": "custom",
                }.items()
                if chart_x_axis_tick_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_mode"] = filtered_dict[
                    chart_x_axis_tick_mode
                ]
        self.state["state"]["x"]["tick_number"] = chart_x_axis_tick_number

        if (
            chart_x_axis_tick_custom is not None
            and len(chart_x_axis_tick_custom) > 1
            and isinstance(chart_x_axis_tick_custom, list)
        ):
            self.state["state"]["x"]["tick_custom"] = " \n ".join(
                chart_x_axis_tick_custom
            )
        else:
            self.state["state"]["x"]["tick_custom"] = chart_x_axis_tick_custom

        self.state["state"]["x"][
            "line_and_tick_color"
        ] = chart_x_axis_line_and_tick_color
        self.state["state"]["x"][
            "line_and_tick_width"
        ] = chart_x_axis_line_and_tick_width
        self.state["state"]["x"]["tick_length"] = chart_x_axis_tick_length

        list_chart_x_axis_tick_side = ["out", "in"] + [None]
        if chart_x_axis_tick_side not in list_chart_x_axis_tick_side:
            raise ValueError(f"`chart_x_axis_tick_side` must be one of: ['out', 'in']")
        elif (
            chart_x_axis_tick_side in list_chart_x_axis_tick_side
            and chart_x_axis_tick_side is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"out": "out", "in": "in"}.items()
                if chart_x_axis_tick_side in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_side"] = filtered_dict[
                    chart_x_axis_tick_side
                ]
        self.state["state"]["x"]["line_visible"] = chart_x_axis_line_visible
        self.state["state"]["x"]["edge_padding"] = chart_x_axis_edge_padding

        list_chart_x_axis_gridlines_visible = [True, False] + [None]
        if chart_x_axis_gridlines_visible not in list_chart_x_axis_gridlines_visible:
            raise ValueError(
                f"`chart_x_axis_gridlines_visible` must be one of: [True, False]"
            )
        elif (
            chart_x_axis_gridlines_visible in list_chart_x_axis_gridlines_visible
            and chart_x_axis_gridlines_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_x_axis_gridlines_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["gridlines_visible"] = filtered_dict[
                    chart_x_axis_gridlines_visible
                ]
        self.state["state"]["x"]["gridlines_styling"] = chart_x_axis_gridlines_styling
        self.state["state"]["x"]["gridline_color"] = chart_x_axis_gridline_color

        list_chart_x_axis_gridline_style = ["solid", "dash", "dot", "dot_dash"] + [None]
        if chart_x_axis_gridline_style not in list_chart_x_axis_gridline_style:
            raise ValueError(
                f"`chart_x_axis_gridline_style` must be one of: ['solid', 'dash', 'dot', 'dot_dash']"
            )
        elif (
            chart_x_axis_gridline_style in list_chart_x_axis_gridline_style
            and chart_x_axis_gridline_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dash": "dash",
                    "dot": "dot",
                    "dot_dash": "dot_dash",
                }.items()
                if chart_x_axis_gridline_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["gridline_style"] = filtered_dict[
                    chart_x_axis_gridline_style
                ]
        self.state["state"]["x"]["gridline_width"] = chart_x_axis_gridline_width
        self.state["state"]["x"][
            "gridline_category_dividers"
        ] = chart_x_axis_gridline_category_dividers
        self.state["state"]["x"][
            "gridline_category_dividers_extend"
        ] = chart_x_axis_gridline_category_dividers_extend

        list_chart_y_axis_axis_visible = [True, False] + [None]
        if chart_y_axis_axis_visible not in list_chart_y_axis_axis_visible:
            raise ValueError(
                f"`chart_y_axis_axis_visible` must be one of: [True, False]"
            )
        elif (
            chart_y_axis_axis_visible in list_chart_y_axis_axis_visible
            and chart_y_axis_axis_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_axis_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["axis_visible"] = filtered_dict[
                    chart_y_axis_axis_visible
                ]

        list_chart_y_axis_numeric_scale_type = ["linear", "log"] + [None]
        if chart_y_axis_numeric_scale_type not in list_chart_y_axis_numeric_scale_type:
            raise ValueError(
                f"`chart_y_axis_numeric_scale_type` must be one of: ['linear', 'log']"
            )
        elif (
            chart_y_axis_numeric_scale_type in list_chart_y_axis_numeric_scale_type
            and chart_y_axis_numeric_scale_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "log": "log"}.items()
                if chart_y_axis_numeric_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["numeric_scale_type"] = filtered_dict[
                    chart_y_axis_numeric_scale_type
                ]
        self.state["state"]["y"]["linear_min"] = chart_y_axis_linear_min
        self.state["state"]["y"]["linear_max"] = chart_y_axis_linear_max
        self.state["state"]["y"]["log_min"] = chart_y_axis_log_min
        self.state["state"]["y"]["log_max"] = chart_y_axis_log_max
        self.state["state"]["y"]["datetime_min"] = chart_y_axis_datetime_min
        self.state["state"]["y"]["datetime_max"] = chart_y_axis_datetime_max
        self.state["state"]["y"]["flip"] = chart_y_axis_flip
        self.state["state"]["y"][
            "show_scale_settings"
        ] = chart_y_axis_show_scale_settings

        list_chart_y_axis_nice = [True, False] + [None]
        if chart_y_axis_nice not in list_chart_y_axis_nice:
            raise ValueError(f"`chart_y_axis_nice` must be one of: [True, False]")
        elif (
            chart_y_axis_nice in list_chart_y_axis_nice
            and chart_y_axis_nice is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_nice in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["nice"] = filtered_dict[chart_y_axis_nice]

        list_chart_y_axis_zero_axis = ["auto", "on", "off"] + [None]
        if chart_y_axis_zero_axis not in list_chart_y_axis_zero_axis:
            raise ValueError(
                f"`chart_y_axis_zero_axis` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_y_axis_zero_axis in list_chart_y_axis_zero_axis
            and chart_y_axis_zero_axis is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_y_axis_zero_axis in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["zero_axis"] = filtered_dict[
                    chart_y_axis_zero_axis
                ]

        list_chart_y_axis_title_mode = ["auto", "custom"] + [None]
        if chart_y_axis_title_mode not in list_chart_y_axis_title_mode:
            raise ValueError(
                f"`chart_y_axis_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_y_axis_title_mode in list_chart_y_axis_title_mode
            and chart_y_axis_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_y_axis_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_mode"] = filtered_dict[
                    chart_y_axis_title_mode
                ]
        self.state["state"]["y"]["title"] = chart_y_axis_title
        self.state["state"]["y"]["title_styling"] = chart_y_axis_title_styling

        list_chart_y_axis_title_position = ["side", "end"] + [None]
        if chart_y_axis_title_position not in list_chart_y_axis_title_position:
            raise ValueError(
                f"`chart_y_axis_title_position` must be one of: ['side', 'end']"
            )
        elif (
            chart_y_axis_title_position in list_chart_y_axis_title_position
            and chart_y_axis_title_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"side": "side", "end": "end"}.items()
                if chart_y_axis_title_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_position"] = filtered_dict[
                    chart_y_axis_title_position
                ]

        list_chart_y_axis_title_weight = ["bold", "normal"] + [None]
        if chart_y_axis_title_weight not in list_chart_y_axis_title_weight:
            raise ValueError(
                f"`chart_y_axis_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_y_axis_title_weight in list_chart_y_axis_title_weight
            and chart_y_axis_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_y_axis_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_weight"] = filtered_dict[
                    chart_y_axis_title_weight
                ]
        self.state["state"]["y"]["title_color"] = chart_y_axis_title_color
        self.state["state"]["y"]["title_size"] = chart_y_axis_title_size
        self.state["state"]["y"]["title_padding"] = chart_y_axis_title_padding

        list_chart_y_axis_tick_label_position = ["default", "above", "below"] + [None]
        if (
            chart_y_axis_tick_label_position
            not in list_chart_y_axis_tick_label_position
        ):
            raise ValueError(
                f"`chart_y_axis_tick_label_position` must be one of: ['default', 'above', 'below']"
            )
        elif (
            chart_y_axis_tick_label_position in list_chart_y_axis_tick_label_position
            and chart_y_axis_tick_label_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "default": "default",
                    "above": "above",
                    "below": "below",
                }.items()
                if chart_y_axis_tick_label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_position"] = filtered_dict[
                    chart_y_axis_tick_label_position
                ]
        self.state["state"]["y"]["tick_label_styling"] = chart_y_axis_tick_label_styling
        self.state["state"]["y"]["tick_label_size"] = chart_y_axis_tick_label_size
        self.state["state"]["y"]["tick_label_color"] = chart_y_axis_tick_label_color
        self.state["state"]["y"]["tick_padding"] = chart_y_axis_tick_padding

        list_chart_y_axis_tick_label_angle = ["0", "30", "45", "60", "90"] + [None]
        if chart_y_axis_tick_label_angle not in list_chart_y_axis_tick_label_angle:
            raise ValueError(
                f"`chart_y_axis_tick_label_angle` must be one of: ['0', '30', '45', '60', '90']"
            )
        elif (
            chart_y_axis_tick_label_angle in list_chart_y_axis_tick_label_angle
            and chart_y_axis_tick_label_angle is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "30": "30",
                    "45": "45",
                    "60": "60",
                    "90": "90",
                }.items()
                if chart_y_axis_tick_label_angle in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_angle"] = filtered_dict[
                    chart_y_axis_tick_label_angle
                ]

        list_chart_y_axis_tick_label_weight = ["bold", "normal"] + [None]
        if chart_y_axis_tick_label_weight not in list_chart_y_axis_tick_label_weight:
            raise ValueError(
                f"`chart_y_axis_tick_label_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_y_axis_tick_label_weight in list_chart_y_axis_tick_label_weight
            and chart_y_axis_tick_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_y_axis_tick_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_weight"] = filtered_dict[
                    chart_y_axis_tick_label_weight
                ]
        self.state["state"]["y"][
            "tick_label_max_lines"
        ] = chart_y_axis_tick_label_max_lines
        self.state["state"]["y"][
            "tick_label_line_height"
        ] = chart_y_axis_tick_label_line_height

        list_chart_y_axis_tick_label_space_mode = ["auto", "max", "fixed"] + [None]
        if (
            chart_y_axis_tick_label_space_mode
            not in list_chart_y_axis_tick_label_space_mode
        ):
            raise ValueError(
                f"`chart_y_axis_tick_label_space_mode` must be one of: ['auto', 'max', 'fixed']"
            )
        elif (
            chart_y_axis_tick_label_space_mode
            in list_chart_y_axis_tick_label_space_mode
            and chart_y_axis_tick_label_space_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "max": "max", "fixed": "fixed"}.items()
                if chart_y_axis_tick_label_space_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_space_mode"] = filtered_dict[
                    chart_y_axis_tick_label_space_mode
                ]
        self.state["state"]["y"]["tick_label_space"] = chart_y_axis_tick_label_space

        list_chart_y_axis_tick_mode = ["auto", "number", "custom"] + [None]
        if chart_y_axis_tick_mode not in list_chart_y_axis_tick_mode:
            raise ValueError(
                f"`chart_y_axis_tick_mode` must be one of: ['auto', 'number', 'custom']"
            )
        elif (
            chart_y_axis_tick_mode in list_chart_y_axis_tick_mode
            and chart_y_axis_tick_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "number": "number",
                    "custom": "custom",
                }.items()
                if chart_y_axis_tick_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_mode"] = filtered_dict[
                    chart_y_axis_tick_mode
                ]
        self.state["state"]["y"]["tick_number"] = chart_y_axis_tick_number

        if (
            chart_y_axis_tick_custom is not None
            and len(chart_y_axis_tick_custom) > 1
            and isinstance(chart_y_axis_tick_custom, list)
        ):
            self.state["state"]["y"]["tick_custom"] = " \n ".join(
                chart_y_axis_tick_custom
            )
        else:
            self.state["state"]["y"]["tick_custom"] = chart_y_axis_tick_custom

        self.state["state"]["y"][
            "line_and_tick_color"
        ] = chart_y_axis_line_and_tick_color
        self.state["state"]["y"][
            "line_and_tick_width"
        ] = chart_y_axis_line_and_tick_width
        self.state["state"]["y"]["tick_length"] = chart_y_axis_tick_length

        list_chart_y_axis_tick_side = ["out", "in"] + [None]
        if chart_y_axis_tick_side not in list_chart_y_axis_tick_side:
            raise ValueError(f"`chart_y_axis_tick_side` must be one of: ['out', 'in']")
        elif (
            chart_y_axis_tick_side in list_chart_y_axis_tick_side
            and chart_y_axis_tick_side is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"out": "out", "in": "in"}.items()
                if chart_y_axis_tick_side in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_side"] = filtered_dict[
                    chart_y_axis_tick_side
                ]
        self.state["state"]["y"]["line_visible"] = chart_y_axis_line_visible
        self.state["state"]["y"]["edge_padding"] = chart_y_axis_edge_padding

        list_chart_y_axis_gridlines_visible = [True, False] + [None]
        if chart_y_axis_gridlines_visible not in list_chart_y_axis_gridlines_visible:
            raise ValueError(
                f"`chart_y_axis_gridlines_visible` must be one of: [True, False]"
            )
        elif (
            chart_y_axis_gridlines_visible in list_chart_y_axis_gridlines_visible
            and chart_y_axis_gridlines_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_gridlines_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["gridlines_visible"] = filtered_dict[
                    chart_y_axis_gridlines_visible
                ]
        self.state["state"]["y"]["gridlines_styling"] = chart_y_axis_gridlines_styling
        self.state["state"]["y"]["gridline_color"] = chart_y_axis_gridline_color

        list_chart_y_axis_gridline_style = ["solid", "dash", "dot", "dot_dash"] + [None]
        if chart_y_axis_gridline_style not in list_chart_y_axis_gridline_style:
            raise ValueError(
                f"`chart_y_axis_gridline_style` must be one of: ['solid', 'dash', 'dot', 'dot_dash']"
            )
        elif (
            chart_y_axis_gridline_style in list_chart_y_axis_gridline_style
            and chart_y_axis_gridline_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dash": "dash",
                    "dot": "dot",
                    "dot_dash": "dot_dash",
                }.items()
                if chart_y_axis_gridline_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["gridline_style"] = filtered_dict[
                    chart_y_axis_gridline_style
                ]
        self.state["state"]["y"]["gridline_width"] = chart_y_axis_gridline_width
        self.state["state"]["y"][
            "gridline_category_dividers"
        ] = chart_y_axis_gridline_category_dividers
        self.state["state"]["y"][
            "gridline_category_dividers_extend"
        ] = chart_y_axis_gridline_category_dividers_extend

        list_chart_background_background_color_enabled = [True, False] + [None]
        if (
            chart_background_background_color_enabled
            not in list_chart_background_background_color_enabled
        ):
            raise ValueError(
                f"`chart_background_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_background_background_color_enabled
            in list_chart_background_background_color_enabled
            and chart_background_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_background_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["background"][
                    "background_color_enabled"
                ] = filtered_dict[chart_background_background_color_enabled]

        list_chart_background_background_image_enabled = [True, False] + [None]
        if (
            chart_background_background_image_enabled
            not in list_chart_background_background_image_enabled
        ):
            raise ValueError(
                f"`chart_background_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_background_background_image_enabled
            in list_chart_background_background_image_enabled
            and chart_background_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_background_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["background"][
                    "background_image_enabled"
                ] = filtered_dict[chart_background_background_image_enabled]
        self.state["state"]["background"][
            "background_color"
        ] = chart_background_background_color
        self.state["state"]["background"][
            "background_image_src"
        ] = chart_background_background_image_src

        list_chart_background_background_image_size = ["stretch", "slice", "meet"] + [
            None
        ]
        if (
            chart_background_background_image_size
            not in list_chart_background_background_image_size
        ):
            raise ValueError(
                f"`chart_background_background_image_size` must be one of: ['stretch', 'slice', 'meet']"
            )
        elif (
            chart_background_background_image_size
            in list_chart_background_background_image_size
            and chart_background_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "stretch": "stretch",
                    "slice": "slice",
                    "meet": "meet",
                }.items()
                if chart_background_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["background"][
                    "background_image_size"
                ] = filtered_dict[chart_background_background_image_size]

        list_chart_background_background_image_position = [
            "x_min_y_min",
            "x_mid_y_min",
            "x_max_y_min",
            "x_max_y_mid",
            "x_mid_y_mid",
            "x_min_y_max",
            "x_mid_y_max",
            "x_max_y_max",
        ] + [None]
        if (
            chart_background_background_image_position
            not in list_chart_background_background_image_position
        ):
            raise ValueError(
                f"`chart_background_background_image_position` must be one of: ['x_min_y_min', 'x_mid_y_min', 'x_max_y_min', 'x_max_y_mid', 'x_mid_y_mid', 'x_min_y_max', 'x_mid_y_max', 'x_max_y_max']"
            )
        elif (
            chart_background_background_image_position
            in list_chart_background_background_image_position
            and chart_background_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "x_min_y_min": "xMinYMin",
                    "x_mid_y_min": "xMidYMin",
                    "x_max_y_min": "xMaxYMin",
                    "x_max_y_mid": "xMaxYMid",
                    "x_mid_y_mid": "xMidYMid",
                    "x_min_y_max": "xMinYMax",
                    "x_mid_y_max": "xMidYMax",
                    "x_max_y_max": "xMaxYMax",
                }.items()
                if chart_background_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["background"][
                    "background_image_position"
                ] = filtered_dict[chart_background_background_image_position]

        list_datetime_input_format = [
            "auto",
            "%Y-%m-%dT%H:%M:%S.%LZ",
            "%Y-%m-%d",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%d-%b-%y",
            "%m/%Y",
            "%m/%y",
            "%b %Y",
            "%b %y",
            "%B %d",
            "%d %b",
            "%Y",
            "%y",
            "%B",
            "%b",
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
        ] + [None]
        if datetime_input_format not in list_datetime_input_format:
            raise ValueError(
                f"`datetime_input_format` must be one of: ['auto', '%Y-%m-%dT%H:%M:%S.%LZ', '%Y-%m-%d', '%m/%d/%Y', '%d/%m/%Y', '%d-%b-%y', '%m/%Y', '%m/%y', '%b %Y', '%b %y', '%B %d', '%d %b', '%Y', '%y', '%B', '%b', '%H:%M:%S', '%I:%M %p', '%H:%M']"
            )
        elif (
            datetime_input_format in list_datetime_input_format
            and datetime_input_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "%Y-%m-%dT%H:%M:%S.%LZ": "%Y-%m-%dT%H:%M:%S.%LZ",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%d-%b-%y": "%d-%b-%y",
                    "%m/%Y": "%m/%Y",
                    "%m/%y": "%m/%y",
                    "%b %Y": "%b %Y",
                    "%b %y": "%b %y",
                    "%B %d": "%B %d",
                    "%d %b": "%d %b",
                    "%Y": "%Y",
                    "%y": "%y",
                    "%B": "%B",
                    "%b": "%b",
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                }.items()
                if datetime_input_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["datetime_input_format"] = filtered_dict[
                    datetime_input_format
                ]

        list_date_format = [
            "auto",
            "%Y-%m-%dT%H:%M:%S.%LZ",
            "%Y-%m-%d",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%d-%b-%y",
            "%m/%Y",
            "%m/%y",
            "%b %Y",
            "%b %y",
            "%B %d",
            "%d %b",
            "%Y",
            "%y",
            "%B",
            "%b",
            "%A",
            "%a",
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
        ] + [None]
        if date_format not in list_date_format:
            raise ValueError(
                f"`date_format` must be one of: ['auto', '%Y-%m-%dT%H:%M:%S.%LZ', '%Y-%m-%d', '%m/%d/%Y', '%d/%m/%Y', '%d-%b-%y', '%m/%Y', '%m/%y', '%b %Y', '%b %y', '%B %d', '%d %b', '%Y', '%y', '%B', '%b', '%A', '%a', '%H:%M:%S', '%I:%M %p', '%H:%M']"
            )
        elif date_format in list_date_format and date_format is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "%Y-%m-%dT%H:%M:%S.%LZ": "%Y-%m-%dT%H:%M:%S.%LZ",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%d-%b-%y": "%d-%b-%y",
                    "%m/%Y": "%m/%Y",
                    "%m/%y": "%m/%y",
                    "%b %Y": "%b %Y",
                    "%b %y": "%b %y",
                    "%B %d": "%B %d",
                    "%d %b": "%d %b",
                    "%Y": "%Y",
                    "’%y": "’%y",
                    "%B": "%B",
                    "%b": "%b",
                    "%A": "%A",
                    "%a": "%a",
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                }.items()
                if date_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["date_format"] = filtered_dict[date_format]

        list_chart_number_localization_input_decimal_separator = [".", ","] + [None]
        if (
            chart_number_localization_input_decimal_separator
            not in list_chart_number_localization_input_decimal_separator
        ):
            raise ValueError(
                f"`chart_number_localization_input_decimal_separator` must be one of: ['.', ',']"
            )
        elif (
            chart_number_localization_input_decimal_separator
            in list_chart_number_localization_input_decimal_separator
            and chart_number_localization_input_decimal_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {".": ".", ",": ","}.items()
                if chart_number_localization_input_decimal_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "input_decimal_separator"
                ] = filtered_dict[chart_number_localization_input_decimal_separator]

        list_chart_number_localization_output_separators = [
            ",.",
            ".,",
            ".",
            ",",
            " .",
            " ,",
        ] + [None]
        if (
            chart_number_localization_output_separators
            not in list_chart_number_localization_output_separators
        ):
            raise ValueError(
                f"`chart_number_localization_output_separators` must be one of: [',.', '.,', '.', ',', ' .', ' ,']"
            )
        elif (
            chart_number_localization_output_separators
            in list_chart_number_localization_output_separators
            and chart_number_localization_output_separators is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ",.": ",.",
                    ".,": ".,",
                    ".": ".",
                    ",": ",",
                    " .": " .",
                    " ,": " ,",
                }.items()
                if chart_number_localization_output_separators in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "output_separators"
                ] = filtered_dict[chart_number_localization_output_separators]
        self.state["state"]["formatter"]["prefix"] = chart_number_date_format_prefix
        self.state["state"]["formatter"]["suffix"] = chart_number_date_format_suffix
        self.state["state"]["formatter"]["n_dec"] = chart_number_date_format_n_dec
        self.state["state"]["formatter"]["advanced"] = chart_number_date_format_advanced

        list_chart_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_number_date_format_negative_sign
            not in list_chart_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_number_date_format_negative_sign
            in list_chart_number_date_format_negative_sign
            and chart_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["formatter"]["negative_sign"] = filtered_dict[
                    chart_number_date_format_negative_sign
                ]
        self.state["state"]["formatter"][
            "strip_zeros"
        ] = chart_number_date_format_strip_zeros
        self.state["state"]["formatter"][
            "strip_separator"
        ] = chart_number_date_format_strip_separator
        self.state["state"]["formatter"][
            "transform_labels"
        ] = chart_number_date_format_transform_labels

        list_chart_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_number_date_format_transform
            not in list_chart_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_number_date_format_transform
            in list_chart_number_date_format_transform
            and chart_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["formatter"]["transform"] = filtered_dict[
                    chart_number_date_format_transform
                ]
        self.state["state"]["formatter"][
            "multiply_divide_constant"
        ] = chart_number_date_format_multiply_divide_constant
        self.state["state"]["formatter"][
            "exponentiate_constant"
        ] = chart_number_date_format_exponentiate_constant
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_election_results_chart_details(
        self,
        bar_height: float = None,
        bar_background: str = None,
        show_party_name: bool = None,
        label_font_size: float = None,
        label_font_color: str = None,
        use_custom_scale: bool = None,
        custom_scale_max: float = None,
        middle_line_position: float = None,
        middle_line_content: str = None,
        middle_line_text_color: str = None,
        middle_line_dashoffset: str = None,
        middle_line_width: float = None,
        middle_line_color: str = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        chart_filter_controls_control_type: str = None,
        chart_filter_controls_control_styles: bool = None,
        chart_filter_controls_control_title: str = None,
        chart_filter_controls_button_group: bool = None,
        chart_filter_controls_button_group_width_mode: str = None,
        chart_filter_controls_button_group_width_fixed: float = None,
        chart_filter_controls_dropdown_width_mode: str = None,
        chart_filter_controls_dropdown_width_fixed: float = None,
        chart_filter_controls_slider_width: float = None,
        chart_filter_controls_slider_max_label_width: float = None,
        chart_filter_controls_slider_step_time: float = None,
        chart_filter_controls_slider_loop: bool = None,
        chart_filter_controls_slider_restart_pause: float = None,
        chart_filter_controls_sort: bool = None,
        chart_filter_controls_container_alignment: str = None,
        chart_filter_controls_container_controls_spacing: float = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_slider_control_style_track_color: str = None,
        chart_slider_control_style_font_color: str = None,
        chart_slider_control_style_handle_color: str = None,
        chart_slider_control_style_play_color: str = None,
        chart_slider_control_style_track_height: float = None,
        chart_slider_control_style_handle_height: float = None,
        chart_slider_control_style_play_button: bool = None,
        chart_categorical_legend_show_legend: bool = None,
        chart_categorical_legend_title_mode: str = None,
        chart_categorical_legend_title: str = None,
        chart_categorical_legend_swatch_width: float = None,
        chart_categorical_legend_swatch_height: float = None,
        chart_categorical_legend_swatch_radius: float = None,
        chart_categorical_legend_legend_items_padding: float = None,
        chart_categorical_legend_swatch_outline: bool = None,
        chart_categorical_legend_swatch_outline_color: str = None,
        chart_categorical_legend_order_override: Union[list, str] = None,
        chart_categorical_legend_icon_height: float = None,
        chart_categorical_legend_icon_color: str = None,
        chart_categorical_legend_max_width: float = None,
        chart_categorical_legend_orientation: str = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        legend_position: str = None,
        hide_empty_legend_items: bool = None,
        placeholder_text: str = None,
        subtitle_text: str = None,
        value_change_abbreviation: str = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_custom_accessible: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        chart_label_number_date_format_prefix: str = None,
        chart_label_number_date_format_suffix: str = None,
        chart_label_number_date_format_n_dec: float = None,
        chart_label_number_date_format_advanced: bool = None,
        chart_label_number_date_format_negative_sign: str = None,
        chart_label_number_date_format_strip_zeros: bool = None,
        chart_label_number_date_format_strip_separator: bool = None,
        chart_label_number_date_format_transform_labels: bool = None,
        chart_label_number_date_format_transform: str = None,
        chart_label_number_date_format_multiply_divide_constant: float = None,
        chart_label_number_date_format_exponentiate_constant: float = None,
        label_suffix: str = None,
        chart_number_localization_input_decimal_separator: str = None,
        chart_number_localization_output_separators: str = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
        chart_url_settings_enabled: bool = None,
        chart_url_settings_whitelist: Union[list, str] = None,
    ):
        """
        Set chart details for: election results chart.


        :param bar_height: Height. Flourish type hint: number, defaults to None.
        :type bar_height: float, optional
        :param bar_background: Background. Background color of part of chart thats not filled with data (ie. when filtering parties). Flourish type hint: color, defaults to None.
        :type bar_background: str, optional
        :param show_party_name: Show party name. Flourish type hint: boolean, defaults to None.
        :type show_party_name: bool, optional
        :param label_font_size: Text size. Flourish type hint: number, defaults to None.
        :type label_font_size: float, optional
        :param label_font_color: Text color. Flourish type hint: color, defaults to None.
        :type label_font_color: str, optional
        :param use_custom_scale: Scale type. Choices: False, True. On default, will use the sum of all data points as the max value. Enable this setting to use a custom value. Flourish type hint: boolean, defaults to None.
        :type use_custom_scale: bool, optional
        :param custom_scale_max: Max value for scale. This will set the maximum value of the scale. Eg. the total amount of seats to be won in an election. Flourish type hint: number, defaults to None.
        :type custom_scale_max: float, optional
        :param middle_line_position: Position. Flourish type hint: number, defaults to None.
        :type middle_line_position: float, optional
        :param middle_line_content: Text. Flourish type hint: string, defaults to None.
        :type middle_line_content: str, optional
        :param middle_line_text_color: Color. Flourish type hint: color, defaults to None.
        :type middle_line_text_color: str, optional
        :param middle_line_dashoffset: Dash width and offset. Length of dashes and spaces seperated by a comma for example, 2,2. Measured in pixels. Flourish type hint: string, defaults to None.
        :type middle_line_dashoffset: str, optional
        :param middle_line_width: Thickness. Flourish type hint: number, defaults to None.
        :type middle_line_width: float, optional
        :param middle_line_color: Color. Flourish type hint: color, defaults to None.
        :type middle_line_color: str, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param chart_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_type: str, optional
        :param chart_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_control_styles: bool, optional
        :param chart_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_title: str, optional
        :param chart_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_button_group: bool, optional
        :param chart_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_button_group_width_mode: str, optional
        :param chart_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_button_group_width_fixed: float, optional
        :param chart_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_dropdown_width_mode: str, optional
        :param chart_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_dropdown_width_fixed: float, optional
        :param chart_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_width: float, optional
        :param chart_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_max_label_width: float, optional
        :param chart_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_step_time: float, optional
        :param chart_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_slider_loop: bool, optional
        :param chart_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_restart_pause: float, optional
        :param chart_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_sort: bool, optional
        :param chart_filter_controls_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_container_alignment: str, optional
        :param chart_filter_controls_container_controls_spacing: Spacing. The space between controls, like dropdowns and adjacent button sets, in em units. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_container_controls_spacing: float, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Dropdown border styles. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_slider_control_style_track_color: Track. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_track_color: str, optional
        :param chart_slider_control_style_font_color: Text. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_font_color: str, optional
        :param chart_slider_control_style_handle_color: Handle. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_handle_color: str, optional
        :param chart_slider_control_style_play_color: Play/pause. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_play_color: str, optional
        :param chart_slider_control_style_track_height: Track height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_track_height: float, optional
        :param chart_slider_control_style_handle_height: Height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_handle_height: float, optional
        :param chart_slider_control_style_play_button: Play button. Flourish type hint: boolean, defaults to None.
        :type chart_slider_control_style_play_button: bool, optional
        :param chart_categorical_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_show_legend: bool, optional
        :param chart_categorical_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title_mode: str, optional
        :param chart_categorical_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title: str, optional
        :param chart_categorical_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_width: float, optional
        :param chart_categorical_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_height: float, optional
        :param chart_categorical_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_radius: float, optional
        :param chart_categorical_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_legend_items_padding: float, optional
        :param chart_categorical_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_swatch_outline: bool, optional
        :param chart_categorical_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_swatch_outline_color: str, optional
        :param chart_categorical_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_categorical_legend_order_override: Union[list, str], optional
        :param chart_categorical_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_icon_height: float, optional
        :param chart_categorical_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_icon_color: str, optional
        :param chart_categorical_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_max_width: float, optional
        :param chart_categorical_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_orientation: str, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param legend_position: Position. Choices: below, above. Flourish type hint: string, defaults to None.
        :type legend_position: str, optional
        :param hide_empty_legend_items: Hide zero-valued entries. Flourish type hint: boolean, defaults to None.
        :type hide_empty_legend_items: bool, optional
        :param placeholder_text: No data placeholder text. Placeholder text if there is no data. Flourish type hint: string, defaults to None.
        :type placeholder_text: str, optional
        :param subtitle_text: Text below results. Flourish type hint: string, defaults to None.
        :type subtitle_text: str, optional
        :param value_change_abbreviation: Value change abbreviation. A suffix used to describe the change since the previous election. Flourish type hint: string, defaults to None.
        :type value_change_abbreviation: str, optional
        :param chart_popup_mode: Choices: none, popup, panel, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. You can use various keywords to add informtion to custom popups. These include:   `{{PARTY}}` : name of the party  `{{CURRENT}}` : current value  `{{HISTORICAL}}` : historical value  `{{CHANGE}}` : change between the current and historical values  Advanced users can add HTML styling or add category colors to popup headers.  To hide parts of the popup when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. You can use various keywords to add informtion to custom popups. These include:   `{{PARTY}}` : name of the party  `{{CURRENT}}` : current value  `{{HISTORICAL}}` : historical value  `{{CHANGE}}` : change between the current and historical values  Advanced users can add HTML styling or add category colors to popup headers.  To hide parts of the popup when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_custom_accessible: Popup custom accessible content. A text alternative to visual custom popup content that will be read out by screenreaders. This content is added as an aria-label attribute to data point elements. You can still use `{{column_name}}` to add values from your data, but do not use HTML. For example: `{{Name}}, Population: {{Population}}, GDP: {{GDP}}`. If left empty, accessible content will fallback to the default popup content. Flourish type hint: text, defaults to None.
        :type chart_popup_popup_custom_accessible: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for styling or add category colors to panel headers.  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for designs, styles, images, videos and embedded Flourish charts,  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing Click position is especially useful when your visualization is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param chart_label_number_date_format_prefix: Prefix. Text to place in front of number. Flourish type hint: string, defaults to None.
        :type chart_label_number_date_format_prefix: str, optional
        :param chart_label_number_date_format_suffix: Suffix. Text to place after number. Flourish type hint: string, defaults to None.
        :type chart_label_number_date_format_suffix: str, optional
        :param chart_label_number_date_format_n_dec: Decimal places. Enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_label_number_date_format_n_dec: float, optional
        :param chart_label_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_label_number_date_format_advanced: bool, optional
        :param chart_label_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_label_number_date_format_negative_sign: str, optional
        :param chart_label_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_label_number_date_format_strip_zeros: bool, optional
        :param chart_label_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_label_number_date_format_strip_separator: bool, optional
        :param chart_label_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_label_number_date_format_transform_labels: bool, optional
        :param chart_label_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_label_number_date_format_transform: str, optional
        :param chart_label_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_label_number_date_format_multiply_divide_constant: float, optional
        :param chart_label_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_label_number_date_format_exponentiate_constant: float, optional
        :param label_suffix: Historical label suffix. Suffix used to compare current and historical results. For example, "%" when data measures vote shares, or "seats" when data measures seats won. Flourish type hint: string, defaults to None.
        :type label_suffix: str, optional
        :param chart_number_localization_input_decimal_separator: Decimal separator in data sheet. Choices: ., ,. Used for interpreting your data. Only change if data is not displaying on the chart as expected. Flourish type hint: string, defaults to None.
        :type chart_number_localization_input_decimal_separator: str, optional
        :param chart_number_localization_output_separators: Number format to display. Choices: ,., .,, ., ,, ., ,. How the numbers should appear on chart labels. Flourish type hint: string, defaults to None.
        :type chart_number_localization_output_separators: str, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        :param chart_url_settings_enabled: Update project from URL. Make it possible to change the visualizations settings/state from the URL hash, for example when embedding in an iframe or popup panel. Flourish type hint: boolean, defaults to None.
        :type chart_url_settings_enabled: bool, optional
        :param chart_url_settings_whitelist: Allowed state properties. List each state property you want to make changeable with the URL hash See the template page for a full list of state properties.  Add one property name per line. Use dot format for nested properties, e.g. `layout.background_color`. Flourish type hint: text, defaults to None.
        :type chart_url_settings_whitelist: Union[list, str], optional
        """
        details_error(self)

        self.state = {
            "state": {
                "color": {},
                "filter_control": {},
                "controls_container": {},
                "controls_style": {},
                "dropdown_style": {},
                "button_style": {},
                "slider_style": {},
                "legend_categorical": {},
                "legend_container": {},
                "popup": {},
                "label_format": {},
                "localization": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
                "url_state": {},
            }
        }

        self.state["state"]["bar_height"] = bar_height
        self.state["state"]["bar_background"] = bar_background
        self.state["state"]["show_party_name"] = show_party_name
        self.state["state"]["label_font_size"] = label_font_size
        self.state["state"]["label_font_color"] = label_font_color

        list_use_custom_scale = [False, True] + [None]
        if use_custom_scale not in list_use_custom_scale:
            raise ValueError(f"`use_custom_scale` must be one of: [False, True]")
        elif use_custom_scale in list_use_custom_scale and use_custom_scale is not None:
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if use_custom_scale in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["use_custom_scale"] = filtered_dict[
                    use_custom_scale
                ]
        self.state["state"]["custom_scale_max"] = custom_scale_max
        self.state["state"]["middle_line_position"] = middle_line_position
        self.state["state"]["middle_line_content"] = middle_line_content
        self.state["state"]["middle_line_text_color"] = middle_line_text_color
        self.state["state"]["middle_line_dashoffset"] = middle_line_dashoffset
        self.state["state"]["middle_line_width"] = middle_line_width
        self.state["state"]["middle_line_color"] = middle_line_color

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max

        list_chart_filter_controls_control_type = ["dropdown", "buttons", "slider"] + [
            None
        ]
        if (
            chart_filter_controls_control_type
            not in list_chart_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_filter_controls_control_type
            in list_chart_filter_controls_control_type
            and chart_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["control_type"] = filtered_dict[
                    chart_filter_controls_control_type
                ]
        self.state["state"]["filter_control"][
            "control_styles"
        ] = chart_filter_controls_control_styles
        self.state["state"]["filter_control"][
            "control_title"
        ] = chart_filter_controls_control_title

        list_chart_filter_controls_button_group = [True, False] + [None]
        if (
            chart_filter_controls_button_group
            not in list_chart_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_button_group
            in list_chart_filter_controls_button_group
            and chart_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["button_group"] = filtered_dict[
                    chart_filter_controls_button_group
                ]

        list_chart_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_filter_controls_button_group_width_mode
            not in list_chart_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_button_group_width_mode
            in list_chart_filter_controls_button_group_width_mode
            and chart_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_filter_controls_button_group_width_mode]
        self.state["state"]["filter_control"][
            "button_group_width_fixed"
        ] = chart_filter_controls_button_group_width_fixed

        list_chart_filter_controls_dropdown_width_mode = ["auto", "full", "fixed"] + [
            None
        ]
        if (
            chart_filter_controls_dropdown_width_mode
            not in list_chart_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_dropdown_width_mode
            in list_chart_filter_controls_dropdown_width_mode
            and chart_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"][
                    "dropdown_width_mode"
                ] = filtered_dict[chart_filter_controls_dropdown_width_mode]
        self.state["state"]["filter_control"][
            "dropdown_width_fixed"
        ] = chart_filter_controls_dropdown_width_fixed
        self.state["state"]["filter_control"][
            "slider_width"
        ] = chart_filter_controls_slider_width
        self.state["state"]["filter_control"][
            "slider_max_label_width"
        ] = chart_filter_controls_slider_max_label_width
        self.state["state"]["filter_control"][
            "slider_step_time"
        ] = chart_filter_controls_slider_step_time
        self.state["state"]["filter_control"][
            "slider_loop"
        ] = chart_filter_controls_slider_loop
        self.state["state"]["filter_control"][
            "slider_restart_pause"
        ] = chart_filter_controls_slider_restart_pause

        list_chart_filter_controls_sort = [True, False] + [None]
        if chart_filter_controls_sort not in list_chart_filter_controls_sort:
            raise ValueError(
                f"`chart_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_sort in list_chart_filter_controls_sort
            and chart_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["sort"] = filtered_dict[
                    chart_filter_controls_sort
                ]

        list_chart_filter_controls_container_alignment = ["start", "center", "end"] + [
            None
        ]
        if (
            chart_filter_controls_container_alignment
            not in list_chart_filter_controls_container_alignment
        ):
            raise ValueError(
                f"`chart_filter_controls_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_filter_controls_container_alignment
            in list_chart_filter_controls_container_alignment
            and chart_filter_controls_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_filter_controls_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_container"]["alignment"] = filtered_dict[
                    chart_filter_controls_container_alignment
                ]
        self.state["state"]["controls_container"][
            "controls_spacing"
        ] = chart_filter_controls_container_controls_spacing
        self.state["state"]["controls_style"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_style"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["controls_style"]["height"] = chart_controls_style_height
        self.state["state"]["dropdown_style"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["dropdown_style"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["dropdown_style"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown_style"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["dropdown_style"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["dropdown_style"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["dropdown_style"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["dropdown_style"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius
        self.state["state"]["button_style"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["button_style"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["button_style"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["button_style"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["button_style"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["button_style"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["button_style"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["button_style"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["button_style"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["button_style"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["button_style"][
            "border_radius"
        ] = chart_button_control_style_border_radius
        self.state["state"]["slider_style"][
            "track_color"
        ] = chart_slider_control_style_track_color
        self.state["state"]["slider_style"][
            "font_color"
        ] = chart_slider_control_style_font_color
        self.state["state"]["slider_style"][
            "handle_color"
        ] = chart_slider_control_style_handle_color
        self.state["state"]["slider_style"][
            "play_color"
        ] = chart_slider_control_style_play_color
        self.state["state"]["slider_style"][
            "track_height"
        ] = chart_slider_control_style_track_height
        self.state["state"]["slider_style"][
            "handle_height"
        ] = chart_slider_control_style_handle_height
        self.state["state"]["slider_style"][
            "play_button"
        ] = chart_slider_control_style_play_button

        list_chart_categorical_legend_show_legend = [True, False] + [None]
        if (
            chart_categorical_legend_show_legend
            not in list_chart_categorical_legend_show_legend
        ):
            raise ValueError(
                f"`chart_categorical_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_categorical_legend_show_legend
            in list_chart_categorical_legend_show_legend
            and chart_categorical_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_categorical_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "show_legend"
                ] = filtered_dict[chart_categorical_legend_show_legend]

        list_chart_categorical_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_categorical_legend_title_mode
            not in list_chart_categorical_legend_title_mode
        ):
            raise ValueError(
                f"`chart_categorical_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_categorical_legend_title_mode
            in list_chart_categorical_legend_title_mode
            and chart_categorical_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_categorical_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"]["title_mode"] = filtered_dict[
                    chart_categorical_legend_title_mode
                ]
        self.state["state"]["legend_categorical"][
            "title"
        ] = chart_categorical_legend_title
        self.state["state"]["legend_categorical"][
            "swatch_width"
        ] = chart_categorical_legend_swatch_width
        self.state["state"]["legend_categorical"][
            "swatch_height"
        ] = chart_categorical_legend_swatch_height
        self.state["state"]["legend_categorical"][
            "swatch_radius"
        ] = chart_categorical_legend_swatch_radius
        self.state["state"]["legend_categorical"][
            "legend_items_padding"
        ] = chart_categorical_legend_legend_items_padding
        self.state["state"]["legend_categorical"][
            "swatch_outline"
        ] = chart_categorical_legend_swatch_outline
        self.state["state"]["legend_categorical"][
            "swatch_outline_color"
        ] = chart_categorical_legend_swatch_outline_color

        if (
            chart_categorical_legend_order_override is not None
            and len(chart_categorical_legend_order_override) > 1
            and isinstance(chart_categorical_legend_order_override, list)
        ):
            self.state["state"]["legend_categorical"]["order_override"] = " \n ".join(
                chart_categorical_legend_order_override
            )
        else:
            self.state["state"]["legend_categorical"][
                "order_override"
            ] = chart_categorical_legend_order_override

        self.state["state"]["legend_categorical"][
            "icon_height"
        ] = chart_categorical_legend_icon_height
        self.state["state"]["legend_categorical"][
            "icon_color"
        ] = chart_categorical_legend_icon_color
        self.state["state"]["legend_categorical"][
            "max_width"
        ] = chart_categorical_legend_max_width

        list_chart_categorical_legend_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_categorical_legend_orientation
            not in list_chart_categorical_legend_orientation
        ):
            raise ValueError(
                f"`chart_categorical_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_categorical_legend_orientation
            in list_chart_categorical_legend_orientation
            and chart_categorical_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_categorical_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "orientation"
                ] = filtered_dict[chart_categorical_legend_orientation]

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size

        list_legend_position = ["below", "above"] + [None]
        if legend_position not in list_legend_position:
            raise ValueError(f"`legend_position` must be one of: ['below', 'above']")
        elif legend_position in list_legend_position and legend_position is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"below": "below", "above": "above"}.items()
                if legend_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_position"] = filtered_dict[legend_position]
        self.state["state"]["hide_empty_legend_items"] = hide_empty_legend_items
        self.state["state"]["placeholder_text"] = placeholder_text
        self.state["state"]["subtitle_text"] = subtitle_text
        self.state["state"]["value_change_abbreviation"] = value_change_abbreviation

        list_chart_popup_mode = ["none", "popup", "panel", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'panel', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "panel": "panel",
                    "both": "both",
                }.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popup"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popup"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popup"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        if (
            chart_popup_popup_custom_accessible is not None
            and len(chart_popup_popup_custom_accessible) > 1
            and isinstance(chart_popup_popup_custom_accessible, list)
        ):
            self.state["state"]["popup"]["popup_custom_accessible"] = " \n ".join(
                chart_popup_popup_custom_accessible
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_accessible"
            ] = chart_popup_popup_custom_accessible

        self.state["state"]["popup"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popup"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popup"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popup"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popup"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popup"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popup"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popup"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popup"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_label_weight"] = filtered_dict[
                    chart_popup_popup_list_label_weight
                ]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popup"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popup"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popup"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popup"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popup"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popup"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popup"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popup"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popup"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popup"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popup"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popup"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popup"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popup"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popup"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_vertical_position"] = filtered_dict[
                    chart_popup_panel_vertical_position
                ]
        self.state["state"]["popup"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popup"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popup"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popup"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popup"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popup"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_label_weight"] = filtered_dict[
                    chart_popup_panel_list_label_weight
                ]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popup"]["panel_shadow"] = chart_popup_panel_shadow
        self.state["state"]["label_format"][
            "prefix"
        ] = chart_label_number_date_format_prefix
        self.state["state"]["label_format"][
            "suffix"
        ] = chart_label_number_date_format_suffix
        self.state["state"]["label_format"][
            "n_dec"
        ] = chart_label_number_date_format_n_dec
        self.state["state"]["label_format"][
            "advanced"
        ] = chart_label_number_date_format_advanced

        list_chart_label_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_label_number_date_format_negative_sign
            not in list_chart_label_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_label_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_label_number_date_format_negative_sign
            in list_chart_label_number_date_format_negative_sign
            and chart_label_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_label_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_format"]["negative_sign"] = filtered_dict[
                    chart_label_number_date_format_negative_sign
                ]
        self.state["state"]["label_format"][
            "strip_zeros"
        ] = chart_label_number_date_format_strip_zeros
        self.state["state"]["label_format"][
            "strip_separator"
        ] = chart_label_number_date_format_strip_separator
        self.state["state"]["label_format"][
            "transform_labels"
        ] = chart_label_number_date_format_transform_labels

        list_chart_label_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_label_number_date_format_transform
            not in list_chart_label_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_label_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_label_number_date_format_transform
            in list_chart_label_number_date_format_transform
            and chart_label_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_label_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_format"]["transform"] = filtered_dict[
                    chart_label_number_date_format_transform
                ]
        self.state["state"]["label_format"][
            "multiply_divide_constant"
        ] = chart_label_number_date_format_multiply_divide_constant
        self.state["state"]["label_format"][
            "exponentiate_constant"
        ] = chart_label_number_date_format_exponentiate_constant
        self.state["state"]["label_suffix"] = label_suffix

        list_chart_number_localization_input_decimal_separator = [".", ","] + [None]
        if (
            chart_number_localization_input_decimal_separator
            not in list_chart_number_localization_input_decimal_separator
        ):
            raise ValueError(
                f"`chart_number_localization_input_decimal_separator` must be one of: ['.', ',']"
            )
        elif (
            chart_number_localization_input_decimal_separator
            in list_chart_number_localization_input_decimal_separator
            and chart_number_localization_input_decimal_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {".": ".", ",": ","}.items()
                if chart_number_localization_input_decimal_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "input_decimal_separator"
                ] = filtered_dict[chart_number_localization_input_decimal_separator]

        list_chart_number_localization_output_separators = [
            ",.",
            ".,",
            ".",
            ",",
            " .",
            " ,",
        ] + [None]
        if (
            chart_number_localization_output_separators
            not in list_chart_number_localization_output_separators
        ):
            raise ValueError(
                f"`chart_number_localization_output_separators` must be one of: [',.', '.,', '.', ',', ' .', ' ,']"
            )
        elif (
            chart_number_localization_output_separators
            in list_chart_number_localization_output_separators
            and chart_number_localization_output_separators is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ",.": ",.",
                    ".,": ".,",
                    ".": ".",
                    ",": ",",
                    " .": " .",
                    " ,": " ,",
                }.items()
                if chart_number_localization_output_separators in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "output_separators"
                ] = filtered_dict[chart_number_localization_output_separators]
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        self.state["state"]["url_state"]["enabled"] = chart_url_settings_enabled

        if (
            chart_url_settings_whitelist is not None
            and len(chart_url_settings_whitelist) > 1
            and isinstance(chart_url_settings_whitelist, list)
        ):
            self.state["state"]["url_state"]["whitelist"] = " \n ".join(
                chart_url_settings_whitelist
            )
        else:
            self.state["state"]["url_state"]["whitelist"] = chart_url_settings_whitelist

        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_gantt_details(
        self,
        gantt_height: float = None,
        gantt_padding: float = None,
        border_radius: float = None,
        border_width: float = None,
        border_color: str = None,
        gantt_progress: bool = None,
        gantt_text: bool = None,
        gantt_font_size: float = None,
        gantt_text_color: str = None,
        gantt_font_weight: str = None,
        missing_value_label: str = None,
        scale_type: str = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        color_single: str = None,
        chart_background_color: str = None,
        chart_background_opacity: float = None,
        chart_background_panels: bool = None,
        chart_x_axis_axis_position: str = None,
        chart_x_axis_y_axis_position: str = None,
        chart_x_axis_numeric_scale_type: str = None,
        chart_x_axis_linear_min: float = None,
        chart_x_axis_linear_max: float = None,
        chart_x_axis_log_min: float = None,
        chart_x_axis_log_max: float = None,
        chart_x_axis_datetime_min: str = None,
        chart_x_axis_datetime_max: str = None,
        chart_x_axis_flip: bool = None,
        chart_x_axis_show_scale_settings: bool = None,
        chart_x_axis_nice: bool = None,
        chart_x_axis_zero_axis: str = None,
        chart_x_axis_title_mode: str = None,
        chart_x_axis_title: str = None,
        chart_x_axis_title_styling: bool = None,
        chart_x_axis_title_weight: str = None,
        chart_x_axis_title_color: str = None,
        chart_x_axis_title_size: float = None,
        chart_x_axis_title_padding: float = None,
        chart_x_axis_tick_label_position: str = None,
        chart_x_axis_tick_label_styling: bool = None,
        chart_x_axis_tick_label_size: float = None,
        chart_x_axis_tick_label_color: str = None,
        chart_x_axis_tick_padding: float = None,
        chart_x_axis_tick_label_angle: str = None,
        chart_x_axis_tick_label_weight: str = None,
        chart_x_axis_tick_label_max_lines: float = None,
        chart_x_axis_tick_label_line_height: float = None,
        chart_x_axis_tick_label_space_mode: str = None,
        chart_x_axis_tick_label_space: float = None,
        chart_x_axis_tick_mode: str = None,
        chart_x_axis_tick_number: float = None,
        chart_x_axis_tick_custom: Union[list, str] = None,
        chart_x_axis_line_and_tick_color: str = None,
        chart_x_axis_line_and_tick_width: float = None,
        chart_x_axis_tick_length: float = None,
        chart_x_axis_tick_side: str = None,
        chart_x_axis_line_visible: bool = None,
        chart_x_axis_edge_padding: float = None,
        chart_x_axis_gridlines_visible: bool = None,
        chart_x_axis_gridlines_styling: bool = None,
        chart_x_axis_gridline_color: str = None,
        chart_x_axis_gridline_style: str = None,
        chart_x_axis_gridline_width: float = None,
        chart_x_axis_gridline_category_dividers: bool = None,
        chart_x_axis_gridline_category_dividers_extend: bool = None,
        date_format: str = None,
        format_locale: str = None,
        format_weekday: str = None,
        format_year: str = None,
        format_month: str = None,
        format_day: str = None,
        format_hour: str = None,
        format_minute: str = None,
        y_font_size: float = None,
        y_font_weight: str = None,
        y_font_fill: str = None,
        y_max_width: float = None,
        y_text_dx: float = None,
        y_text_dy: float = None,
        y_gridline_color: str = None,
        y_gridline_width: float = None,
        chart_filter_controls_control_type: str = None,
        chart_filter_controls_control_styles: bool = None,
        chart_filter_controls_control_title: str = None,
        chart_filter_controls_button_group: bool = None,
        chart_filter_controls_button_group_width_mode: str = None,
        chart_filter_controls_button_group_width_fixed: float = None,
        chart_filter_controls_dropdown_width_mode: str = None,
        chart_filter_controls_dropdown_width_fixed: float = None,
        chart_filter_controls_slider_width: float = None,
        chart_filter_controls_slider_max_label_width: float = None,
        chart_filter_controls_slider_step_time: float = None,
        chart_filter_controls_slider_loop: bool = None,
        chart_filter_controls_slider_restart_pause: float = None,
        chart_filter_controls_sort: bool = None,
        filter_control_all: str = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        chart_slider_control_style_track_color: str = None,
        chart_slider_control_style_font_color: str = None,
        chart_slider_control_style_handle_color: str = None,
        chart_slider_control_style_play_color: str = None,
        chart_slider_control_style_track_height: float = None,
        chart_slider_control_style_handle_height: float = None,
        chart_slider_control_style_play_button: bool = None,
        chart_filter_controls_container_alignment: str = None,
        chart_filter_controls_container_controls_spacing: float = None,
        chart_categorical_legend_show_legend: bool = None,
        chart_categorical_legend_title_mode: str = None,
        chart_categorical_legend_title: str = None,
        chart_categorical_legend_swatch_width: float = None,
        chart_categorical_legend_swatch_height: float = None,
        chart_categorical_legend_swatch_radius: float = None,
        chart_categorical_legend_legend_items_padding: float = None,
        chart_categorical_legend_swatch_outline: bool = None,
        chart_categorical_legend_swatch_outline_color: str = None,
        chart_categorical_legend_order_override: Union[list, str] = None,
        chart_categorical_legend_icon_height: float = None,
        chart_categorical_legend_icon_color: str = None,
        chart_categorical_legend_max_width: float = None,
        chart_categorical_legend_orientation: str = None,
        chart_continous_legend_show_legend: bool = None,
        chart_continous_legend_title_mode: str = None,
        chart_continous_legend_title: str = None,
        chart_continous_legend_color_band_width: float = None,
        chart_continous_legend_color_band_height: float = None,
        chart_continous_legend_color_band_radius: float = None,
        chart_continous_legend_binned_label_mode: str = None,
        chart_continous_legend_binned_label_custom: str = None,
        chart_continous_legend_legend_min: float = None,
        chart_continous_legend_additional_min_label: str = None,
        chart_continous_legend_legend_max: float = None,
        chart_continous_legend_additional_max_label: str = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_custom_accessible: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        chart_axes_highlights_x_enabled: bool = None,
        chart_axes_highlights_x_lines: Union[list, str] = None,
        chart_axes_highlights_x_line_color: str = None,
        chart_axes_highlights_x_line_width: float = None,
        chart_axes_highlights_x_line_dash: float = None,
        chart_axes_highlights_x_areas: Union[list, str] = None,
        chart_axes_highlights_x_area_color: str = None,
        chart_axes_highlights_x_area_opacity: float = None,
        chart_axes_highlights_x_area_texture: str = None,
        chart_axes_highlights_x_label_vertical: bool = None,
        chart_axes_highlights_x_label_y_position: str = None,
        chart_axes_highlights_x_label_x_position: str = None,
        chart_axes_highlights_x_label_max_width: float = None,
        chart_axes_highlights_x_font_size: float = None,
        chart_axes_highlights_x_font_weight: str = None,
        chart_axes_highlights_x_label_color: str = None,
        chart_axes_highlights_x_shadow_color: str = None,
        chart_axes_highlights_x_shadow_enabled: bool = None,
        chart_axes_highlights_y_enabled: bool = None,
        chart_axes_highlights_y_lines: Union[list, str] = None,
        chart_axes_highlights_y_line_color: str = None,
        chart_axes_highlights_y_line_width: float = None,
        chart_axes_highlights_y_line_dash: float = None,
        chart_axes_highlights_y_areas: Union[list, str] = None,
        chart_axes_highlights_y_area_color: str = None,
        chart_axes_highlights_y_area_opacity: float = None,
        chart_axes_highlights_y_area_texture: str = None,
        chart_axes_highlights_y_label_x_position: str = None,
        chart_axes_highlights_y_label_y_position: str = None,
        chart_axes_highlights_y_label_max_width: float = None,
        chart_axes_highlights_y_font_size: float = None,
        chart_axes_highlights_y_font_weight: str = None,
        chart_axes_highlights_y_label_color: str = None,
        chart_axes_highlights_y_shadow_color: str = None,
        chart_axes_highlights_y_shadow_enabled: bool = None,
        animation_duration: float = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: gantt chart.


        :param gantt_height: Height. Choose the height of each bar in rems (i.e. it will scale up and down in relation to screen size). Flourish type hint: number, defaults to None.
        :type gantt_height: float, optional
        :param gantt_padding: Padding. Flourish type hint: number, defaults to None.
        :type gantt_padding: float, optional
        :param border_radius: Roundness. Flourish type hint: number, defaults to None.
        :type border_radius: float, optional
        :param border_width: Border width. Flourish type hint: number, defaults to None.
        :type border_width: float, optional
        :param border_color: Border color. Flourish type hint: color, defaults to None.
        :type border_color: str, optional
        :param gantt_progress: Show progress. Choices: True, False. If enabled, each bar will be filled with an overlay relating to the value supplied in the Progress column. Flourish type hint: boolean, defaults to None.
        :type gantt_progress: bool, optional
        :param gantt_text: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type gantt_text: bool, optional
        :param gantt_font_size: Size. Flourish type hint: number, defaults to None.
        :type gantt_font_size: float, optional
        :param gantt_text_color: Color. Flourish type hint: color, defaults to None.
        :type gantt_text_color: str, optional
        :param gantt_font_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type gantt_font_weight: str, optional
        :param missing_value_label: Label for missing values. If a bar dosent have a category, the legend will show the placeholder value.. Flourish type hint: string, defaults to None.
        :type missing_value_label: str, optional
        :param scale_type: Scale type. Choices: categorical, numeric. Flourish type hint: string, defaults to None.
        :type scale_type: str, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param color_single: Color. Flourish type hint: color, defaults to None.
        :type color_single: str, optional
        :param chart_background_color: Color. Flourish type hint: color, defaults to None.
        :type chart_background_color: str, optional
        :param chart_background_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type chart_background_opacity: float, optional
        :param chart_background_panels: Area. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_background_panels: bool, optional
        :param chart_x_axis_axis_position: Position. Choices: bottom, float-below, float-above, top, off. Flourish type hint: string, defaults to None.
        :type chart_x_axis_axis_position: str, optional
        :param chart_x_axis_y_axis_position: Y value. Vertical position of the X axis on the Y scale. Flourish type hint: string, defaults to None.
        :type chart_x_axis_y_axis_position: str, optional
        :param chart_x_axis_numeric_scale_type: Type. Choices: linear, log. Flourish type hint: string, defaults to None.
        :type chart_x_axis_numeric_scale_type: str, optional
        :param chart_x_axis_linear_min: Min. Flourish type hint: number, defaults to None.
        :type chart_x_axis_linear_min: float, optional
        :param chart_x_axis_linear_max: Max. Flourish type hint: number, defaults to None.
        :type chart_x_axis_linear_max: float, optional
        :param chart_x_axis_log_min: Min. Flourish type hint: number, defaults to None.
        :type chart_x_axis_log_min: float, optional
        :param chart_x_axis_log_max: Max. Flourish type hint: number, defaults to None.
        :type chart_x_axis_log_max: float, optional
        :param chart_x_axis_datetime_min: Min (date). Flourish type hint: string, defaults to None.
        :type chart_x_axis_datetime_min: str, optional
        :param chart_x_axis_datetime_max: Max (date). Flourish type hint: string, defaults to None.
        :type chart_x_axis_datetime_max: str, optional
        :param chart_x_axis_flip: Flip axis. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_flip: bool, optional
        :param chart_x_axis_show_scale_settings: Configure default min/max. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_show_scale_settings: bool, optional
        :param chart_x_axis_nice: Round min/max. Choices: True, False. Enabling this option rounds the X axis start and end values to tidy numbers, such as 0, 50, 100 or whole years. Specified min and max values will override this feature. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_nice: bool, optional
        :param chart_x_axis_zero_axis: Include zero. Choices: auto, on, off. Enable to extend the axis to include zero, even when data is all positive or all negative. This is ignored if you set specific min and max scale values. Flourish type hint: string, defaults to None.
        :type chart_x_axis_zero_axis: str, optional
        :param chart_x_axis_title_mode: Type. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title_mode: str, optional
        :param chart_x_axis_title: Text. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title: str, optional
        :param chart_x_axis_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_title_styling: bool, optional
        :param chart_x_axis_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title_weight: str, optional
        :param chart_x_axis_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_title_color: str, optional
        :param chart_x_axis_title_size: Size. Flourish type hint: number, defaults to None.
        :type chart_x_axis_title_size: float, optional
        :param chart_x_axis_title_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_x_axis_title_padding: float, optional
        :param chart_x_axis_tick_label_position: Position. Choices: default, left, right. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_position: str, optional
        :param chart_x_axis_tick_label_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_tick_label_styling: bool, optional
        :param chart_x_axis_tick_label_size: Size. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_size: float, optional
        :param chart_x_axis_tick_label_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_tick_label_color: str, optional
        :param chart_x_axis_tick_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_padding: float, optional
        :param chart_x_axis_tick_label_angle: Angle. Choices: 0, 30, 45, 60, 90. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_angle: str, optional
        :param chart_x_axis_tick_label_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_weight: str, optional
        :param chart_x_axis_tick_label_max_lines: Max lines. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_max_lines: float, optional
        :param chart_x_axis_tick_label_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_line_height: float, optional
        :param chart_x_axis_tick_label_space_mode: Space mode. Choices: auto, max, fixed. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_space_mode: str, optional
        :param chart_x_axis_tick_label_space: Space. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_space: float, optional
        :param chart_x_axis_tick_mode: Mode. Choices: auto, number, custom. Sets the method for selecting tick values on the axis:  Auto automatically selects the ticks  Number allows you to choose the number of ticks to display.  Custom lets you select specific ticks to show.  Note: If the axis is categorical, Number mode is ignored. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_mode: str, optional
        :param chart_x_axis_tick_number: Number. Approximate number of ticks or gridlines. The actual number will depend on the range of values, chart size, etc. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_number: float, optional
        :param chart_x_axis_tick_custom: One tick label per line. Specify the ticks to show, one per line. For dates, use the input format as specified in the datasheet.  You can also use `{{FIRST}}` and `{{LAST}}` to add ticks at the minimum and maximum of the axis. For example:  `{{FIRST}}` 25000 50000 75000 `{{LAST}}`. Flourish type hint: text, defaults to None.
        :type chart_x_axis_tick_custom: Union[list, str], optional
        :param chart_x_axis_line_and_tick_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_line_and_tick_color: str, optional
        :param chart_x_axis_line_and_tick_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_x_axis_line_and_tick_width: float, optional
        :param chart_x_axis_tick_length: Tick length. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_length: float, optional
        :param chart_x_axis_tick_side: Tick side. Choices: out, in. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_side: str, optional
        :param chart_x_axis_line_visible: Axis line. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_line_visible: bool, optional
        :param chart_x_axis_edge_padding: Edge padding (%). Space between start/end of axis line and first/last category tick as a percentage of the spacing between ticks. Flourish type hint: number, defaults to None.
        :type chart_x_axis_edge_padding: float, optional
        :param chart_x_axis_gridlines_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridlines_visible: bool, optional
        :param chart_x_axis_gridlines_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridlines_styling: bool, optional
        :param chart_x_axis_gridline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_gridline_color: str, optional
        :param chart_x_axis_gridline_style: Style. Choices: solid, dash, dot, dot_dash. Flourish type hint: string, defaults to None.
        :type chart_x_axis_gridline_style: str, optional
        :param chart_x_axis_gridline_width: Width. Flourish type hint: number, defaults to None.
        :type chart_x_axis_gridline_width: float, optional
        :param chart_x_axis_gridline_category_dividers: Put lines between categories. On a categorical axis, this option disables the gridline on each tick and instead adds rules between each category to give a table-like design. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridline_category_dividers: bool, optional
        :param chart_x_axis_gridline_category_dividers_extend: Extend. Extends the dividers into the axis margins. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridline_category_dividers_extend: bool, optional
        :param date_format: Format in data sheet. Choices: auto, %Y-%m-%dT%H:%M:%S.%LZ, %Y-%m-%d, %m/%d/%Y, %d/%m/%Y, %d-%b-%y, %m/%Y, %b %Y, %b %y, %B %d, %d %b, %Y, %B, %b, %A, %a, %H:%M:%S, %I:%M %p, %H:%M. The date/time format in your datasheet.  If it isnt in the list, you can enter a custom format using d3-time-format syntax. See npm - d3 time format for details. Flourish type hint: string, defaults to None.
        :type date_format: str, optional
        :param format_locale: Date and time locale. Choices: none, ady, af-_n_a, af-_z_a, af, ak, ar-_m_a, ar-_s_a, hy-_a_m, ay-_b_o, eu-_e_s, be-_b_y, bn-_b_d, bn-_i_n, bn, bs-_b_a, my, ck-_u_s, zh-_c_n, zh-_s_g, zh-_hans, zh-_h_k, zh-_t_w, zh-_hant, zh, gx-_g_r, nl-_b_e, nl-_n_l, nl, en-_a_u, en-_c_a, en-_i_n, en-_i_e, en@pirate, en-_z_a, en-_g_b, en-_u_d, en-_u_s, en, eo-_e_o, et-_e_e, fo-_f_o, fi-_f_i, fr-_b_e, fr-_c_a, fr-_f_r, fr-_c_h, fr, fy-_n_l, ff, gl-_e_s, ka-_g_e, de-_a_t, de-_d_e, de-_c_h, de, el-_g_r, el, gn-_p_y, gu-_i_n, ht, is-_i_s, is, ga-_i_e, ga, jv-_i_d, kab, kn-_i_n, kn, cak, kk-_k_z, tlh, ko-_k_r, ko, ku-_t_r, fb-_l_t, li-_n_l, dsb, lb, mk-_m_k, mk, mai, mg-_m_g, mn-_m_n, se-_n_o, nn-_n_o, no, oc, or-_i_n, ps-_a_f, i_r, pt-_b_r, pt-_p_t, pt, pa-_i_n, pa, qu-_p_e, rm-_c_h, sa-_i_n, sr-_r_s, sr, si-_l_k, sk-_s_k, sk, so-_s_o, es-_a_r, es-_c_l, es-_c_o, es-_e_c, es-_m_x, es-_n_i, es-_e_s, es-_u_s, es-_v_e, es, su, sw-_k_e, sw, tt-_r_u, th-_t_h, th, hsb, xh-_z_a, yi-_d_e, yi, zu-_z_a. The regional date/time format ( date locale ). You can specify each part of the format in the fields below. Flourish type hint: string, defaults to None.
        :type format_locale: str, optional
        :param format_weekday: Weekday. Choices: none, narrow, short, long. Flourish type hint: string, defaults to None.
        :type format_weekday: str, optional
        :param format_year: Year. Choices: none, numeric, 2-digit. Flourish type hint: string, defaults to None.
        :type format_year: str, optional
        :param format_month: Month. Choices: none, numeric, 2-digit, narrow, short, long. Flourish type hint: string, defaults to None.
        :type format_month: str, optional
        :param format_day: Day. Choices: none, numeric, 2-digit. Flourish type hint: string, defaults to None.
        :type format_day: str, optional
        :param format_hour: Hour. Choices: none, numeric, 2-digit. Flourish type hint: string, defaults to None.
        :type format_hour: str, optional
        :param format_minute: Minute. Choices: none, numeric, 2-digit. Flourish type hint: string, defaults to None.
        :type format_minute: str, optional
        :param y_font_size: Size. Flourish type hint: number, defaults to None.
        :type y_font_size: float, optional
        :param y_font_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type y_font_weight: str, optional
        :param y_font_fill: Color. Flourish type hint: color, defaults to None.
        :type y_font_fill: str, optional
        :param y_max_width: Max width. Flourish type hint: number, defaults to None.
        :type y_max_width: float, optional
        :param y_text_dx: Horizontal padding. Flourish type hint: number, defaults to None.
        :type y_text_dx: float, optional
        :param y_text_dy: Vertical padding. Flourish type hint: number, defaults to None.
        :type y_text_dy: float, optional
        :param y_gridline_color: Color. Flourish type hint: color, defaults to None.
        :type y_gridline_color: str, optional
        :param y_gridline_width: Width. Flourish type hint: number, defaults to None.
        :type y_gridline_width: float, optional
        :param chart_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_type: str, optional
        :param chart_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_control_styles: bool, optional
        :param chart_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_title: str, optional
        :param chart_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_button_group: bool, optional
        :param chart_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_button_group_width_mode: str, optional
        :param chart_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_button_group_width_fixed: float, optional
        :param chart_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_dropdown_width_mode: str, optional
        :param chart_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_dropdown_width_fixed: float, optional
        :param chart_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_width: float, optional
        :param chart_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_max_label_width: float, optional
        :param chart_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_step_time: float, optional
        :param chart_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_slider_loop: bool, optional
        :param chart_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_restart_pause: float, optional
        :param chart_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_sort: bool, optional
        :param filter_control_all: Name for "All". Leave blank to not include an "All" option. Flourish type hint: string, defaults to None.
        :type filter_control_all: str, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Dropdown border styles. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param chart_slider_control_style_track_color: Track. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_track_color: str, optional
        :param chart_slider_control_style_font_color: Text. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_font_color: str, optional
        :param chart_slider_control_style_handle_color: Handle. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_handle_color: str, optional
        :param chart_slider_control_style_play_color: Play/pause. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_play_color: str, optional
        :param chart_slider_control_style_track_height: Track height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_track_height: float, optional
        :param chart_slider_control_style_handle_height: Height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_handle_height: float, optional
        :param chart_slider_control_style_play_button: Play button. Flourish type hint: boolean, defaults to None.
        :type chart_slider_control_style_play_button: bool, optional
        :param chart_filter_controls_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_container_alignment: str, optional
        :param chart_filter_controls_container_controls_spacing: Spacing. The space between controls, like dropdowns and adjacent button sets, in em units. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_container_controls_spacing: float, optional
        :param chart_categorical_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_show_legend: bool, optional
        :param chart_categorical_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title_mode: str, optional
        :param chart_categorical_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title: str, optional
        :param chart_categorical_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_width: float, optional
        :param chart_categorical_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_height: float, optional
        :param chart_categorical_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_radius: float, optional
        :param chart_categorical_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_legend_items_padding: float, optional
        :param chart_categorical_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_swatch_outline: bool, optional
        :param chart_categorical_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_swatch_outline_color: str, optional
        :param chart_categorical_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_categorical_legend_order_override: Union[list, str], optional
        :param chart_categorical_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_icon_height: float, optional
        :param chart_categorical_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_icon_color: str, optional
        :param chart_categorical_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_max_width: float, optional
        :param chart_categorical_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_orientation: str, optional
        :param chart_continous_legend_show_legend: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_continous_legend_show_legend: bool, optional
        :param chart_continous_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_continous_legend_title_mode: str, optional
        :param chart_continous_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_continous_legend_title: str, optional
        :param chart_continous_legend_color_band_width: Width. Flourish type hint: number, defaults to None.
        :type chart_continous_legend_color_band_width: float, optional
        :param chart_continous_legend_color_band_height: Height. Flourish type hint: number, defaults to None.
        :type chart_continous_legend_color_band_height: float, optional
        :param chart_continous_legend_color_band_radius: Roundness. The radius of the corners of the color band (in pixels). Flourish type hint: number, defaults to None.
        :type chart_continous_legend_color_band_radius: float, optional
        :param chart_continous_legend_binned_label_mode: Binned label mode. Choices: thresholds, centers, custom. Flourish type hint: string, defaults to None.
        :type chart_continous_legend_binned_label_mode: str, optional
        :param chart_continous_legend_binned_label_custom: Custom bin labels. List numeric values, separated by semi-colons. Flourish type hint: string, defaults to None.
        :type chart_continous_legend_binned_label_custom: str, optional
        :param chart_continous_legend_legend_min: Legend min. Flourish type hint: number, defaults to None.
        :type chart_continous_legend_legend_min: float, optional
        :param chart_continous_legend_additional_min_label: Custom min label. Flourish type hint: string, defaults to None.
        :type chart_continous_legend_additional_min_label: str, optional
        :param chart_continous_legend_legend_max: Legend max. Flourish type hint: number, defaults to None.
        :type chart_continous_legend_legend_max: float, optional
        :param chart_continous_legend_additional_max_label: Custom max label. Flourish type hint: string, defaults to None.
        :type chart_continous_legend_additional_max_label: str, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param chart_popup_mode: Choices: none, popup, panel, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML styling or add category colors to popup headers.  To hide parts of the popup when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML for designs, styles, and images.  To hide parts of the popup when a column is empty use the syntax `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_custom_accessible: Popup custom accessible content. A text alternative to visual custom popup content that will be read out by screenreaders. This content is added as an aria-label attribute to data point elements. You can still use `{{column_name}}` to add values from your data, but do not use HTML. For example: `{{Name}}, Population: {{Population}}, GDP: {{GDP}}`. If left empty, accessible content will fallback to the default popup content. Flourish type hint: text, defaults to None.
        :type chart_popup_popup_custom_accessible: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for styling or add category colors to panel headers.  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for designs, styles, images, videos and embedded Flourish charts,  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing Click position is especially useful when your visualization is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param chart_axes_highlights_x_enabled: Show highlights on the x axis. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_x_enabled: bool, optional
        :param chart_axes_highlights_x_lines: One per line, in format “My label :: 2012”. One per line, using the  format :  My label :: 2012  For dates, use the  input format  as specified in the datasheet. You can optionally specify a line color and a text color For visualizations using a  grid of charts , you can apply the annotation only on a specific chart. Use the format:  `My label :: 2012 :: line_color / text_color :: facet_name`.  For example,  `My label :: 2012 :: #eb0000 / #0084bd :: Category 1`. If you want to add an annotation to just one specific chart but do not want to color the line/text, you can leave that part blank. For example:  My label :: 2012 :: :: Category 1 Flourish type hint: text, defaults to None.
        :type chart_axes_highlights_x_lines: Union[list, str], optional
        :param chart_axes_highlights_x_line_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_x_line_color: str, optional
        :param chart_axes_highlights_x_line_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_line_width: float, optional
        :param chart_axes_highlights_x_line_dash: Dash. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_line_dash: float, optional
        :param chart_axes_highlights_x_areas: One per line, in format “My label :: 2013 >> 2015”. One per line, using the format :  My label :: date >> date  For dates, use the input format as specified in the datasheet. You can optionally specify a line color and a text color For visualizations using a  grid of charts , you can apply the annotation only on a specific chart Use the format:  My label :: 2012 :: area_color / text_color :: facet_name For example,  `My label :: 2012 >> 2015 :: #eb0000 / #0084bd :: Category 1`. Flourish type hint: text, defaults to None.
        :type chart_axes_highlights_x_areas: Union[list, str], optional
        :param chart_axes_highlights_x_area_color: Area. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_x_area_color: str, optional
        :param chart_axes_highlights_x_area_opacity: Area opacity. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_area_opacity: float, optional
        :param chart_axes_highlights_x_area_texture: Area texture. Choices: none, pattern-diagonal, pattern-grid, pattern-dots. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_x_area_texture: str, optional
        :param chart_axes_highlights_x_label_vertical: Vertical. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_x_label_vertical: bool, optional
        :param chart_axes_highlights_x_label_y_position: Y position. Choices: bottom, middle, top. Vertically position the label at the top, bottom or in the middle of the line. This setting will be ignored if there is not enough space for the selected position. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_x_label_y_position: str, optional
        :param chart_axes_highlights_x_label_x_position: X position. Choices: left, middle, right. Horizontally position the label on the left, the right or in the middle of the line. This setting will be ignored if there is not enough space for the selected position. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_x_label_x_position: str, optional
        :param chart_axes_highlights_x_label_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_label_max_width: float, optional
        :param chart_axes_highlights_x_font_size: Font size. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_font_size: float, optional
        :param chart_axes_highlights_x_font_weight: Font weight. Choices: regular, bold. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_x_font_weight: str, optional
        :param chart_axes_highlights_x_label_color: Text. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_x_label_color: str, optional
        :param chart_axes_highlights_x_shadow_color: Shadow. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_x_shadow_color: str, optional
        :param chart_axes_highlights_x_shadow_enabled: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_x_shadow_enabled: bool, optional
        :param chart_axes_highlights_y_enabled: Show highlights on the y axis. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_y_enabled: bool, optional
        :param chart_axes_highlights_y_lines: One per line, in format “My label :: 5000”. One per line, using the format :  My label :: 2012  For dates, use the input format as specified in the datasheet. You can optionally specify a line color and a text color For visualizations using a  grid of charts , you can apply the annotation only on a specific chart Use the format:  `My label :: 2012 :: line_color / text_color :: facet_name`.  For example:  `My label :: 2012 :: #eb0000 / #0084bd :: Category 1`.  If you want to add an annotation to just one specific chart but do not want to color the line/text, you can leave that part blank. For example:  My label :: 2012 :: :: Category 1 Flourish type hint: text, defaults to None.
        :type chart_axes_highlights_y_lines: Union[list, str], optional
        :param chart_axes_highlights_y_line_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_y_line_color: str, optional
        :param chart_axes_highlights_y_line_width: line width. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_line_width: float, optional
        :param chart_axes_highlights_y_line_dash: Dash. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_line_dash: float, optional
        :param chart_axes_highlights_y_areas: One per line, in format “My label :: 2000 >> 8000”. One per line, using the format :  My label :: date >> date  For dates, use the input format as specified in the datasheet. You can optionally specify a line color and a text color For visualizations using a  grid of charts , you can apply the annotation only on a specific chart Use the format:  My label :: 2012 :: area_color / text_color :: facet_name  For example:  `My label :: 2012 >> 2015 :: #eb0000 / #0084bd :: Category 1`. Flourish type hint: text, defaults to None.
        :type chart_axes_highlights_y_areas: Union[list, str], optional
        :param chart_axes_highlights_y_area_color: Area. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_y_area_color: str, optional
        :param chart_axes_highlights_y_area_opacity: Area opacity. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_area_opacity: float, optional
        :param chart_axes_highlights_y_area_texture: Area texture. Choices: none, pattern-diagonal, pattern-grid, pattern-dots. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_y_area_texture: str, optional
        :param chart_axes_highlights_y_label_x_position: X position. Choices: left, middle, right. Horizontally position label on the left, the middle or the right end of the line. This setting will be ignored if there is not enough space for the selected position. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_y_label_x_position: str, optional
        :param chart_axes_highlights_y_label_y_position: Y position. Choices: above, middle, below. Vertically position the label above, below or in the middle of the line. This setting will be ignored if there is not enough space for the selected position. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_y_label_y_position: str, optional
        :param chart_axes_highlights_y_label_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_label_max_width: float, optional
        :param chart_axes_highlights_y_font_size: Font size. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_font_size: float, optional
        :param chart_axes_highlights_y_font_weight: Font weight. Choices: regular, bold. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_y_font_weight: str, optional
        :param chart_axes_highlights_y_label_color: Text. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_y_label_color: str, optional
        :param chart_axes_highlights_y_shadow_color: Shadow. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_y_shadow_color: str, optional
        :param chart_axes_highlights_y_shadow_enabled: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_y_shadow_enabled: bool, optional
        :param animation_duration: Animation duration. The duration, in seconds, of transitions  for example, on load of visualization or between two slides in a story Flourish type hint: number, defaults to None.
        :type animation_duration: float, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "color": {},
                "chart_bg": {},
                "x": {},
                "filter_control": {},
                "style_controls": {},
                "style_button": {},
                "style_dropdown": {},
                "style_slider": {},
                "controls_container": {},
                "legend_categorical": {},
                "legend_continuous": {},
                "legend_container": {},
                "popup": {},
                "axes_highlights": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        self.state["state"]["gantt_height"] = gantt_height
        self.state["state"]["gantt_padding"] = gantt_padding
        self.state["state"]["border_radius"] = border_radius
        self.state["state"]["border_width"] = border_width
        self.state["state"]["border_color"] = border_color

        list_gantt_progress = [True, False] + [None]
        if gantt_progress not in list_gantt_progress:
            raise ValueError(f"`gantt_progress` must be one of: [True, False]")
        elif gantt_progress in list_gantt_progress and gantt_progress is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if gantt_progress in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gantt_progress"] = filtered_dict[gantt_progress]

        list_gantt_text = [True, False] + [None]
        if gantt_text not in list_gantt_text:
            raise ValueError(f"`gantt_text` must be one of: [True, False]")
        elif gantt_text in list_gantt_text and gantt_text is not None:
            filtered_dict = {
                k: v for (k, v) in {True: True, False: False}.items() if gantt_text in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gantt_text"] = filtered_dict[gantt_text]
        self.state["state"]["gantt_font_size"] = gantt_font_size
        self.state["state"]["gantt_text_color"] = gantt_text_color

        list_gantt_font_weight = ["bold", "normal"] + [None]
        if gantt_font_weight not in list_gantt_font_weight:
            raise ValueError(f"`gantt_font_weight` must be one of: ['bold', 'normal']")
        elif (
            gantt_font_weight in list_gantt_font_weight
            and gantt_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if gantt_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gantt_font_weight"] = filtered_dict[
                    gantt_font_weight
                ]
        self.state["state"]["missing_value_label"] = missing_value_label

        list_scale_type = ["categorical", "numeric"] + [None]
        if scale_type not in list_scale_type:
            raise ValueError(f"`scale_type` must be one of: ['categorical', 'numeric']")
        elif scale_type in list_scale_type and scale_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "categorical": "categorical",
                    "numeric": "numeric",
                }.items()
                if scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["scale_type"] = filtered_dict[scale_type]

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max
        self.state["state"]["color_single"] = color_single
        self.state["state"]["chart_bg"]["color"] = chart_background_color
        self.state["state"]["chart_bg"]["opacity"] = chart_background_opacity

        list_chart_background_panels = [False, True] + [None]
        if chart_background_panels not in list_chart_background_panels:
            raise ValueError(f"`chart_background_panels` must be one of: [False, True]")
        elif (
            chart_background_panels in list_chart_background_panels
            and chart_background_panels is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_background_panels in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["chart_bg"]["panels"] = filtered_dict[
                    chart_background_panels
                ]

        list_chart_x_axis_axis_position = [
            "bottom",
            "float-below",
            "float-above",
            "top",
            "off",
        ] + [None]
        if chart_x_axis_axis_position not in list_chart_x_axis_axis_position:
            raise ValueError(
                f"`chart_x_axis_axis_position` must be one of: ['bottom', 'float-below', 'float-above', 'top', 'off']"
            )
        elif (
            chart_x_axis_axis_position in list_chart_x_axis_axis_position
            and chart_x_axis_axis_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "bottom": "bottom",
                    "float-below": "float-below",
                    "float-above": "float-above",
                    "top": "top",
                    "off": "off",
                }.items()
                if chart_x_axis_axis_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["axis_position"] = filtered_dict[
                    chart_x_axis_axis_position
                ]
        self.state["state"]["x"]["y_axis_position"] = chart_x_axis_y_axis_position

        list_chart_x_axis_numeric_scale_type = ["linear", "log"] + [None]
        if chart_x_axis_numeric_scale_type not in list_chart_x_axis_numeric_scale_type:
            raise ValueError(
                f"`chart_x_axis_numeric_scale_type` must be one of: ['linear', 'log']"
            )
        elif (
            chart_x_axis_numeric_scale_type in list_chart_x_axis_numeric_scale_type
            and chart_x_axis_numeric_scale_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "log": "log"}.items()
                if chart_x_axis_numeric_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["numeric_scale_type"] = filtered_dict[
                    chart_x_axis_numeric_scale_type
                ]
        self.state["state"]["x"]["linear_min"] = chart_x_axis_linear_min
        self.state["state"]["x"]["linear_max"] = chart_x_axis_linear_max
        self.state["state"]["x"]["log_min"] = chart_x_axis_log_min
        self.state["state"]["x"]["log_max"] = chart_x_axis_log_max
        self.state["state"]["x"]["datetime_min"] = chart_x_axis_datetime_min
        self.state["state"]["x"]["datetime_max"] = chart_x_axis_datetime_max
        self.state["state"]["x"]["flip"] = chart_x_axis_flip
        self.state["state"]["x"][
            "show_scale_settings"
        ] = chart_x_axis_show_scale_settings

        list_chart_x_axis_nice = [True, False] + [None]
        if chart_x_axis_nice not in list_chart_x_axis_nice:
            raise ValueError(f"`chart_x_axis_nice` must be one of: [True, False]")
        elif (
            chart_x_axis_nice in list_chart_x_axis_nice
            and chart_x_axis_nice is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_x_axis_nice in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["nice"] = filtered_dict[chart_x_axis_nice]

        list_chart_x_axis_zero_axis = ["auto", "on", "off"] + [None]
        if chart_x_axis_zero_axis not in list_chart_x_axis_zero_axis:
            raise ValueError(
                f"`chart_x_axis_zero_axis` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_x_axis_zero_axis in list_chart_x_axis_zero_axis
            and chart_x_axis_zero_axis is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_x_axis_zero_axis in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["zero_axis"] = filtered_dict[
                    chart_x_axis_zero_axis
                ]

        list_chart_x_axis_title_mode = ["auto", "custom"] + [None]
        if chart_x_axis_title_mode not in list_chart_x_axis_title_mode:
            raise ValueError(
                f"`chart_x_axis_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_x_axis_title_mode in list_chart_x_axis_title_mode
            and chart_x_axis_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_x_axis_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["title_mode"] = filtered_dict[
                    chart_x_axis_title_mode
                ]
        self.state["state"]["x"]["title"] = chart_x_axis_title
        self.state["state"]["x"]["title_styling"] = chart_x_axis_title_styling

        list_chart_x_axis_title_weight = ["bold", "normal"] + [None]
        if chart_x_axis_title_weight not in list_chart_x_axis_title_weight:
            raise ValueError(
                f"`chart_x_axis_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_x_axis_title_weight in list_chart_x_axis_title_weight
            and chart_x_axis_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_x_axis_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["title_weight"] = filtered_dict[
                    chart_x_axis_title_weight
                ]
        self.state["state"]["x"]["title_color"] = chart_x_axis_title_color
        self.state["state"]["x"]["title_size"] = chart_x_axis_title_size
        self.state["state"]["x"]["title_padding"] = chart_x_axis_title_padding

        list_chart_x_axis_tick_label_position = ["default", "left", "right"] + [None]
        if (
            chart_x_axis_tick_label_position
            not in list_chart_x_axis_tick_label_position
        ):
            raise ValueError(
                f"`chart_x_axis_tick_label_position` must be one of: ['default', 'left', 'right']"
            )
        elif (
            chart_x_axis_tick_label_position in list_chart_x_axis_tick_label_position
            and chart_x_axis_tick_label_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "default": "default",
                    "left": "left",
                    "right": "right",
                }.items()
                if chart_x_axis_tick_label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_position"] = filtered_dict[
                    chart_x_axis_tick_label_position
                ]
        self.state["state"]["x"]["tick_label_styling"] = chart_x_axis_tick_label_styling
        self.state["state"]["x"]["tick_label_size"] = chart_x_axis_tick_label_size
        self.state["state"]["x"]["tick_label_color"] = chart_x_axis_tick_label_color
        self.state["state"]["x"]["tick_padding"] = chart_x_axis_tick_padding

        list_chart_x_axis_tick_label_angle = ["0", "30", "45", "60", "90"] + [None]
        if chart_x_axis_tick_label_angle not in list_chart_x_axis_tick_label_angle:
            raise ValueError(
                f"`chart_x_axis_tick_label_angle` must be one of: ['0', '30', '45', '60', '90']"
            )
        elif (
            chart_x_axis_tick_label_angle in list_chart_x_axis_tick_label_angle
            and chart_x_axis_tick_label_angle is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "30": "30",
                    "45": "45",
                    "60": "60",
                    "90": "90",
                }.items()
                if chart_x_axis_tick_label_angle in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_angle"] = filtered_dict[
                    chart_x_axis_tick_label_angle
                ]

        list_chart_x_axis_tick_label_weight = ["bold", "normal"] + [None]
        if chart_x_axis_tick_label_weight not in list_chart_x_axis_tick_label_weight:
            raise ValueError(
                f"`chart_x_axis_tick_label_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_x_axis_tick_label_weight in list_chart_x_axis_tick_label_weight
            and chart_x_axis_tick_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_x_axis_tick_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_weight"] = filtered_dict[
                    chart_x_axis_tick_label_weight
                ]
        self.state["state"]["x"][
            "tick_label_max_lines"
        ] = chart_x_axis_tick_label_max_lines
        self.state["state"]["x"][
            "tick_label_line_height"
        ] = chart_x_axis_tick_label_line_height

        list_chart_x_axis_tick_label_space_mode = ["auto", "max", "fixed"] + [None]
        if (
            chart_x_axis_tick_label_space_mode
            not in list_chart_x_axis_tick_label_space_mode
        ):
            raise ValueError(
                f"`chart_x_axis_tick_label_space_mode` must be one of: ['auto', 'max', 'fixed']"
            )
        elif (
            chart_x_axis_tick_label_space_mode
            in list_chart_x_axis_tick_label_space_mode
            and chart_x_axis_tick_label_space_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "max": "max", "fixed": "fixed"}.items()
                if chart_x_axis_tick_label_space_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_space_mode"] = filtered_dict[
                    chart_x_axis_tick_label_space_mode
                ]
        self.state["state"]["x"]["tick_label_space"] = chart_x_axis_tick_label_space

        list_chart_x_axis_tick_mode = ["auto", "number", "custom"] + [None]
        if chart_x_axis_tick_mode not in list_chart_x_axis_tick_mode:
            raise ValueError(
                f"`chart_x_axis_tick_mode` must be one of: ['auto', 'number', 'custom']"
            )
        elif (
            chart_x_axis_tick_mode in list_chart_x_axis_tick_mode
            and chart_x_axis_tick_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "number": "number",
                    "custom": "custom",
                }.items()
                if chart_x_axis_tick_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_mode"] = filtered_dict[
                    chart_x_axis_tick_mode
                ]
        self.state["state"]["x"]["tick_number"] = chart_x_axis_tick_number

        if (
            chart_x_axis_tick_custom is not None
            and len(chart_x_axis_tick_custom) > 1
            and isinstance(chart_x_axis_tick_custom, list)
        ):
            self.state["state"]["x"]["tick_custom"] = " \n ".join(
                chart_x_axis_tick_custom
            )
        else:
            self.state["state"]["x"]["tick_custom"] = chart_x_axis_tick_custom

        self.state["state"]["x"][
            "line_and_tick_color"
        ] = chart_x_axis_line_and_tick_color
        self.state["state"]["x"][
            "line_and_tick_width"
        ] = chart_x_axis_line_and_tick_width
        self.state["state"]["x"]["tick_length"] = chart_x_axis_tick_length

        list_chart_x_axis_tick_side = ["out", "in"] + [None]
        if chart_x_axis_tick_side not in list_chart_x_axis_tick_side:
            raise ValueError(f"`chart_x_axis_tick_side` must be one of: ['out', 'in']")
        elif (
            chart_x_axis_tick_side in list_chart_x_axis_tick_side
            and chart_x_axis_tick_side is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"out": "out", "in": "in"}.items()
                if chart_x_axis_tick_side in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_side"] = filtered_dict[
                    chart_x_axis_tick_side
                ]
        self.state["state"]["x"]["line_visible"] = chart_x_axis_line_visible
        self.state["state"]["x"]["edge_padding"] = chart_x_axis_edge_padding

        list_chart_x_axis_gridlines_visible = [True, False] + [None]
        if chart_x_axis_gridlines_visible not in list_chart_x_axis_gridlines_visible:
            raise ValueError(
                f"`chart_x_axis_gridlines_visible` must be one of: [True, False]"
            )
        elif (
            chart_x_axis_gridlines_visible in list_chart_x_axis_gridlines_visible
            and chart_x_axis_gridlines_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_x_axis_gridlines_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["gridlines_visible"] = filtered_dict[
                    chart_x_axis_gridlines_visible
                ]
        self.state["state"]["x"]["gridlines_styling"] = chart_x_axis_gridlines_styling
        self.state["state"]["x"]["gridline_color"] = chart_x_axis_gridline_color

        list_chart_x_axis_gridline_style = ["solid", "dash", "dot", "dot_dash"] + [None]
        if chart_x_axis_gridline_style not in list_chart_x_axis_gridline_style:
            raise ValueError(
                f"`chart_x_axis_gridline_style` must be one of: ['solid', 'dash', 'dot', 'dot_dash']"
            )
        elif (
            chart_x_axis_gridline_style in list_chart_x_axis_gridline_style
            and chart_x_axis_gridline_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dash": "dash",
                    "dot": "dot",
                    "dot_dash": "dot_dash",
                }.items()
                if chart_x_axis_gridline_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["gridline_style"] = filtered_dict[
                    chart_x_axis_gridline_style
                ]
        self.state["state"]["x"]["gridline_width"] = chart_x_axis_gridline_width
        self.state["state"]["x"][
            "gridline_category_dividers"
        ] = chart_x_axis_gridline_category_dividers
        self.state["state"]["x"][
            "gridline_category_dividers_extend"
        ] = chart_x_axis_gridline_category_dividers_extend

        list_date_format = [
            "auto",
            "%Y-%m-%dT%H:%M:%S.%LZ",
            "%Y-%m-%d",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%d-%b-%y",
            "%m/%Y",
            "%b %Y",
            "%b %y",
            "%B %d",
            "%d %b",
            "%Y",
            "%B",
            "%b",
            "%A",
            "%a",
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
        ] + [None]
        if date_format not in list_date_format:
            raise ValueError(
                f"`date_format` must be one of: ['auto', '%Y-%m-%dT%H:%M:%S.%LZ', '%Y-%m-%d', '%m/%d/%Y', '%d/%m/%Y', '%d-%b-%y', '%m/%Y', '%b %Y', '%b %y', '%B %d', '%d %b', '%Y', '%B', '%b', '%A', '%a', '%H:%M:%S', '%I:%M %p', '%H:%M']"
            )
        elif date_format in list_date_format and date_format is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "%Y-%m-%dT%H:%M:%S.%LZ": "%Y-%m-%dT%H:%M:%S.%LZ",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%d-%b-%y": "%d-%b-%y",
                    "%m/%Y": "%m/%Y",
                    "%b %Y": "%b %Y",
                    "%b %y": "%b %y",
                    "%B %d": "%B %d",
                    "%d %b": "%d %b",
                    "%Y": "%Y",
                    "%B": "%B",
                    "%b": "%b",
                    "%A": "%A",
                    "%a": "%a",
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                }.items()
                if date_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["date_format"] = filtered_dict[date_format]

        list_format_locale = [
            "none",
            "ady",
            "af-_n_a",
            "af-_z_a",
            "af",
            "ak",
            "ar-_m_a",
            "ar-_s_a",
            "hy-_a_m",
            "ay-_b_o",
            "eu-_e_s",
            "be-_b_y",
            "bn-_b_d",
            "bn-_i_n",
            "bn",
            "bs-_b_a",
            "my",
            "ck-_u_s",
            "zh-_c_n",
            "zh-_s_g",
            "zh-_hans",
            "zh-_h_k",
            "zh-_t_w",
            "zh-_hant",
            "zh",
            "gx-_g_r",
            "nl-_b_e",
            "nl-_n_l",
            "nl",
            "en-_a_u",
            "en-_c_a",
            "en-_i_n",
            "en-_i_e",
            "en@pirate",
            "en-_z_a",
            "en-_g_b",
            "en-_u_d",
            "en-_u_s",
            "en",
            "eo-_e_o",
            "et-_e_e",
            "fo-_f_o",
            "fi-_f_i",
            "fr-_b_e",
            "fr-_c_a",
            "fr-_f_r",
            "fr-_c_h",
            "fr",
            "fy-_n_l",
            "ff",
            "gl-_e_s",
            "ka-_g_e",
            "de-_a_t",
            "de-_d_e",
            "de-_c_h",
            "de",
            "el-_g_r",
            "el",
            "gn-_p_y",
            "gu-_i_n",
            "ht",
            "is-_i_s",
            "is",
            "ga-_i_e",
            "ga",
            "jv-_i_d",
            "kab",
            "kn-_i_n",
            "kn",
            "cak",
            "kk-_k_z",
            "tlh",
            "ko-_k_r",
            "ko",
            "ku-_t_r",
            "fb-_l_t",
            "li-_n_l",
            "dsb",
            "lb",
            "mk-_m_k",
            "mk",
            "mai",
            "mg-_m_g",
            "mn-_m_n",
            "se-_n_o",
            "nn-_n_o",
            "no",
            "oc",
            "or-_i_n",
            "ps-_a_f",
            "i_r",
            "pt-_b_r",
            "pt-_p_t",
            "pt",
            "pa-_i_n",
            "pa",
            "qu-_p_e",
            "rm-_c_h",
            "sa-_i_n",
            "sr-_r_s",
            "sr",
            "si-_l_k",
            "sk-_s_k",
            "sk",
            "so-_s_o",
            "es-_a_r",
            "es-_c_l",
            "es-_c_o",
            "es-_e_c",
            "es-_m_x",
            "es-_n_i",
            "es-_e_s",
            "es-_u_s",
            "es-_v_e",
            "es",
            "su",
            "sw-_k_e",
            "sw",
            "tt-_r_u",
            "th-_t_h",
            "th",
            "hsb",
            "xh-_z_a",
            "yi-_d_e",
            "yi",
            "zu-_z_a",
        ] + [None]
        if format_locale not in list_format_locale:
            raise ValueError(
                f"`format_locale` must be one of: ['none', 'ady', 'af-_n_a', 'af-_z_a', 'af', 'ak', 'ar-_m_a', 'ar-_s_a', 'hy-_a_m', 'ay-_b_o', 'eu-_e_s', 'be-_b_y', 'bn-_b_d', 'bn-_i_n', 'bn', 'bs-_b_a', 'my', 'ck-_u_s', 'zh-_c_n', 'zh-_s_g', 'zh-_hans', 'zh-_h_k', 'zh-_t_w', 'zh-_hant', 'zh', 'gx-_g_r', 'nl-_b_e', 'nl-_n_l', 'nl', 'en-_a_u', 'en-_c_a', 'en-_i_n', 'en-_i_e', 'en@pirate', 'en-_z_a', 'en-_g_b', 'en-_u_d', 'en-_u_s', 'en', 'eo-_e_o', 'et-_e_e', 'fo-_f_o', 'fi-_f_i', 'fr-_b_e', 'fr-_c_a', 'fr-_f_r', 'fr-_c_h', 'fr', 'fy-_n_l', 'ff', 'gl-_e_s', 'ka-_g_e', 'de-_a_t', 'de-_d_e', 'de-_c_h', 'de', 'el-_g_r', 'el', 'gn-_p_y', 'gu-_i_n', 'ht', 'is-_i_s', 'is', 'ga-_i_e', 'ga', 'jv-_i_d', 'kab', 'kn-_i_n', 'kn', 'cak', 'kk-_k_z', 'tlh', 'ko-_k_r', 'ko', 'ku-_t_r', 'fb-_l_t', 'li-_n_l', 'dsb', 'lb', 'mk-_m_k', 'mk', 'mai', 'mg-_m_g', 'mn-_m_n', 'se-_n_o', 'nn-_n_o', 'no', 'oc', 'or-_i_n', 'ps-_a_f', 'i_r', 'pt-_b_r', 'pt-_p_t', 'pt', 'pa-_i_n', 'pa', 'qu-_p_e', 'rm-_c_h', 'sa-_i_n', 'sr-_r_s', 'sr', 'si-_l_k', 'sk-_s_k', 'sk', 'so-_s_o', 'es-_a_r', 'es-_c_l', 'es-_c_o', 'es-_e_c', 'es-_m_x', 'es-_n_i', 'es-_e_s', 'es-_u_s', 'es-_v_e', 'es', 'su', 'sw-_k_e', 'sw', 'tt-_r_u', 'th-_t_h', 'th', 'hsb', 'xh-_z_a', 'yi-_d_e', 'yi', 'zu-_z_a']"
            )
        elif format_locale in list_format_locale and format_locale is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "ady": "ady",
                    "af-_n_a": "af-NA",
                    "af-_z_a": "af-ZA",
                    "af": "af",
                    "ak": "ak",
                    "ar-_m_a": "ar-MA",
                    "ar-_s_a": "ar-SA",
                    "hy-_a_m": "hy-AM",
                    "ay-_b_o": "ay-BO",
                    "eu-_e_s": "eu-ES",
                    "be-_b_y": "be-BY",
                    "bn-_b_d": "bn-BD",
                    "bn-_i_n": "bn-IN",
                    "bn": "bn",
                    "bs-_b_a": "bs-BA",
                    "my": "my",
                    "ck-_u_s": "ck-US",
                    "zh-_c_n": "zh-CN",
                    "zh-_s_g": "zh-SG",
                    "zh-_hans": "zh-Hans",
                    "zh-_h_k": "zh-HK",
                    "zh-_t_w": "zh-TW",
                    "zh-_hant": "zh-Hant",
                    "zh": "zh",
                    "gx-_g_r": "gx-GR",
                    "nl-_b_e": "nl-BE",
                    "nl-_n_l": "nl-NL",
                    "nl": "nl",
                    "en-_a_u": "en-AU",
                    "en-_c_a": "en-CA",
                    "en-_i_n": "en-IN",
                    "en-_i_e": "en-IE",
                    "en@pirate": "en@pirate",
                    "en-_z_a": "en-ZA",
                    "en-_g_b": "en-GB",
                    "en-_u_d": "en-UD",
                    "en-_u_s": "en-US",
                    "en": "en",
                    "eo-_e_o": "eo-EO",
                    "et-_e_e": "et-EE",
                    "fo-_f_o": "fo-FO",
                    "fi-_f_i": "fi-FI",
                    "fr-_b_e": "fr-BE",
                    "fr-_c_a": "fr-CA",
                    "fr-_f_r": "fr-FR",
                    "fr-_c_h": "fr-CH",
                    "fr": "fr",
                    "fy-_n_l": "fy-NL",
                    "ff": "ff",
                    "gl-_e_s": "gl-ES",
                    "ka-_g_e": "ka-GE",
                    "de-_a_t": "de-AT",
                    "de-_d_e": "de-DE",
                    "de-_c_h": "de-CH",
                    "de": "de",
                    "el-_g_r": "el-GR",
                    "el": "el",
                    "gn-_p_y": "gn-PY",
                    "gu-_i_n": "gu-IN",
                    "ht": "ht",
                    "is-_i_s": "is-IS",
                    "is": "is",
                    "ga-_i_e": "ga-IE",
                    "ga": "ga",
                    "jv-_i_d": "jv-ID",
                    "kab": "kab",
                    "kn-_i_n": "kn-IN",
                    "kn": "kn",
                    "cak": "cak",
                    "kk-_k_z": "kk-KZ",
                    "tlh": "tlh",
                    "ko-_k_r": "ko-KR",
                    "ko": "ko",
                    "ku-_t_r": "ku-TR",
                    "fb-_l_t": "fb-LT",
                    "li-_n_l": "li-NL",
                    "dsb": "dsb",
                    "lb": "lb",
                    "mk-_m_k": "mk-MK",
                    "mk": "mk",
                    "mai": "mai",
                    "mg-_m_g": "mg-MG",
                    "mn-_m_n": "mn-MN",
                    "se-_n_o": "se-NO",
                    "nn-_n_o": "nn-NO",
                    "no": "no",
                    "oc": "oc",
                    "or-_i_n": "or-IN",
                    "ps-_a_f": "ps-AF",
                    "i_r": "fa-IR",
                    "pt-_b_r": "pt-BR",
                    "pt-_p_t": "pt-PT",
                    "pt": "pt",
                    "pa-_i_n": "pa-IN",
                    "pa": "pa",
                    "qu-_p_e": "qu-PE",
                    "rm-_c_h": "rm-CH",
                    "sa-_i_n": "sa-IN",
                    "sr-_r_s": "sr-RS",
                    "sr": "sr",
                    "si-_l_k": "si-LK",
                    "sk-_s_k": "sk-SK",
                    "sk": "sk",
                    "so-_s_o": "so-SO",
                    "es-_a_r": "es-AR",
                    "es-_c_l": "es-CL",
                    "es-_c_o": "es-CO",
                    "es-_e_c": "es-EC",
                    "es-_m_x": "es-MX",
                    "es-_n_i": "es-NI",
                    "es-_e_s": "es-ES",
                    "es-_u_s": "es-US",
                    "es-_v_e": "es-VE",
                    "es": "es",
                    "su": "su",
                    "sw-_k_e": "sw-KE",
                    "sw": "sw",
                    "tt-_r_u": "tt-RU",
                    "th-_t_h": "th-TH",
                    "th": "th",
                    "hsb": "hsb",
                    "xh-_z_a": "xh-ZA",
                    "yi-_d_e": "yi-DE",
                    "yi": "yi",
                    "zu-_z_a": "zu-ZA",
                }.items()
                if format_locale in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["format_locale"] = filtered_dict[format_locale]

        list_format_weekday = ["none", "narrow", "short", "long"] + [None]
        if format_weekday not in list_format_weekday:
            raise ValueError(
                f"`format_weekday` must be one of: ['none', 'narrow', 'short', 'long']"
            )
        elif format_weekday in list_format_weekday and format_weekday is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "narrow": "narrow",
                    "short": "short",
                    "long": "long",
                }.items()
                if format_weekday in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["format_weekday"] = filtered_dict[format_weekday]

        list_format_year = ["none", "numeric", "2-digit"] + [None]
        if format_year not in list_format_year:
            raise ValueError(
                f"`format_year` must be one of: ['none', 'numeric', '2-digit']"
            )
        elif format_year in list_format_year and format_year is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "numeric": "numeric",
                    "2-digit": "2-digit",
                }.items()
                if format_year in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["format_year"] = filtered_dict[format_year]

        list_format_month = [
            "none",
            "numeric",
            "2-digit",
            "narrow",
            "short",
            "long",
        ] + [None]
        if format_month not in list_format_month:
            raise ValueError(
                f"`format_month` must be one of: ['none', 'numeric', '2-digit', 'narrow', 'short', 'long']"
            )
        elif format_month in list_format_month and format_month is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "numeric": "numeric",
                    "2-digit": "2-digit",
                    "narrow": "narrow",
                    "short": "short",
                    "long": "long",
                }.items()
                if format_month in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["format_month"] = filtered_dict[format_month]

        list_format_day = ["none", "numeric", "2-digit"] + [None]
        if format_day not in list_format_day:
            raise ValueError(
                f"`format_day` must be one of: ['none', 'numeric', '2-digit']"
            )
        elif format_day in list_format_day and format_day is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "numeric": "numeric",
                    "2-digit": "2-digit",
                }.items()
                if format_day in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["format_day"] = filtered_dict[format_day]

        list_format_hour = ["none", "numeric", "2-digit"] + [None]
        if format_hour not in list_format_hour:
            raise ValueError(
                f"`format_hour` must be one of: ['none', 'numeric', '2-digit']"
            )
        elif format_hour in list_format_hour and format_hour is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "numeric": "numeric",
                    "2-digit": "2-digit",
                }.items()
                if format_hour in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["format_hour"] = filtered_dict[format_hour]

        list_format_minute = ["none", "numeric", "2-digit"] + [None]
        if format_minute not in list_format_minute:
            raise ValueError(
                f"`format_minute` must be one of: ['none', 'numeric', '2-digit']"
            )
        elif format_minute in list_format_minute and format_minute is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "numeric": "numeric",
                    "2-digit": "2-digit",
                }.items()
                if format_minute in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["format_minute"] = filtered_dict[format_minute]
        self.state["state"]["y_font_size"] = y_font_size

        list_y_font_weight = ["bold", "normal"] + [None]
        if y_font_weight not in list_y_font_weight:
            raise ValueError(f"`y_font_weight` must be one of: ['bold', 'normal']")
        elif y_font_weight in list_y_font_weight and y_font_weight is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if y_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y_font_weight"] = filtered_dict[y_font_weight]
        self.state["state"]["y_font_fill"] = y_font_fill
        self.state["state"]["y_max_width"] = y_max_width
        self.state["state"]["y_text_dx"] = y_text_dx
        self.state["state"]["y_text_dy"] = y_text_dy
        self.state["state"]["y_gridline_color"] = y_gridline_color
        self.state["state"]["y_gridline_width"] = y_gridline_width

        list_chart_filter_controls_control_type = ["dropdown", "buttons", "slider"] + [
            None
        ]
        if (
            chart_filter_controls_control_type
            not in list_chart_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_filter_controls_control_type
            in list_chart_filter_controls_control_type
            and chart_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["control_type"] = filtered_dict[
                    chart_filter_controls_control_type
                ]
        self.state["state"]["filter_control"][
            "control_styles"
        ] = chart_filter_controls_control_styles
        self.state["state"]["filter_control"][
            "control_title"
        ] = chart_filter_controls_control_title

        list_chart_filter_controls_button_group = [True, False] + [None]
        if (
            chart_filter_controls_button_group
            not in list_chart_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_button_group
            in list_chart_filter_controls_button_group
            and chart_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["button_group"] = filtered_dict[
                    chart_filter_controls_button_group
                ]

        list_chart_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_filter_controls_button_group_width_mode
            not in list_chart_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_button_group_width_mode
            in list_chart_filter_controls_button_group_width_mode
            and chart_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_filter_controls_button_group_width_mode]
        self.state["state"]["filter_control"][
            "button_group_width_fixed"
        ] = chart_filter_controls_button_group_width_fixed

        list_chart_filter_controls_dropdown_width_mode = ["auto", "full", "fixed"] + [
            None
        ]
        if (
            chart_filter_controls_dropdown_width_mode
            not in list_chart_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_dropdown_width_mode
            in list_chart_filter_controls_dropdown_width_mode
            and chart_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"][
                    "dropdown_width_mode"
                ] = filtered_dict[chart_filter_controls_dropdown_width_mode]
        self.state["state"]["filter_control"][
            "dropdown_width_fixed"
        ] = chart_filter_controls_dropdown_width_fixed
        self.state["state"]["filter_control"][
            "slider_width"
        ] = chart_filter_controls_slider_width
        self.state["state"]["filter_control"][
            "slider_max_label_width"
        ] = chart_filter_controls_slider_max_label_width
        self.state["state"]["filter_control"][
            "slider_step_time"
        ] = chart_filter_controls_slider_step_time
        self.state["state"]["filter_control"][
            "slider_loop"
        ] = chart_filter_controls_slider_loop
        self.state["state"]["filter_control"][
            "slider_restart_pause"
        ] = chart_filter_controls_slider_restart_pause

        list_chart_filter_controls_sort = [True, False] + [None]
        if chart_filter_controls_sort not in list_chart_filter_controls_sort:
            raise ValueError(
                f"`chart_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_sort in list_chart_filter_controls_sort
            and chart_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["sort"] = filtered_dict[
                    chart_filter_controls_sort
                ]
        self.state["state"]["filter_control_all"] = filter_control_all
        self.state["state"]["style_controls"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["style_controls"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["style_controls"]["height"] = chart_controls_style_height
        self.state["state"]["style_button"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["style_button"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["style_button"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["style_button"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["style_button"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["style_button"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["style_button"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["style_button"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["style_button"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["style_button"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["style_button"][
            "border_radius"
        ] = chart_button_control_style_border_radius
        self.state["state"]["style_dropdown"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["style_dropdown"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["style_dropdown"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["style_dropdown"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["style_dropdown"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["style_dropdown"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["style_dropdown"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["style_dropdown"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius
        self.state["state"]["style_slider"][
            "track_color"
        ] = chart_slider_control_style_track_color
        self.state["state"]["style_slider"][
            "font_color"
        ] = chart_slider_control_style_font_color
        self.state["state"]["style_slider"][
            "handle_color"
        ] = chart_slider_control_style_handle_color
        self.state["state"]["style_slider"][
            "play_color"
        ] = chart_slider_control_style_play_color
        self.state["state"]["style_slider"][
            "track_height"
        ] = chart_slider_control_style_track_height
        self.state["state"]["style_slider"][
            "handle_height"
        ] = chart_slider_control_style_handle_height
        self.state["state"]["style_slider"][
            "play_button"
        ] = chart_slider_control_style_play_button

        list_chart_filter_controls_container_alignment = ["start", "center", "end"] + [
            None
        ]
        if (
            chart_filter_controls_container_alignment
            not in list_chart_filter_controls_container_alignment
        ):
            raise ValueError(
                f"`chart_filter_controls_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_filter_controls_container_alignment
            in list_chart_filter_controls_container_alignment
            and chart_filter_controls_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_filter_controls_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_container"]["alignment"] = filtered_dict[
                    chart_filter_controls_container_alignment
                ]
        self.state["state"]["controls_container"][
            "controls_spacing"
        ] = chart_filter_controls_container_controls_spacing

        list_chart_categorical_legend_show_legend = [True, False] + [None]
        if (
            chart_categorical_legend_show_legend
            not in list_chart_categorical_legend_show_legend
        ):
            raise ValueError(
                f"`chart_categorical_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_categorical_legend_show_legend
            in list_chart_categorical_legend_show_legend
            and chart_categorical_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_categorical_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "show_legend"
                ] = filtered_dict[chart_categorical_legend_show_legend]

        list_chart_categorical_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_categorical_legend_title_mode
            not in list_chart_categorical_legend_title_mode
        ):
            raise ValueError(
                f"`chart_categorical_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_categorical_legend_title_mode
            in list_chart_categorical_legend_title_mode
            and chart_categorical_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_categorical_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"]["title_mode"] = filtered_dict[
                    chart_categorical_legend_title_mode
                ]
        self.state["state"]["legend_categorical"][
            "title"
        ] = chart_categorical_legend_title
        self.state["state"]["legend_categorical"][
            "swatch_width"
        ] = chart_categorical_legend_swatch_width
        self.state["state"]["legend_categorical"][
            "swatch_height"
        ] = chart_categorical_legend_swatch_height
        self.state["state"]["legend_categorical"][
            "swatch_radius"
        ] = chart_categorical_legend_swatch_radius
        self.state["state"]["legend_categorical"][
            "legend_items_padding"
        ] = chart_categorical_legend_legend_items_padding
        self.state["state"]["legend_categorical"][
            "swatch_outline"
        ] = chart_categorical_legend_swatch_outline
        self.state["state"]["legend_categorical"][
            "swatch_outline_color"
        ] = chart_categorical_legend_swatch_outline_color

        if (
            chart_categorical_legend_order_override is not None
            and len(chart_categorical_legend_order_override) > 1
            and isinstance(chart_categorical_legend_order_override, list)
        ):
            self.state["state"]["legend_categorical"]["order_override"] = " \n ".join(
                chart_categorical_legend_order_override
            )
        else:
            self.state["state"]["legend_categorical"][
                "order_override"
            ] = chart_categorical_legend_order_override

        self.state["state"]["legend_categorical"][
            "icon_height"
        ] = chart_categorical_legend_icon_height
        self.state["state"]["legend_categorical"][
            "icon_color"
        ] = chart_categorical_legend_icon_color
        self.state["state"]["legend_categorical"][
            "max_width"
        ] = chart_categorical_legend_max_width

        list_chart_categorical_legend_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_categorical_legend_orientation
            not in list_chart_categorical_legend_orientation
        ):
            raise ValueError(
                f"`chart_categorical_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_categorical_legend_orientation
            in list_chart_categorical_legend_orientation
            and chart_categorical_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_categorical_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "orientation"
                ] = filtered_dict[chart_categorical_legend_orientation]

        list_chart_continous_legend_show_legend = [True, False] + [None]
        if (
            chart_continous_legend_show_legend
            not in list_chart_continous_legend_show_legend
        ):
            raise ValueError(
                f"`chart_continous_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_continous_legend_show_legend
            in list_chart_continous_legend_show_legend
            and chart_continous_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_continous_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_continuous"]["show_legend"] = filtered_dict[
                    chart_continous_legend_show_legend
                ]

        list_chart_continous_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_continous_legend_title_mode
            not in list_chart_continous_legend_title_mode
        ):
            raise ValueError(
                f"`chart_continous_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_continous_legend_title_mode in list_chart_continous_legend_title_mode
            and chart_continous_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_continous_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_continuous"]["title_mode"] = filtered_dict[
                    chart_continous_legend_title_mode
                ]
        self.state["state"]["legend_continuous"]["title"] = chart_continous_legend_title
        self.state["state"]["legend_continuous"][
            "color_band_width"
        ] = chart_continous_legend_color_band_width
        self.state["state"]["legend_continuous"][
            "color_band_height"
        ] = chart_continous_legend_color_band_height
        self.state["state"]["legend_continuous"][
            "color_band_radius"
        ] = chart_continous_legend_color_band_radius

        list_chart_continous_legend_binned_label_mode = [
            "thresholds",
            "centers",
            "custom",
        ] + [None]
        if (
            chart_continous_legend_binned_label_mode
            not in list_chart_continous_legend_binned_label_mode
        ):
            raise ValueError(
                f"`chart_continous_legend_binned_label_mode` must be one of: ['thresholds', 'centers', 'custom']"
            )
        elif (
            chart_continous_legend_binned_label_mode
            in list_chart_continous_legend_binned_label_mode
            and chart_continous_legend_binned_label_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "thresholds": "thresholds",
                    "centers": "centers",
                    "custom": "custom",
                }.items()
                if chart_continous_legend_binned_label_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_continuous"][
                    "binned_label_mode"
                ] = filtered_dict[chart_continous_legend_binned_label_mode]
        self.state["state"]["legend_continuous"][
            "binned_label_custom"
        ] = chart_continous_legend_binned_label_custom
        self.state["state"]["legend_continuous"][
            "legend_min"
        ] = chart_continous_legend_legend_min
        self.state["state"]["legend_continuous"][
            "additional_min_label"
        ] = chart_continous_legend_additional_min_label
        self.state["state"]["legend_continuous"][
            "legend_max"
        ] = chart_continous_legend_legend_max
        self.state["state"]["legend_continuous"][
            "additional_max_label"
        ] = chart_continous_legend_additional_max_label

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size

        list_chart_popup_mode = ["none", "popup", "panel", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'panel', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "panel": "panel",
                    "both": "both",
                }.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popup"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popup"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popup"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        if (
            chart_popup_popup_custom_accessible is not None
            and len(chart_popup_popup_custom_accessible) > 1
            and isinstance(chart_popup_popup_custom_accessible, list)
        ):
            self.state["state"]["popup"]["popup_custom_accessible"] = " \n ".join(
                chart_popup_popup_custom_accessible
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_accessible"
            ] = chart_popup_popup_custom_accessible

        self.state["state"]["popup"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popup"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popup"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popup"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popup"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popup"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popup"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popup"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popup"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_label_weight"] = filtered_dict[
                    chart_popup_popup_list_label_weight
                ]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popup"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popup"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popup"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popup"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popup"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popup"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popup"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popup"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popup"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popup"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popup"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popup"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popup"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popup"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popup"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_vertical_position"] = filtered_dict[
                    chart_popup_panel_vertical_position
                ]
        self.state["state"]["popup"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popup"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popup"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popup"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popup"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popup"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_label_weight"] = filtered_dict[
                    chart_popup_panel_list_label_weight
                ]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popup"]["panel_shadow"] = chart_popup_panel_shadow
        self.state["state"]["axes_highlights"][
            "x_enabled"
        ] = chart_axes_highlights_x_enabled

        if (
            chart_axes_highlights_x_lines is not None
            and len(chart_axes_highlights_x_lines) > 1
            and isinstance(chart_axes_highlights_x_lines, list)
        ):
            self.state["state"]["axes_highlights"]["x_lines"] = " \n ".join(
                chart_axes_highlights_x_lines
            )
        else:
            self.state["state"]["axes_highlights"][
                "x_lines"
            ] = chart_axes_highlights_x_lines

        self.state["state"]["axes_highlights"][
            "x_line_color"
        ] = chart_axes_highlights_x_line_color
        self.state["state"]["axes_highlights"][
            "x_line_width"
        ] = chart_axes_highlights_x_line_width
        self.state["state"]["axes_highlights"][
            "x_line_dash"
        ] = chart_axes_highlights_x_line_dash

        if (
            chart_axes_highlights_x_areas is not None
            and len(chart_axes_highlights_x_areas) > 1
            and isinstance(chart_axes_highlights_x_areas, list)
        ):
            self.state["state"]["axes_highlights"]["x_areas"] = " \n ".join(
                chart_axes_highlights_x_areas
            )
        else:
            self.state["state"]["axes_highlights"][
                "x_areas"
            ] = chart_axes_highlights_x_areas

        self.state["state"]["axes_highlights"][
            "x_area_color"
        ] = chart_axes_highlights_x_area_color
        self.state["state"]["axes_highlights"][
            "x_area_opacity"
        ] = chart_axes_highlights_x_area_opacity

        list_chart_axes_highlights_x_area_texture = [
            "none",
            "pattern-diagonal",
            "pattern-grid",
            "pattern-dots",
        ] + [None]
        if (
            chart_axes_highlights_x_area_texture
            not in list_chart_axes_highlights_x_area_texture
        ):
            raise ValueError(
                f"`chart_axes_highlights_x_area_texture` must be one of: ['none', 'pattern-diagonal', 'pattern-grid', 'pattern-dots']"
            )
        elif (
            chart_axes_highlights_x_area_texture
            in list_chart_axes_highlights_x_area_texture
            and chart_axes_highlights_x_area_texture is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "pattern-diagonal": "fl-pattern-diagonal",
                    "pattern-grid": "fl-pattern-grid",
                    "pattern-dots": "fl-pattern-dots",
                }.items()
                if chart_axes_highlights_x_area_texture in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "x_area_texture"
                ] = filtered_dict[chart_axes_highlights_x_area_texture]
        self.state["state"]["axes_highlights"][
            "x_label_vertical"
        ] = chart_axes_highlights_x_label_vertical

        list_chart_axes_highlights_x_label_y_position = ["bottom", "middle", "top"] + [
            None
        ]
        if (
            chart_axes_highlights_x_label_y_position
            not in list_chart_axes_highlights_x_label_y_position
        ):
            raise ValueError(
                f"`chart_axes_highlights_x_label_y_position` must be one of: ['bottom', 'middle', 'top']"
            )
        elif (
            chart_axes_highlights_x_label_y_position
            in list_chart_axes_highlights_x_label_y_position
            and chart_axes_highlights_x_label_y_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "bottom": "bottom",
                    "middle": "middle",
                    "top": "top",
                }.items()
                if chart_axes_highlights_x_label_y_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "x_label_y_position"
                ] = filtered_dict[chart_axes_highlights_x_label_y_position]

        list_chart_axes_highlights_x_label_x_position = ["left", "middle", "right"] + [
            None
        ]
        if (
            chart_axes_highlights_x_label_x_position
            not in list_chart_axes_highlights_x_label_x_position
        ):
            raise ValueError(
                f"`chart_axes_highlights_x_label_x_position` must be one of: ['left', 'middle', 'right']"
            )
        elif (
            chart_axes_highlights_x_label_x_position
            in list_chart_axes_highlights_x_label_x_position
            and chart_axes_highlights_x_label_x_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "middle": "middle",
                    "right": "right",
                }.items()
                if chart_axes_highlights_x_label_x_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "x_label_x_position"
                ] = filtered_dict[chart_axes_highlights_x_label_x_position]
        self.state["state"]["axes_highlights"][
            "x_label_max_width"
        ] = chart_axes_highlights_x_label_max_width
        self.state["state"]["axes_highlights"][
            "x_font_size"
        ] = chart_axes_highlights_x_font_size

        list_chart_axes_highlights_x_font_weight = ["regular", "bold"] + [None]
        if (
            chart_axes_highlights_x_font_weight
            not in list_chart_axes_highlights_x_font_weight
        ):
            raise ValueError(
                f"`chart_axes_highlights_x_font_weight` must be one of: ['regular', 'bold']"
            )
        elif (
            chart_axes_highlights_x_font_weight
            in list_chart_axes_highlights_x_font_weight
            and chart_axes_highlights_x_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"regular": "regular", "bold": "bold"}.items()
                if chart_axes_highlights_x_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"]["x_font_weight"] = filtered_dict[
                    chart_axes_highlights_x_font_weight
                ]
        self.state["state"]["axes_highlights"][
            "x_label_color"
        ] = chart_axes_highlights_x_label_color
        self.state["state"]["axes_highlights"][
            "x_shadow_color"
        ] = chart_axes_highlights_x_shadow_color
        self.state["state"]["axes_highlights"][
            "x_shadow_enabled"
        ] = chart_axes_highlights_x_shadow_enabled
        self.state["state"]["axes_highlights"][
            "y_enabled"
        ] = chart_axes_highlights_y_enabled

        if (
            chart_axes_highlights_y_lines is not None
            and len(chart_axes_highlights_y_lines) > 1
            and isinstance(chart_axes_highlights_y_lines, list)
        ):
            self.state["state"]["axes_highlights"]["y_lines"] = " \n ".join(
                chart_axes_highlights_y_lines
            )
        else:
            self.state["state"]["axes_highlights"][
                "y_lines"
            ] = chart_axes_highlights_y_lines

        self.state["state"]["axes_highlights"][
            "y_line_color"
        ] = chart_axes_highlights_y_line_color
        self.state["state"]["axes_highlights"][
            "y_line_width"
        ] = chart_axes_highlights_y_line_width
        self.state["state"]["axes_highlights"][
            "y_line_dash"
        ] = chart_axes_highlights_y_line_dash

        if (
            chart_axes_highlights_y_areas is not None
            and len(chart_axes_highlights_y_areas) > 1
            and isinstance(chart_axes_highlights_y_areas, list)
        ):
            self.state["state"]["axes_highlights"]["y_areas"] = " \n ".join(
                chart_axes_highlights_y_areas
            )
        else:
            self.state["state"]["axes_highlights"][
                "y_areas"
            ] = chart_axes_highlights_y_areas

        self.state["state"]["axes_highlights"][
            "y_area_color"
        ] = chart_axes_highlights_y_area_color
        self.state["state"]["axes_highlights"][
            "y_area_opacity"
        ] = chart_axes_highlights_y_area_opacity

        list_chart_axes_highlights_y_area_texture = [
            "none",
            "pattern-diagonal",
            "pattern-grid",
            "pattern-dots",
        ] + [None]
        if (
            chart_axes_highlights_y_area_texture
            not in list_chart_axes_highlights_y_area_texture
        ):
            raise ValueError(
                f"`chart_axes_highlights_y_area_texture` must be one of: ['none', 'pattern-diagonal', 'pattern-grid', 'pattern-dots']"
            )
        elif (
            chart_axes_highlights_y_area_texture
            in list_chart_axes_highlights_y_area_texture
            and chart_axes_highlights_y_area_texture is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "pattern-diagonal": "fl-pattern-diagonal",
                    "pattern-grid": "fl-pattern-grid",
                    "pattern-dots": "fl-pattern-dots",
                }.items()
                if chart_axes_highlights_y_area_texture in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "y_area_texture"
                ] = filtered_dict[chart_axes_highlights_y_area_texture]

        list_chart_axes_highlights_y_label_x_position = ["left", "middle", "right"] + [
            None
        ]
        if (
            chart_axes_highlights_y_label_x_position
            not in list_chart_axes_highlights_y_label_x_position
        ):
            raise ValueError(
                f"`chart_axes_highlights_y_label_x_position` must be one of: ['left', 'middle', 'right']"
            )
        elif (
            chart_axes_highlights_y_label_x_position
            in list_chart_axes_highlights_y_label_x_position
            and chart_axes_highlights_y_label_x_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "middle": "middle",
                    "right": "right",
                }.items()
                if chart_axes_highlights_y_label_x_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "y_label_x_position"
                ] = filtered_dict[chart_axes_highlights_y_label_x_position]

        list_chart_axes_highlights_y_label_y_position = ["above", "middle", "below"] + [
            None
        ]
        if (
            chart_axes_highlights_y_label_y_position
            not in list_chart_axes_highlights_y_label_y_position
        ):
            raise ValueError(
                f"`chart_axes_highlights_y_label_y_position` must be one of: ['above', 'middle', 'below']"
            )
        elif (
            chart_axes_highlights_y_label_y_position
            in list_chart_axes_highlights_y_label_y_position
            and chart_axes_highlights_y_label_y_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "above": "above",
                    "middle": "middle",
                    "below": "below",
                }.items()
                if chart_axes_highlights_y_label_y_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "y_label_y_position"
                ] = filtered_dict[chart_axes_highlights_y_label_y_position]
        self.state["state"]["axes_highlights"][
            "y_label_max_width"
        ] = chart_axes_highlights_y_label_max_width
        self.state["state"]["axes_highlights"][
            "y_font_size"
        ] = chart_axes_highlights_y_font_size

        list_chart_axes_highlights_y_font_weight = ["regular", "bold"] + [None]
        if (
            chart_axes_highlights_y_font_weight
            not in list_chart_axes_highlights_y_font_weight
        ):
            raise ValueError(
                f"`chart_axes_highlights_y_font_weight` must be one of: ['regular', 'bold']"
            )
        elif (
            chart_axes_highlights_y_font_weight
            in list_chart_axes_highlights_y_font_weight
            and chart_axes_highlights_y_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"regular": "regular", "bold": "bold"}.items()
                if chart_axes_highlights_y_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"]["y_font_weight"] = filtered_dict[
                    chart_axes_highlights_y_font_weight
                ]
        self.state["state"]["axes_highlights"][
            "y_label_color"
        ] = chart_axes_highlights_y_label_color
        self.state["state"]["axes_highlights"][
            "y_shadow_color"
        ] = chart_axes_highlights_y_shadow_color
        self.state["state"]["axes_highlights"][
            "y_shadow_enabled"
        ] = chart_axes_highlights_y_shadow_enabled
        self.state["state"]["animation_duration"] = animation_duration
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_gauge_details(
        self,
        gauge_radial_extent: str = None,
        gauge_radial_extent_custom: float = None,
        gauge_width: str = None,
        gauge_width_custom: float = None,
        gauge_scale_domain: str = None,
        gauge_scale_domain_min: float = None,
        gauge_scale_domain_max: float = None,
        gauge_color: str = None,
        gauge_opacity: float = None,
        gauge_border_color: str = None,
        gauge_border_size: float = None,
        height_mode: str = None,
        aspect_ratio: str = None,
        aspect_ratio_custom: float = None,
        add_aspect_ratio_mobile: str = None,
        breakpoint: float = None,
        aspect_ratio_mobile: str = None,
        aspect_ratio_mobile_custom: float = None,
        chart_facet_columns_fixed: bool = None,
        chart_facet_min_width: float = None,
        chart_facet_max_width: float = None,
        chart_facet_columns: float = None,
        chart_facet_gutter_w: float = None,
        chart_facet_gutter_h: float = None,
        chart_facet_animation: str = None,
        chart_facet_titles: bool = None,
        chart_facet_title_align: str = None,
        chart_facet_title_size: float = None,
        chart_facet_title_unit: str = None,
        chart_facet_title_color: str = None,
        chart_facet_title_padding_top: float = None,
        chart_facet_title_padding_bottom: float = None,
        chart_facet_title_bg: str = None,
        chart_facet_title_bg_color: str = None,
        chart_facet_title_bg_padding: float = None,
        segment_width: str = None,
        segment_width_custom: float = None,
        segment_number: str = None,
        segment_fixed_number: float = None,
        segment_custom: Union[list, str] = None,
        segment_labels: Union[list, str] = None,
        segment_label_size: str = None,
        segment_label_size_custom: float = None,
        segment_label_weight: str = None,
        segment_label_rotation: str = None,
        segment_label_color: str = None,
        segment_label_padding: float = None,
        color_type: str = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        ticks_mode: str = None,
        ticks_number: float = None,
        ticks_custom: Union[list, str] = None,
        ticks_width: float = None,
        ticks_color: str = None,
        ticks_length: str = None,
        ticks_length_custom: float = None,
        ticks_animation: str = None,
        ticks_animation_duration: float = None,
        intermediate_ticks: str = None,
        intermediate_ticks_number: float = None,
        intermediate_ticks_width: float = None,
        ticks_direction: str = None,
        label_position: str = None,
        ticks_label_padding: float = None,
        ticks_label_color: str = None,
        label_rotation: str = None,
        label_flip: bool = None,
        ticks_label_size: str = None,
        ticks_label_size_custom: float = None,
        ticks_label_weight: str = None,
        needle_size: str = None,
        needle_size_custom: float = None,
        needle_hand_length: str = None,
        needle_hand_length_custom: float = None,
        needle_color: str = None,
        needle_color_custom: str = None,
        needle_centre_size: str = None,
        needle_centre_size_custom: float = None,
        needle_centre_stroke_width: float = None,
        needle_centre_stroke: str = None,
        needle_animation: str = None,
        needle_animation_duration: float = None,
        jitter: str = None,
        jitter_speed: float = None,
        gauge_text_align: str = None,
        gauge_text_position: str = None,
        gauge_text_position_flip: bool = None,
        gauge_name_size: str = None,
        gauge_name_size_custom: float = None,
        gauge_name_styling: bool = None,
        gauge_name_weight: str = None,
        gauge_name_color: str = None,
        gauge_name_color_custom: str = None,
        gauge_name_space_above: str = None,
        gauge_name_space_above_custom: float = None,
        gauge_name_space_below: str = None,
        gauge_name_space_below_custom: float = None,
        gauge_value_size: str = None,
        gauge_value_size_custom: float = None,
        gauge_value_styling: bool = None,
        gauge_value_weight: str = None,
        gauge_value_color: str = None,
        gauge_value_color_custom: str = None,
        gauge_value_space_above: str = None,
        gauge_value_space_above_custom: float = None,
        gauge_value_space_below: str = None,
        gauge_value_space_below_custom: float = None,
        chart_number_date_format_prefix: str = None,
        chart_number_date_format_suffix: str = None,
        chart_number_date_format_n_dec: float = None,
        chart_number_date_format_advanced: bool = None,
        chart_number_date_format_negative_sign: str = None,
        chart_number_date_format_strip_zeros: bool = None,
        chart_number_date_format_strip_separator: bool = None,
        chart_number_date_format_transform_labels: bool = None,
        chart_number_date_format_transform: str = None,
        chart_number_date_format_multiply_divide_constant: float = None,
        chart_number_date_format_exponentiate_constant: float = None,
        chart_filter_controls_container_alignment: str = None,
        chart_filter_controls_container_controls_spacing: float = None,
        chart_filter_controls_control_type: str = None,
        chart_filter_controls_control_styles: bool = None,
        chart_filter_controls_control_title: str = None,
        chart_filter_controls_button_group: bool = None,
        chart_filter_controls_button_group_width_mode: str = None,
        chart_filter_controls_button_group_width_fixed: float = None,
        chart_filter_controls_dropdown_width_mode: str = None,
        chart_filter_controls_dropdown_width_fixed: float = None,
        chart_filter_controls_slider_width: float = None,
        chart_filter_controls_slider_max_label_width: float = None,
        chart_filter_controls_slider_step_time: float = None,
        chart_filter_controls_slider_loop: bool = None,
        chart_filter_controls_slider_restart_pause: float = None,
        chart_filter_controls_sort: bool = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_slider_control_style_track_color: str = None,
        chart_slider_control_style_font_color: str = None,
        chart_slider_control_style_handle_color: str = None,
        chart_slider_control_style_play_color: str = None,
        chart_slider_control_style_track_height: float = None,
        chart_slider_control_style_handle_height: float = None,
        chart_slider_control_style_play_button: bool = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: gauge.


        :param gauge_radial_extent: Shape. Choices: 90, 180, 270, custom. Flourish type hint: string, defaults to None.
        :type gauge_radial_extent: str, optional
        :param gauge_radial_extent_custom: Angle. Flourish type hint: number, defaults to None.
        :type gauge_radial_extent_custom: float, optional
        :param gauge_width: Inner radius. Choices: 1, 0.75, 0.5, custom. Flourish type hint: string, defaults to None.
        :type gauge_width: str, optional
        :param gauge_width_custom: Custom. Flourish type hint: number, defaults to None.
        :type gauge_width_custom: float, optional
        :param gauge_scale_domain: Range. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type gauge_scale_domain: str, optional
        :param gauge_scale_domain_min: Min. Flourish type hint: number, defaults to None.
        :type gauge_scale_domain_min: float, optional
        :param gauge_scale_domain_max: Max. Flourish type hint: number, defaults to None.
        :type gauge_scale_domain_max: float, optional
        :param gauge_color: Color. Flourish type hint: color, defaults to None.
        :type gauge_color: str, optional
        :param gauge_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type gauge_opacity: float, optional
        :param gauge_border_color: Border. Flourish type hint: color, defaults to None.
        :type gauge_border_color: str, optional
        :param gauge_border_size: Border size. Flourish type hint: number, defaults to None.
        :type gauge_border_size: float, optional
        :param height_mode: Height mode. Choices: auto, standard, aspect. Auto: sets the height based on the chart type, data and width.  Standard: default Flourish responsive sizing.  Aspect ratio: sets the aspect of each plot.  This setting is ignored when embedded in a fixed-height context, such as a simple Iframe embedFlourish type hint: string, defaults to None.
        :type height_mode: str, optional
        :param aspect_ratio: Aspect ratio. Choices: 0.75, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type aspect_ratio: str, optional
        :param aspect_ratio_custom: Custom. 1 is square, above 1 is wider, and below 1 is taller. Flourish type hint: number, defaults to None.
        :type aspect_ratio_custom: float, optional
        :param add_aspect_ratio_mobile: Mobile aspect ratio. Choices: disabled, enabled. Flourish type hint: string, defaults to None.
        :type add_aspect_ratio_mobile: str, optional
        :param breakpoint: Breakpoint. The width at which mobile mode ends and desktop begins. Flourish type hint: number, defaults to None.
        :type breakpoint: float, optional
        :param aspect_ratio_mobile: Mobile aspect ratio. Choices: 0.75, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type aspect_ratio_mobile: str, optional
        :param aspect_ratio_mobile_custom: Custom. 1 is square, above 1 is wider, and below 1 is taller. Flourish type hint: number, defaults to None.
        :type aspect_ratio_mobile_custom: float, optional
        :param chart_facet_columns_fixed: Number of columns. Choices: False, True. In Auto mode, the number of columns will change with screen size. Flourish type hint: boolean, defaults to None.
        :type chart_facet_columns_fixed: bool, optional
        :param chart_facet_min_width: Min gauge width. Determines the minimum size (in pixels) at which each gauge will appear. Ignored if you specify a fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_min_width: float, optional
        :param chart_facet_max_width: Max gauge width. Determines the maximum size (in pixels) at which each gauge will appear. Ignored if you specify a fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_max_width: float, optional
        :param chart_facet_columns: Fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_columns: float, optional
        :param chart_facet_gutter_w: Horizontal margin. Flourish type hint: number, defaults to None.
        :type chart_facet_gutter_w: float, optional
        :param chart_facet_gutter_h: Vertical margin. Flourish type hint: number, defaults to None.
        :type chart_facet_gutter_h: float, optional
        :param chart_facet_animation: On data change. Choices: auto, name, reuse. If a chart in the grid is removed, that cell can either be animated out (with another cell moving to take its place) or reused for the new data in that cell. Auto decides for you based on the data. Flourish type hint: string, defaults to None.
        :type chart_facet_animation: str, optional
        :param chart_facet_titles: Show titles. Flourish type hint: boolean, defaults to None.
        :type chart_facet_titles: bool, optional
        :param chart_facet_title_align: Alignment. Choices: auto, left, center, right. Flourish type hint: string, defaults to None.
        :type chart_facet_title_align: str, optional
        :param chart_facet_title_size: Size. Relative to the width of the chart. Flourish type hint: number, defaults to None.
        :type chart_facet_title_size: float, optional
        :param chart_facet_title_unit: Scale with chart. Choices: rem, facet. Flourish type hint: string, defaults to None.
        :type chart_facet_title_unit: str, optional
        :param chart_facet_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_facet_title_color: str, optional
        :param chart_facet_title_padding_top: Space above. Flourish type hint: number, defaults to None.
        :type chart_facet_title_padding_top: float, optional
        :param chart_facet_title_padding_bottom: Space below. Flourish type hint: number, defaults to None.
        :type chart_facet_title_padding_bottom: float, optional
        :param chart_facet_title_bg: Background. Choices: none, full, text. Flourish type hint: string, defaults to None.
        :type chart_facet_title_bg: str, optional
        :param chart_facet_title_bg_color: Color. Flourish type hint: color, defaults to None.
        :type chart_facet_title_bg_color: str, optional
        :param chart_facet_title_bg_padding: Padding. Horizontal space between text and background. Flourish type hint: number, defaults to None.
        :type chart_facet_title_bg_padding: float, optional
        :param segment_width: Size. Choices: 0.1, 0.2, 1, custom. Flourish type hint: string, defaults to None.
        :type segment_width: str, optional
        :param segment_width_custom: Custom. Flourish type hint: number, defaults to None.
        :type segment_width_custom: float, optional
        :param segment_number: Number. Choices: auto, fixed, custom. Flourish type hint: string, defaults to None.
        :type segment_number: str, optional
        :param segment_fixed_number: Number. Flourish type hint: number, defaults to None.
        :type segment_fixed_number: float, optional
        :param segment_custom: Two values per line in the following format 0 :: 5. Flourish type hint: text, defaults to None.
        :type segment_custom: Union[list, str], optional
        :param segment_labels: One label per line. If the number of segments is Fixed, labels will be added to each segment according to the order they appear in the gauge.  If the number of segments is Custom, labels will be added to each segment according to the order in the custom segments have been inputted. Flourish type hint: text, defaults to None.
        :type segment_labels: Union[list, str], optional
        :param segment_label_size: Size. Choices: auto, 0.8, 1, 1.2, custom. In rems, a multiple of the pages base font size. Flourish type hint: string, defaults to None.
        :type segment_label_size: str, optional
        :param segment_label_size_custom: Custom. In rems, a multiple of the pages base font size. Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type segment_label_size_custom: float, optional
        :param segment_label_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type segment_label_weight: str, optional
        :param segment_label_rotation: Rotation. Choices: none, ring. Flourish type hint: string, defaults to None.
        :type segment_label_rotation: str, optional
        :param segment_label_color: Color. Flourish type hint: color, defaults to None.
        :type segment_label_color: str, optional
        :param segment_label_padding: Padding. Flourish type hint: number, defaults to None.
        :type segment_label_padding: float, optional
        :param color_type: Choices: categorical, numeric. Flourish type hint: string, defaults to None.
        :type color_type: str, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param ticks_mode: Mode. Choices: none, auto, number, custom. Flourish type hint: string, defaults to None.
        :type ticks_mode: str, optional
        :param ticks_number: Number. Approximate number of ticks or gridlines. The actual number will depend on the range of values, chart size, etc. Flourish type hint: number, defaults to None.
        :type ticks_number: float, optional
        :param ticks_custom: One tick value per line. Flourish type hint: text, defaults to None.
        :type ticks_custom: Union[list, str], optional
        :param ticks_width: Width. Flourish type hint: number, defaults to None.
        :type ticks_width: float, optional
        :param ticks_color: Color. Flourish type hint: color, defaults to None.
        :type ticks_color: str, optional
        :param ticks_length: Size. Choices: 0.1, 0.2, 0.3, custom. Flourish type hint: string, defaults to None.
        :type ticks_length: str, optional
        :param ticks_length_custom: Custom. Flourish type hint: number, defaults to None.
        :type ticks_length_custom: float, optional
        :param ticks_animation: Animation. Choices: disabled, enabled. Flourish type hint: string, defaults to None.
        :type ticks_animation: str, optional
        :param ticks_animation_duration: Duration. The duration, in seconds, of the transitions for example, between two slides in a story Flourish type hint: number, defaults to None.
        :type ticks_animation_duration: float, optional
        :param intermediate_ticks: Intermediate ticks. Choices: off, on. Flourish type hint: string, defaults to None.
        :type intermediate_ticks: str, optional
        :param intermediate_ticks_number: Number. Approximate number of intermediate ticks or gridlines. The actual number will depend on the range of values, chart size, etc. Flourish type hint: number, defaults to None.
        :type intermediate_ticks_number: float, optional
        :param intermediate_ticks_width: Size. As a proportion of the tick size. Flourish type hint: number, defaults to None.
        :type intermediate_ticks_width: float, optional
        :param ticks_direction: Direction. Choices: inwards, outwards. Flourish type hint: string, defaults to None.
        :type ticks_direction: str, optional
        :param label_position: Position. Choices: inside, outside. Flourish type hint: string, defaults to None.
        :type label_position: str, optional
        :param ticks_label_padding: Space. Flourish type hint: number, defaults to None.
        :type ticks_label_padding: float, optional
        :param ticks_label_color: Color. Flourish type hint: color, defaults to None.
        :type ticks_label_color: str, optional
        :param label_rotation: Rotation. Choices: none, auto, ring. Flourish type hint: string, defaults to None.
        :type label_rotation: str, optional
        :param label_flip: Auto flip. Automatically flip when labels become less legible. Flourish type hint: boolean, defaults to None.
        :type label_flip: bool, optional
        :param ticks_label_size: Size. Choices: 1, 1.5, 2, custom. In rems, a multiple of the pages base font size. Flourish type hint: string, defaults to None.
        :type ticks_label_size: str, optional
        :param ticks_label_size_custom: Custom. In rems, a multiple of the pages base font size. Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type ticks_label_size_custom: float, optional
        :param ticks_label_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type ticks_label_weight: str, optional
        :param needle_size: Size. Choices: 0.03, 0.06, 0.09, custom. Flourish type hint: string, defaults to None.
        :type needle_size: str, optional
        :param needle_size_custom: Custom. Flourish type hint: number, defaults to None.
        :type needle_size_custom: float, optional
        :param needle_hand_length: Length. Choices: 0.5, 0.75, 1, custom. Flourish type hint: string, defaults to None.
        :type needle_hand_length: str, optional
        :param needle_hand_length_custom: Custom. Flourish type hint: number, defaults to None.
        :type needle_hand_length_custom: float, optional
        :param needle_color: Color. Choices: gauge, custom. Flourish type hint: string, defaults to None.
        :type needle_color: str, optional
        :param needle_color_custom: Flourish type hint: color, defaults to None.
        :type needle_color_custom: str, optional
        :param needle_centre_size: Size. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type needle_centre_size: str, optional
        :param needle_centre_size_custom: Custom. Flourish type hint: number, defaults to None.
        :type needle_centre_size_custom: float, optional
        :param needle_centre_stroke_width: Border width. Flourish type hint: number, defaults to None.
        :type needle_centre_stroke_width: float, optional
        :param needle_centre_stroke: Border color. Flourish type hint: color, defaults to None.
        :type needle_centre_stroke: str, optional
        :param needle_animation: Animation. Choices: disabled, enabled. Flourish type hint: string, defaults to None.
        :type needle_animation: str, optional
        :param needle_animation_duration: Duration. The duration, in seconds, of the transitions for example, between two slides in a story Flourish type hint: number, defaults to None.
        :type needle_animation_duration: float, optional
        :param jitter: Amplitude. Choices: none, low, medium, high. Sets how much the gauge needle moves when it animates up and down. To turn off the animation click NoneFlourish type hint: string, defaults to None.
        :type jitter: str, optional
        :param jitter_speed: Speed. Flourish type hint: number, defaults to None.
        :type jitter_speed: float, optional
        :param gauge_text_align: Alignment. Choices: start, middle, end. Flourish type hint: string, defaults to None.
        :type gauge_text_align: str, optional
        :param gauge_text_position: Position. Choices: above, below, split. Flourish type hint: string, defaults to None.
        :type gauge_text_position: str, optional
        :param gauge_text_position_flip: Flip order. Flourish type hint: boolean, defaults to None.
        :type gauge_text_position_flip: bool, optional
        :param gauge_name_size: Size. Choices: 1, 1.5, 2, custom. In rems, a multiple of the pages base font size. Flourish type hint: string, defaults to None.
        :type gauge_name_size: str, optional
        :param gauge_name_size_custom: Custom. In rems, a multiple of the pages base font size. Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type gauge_name_size_custom: float, optional
        :param gauge_name_styling: Change styling. Flourish type hint: boolean, defaults to None.
        :type gauge_name_styling: bool, optional
        :param gauge_name_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type gauge_name_weight: str, optional
        :param gauge_name_color: Color. Choices: gauge, custom. Flourish type hint: string, defaults to None.
        :type gauge_name_color: str, optional
        :param gauge_name_color_custom: Flourish type hint: color, defaults to None.
        :type gauge_name_color_custom: str, optional
        :param gauge_name_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type gauge_name_space_above: str, optional
        :param gauge_name_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type gauge_name_space_above_custom: float, optional
        :param gauge_name_space_below: Space below. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type gauge_name_space_below: str, optional
        :param gauge_name_space_below_custom: Custom. Flourish type hint: number, defaults to None.
        :type gauge_name_space_below_custom: float, optional
        :param gauge_value_size: Size. Choices: 1, 1.5, 2, custom. In rems, a multiple of the pages base font size. Flourish type hint: string, defaults to None.
        :type gauge_value_size: str, optional
        :param gauge_value_size_custom: Custom. In rems, a multiple of the pages base font size. Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type gauge_value_size_custom: float, optional
        :param gauge_value_styling: Change styling. Flourish type hint: boolean, defaults to None.
        :type gauge_value_styling: bool, optional
        :param gauge_value_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type gauge_value_weight: str, optional
        :param gauge_value_color: Color. Choices: gauge, custom. Flourish type hint: string, defaults to None.
        :type gauge_value_color: str, optional
        :param gauge_value_color_custom: Flourish type hint: color, defaults to None.
        :type gauge_value_color_custom: str, optional
        :param gauge_value_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type gauge_value_space_above: str, optional
        :param gauge_value_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type gauge_value_space_above_custom: float, optional
        :param gauge_value_space_below: Space below. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type gauge_value_space_below: str, optional
        :param gauge_value_space_below_custom: Custom. Flourish type hint: number, defaults to None.
        :type gauge_value_space_below_custom: float, optional
        :param chart_number_date_format_prefix: Prefix. Text to place in front of a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_prefix: str, optional
        :param chart_number_date_format_suffix: Suffix. Text to place after a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_suffix: str, optional
        :param chart_number_date_format_n_dec: Decimal places. Decimal places. You can also enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_number_date_format_n_dec: float, optional
        :param chart_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_advanced: bool, optional
        :param chart_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_negative_sign: str, optional
        :param chart_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_zeros: bool, optional
        :param chart_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_separator: bool, optional
        :param chart_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_transform_labels: bool, optional
        :param chart_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_transform: str, optional
        :param chart_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_multiply_divide_constant: float, optional
        :param chart_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_exponentiate_constant: float, optional
        :param chart_filter_controls_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_container_alignment: str, optional
        :param chart_filter_controls_container_controls_spacing: Spacing. The space between controls, like dropdowns and adjacent button sets, in em units. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_container_controls_spacing: float, optional
        :param chart_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_type: str, optional
        :param chart_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_control_styles: bool, optional
        :param chart_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_title: str, optional
        :param chart_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_button_group: bool, optional
        :param chart_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_button_group_width_mode: str, optional
        :param chart_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_button_group_width_fixed: float, optional
        :param chart_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_dropdown_width_mode: str, optional
        :param chart_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_dropdown_width_fixed: float, optional
        :param chart_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_width: float, optional
        :param chart_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_max_label_width: float, optional
        :param chart_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_step_time: float, optional
        :param chart_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_slider_loop: bool, optional
        :param chart_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_restart_pause: float, optional
        :param chart_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_sort: bool, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Dropdown border styles. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_slider_control_style_track_color: Track. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_track_color: str, optional
        :param chart_slider_control_style_font_color: Text. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_font_color: str, optional
        :param chart_slider_control_style_handle_color: Handle. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_handle_color: str, optional
        :param chart_slider_control_style_play_color: Play/pause. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_play_color: str, optional
        :param chart_slider_control_style_track_height: Track height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_track_height: float, optional
        :param chart_slider_control_style_handle_height: Height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_handle_height: float, optional
        :param chart_slider_control_style_play_button: Play button. Flourish type hint: boolean, defaults to None.
        :type chart_slider_control_style_play_button: bool, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "facets": {},
                "color": {},
                "formatting": {},
                "controls_container": {},
                "controls": {},
                "controls_style": {},
                "dropdown_style": {},
                "button_style": {},
                "slider_style": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        list_gauge_radial_extent = ["90", "180", "270", "custom"] + [None]
        if gauge_radial_extent not in list_gauge_radial_extent:
            raise ValueError(
                f"`gauge_radial_extent` must be one of: ['90', '180', '270', 'custom']"
            )
        elif (
            gauge_radial_extent in list_gauge_radial_extent
            and gauge_radial_extent is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "90": "90",
                    "180": "180",
                    "270": "270",
                    "custom": "custom",
                }.items()
                if gauge_radial_extent in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gauge_radial_extent"] = filtered_dict[
                    gauge_radial_extent
                ]
        self.state["state"]["gauge_radial_extent_custom"] = gauge_radial_extent_custom

        list_gauge_width = ["1", "0.75", "0.5", "custom"] + [None]
        if gauge_width not in list_gauge_width:
            raise ValueError(
                f"`gauge_width` must be one of: ['1', '0.75', '0.5', 'custom']"
            )
        elif gauge_width in list_gauge_width and gauge_width is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1": "1",
                    "0.75": "0.75",
                    "0.5": "0.5",
                    "custom": "custom",
                }.items()
                if gauge_width in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gauge_width"] = filtered_dict[gauge_width]
        self.state["state"]["gauge_width_custom"] = gauge_width_custom

        list_gauge_scale_domain = ["auto", "custom"] + [None]
        if gauge_scale_domain not in list_gauge_scale_domain:
            raise ValueError(f"`gauge_scale_domain` must be one of: ['auto', 'custom']")
        elif (
            gauge_scale_domain in list_gauge_scale_domain
            and gauge_scale_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if gauge_scale_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gauge_scale_domain"] = filtered_dict[
                    gauge_scale_domain
                ]
        self.state["state"]["gauge_scale_domain_min"] = gauge_scale_domain_min
        self.state["state"]["gauge_scale_domain_max"] = gauge_scale_domain_max
        self.state["state"]["gauge_color"] = gauge_color
        self.state["state"]["gauge_opacity"] = gauge_opacity
        self.state["state"]["gauge_border_color"] = gauge_border_color
        self.state["state"]["gauge_border_size"] = gauge_border_size

        list_height_mode = ["auto", "standard", "aspect"] + [None]
        if height_mode not in list_height_mode:
            raise ValueError(
                f"`height_mode` must be one of: ['auto', 'standard', 'aspect']"
            )
        elif height_mode in list_height_mode and height_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "standard": "standard",
                    "aspect": "aspect",
                }.items()
                if height_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["height_mode"] = filtered_dict[height_mode]

        list_aspect_ratio = ["0.75", "1", "1.5", "custom"] + [None]
        if aspect_ratio not in list_aspect_ratio:
            raise ValueError(
                f"`aspect_ratio` must be one of: ['0.75', '1', '1.5', 'custom']"
            )
        elif aspect_ratio in list_aspect_ratio and aspect_ratio is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.75": "0.75",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if aspect_ratio in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["aspect_ratio"] = filtered_dict[aspect_ratio]
        self.state["state"]["aspect_ratio_custom"] = aspect_ratio_custom

        list_add_aspect_ratio_mobile = ["disabled", "enabled"] + [None]
        if add_aspect_ratio_mobile not in list_add_aspect_ratio_mobile:
            raise ValueError(
                f"`add_aspect_ratio_mobile` must be one of: ['disabled', 'enabled']"
            )
        elif (
            add_aspect_ratio_mobile in list_add_aspect_ratio_mobile
            and add_aspect_ratio_mobile is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"disabled": "disabled", "enabled": "enabled"}.items()
                if add_aspect_ratio_mobile in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["add_aspect_ratio_mobile"] = filtered_dict[
                    add_aspect_ratio_mobile
                ]
        self.state["state"]["breakpoint"] = breakpoint

        list_aspect_ratio_mobile = ["0.75", "1", "1.5", "custom"] + [None]
        if aspect_ratio_mobile not in list_aspect_ratio_mobile:
            raise ValueError(
                f"`aspect_ratio_mobile` must be one of: ['0.75', '1', '1.5', 'custom']"
            )
        elif (
            aspect_ratio_mobile in list_aspect_ratio_mobile
            and aspect_ratio_mobile is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.75": "0.75",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if aspect_ratio_mobile in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["aspect_ratio_mobile"] = filtered_dict[
                    aspect_ratio_mobile
                ]
        self.state["state"]["aspect_ratio_mobile_custom"] = aspect_ratio_mobile_custom

        list_chart_facet_columns_fixed = [False, True] + [None]
        if chart_facet_columns_fixed not in list_chart_facet_columns_fixed:
            raise ValueError(
                f"`chart_facet_columns_fixed` must be one of: [False, True]"
            )
        elif (
            chart_facet_columns_fixed in list_chart_facet_columns_fixed
            and chart_facet_columns_fixed is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_facet_columns_fixed in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["columns_fixed"] = filtered_dict[
                    chart_facet_columns_fixed
                ]
        self.state["state"]["facets"]["min_width"] = chart_facet_min_width
        self.state["state"]["facets"]["max_width"] = chart_facet_max_width
        self.state["state"]["facets"]["columns"] = chart_facet_columns
        self.state["state"]["facets"]["gutter_w"] = chart_facet_gutter_w
        self.state["state"]["facets"]["gutter_h"] = chart_facet_gutter_h

        list_chart_facet_animation = ["auto", "name", "reuse"] + [None]
        if chart_facet_animation not in list_chart_facet_animation:
            raise ValueError(
                f"`chart_facet_animation` must be one of: ['auto', 'name', 'reuse']"
            )
        elif (
            chart_facet_animation in list_chart_facet_animation
            and chart_facet_animation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "name": "name", "reuse": "reuse"}.items()
                if chart_facet_animation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["animation"] = filtered_dict[
                    chart_facet_animation
                ]
        self.state["state"]["facets"]["titles"] = chart_facet_titles

        list_chart_facet_title_align = ["auto", "left", "center", "right"] + [None]
        if chart_facet_title_align not in list_chart_facet_title_align:
            raise ValueError(
                f"`chart_facet_title_align` must be one of: ['auto', 'left', 'center', 'right']"
            )
        elif (
            chart_facet_title_align in list_chart_facet_title_align
            and chart_facet_title_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_facet_title_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_align"] = filtered_dict[
                    chart_facet_title_align
                ]
        self.state["state"]["facets"]["title_size"] = chart_facet_title_size

        list_chart_facet_title_unit = ["rem", "facet"] + [None]
        if chart_facet_title_unit not in list_chart_facet_title_unit:
            raise ValueError(
                f"`chart_facet_title_unit` must be one of: ['rem', 'facet']"
            )
        elif (
            chart_facet_title_unit in list_chart_facet_title_unit
            and chart_facet_title_unit is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"rem": "rem", "facet": "facet"}.items()
                if chart_facet_title_unit in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_unit"] = filtered_dict[
                    chart_facet_title_unit
                ]
        self.state["state"]["facets"]["title_color"] = chart_facet_title_color
        self.state["state"]["facets"][
            "title_padding_top"
        ] = chart_facet_title_padding_top
        self.state["state"]["facets"][
            "title_padding_bottom"
        ] = chart_facet_title_padding_bottom

        list_chart_facet_title_bg = ["none", "full", "text"] + [None]
        if chart_facet_title_bg not in list_chart_facet_title_bg:
            raise ValueError(
                f"`chart_facet_title_bg` must be one of: ['none', 'full', 'text']"
            )
        elif (
            chart_facet_title_bg in list_chart_facet_title_bg
            and chart_facet_title_bg is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"none": "none", "full": "full", "text": "text"}.items()
                if chart_facet_title_bg in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_bg"] = filtered_dict[
                    chart_facet_title_bg
                ]
        self.state["state"]["facets"]["title_bg_color"] = chart_facet_title_bg_color
        self.state["state"]["facets"]["title_bg_padding"] = chart_facet_title_bg_padding

        list_segment_width = ["0.1", "0.2", "1", "custom"] + [None]
        if segment_width not in list_segment_width:
            raise ValueError(
                f"`segment_width` must be one of: ['0.1', '0.2', '1', 'custom']"
            )
        elif segment_width in list_segment_width and segment_width is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.1": "0.1",
                    "0.2": "0.2",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if segment_width in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["segment_width"] = filtered_dict[segment_width]
        self.state["state"]["segment_width_custom"] = segment_width_custom

        list_segment_number = ["auto", "fixed", "custom"] + [None]
        if segment_number not in list_segment_number:
            raise ValueError(
                f"`segment_number` must be one of: ['auto', 'fixed', 'custom']"
            )
        elif segment_number in list_segment_number and segment_number is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "fixed": "fixed",
                    "custom": "custom",
                }.items()
                if segment_number in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["segment_number"] = filtered_dict[segment_number]
        self.state["state"]["segment_fixed_number"] = segment_fixed_number

        if (
            segment_custom is not None
            and len(segment_custom) > 1
            and isinstance(segment_custom, list)
        ):
            self.state["state"]["segment_custom"] = " \n ".join(segment_custom)
        else:
            self.state["state"]["segment_custom"] = segment_custom

        if (
            segment_labels is not None
            and len(segment_labels) > 1
            and isinstance(segment_labels, list)
        ):
            self.state["state"]["segment_labels"] = " \n ".join(segment_labels)
        else:
            self.state["state"]["segment_labels"] = segment_labels

        list_segment_label_size = ["auto", "0.8", "1", "1.2", "custom"] + [None]
        if segment_label_size not in list_segment_label_size:
            raise ValueError(
                f"`segment_label_size` must be one of: ['auto', '0.8', '1', '1.2', 'custom']"
            )
        elif (
            segment_label_size in list_segment_label_size
            and segment_label_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "0.8": "0.8",
                    "1": "1",
                    "1.2": "1.2",
                    "custom": "custom",
                }.items()
                if segment_label_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["segment_label_size"] = filtered_dict[
                    segment_label_size
                ]
        self.state["state"]["segment_label_size_custom"] = segment_label_size_custom

        list_segment_label_weight = ["bold", "normal"] + [None]
        if segment_label_weight not in list_segment_label_weight:
            raise ValueError(
                f"`segment_label_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            segment_label_weight in list_segment_label_weight
            and segment_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if segment_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["segment_label_weight"] = filtered_dict[
                    segment_label_weight
                ]

        list_segment_label_rotation = ["none", "ring"] + [None]
        if segment_label_rotation not in list_segment_label_rotation:
            raise ValueError(
                f"`segment_label_rotation` must be one of: ['none', 'ring']"
            )
        elif (
            segment_label_rotation in list_segment_label_rotation
            and segment_label_rotation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"none": "none", "ring": "ring"}.items()
                if segment_label_rotation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["segment_label_rotation"] = filtered_dict[
                    segment_label_rotation
                ]
        self.state["state"]["segment_label_color"] = segment_label_color
        self.state["state"]["segment_label_padding"] = segment_label_padding

        list_color_type = ["categorical", "numeric"] + [None]
        if color_type not in list_color_type:
            raise ValueError(f"`color_type` must be one of: ['categorical', 'numeric']")
        elif color_type in list_color_type and color_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "categorical": "categorical",
                    "numeric": "numeric",
                }.items()
                if color_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color_type"] = filtered_dict[color_type]

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max

        list_ticks_mode = ["none", "auto", "number", "custom"] + [None]
        if ticks_mode not in list_ticks_mode:
            raise ValueError(
                f"`ticks_mode` must be one of: ['none', 'auto', 'number', 'custom']"
            )
        elif ticks_mode in list_ticks_mode and ticks_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "auto": "auto",
                    "number": "number",
                    "custom": "custom",
                }.items()
                if ticks_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["ticks_mode"] = filtered_dict[ticks_mode]
        self.state["state"]["ticks_number"] = ticks_number

        if (
            ticks_custom is not None
            and len(ticks_custom) > 1
            and isinstance(ticks_custom, list)
        ):
            self.state["state"]["ticks_custom"] = " \n ".join(ticks_custom)
        else:
            self.state["state"]["ticks_custom"] = ticks_custom

        self.state["state"]["ticks_width"] = ticks_width
        self.state["state"]["ticks_color"] = ticks_color

        list_ticks_length = ["0.1", "0.2", "0.3", "custom"] + [None]
        if ticks_length not in list_ticks_length:
            raise ValueError(
                f"`ticks_length` must be one of: ['0.1', '0.2', '0.3', 'custom']"
            )
        elif ticks_length in list_ticks_length and ticks_length is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.1": "0.1",
                    "0.2": "0.2",
                    "0.3": "0.3",
                    "custom": "custom",
                }.items()
                if ticks_length in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["ticks_length"] = filtered_dict[ticks_length]
        self.state["state"]["ticks_length_custom"] = ticks_length_custom

        list_ticks_animation = ["disabled", "enabled"] + [None]
        if ticks_animation not in list_ticks_animation:
            raise ValueError(
                f"`ticks_animation` must be one of: ['disabled', 'enabled']"
            )
        elif ticks_animation in list_ticks_animation and ticks_animation is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"disabled": "disabled", "enabled": "enabled"}.items()
                if ticks_animation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["ticks_animation"] = filtered_dict[ticks_animation]
        self.state["state"]["ticks_animation_duration"] = ticks_animation_duration

        list_intermediate_ticks = ["off", "on"] + [None]
        if intermediate_ticks not in list_intermediate_ticks:
            raise ValueError(f"`intermediate_ticks` must be one of: ['off', 'on']")
        elif (
            intermediate_ticks in list_intermediate_ticks
            and intermediate_ticks is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"off": "off", "on": "on"}.items()
                if intermediate_ticks in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["intermediate_ticks"] = filtered_dict[
                    intermediate_ticks
                ]
        self.state["state"]["intermediate_ticks_number"] = intermediate_ticks_number
        self.state["state"]["intermediate_ticks_width"] = intermediate_ticks_width

        list_ticks_direction = ["inwards", "outwards"] + [None]
        if ticks_direction not in list_ticks_direction:
            raise ValueError(
                f"`ticks_direction` must be one of: ['inwards', 'outwards']"
            )
        elif ticks_direction in list_ticks_direction and ticks_direction is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"inwards": "inwards", "outwards": "outwards"}.items()
                if ticks_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["ticks_direction"] = filtered_dict[ticks_direction]

        list_label_position = ["inside", "outside"] + [None]
        if label_position not in list_label_position:
            raise ValueError(f"`label_position` must be one of: ['inside', 'outside']")
        elif label_position in list_label_position and label_position is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_position"] = filtered_dict[label_position]
        self.state["state"]["ticks_label_padding"] = ticks_label_padding
        self.state["state"]["ticks_label_color"] = ticks_label_color

        list_label_rotation = ["none", "auto", "ring"] + [None]
        if label_rotation not in list_label_rotation:
            raise ValueError(
                f"`label_rotation` must be one of: ['none', 'auto', 'ring']"
            )
        elif label_rotation in list_label_rotation and label_rotation is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"none": "none", "auto": "auto", "ring": "ring"}.items()
                if label_rotation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_rotation"] = filtered_dict[label_rotation]
        self.state["state"]["label_flip"] = label_flip

        list_ticks_label_size = ["1", "1.5", "2", "custom"] + [None]
        if ticks_label_size not in list_ticks_label_size:
            raise ValueError(
                f"`ticks_label_size` must be one of: ['1', '1.5', '2', 'custom']"
            )
        elif ticks_label_size in list_ticks_label_size and ticks_label_size is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1": "1",
                    "1.5": "1.5",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if ticks_label_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["ticks_label_size"] = filtered_dict[
                    ticks_label_size
                ]
        self.state["state"]["ticks_label_size_custom"] = ticks_label_size_custom

        list_ticks_label_weight = ["bold", "normal"] + [None]
        if ticks_label_weight not in list_ticks_label_weight:
            raise ValueError(f"`ticks_label_weight` must be one of: ['bold', 'normal']")
        elif (
            ticks_label_weight in list_ticks_label_weight
            and ticks_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if ticks_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["ticks_label_weight"] = filtered_dict[
                    ticks_label_weight
                ]

        list_needle_size = ["0.03", "0.06", "0.09", "custom"] + [None]
        if needle_size not in list_needle_size:
            raise ValueError(
                f"`needle_size` must be one of: ['0.03', '0.06', '0.09', 'custom']"
            )
        elif needle_size in list_needle_size and needle_size is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.03": "0.03",
                    "0.06": "0.06",
                    "0.09": "0.09",
                    "custom": "custom",
                }.items()
                if needle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["needle_size"] = filtered_dict[needle_size]
        self.state["state"]["needle_size_custom"] = needle_size_custom

        list_needle_hand_length = ["0.5", "0.75", "1", "custom"] + [None]
        if needle_hand_length not in list_needle_hand_length:
            raise ValueError(
                f"`needle_hand_length` must be one of: ['0.5', '0.75', '1', 'custom']"
            )
        elif (
            needle_hand_length in list_needle_hand_length
            and needle_hand_length is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "0.75": "0.75",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if needle_hand_length in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["needle_hand_length"] = filtered_dict[
                    needle_hand_length
                ]
        self.state["state"]["needle_hand_length_custom"] = needle_hand_length_custom

        list_needle_color = ["gauge", "custom"] + [None]
        if needle_color not in list_needle_color:
            raise ValueError(f"`needle_color` must be one of: ['gauge', 'custom']")
        elif needle_color in list_needle_color and needle_color is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"gauge": "gauge", "custom": "custom"}.items()
                if needle_color in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["needle_color"] = filtered_dict[needle_color]
        self.state["state"]["needle_color_custom"] = needle_color_custom

        list_needle_centre_size = ["0.5", "1", "1.5", "custom"] + [None]
        if needle_centre_size not in list_needle_centre_size:
            raise ValueError(
                f"`needle_centre_size` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            needle_centre_size in list_needle_centre_size
            and needle_centre_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if needle_centre_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["needle_centre_size"] = filtered_dict[
                    needle_centre_size
                ]
        self.state["state"]["needle_centre_size_custom"] = needle_centre_size_custom
        self.state["state"]["needle_centre_stroke_width"] = needle_centre_stroke_width
        self.state["state"]["needle_centre_stroke"] = needle_centre_stroke

        list_needle_animation = ["disabled", "enabled"] + [None]
        if needle_animation not in list_needle_animation:
            raise ValueError(
                f"`needle_animation` must be one of: ['disabled', 'enabled']"
            )
        elif needle_animation in list_needle_animation and needle_animation is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"disabled": "disabled", "enabled": "enabled"}.items()
                if needle_animation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["needle_animation"] = filtered_dict[
                    needle_animation
                ]
        self.state["state"]["needle_animation_duration"] = needle_animation_duration

        list_jitter = ["none", "low", "medium", "high"] + [None]
        if jitter not in list_jitter:
            raise ValueError(
                f"`jitter` must be one of: ['none', 'low', 'medium', 'high']"
            )
        elif jitter in list_jitter and jitter is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "low": "low",
                    "medium": "medium",
                    "high": "high",
                }.items()
                if jitter in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["jitter"] = filtered_dict[jitter]
        self.state["state"]["jitter_speed"] = jitter_speed

        list_gauge_text_align = ["start", "middle", "end"] + [None]
        if gauge_text_align not in list_gauge_text_align:
            raise ValueError(
                f"`gauge_text_align` must be one of: ['start', 'middle', 'end']"
            )
        elif gauge_text_align in list_gauge_text_align and gauge_text_align is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "middle": "middle",
                    "end": "end",
                }.items()
                if gauge_text_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gauge_text_align"] = filtered_dict[
                    gauge_text_align
                ]

        list_gauge_text_position = ["above", "below", "split"] + [None]
        if gauge_text_position not in list_gauge_text_position:
            raise ValueError(
                f"`gauge_text_position` must be one of: ['above', 'below', 'split']"
            )
        elif (
            gauge_text_position in list_gauge_text_position
            and gauge_text_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "above": "above",
                    "below": "below",
                    "split": "split",
                }.items()
                if gauge_text_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gauge_text_position"] = filtered_dict[
                    gauge_text_position
                ]
        self.state["state"]["gauge_text_position_flip"] = gauge_text_position_flip

        list_gauge_name_size = ["1", "1.5", "2", "custom"] + [None]
        if gauge_name_size not in list_gauge_name_size:
            raise ValueError(
                f"`gauge_name_size` must be one of: ['1', '1.5', '2', 'custom']"
            )
        elif gauge_name_size in list_gauge_name_size and gauge_name_size is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1": "1",
                    "1.5": "1.5",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if gauge_name_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gauge_name_size"] = filtered_dict[gauge_name_size]
        self.state["state"]["gauge_name_size_custom"] = gauge_name_size_custom
        self.state["state"]["gauge_name_styling"] = gauge_name_styling

        list_gauge_name_weight = ["bold", "normal"] + [None]
        if gauge_name_weight not in list_gauge_name_weight:
            raise ValueError(f"`gauge_name_weight` must be one of: ['bold', 'normal']")
        elif (
            gauge_name_weight in list_gauge_name_weight
            and gauge_name_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if gauge_name_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gauge_name_weight"] = filtered_dict[
                    gauge_name_weight
                ]

        list_gauge_name_color = ["gauge", "custom"] + [None]
        if gauge_name_color not in list_gauge_name_color:
            raise ValueError(f"`gauge_name_color` must be one of: ['gauge', 'custom']")
        elif gauge_name_color in list_gauge_name_color and gauge_name_color is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"gauge": "gauge", "custom": "custom"}.items()
                if gauge_name_color in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gauge_name_color"] = filtered_dict[
                    gauge_name_color
                ]
        self.state["state"]["gauge_name_color_custom"] = gauge_name_color_custom

        list_gauge_name_space_above = ["0", "0.5", "1", "custom"] + [None]
        if gauge_name_space_above not in list_gauge_name_space_above:
            raise ValueError(
                f"`gauge_name_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            gauge_name_space_above in list_gauge_name_space_above
            and gauge_name_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if gauge_name_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gauge_name_space_above"] = filtered_dict[
                    gauge_name_space_above
                ]
        self.state["state"][
            "gauge_name_space_above_custom"
        ] = gauge_name_space_above_custom

        list_gauge_name_space_below = ["0", "0.5", "1", "custom"] + [None]
        if gauge_name_space_below not in list_gauge_name_space_below:
            raise ValueError(
                f"`gauge_name_space_below` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            gauge_name_space_below in list_gauge_name_space_below
            and gauge_name_space_below is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if gauge_name_space_below in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gauge_name_space_below"] = filtered_dict[
                    gauge_name_space_below
                ]
        self.state["state"][
            "gauge_name_space_below_custom"
        ] = gauge_name_space_below_custom

        list_gauge_value_size = ["1", "1.5", "2", "custom"] + [None]
        if gauge_value_size not in list_gauge_value_size:
            raise ValueError(
                f"`gauge_value_size` must be one of: ['1', '1.5', '2', 'custom']"
            )
        elif gauge_value_size in list_gauge_value_size and gauge_value_size is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1": "1",
                    "1.5": "1.5",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if gauge_value_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gauge_value_size"] = filtered_dict[
                    gauge_value_size
                ]
        self.state["state"]["gauge_value_size_custom"] = gauge_value_size_custom
        self.state["state"]["gauge_value_styling"] = gauge_value_styling

        list_gauge_value_weight = ["bold", "normal"] + [None]
        if gauge_value_weight not in list_gauge_value_weight:
            raise ValueError(f"`gauge_value_weight` must be one of: ['bold', 'normal']")
        elif (
            gauge_value_weight in list_gauge_value_weight
            and gauge_value_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if gauge_value_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gauge_value_weight"] = filtered_dict[
                    gauge_value_weight
                ]

        list_gauge_value_color = ["gauge", "custom"] + [None]
        if gauge_value_color not in list_gauge_value_color:
            raise ValueError(f"`gauge_value_color` must be one of: ['gauge', 'custom']")
        elif (
            gauge_value_color in list_gauge_value_color
            and gauge_value_color is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"gauge": "gauge", "custom": "custom"}.items()
                if gauge_value_color in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gauge_value_color"] = filtered_dict[
                    gauge_value_color
                ]
        self.state["state"]["gauge_value_color_custom"] = gauge_value_color_custom

        list_gauge_value_space_above = ["0", "0.5", "1", "custom"] + [None]
        if gauge_value_space_above not in list_gauge_value_space_above:
            raise ValueError(
                f"`gauge_value_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            gauge_value_space_above in list_gauge_value_space_above
            and gauge_value_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if gauge_value_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gauge_value_space_above"] = filtered_dict[
                    gauge_value_space_above
                ]
        self.state["state"][
            "gauge_value_space_above_custom"
        ] = gauge_value_space_above_custom

        list_gauge_value_space_below = ["0", "0.5", "1", "custom"] + [None]
        if gauge_value_space_below not in list_gauge_value_space_below:
            raise ValueError(
                f"`gauge_value_space_below` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            gauge_value_space_below in list_gauge_value_space_below
            and gauge_value_space_below is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if gauge_value_space_below in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["gauge_value_space_below"] = filtered_dict[
                    gauge_value_space_below
                ]
        self.state["state"][
            "gauge_value_space_below_custom"
        ] = gauge_value_space_below_custom
        self.state["state"]["formatting"]["prefix"] = chart_number_date_format_prefix
        self.state["state"]["formatting"]["suffix"] = chart_number_date_format_suffix
        self.state["state"]["formatting"]["n_dec"] = chart_number_date_format_n_dec
        self.state["state"]["formatting"][
            "advanced"
        ] = chart_number_date_format_advanced

        list_chart_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_number_date_format_negative_sign
            not in list_chart_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_number_date_format_negative_sign
            in list_chart_number_date_format_negative_sign
            and chart_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["formatting"]["negative_sign"] = filtered_dict[
                    chart_number_date_format_negative_sign
                ]
        self.state["state"]["formatting"][
            "strip_zeros"
        ] = chart_number_date_format_strip_zeros
        self.state["state"]["formatting"][
            "strip_separator"
        ] = chart_number_date_format_strip_separator
        self.state["state"]["formatting"][
            "transform_labels"
        ] = chart_number_date_format_transform_labels

        list_chart_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_number_date_format_transform
            not in list_chart_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_number_date_format_transform
            in list_chart_number_date_format_transform
            and chart_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["formatting"]["transform"] = filtered_dict[
                    chart_number_date_format_transform
                ]
        self.state["state"]["formatting"][
            "multiply_divide_constant"
        ] = chart_number_date_format_multiply_divide_constant
        self.state["state"]["formatting"][
            "exponentiate_constant"
        ] = chart_number_date_format_exponentiate_constant

        list_chart_filter_controls_container_alignment = ["start", "center", "end"] + [
            None
        ]
        if (
            chart_filter_controls_container_alignment
            not in list_chart_filter_controls_container_alignment
        ):
            raise ValueError(
                f"`chart_filter_controls_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_filter_controls_container_alignment
            in list_chart_filter_controls_container_alignment
            and chart_filter_controls_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_filter_controls_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_container"]["alignment"] = filtered_dict[
                    chart_filter_controls_container_alignment
                ]
        self.state["state"]["controls_container"][
            "controls_spacing"
        ] = chart_filter_controls_container_controls_spacing

        list_chart_filter_controls_control_type = ["dropdown", "buttons", "slider"] + [
            None
        ]
        if (
            chart_filter_controls_control_type
            not in list_chart_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_filter_controls_control_type
            in list_chart_filter_controls_control_type
            and chart_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls"]["control_type"] = filtered_dict[
                    chart_filter_controls_control_type
                ]
        self.state["state"]["controls"][
            "control_styles"
        ] = chart_filter_controls_control_styles
        self.state["state"]["controls"][
            "control_title"
        ] = chart_filter_controls_control_title

        list_chart_filter_controls_button_group = [True, False] + [None]
        if (
            chart_filter_controls_button_group
            not in list_chart_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_button_group
            in list_chart_filter_controls_button_group
            and chart_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls"]["button_group"] = filtered_dict[
                    chart_filter_controls_button_group
                ]

        list_chart_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_filter_controls_button_group_width_mode
            not in list_chart_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_button_group_width_mode
            in list_chart_filter_controls_button_group_width_mode
            and chart_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_filter_controls_button_group_width_mode]
        self.state["state"]["controls"][
            "button_group_width_fixed"
        ] = chart_filter_controls_button_group_width_fixed

        list_chart_filter_controls_dropdown_width_mode = ["auto", "full", "fixed"] + [
            None
        ]
        if (
            chart_filter_controls_dropdown_width_mode
            not in list_chart_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_dropdown_width_mode
            in list_chart_filter_controls_dropdown_width_mode
            and chart_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls"]["dropdown_width_mode"] = filtered_dict[
                    chart_filter_controls_dropdown_width_mode
                ]
        self.state["state"]["controls"][
            "dropdown_width_fixed"
        ] = chart_filter_controls_dropdown_width_fixed
        self.state["state"]["controls"][
            "slider_width"
        ] = chart_filter_controls_slider_width
        self.state["state"]["controls"][
            "slider_max_label_width"
        ] = chart_filter_controls_slider_max_label_width
        self.state["state"]["controls"][
            "slider_step_time"
        ] = chart_filter_controls_slider_step_time
        self.state["state"]["controls"][
            "slider_loop"
        ] = chart_filter_controls_slider_loop
        self.state["state"]["controls"][
            "slider_restart_pause"
        ] = chart_filter_controls_slider_restart_pause

        list_chart_filter_controls_sort = [True, False] + [None]
        if chart_filter_controls_sort not in list_chart_filter_controls_sort:
            raise ValueError(
                f"`chart_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_sort in list_chart_filter_controls_sort
            and chart_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls"]["sort"] = filtered_dict[
                    chart_filter_controls_sort
                ]
        self.state["state"]["controls_style"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_style"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["controls_style"]["height"] = chart_controls_style_height
        self.state["state"]["dropdown_style"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["dropdown_style"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["dropdown_style"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown_style"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["dropdown_style"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["dropdown_style"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["dropdown_style"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["dropdown_style"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius
        self.state["state"]["button_style"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["button_style"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["button_style"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["button_style"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["button_style"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["button_style"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["button_style"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["button_style"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["button_style"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["button_style"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["button_style"][
            "border_radius"
        ] = chart_button_control_style_border_radius
        self.state["state"]["slider_style"][
            "track_color"
        ] = chart_slider_control_style_track_color
        self.state["state"]["slider_style"][
            "font_color"
        ] = chart_slider_control_style_font_color
        self.state["state"]["slider_style"][
            "handle_color"
        ] = chart_slider_control_style_handle_color
        self.state["state"]["slider_style"][
            "play_color"
        ] = chart_slider_control_style_play_color
        self.state["state"]["slider_style"][
            "track_height"
        ] = chart_slider_control_style_track_height
        self.state["state"]["slider_style"][
            "handle_height"
        ] = chart_slider_control_style_handle_height
        self.state["state"]["slider_style"][
            "play_button"
        ] = chart_slider_control_style_play_button
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_hierarchy_details(
        self,
        sort_by: str = None,
        aggregation_type: str = None,
        num_of_visible_levels: float = None,
        auto_set_height: bool = None,
        treemap_aspect_ratio_normal: float = None,
        treemap_aspect_ratio_narrow: float = None,
        responsive_narrow_breakpoint: float = None,
        treemap_type: str = None,
        treemap_ratio: float = None,
        cellPadding: str = None,
        sunburst_depth_fade: float = None,
        sunburst_labelling: str = None,
        sunburst_inner_radius: float = None,
        sunburst_show_zoomed_node_in_center: bool = None,
        bar_min_bar_thickness: float = None,
        bar_max_bar_thickness: float = None,
        bar_bar_padding: float = None,
        bar_max_value: float = None,
        radial_tree_outer_radius: float = None,
        radial_tree_bar_length: float = None,
        radial_tree_bar_width: float = None,
        radial_tree_rotation: float = None,
        label_color: str = None,
        label_size: float = None,
        min_label_size: float = None,
        max_label_size: float = None,
        label_padding: float = None,
        label_case: str = None,
        label_weight: str = None,
        bar_axis_label_size: float = None,
        bar_axis_labels_above: bool = None,
        bar_axis_label_space: float = None,
        multi_line_labels: bool = None,
        show_value_labels: bool = None,
        bar_value_label_space: float = None,
        value_label_bold: bool = None,
        value_label_relative_size: float = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        stroke_color: str = None,
        axis_label_color: str = None,
        radial_tree_colored_links: bool = None,
        radial_tree_link_color: str = None,
        legend_mode: str = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        chart_categorical_legend_show_legend: bool = None,
        chart_categorical_legend_title_mode: str = None,
        chart_categorical_legend_title: str = None,
        chart_categorical_legend_swatch_width: float = None,
        chart_categorical_legend_swatch_height: float = None,
        chart_categorical_legend_swatch_radius: float = None,
        chart_categorical_legend_legend_items_padding: float = None,
        chart_categorical_legend_swatch_outline: bool = None,
        chart_categorical_legend_swatch_outline_color: str = None,
        chart_categorical_legend_order_override: Union[list, str] = None,
        chart_categorical_legend_icon_height: float = None,
        chart_categorical_legend_icon_color: str = None,
        chart_categorical_legend_max_width: float = None,
        chart_categorical_legend_orientation: str = None,
        legend_position: str = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_custom_accessible: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        popup_active_levels: str = None,
        filter_control_visibility: str = None,
        filter_include_all: bool = None,
        filter_all_label: str = None,
        chart_filter_controls_control_type: str = None,
        chart_filter_controls_control_styles: bool = None,
        chart_filter_controls_control_title: str = None,
        chart_filter_controls_button_group: bool = None,
        chart_filter_controls_button_group_width_mode: str = None,
        chart_filter_controls_button_group_width_fixed: float = None,
        chart_filter_controls_dropdown_width_mode: str = None,
        chart_filter_controls_dropdown_width_fixed: float = None,
        chart_filter_controls_slider_width: float = None,
        chart_filter_controls_slider_max_label_width: float = None,
        chart_filter_controls_slider_step_time: float = None,
        chart_filter_controls_slider_loop: bool = None,
        chart_filter_controls_slider_restart_pause: float = None,
        chart_filter_controls_sort: bool = None,
        size_by_control_visibility: str = None,
        chart_size_filter_controls_control_type: str = None,
        chart_size_filter_controls_control_styles: bool = None,
        chart_size_filter_controls_control_title: str = None,
        chart_size_filter_controls_button_group: bool = None,
        chart_size_filter_controls_button_group_width_mode: str = None,
        chart_size_filter_controls_button_group_width_fixed: float = None,
        chart_size_filter_controls_dropdown_width_mode: str = None,
        chart_size_filter_controls_dropdown_width_fixed: float = None,
        chart_size_filter_controls_slider_width: float = None,
        chart_size_filter_controls_slider_max_label_width: float = None,
        chart_size_filter_controls_slider_step_time: float = None,
        chart_size_filter_controls_slider_loop: bool = None,
        chart_size_filter_controls_slider_restart_pause: float = None,
        chart_size_filter_controls_sort: bool = None,
        ascend_button_visibility: str = None,
        zoom_out_button_color: str = None,
        zoom_out_arrow_color: str = None,
        chart_filter_controls_container_alignment: str = None,
        chart_filter_controls_container_controls_spacing: float = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_slider_control_style_track_color: str = None,
        chart_slider_control_style_font_color: str = None,
        chart_slider_control_style_handle_color: str = None,
        chart_slider_control_style_play_color: str = None,
        chart_slider_control_style_track_height: float = None,
        chart_slider_control_style_handle_height: float = None,
        chart_slider_control_style_play_button: bool = None,
        animation_duration: float = None,
        size_by_number_formatter_prefix: str = None,
        size_by_number_formatter_suffix: str = None,
        size_by_number_formatter_n_dec: float = None,
        size_by_number_formatter_advanced: bool = None,
        size_by_number_formatter_negative_sign: str = None,
        size_by_number_formatter_strip_zeros: bool = None,
        size_by_number_formatter_strip_separator: bool = None,
        size_by_number_formatter_transform_labels: bool = None,
        size_by_number_formatter_transform: str = None,
        size_by_number_formatter_multiply_divide_constant: float = None,
        size_by_number_formatter_exponentiate_constant: float = None,
        filter_number_formatter_prefix: str = None,
        filter_number_formatter_suffix: str = None,
        filter_number_formatter_n_dec: float = None,
        filter_number_formatter_advanced: bool = None,
        filter_number_formatter_negative_sign: str = None,
        filter_number_formatter_strip_zeros: bool = None,
        filter_number_formatter_strip_separator: bool = None,
        filter_number_formatter_transform_labels: bool = None,
        filter_number_formatter_transform: str = None,
        filter_number_formatter_multiply_divide_constant: float = None,
        filter_number_formatter_exponentiate_constant: float = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
        chart_url_settings_enabled: bool = None,
        chart_url_settings_whitelist: Union[list, str] = None,
    ):
        """
        Set chart details for: hierarchy.


        :param sort_by: Sort by. Choices: data, value, name. Sort cells by value or by name. (In the Circles layout, the circles are placed in the specified order following an approximately spiral path.). Flourish type hint: string, defaults to None.
        :type sort_by: str, optional
        :param aggregation_type: Size cells by. Choices: sum, count. Flourish type hint: string, defaults to None.
        :type aggregation_type: str, optional
        :param num_of_visible_levels: Depth. How many hierarchy levels are visible at once. Flourish type hint: number, defaults to None.
        :type num_of_visible_levels: float, optional
        :param auto_set_height: Automatic height. Choices: True, False. Whether responsive embeds can adjust their height automatically. Ignored in simple Iframe embeds, Canva and other fixed-height contexts. Flourish type hint: boolean, defaults to None.
        :type auto_set_height: bool, optional
        :param treemap_aspect_ratio_normal: Aspect (desktop). Height of treemap, as % of width. Flourish type hint: number, defaults to None.
        :type treemap_aspect_ratio_normal: float, optional
        :param treemap_aspect_ratio_narrow: Aspect (mobile). Height of treemap, as % of width. Flourish type hint: number, defaults to None.
        :type treemap_aspect_ratio_narrow: float, optional
        :param responsive_narrow_breakpoint: Breakpoint. The width at which mobile mode ends and desktop begins. Flourish type hint: number, defaults to None.
        :type responsive_narrow_breakpoint: float, optional
        :param treemap_type: Tile layout. Choices: treemap_binary, treemap_resquarify, treemap_slice, treemap_dice, treemap_slice_dice. Flourish type hint: string, defaults to None.
        :type treemap_type: str, optional
        :param treemap_ratio: Target. The target ratio between width and height, where 1 is sqaure and a large number is a tall or wide rectangle. Flourish type hint: number, defaults to None.
        :type treemap_ratio: float, optional
        :param cellPadding: Padding. Choices: low, medium, high. Flourish type hint: string, defaults to None.
        :type cellPadding: str, optional
        :param sunburst_depth_fade: Fade. How quickly the segments fade with hierachical depth. (Use 1 for no fade.). Flourish type hint: number, defaults to None.
        :type sunburst_depth_fade: float, optional
        :param sunburst_labelling: Orientation. Choices: auto, radial, circular. How the labels should be oriented. Flourish type hint: string, defaults to None.
        :type sunburst_labelling: str, optional
        :param sunburst_inner_radius: Hole size. As a % of overall radius. Flourish type hint: number, defaults to None.
        :type sunburst_inner_radius: float, optional
        :param sunburst_show_zoomed_node_in_center: Show zoomed node in center. Show zoomed node as a circle in the center of the sunburst chart. (If not zoomed, the space is left blank.). Flourish type hint: boolean, defaults to None.
        :type sunburst_show_zoomed_node_in_center: bool, optional
        :param bar_min_bar_thickness: Height. Minimum bar thickness in pixels. This also determines bar thickness if Automatic height is selected and container height isnt fixed. Flourish type hint: number, defaults to None.
        :type bar_min_bar_thickness: float, optional
        :param bar_max_bar_thickness: Max height. Maximum bar thickness in pixels. Applies when Automatic height is false. Flourish type hint: number, defaults to None.
        :type bar_max_bar_thickness: float, optional
        :param bar_bar_padding: Spacing. Distance between bars in pixels. Flourish type hint: number, defaults to None.
        :type bar_bar_padding: float, optional
        :param bar_max_value: Max value. The maximum value represented by bar length (leave blank for auto-scaling). Flourish type hint: number, defaults to None.
        :type bar_max_value: float, optional
        :param radial_tree_outer_radius: Outer radius (%). Radius of outer nodes (as a percent of the container size). Flourish type hint: number, defaults to None.
        :type radial_tree_outer_radius: float, optional
        :param radial_tree_bar_length: Bar length (%). Bar length (as a percent of the container size). Flourish type hint: number, defaults to None.
        :type radial_tree_bar_length: float, optional
        :param radial_tree_bar_width: Bar width (pixels). Bar width in pixels. Flourish type hint: number, defaults to None.
        :type radial_tree_bar_width: float, optional
        :param radial_tree_rotation: Rotation (degrees). Rotates the whole tree. Flourish type hint: number, defaults to None.
        :type radial_tree_rotation: float, optional
        :param label_color: Color. Flourish type hint: color, defaults to None.
        :type label_color: str, optional
        :param label_size: Label size. Label size in rems Flourish type hint: number, defaults to None.
        :type label_size: float, optional
        :param min_label_size: Min size. Minimum label size, in rems Flourish type hint: number, defaults to None.
        :type min_label_size: float, optional
        :param max_label_size: Max size. Max label size, in rems Flourish type hint: number, defaults to None.
        :type max_label_size: float, optional
        :param label_padding: Padding. Padding between label and border, in rems Flourish type hint: number, defaults to None.
        :type label_padding: float, optional
        :param label_case: Label case. Choices: all_upper_case, all_lower_case, top_upper_case, bottom_upper_case. Determines whether labels are lower or upper case. Items at the top level of the hierarchy can have a different case to the remaining items. Flourish type hint: string, defaults to None.
        :type label_case: str, optional
        :param label_weight: Label weight. Choices: all_normal, all_bold, top_bold, bottom_bold. Determines the font weight (normal or bold) of labels. Items at the top level of the hierarchy can have a different weight to the remaining items. Flourish type hint: string, defaults to None.
        :type label_weight: str, optional
        :param bar_axis_label_size: Label size. Axis label size, in  rems Flourish type hint: number, defaults to None.
        :type bar_axis_label_size: float, optional
        :param bar_axis_labels_above: Position. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type bar_axis_labels_above: bool, optional
        :param bar_axis_label_space: Width. Space available for axis labels, in rems Flourish type hint: number, defaults to None.
        :type bar_axis_label_space: float, optional
        :param multi_line_labels: Wrap long labels. Display long labels across multiple lines where possible. Currently supported in treemap and circle packing. Flourish type hint: boolean, defaults to None.
        :type multi_line_labels: bool, optional
        :param show_value_labels: Show values. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type show_value_labels: bool, optional
        :param bar_value_label_space: Space. Space available for value labels, in rems Flourish type hint: number, defaults to None.
        :type bar_value_label_space: float, optional
        :param value_label_bold: Bold. Flourish type hint: boolean, defaults to None.
        :type value_label_bold: bool, optional
        :param value_label_relative_size: Relative size. The size of the value label relative to the name label. Flourish type hint: number, defaults to None.
        :type value_label_relative_size: float, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param stroke_color: Stroke color. Flourish type hint: color, defaults to None.
        :type stroke_color: str, optional
        :param axis_label_color: Axis color. Flourish type hint: color, defaults to None.
        :type axis_label_color: str, optional
        :param radial_tree_colored_links: Colored links. Use colored links. Flourish type hint: boolean, defaults to None.
        :type radial_tree_colored_links: bool, optional
        :param radial_tree_link_color: Radial tree link color. Flourish type hint: color, defaults to None.
        :type radial_tree_link_color: str, optional
        :param legend_mode: Legend mode. Choices: on, off. Flourish type hint: string, defaults to None.
        :type legend_mode: str, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param chart_categorical_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_show_legend: bool, optional
        :param chart_categorical_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title_mode: str, optional
        :param chart_categorical_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title: str, optional
        :param chart_categorical_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_width: float, optional
        :param chart_categorical_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_height: float, optional
        :param chart_categorical_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_radius: float, optional
        :param chart_categorical_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_legend_items_padding: float, optional
        :param chart_categorical_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_swatch_outline: bool, optional
        :param chart_categorical_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_swatch_outline_color: str, optional
        :param chart_categorical_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_categorical_legend_order_override: Union[list, str], optional
        :param chart_categorical_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_icon_height: float, optional
        :param chart_categorical_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_icon_color: str, optional
        :param chart_categorical_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_max_width: float, optional
        :param chart_categorical_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_orientation: str, optional
        :param legend_position: Legend position. Choices: above, below. Flourish type hint: string, defaults to None.
        :type legend_position: str, optional
        :param chart_popup_mode: Choices: none, popup, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. The text to appear in the popup. You can use `{{column_name}}` to add a value from your data. It must be in a selected column, but you can add columns to Metadata if you just want to include them for use in the popup. You can also use `{{NAME}}` to include the name of the current item, `{{VALUE}}` to include the value of the current item and `{{SIZEBY}}` to include the name of the column chosen to size items. Advanced users can include HTML to apply layouts, formatting, images, etc. You can also hide content based on a column name being empty using `{{#if column_name}}Text to display when column_name is not empty{{/if}}`. For example: `{{Country}} {{#if Capital}}(Capital: {{Capital}}){{/if}}`. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. The text to appear in the popup. You can use `{{column_name}}` to add a value from your data. It must be in a selected column, but you can add columns to Metadata if you just want to include them for use in the popup. You can also use `{{NAME}}` to include the name of the current item, `{{VALUE}}` to include the value of the current item and `{{SIZEBY}}` to include the name of the column chosen to size items. Advanced users can include HTML to apply layouts, formatting, images, etc. You can also hide content based on a column name being empty using `{{#if column_name}}Text to display when column_name is not empty{{/if}}`. For example: `{{Country}} {{#if Capital}}(Capital: {{Capital}}){{/if}}`. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_custom_accessible: Popup custom accessible content. A text alternative to visual custom popup content that will be read out by screenreaders. This content is added as an aria-label attribute to data point elements. You can still use `{{column_name}}` to add values from your data, but do not use HTML. For example: `{{Name}}, Population: {{Population}}, GDP: {{GDP}}`. If left empty, accessible content will fallback to the default popup content. Flourish type hint: text, defaults to None.
        :type chart_popup_popup_custom_accessible: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. The text to appear in the panel. You can use `{{column_name}}` to add a value from your data. It must be in a selected column, but you can add columns to Metadata if you just want to include them for use in the panel. You can also use `{{NAME}}` to include the name of the current item, `{{VALUE}}` to include the value of the current item and `{{SIZEBY}}` to include the name of the column chosen to size items. Advanced users can include HTML to apply layouts, formatting, images, etc. You can also hide content based on a column name being empty using `{{#if column_name}}Text to display when column_name is not empty{{/if}}`. For example: `{{Country}} {{#if Capital}}(Capital: {{Capital}}){{/if}}`. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. The text to appear in the panel. You can use `{{column_name}}` to add a value from your data. It must be in a selected column, but you can add columns to Metadata if you just want to include them for use in the panel. You can also use `{{NAME}}` to include the name of the current item, `{{VALUE}}` to include the value of the current item and `{{SIZEBY}}` to include the name of the column chosen to size items. Advanced users can include HTML to apply layouts, formatting, images, etc. You can also hide content based on a column name being empty using `{{#if column_name}}Text to display when column_name is not empty{{/if}}`. For example: `{{Country}} {{#if Capital}}(Capital: {{Capital}}){{/if}}`. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing Click position is especially useful when your visualization is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param popup_active_levels: When to show popup or panel. Choices: all_levels, top_level, below_top_level, above_bottom_level, bottom_level. Specify which hierarchy levels popup is active on. Flourish type hint: string, defaults to None.
        :type popup_active_levels: str, optional
        :param filter_control_visibility: Visibility. Choices: always, editor, never. Sets whether the Filter is always visible, only visible when editing or never visible. Flourish type hint: string, defaults to None.
        :type filter_control_visibility: str, optional
        :param filter_include_all: Include "All" in filter. Flourish type hint: boolean, defaults to None.
        :type filter_include_all: bool, optional
        :param filter_all_label: Filter All label. Flourish type hint: string, defaults to None.
        :type filter_all_label: str, optional
        :param chart_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_type: str, optional
        :param chart_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_control_styles: bool, optional
        :param chart_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_title: str, optional
        :param chart_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_button_group: bool, optional
        :param chart_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_button_group_width_mode: str, optional
        :param chart_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_button_group_width_fixed: float, optional
        :param chart_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_dropdown_width_mode: str, optional
        :param chart_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_dropdown_width_fixed: float, optional
        :param chart_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_width: float, optional
        :param chart_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_max_label_width: float, optional
        :param chart_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_step_time: float, optional
        :param chart_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_slider_loop: bool, optional
        :param chart_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_restart_pause: float, optional
        :param chart_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_sort: bool, optional
        :param size_by_control_visibility: Visibility. Choices: always, editor, never. Sets whether the Size by control is always visible, only visible when editing or never visible. Flourish type hint: string, defaults to None.
        :type size_by_control_visibility: str, optional
        :param chart_size_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_size_filter_controls_control_type: str, optional
        :param chart_size_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_size_filter_controls_control_styles: bool, optional
        :param chart_size_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_size_filter_controls_control_title: str, optional
        :param chart_size_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_size_filter_controls_button_group: bool, optional
        :param chart_size_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_size_filter_controls_button_group_width_mode: str, optional
        :param chart_size_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_size_filter_controls_button_group_width_fixed: float, optional
        :param chart_size_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_size_filter_controls_dropdown_width_mode: str, optional
        :param chart_size_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_size_filter_controls_dropdown_width_fixed: float, optional
        :param chart_size_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_size_filter_controls_slider_width: float, optional
        :param chart_size_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_size_filter_controls_slider_max_label_width: float, optional
        :param chart_size_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_size_filter_controls_slider_step_time: float, optional
        :param chart_size_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_size_filter_controls_slider_loop: bool, optional
        :param chart_size_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_size_filter_controls_slider_restart_pause: float, optional
        :param chart_size_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_size_filter_controls_sort: bool, optional
        :param ascend_button_visibility: Visibility. Choices: always, editor, never. Flourish type hint: string, defaults to None.
        :type ascend_button_visibility: str, optional
        :param zoom_out_button_color: Button. Flourish type hint: color, defaults to None.
        :type zoom_out_button_color: str, optional
        :param zoom_out_arrow_color: Arrow. Flourish type hint: color, defaults to None.
        :type zoom_out_arrow_color: str, optional
        :param chart_filter_controls_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_container_alignment: str, optional
        :param chart_filter_controls_container_controls_spacing: Spacing. The space between controls, like dropdowns and adjacent button sets, in em units. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_container_controls_spacing: float, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Dropdown border styles. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_slider_control_style_track_color: Track. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_track_color: str, optional
        :param chart_slider_control_style_font_color: Text. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_font_color: str, optional
        :param chart_slider_control_style_handle_color: Handle. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_handle_color: str, optional
        :param chart_slider_control_style_play_color: Play/pause. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_play_color: str, optional
        :param chart_slider_control_style_track_height: Track height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_track_height: float, optional
        :param chart_slider_control_style_handle_height: Height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_handle_height: float, optional
        :param chart_slider_control_style_play_button: Play button. Flourish type hint: boolean, defaults to None.
        :type chart_slider_control_style_play_button: bool, optional
        :param animation_duration: Duration. The duration, in seconds, of transitions  for example, between two slides in a storyFlourish type hint: number, defaults to None.
        :type animation_duration: float, optional
        :param size_by_number_formatter_prefix: Prefix. Text to place in front of a number. Flourish type hint: string, defaults to None.
        :type size_by_number_formatter_prefix: str, optional
        :param size_by_number_formatter_suffix: Suffix. Text to place after a number. Flourish type hint: string, defaults to None.
        :type size_by_number_formatter_suffix: str, optional
        :param size_by_number_formatter_n_dec: Decimal places. Decimal places. You can also enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type size_by_number_formatter_n_dec: float, optional
        :param size_by_number_formatter_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type size_by_number_formatter_advanced: bool, optional
        :param size_by_number_formatter_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type size_by_number_formatter_negative_sign: str, optional
        :param size_by_number_formatter_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type size_by_number_formatter_strip_zeros: bool, optional
        :param size_by_number_formatter_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type size_by_number_formatter_strip_separator: bool, optional
        :param size_by_number_formatter_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type size_by_number_formatter_transform_labels: bool, optional
        :param size_by_number_formatter_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type size_by_number_formatter_transform: str, optional
        :param size_by_number_formatter_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type size_by_number_formatter_multiply_divide_constant: float, optional
        :param size_by_number_formatter_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type size_by_number_formatter_exponentiate_constant: float, optional
        :param filter_number_formatter_prefix: Prefix. Text to place in front of a number. Flourish type hint: string, defaults to None.
        :type filter_number_formatter_prefix: str, optional
        :param filter_number_formatter_suffix: Suffix. Text to place after a number. Flourish type hint: string, defaults to None.
        :type filter_number_formatter_suffix: str, optional
        :param filter_number_formatter_n_dec: Decimal places. Decimal places. You can also enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type filter_number_formatter_n_dec: float, optional
        :param filter_number_formatter_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type filter_number_formatter_advanced: bool, optional
        :param filter_number_formatter_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type filter_number_formatter_negative_sign: str, optional
        :param filter_number_formatter_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type filter_number_formatter_strip_zeros: bool, optional
        :param filter_number_formatter_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type filter_number_formatter_strip_separator: bool, optional
        :param filter_number_formatter_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type filter_number_formatter_transform_labels: bool, optional
        :param filter_number_formatter_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type filter_number_formatter_transform: str, optional
        :param filter_number_formatter_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type filter_number_formatter_multiply_divide_constant: float, optional
        :param filter_number_formatter_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type filter_number_formatter_exponentiate_constant: float, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        :param chart_url_settings_enabled: Update project from URL. Make it possible to change the visualizations settings/state from the URL hash, for example when embedding in an iframe or popup panel. Flourish type hint: boolean, defaults to None.
        :type chart_url_settings_enabled: bool, optional
        :param chart_url_settings_whitelist: Allowed state properties. List each state property you want to make changeable with the URL hash See the template page for a full list of state properties.  Add one property name per line. Use dot format for nested properties, e.g. `layout.background_color`. Flourish type hint: text, defaults to None.
        :type chart_url_settings_whitelist: Union[list, str], optional
        """
        details_error(self)

        self.state = {
            "state": {
                "color": {},
                "legend_container": {},
                "legend_categorical": {},
                "popup": {},
                "filter_control": {},
                "size_by_control": {},
                "controls_container": {},
                "controls_style": {},
                "dropdown_style": {},
                "button_style": {},
                "slider_style": {},
                "size_by_number_formatter": {},
                "filter_number_formatter": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
                "url_state": {},
            }
        }

        list_sort_by = ["data", "value", "name"] + [None]
        if sort_by not in list_sort_by:
            raise ValueError(f"`sort_by` must be one of: ['data', 'value', 'name']")
        elif sort_by in list_sort_by and sort_by is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"data": "data", "value": "value", "name": "name"}.items()
                if sort_by in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["sort_by"] = filtered_dict[sort_by]

        list_aggregation_type = ["sum", "count"] + [None]
        if aggregation_type not in list_aggregation_type:
            raise ValueError(f"`aggregation_type` must be one of: ['sum', 'count']")
        elif aggregation_type in list_aggregation_type and aggregation_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"sum": "Sum", "count": "Count"}.items()
                if aggregation_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["aggregation_type"] = filtered_dict[
                    aggregation_type
                ]
        self.state["state"]["num_of_visible_levels"] = num_of_visible_levels

        list_auto_set_height = [True, False] + [None]
        if auto_set_height not in list_auto_set_height:
            raise ValueError(f"`auto_set_height` must be one of: [True, False]")
        elif auto_set_height in list_auto_set_height and auto_set_height is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if auto_set_height in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["auto_set_height"] = filtered_dict[auto_set_height]
        self.state["state"]["treemap_aspect_ratio_normal"] = treemap_aspect_ratio_normal
        self.state["state"]["treemap_aspect_ratio_narrow"] = treemap_aspect_ratio_narrow
        self.state["state"][
            "responsive_narrow_breakpoint"
        ] = responsive_narrow_breakpoint

        list_treemap_type = [
            "treemap_binary",
            "treemap_resquarify",
            "treemap_slice",
            "treemap_dice",
            "treemap_slice_dice",
        ] + [None]
        if treemap_type not in list_treemap_type:
            raise ValueError(
                f"`treemap_type` must be one of: ['treemap_binary', 'treemap_resquarify', 'treemap_slice', 'treemap_dice', 'treemap_slice_dice']"
            )
        elif treemap_type in list_treemap_type and treemap_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "treemap_binary": "treemapBinary",
                    "treemap_resquarify": "treemapResquarify",
                    "treemap_slice": "treemapSlice",
                    "treemap_dice": "treemapDice",
                    "treemap_slice_dice": "treemapSliceDice",
                }.items()
                if treemap_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["treemap_type"] = filtered_dict[treemap_type]
        self.state["state"]["treemap_ratio"] = treemap_ratio

        list_cellPadding = ["low", "medium", "high"] + [None]
        if cellPadding not in list_cellPadding:
            raise ValueError(f"`cellPadding` must be one of: ['low', 'medium', 'high']")
        elif cellPadding in list_cellPadding and cellPadding is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"low": "low", "medium": "medium", "high": "high"}.items()
                if cellPadding in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["cellPadding"] = filtered_dict[cellPadding]
        self.state["state"]["sunburst_depth_fade"] = sunburst_depth_fade

        list_sunburst_labelling = ["auto", "radial", "circular"] + [None]
        if sunburst_labelling not in list_sunburst_labelling:
            raise ValueError(
                f"`sunburst_labelling` must be one of: ['auto', 'radial', 'circular']"
            )
        elif (
            sunburst_labelling in list_sunburst_labelling
            and sunburst_labelling is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "radial": "radial",
                    "circular": "circular",
                }.items()
                if sunburst_labelling in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["sunburst_labelling"] = filtered_dict[
                    sunburst_labelling
                ]
        self.state["state"]["sunburst_inner_radius"] = sunburst_inner_radius
        self.state["state"][
            "sunburst_show_zoomed_node_in_center"
        ] = sunburst_show_zoomed_node_in_center
        self.state["state"]["bar_min_bar_thickness"] = bar_min_bar_thickness
        self.state["state"]["bar_max_bar_thickness"] = bar_max_bar_thickness
        self.state["state"]["bar_bar_padding"] = bar_bar_padding
        self.state["state"]["bar_max_value"] = bar_max_value
        self.state["state"]["radial_tree_outer_radius"] = radial_tree_outer_radius
        self.state["state"]["radial_tree_bar_length"] = radial_tree_bar_length
        self.state["state"]["radial_tree_bar_width"] = radial_tree_bar_width
        self.state["state"]["radial_tree_rotation"] = radial_tree_rotation
        self.state["state"]["label_color"] = label_color
        self.state["state"]["label_size"] = label_size
        self.state["state"]["min_label_size"] = min_label_size
        self.state["state"]["max_label_size"] = max_label_size
        self.state["state"]["label_padding"] = label_padding

        list_label_case = [
            "all_upper_case",
            "all_lower_case",
            "top_upper_case",
            "bottom_upper_case",
        ] + [None]
        if label_case not in list_label_case:
            raise ValueError(
                f"`label_case` must be one of: ['all_upper_case', 'all_lower_case', 'top_upper_case', 'bottom_upper_case']"
            )
        elif label_case in list_label_case and label_case is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "all_upper_case": "allUpperCase",
                    "all_lower_case": "allLowerCase",
                    "top_upper_case": "topUpperCase",
                    "bottom_upper_case": "bottomUpperCase",
                }.items()
                if label_case in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_case"] = filtered_dict[label_case]

        list_label_weight = ["all_normal", "all_bold", "top_bold", "bottom_bold"] + [
            None
        ]
        if label_weight not in list_label_weight:
            raise ValueError(
                f"`label_weight` must be one of: ['all_normal', 'all_bold', 'top_bold', 'bottom_bold']"
            )
        elif label_weight in list_label_weight and label_weight is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "all_normal": "allNormal",
                    "all_bold": "allBold",
                    "top_bold": "topBold",
                    "bottom_bold": "bottomBold",
                }.items()
                if label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_weight"] = filtered_dict[label_weight]
        self.state["state"]["bar_axis_label_size"] = bar_axis_label_size

        list_bar_axis_labels_above = [False, True] + [None]
        if bar_axis_labels_above not in list_bar_axis_labels_above:
            raise ValueError(f"`bar_axis_labels_above` must be one of: [False, True]")
        elif (
            bar_axis_labels_above in list_bar_axis_labels_above
            and bar_axis_labels_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if bar_axis_labels_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["bar_axis_labels_above"] = filtered_dict[
                    bar_axis_labels_above
                ]
        self.state["state"]["bar_axis_label_space"] = bar_axis_label_space
        self.state["state"]["multi_line_labels"] = multi_line_labels

        list_show_value_labels = [True, False] + [None]
        if show_value_labels not in list_show_value_labels:
            raise ValueError(f"`show_value_labels` must be one of: [True, False]")
        elif (
            show_value_labels in list_show_value_labels
            and show_value_labels is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if show_value_labels in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["show_value_labels"] = filtered_dict[
                    show_value_labels
                ]
        self.state["state"]["bar_value_label_space"] = bar_value_label_space
        self.state["state"]["value_label_bold"] = value_label_bold
        self.state["state"]["value_label_relative_size"] = value_label_relative_size

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max
        self.state["state"]["stroke_color"] = stroke_color
        self.state["state"]["axis_label_color"] = axis_label_color
        self.state["state"]["radial_tree_colored_links"] = radial_tree_colored_links
        self.state["state"]["radial_tree_link_color"] = radial_tree_link_color

        list_legend_mode = ["on", "off"] + [None]
        if legend_mode not in list_legend_mode:
            raise ValueError(f"`legend_mode` must be one of: ['on', 'off']")
        elif legend_mode in list_legend_mode and legend_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"on": "on", "off": "off"}.items()
                if legend_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_mode"] = filtered_dict[legend_mode]

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size

        list_chart_categorical_legend_show_legend = [True, False] + [None]
        if (
            chart_categorical_legend_show_legend
            not in list_chart_categorical_legend_show_legend
        ):
            raise ValueError(
                f"`chart_categorical_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_categorical_legend_show_legend
            in list_chart_categorical_legend_show_legend
            and chart_categorical_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_categorical_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "show_legend"
                ] = filtered_dict[chart_categorical_legend_show_legend]

        list_chart_categorical_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_categorical_legend_title_mode
            not in list_chart_categorical_legend_title_mode
        ):
            raise ValueError(
                f"`chart_categorical_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_categorical_legend_title_mode
            in list_chart_categorical_legend_title_mode
            and chart_categorical_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_categorical_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"]["title_mode"] = filtered_dict[
                    chart_categorical_legend_title_mode
                ]
        self.state["state"]["legend_categorical"][
            "title"
        ] = chart_categorical_legend_title
        self.state["state"]["legend_categorical"][
            "swatch_width"
        ] = chart_categorical_legend_swatch_width
        self.state["state"]["legend_categorical"][
            "swatch_height"
        ] = chart_categorical_legend_swatch_height
        self.state["state"]["legend_categorical"][
            "swatch_radius"
        ] = chart_categorical_legend_swatch_radius
        self.state["state"]["legend_categorical"][
            "legend_items_padding"
        ] = chart_categorical_legend_legend_items_padding
        self.state["state"]["legend_categorical"][
            "swatch_outline"
        ] = chart_categorical_legend_swatch_outline
        self.state["state"]["legend_categorical"][
            "swatch_outline_color"
        ] = chart_categorical_legend_swatch_outline_color

        if (
            chart_categorical_legend_order_override is not None
            and len(chart_categorical_legend_order_override) > 1
            and isinstance(chart_categorical_legend_order_override, list)
        ):
            self.state["state"]["legend_categorical"]["order_override"] = " \n ".join(
                chart_categorical_legend_order_override
            )
        else:
            self.state["state"]["legend_categorical"][
                "order_override"
            ] = chart_categorical_legend_order_override

        self.state["state"]["legend_categorical"][
            "icon_height"
        ] = chart_categorical_legend_icon_height
        self.state["state"]["legend_categorical"][
            "icon_color"
        ] = chart_categorical_legend_icon_color
        self.state["state"]["legend_categorical"][
            "max_width"
        ] = chart_categorical_legend_max_width

        list_chart_categorical_legend_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_categorical_legend_orientation
            not in list_chart_categorical_legend_orientation
        ):
            raise ValueError(
                f"`chart_categorical_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_categorical_legend_orientation
            in list_chart_categorical_legend_orientation
            and chart_categorical_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_categorical_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "orientation"
                ] = filtered_dict[chart_categorical_legend_orientation]

        list_legend_position = ["above", "below"] + [None]
        if legend_position not in list_legend_position:
            raise ValueError(f"`legend_position` must be one of: ['above', 'below']")
        elif legend_position in list_legend_position and legend_position is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"above": "above", "below": "below"}.items()
                if legend_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_position"] = filtered_dict[legend_position]

        list_chart_popup_mode = ["none", "popup", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"none": "none", "popup": "popup", "both": "both"}.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popup"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popup"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popup"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        if (
            chart_popup_popup_custom_accessible is not None
            and len(chart_popup_popup_custom_accessible) > 1
            and isinstance(chart_popup_popup_custom_accessible, list)
        ):
            self.state["state"]["popup"]["popup_custom_accessible"] = " \n ".join(
                chart_popup_popup_custom_accessible
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_accessible"
            ] = chart_popup_popup_custom_accessible

        self.state["state"]["popup"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popup"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popup"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popup"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popup"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popup"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popup"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popup"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popup"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_label_weight"] = filtered_dict[
                    chart_popup_popup_list_label_weight
                ]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popup"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popup"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popup"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popup"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popup"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popup"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popup"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popup"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popup"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popup"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popup"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popup"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popup"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popup"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popup"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_vertical_position"] = filtered_dict[
                    chart_popup_panel_vertical_position
                ]
        self.state["state"]["popup"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popup"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popup"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popup"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popup"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popup"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_label_weight"] = filtered_dict[
                    chart_popup_panel_list_label_weight
                ]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popup"]["panel_shadow"] = chart_popup_panel_shadow

        list_popup_active_levels = [
            "all_levels",
            "top_level",
            "below_top_level",
            "above_bottom_level",
            "bottom_level",
        ] + [None]
        if popup_active_levels not in list_popup_active_levels:
            raise ValueError(
                f"`popup_active_levels` must be one of: ['all_levels', 'top_level', 'below_top_level', 'above_bottom_level', 'bottom_level']"
            )
        elif (
            popup_active_levels in list_popup_active_levels
            and popup_active_levels is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "all_levels": "all_levels",
                    "top_level": "top_level",
                    "below_top_level": "below_top_level",
                    "above_bottom_level": "above_bottom_level",
                    "bottom_level": "bottom_level",
                }.items()
                if popup_active_levels in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup_active_levels"] = filtered_dict[
                    popup_active_levels
                ]

        list_filter_control_visibility = ["always", "editor", "never"] + [None]
        if filter_control_visibility not in list_filter_control_visibility:
            raise ValueError(
                f"`filter_control_visibility` must be one of: ['always', 'editor', 'never']"
            )
        elif (
            filter_control_visibility in list_filter_control_visibility
            and filter_control_visibility is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "always": "always",
                    "editor": "editor",
                    "never": "never",
                }.items()
                if filter_control_visibility in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control_visibility"] = filtered_dict[
                    filter_control_visibility
                ]
        self.state["state"]["filter_include_all"] = filter_include_all
        self.state["state"]["filter_all_label"] = filter_all_label

        list_chart_filter_controls_control_type = ["dropdown", "buttons", "slider"] + [
            None
        ]
        if (
            chart_filter_controls_control_type
            not in list_chart_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_filter_controls_control_type
            in list_chart_filter_controls_control_type
            and chart_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["control_type"] = filtered_dict[
                    chart_filter_controls_control_type
                ]
        self.state["state"]["filter_control"][
            "control_styles"
        ] = chart_filter_controls_control_styles
        self.state["state"]["filter_control"][
            "control_title"
        ] = chart_filter_controls_control_title

        list_chart_filter_controls_button_group = [True, False] + [None]
        if (
            chart_filter_controls_button_group
            not in list_chart_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_button_group
            in list_chart_filter_controls_button_group
            and chart_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["button_group"] = filtered_dict[
                    chart_filter_controls_button_group
                ]

        list_chart_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_filter_controls_button_group_width_mode
            not in list_chart_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_button_group_width_mode
            in list_chart_filter_controls_button_group_width_mode
            and chart_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_filter_controls_button_group_width_mode]
        self.state["state"]["filter_control"][
            "button_group_width_fixed"
        ] = chart_filter_controls_button_group_width_fixed

        list_chart_filter_controls_dropdown_width_mode = ["auto", "full", "fixed"] + [
            None
        ]
        if (
            chart_filter_controls_dropdown_width_mode
            not in list_chart_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_dropdown_width_mode
            in list_chart_filter_controls_dropdown_width_mode
            and chart_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"][
                    "dropdown_width_mode"
                ] = filtered_dict[chart_filter_controls_dropdown_width_mode]
        self.state["state"]["filter_control"][
            "dropdown_width_fixed"
        ] = chart_filter_controls_dropdown_width_fixed
        self.state["state"]["filter_control"][
            "slider_width"
        ] = chart_filter_controls_slider_width
        self.state["state"]["filter_control"][
            "slider_max_label_width"
        ] = chart_filter_controls_slider_max_label_width
        self.state["state"]["filter_control"][
            "slider_step_time"
        ] = chart_filter_controls_slider_step_time
        self.state["state"]["filter_control"][
            "slider_loop"
        ] = chart_filter_controls_slider_loop
        self.state["state"]["filter_control"][
            "slider_restart_pause"
        ] = chart_filter_controls_slider_restart_pause

        list_chart_filter_controls_sort = [True, False] + [None]
        if chart_filter_controls_sort not in list_chart_filter_controls_sort:
            raise ValueError(
                f"`chart_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_sort in list_chart_filter_controls_sort
            and chart_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["sort"] = filtered_dict[
                    chart_filter_controls_sort
                ]

        list_size_by_control_visibility = ["always", "editor", "never"] + [None]
        if size_by_control_visibility not in list_size_by_control_visibility:
            raise ValueError(
                f"`size_by_control_visibility` must be one of: ['always', 'editor', 'never']"
            )
        elif (
            size_by_control_visibility in list_size_by_control_visibility
            and size_by_control_visibility is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "always": "always",
                    "editor": "editor",
                    "never": "never",
                }.items()
                if size_by_control_visibility in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["size_by_control_visibility"] = filtered_dict[
                    size_by_control_visibility
                ]

        list_chart_size_filter_controls_control_type = [
            "dropdown",
            "buttons",
            "slider",
        ] + [None]
        if (
            chart_size_filter_controls_control_type
            not in list_chart_size_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_size_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_size_filter_controls_control_type
            in list_chart_size_filter_controls_control_type
            and chart_size_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_size_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["size_by_control"]["control_type"] = filtered_dict[
                    chart_size_filter_controls_control_type
                ]
        self.state["state"]["size_by_control"][
            "control_styles"
        ] = chart_size_filter_controls_control_styles
        self.state["state"]["size_by_control"][
            "control_title"
        ] = chart_size_filter_controls_control_title

        list_chart_size_filter_controls_button_group = [True, False] + [None]
        if (
            chart_size_filter_controls_button_group
            not in list_chart_size_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_size_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_size_filter_controls_button_group
            in list_chart_size_filter_controls_button_group
            and chart_size_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_size_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["size_by_control"]["button_group"] = filtered_dict[
                    chart_size_filter_controls_button_group
                ]

        list_chart_size_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_size_filter_controls_button_group_width_mode
            not in list_chart_size_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_size_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_size_filter_controls_button_group_width_mode
            in list_chart_size_filter_controls_button_group_width_mode
            and chart_size_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_size_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["size_by_control"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_size_filter_controls_button_group_width_mode]
        self.state["state"]["size_by_control"][
            "button_group_width_fixed"
        ] = chart_size_filter_controls_button_group_width_fixed

        list_chart_size_filter_controls_dropdown_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_size_filter_controls_dropdown_width_mode
            not in list_chart_size_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_size_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_size_filter_controls_dropdown_width_mode
            in list_chart_size_filter_controls_dropdown_width_mode
            and chart_size_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_size_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["size_by_control"][
                    "dropdown_width_mode"
                ] = filtered_dict[chart_size_filter_controls_dropdown_width_mode]
        self.state["state"]["size_by_control"][
            "dropdown_width_fixed"
        ] = chart_size_filter_controls_dropdown_width_fixed
        self.state["state"]["size_by_control"][
            "slider_width"
        ] = chart_size_filter_controls_slider_width
        self.state["state"]["size_by_control"][
            "slider_max_label_width"
        ] = chart_size_filter_controls_slider_max_label_width
        self.state["state"]["size_by_control"][
            "slider_step_time"
        ] = chart_size_filter_controls_slider_step_time
        self.state["state"]["size_by_control"][
            "slider_loop"
        ] = chart_size_filter_controls_slider_loop
        self.state["state"]["size_by_control"][
            "slider_restart_pause"
        ] = chart_size_filter_controls_slider_restart_pause

        list_chart_size_filter_controls_sort = [True, False] + [None]
        if chart_size_filter_controls_sort not in list_chart_size_filter_controls_sort:
            raise ValueError(
                f"`chart_size_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_size_filter_controls_sort in list_chart_size_filter_controls_sort
            and chart_size_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_size_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["size_by_control"]["sort"] = filtered_dict[
                    chart_size_filter_controls_sort
                ]

        list_ascend_button_visibility = ["always", "editor", "never"] + [None]
        if ascend_button_visibility not in list_ascend_button_visibility:
            raise ValueError(
                f"`ascend_button_visibility` must be one of: ['always', 'editor', 'never']"
            )
        elif (
            ascend_button_visibility in list_ascend_button_visibility
            and ascend_button_visibility is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "always": "always",
                    "editor": "editor",
                    "never": "never",
                }.items()
                if ascend_button_visibility in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["ascend_button_visibility"] = filtered_dict[
                    ascend_button_visibility
                ]
        self.state["state"]["zoom_out_button_color"] = zoom_out_button_color
        self.state["state"]["zoom_out_arrow_color"] = zoom_out_arrow_color

        list_chart_filter_controls_container_alignment = ["start", "center", "end"] + [
            None
        ]
        if (
            chart_filter_controls_container_alignment
            not in list_chart_filter_controls_container_alignment
        ):
            raise ValueError(
                f"`chart_filter_controls_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_filter_controls_container_alignment
            in list_chart_filter_controls_container_alignment
            and chart_filter_controls_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_filter_controls_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_container"]["alignment"] = filtered_dict[
                    chart_filter_controls_container_alignment
                ]
        self.state["state"]["controls_container"][
            "controls_spacing"
        ] = chart_filter_controls_container_controls_spacing
        self.state["state"]["controls_style"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_style"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["controls_style"]["height"] = chart_controls_style_height
        self.state["state"]["dropdown_style"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["dropdown_style"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["dropdown_style"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown_style"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["dropdown_style"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["dropdown_style"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["dropdown_style"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["dropdown_style"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius
        self.state["state"]["button_style"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["button_style"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["button_style"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["button_style"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["button_style"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["button_style"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["button_style"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["button_style"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["button_style"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["button_style"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["button_style"][
            "border_radius"
        ] = chart_button_control_style_border_radius
        self.state["state"]["slider_style"][
            "track_color"
        ] = chart_slider_control_style_track_color
        self.state["state"]["slider_style"][
            "font_color"
        ] = chart_slider_control_style_font_color
        self.state["state"]["slider_style"][
            "handle_color"
        ] = chart_slider_control_style_handle_color
        self.state["state"]["slider_style"][
            "play_color"
        ] = chart_slider_control_style_play_color
        self.state["state"]["slider_style"][
            "track_height"
        ] = chart_slider_control_style_track_height
        self.state["state"]["slider_style"][
            "handle_height"
        ] = chart_slider_control_style_handle_height
        self.state["state"]["slider_style"][
            "play_button"
        ] = chart_slider_control_style_play_button
        self.state["state"]["animation_duration"] = animation_duration
        self.state["state"]["size_by_number_formatter"][
            "prefix"
        ] = size_by_number_formatter_prefix
        self.state["state"]["size_by_number_formatter"][
            "suffix"
        ] = size_by_number_formatter_suffix
        self.state["state"]["size_by_number_formatter"][
            "n_dec"
        ] = size_by_number_formatter_n_dec
        self.state["state"]["size_by_number_formatter"][
            "advanced"
        ] = size_by_number_formatter_advanced

        list_size_by_number_formatter_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            size_by_number_formatter_negative_sign
            not in list_size_by_number_formatter_negative_sign
        ):
            raise ValueError(
                f"`size_by_number_formatter_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            size_by_number_formatter_negative_sign
            in list_size_by_number_formatter_negative_sign
            and size_by_number_formatter_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if size_by_number_formatter_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["size_by_number_formatter"][
                    "negative_sign"
                ] = filtered_dict[size_by_number_formatter_negative_sign]
        self.state["state"]["size_by_number_formatter"][
            "strip_zeros"
        ] = size_by_number_formatter_strip_zeros
        self.state["state"]["size_by_number_formatter"][
            "strip_separator"
        ] = size_by_number_formatter_strip_separator
        self.state["state"]["size_by_number_formatter"][
            "transform_labels"
        ] = size_by_number_formatter_transform_labels

        list_size_by_number_formatter_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            size_by_number_formatter_transform
            not in list_size_by_number_formatter_transform
        ):
            raise ValueError(
                f"`size_by_number_formatter_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            size_by_number_formatter_transform
            in list_size_by_number_formatter_transform
            and size_by_number_formatter_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if size_by_number_formatter_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["size_by_number_formatter"][
                    "transform"
                ] = filtered_dict[size_by_number_formatter_transform]
        self.state["state"]["size_by_number_formatter"][
            "multiply_divide_constant"
        ] = size_by_number_formatter_multiply_divide_constant
        self.state["state"]["size_by_number_formatter"][
            "exponentiate_constant"
        ] = size_by_number_formatter_exponentiate_constant
        self.state["state"]["filter_number_formatter"][
            "prefix"
        ] = filter_number_formatter_prefix
        self.state["state"]["filter_number_formatter"][
            "suffix"
        ] = filter_number_formatter_suffix
        self.state["state"]["filter_number_formatter"][
            "n_dec"
        ] = filter_number_formatter_n_dec
        self.state["state"]["filter_number_formatter"][
            "advanced"
        ] = filter_number_formatter_advanced

        list_filter_number_formatter_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            filter_number_formatter_negative_sign
            not in list_filter_number_formatter_negative_sign
        ):
            raise ValueError(
                f"`filter_number_formatter_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            filter_number_formatter_negative_sign
            in list_filter_number_formatter_negative_sign
            and filter_number_formatter_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if filter_number_formatter_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_number_formatter"][
                    "negative_sign"
                ] = filtered_dict[filter_number_formatter_negative_sign]
        self.state["state"]["filter_number_formatter"][
            "strip_zeros"
        ] = filter_number_formatter_strip_zeros
        self.state["state"]["filter_number_formatter"][
            "strip_separator"
        ] = filter_number_formatter_strip_separator
        self.state["state"]["filter_number_formatter"][
            "transform_labels"
        ] = filter_number_formatter_transform_labels

        list_filter_number_formatter_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            filter_number_formatter_transform
            not in list_filter_number_formatter_transform
        ):
            raise ValueError(
                f"`filter_number_formatter_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            filter_number_formatter_transform in list_filter_number_formatter_transform
            and filter_number_formatter_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if filter_number_formatter_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_number_formatter"][
                    "transform"
                ] = filtered_dict[filter_number_formatter_transform]
        self.state["state"]["filter_number_formatter"][
            "multiply_divide_constant"
        ] = filter_number_formatter_multiply_divide_constant
        self.state["state"]["filter_number_formatter"][
            "exponentiate_constant"
        ] = filter_number_formatter_exponentiate_constant
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        self.state["state"]["url_state"]["enabled"] = chart_url_settings_enabled

        if (
            chart_url_settings_whitelist is not None
            and len(chart_url_settings_whitelist) > 1
            and isinstance(chart_url_settings_whitelist, list)
        ):
            self.state["state"]["url_state"]["whitelist"] = " \n ".join(
                chart_url_settings_whitelist
            )
        else:
            self.state["state"]["url_state"]["whitelist"] = chart_url_settings_whitelist

        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_horserace_details(
        self,
        play_mode: str = None,
        zoom_steps_to_show: float = None,
        value_type: str = None,
        higher_scores_win: bool = None,
        ties_mode: str = None,
        height_mode: str = None,
        padding_top: float = None,
        padding_right: float = None,
        padding_bottom: float = None,
        padding_left: float = None,
        show_buttons: bool = None,
        show_replay: bool = None,
        chart_filter_controls_control_type: str = None,
        chart_filter_controls_control_styles: bool = None,
        chart_filter_controls_control_title: str = None,
        chart_filter_controls_button_group: bool = None,
        chart_filter_controls_button_group_width_mode: str = None,
        chart_filter_controls_button_group_width_fixed: float = None,
        chart_filter_controls_dropdown_width_mode: str = None,
        chart_filter_controls_dropdown_width_fixed: float = None,
        chart_filter_controls_slider_background_color: str = None,
        chart_filter_controls_slider_font_color: str = None,
        chart_filter_controls_slider_handle_color: str = None,
        chart_filter_controls_slider_width: float = None,
        chart_filter_controls_slider_margin: float = None,
        chart_filter_controls_slider_handle_height: float = None,
        chart_filter_controls_slider_track_height: float = None,
        chart_filter_controls_slider_play_button: bool = None,
        chart_filter_controls_slider_loop: bool = None,
        chart_filter_controls_slider_step_time: float = None,
        chart_filter_controls_slider_restart_pause: float = None,
        chart_filter_controls_sort: bool = None,
        filter_include_all: bool = None,
        label_ranks: str = None,
        label_scores: str = None,
        label_replay: str = None,
        filter_all_label: str = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        color_mode: str = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        color_single: str = None,
        color_single_overrides: Union[list, str] = None,
        line_width: float = None,
        line_opacity: float = None,
        curve: str = None,
        shade: bool = None,
        shade_width: float = None,
        shade_opacity: float = None,
        missing: bool = None,
        missing_opacity: float = None,
        missing_width: float = None,
        missing_stroke_dash: float = None,
        start_circle_r: float = None,
        end_circle_r: float = None,
        end_circle_stroke: float = None,
        circle_space_between: float = None,
        end_circle_stroke_bg: bool = None,
        horse_images: bool = None,
        show_labels: str = None,
        animate_scores: bool = None,
        rank_outside_picture: bool = None,
        label_divider: str = None,
        rank_inside_color: str = None,
        chart_labels_max_width: float = None,
        chart_labels_overlap_mode: str = None,
        chart_labels_spreading_margin: float = None,
        chart_labels_data_point_margin: float = None,
        chart_labels_show_only_labels: Union[list, str] = None,
        chart_labels_text_color: str = None,
        chart_labels_text_size: float = None,
        chart_labels_text_bg_color: str = None,
        chart_labels_text_bg_size: float = None,
        chart_labels_text_line_height: float = None,
        chart_labels_text_max_lines: float = None,
        chart_labels_text_weight: str = None,
        chart_labels_lines: str = None,
        chart_labels_line_style: str = None,
        chart_labels_line_color: str = None,
        chart_labels_line_width: float = None,
        chart_labels_line_range: float = None,
        chart_labels_line_padding: float = None,
        chart_x_axis_axis_position: str = None,
        chart_x_axis_y_axis_position: str = None,
        chart_x_axis_numeric_scale_type: str = None,
        chart_x_axis_linear_min: float = None,
        chart_x_axis_linear_max: float = None,
        chart_x_axis_log_min: float = None,
        chart_x_axis_log_max: float = None,
        chart_x_axis_datetime_min: str = None,
        chart_x_axis_datetime_max: str = None,
        chart_x_axis_flip: bool = None,
        chart_x_axis_show_scale_settings: bool = None,
        chart_x_axis_nice: bool = None,
        chart_x_axis_zero_axis: str = None,
        chart_x_axis_title_mode: str = None,
        chart_x_axis_title: str = None,
        chart_x_axis_title_styling: bool = None,
        chart_x_axis_title_weight: str = None,
        chart_x_axis_title_color: str = None,
        chart_x_axis_title_size: float = None,
        chart_x_axis_title_padding: float = None,
        chart_x_axis_tick_label_position: str = None,
        chart_x_axis_tick_label_styling: bool = None,
        chart_x_axis_tick_label_size: float = None,
        chart_x_axis_tick_label_color: str = None,
        chart_x_axis_tick_padding: float = None,
        chart_x_axis_tick_label_angle: str = None,
        chart_x_axis_tick_label_weight: str = None,
        chart_x_axis_tick_label_max_lines: float = None,
        chart_x_axis_tick_label_line_height: float = None,
        chart_x_axis_tick_label_space_mode: str = None,
        chart_x_axis_tick_label_space: float = None,
        chart_x_axis_tick_mode: str = None,
        chart_x_axis_tick_number: float = None,
        chart_x_axis_tick_custom: Union[list, str] = None,
        chart_x_axis_line_and_tick_color: str = None,
        chart_x_axis_line_and_tick_width: float = None,
        chart_x_axis_tick_length: float = None,
        chart_x_axis_tick_side: str = None,
        chart_x_axis_line_visible: bool = None,
        chart_x_axis_edge_padding: float = None,
        chart_x_axis_gridlines_visible: bool = None,
        chart_x_axis_gridlines_styling: bool = None,
        chart_x_axis_gridline_color: str = None,
        chart_x_axis_gridline_style: str = None,
        chart_x_axis_gridline_width: float = None,
        chart_x_axis_gridline_category_dividers: bool = None,
        chart_x_axis_gridline_category_dividers_extend: bool = None,
        chart_y_axis_axis_visible: bool = None,
        chart_y_axis_numeric_scale_type: str = None,
        chart_y_axis_linear_min: float = None,
        chart_y_axis_linear_max: float = None,
        chart_y_axis_log_min: float = None,
        chart_y_axis_log_max: float = None,
        chart_y_axis_datetime_min: str = None,
        chart_y_axis_datetime_max: str = None,
        chart_y_axis_flip: bool = None,
        chart_y_axis_show_scale_settings: bool = None,
        chart_y_axis_nice: bool = None,
        chart_y_axis_zero_axis: str = None,
        chart_y_axis_title_mode: str = None,
        chart_y_axis_title: str = None,
        chart_y_axis_title_styling: bool = None,
        chart_y_axis_title_position: str = None,
        chart_y_axis_title_weight: str = None,
        chart_y_axis_title_color: str = None,
        chart_y_axis_title_size: float = None,
        chart_y_axis_title_padding: float = None,
        chart_y_axis_tick_label_position: str = None,
        chart_y_axis_tick_label_styling: bool = None,
        chart_y_axis_tick_label_size: float = None,
        chart_y_axis_tick_label_color: str = None,
        chart_y_axis_tick_padding: float = None,
        chart_y_axis_tick_label_angle: str = None,
        chart_y_axis_tick_label_weight: str = None,
        chart_y_axis_tick_label_max_lines: float = None,
        chart_y_axis_tick_label_line_height: float = None,
        chart_y_axis_tick_label_space_mode: str = None,
        chart_y_axis_tick_label_space: float = None,
        chart_y_axis_tick_mode: str = None,
        chart_y_axis_tick_number: float = None,
        chart_y_axis_tick_custom: Union[list, str] = None,
        chart_y_axis_line_and_tick_color: str = None,
        chart_y_axis_line_and_tick_width: float = None,
        chart_y_axis_tick_length: float = None,
        chart_y_axis_tick_side: str = None,
        chart_y_axis_line_visible: bool = None,
        chart_y_axis_edge_padding: float = None,
        chart_y_axis_gridlines_visible: bool = None,
        chart_y_axis_gridlines_styling: bool = None,
        chart_y_axis_gridline_color: str = None,
        chart_y_axis_gridline_style: str = None,
        chart_y_axis_gridline_width: float = None,
        chart_y_axis_gridline_category_dividers: bool = None,
        chart_y_axis_gridline_category_dividers_extend: bool = None,
        zoom_y_axis: bool = None,
        caption_background_color: str = None,
        caption_border_color: str = None,
        caption_border_radius: float = None,
        caption_opacity: float = None,
        caption_padding: float = None,
        caption_position: str = None,
        caption_text_width: float = None,
        caption_font_size: float = None,
        caption_text_weight: str = None,
        caption_text_color: str = None,
        caption_mode: str = None,
        caption_text_align_h: str = None,
        caption_text_align_v: str = None,
        caption_image_width: float = None,
        caption_image_position: str = None,
        caption_space_between: float = None,
        stage_duration: float = None,
        update_duration: float = None,
        chart_number_date_format_prefix: str = None,
        chart_number_date_format_suffix: str = None,
        chart_number_date_format_n_dec: float = None,
        chart_number_date_format_advanced: bool = None,
        chart_number_date_format_negative_sign: str = None,
        chart_number_date_format_strip_zeros: bool = None,
        chart_number_date_format_strip_separator: bool = None,
        chart_number_date_format_transform_labels: bool = None,
        chart_number_date_format_transform: str = None,
        chart_number_date_format_multiply_divide_constant: float = None,
        chart_number_date_format_exponentiate_constant: float = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: line chart race.


        :param play_mode: Play mode. In All mode, the entire X axis is visible In Zoomed mode, the X axis is only visible for a specified amount of stages In Reveal mode, the X axis is visible from the start until the current stage Flourish type hint: string, defaults to None.
        :type play_mode: str, optional
        :param zoom_steps_to_show: Visible stages. The number of time slices (each of which is column of data) to show on the X axis.  When in Zoom mode, these time slices are shown to the left and right of the current time.  In Reveal mode, these time slices are shown at the beginning.  (Value is ignored if the number specified is greater than the number of stages in the data.). Flourish type hint: number, defaults to None.
        :type zoom_steps_to_show: float, optional
        :param value_type: Chart mode to show on load. Choices: ranks, scores. Flourish type hint: string, defaults to None.
        :type value_type: str, optional
        :param higher_scores_win: Data type. Choices: True, False. Useful for data where lower scores beat higher scores e.g. race times. Flourish type hint: boolean, defaults to None.
        :type higher_scores_win: bool, optional
        :param ties_mode: Rank ties mode. Choices: competition, dense. What ranks should be given when there are ties? See Wikipedia for an explanation of names. Flourish type hint: string, defaults to None.
        :type ties_mode: str, optional
        :param height_mode: Height mode. Choices: auto, fixed, flexible. In Fill space mode, the lines will be spread out over the available chart height, which by default will be the standard Flourish chart sizes for any given screen width. In this mode, the circles/images may overlap if you have lots of lines.  Match data mode will resize the embedded graphic so there is enough vertical space to avoid overlaps. (Note this wont have any effect if you embed the graphic as a fixed height.)  Auto mode switches between the two modes depending on the number of lines. Flourish type hint: string, defaults to None.
        :type height_mode: str, optional
        :param padding_top: Top. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type padding_top: float, optional
        :param padding_right: Right. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type padding_right: float, optional
        :param padding_bottom: Bottom. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type padding_bottom: float, optional
        :param padding_left: Left (mobile). In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type padding_left: float, optional
        :param show_buttons: Ranks/scores toggle. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type show_buttons: bool, optional
        :param show_replay: Replay button. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type show_replay: bool, optional
        :param chart_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a time slider. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_type: str, optional
        :param chart_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_control_styles: bool, optional
        :param chart_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_title: str, optional
        :param chart_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_button_group: bool, optional
        :param chart_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_button_group_width_mode: str, optional
        :param chart_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_button_group_width_fixed: float, optional
        :param chart_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_dropdown_width_mode: str, optional
        :param chart_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_dropdown_width_fixed: float, optional
        :param chart_filter_controls_slider_background_color: Background. Flourish type hint: color, defaults to None.
        :type chart_filter_controls_slider_background_color: str, optional
        :param chart_filter_controls_slider_font_color: Text. Flourish type hint: color, defaults to None.
        :type chart_filter_controls_slider_font_color: str, optional
        :param chart_filter_controls_slider_handle_color: Handle. Flourish type hint: color, defaults to None.
        :type chart_filter_controls_slider_handle_color: str, optional
        :param chart_filter_controls_slider_width: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_width: float, optional
        :param chart_filter_controls_slider_margin: Label width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_margin: float, optional
        :param chart_filter_controls_slider_handle_height: Height. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_handle_height: float, optional
        :param chart_filter_controls_slider_track_height: Track height. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_track_height: float, optional
        :param chart_filter_controls_slider_play_button: Play button. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_slider_play_button: bool, optional
        :param chart_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_slider_loop: bool, optional
        :param chart_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_step_time: float, optional
        :param chart_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_restart_pause: float, optional
        :param chart_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_sort: bool, optional
        :param filter_include_all: Include “All” option. Flourish type hint: boolean, defaults to None.
        :type filter_include_all: bool, optional
        :param label_ranks: “Ranks”. Flourish type hint: string, defaults to None.
        :type label_ranks: str, optional
        :param label_scores: “Scores”. Flourish type hint: string, defaults to None.
        :type label_scores: str, optional
        :param label_replay: “Replay”. Flourish type hint: string, defaults to None.
        :type label_replay: str, optional
        :param filter_all_label: “All”. Flourish type hint: string, defaults to None.
        :type filter_all_label: str, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Dropdown border styles. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param color_mode: Color mode. Choices: category, line, single. Whether to color by category (if you have a category column set in the Datasheet), by each individual line, or give every line the same color. Flourish type hint: string, defaults to None.
        :type color_mode: str, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param color_single: Single color. Flourish type hint: color, defaults to None.
        :type color_single: str, optional
        :param color_single_overrides: Color overrides. Type the label of the line whose color you want to set, a colon and then a color (using a name, hex-code or rgb).  Multiple colors can be set using multiple lines. For example:   China: red India: #4455AA Brazil: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type color_single_overrides: Union[list, str], optional
        :param line_width: Line width. Flourish type hint: number, defaults to None.
        :type line_width: float, optional
        :param line_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type line_opacity: float, optional
        :param curve: Curve. Choices: curve_linear, curve_monotone_x, curve_natural, curve_step, curve_step_after, curve_step_before. Flourish type hint: string, defaults to None.
        :type curve: str, optional
        :param shade: Shading behind line. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type shade: bool, optional
        :param shade_width: Width. Width in pixels. Flourish type hint: number, defaults to None.
        :type shade_width: float, optional
        :param shade_opacity: Opacity. Set to a value between 0 and 1. Flourish type hint: number, defaults to None.
        :type shade_opacity: float, optional
        :param missing: Lines between missing data points. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type missing: bool, optional
        :param missing_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type missing_opacity: float, optional
        :param missing_width: Width. Flourish type hint: number, defaults to None.
        :type missing_width: float, optional
        :param missing_stroke_dash: Stroke dash. Flourish type hint: number, defaults to None.
        :type missing_stroke_dash: float, optional
        :param start_circle_r: Start radius. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type start_circle_r: float, optional
        :param end_circle_r: End radius. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type end_circle_r: float, optional
        :param end_circle_stroke: End stroke. Flourish type hint: number, defaults to None.
        :type end_circle_stroke: float, optional
        :param circle_space_between: Space between. Minimum space between the circles. The space is ignored when the chart is set to fill available space. Flourish type hint: number, defaults to None.
        :type circle_space_between: float, optional
        :param end_circle_stroke_bg: Stroke color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type end_circle_stroke_bg: bool, optional
        :param horse_images: Image inside circle. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type horse_images: bool, optional
        :param show_labels: Show labels. Choices: always, hover, never. Flourish type hint: string, defaults to None.
        :type show_labels: str, optional
        :param animate_scores: Animate scores. Flourish type hint: boolean, defaults to None.
        :type animate_scores: bool, optional
        :param rank_outside_picture: Value label position. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type rank_outside_picture: bool, optional
        :param label_divider: Divider. The character between label and value. Flourish type hint: string, defaults to None.
        :type label_divider: str, optional
        :param rank_inside_color: Color. Flourish type hint: color, defaults to None.
        :type rank_inside_color: str, optional
        :param chart_labels_max_width: Max label width. The maximum allowed label width. Flourish type hint: number, defaults to None.
        :type chart_labels_max_width: float, optional
        :param chart_labels_overlap_mode: Overlaps. Choices: spread, hide, none. What to do with overlaps. Flourish type hint: string, defaults to None.
        :type chart_labels_overlap_mode: str, optional
        :param chart_labels_spreading_margin: Space between labels. The space left between labels when spreading them out to avoid overlaps. Flourish type hint: number, defaults to None.
        :type chart_labels_spreading_margin: float, optional
        :param chart_labels_data_point_margin: Distance. The space between the data point and the label in rems (a multiple of base font size). Flourish type hint: number, defaults to None.
        :type chart_labels_data_point_margin: float, optional
        :param chart_labels_show_only_labels: Show only certain labels. Manually specify which labels youd like to display (one entry per line that should match entries in the Label column). Flourish type hint: text, defaults to None.
        :type chart_labels_show_only_labels: Union[list, str], optional
        :param chart_labels_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_labels_text_color: str, optional
        :param chart_labels_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_labels_text_size: float, optional
        :param chart_labels_text_bg_color: Outline. Flourish type hint: color, defaults to None.
        :type chart_labels_text_bg_color: str, optional
        :param chart_labels_text_bg_size: Outline width. As a % of the font size. Flourish type hint: number, defaults to None.
        :type chart_labels_text_bg_size: float, optional
        :param chart_labels_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_labels_text_line_height: float, optional
        :param chart_labels_text_max_lines: Max lines. The max number of lines for each label. Flourish type hint: number, defaults to None.
        :type chart_labels_text_max_lines: float, optional
        :param chart_labels_text_weight: Weight. Choices: 400, 700. Flourish type hint: string, defaults to None.
        :type chart_labels_text_weight: str, optional
        :param chart_labels_lines: Connector lines. Choices: auto, on, off. Flourish type hint: string, defaults to None.
        :type chart_labels_lines: str, optional
        :param chart_labels_line_style: Line style. Choices: straight, step. Flourish type hint: string, defaults to None.
        :type chart_labels_line_style: str, optional
        :param chart_labels_line_color: Color. Flourish type hint: color, defaults to None.
        :type chart_labels_line_color: str, optional
        :param chart_labels_line_width: Width. In rems (a multiple of base font size). Flourish type hint: number, defaults to None.
        :type chart_labels_line_width: float, optional
        :param chart_labels_line_range: Length. The width of the space given over to lines; in rems, a multiple of base font size. Flourish type hint: number, defaults to None.
        :type chart_labels_line_range: float, optional
        :param chart_labels_line_padding: Padding. The padding to the left and right of the line; in rems, a multiple of base font size. Flourish type hint: number, defaults to None.
        :type chart_labels_line_padding: float, optional
        :param chart_x_axis_axis_position: Position. Choices: bottom, float-below, float-above, top, off. Flourish type hint: string, defaults to None.
        :type chart_x_axis_axis_position: str, optional
        :param chart_x_axis_y_axis_position: Y value. Vertical position of the X axis on the Y scale. Flourish type hint: string, defaults to None.
        :type chart_x_axis_y_axis_position: str, optional
        :param chart_x_axis_numeric_scale_type: Type. Choices: linear, log. Flourish type hint: string, defaults to None.
        :type chart_x_axis_numeric_scale_type: str, optional
        :param chart_x_axis_linear_min: Min. Flourish type hint: number, defaults to None.
        :type chart_x_axis_linear_min: float, optional
        :param chart_x_axis_linear_max: Max. Flourish type hint: number, defaults to None.
        :type chart_x_axis_linear_max: float, optional
        :param chart_x_axis_log_min: Min. Flourish type hint: number, defaults to None.
        :type chart_x_axis_log_min: float, optional
        :param chart_x_axis_log_max: Max. Flourish type hint: number, defaults to None.
        :type chart_x_axis_log_max: float, optional
        :param chart_x_axis_datetime_min: Min (date). Flourish type hint: string, defaults to None.
        :type chart_x_axis_datetime_min: str, optional
        :param chart_x_axis_datetime_max: Max (date). Flourish type hint: string, defaults to None.
        :type chart_x_axis_datetime_max: str, optional
        :param chart_x_axis_flip: Flip axis. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_flip: bool, optional
        :param chart_x_axis_show_scale_settings: Configure default min/max. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_show_scale_settings: bool, optional
        :param chart_x_axis_nice: Round min/max. Choices: True, False. Enabling this option rounds the X axis start and end values to tidy numbers, such as 0, 50, 100 or whole years. Specified min and max values will override this feature. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_nice: bool, optional
        :param chart_x_axis_zero_axis: Include zero. Choices: auto, on, off. Enable to extend the axis to include zero, even when data is all positive or all negative. This is ignored if you set specific min and max scale values. Flourish type hint: string, defaults to None.
        :type chart_x_axis_zero_axis: str, optional
        :param chart_x_axis_title_mode: Type. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title_mode: str, optional
        :param chart_x_axis_title: Text. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title: str, optional
        :param chart_x_axis_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_title_styling: bool, optional
        :param chart_x_axis_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title_weight: str, optional
        :param chart_x_axis_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_title_color: str, optional
        :param chart_x_axis_title_size: Size. Flourish type hint: number, defaults to None.
        :type chart_x_axis_title_size: float, optional
        :param chart_x_axis_title_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_x_axis_title_padding: float, optional
        :param chart_x_axis_tick_label_position: Position. Choices: default, left, right. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_position: str, optional
        :param chart_x_axis_tick_label_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_tick_label_styling: bool, optional
        :param chart_x_axis_tick_label_size: Size. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_size: float, optional
        :param chart_x_axis_tick_label_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_tick_label_color: str, optional
        :param chart_x_axis_tick_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_padding: float, optional
        :param chart_x_axis_tick_label_angle: Angle. Choices: 0, 30, 45, 60, 90. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_angle: str, optional
        :param chart_x_axis_tick_label_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_weight: str, optional
        :param chart_x_axis_tick_label_max_lines: Max lines. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_max_lines: float, optional
        :param chart_x_axis_tick_label_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_line_height: float, optional
        :param chart_x_axis_tick_label_space_mode: Space mode. Choices: auto, max, fixed. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_space_mode: str, optional
        :param chart_x_axis_tick_label_space: Space. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_space: float, optional
        :param chart_x_axis_tick_mode: Mode. Choices: auto, number, custom. Sets the method for selecting tick values on the axis:  Auto automatically selects the ticks  Number allows you to choose the number of ticks to display.  Custom lets you select specific ticks to show.  Note: If the axis is categorical, Number mode is ignored. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_mode: str, optional
        :param chart_x_axis_tick_number: Number. Approximate number of ticks or gridlines. The actual number will depend on the range of values, chart size, etc. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_number: float, optional
        :param chart_x_axis_tick_custom: One tick label per line. Specify the ticks to show, one per line. For dates, use the input format as specified in the datasheet.  You can also use `{{FIRST}}` and `{{LAST}}` to add ticks at the minimum and maximum of the axis. For example:  `{{FIRST}}` 25000 50000 75000 `{{LAST}}`. Flourish type hint: text, defaults to None.
        :type chart_x_axis_tick_custom: Union[list, str], optional
        :param chart_x_axis_line_and_tick_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_line_and_tick_color: str, optional
        :param chart_x_axis_line_and_tick_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_x_axis_line_and_tick_width: float, optional
        :param chart_x_axis_tick_length: Tick length. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_length: float, optional
        :param chart_x_axis_tick_side: Tick side. Choices: out, in. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_side: str, optional
        :param chart_x_axis_line_visible: Axis line. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_line_visible: bool, optional
        :param chart_x_axis_edge_padding: Edge padding (%). Space between start/end of axis line and first/last category tick as a percentage of the spacing between ticks. Flourish type hint: number, defaults to None.
        :type chart_x_axis_edge_padding: float, optional
        :param chart_x_axis_gridlines_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridlines_visible: bool, optional
        :param chart_x_axis_gridlines_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridlines_styling: bool, optional
        :param chart_x_axis_gridline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_gridline_color: str, optional
        :param chart_x_axis_gridline_style: Style. Choices: solid, dash, dot, dot_dash. Flourish type hint: string, defaults to None.
        :type chart_x_axis_gridline_style: str, optional
        :param chart_x_axis_gridline_width: Width. Flourish type hint: number, defaults to None.
        :type chart_x_axis_gridline_width: float, optional
        :param chart_x_axis_gridline_category_dividers: Put lines between categories. On a categorical axis, this option disables the gridline on each tick and instead adds rules between each category to give a table-like design. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridline_category_dividers: bool, optional
        :param chart_x_axis_gridline_category_dividers_extend: Extend. Extends the dividers into the axis margins. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridline_category_dividers_extend: bool, optional
        :param chart_y_axis_axis_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_axis_visible: bool, optional
        :param chart_y_axis_numeric_scale_type: Type. Choices: linear, log. Flourish type hint: string, defaults to None.
        :type chart_y_axis_numeric_scale_type: str, optional
        :param chart_y_axis_linear_min: Min. Flourish type hint: number, defaults to None.
        :type chart_y_axis_linear_min: float, optional
        :param chart_y_axis_linear_max: Max. Flourish type hint: number, defaults to None.
        :type chart_y_axis_linear_max: float, optional
        :param chart_y_axis_log_min: Min. Flourish type hint: number, defaults to None.
        :type chart_y_axis_log_min: float, optional
        :param chart_y_axis_log_max: Max. Flourish type hint: number, defaults to None.
        :type chart_y_axis_log_max: float, optional
        :param chart_y_axis_datetime_min: Min (date). Flourish type hint: string, defaults to None.
        :type chart_y_axis_datetime_min: str, optional
        :param chart_y_axis_datetime_max: Max (date). Flourish type hint: string, defaults to None.
        :type chart_y_axis_datetime_max: str, optional
        :param chart_y_axis_flip: Flip axis. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_flip: bool, optional
        :param chart_y_axis_show_scale_settings: Configure default min/max. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_show_scale_settings: bool, optional
        :param chart_y_axis_nice: Round min/max. Choices: True, False. When enabled, scales automatically extend to "nice" rounded start/end values, such as hundreds or whole years. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_nice: bool, optional
        :param chart_y_axis_zero_axis: Include zero. Choices: auto, on, off. Whether to extend the axis to include zero if the data values are all positive or all negative. Flourish type hint: string, defaults to None.
        :type chart_y_axis_zero_axis: str, optional
        :param chart_y_axis_title_mode: Type. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_mode: str, optional
        :param chart_y_axis_title: Text. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title: str, optional
        :param chart_y_axis_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_title_styling: bool, optional
        :param chart_y_axis_title_position: Position. Choices: side, end. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_position: str, optional
        :param chart_y_axis_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_weight: str, optional
        :param chart_y_axis_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_title_color: str, optional
        :param chart_y_axis_title_size: Size. Flourish type hint: number, defaults to None.
        :type chart_y_axis_title_size: float, optional
        :param chart_y_axis_title_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_y_axis_title_padding: float, optional
        :param chart_y_axis_tick_label_position: Position. Choices: default, above, below. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_position: str, optional
        :param chart_y_axis_tick_label_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_tick_label_styling: bool, optional
        :param chart_y_axis_tick_label_size: Size. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_size: float, optional
        :param chart_y_axis_tick_label_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_tick_label_color: str, optional
        :param chart_y_axis_tick_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_padding: float, optional
        :param chart_y_axis_tick_label_angle: Angle. Choices: 0, 30, 45, 60, 90. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_angle: str, optional
        :param chart_y_axis_tick_label_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_weight: str, optional
        :param chart_y_axis_tick_label_max_lines: Max lines. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_max_lines: float, optional
        :param chart_y_axis_tick_label_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_line_height: float, optional
        :param chart_y_axis_tick_label_space_mode: Space mode. Choices: auto, max, fixed. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_space_mode: str, optional
        :param chart_y_axis_tick_label_space: Space. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_space: float, optional
        :param chart_y_axis_tick_mode: Mode. Choices: auto, number, custom. Sets the method for selecting tick values on the axis:  Auto automatically selects the ticks  Number allows you to choose the number of ticks to display.  Custom lets you select specific ticks to show.  Note: If the axis is categorical, Number mode is ignored. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_mode: str, optional
        :param chart_y_axis_tick_number: Number. Approximate number of ticks or gridlines. The actual number will depend on the range of values, chart size, etc. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_number: float, optional
        :param chart_y_axis_tick_custom: One tick label per line. Specify the ticks to show, one per line. For dates, use the input format as specified in the datasheet.  You can also use `{{FIRST}}` and `{{LAST}}` to add ticks at the minimum and maximum of the axis. For example:  `{{FIRST}}` 25000 50000 75000 `{{LAST}}`. Flourish type hint: text, defaults to None.
        :type chart_y_axis_tick_custom: Union[list, str], optional
        :param chart_y_axis_line_and_tick_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_line_and_tick_color: str, optional
        :param chart_y_axis_line_and_tick_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_y_axis_line_and_tick_width: float, optional
        :param chart_y_axis_tick_length: Tick length. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_length: float, optional
        :param chart_y_axis_tick_side: Side. Choices: out, in. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_side: str, optional
        :param chart_y_axis_line_visible: Axis line. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_line_visible: bool, optional
        :param chart_y_axis_edge_padding: Edge padding (%). Space between start/end of axis line and first/last category tick as a percentage of the spacing between ticks. Flourish type hint: number, defaults to None.
        :type chart_y_axis_edge_padding: float, optional
        :param chart_y_axis_gridlines_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridlines_visible: bool, optional
        :param chart_y_axis_gridlines_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridlines_styling: bool, optional
        :param chart_y_axis_gridline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_gridline_color: str, optional
        :param chart_y_axis_gridline_style: Style. Choices: solid, dash, dot, dot_dash. Flourish type hint: string, defaults to None.
        :type chart_y_axis_gridline_style: str, optional
        :param chart_y_axis_gridline_width: Width. Flourish type hint: number, defaults to None.
        :type chart_y_axis_gridline_width: float, optional
        :param chart_y_axis_gridline_category_dividers: Put lines between categories. On a categorical axis, this option disables the gridline on each tick and instead adds rules between each category to give a table-like design. Ignored for date and numeric axes. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridline_category_dividers: bool, optional
        :param chart_y_axis_gridline_category_dividers_extend: Extend. Extends the dividers into the axis margins. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridline_category_dividers_extend: bool, optional
        :param zoom_y_axis: Dynamic Y axis. Rescales the y axis when filtering or playing in zoomed mode. Flourish type hint: boolean, defaults to None.
        :type zoom_y_axis: bool, optional
        :param caption_background_color: Background. Flourish type hint: color, defaults to None.
        :type caption_background_color: str, optional
        :param caption_border_color: Border. Flourish type hint: color, defaults to None.
        :type caption_border_color: str, optional
        :param caption_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type caption_border_radius: float, optional
        :param caption_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type caption_opacity: float, optional
        :param caption_padding: Padding. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type caption_padding: float, optional
        :param caption_position: Position. Choices: top-left, center-left, bottom-left, top-right, center-right, bottom-right, top-center, center-center, bottom-center. Flourish type hint: string, defaults to None.
        :type caption_position: str, optional
        :param caption_text_width: Width. Flourish type hint: number, defaults to None.
        :type caption_text_width: float, optional
        :param caption_font_size: Font size. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type caption_font_size: float, optional
        :param caption_text_weight: Weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type caption_text_weight: str, optional
        :param caption_text_color: Color. Flourish type hint: color, defaults to None.
        :type caption_text_color: str, optional
        :param caption_mode: Content mode. Choices: text_legend, html. In Text with colors mode, any phrases matching category names will be automatically colored.  In HTML mode, no colors will be applied, but you can include any HTML in the datasheet to add images, etc. Flourish type hint: string, defaults to None.
        :type caption_mode: str, optional
        :param caption_text_align_h: Horizontal align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type caption_text_align_h: str, optional
        :param caption_text_align_v: Vertical align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type caption_text_align_v: str, optional
        :param caption_image_width: Width. Flourish type hint: number, defaults to None.
        :type caption_image_width: float, optional
        :param caption_image_position: Position. Choices: column, column-reverse, row, row-reverse. Flourish type hint: string, defaults to None.
        :type caption_image_position: str, optional
        :param caption_space_between: Space between. Space between image and text. Flourish type hint: number, defaults to None.
        :type caption_space_between: float, optional
        :param stage_duration: Animation duration. The race animation length, in milliseconds per stage(A stage is equal to each column of your data). Flourish type hint: number, defaults to None.
        :type stage_duration: float, optional
        :param update_duration: Mode duration. The animation duration when change between ranks and scores modes. Flourish type hint: number, defaults to None.
        :type update_duration: float, optional
        :param chart_number_date_format_prefix: Prefix. Text to place in front of a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_prefix: str, optional
        :param chart_number_date_format_suffix: Suffix. Text to place after a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_suffix: str, optional
        :param chart_number_date_format_n_dec: Decimal places. Decimal places. You can also enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_number_date_format_n_dec: float, optional
        :param chart_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_advanced: bool, optional
        :param chart_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_negative_sign: str, optional
        :param chart_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_zeros: bool, optional
        :param chart_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_separator: bool, optional
        :param chart_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_transform_labels: bool, optional
        :param chart_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_transform: str, optional
        :param chart_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_multiply_divide_constant: float, optional
        :param chart_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_exponentiate_constant: float, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "filter_control": {},
                "controls_style": {},
                "button_style": {},
                "dropdown_style": {},
                "color": {},
                "labels": {},
                "x": {},
                "y": {},
                "formatting": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        self.state["state"]["play_mode"] = play_mode
        self.state["state"]["zoom_steps_to_show"] = zoom_steps_to_show

        list_value_type = ["ranks", "scores"] + [None]
        if value_type not in list_value_type:
            raise ValueError(f"`value_type` must be one of: ['ranks', 'scores']")
        elif value_type in list_value_type and value_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"ranks": "ranks", "scores": "scores"}.items()
                if value_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["value_type"] = filtered_dict[value_type]

        list_higher_scores_win = [True, False] + [None]
        if higher_scores_win not in list_higher_scores_win:
            raise ValueError(f"`higher_scores_win` must be one of: [True, False]")
        elif (
            higher_scores_win in list_higher_scores_win
            and higher_scores_win is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if higher_scores_win in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["higher_scores_win"] = filtered_dict[
                    higher_scores_win
                ]

        list_ties_mode = ["competition", "dense"] + [None]
        if ties_mode not in list_ties_mode:
            raise ValueError(f"`ties_mode` must be one of: ['competition', 'dense']")
        elif ties_mode in list_ties_mode and ties_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"competition": "competition", "dense": "dense"}.items()
                if ties_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["ties_mode"] = filtered_dict[ties_mode]

        list_height_mode = ["auto", "fixed", "flexible"] + [None]
        if height_mode not in list_height_mode:
            raise ValueError(
                f"`height_mode` must be one of: ['auto', 'fixed', 'flexible']"
            )
        elif height_mode in list_height_mode and height_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "fixed": "fixed",
                    "flexible": "flexible",
                }.items()
                if height_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["height_mode"] = filtered_dict[height_mode]
        self.state["state"]["padding_top"] = padding_top
        self.state["state"]["padding_right"] = padding_right
        self.state["state"]["padding_bottom"] = padding_bottom
        self.state["state"]["padding_left"] = padding_left

        list_show_buttons = [True, False] + [None]
        if show_buttons not in list_show_buttons:
            raise ValueError(f"`show_buttons` must be one of: [True, False]")
        elif show_buttons in list_show_buttons and show_buttons is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if show_buttons in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["show_buttons"] = filtered_dict[show_buttons]

        list_show_replay = [True, False] + [None]
        if show_replay not in list_show_replay:
            raise ValueError(f"`show_replay` must be one of: [True, False]")
        elif show_replay in list_show_replay and show_replay is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if show_replay in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["show_replay"] = filtered_dict[show_replay]

        list_chart_filter_controls_control_type = ["dropdown", "buttons", "slider"] + [
            None
        ]
        if (
            chart_filter_controls_control_type
            not in list_chart_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_filter_controls_control_type
            in list_chart_filter_controls_control_type
            and chart_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["control_type"] = filtered_dict[
                    chart_filter_controls_control_type
                ]
        self.state["state"]["filter_control"][
            "control_styles"
        ] = chart_filter_controls_control_styles
        self.state["state"]["filter_control"][
            "control_title"
        ] = chart_filter_controls_control_title

        list_chart_filter_controls_button_group = [True, False] + [None]
        if (
            chart_filter_controls_button_group
            not in list_chart_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_button_group
            in list_chart_filter_controls_button_group
            and chart_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["button_group"] = filtered_dict[
                    chart_filter_controls_button_group
                ]

        list_chart_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_filter_controls_button_group_width_mode
            not in list_chart_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_button_group_width_mode
            in list_chart_filter_controls_button_group_width_mode
            and chart_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_filter_controls_button_group_width_mode]
        self.state["state"]["filter_control"][
            "button_group_width_fixed"
        ] = chart_filter_controls_button_group_width_fixed

        list_chart_filter_controls_dropdown_width_mode = ["auto", "full", "fixed"] + [
            None
        ]
        if (
            chart_filter_controls_dropdown_width_mode
            not in list_chart_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_dropdown_width_mode
            in list_chart_filter_controls_dropdown_width_mode
            and chart_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"][
                    "dropdown_width_mode"
                ] = filtered_dict[chart_filter_controls_dropdown_width_mode]
        self.state["state"]["filter_control"][
            "dropdown_width_fixed"
        ] = chart_filter_controls_dropdown_width_fixed
        self.state["state"]["filter_control"][
            "slider_background_color"
        ] = chart_filter_controls_slider_background_color
        self.state["state"]["filter_control"][
            "slider_font_color"
        ] = chart_filter_controls_slider_font_color
        self.state["state"]["filter_control"][
            "slider_handle_color"
        ] = chart_filter_controls_slider_handle_color
        self.state["state"]["filter_control"][
            "slider_width"
        ] = chart_filter_controls_slider_width
        self.state["state"]["filter_control"][
            "slider_margin"
        ] = chart_filter_controls_slider_margin
        self.state["state"]["filter_control"][
            "slider_handle_height"
        ] = chart_filter_controls_slider_handle_height
        self.state["state"]["filter_control"][
            "slider_track_height"
        ] = chart_filter_controls_slider_track_height
        self.state["state"]["filter_control"][
            "slider_play_button"
        ] = chart_filter_controls_slider_play_button
        self.state["state"]["filter_control"][
            "slider_loop"
        ] = chart_filter_controls_slider_loop
        self.state["state"]["filter_control"][
            "slider_step_time"
        ] = chart_filter_controls_slider_step_time
        self.state["state"]["filter_control"][
            "slider_restart_pause"
        ] = chart_filter_controls_slider_restart_pause

        list_chart_filter_controls_sort = [True, False] + [None]
        if chart_filter_controls_sort not in list_chart_filter_controls_sort:
            raise ValueError(
                f"`chart_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_sort in list_chart_filter_controls_sort
            and chart_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["sort"] = filtered_dict[
                    chart_filter_controls_sort
                ]
        self.state["state"]["filter_include_all"] = filter_include_all
        self.state["state"]["label_ranks"] = label_ranks
        self.state["state"]["label_scores"] = label_scores
        self.state["state"]["label_replay"] = label_replay
        self.state["state"]["filter_all_label"] = filter_all_label
        self.state["state"]["controls_style"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_style"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["controls_style"]["height"] = chart_controls_style_height
        self.state["state"]["button_style"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["button_style"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["button_style"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["button_style"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["button_style"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["button_style"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["button_style"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["button_style"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["button_style"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["button_style"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["button_style"][
            "border_radius"
        ] = chart_button_control_style_border_radius
        self.state["state"]["dropdown_style"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["dropdown_style"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["dropdown_style"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown_style"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["dropdown_style"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["dropdown_style"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["dropdown_style"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["dropdown_style"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius

        list_color_mode = ["category", "line", "single"] + [None]
        if color_mode not in list_color_mode:
            raise ValueError(
                f"`color_mode` must be one of: ['category', 'line', 'single']"
            )
        elif color_mode in list_color_mode and color_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "category": "category",
                    "line": "line",
                    "single": "single",
                }.items()
                if color_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color_mode"] = filtered_dict[color_mode]

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max
        self.state["state"]["color_single"] = color_single

        if (
            color_single_overrides is not None
            and len(color_single_overrides) > 1
            and isinstance(color_single_overrides, list)
        ):
            self.state["state"]["color_single_overrides"] = " \n ".join(
                color_single_overrides
            )
        else:
            self.state["state"]["color_single_overrides"] = color_single_overrides

        self.state["state"]["line_width"] = line_width
        self.state["state"]["line_opacity"] = line_opacity

        list_curve = [
            "curve_linear",
            "curve_monotone_x",
            "curve_natural",
            "curve_step",
            "curve_step_after",
            "curve_step_before",
        ] + [None]
        if curve not in list_curve:
            raise ValueError(
                f"`curve` must be one of: ['curve_linear', 'curve_monotone_x', 'curve_natural', 'curve_step', 'curve_step_after', 'curve_step_before']"
            )
        elif curve in list_curve and curve is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "curve_linear": "curveLinear",
                    "curve_monotone_x": "curveMonotoneX",
                    "curve_natural": "curveNatural",
                    "curve_step": "curveStep",
                    "curve_step_after": "curveStepAfter",
                    "curve_step_before": "curveStepBefore",
                }.items()
                if curve in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["curve"] = filtered_dict[curve]

        list_shade = [True, False] + [None]
        if shade not in list_shade:
            raise ValueError(f"`shade` must be one of: [True, False]")
        elif shade in list_shade and shade is not None:
            filtered_dict = {
                k: v for (k, v) in {True: True, False: False}.items() if shade in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["shade"] = filtered_dict[shade]
        self.state["state"]["shade_width"] = shade_width
        self.state["state"]["shade_opacity"] = shade_opacity

        list_missing = [True, False] + [None]
        if missing not in list_missing:
            raise ValueError(f"`missing` must be one of: [True, False]")
        elif missing in list_missing and missing is not None:
            filtered_dict = {
                k: v for (k, v) in {True: True, False: False}.items() if missing in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["missing"] = filtered_dict[missing]
        self.state["state"]["missing_opacity"] = missing_opacity
        self.state["state"]["missing_width"] = missing_width
        self.state["state"]["missing_stroke_dash"] = missing_stroke_dash
        self.state["state"]["start_circle_r"] = start_circle_r
        self.state["state"]["end_circle_r"] = end_circle_r
        self.state["state"]["end_circle_stroke"] = end_circle_stroke
        self.state["state"]["circle_space_between"] = circle_space_between

        list_end_circle_stroke_bg = [True, False] + [None]
        if end_circle_stroke_bg not in list_end_circle_stroke_bg:
            raise ValueError(f"`end_circle_stroke_bg` must be one of: [True, False]")
        elif (
            end_circle_stroke_bg in list_end_circle_stroke_bg
            and end_circle_stroke_bg is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if end_circle_stroke_bg in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["end_circle_stroke_bg"] = filtered_dict[
                    end_circle_stroke_bg
                ]

        list_horse_images = [True, False] + [None]
        if horse_images not in list_horse_images:
            raise ValueError(f"`horse_images` must be one of: [True, False]")
        elif horse_images in list_horse_images and horse_images is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if horse_images in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["horse_images"] = filtered_dict[horse_images]

        list_show_labels = ["always", "hover", "never"] + [None]
        if show_labels not in list_show_labels:
            raise ValueError(
                f"`show_labels` must be one of: ['always', 'hover', 'never']"
            )
        elif show_labels in list_show_labels and show_labels is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "always": "always",
                    "hover": "hover",
                    "never": "never",
                }.items()
                if show_labels in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["show_labels"] = filtered_dict[show_labels]
        self.state["state"]["animate_scores"] = animate_scores

        list_rank_outside_picture = [False, True] + [None]
        if rank_outside_picture not in list_rank_outside_picture:
            raise ValueError(f"`rank_outside_picture` must be one of: [False, True]")
        elif (
            rank_outside_picture in list_rank_outside_picture
            and rank_outside_picture is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if rank_outside_picture in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["rank_outside_picture"] = filtered_dict[
                    rank_outside_picture
                ]
        self.state["state"]["label_divider"] = label_divider
        self.state["state"]["rank_inside_color"] = rank_inside_color
        self.state["state"]["labels"]["max_width"] = chart_labels_max_width

        list_chart_labels_overlap_mode = ["spread", "hide", "none"] + [None]
        if chart_labels_overlap_mode not in list_chart_labels_overlap_mode:
            raise ValueError(
                f"`chart_labels_overlap_mode` must be one of: ['spread', 'hide', 'none']"
            )
        elif (
            chart_labels_overlap_mode in list_chart_labels_overlap_mode
            and chart_labels_overlap_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "spread": "spread",
                    "hide": "hide",
                    "none": "none",
                }.items()
                if chart_labels_overlap_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels"]["overlap_mode"] = filtered_dict[
                    chart_labels_overlap_mode
                ]
        self.state["state"]["labels"][
            "spreading_margin"
        ] = chart_labels_spreading_margin
        self.state["state"]["labels"][
            "data_point_margin"
        ] = chart_labels_data_point_margin

        if (
            chart_labels_show_only_labels is not None
            and len(chart_labels_show_only_labels) > 1
            and isinstance(chart_labels_show_only_labels, list)
        ):
            self.state["state"]["labels"]["show_only_labels"] = " \n ".join(
                chart_labels_show_only_labels
            )
        else:
            self.state["state"]["labels"][
                "show_only_labels"
            ] = chart_labels_show_only_labels

        self.state["state"]["labels"]["text_color"] = chart_labels_text_color
        self.state["state"]["labels"]["text_size"] = chart_labels_text_size
        self.state["state"]["labels"]["text_bg_color"] = chart_labels_text_bg_color
        self.state["state"]["labels"]["text_bg_size"] = chart_labels_text_bg_size
        self.state["state"]["labels"][
            "text_line_height"
        ] = chart_labels_text_line_height
        self.state["state"]["labels"]["text_max_lines"] = chart_labels_text_max_lines

        list_chart_labels_text_weight = [400, 700] + [None]
        if chart_labels_text_weight not in list_chart_labels_text_weight:
            raise ValueError(f"`chart_labels_text_weight` must be one of: [400, 700]")
        elif (
            chart_labels_text_weight in list_chart_labels_text_weight
            and chart_labels_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {400: 400, 700: 700}.items()
                if chart_labels_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels"]["text_weight"] = filtered_dict[
                    chart_labels_text_weight
                ]

        list_chart_labels_lines = ["auto", "on", "off"] + [None]
        if chart_labels_lines not in list_chart_labels_lines:
            raise ValueError(
                f"`chart_labels_lines` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_labels_lines in list_chart_labels_lines
            and chart_labels_lines is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_labels_lines in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels"]["lines"] = filtered_dict[
                    chart_labels_lines
                ]

        list_chart_labels_line_style = ["straight", "step"] + [None]
        if chart_labels_line_style not in list_chart_labels_line_style:
            raise ValueError(
                f"`chart_labels_line_style` must be one of: ['straight', 'step']"
            )
        elif (
            chart_labels_line_style in list_chart_labels_line_style
            and chart_labels_line_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"straight": "straight", "step": "step"}.items()
                if chart_labels_line_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels"]["line_style"] = filtered_dict[
                    chart_labels_line_style
                ]
        self.state["state"]["labels"]["line_color"] = chart_labels_line_color
        self.state["state"]["labels"]["line_width"] = chart_labels_line_width
        self.state["state"]["labels"]["line_range"] = chart_labels_line_range
        self.state["state"]["labels"]["line_padding"] = chart_labels_line_padding

        list_chart_x_axis_axis_position = [
            "bottom",
            "float-below",
            "float-above",
            "top",
            "off",
        ] + [None]
        if chart_x_axis_axis_position not in list_chart_x_axis_axis_position:
            raise ValueError(
                f"`chart_x_axis_axis_position` must be one of: ['bottom', 'float-below', 'float-above', 'top', 'off']"
            )
        elif (
            chart_x_axis_axis_position in list_chart_x_axis_axis_position
            and chart_x_axis_axis_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "bottom": "bottom",
                    "float-below": "float-below",
                    "float-above": "float-above",
                    "top": "top",
                    "off": "off",
                }.items()
                if chart_x_axis_axis_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["axis_position"] = filtered_dict[
                    chart_x_axis_axis_position
                ]
        self.state["state"]["x"]["y_axis_position"] = chart_x_axis_y_axis_position

        list_chart_x_axis_numeric_scale_type = ["linear", "log"] + [None]
        if chart_x_axis_numeric_scale_type not in list_chart_x_axis_numeric_scale_type:
            raise ValueError(
                f"`chart_x_axis_numeric_scale_type` must be one of: ['linear', 'log']"
            )
        elif (
            chart_x_axis_numeric_scale_type in list_chart_x_axis_numeric_scale_type
            and chart_x_axis_numeric_scale_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "log": "log"}.items()
                if chart_x_axis_numeric_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["numeric_scale_type"] = filtered_dict[
                    chart_x_axis_numeric_scale_type
                ]
        self.state["state"]["x"]["linear_min"] = chart_x_axis_linear_min
        self.state["state"]["x"]["linear_max"] = chart_x_axis_linear_max
        self.state["state"]["x"]["log_min"] = chart_x_axis_log_min
        self.state["state"]["x"]["log_max"] = chart_x_axis_log_max
        self.state["state"]["x"]["datetime_min"] = chart_x_axis_datetime_min
        self.state["state"]["x"]["datetime_max"] = chart_x_axis_datetime_max
        self.state["state"]["x"]["flip"] = chart_x_axis_flip
        self.state["state"]["x"][
            "show_scale_settings"
        ] = chart_x_axis_show_scale_settings

        list_chart_x_axis_nice = [True, False] + [None]
        if chart_x_axis_nice not in list_chart_x_axis_nice:
            raise ValueError(f"`chart_x_axis_nice` must be one of: [True, False]")
        elif (
            chart_x_axis_nice in list_chart_x_axis_nice
            and chart_x_axis_nice is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_x_axis_nice in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["nice"] = filtered_dict[chart_x_axis_nice]

        list_chart_x_axis_zero_axis = ["auto", "on", "off"] + [None]
        if chart_x_axis_zero_axis not in list_chart_x_axis_zero_axis:
            raise ValueError(
                f"`chart_x_axis_zero_axis` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_x_axis_zero_axis in list_chart_x_axis_zero_axis
            and chart_x_axis_zero_axis is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_x_axis_zero_axis in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["zero_axis"] = filtered_dict[
                    chart_x_axis_zero_axis
                ]

        list_chart_x_axis_title_mode = ["auto", "custom"] + [None]
        if chart_x_axis_title_mode not in list_chart_x_axis_title_mode:
            raise ValueError(
                f"`chart_x_axis_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_x_axis_title_mode in list_chart_x_axis_title_mode
            and chart_x_axis_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_x_axis_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["title_mode"] = filtered_dict[
                    chart_x_axis_title_mode
                ]
        self.state["state"]["x"]["title"] = chart_x_axis_title
        self.state["state"]["x"]["title_styling"] = chart_x_axis_title_styling

        list_chart_x_axis_title_weight = ["bold", "normal"] + [None]
        if chart_x_axis_title_weight not in list_chart_x_axis_title_weight:
            raise ValueError(
                f"`chart_x_axis_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_x_axis_title_weight in list_chart_x_axis_title_weight
            and chart_x_axis_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_x_axis_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["title_weight"] = filtered_dict[
                    chart_x_axis_title_weight
                ]
        self.state["state"]["x"]["title_color"] = chart_x_axis_title_color
        self.state["state"]["x"]["title_size"] = chart_x_axis_title_size
        self.state["state"]["x"]["title_padding"] = chart_x_axis_title_padding

        list_chart_x_axis_tick_label_position = ["default", "left", "right"] + [None]
        if (
            chart_x_axis_tick_label_position
            not in list_chart_x_axis_tick_label_position
        ):
            raise ValueError(
                f"`chart_x_axis_tick_label_position` must be one of: ['default', 'left', 'right']"
            )
        elif (
            chart_x_axis_tick_label_position in list_chart_x_axis_tick_label_position
            and chart_x_axis_tick_label_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "default": "default",
                    "left": "left",
                    "right": "right",
                }.items()
                if chart_x_axis_tick_label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_position"] = filtered_dict[
                    chart_x_axis_tick_label_position
                ]
        self.state["state"]["x"]["tick_label_styling"] = chart_x_axis_tick_label_styling
        self.state["state"]["x"]["tick_label_size"] = chart_x_axis_tick_label_size
        self.state["state"]["x"]["tick_label_color"] = chart_x_axis_tick_label_color
        self.state["state"]["x"]["tick_padding"] = chart_x_axis_tick_padding

        list_chart_x_axis_tick_label_angle = ["0", "30", "45", "60", "90"] + [None]
        if chart_x_axis_tick_label_angle not in list_chart_x_axis_tick_label_angle:
            raise ValueError(
                f"`chart_x_axis_tick_label_angle` must be one of: ['0', '30', '45', '60', '90']"
            )
        elif (
            chart_x_axis_tick_label_angle in list_chart_x_axis_tick_label_angle
            and chart_x_axis_tick_label_angle is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "30": "30",
                    "45": "45",
                    "60": "60",
                    "90": "90",
                }.items()
                if chart_x_axis_tick_label_angle in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_angle"] = filtered_dict[
                    chart_x_axis_tick_label_angle
                ]

        list_chart_x_axis_tick_label_weight = ["bold", "normal"] + [None]
        if chart_x_axis_tick_label_weight not in list_chart_x_axis_tick_label_weight:
            raise ValueError(
                f"`chart_x_axis_tick_label_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_x_axis_tick_label_weight in list_chart_x_axis_tick_label_weight
            and chart_x_axis_tick_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_x_axis_tick_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_weight"] = filtered_dict[
                    chart_x_axis_tick_label_weight
                ]
        self.state["state"]["x"][
            "tick_label_max_lines"
        ] = chart_x_axis_tick_label_max_lines
        self.state["state"]["x"][
            "tick_label_line_height"
        ] = chart_x_axis_tick_label_line_height

        list_chart_x_axis_tick_label_space_mode = ["auto", "max", "fixed"] + [None]
        if (
            chart_x_axis_tick_label_space_mode
            not in list_chart_x_axis_tick_label_space_mode
        ):
            raise ValueError(
                f"`chart_x_axis_tick_label_space_mode` must be one of: ['auto', 'max', 'fixed']"
            )
        elif (
            chart_x_axis_tick_label_space_mode
            in list_chart_x_axis_tick_label_space_mode
            and chart_x_axis_tick_label_space_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "max": "max", "fixed": "fixed"}.items()
                if chart_x_axis_tick_label_space_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_space_mode"] = filtered_dict[
                    chart_x_axis_tick_label_space_mode
                ]
        self.state["state"]["x"]["tick_label_space"] = chart_x_axis_tick_label_space

        list_chart_x_axis_tick_mode = ["auto", "number", "custom"] + [None]
        if chart_x_axis_tick_mode not in list_chart_x_axis_tick_mode:
            raise ValueError(
                f"`chart_x_axis_tick_mode` must be one of: ['auto', 'number', 'custom']"
            )
        elif (
            chart_x_axis_tick_mode in list_chart_x_axis_tick_mode
            and chart_x_axis_tick_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "number": "number",
                    "custom": "custom",
                }.items()
                if chart_x_axis_tick_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_mode"] = filtered_dict[
                    chart_x_axis_tick_mode
                ]
        self.state["state"]["x"]["tick_number"] = chart_x_axis_tick_number

        if (
            chart_x_axis_tick_custom is not None
            and len(chart_x_axis_tick_custom) > 1
            and isinstance(chart_x_axis_tick_custom, list)
        ):
            self.state["state"]["x"]["tick_custom"] = " \n ".join(
                chart_x_axis_tick_custom
            )
        else:
            self.state["state"]["x"]["tick_custom"] = chart_x_axis_tick_custom

        self.state["state"]["x"][
            "line_and_tick_color"
        ] = chart_x_axis_line_and_tick_color
        self.state["state"]["x"][
            "line_and_tick_width"
        ] = chart_x_axis_line_and_tick_width
        self.state["state"]["x"]["tick_length"] = chart_x_axis_tick_length

        list_chart_x_axis_tick_side = ["out", "in"] + [None]
        if chart_x_axis_tick_side not in list_chart_x_axis_tick_side:
            raise ValueError(f"`chart_x_axis_tick_side` must be one of: ['out', 'in']")
        elif (
            chart_x_axis_tick_side in list_chart_x_axis_tick_side
            and chart_x_axis_tick_side is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"out": "out", "in": "in"}.items()
                if chart_x_axis_tick_side in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_side"] = filtered_dict[
                    chart_x_axis_tick_side
                ]
        self.state["state"]["x"]["line_visible"] = chart_x_axis_line_visible
        self.state["state"]["x"]["edge_padding"] = chart_x_axis_edge_padding

        list_chart_x_axis_gridlines_visible = [True, False] + [None]
        if chart_x_axis_gridlines_visible not in list_chart_x_axis_gridlines_visible:
            raise ValueError(
                f"`chart_x_axis_gridlines_visible` must be one of: [True, False]"
            )
        elif (
            chart_x_axis_gridlines_visible in list_chart_x_axis_gridlines_visible
            and chart_x_axis_gridlines_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_x_axis_gridlines_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["gridlines_visible"] = filtered_dict[
                    chart_x_axis_gridlines_visible
                ]
        self.state["state"]["x"]["gridlines_styling"] = chart_x_axis_gridlines_styling
        self.state["state"]["x"]["gridline_color"] = chart_x_axis_gridline_color

        list_chart_x_axis_gridline_style = ["solid", "dash", "dot", "dot_dash"] + [None]
        if chart_x_axis_gridline_style not in list_chart_x_axis_gridline_style:
            raise ValueError(
                f"`chart_x_axis_gridline_style` must be one of: ['solid', 'dash', 'dot', 'dot_dash']"
            )
        elif (
            chart_x_axis_gridline_style in list_chart_x_axis_gridline_style
            and chart_x_axis_gridline_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dash": "dash",
                    "dot": "dot",
                    "dot_dash": "dot_dash",
                }.items()
                if chart_x_axis_gridline_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["gridline_style"] = filtered_dict[
                    chart_x_axis_gridline_style
                ]
        self.state["state"]["x"]["gridline_width"] = chart_x_axis_gridline_width
        self.state["state"]["x"][
            "gridline_category_dividers"
        ] = chart_x_axis_gridline_category_dividers
        self.state["state"]["x"][
            "gridline_category_dividers_extend"
        ] = chart_x_axis_gridline_category_dividers_extend

        list_chart_y_axis_axis_visible = [True, False] + [None]
        if chart_y_axis_axis_visible not in list_chart_y_axis_axis_visible:
            raise ValueError(
                f"`chart_y_axis_axis_visible` must be one of: [True, False]"
            )
        elif (
            chart_y_axis_axis_visible in list_chart_y_axis_axis_visible
            and chart_y_axis_axis_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_axis_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["axis_visible"] = filtered_dict[
                    chart_y_axis_axis_visible
                ]

        list_chart_y_axis_numeric_scale_type = ["linear", "log"] + [None]
        if chart_y_axis_numeric_scale_type not in list_chart_y_axis_numeric_scale_type:
            raise ValueError(
                f"`chart_y_axis_numeric_scale_type` must be one of: ['linear', 'log']"
            )
        elif (
            chart_y_axis_numeric_scale_type in list_chart_y_axis_numeric_scale_type
            and chart_y_axis_numeric_scale_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "log": "log"}.items()
                if chart_y_axis_numeric_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["numeric_scale_type"] = filtered_dict[
                    chart_y_axis_numeric_scale_type
                ]
        self.state["state"]["y"]["linear_min"] = chart_y_axis_linear_min
        self.state["state"]["y"]["linear_max"] = chart_y_axis_linear_max
        self.state["state"]["y"]["log_min"] = chart_y_axis_log_min
        self.state["state"]["y"]["log_max"] = chart_y_axis_log_max
        self.state["state"]["y"]["datetime_min"] = chart_y_axis_datetime_min
        self.state["state"]["y"]["datetime_max"] = chart_y_axis_datetime_max
        self.state["state"]["y"]["flip"] = chart_y_axis_flip
        self.state["state"]["y"][
            "show_scale_settings"
        ] = chart_y_axis_show_scale_settings

        list_chart_y_axis_nice = [True, False] + [None]
        if chart_y_axis_nice not in list_chart_y_axis_nice:
            raise ValueError(f"`chart_y_axis_nice` must be one of: [True, False]")
        elif (
            chart_y_axis_nice in list_chart_y_axis_nice
            and chart_y_axis_nice is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_nice in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["nice"] = filtered_dict[chart_y_axis_nice]

        list_chart_y_axis_zero_axis = ["auto", "on", "off"] + [None]
        if chart_y_axis_zero_axis not in list_chart_y_axis_zero_axis:
            raise ValueError(
                f"`chart_y_axis_zero_axis` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_y_axis_zero_axis in list_chart_y_axis_zero_axis
            and chart_y_axis_zero_axis is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_y_axis_zero_axis in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["zero_axis"] = filtered_dict[
                    chart_y_axis_zero_axis
                ]

        list_chart_y_axis_title_mode = ["auto", "custom"] + [None]
        if chart_y_axis_title_mode not in list_chart_y_axis_title_mode:
            raise ValueError(
                f"`chart_y_axis_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_y_axis_title_mode in list_chart_y_axis_title_mode
            and chart_y_axis_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_y_axis_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_mode"] = filtered_dict[
                    chart_y_axis_title_mode
                ]
        self.state["state"]["y"]["title"] = chart_y_axis_title
        self.state["state"]["y"]["title_styling"] = chart_y_axis_title_styling

        list_chart_y_axis_title_position = ["side", "end"] + [None]
        if chart_y_axis_title_position not in list_chart_y_axis_title_position:
            raise ValueError(
                f"`chart_y_axis_title_position` must be one of: ['side', 'end']"
            )
        elif (
            chart_y_axis_title_position in list_chart_y_axis_title_position
            and chart_y_axis_title_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"side": "side", "end": "end"}.items()
                if chart_y_axis_title_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_position"] = filtered_dict[
                    chart_y_axis_title_position
                ]

        list_chart_y_axis_title_weight = ["bold", "normal"] + [None]
        if chart_y_axis_title_weight not in list_chart_y_axis_title_weight:
            raise ValueError(
                f"`chart_y_axis_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_y_axis_title_weight in list_chart_y_axis_title_weight
            and chart_y_axis_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_y_axis_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_weight"] = filtered_dict[
                    chart_y_axis_title_weight
                ]
        self.state["state"]["y"]["title_color"] = chart_y_axis_title_color
        self.state["state"]["y"]["title_size"] = chart_y_axis_title_size
        self.state["state"]["y"]["title_padding"] = chart_y_axis_title_padding

        list_chart_y_axis_tick_label_position = ["default", "above", "below"] + [None]
        if (
            chart_y_axis_tick_label_position
            not in list_chart_y_axis_tick_label_position
        ):
            raise ValueError(
                f"`chart_y_axis_tick_label_position` must be one of: ['default', 'above', 'below']"
            )
        elif (
            chart_y_axis_tick_label_position in list_chart_y_axis_tick_label_position
            and chart_y_axis_tick_label_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "default": "default",
                    "above": "above",
                    "below": "below",
                }.items()
                if chart_y_axis_tick_label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_position"] = filtered_dict[
                    chart_y_axis_tick_label_position
                ]
        self.state["state"]["y"]["tick_label_styling"] = chart_y_axis_tick_label_styling
        self.state["state"]["y"]["tick_label_size"] = chart_y_axis_tick_label_size
        self.state["state"]["y"]["tick_label_color"] = chart_y_axis_tick_label_color
        self.state["state"]["y"]["tick_padding"] = chart_y_axis_tick_padding

        list_chart_y_axis_tick_label_angle = ["0", "30", "45", "60", "90"] + [None]
        if chart_y_axis_tick_label_angle not in list_chart_y_axis_tick_label_angle:
            raise ValueError(
                f"`chart_y_axis_tick_label_angle` must be one of: ['0', '30', '45', '60', '90']"
            )
        elif (
            chart_y_axis_tick_label_angle in list_chart_y_axis_tick_label_angle
            and chart_y_axis_tick_label_angle is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "30": "30",
                    "45": "45",
                    "60": "60",
                    "90": "90",
                }.items()
                if chart_y_axis_tick_label_angle in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_angle"] = filtered_dict[
                    chart_y_axis_tick_label_angle
                ]

        list_chart_y_axis_tick_label_weight = ["bold", "normal"] + [None]
        if chart_y_axis_tick_label_weight not in list_chart_y_axis_tick_label_weight:
            raise ValueError(
                f"`chart_y_axis_tick_label_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_y_axis_tick_label_weight in list_chart_y_axis_tick_label_weight
            and chart_y_axis_tick_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_y_axis_tick_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_weight"] = filtered_dict[
                    chart_y_axis_tick_label_weight
                ]
        self.state["state"]["y"][
            "tick_label_max_lines"
        ] = chart_y_axis_tick_label_max_lines
        self.state["state"]["y"][
            "tick_label_line_height"
        ] = chart_y_axis_tick_label_line_height

        list_chart_y_axis_tick_label_space_mode = ["auto", "max", "fixed"] + [None]
        if (
            chart_y_axis_tick_label_space_mode
            not in list_chart_y_axis_tick_label_space_mode
        ):
            raise ValueError(
                f"`chart_y_axis_tick_label_space_mode` must be one of: ['auto', 'max', 'fixed']"
            )
        elif (
            chart_y_axis_tick_label_space_mode
            in list_chart_y_axis_tick_label_space_mode
            and chart_y_axis_tick_label_space_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "max": "max", "fixed": "fixed"}.items()
                if chart_y_axis_tick_label_space_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_space_mode"] = filtered_dict[
                    chart_y_axis_tick_label_space_mode
                ]
        self.state["state"]["y"]["tick_label_space"] = chart_y_axis_tick_label_space

        list_chart_y_axis_tick_mode = ["auto", "number", "custom"] + [None]
        if chart_y_axis_tick_mode not in list_chart_y_axis_tick_mode:
            raise ValueError(
                f"`chart_y_axis_tick_mode` must be one of: ['auto', 'number', 'custom']"
            )
        elif (
            chart_y_axis_tick_mode in list_chart_y_axis_tick_mode
            and chart_y_axis_tick_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "number": "number",
                    "custom": "custom",
                }.items()
                if chart_y_axis_tick_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_mode"] = filtered_dict[
                    chart_y_axis_tick_mode
                ]
        self.state["state"]["y"]["tick_number"] = chart_y_axis_tick_number

        if (
            chart_y_axis_tick_custom is not None
            and len(chart_y_axis_tick_custom) > 1
            and isinstance(chart_y_axis_tick_custom, list)
        ):
            self.state["state"]["y"]["tick_custom"] = " \n ".join(
                chart_y_axis_tick_custom
            )
        else:
            self.state["state"]["y"]["tick_custom"] = chart_y_axis_tick_custom

        self.state["state"]["y"][
            "line_and_tick_color"
        ] = chart_y_axis_line_and_tick_color
        self.state["state"]["y"][
            "line_and_tick_width"
        ] = chart_y_axis_line_and_tick_width
        self.state["state"]["y"]["tick_length"] = chart_y_axis_tick_length

        list_chart_y_axis_tick_side = ["out", "in"] + [None]
        if chart_y_axis_tick_side not in list_chart_y_axis_tick_side:
            raise ValueError(f"`chart_y_axis_tick_side` must be one of: ['out', 'in']")
        elif (
            chart_y_axis_tick_side in list_chart_y_axis_tick_side
            and chart_y_axis_tick_side is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"out": "out", "in": "in"}.items()
                if chart_y_axis_tick_side in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_side"] = filtered_dict[
                    chart_y_axis_tick_side
                ]
        self.state["state"]["y"]["line_visible"] = chart_y_axis_line_visible
        self.state["state"]["y"]["edge_padding"] = chart_y_axis_edge_padding

        list_chart_y_axis_gridlines_visible = [True, False] + [None]
        if chart_y_axis_gridlines_visible not in list_chart_y_axis_gridlines_visible:
            raise ValueError(
                f"`chart_y_axis_gridlines_visible` must be one of: [True, False]"
            )
        elif (
            chart_y_axis_gridlines_visible in list_chart_y_axis_gridlines_visible
            and chart_y_axis_gridlines_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_gridlines_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["gridlines_visible"] = filtered_dict[
                    chart_y_axis_gridlines_visible
                ]
        self.state["state"]["y"]["gridlines_styling"] = chart_y_axis_gridlines_styling
        self.state["state"]["y"]["gridline_color"] = chart_y_axis_gridline_color

        list_chart_y_axis_gridline_style = ["solid", "dash", "dot", "dot_dash"] + [None]
        if chart_y_axis_gridline_style not in list_chart_y_axis_gridline_style:
            raise ValueError(
                f"`chart_y_axis_gridline_style` must be one of: ['solid', 'dash', 'dot', 'dot_dash']"
            )
        elif (
            chart_y_axis_gridline_style in list_chart_y_axis_gridline_style
            and chart_y_axis_gridline_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dash": "dash",
                    "dot": "dot",
                    "dot_dash": "dot_dash",
                }.items()
                if chart_y_axis_gridline_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["gridline_style"] = filtered_dict[
                    chart_y_axis_gridline_style
                ]
        self.state["state"]["y"]["gridline_width"] = chart_y_axis_gridline_width
        self.state["state"]["y"][
            "gridline_category_dividers"
        ] = chart_y_axis_gridline_category_dividers
        self.state["state"]["y"][
            "gridline_category_dividers_extend"
        ] = chart_y_axis_gridline_category_dividers_extend
        self.state["state"]["zoom_y_axis"] = zoom_y_axis
        self.state["state"]["caption_background_color"] = caption_background_color
        self.state["state"]["caption_border_color"] = caption_border_color
        self.state["state"]["caption_border_radius"] = caption_border_radius
        self.state["state"]["caption_opacity"] = caption_opacity
        self.state["state"]["caption_padding"] = caption_padding

        list_caption_position = [
            "top-left",
            "center-left",
            "bottom-left",
            "top-right",
            "center-right",
            "bottom-right",
            "top-center",
            "center-center",
            "bottom-center",
        ] + [None]
        if caption_position not in list_caption_position:
            raise ValueError(
                f"`caption_position` must be one of: ['top-left', 'center-left', 'bottom-left', 'top-right', 'center-right', 'bottom-right', 'top-center', 'center-center', 'bottom-center']"
            )
        elif caption_position in list_caption_position and caption_position is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top-left": "top-left",
                    "center-left": "center-left",
                    "bottom-left": "bottom-left",
                    "top-right": "top-right",
                    "center-right": "center-right",
                    "bottom-right": "bottom-right",
                    "top-center": "top-center",
                    "center-center": "center-center",
                    "bottom-center": "bottom-center",
                }.items()
                if caption_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["caption_position"] = filtered_dict[
                    caption_position
                ]
        self.state["state"]["caption_text_width"] = caption_text_width
        self.state["state"]["caption_font_size"] = caption_font_size

        list_caption_text_weight = ["normal", "bold"] + [None]
        if caption_text_weight not in list_caption_text_weight:
            raise ValueError(
                f"`caption_text_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            caption_text_weight in list_caption_text_weight
            and caption_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if caption_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["caption_text_weight"] = filtered_dict[
                    caption_text_weight
                ]
        self.state["state"]["caption_text_color"] = caption_text_color

        list_caption_mode = ["text_legend", "html"] + [None]
        if caption_mode not in list_caption_mode:
            raise ValueError(f"`caption_mode` must be one of: ['text_legend', 'html']")
        elif caption_mode in list_caption_mode and caption_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"text_legend": "text_legend", "html": "html"}.items()
                if caption_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["caption_mode"] = filtered_dict[caption_mode]

        list_caption_text_align_h = ["start", "center", "end"] + [None]
        if caption_text_align_h not in list_caption_text_align_h:
            raise ValueError(
                f"`caption_text_align_h` must be one of: ['start', 'center', 'end']"
            )
        elif (
            caption_text_align_h in list_caption_text_align_h
            and caption_text_align_h is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if caption_text_align_h in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["caption_text_align_h"] = filtered_dict[
                    caption_text_align_h
                ]

        list_caption_text_align_v = ["flex-start", "center", "flex-end"] + [None]
        if caption_text_align_v not in list_caption_text_align_v:
            raise ValueError(
                f"`caption_text_align_v` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            caption_text_align_v in list_caption_text_align_v
            and caption_text_align_v is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if caption_text_align_v in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["caption_text_align_v"] = filtered_dict[
                    caption_text_align_v
                ]
        self.state["state"]["caption_image_width"] = caption_image_width

        list_caption_image_position = [
            "column",
            "column-reverse",
            "row",
            "row-reverse",
        ] + [None]
        if caption_image_position not in list_caption_image_position:
            raise ValueError(
                f"`caption_image_position` must be one of: ['column', 'column-reverse', 'row', 'row-reverse']"
            )
        elif (
            caption_image_position in list_caption_image_position
            and caption_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "column": "column",
                    "column-reverse": "column-reverse",
                    "row": "row",
                    "row-reverse": "row-reverse",
                }.items()
                if caption_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["caption_image_position"] = filtered_dict[
                    caption_image_position
                ]
        self.state["state"]["caption_space_between"] = caption_space_between
        self.state["state"]["stage_duration"] = stage_duration
        self.state["state"]["update_duration"] = update_duration
        self.state["state"]["formatting"]["prefix"] = chart_number_date_format_prefix
        self.state["state"]["formatting"]["suffix"] = chart_number_date_format_suffix
        self.state["state"]["formatting"]["n_dec"] = chart_number_date_format_n_dec
        self.state["state"]["formatting"][
            "advanced"
        ] = chart_number_date_format_advanced

        list_chart_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_number_date_format_negative_sign
            not in list_chart_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_number_date_format_negative_sign
            in list_chart_number_date_format_negative_sign
            and chart_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["formatting"]["negative_sign"] = filtered_dict[
                    chart_number_date_format_negative_sign
                ]
        self.state["state"]["formatting"][
            "strip_zeros"
        ] = chart_number_date_format_strip_zeros
        self.state["state"]["formatting"][
            "strip_separator"
        ] = chart_number_date_format_strip_separator
        self.state["state"]["formatting"][
            "transform_labels"
        ] = chart_number_date_format_transform_labels

        list_chart_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_number_date_format_transform
            not in list_chart_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_number_date_format_transform
            in list_chart_number_date_format_transform
            and chart_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["formatting"]["transform"] = filtered_dict[
                    chart_number_date_format_transform
                ]
        self.state["state"]["formatting"][
            "multiply_divide_constant"
        ] = chart_number_date_format_multiply_divide_constant
        self.state["state"]["formatting"][
            "exponentiate_constant"
        ] = chart_number_date_format_exponentiate_constant
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_interactive_svg_details(
        self,
        svg_url: str = None,
        svg_width_wide: float = None,
        mobile_view: bool = None,
        mobile_breakpoint: float = None,
        mobile_svg_mode: str = None,
        mobile_svg_url: str = None,
        mobile_svg_width: float = None,
        mobile_content_mode: str = None,
        clickable_svg_animation: str = None,
        clickable_svg_animation_duration: float = None,
        clickable_svg_animation_config: bool = None,
        clickable_svg_animation_attr: str = None,
        clickable_svg_animation_values: str = None,
        clickable_svg_animation_repeat: str = None,
        text_panel_enabled: bool = None,
        h3_default: Union[list, str] = None,
        h3_size: float = None,
        h4_default: Union[list, str] = None,
        h4_size: float = None,
        content_default: Union[list, str] = None,
        content_size: float = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_custom_accessible: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        svg_reset_fonts: bool = None,
        show_css: bool = None,
        stylesheet: Union[list, str] = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: interactive svg.


        :param svg_url: SVG file. Flourish type hint: url, defaults to None.
        :type svg_url: str, optional
        :param svg_width_wide: Image width. The width in percentage of the image in standard wide-screen view. Flourish type hint: number, defaults to None.
        :type svg_width_wide: float, optional
        :param mobile_view: Different mobile view. Flourish type hint: boolean, defaults to None.
        :type mobile_view: bool, optional
        :param mobile_breakpoint: Breakpoint. The size in pixels at which to switch to mobile layout Flourish type hint: number, defaults to None.
        :type mobile_breakpoint: float, optional
        :param mobile_svg_mode: Image on mobile. Choices: none, same, different. Whether to show the image at all on mobile. Flourish type hint: string, defaults to None.
        :type mobile_svg_mode: str, optional
        :param mobile_svg_url: SVG file (mobile). Flourish type hint: url, defaults to None.
        :type mobile_svg_url: str, optional
        :param mobile_svg_width: Width. The width in percentage of the image on a mobile view. Flourish type hint: number, defaults to None.
        :type mobile_svg_width: float, optional
        :param mobile_content_mode: Mobile content mode. Choices: interactive, all, accordion. If turned on all content will display on load in mobile view. Flourish type hint: string, defaults to None.
        :type mobile_content_mode: str, optional
        :param clickable_svg_animation: Animation clickable elements. Choices: off, animation. Flourish type hint: string, defaults to None.
        :type clickable_svg_animation: str, optional
        :param clickable_svg_animation_duration: Duration. The duration of the highlight animation on each clickable element. Flourish type hint: number, defaults to None.
        :type clickable_svg_animation_duration: float, optional
        :param clickable_svg_animation_config: Advanced. Reveal settings to adjust the SVG Animation properties on clickable elements. See Mozilla docs for more detailsFlourish type hint: boolean, defaults to None.
        :type clickable_svg_animation_config: bool, optional
        :param clickable_svg_animation_attr: Attribute. Flourish type hint: string, defaults to None.
        :type clickable_svg_animation_attr: str, optional
        :param clickable_svg_animation_values: Values. Flourish type hint: string, defaults to None.
        :type clickable_svg_animation_values: str, optional
        :param clickable_svg_animation_repeat: Repeat. Flourish type hint: string, defaults to None.
        :type clickable_svg_animation_repeat: str, optional
        :param text_panel_enabled: Text panel enabled. Disable to only show text in popups. Flourish type hint: boolean, defaults to None.
        :type text_panel_enabled: bool, optional
        :param h3_default: Default heading. The text to show on load. Flourish type hint: text, defaults to None.
        :type h3_default: Union[list, str], optional
        :param h3_size: Size. Flourish type hint: number, defaults to None.
        :type h3_size: float, optional
        :param h4_default: Default subheading. The text to show on load. Flourish type hint: text, defaults to None.
        :type h4_default: Union[list, str], optional
        :param h4_size: Size. Flourish type hint: number, defaults to None.
        :type h4_size: float, optional
        :param content_default: Default text. The text to show on load. Flourish type hint: text, defaults to None.
        :type content_default: Union[list, str], optional
        :param content_size: Size. Flourish type hint: number, defaults to None.
        :type content_size: float, optional
        :param chart_popup_mode: Choices: none, popup, panel, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML styling or add category colors to popup headers.  To hide parts of the popup when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML for designs, styles, and images.  To hide parts of the popup when a column is empty use the syntax `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_custom_accessible: Popup custom accessible content. A text alternative to visual custom popup content that will be read out by screenreaders. This content is added as an aria-label attribute to data point elements. You can still use `{{column_name}}` to add values from your data, but do not use HTML. For example: `{{Name}}, Population: {{Population}}, GDP: {{GDP}}`. If left empty, accessible content will fallback to the default popup content. Flourish type hint: text, defaults to None.
        :type chart_popup_popup_custom_accessible: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for styling or add category colors to panel headers.  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for designs, styles, images, videos and embedded Flourish charts,  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing Click position is especially useful when your visualization is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param svg_reset_fonts: Override fonts in SVG. If enabled, font-family styles will be removed in the SVG, allowing the text to be inherited from the current theme or settings. Flourish type hint: boolean, defaults to None.
        :type svg_reset_fonts: bool, optional
        :param show_css: Edit CSS. Flourish type hint: boolean, defaults to None.
        :type show_css: bool, optional
        :param stylesheet: Custom styles. Use the CSS class .clickable-element to target all interactive elements.  When one is clicked, it has the CSS class is .highlighted and the others are .faded. The text for each clickable element is inside a .text-block, which is also .accordion in accordion mode. Flourish type hint: code, defaults to None.
        :type stylesheet: Union[list, str], optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "popup": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        self.state["state"]["svg_url"] = svg_url
        self.state["state"]["svg_width_wide"] = svg_width_wide
        self.state["state"]["mobile_view"] = mobile_view
        self.state["state"]["mobile_breakpoint"] = mobile_breakpoint

        list_mobile_svg_mode = ["none", "same", "different"] + [None]
        if mobile_svg_mode not in list_mobile_svg_mode:
            raise ValueError(
                f"`mobile_svg_mode` must be one of: ['none', 'same', 'different']"
            )
        elif mobile_svg_mode in list_mobile_svg_mode and mobile_svg_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "same": "same",
                    "different": "different",
                }.items()
                if mobile_svg_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["mobile_svg_mode"] = filtered_dict[mobile_svg_mode]
        self.state["state"]["mobile_svg_url"] = mobile_svg_url
        self.state["state"]["mobile_svg_width"] = mobile_svg_width

        list_mobile_content_mode = ["interactive", "all", "accordion"] + [None]
        if mobile_content_mode not in list_mobile_content_mode:
            raise ValueError(
                f"`mobile_content_mode` must be one of: ['interactive', 'all', 'accordion']"
            )
        elif (
            mobile_content_mode in list_mobile_content_mode
            and mobile_content_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "interactive": "interactive",
                    "all": "all",
                    "accordion": "accordion",
                }.items()
                if mobile_content_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["mobile_content_mode"] = filtered_dict[
                    mobile_content_mode
                ]

        list_clickable_svg_animation = ["off", "animation"] + [None]
        if clickable_svg_animation not in list_clickable_svg_animation:
            raise ValueError(
                f"`clickable_svg_animation` must be one of: ['off', 'animation']"
            )
        elif (
            clickable_svg_animation in list_clickable_svg_animation
            and clickable_svg_animation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"off": "off", "animation": "animation"}.items()
                if clickable_svg_animation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["clickable_svg_animation"] = filtered_dict[
                    clickable_svg_animation
                ]
        self.state["state"][
            "clickable_svg_animation_duration"
        ] = clickable_svg_animation_duration
        self.state["state"][
            "clickable_svg_animation_config"
        ] = clickable_svg_animation_config
        self.state["state"][
            "clickable_svg_animation_attr"
        ] = clickable_svg_animation_attr
        self.state["state"][
            "clickable_svg_animation_values"
        ] = clickable_svg_animation_values
        self.state["state"][
            "clickable_svg_animation_repeat"
        ] = clickable_svg_animation_repeat
        self.state["state"]["text_panel_enabled"] = text_panel_enabled

        if (
            h3_default is not None
            and len(h3_default) > 1
            and isinstance(h3_default, list)
        ):
            self.state["state"]["h3_default"] = " \n ".join(h3_default)
        else:
            self.state["state"]["h3_default"] = h3_default

        self.state["state"]["h3_size"] = h3_size

        if (
            h4_default is not None
            and len(h4_default) > 1
            and isinstance(h4_default, list)
        ):
            self.state["state"]["h4_default"] = " \n ".join(h4_default)
        else:
            self.state["state"]["h4_default"] = h4_default

        self.state["state"]["h4_size"] = h4_size

        if (
            content_default is not None
            and len(content_default) > 1
            and isinstance(content_default, list)
        ):
            self.state["state"]["content_default"] = " \n ".join(content_default)
        else:
            self.state["state"]["content_default"] = content_default

        self.state["state"]["content_size"] = content_size

        list_chart_popup_mode = ["none", "popup", "panel", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'panel', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "panel": "panel",
                    "both": "both",
                }.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popup"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popup"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popup"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        if (
            chart_popup_popup_custom_accessible is not None
            and len(chart_popup_popup_custom_accessible) > 1
            and isinstance(chart_popup_popup_custom_accessible, list)
        ):
            self.state["state"]["popup"]["popup_custom_accessible"] = " \n ".join(
                chart_popup_popup_custom_accessible
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_accessible"
            ] = chart_popup_popup_custom_accessible

        self.state["state"]["popup"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popup"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popup"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popup"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popup"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popup"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popup"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popup"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popup"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_label_weight"] = filtered_dict[
                    chart_popup_popup_list_label_weight
                ]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popup"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popup"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popup"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popup"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popup"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popup"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popup"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popup"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popup"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popup"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popup"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popup"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popup"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popup"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popup"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_vertical_position"] = filtered_dict[
                    chart_popup_panel_vertical_position
                ]
        self.state["state"]["popup"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popup"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popup"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popup"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popup"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popup"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_label_weight"] = filtered_dict[
                    chart_popup_panel_list_label_weight
                ]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popup"]["panel_shadow"] = chart_popup_panel_shadow
        self.state["state"]["svg_reset_fonts"] = svg_reset_fonts
        self.state["state"]["show_css"] = show_css

        if (
            stylesheet is not None
            and len(stylesheet) > 1
            and isinstance(stylesheet, list)
        ):
            self.state["state"]["stylesheet"] = " \n ".join(stylesheet)
        else:
            self.state["state"]["stylesheet"] = stylesheet

        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_line_bar_pie_details(
        self,
        dual_axis: bool = None,
        secondary_series: float = None,
        stack_sort: str = None,
        facet_layout: str = None,
        height_mode: str = None,
        facet_aspect: float = None,
        facet_aspect_mobile: float = None,
        facet_aspect_breakpoint: float = None,
        sort_mode: str = None,
        chart_facet_columns_fixed: bool = None,
        chart_facet_min_width: float = None,
        chart_facet_max_width: float = None,
        chart_facet_columns: float = None,
        chart_facet_gutter_w: float = None,
        chart_facet_gutter_h: float = None,
        chart_facet_animation: str = None,
        chart_facet_titles: bool = None,
        chart_facet_title_align: str = None,
        chart_facet_title_size: float = None,
        chart_facet_title_unit: str = None,
        chart_facet_title_color: str = None,
        chart_facet_title_padding_top: float = None,
        chart_facet_title_padding_bottom: float = None,
        chart_facet_title_bg: str = None,
        chart_facet_title_bg_color: str = None,
        chart_facet_title_bg_padding: float = None,
        x_axis_matching: bool = None,
        x_axis_last_row_only: bool = None,
        y_axis_matching: bool = None,
        y_axis_first_col_only: bool = None,
        y2_axis_matching: bool = None,
        y2_axis_last_col_only: bool = None,
        series_filter_mode: str = None,
        series_control_multi_text: str = None,
        series_control_multi_none_text: str = None,
        series_control_select_text: str = None,
        max_series: float = None,
        series_control_background: str = None,
        series_control_text: str = None,
        series_control_border: str = None,
        series_control_pill_background: str = None,
        series_control_pill_text: str = None,
        series_control_pill_radius: float = None,
        series_control_single_all: bool = None,
        series_control_single_all_text: str = None,
        filter_rows_with_no_data: bool = None,
        chart_series_filter_controls_control_type: str = None,
        chart_series_filter_controls_control_styles: bool = None,
        chart_series_filter_controls_control_title: str = None,
        chart_series_filter_controls_button_group: bool = None,
        chart_series_filter_controls_button_group_width_mode: str = None,
        chart_series_filter_controls_button_group_width_fixed: float = None,
        chart_series_filter_controls_dropdown_width_mode: str = None,
        chart_series_filter_controls_dropdown_width_fixed: float = None,
        chart_series_filter_controls_slider_width: float = None,
        chart_series_filter_controls_slider_max_label_width: float = None,
        chart_series_filter_controls_slider_step_time: float = None,
        chart_series_filter_controls_slider_loop: bool = None,
        chart_series_filter_controls_slider_restart_pause: float = None,
        chart_series_filter_controls_sort: bool = None,
        row_filter_control_all: bool = None,
        row_filter_control_all_text: str = None,
        chart_row_filter_controls_control_type: str = None,
        chart_row_filter_controls_control_styles: bool = None,
        chart_row_filter_controls_control_title: str = None,
        chart_row_filter_controls_button_group: bool = None,
        chart_row_filter_controls_button_group_width_mode: str = None,
        chart_row_filter_controls_button_group_width_fixed: float = None,
        chart_row_filter_controls_dropdown_width_mode: str = None,
        chart_row_filter_controls_dropdown_width_fixed: float = None,
        chart_row_filter_controls_slider_width: float = None,
        chart_row_filter_controls_slider_max_label_width: float = None,
        chart_row_filter_controls_slider_step_time: float = None,
        chart_row_filter_controls_slider_loop: bool = None,
        chart_row_filter_controls_slider_restart_pause: float = None,
        chart_row_filter_controls_sort: bool = None,
        log_control_y_visible: bool = None,
        chart_log_control_y_filter_controls_control_type: str = None,
        chart_log_control_y_filter_controls_control_styles: bool = None,
        chart_log_control_y_filter_controls_control_title: str = None,
        chart_log_control_y_filter_controls_button_group: bool = None,
        chart_log_control_y_filter_controls_button_group_width_mode: str = None,
        chart_log_control_y_filter_controls_button_group_width_fixed: float = None,
        chart_log_control_y_filter_controls_dropdown_width_mode: str = None,
        chart_log_control_y_filter_controls_dropdown_width_fixed: float = None,
        chart_log_control_y_filter_controls_slider_width: float = None,
        chart_log_control_y_filter_controls_slider_max_label_width: float = None,
        chart_log_control_y_filter_controls_slider_step_time: float = None,
        chart_log_control_y_filter_controls_slider_loop: bool = None,
        chart_log_control_y_filter_controls_slider_restart_pause: float = None,
        chart_log_control_y_filter_controls_sort: bool = None,
        log_control_y_text_linear: str = None,
        log_control_y_text_log: str = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_filter_controls_container_alignment: str = None,
        chart_filter_controls_container_controls_spacing: float = None,
        controls_position: str = None,
        color_mode: str = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        line_width: float = None,
        line_opacity: float = None,
        line_stroke: bool = None,
        line_curve: str = None,
        line_dash_items: Union[list, str] = None,
        line_dash_width: float = None,
        line_dash_space_width: float = None,
        line_interpolate: bool = None,
        shade_between_lines: bool = None,
        shade_between_lines_config: Union[list, str] = None,
        shade_between_lines_color: str = None,
        shade_between_lines_opacity: float = None,
        area_opacity: float = None,
        dot_mode: str = None,
        dot_opacity: float = None,
        dot_radius: float = None,
        dot_radius_last: float = None,
        dot_hollow: bool = None,
        bar_height: float = None,
        column_opacity: float = None,
        uniform_column_width: bool = None,
        uniform_bar_height: bool = None,
        column_padding_inner: float = None,
        column_padding_in_group: float = None,
        column_padding_stack: float = None,
        column_stroke: bool = None,
        column_stroke_opacity: float = None,
        column_stroke_color: str = None,
        donut_inner_radius: float = None,
        donut_corner_radius: float = None,
        donut_pad_angle: float = None,
        donut_auto_scale: bool = None,
        bar_labels_above: bool = None,
        bar_labels_color: str = None,
        bar_labels_font_size: float = None,
        bar_labels_weight: str = None,
        line_end_labels: bool = None,
        chart_line_labels_max_width: float = None,
        chart_line_labels_overlap_mode: str = None,
        chart_line_labels_spreading_margin: float = None,
        chart_line_labels_data_point_margin: float = None,
        chart_line_labels_show_only_labels: Union[list, str] = None,
        chart_line_labels_text_color: str = None,
        chart_line_labels_text_size: float = None,
        chart_line_labels_text_bg_color: str = None,
        chart_line_labels_text_bg_size: float = None,
        chart_line_labels_text_line_height: float = None,
        chart_line_labels_text_max_lines: float = None,
        chart_line_labels_text_weight: str = None,
        chart_line_labels_lines: str = None,
        chart_line_labels_line_style: str = None,
        chart_line_labels_line_color: str = None,
        chart_line_labels_line_width: float = None,
        chart_line_labels_line_range: float = None,
        chart_line_labels_line_padding: float = None,
        labels: bool = None,
        labels_hide_overlaps: bool = None,
        labels_dot_center: bool = None,
        labels_column_align: str = None,
        labels_column_padding: float = None,
        labels_bar_align: str = None,
        labels_bar_autohide: bool = None,
        labels_color_mode: str = None,
        labels_fixed_color: str = None,
        labels_font_weight: str = None,
        labels_font_size_mode: str = None,
        labels_font_size: float = None,
        labels_bg_mode: str = None,
        labels_bg_size: float = None,
        labels_content: str = None,
        stack_labels: bool = None,
        stack_labels_color: str = None,
        stack_labels_font_size: float = None,
        stack_labels_weight: str = None,
        chart_x_axis_axis_position: str = None,
        chart_x_axis_y_axis_position: str = None,
        chart_x_axis_numeric_scale_type: str = None,
        chart_x_axis_linear_min: float = None,
        chart_x_axis_linear_max: float = None,
        chart_x_axis_log_min: float = None,
        chart_x_axis_log_max: float = None,
        chart_x_axis_datetime_min: str = None,
        chart_x_axis_datetime_max: str = None,
        chart_x_axis_flip: bool = None,
        chart_x_axis_show_scale_settings: bool = None,
        chart_x_axis_nice: bool = None,
        chart_x_axis_zero_axis: str = None,
        chart_x_axis_title_mode: str = None,
        chart_x_axis_title: str = None,
        chart_x_axis_title_styling: bool = None,
        chart_x_axis_title_weight: str = None,
        chart_x_axis_title_color: str = None,
        chart_x_axis_title_size: float = None,
        chart_x_axis_title_padding: float = None,
        chart_x_axis_tick_label_position: str = None,
        chart_x_axis_tick_label_styling: bool = None,
        chart_x_axis_tick_label_size: float = None,
        chart_x_axis_tick_label_color: str = None,
        chart_x_axis_tick_padding: float = None,
        chart_x_axis_tick_label_angle: str = None,
        chart_x_axis_tick_label_weight: str = None,
        chart_x_axis_tick_label_max_lines: float = None,
        chart_x_axis_tick_label_line_height: float = None,
        chart_x_axis_tick_label_space_mode: str = None,
        chart_x_axis_tick_label_space: float = None,
        chart_x_axis_tick_mode: str = None,
        chart_x_axis_tick_number: float = None,
        chart_x_axis_tick_custom: Union[list, str] = None,
        chart_x_axis_line_and_tick_color: str = None,
        chart_x_axis_line_and_tick_width: float = None,
        chart_x_axis_tick_length: float = None,
        chart_x_axis_tick_side: str = None,
        chart_x_axis_line_visible: bool = None,
        chart_x_axis_edge_padding: float = None,
        chart_x_axis_gridlines_visible: bool = None,
        chart_x_axis_gridlines_styling: bool = None,
        chart_x_axis_gridline_color: str = None,
        chart_x_axis_gridline_style: str = None,
        chart_x_axis_gridline_width: float = None,
        chart_x_axis_gridline_category_dividers: bool = None,
        chart_x_axis_gridline_category_dividers_extend: bool = None,
        chart_y_axis_axis_visible: bool = None,
        chart_y_axis_numeric_scale_type: str = None,
        chart_y_axis_linear_min: float = None,
        chart_y_axis_linear_max: float = None,
        chart_y_axis_log_min: float = None,
        chart_y_axis_log_max: float = None,
        chart_y_axis_datetime_min: str = None,
        chart_y_axis_datetime_max: str = None,
        chart_y_axis_flip: bool = None,
        chart_y_axis_show_scale_settings: bool = None,
        chart_y_axis_nice: bool = None,
        chart_y_axis_zero_axis: str = None,
        chart_y_axis_title_mode: str = None,
        chart_y_axis_title: str = None,
        chart_y_axis_title_styling: bool = None,
        chart_y_axis_title_position: str = None,
        chart_y_axis_title_weight: str = None,
        chart_y_axis_title_color: str = None,
        chart_y_axis_title_size: float = None,
        chart_y_axis_title_padding: float = None,
        chart_y_axis_tick_label_position: str = None,
        chart_y_axis_tick_label_styling: bool = None,
        chart_y_axis_tick_label_size: float = None,
        chart_y_axis_tick_label_color: str = None,
        chart_y_axis_tick_padding: float = None,
        chart_y_axis_tick_label_angle: str = None,
        chart_y_axis_tick_label_weight: str = None,
        chart_y_axis_tick_label_max_lines: float = None,
        chart_y_axis_tick_label_line_height: float = None,
        chart_y_axis_tick_label_space_mode: str = None,
        chart_y_axis_tick_label_space: float = None,
        chart_y_axis_tick_mode: str = None,
        chart_y_axis_tick_number: float = None,
        chart_y_axis_tick_custom: Union[list, str] = None,
        chart_y_axis_line_and_tick_color: str = None,
        chart_y_axis_line_and_tick_width: float = None,
        chart_y_axis_tick_length: float = None,
        chart_y_axis_tick_side: str = None,
        chart_y_axis_line_visible: bool = None,
        chart_y_axis_edge_padding: float = None,
        chart_y_axis_gridlines_visible: bool = None,
        chart_y_axis_gridlines_styling: bool = None,
        chart_y_axis_gridline_color: str = None,
        chart_y_axis_gridline_style: str = None,
        chart_y_axis_gridline_width: float = None,
        chart_y_axis_gridline_category_dividers: bool = None,
        chart_y_axis_gridline_category_dividers_extend: bool = None,
        chart_secondary_y_axis_axis_visible: bool = None,
        chart_secondary_y_axis_numeric_scale_type: str = None,
        chart_secondary_y_axis_linear_min: float = None,
        chart_secondary_y_axis_linear_max: float = None,
        chart_secondary_y_axis_log_min: float = None,
        chart_secondary_y_axis_log_max: float = None,
        chart_secondary_y_axis_datetime_min: str = None,
        chart_secondary_y_axis_datetime_max: str = None,
        chart_secondary_y_axis_flip: bool = None,
        chart_secondary_y_axis_show_scale_settings: bool = None,
        chart_secondary_y_axis_nice: bool = None,
        chart_secondary_y_axis_zero_axis: str = None,
        chart_secondary_y_axis_title_mode: str = None,
        chart_secondary_y_axis_title: str = None,
        chart_secondary_y_axis_title_styling: bool = None,
        chart_secondary_y_axis_title_position: str = None,
        chart_secondary_y_axis_title_weight: str = None,
        chart_secondary_y_axis_title_color: str = None,
        chart_secondary_y_axis_title_size: float = None,
        chart_secondary_y_axis_title_padding: float = None,
        chart_secondary_y_axis_tick_label_position: str = None,
        chart_secondary_y_axis_tick_label_styling: bool = None,
        chart_secondary_y_axis_tick_label_size: float = None,
        chart_secondary_y_axis_tick_label_color: str = None,
        chart_secondary_y_axis_tick_padding: float = None,
        chart_secondary_y_axis_tick_label_angle: str = None,
        chart_secondary_y_axis_tick_label_weight: str = None,
        chart_secondary_y_axis_tick_label_max_lines: float = None,
        chart_secondary_y_axis_tick_label_line_height: float = None,
        chart_secondary_y_axis_tick_label_space_mode: str = None,
        chart_secondary_y_axis_tick_label_space: float = None,
        chart_secondary_y_axis_tick_mode: str = None,
        chart_secondary_y_axis_tick_number: float = None,
        chart_secondary_y_axis_tick_custom: Union[list, str] = None,
        chart_secondary_y_axis_line_and_tick_color: str = None,
        chart_secondary_y_axis_line_and_tick_width: float = None,
        chart_secondary_y_axis_tick_length: float = None,
        chart_secondary_y_axis_tick_side: str = None,
        chart_secondary_y_axis_line_visible: bool = None,
        chart_secondary_y_axis_edge_padding: float = None,
        chart_secondary_y_axis_gridlines_visible: bool = None,
        chart_secondary_y_axis_gridlines_styling: bool = None,
        chart_secondary_y_axis_gridline_color: str = None,
        chart_secondary_y_axis_gridline_style: str = None,
        chart_secondary_y_axis_gridline_width: float = None,
        chart_secondary_y_axis_gridline_category_dividers: bool = None,
        chart_secondary_y_axis_gridline_category_dividers_extend: bool = None,
        chart_background_background_color_enabled: bool = None,
        chart_background_background_image_enabled: bool = None,
        chart_background_background_color: str = None,
        chart_background_background_image_src: str = None,
        chart_background_background_image_size: str = None,
        chart_background_background_image_position: str = None,
        number_format_labels_prefix: str = None,
        number_format_labels_suffix: str = None,
        number_format_labels_n_dec: float = None,
        number_format_labels_advanced: bool = None,
        number_format_labels_negative_sign: str = None,
        number_format_labels_strip_zeros: bool = None,
        number_format_labels_strip_separator: bool = None,
        number_format_labels_transform_labels: bool = None,
        number_format_labels_transform: str = None,
        number_format_labels_multiply_divide_constant: float = None,
        number_format_labels_exponentiate_constant: float = None,
        chart_number_date_format_prefix: str = None,
        chart_number_date_format_suffix: str = None,
        chart_number_date_format_n_dec: float = None,
        chart_number_date_format_advanced: bool = None,
        chart_number_date_format_negative_sign: str = None,
        chart_number_date_format_strip_zeros: bool = None,
        chart_number_date_format_strip_separator: bool = None,
        chart_number_date_format_transform_labels: bool = None,
        chart_number_date_format_transform: str = None,
        chart_number_date_format_multiply_divide_constant: float = None,
        chart_number_date_format_exponentiate_constant: float = None,
        number_format_prop: bool = None,
        chart_secondary_number_date_format_prefix: str = None,
        chart_secondary_number_date_format_suffix: str = None,
        chart_secondary_number_date_format_n_dec: float = None,
        chart_secondary_number_date_format_advanced: bool = None,
        chart_secondary_number_date_format_negative_sign: str = None,
        chart_secondary_number_date_format_strip_zeros: bool = None,
        chart_secondary_number_date_format_strip_separator: bool = None,
        chart_secondary_number_date_format_transform_labels: bool = None,
        chart_secondary_number_date_format_transform: str = None,
        chart_secondary_number_date_format_multiply_divide_constant: float = None,
        chart_secondary_number_date_format_exponentiate_constant: float = None,
        legend_mode: str = None,
        legend_filter_mode: str = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        chart_categorical_legend_show_legend: bool = None,
        chart_categorical_legend_title_mode: str = None,
        chart_categorical_legend_title: str = None,
        chart_categorical_legend_swatch_width: float = None,
        chart_categorical_legend_swatch_height: float = None,
        chart_categorical_legend_swatch_radius: float = None,
        chart_categorical_legend_legend_items_padding: float = None,
        chart_categorical_legend_swatch_outline: bool = None,
        chart_categorical_legend_swatch_outline_color: str = None,
        chart_categorical_legend_order_override: Union[list, str] = None,
        chart_categorical_legend_icon_height: float = None,
        chart_categorical_legend_icon_color: str = None,
        chart_categorical_legend_max_width: float = None,
        chart_categorical_legend_orientation: str = None,
        legend_position: str = None,
        text_legend: str = None,
        text_legend_title: bool = None,
        text_legend_subtitle: bool = None,
        text_legend_bold: bool = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_custom_accessible: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        popup_color_headers: bool = None,
        show_series_text: bool = None,
        popup_series_text: Union[list, str] = None,
        chart_axes_highlights_placement: str = None,
        chart_axes_highlights_x_enabled: bool = None,
        chart_axes_highlights_x_lines: Union[list, str] = None,
        chart_axes_highlights_x_line_color: str = None,
        chart_axes_highlights_x_line_width: float = None,
        chart_axes_highlights_x_line_dash: float = None,
        chart_axes_highlights_x_areas: Union[list, str] = None,
        chart_axes_highlights_x_area_color: str = None,
        chart_axes_highlights_x_area_opacity: float = None,
        chart_axes_highlights_x_area_texture: str = None,
        chart_axes_highlights_x_label_vertical: bool = None,
        chart_axes_highlights_x_label_y_position: str = None,
        chart_axes_highlights_x_label_x_position: str = None,
        chart_axes_highlights_x_label_max_width: float = None,
        chart_axes_highlights_x_font_size: float = None,
        chart_axes_highlights_x_font_weight: str = None,
        chart_axes_highlights_x_label_color: str = None,
        chart_axes_highlights_x_shadow_color: str = None,
        chart_axes_highlights_x_shadow_enabled: bool = None,
        chart_axes_highlights_y_enabled: bool = None,
        chart_axes_highlights_y_lines: Union[list, str] = None,
        chart_axes_highlights_y_line_color: str = None,
        chart_axes_highlights_y_line_width: float = None,
        chart_axes_highlights_y_line_dash: float = None,
        chart_axes_highlights_y_areas: Union[list, str] = None,
        chart_axes_highlights_y_area_color: str = None,
        chart_axes_highlights_y_area_opacity: float = None,
        chart_axes_highlights_y_area_texture: str = None,
        chart_axes_highlights_y_label_x_position: str = None,
        chart_axes_highlights_y_label_y_position: str = None,
        chart_axes_highlights_y_label_max_width: float = None,
        chart_axes_highlights_y_font_size: float = None,
        chart_axes_highlights_y_font_weight: str = None,
        chart_axes_highlights_y_label_color: str = None,
        chart_axes_highlights_y_shadow_color: str = None,
        chart_axes_highlights_y_shadow_enabled: bool = None,
        annotations_styles: bool = None,
        chart_annotations_defaults_text_weight: str = None,
        chart_annotations_defaults_text_size: float = None,
        chart_annotations_defaults_text_color: str = None,
        chart_annotations_defaults_label_width: float = None,
        chart_annotations_defaults_text_background_mode: str = None,
        chart_annotations_defaults_text_bg: str = None,
        chart_annotations_defaults_label_bg: str = None,
        chart_annotations_defaults_text_alignment: str = None,
        chart_annotations_defaults_popup_position: str = None,
        chart_annotations_defaults_line_marker: str = None,
        chart_annotations_defaults_stroke_width: float = None,
        chart_annotations_defaults_stroke_color: str = None,
        chart_annotations_defaults_connector_extend_line: str = None,
        data_trans_duration: float = None,
        animate_on_load: bool = None,
        data_trans_bind_series: bool = None,
        data_trans_bind_data_points: bool = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
        chart_url_settings_enabled: bool = None,
        chart_url_settings_whitelist: Union[list, str] = None,
    ):
        """
        Set chart details for: line, bar and pie charts.


        :param dual_axis: Axis type. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type dual_axis: bool, optional
        :param secondary_series: Number of combo lines. In  line-bar mode , sets how many of your value columns are treated as lines. In  line-line mode , sets how many lines use the right axis.  The order counts from the start, so if you want column B as a line and A as a column, set the order in the column bindings to "B, A". Flourish type hint: number, defaults to None.
        :type secondary_series: float, optional
        :param stack_sort: Stack sort mode. Choices: data, ascending, descending. Whether each stack is in the default order or sorted by value. Use ascending or descending with a stacked area chart to make a "bump" area chart. Flourish type hint: string, defaults to None.
        :type stack_sort: str, optional
        :param facet_layout: Grid mode. Choices: single, facets. By default,  Grid of charts  creates a mini chart for each series.  If Grid of charts is set in your column bindings, a mini chart will be created for each unique value in your specified column. Flourish type hint: string, defaults to None.
        :type facet_layout: str, optional
        :param height_mode: Height mode. Choices: auto, fill_space, aspect. Auto: sets the height based on the chart type, data and width.  Standard: uses the default Flourish responsive sizing.  Aspect ratio: sets the aspect of each plot.  This setting is ignored when embedded in a fixed-height context, such as a simple iframe embedFlourish type hint: string, defaults to None.
        :type height_mode: str, optional
        :param facet_aspect: Aspect (desktop). Aspect ratio of each plot in desktop mode, where 1 is square, above 1 is wider, and below 1 is taller. Flourish type hint: number, defaults to None.
        :type facet_aspect: float, optional
        :param facet_aspect_mobile: Aspect (mobile). Aspect of each plot in mobile mode, where 1 is square, above 1 is wider, and below 1 is taller. Flourish type hint: number, defaults to None.
        :type facet_aspect_mobile: float, optional
        :param facet_aspect_breakpoint: Breakpoint. The width at which mobile mode ends and desktop begins. Flourish type hint: number, defaults to None.
        :type facet_aspect_breakpoint: float, optional
        :param sort_mode: Sort mode. Choices: data, value, label. Flourish type hint: string, defaults to None.
        :type sort_mode: str, optional
        :param chart_facet_columns_fixed: Number of columns. Choices: False, True. In Auto mode, the number of columns will change with screen size. Flourish type hint: boolean, defaults to None.
        :type chart_facet_columns_fixed: bool, optional
        :param chart_facet_min_width: Min chart width. Determines how many columns of charts are displayed in the grid. Ignored if you specify a fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_min_width: float, optional
        :param chart_facet_max_width: Max chart width. Determines how many columns of charts are in the grid. Ignored if you specify a fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_max_width: float, optional
        :param chart_facet_columns: Fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_columns: float, optional
        :param chart_facet_gutter_w: Horizontal margin. Flourish type hint: number, defaults to None.
        :type chart_facet_gutter_w: float, optional
        :param chart_facet_gutter_h: Vertical margin. Flourish type hint: number, defaults to None.
        :type chart_facet_gutter_h: float, optional
        :param chart_facet_animation: On data change. Choices: auto, name, reuse. If a chart in the grid is removed, that cell can either be animated out (with another cell moving to take its place) or reused for the new data in that cell. Auto decides for you based on the data. Flourish type hint: string, defaults to None.
        :type chart_facet_animation: str, optional
        :param chart_facet_titles: Show titles. Flourish type hint: boolean, defaults to None.
        :type chart_facet_titles: bool, optional
        :param chart_facet_title_align: Alignment. Choices: auto, left, center, right. Flourish type hint: string, defaults to None.
        :type chart_facet_title_align: str, optional
        :param chart_facet_title_size: Size. Relative to the width of the chart. Flourish type hint: number, defaults to None.
        :type chart_facet_title_size: float, optional
        :param chart_facet_title_unit: Scale with chart. Choices: rem, facet. Flourish type hint: string, defaults to None.
        :type chart_facet_title_unit: str, optional
        :param chart_facet_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_facet_title_color: str, optional
        :param chart_facet_title_padding_top: Space above. Flourish type hint: number, defaults to None.
        :type chart_facet_title_padding_top: float, optional
        :param chart_facet_title_padding_bottom: Space below. Flourish type hint: number, defaults to None.
        :type chart_facet_title_padding_bottom: float, optional
        :param chart_facet_title_bg: Background. Choices: none, full, text. Flourish type hint: string, defaults to None.
        :type chart_facet_title_bg: str, optional
        :param chart_facet_title_bg_color: Color. Flourish type hint: color, defaults to None.
        :type chart_facet_title_bg_color: str, optional
        :param chart_facet_title_bg_padding: Padding. Horizontal space between text and background. Flourish type hint: number, defaults to None.
        :type chart_facet_title_bg_padding: float, optional
        :param x_axis_matching: Same across grid. Ensure the X scale is the same across the grid. Flourish type hint: boolean, defaults to None.
        :type x_axis_matching: bool, optional
        :param x_axis_last_row_only: Last row only. Only show the X axis on the last row, where possible. Ignored if the X axis is not positioned at the bottom. Flourish type hint: boolean, defaults to None.
        :type x_axis_last_row_only: bool, optional
        :param y_axis_matching: Same across grid. Ensure the Y scale is the same across the grid. Flourish type hint: boolean, defaults to None.
        :type y_axis_matching: bool, optional
        :param y_axis_first_col_only: First column only. Only show the Y axis on the first column of the grid, where possible. Flourish type hint: boolean, defaults to None.
        :type y_axis_first_col_only: bool, optional
        :param y2_axis_matching: Same across grid. Ensure the secondary Y scale is the same across the grid. Flourish type hint: boolean, defaults to None.
        :type y2_axis_matching: bool, optional
        :param y2_axis_last_col_only: Last column only. Only show the secondary Y axis on the last column of the grid, where possible. Flourish type hint: boolean, defaults to None.
        :type y2_axis_last_col_only: bool, optional
        :param series_filter_mode: Series filter. Choices: none, single, multi. Filter control for series/columns. The user can also filter by clicking on the legend, except in single select mode.  Use the animation settings panel to determine whether series animate when changing the filter. Flourish type hint: string, defaults to None.
        :type series_filter_mode: str, optional
        :param series_control_multi_text: Placeholder text. Flourish type hint: string, defaults to None.
        :type series_control_multi_text: str, optional
        :param series_control_multi_none_text: No more results text. Flourish type hint: string, defaults to None.
        :type series_control_multi_none_text: str, optional
        :param series_control_select_text: Select text. Flourish type hint: string, defaults to None.
        :type series_control_select_text: str, optional
        :param max_series: Max series to show. Limits the number of series/columns that will be visualized at once. Flourish type hint: number, defaults to None.
        :type max_series: float, optional
        :param series_control_background: Background. Flourish type hint: color, defaults to None.
        :type series_control_background: str, optional
        :param series_control_text: Text. Flourish type hint: color, defaults to None.
        :type series_control_text: str, optional
        :param series_control_border: Border. Flourish type hint: color, defaults to None.
        :type series_control_border: str, optional
        :param series_control_pill_background: Background. Flourish type hint: color, defaults to None.
        :type series_control_pill_background: str, optional
        :param series_control_pill_text: Text. Flourish type hint: color, defaults to None.
        :type series_control_pill_text: str, optional
        :param series_control_pill_radius: Border radius. Flourish type hint: number, defaults to None.
        :type series_control_pill_radius: float, optional
        :param series_control_single_all: Include "All". Flourish type hint: boolean, defaults to None.
        :type series_control_single_all: bool, optional
        :param series_control_single_all_text: Name for "All". Flourish type hint: string, defaults to None.
        :type series_control_single_all_text: str, optional
        :param filter_rows_with_no_data: Filter rows that have no data. This setting filters rows that have no data, this is useful in combination with filters and datasets that have a lot of empty cells. Flourish type hint: boolean, defaults to None.
        :type filter_rows_with_no_data: bool, optional
        :param chart_series_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_series_filter_controls_control_type: str, optional
        :param chart_series_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_series_filter_controls_control_styles: bool, optional
        :param chart_series_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_series_filter_controls_control_title: str, optional
        :param chart_series_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_series_filter_controls_button_group: bool, optional
        :param chart_series_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_series_filter_controls_button_group_width_mode: str, optional
        :param chart_series_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_series_filter_controls_button_group_width_fixed: float, optional
        :param chart_series_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_series_filter_controls_dropdown_width_mode: str, optional
        :param chart_series_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_series_filter_controls_dropdown_width_fixed: float, optional
        :param chart_series_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_series_filter_controls_slider_width: float, optional
        :param chart_series_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_series_filter_controls_slider_max_label_width: float, optional
        :param chart_series_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_series_filter_controls_slider_step_time: float, optional
        :param chart_series_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_series_filter_controls_slider_loop: bool, optional
        :param chart_series_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_series_filter_controls_slider_restart_pause: float, optional
        :param chart_series_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_series_filter_controls_sort: bool, optional
        :param row_filter_control_all: Include "All". Flourish type hint: boolean, defaults to None.
        :type row_filter_control_all: bool, optional
        :param row_filter_control_all_text: Name for "All". Flourish type hint: string, defaults to None.
        :type row_filter_control_all_text: str, optional
        :param chart_row_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_row_filter_controls_control_type: str, optional
        :param chart_row_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_row_filter_controls_control_styles: bool, optional
        :param chart_row_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_row_filter_controls_control_title: str, optional
        :param chart_row_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_row_filter_controls_button_group: bool, optional
        :param chart_row_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_row_filter_controls_button_group_width_mode: str, optional
        :param chart_row_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_row_filter_controls_button_group_width_fixed: float, optional
        :param chart_row_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_row_filter_controls_dropdown_width_mode: str, optional
        :param chart_row_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_row_filter_controls_dropdown_width_fixed: float, optional
        :param chart_row_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_row_filter_controls_slider_width: float, optional
        :param chart_row_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_row_filter_controls_slider_max_label_width: float, optional
        :param chart_row_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_row_filter_controls_slider_step_time: float, optional
        :param chart_row_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_row_filter_controls_slider_loop: bool, optional
        :param chart_row_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_row_filter_controls_slider_restart_pause: float, optional
        :param chart_row_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_row_filter_controls_sort: bool, optional
        :param log_control_y_visible: Show log control for Y axis. Adds a tabbed control to allow users to switch between log and linear Y scales. Flourish type hint: boolean, defaults to None.
        :type log_control_y_visible: bool, optional
        :param chart_log_control_y_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_log_control_y_filter_controls_control_type: str, optional
        :param chart_log_control_y_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_log_control_y_filter_controls_control_styles: bool, optional
        :param chart_log_control_y_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_log_control_y_filter_controls_control_title: str, optional
        :param chart_log_control_y_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_log_control_y_filter_controls_button_group: bool, optional
        :param chart_log_control_y_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_log_control_y_filter_controls_button_group_width_mode: str, optional
        :param chart_log_control_y_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_log_control_y_filter_controls_button_group_width_fixed: float, optional
        :param chart_log_control_y_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_log_control_y_filter_controls_dropdown_width_mode: str, optional
        :param chart_log_control_y_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_log_control_y_filter_controls_dropdown_width_fixed: float, optional
        :param chart_log_control_y_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_log_control_y_filter_controls_slider_width: float, optional
        :param chart_log_control_y_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_log_control_y_filter_controls_slider_max_label_width: float, optional
        :param chart_log_control_y_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_log_control_y_filter_controls_slider_step_time: float, optional
        :param chart_log_control_y_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_log_control_y_filter_controls_slider_loop: bool, optional
        :param chart_log_control_y_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_log_control_y_filter_controls_slider_restart_pause: float, optional
        :param chart_log_control_y_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_log_control_y_filter_controls_sort: bool, optional
        :param log_control_y_text_linear: Linear text. Flourish type hint: string, defaults to None.
        :type log_control_y_text_linear: str, optional
        :param log_control_y_text_log: Log text. Flourish type hint: string, defaults to None.
        :type log_control_y_text_log: str, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Dropdown border styles. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_filter_controls_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_container_alignment: str, optional
        :param chart_filter_controls_container_controls_spacing: Spacing. The space between controls, like dropdowns and adjacent button sets, in em units. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_container_controls_spacing: float, optional
        :param controls_position: Control position. Choices: log_series_row, series_log_row, log_row_series, series_row_log, row_log_series, row_series_log. If you have two or more controls turned on for your chart, you can change the order the controls appear. Flourish type hint: string, defaults to None.
        :type controls_position: str, optional
        :param color_mode: Color mode. Choices: column, row. By column will set the colors by series. Each column listed in the value column binding in the datasheet will have a different color.  By row will instead set the color depending on the datas label/time column binding. Flourish type hint: string, defaults to None.
        :type color_mode: str, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param line_width: Width. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type line_width: float, optional
        :param line_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type line_opacity: float, optional
        :param line_stroke: Outline. Add a stroke around your lines to enhance visibility when overlapping. Flourish type hint: boolean, defaults to None.
        :type line_stroke: bool, optional
        :param line_curve: Line curve. Choices: curve_linear, curve_monotone_x, curve_natural, curve_step, curve_step_before, curve_step_after. Flourish type hint: string, defaults to None.
        :type line_curve: str, optional
        :param line_dash_items: Dashed lines. Specify the series that you would like to display with a dashed line. Multiple dashed lines can be set using multiple lines. For example:  Party 1 Party 2 Party 3. Flourish type hint: text, defaults to None.
        :type line_dash_items: Union[list, str], optional
        :param line_dash_width: Dash width. Flourish type hint: number, defaults to None.
        :type line_dash_width: float, optional
        :param line_dash_space_width: Space width. Flourish type hint: number, defaults to None.
        :type line_dash_space_width: float, optional
        :param line_interpolate: Missing data points. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type line_interpolate: bool, optional
        :param shade_between_lines: Shade areas between lines. Shade the gap between any two lines on your chart. Flourish type hint: boolean, defaults to None.
        :type shade_between_lines: bool, optional
        :param shade_between_lines_config: Which lines to shade between. Specify each area as a pair of line names separated by `::`. For example:  Series A :: Series B Series C :: Series D  You can optionally add a specific color and opacity for each area, e.g.  `Series A :: Series B :: red :: 0.1`. Flourish type hint: text, defaults to None.
        :type shade_between_lines_config: Union[list, str], optional
        :param shade_between_lines_color: Color. Flourish type hint: color, defaults to None.
        :type shade_between_lines_color: str, optional
        :param shade_between_lines_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type shade_between_lines_opacity: float, optional
        :param area_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type area_opacity: float, optional
        :param dot_mode: Choices: auto, on, off. " Auto will automatically show dots on lines if fewer than 250 data points. Note: avoid showing dots for large datasets since it can lead to poor performance issues and poor-looking charts". Flourish type hint: string, defaults to None.
        :type dot_mode: str, optional
        :param dot_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type dot_opacity: float, optional
        :param dot_radius: Radius. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type dot_radius: float, optional
        :param dot_radius_last: Final dot scale (%). Making the last point on a line larger can help emphasise the final value. This will usually be the dot furthest right on the axis. Flourish type hint: number, defaults to None.
        :type dot_radius_last: float, optional
        :param dot_hollow: Hollow. Flourish type hint: boolean, defaults to None.
        :type dot_hollow: bool, optional
        :param bar_height: Bar height. The approximate height of the bar, the exact height depends on padding and label style. Specified in rems Ignored if the chart is embedded at a fixed height. Flourish type hint: number, defaults to None.
        :type bar_height: float, optional
        :param column_opacity: Bar opacity. Flourish type hint: number, defaults to None.
        :type column_opacity: float, optional
        :param uniform_column_width: Uniform column width. Flourish type hint: boolean, defaults to None.
        :type uniform_column_width: bool, optional
        :param uniform_bar_height: Uniform bar height. Flourish type hint: boolean, defaults to None.
        :type uniform_bar_height: bool, optional
        :param column_padding_inner: Spacing (main). Space between bar stacks or groups, as a % of the width of a whole bar stack or group. Flourish type hint: number, defaults to None.
        :type column_padding_inner: float, optional
        :param column_padding_in_group: Spacing (in group). Space between bars in groups, as a % of the width of a single bar in the group. Ignored if only a single series is selected. Flourish type hint: number, defaults to None.
        :type column_padding_in_group: float, optional
        :param column_padding_stack: Spacing (in stack). Space each bar in the stack, in tenths of a rem Flourish type hint: number, defaults to None.
        :type column_padding_stack: float, optional
        :param column_stroke: Outline. Add a stroke around your columns or bars (same color as text). Flourish type hint: boolean, defaults to None.
        :type column_stroke: bool, optional
        :param column_stroke_opacity: Outline opacity. Flourish type hint: number, defaults to None.
        :type column_stroke_opacity: float, optional
        :param column_stroke_color: Outline color. Flourish type hint: color, defaults to None.
        :type column_stroke_color: str, optional
        :param donut_inner_radius: Doughnut hole (%). Flourish type hint: number, defaults to None.
        :type donut_inner_radius: float, optional
        :param donut_corner_radius: Corner curve (pixels). Flourish type hint: number, defaults to None.
        :type donut_corner_radius: float, optional
        :param donut_pad_angle: Segment padding (degrees). Flourish type hint: number, defaults to None.
        :type donut_pad_angle: float, optional
        :param donut_auto_scale: Scale pies based on data. Scale each pie chart in the grid so that the area of each pie/donut reflect its value. Flourish type hint: boolean, defaults to None.
        :type donut_auto_scale: bool, optional
        :param bar_labels_above: Label style. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type bar_labels_above: bool, optional
        :param bar_labels_color: Color. Flourish type hint: color, defaults to None.
        :type bar_labels_color: str, optional
        :param bar_labels_font_size: Size. When in Standard or Aspect ratio height mode, the font size of the labels will be limited to the space available. In remsFlourish type hint: number, defaults to None.
        :type bar_labels_font_size: float, optional
        :param bar_labels_weight: Choices: 600, 400. Flourish type hint: string, defaults to None.
        :type bar_labels_weight: str, optional
        :param line_end_labels: Show labels on lines. Show series labels on the end of lines if theres enough space. Flourish type hint: boolean, defaults to None.
        :type line_end_labels: bool, optional
        :param chart_line_labels_max_width: Max label width. The maximum allowed label width. Flourish type hint: number, defaults to None.
        :type chart_line_labels_max_width: float, optional
        :param chart_line_labels_overlap_mode: Overlaps. Choices: spread, hide, none. What to do with overlaps. Flourish type hint: string, defaults to None.
        :type chart_line_labels_overlap_mode: str, optional
        :param chart_line_labels_spreading_margin: Space between labels. The space left between labels when spreading them out to avoid overlaps. Flourish type hint: number, defaults to None.
        :type chart_line_labels_spreading_margin: float, optional
        :param chart_line_labels_data_point_margin: Distance. The space between the data point and the label in rems (a multiple of base font size). Flourish type hint: number, defaults to None.
        :type chart_line_labels_data_point_margin: float, optional
        :param chart_line_labels_show_only_labels: Show only certain labels. Manually specify which labels youd like to display (one entry per line that should match headers from the Values columns). Flourish type hint: text, defaults to None.
        :type chart_line_labels_show_only_labels: Union[list, str], optional
        :param chart_line_labels_text_color: Color. If cleared, uses the main text color from the Layout settings panel. Flourish type hint: color, defaults to None.
        :type chart_line_labels_text_color: str, optional
        :param chart_line_labels_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_line_labels_text_size: float, optional
        :param chart_line_labels_text_bg_color: Outline. If cleared, uses the main background color from the Layout settings panel. Flourish type hint: color, defaults to None.
        :type chart_line_labels_text_bg_color: str, optional
        :param chart_line_labels_text_bg_size: Outline width. As a % of the font size. Flourish type hint: number, defaults to None.
        :type chart_line_labels_text_bg_size: float, optional
        :param chart_line_labels_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_line_labels_text_line_height: float, optional
        :param chart_line_labels_text_max_lines: Max lines. The max number of lines for each label. Flourish type hint: number, defaults to None.
        :type chart_line_labels_text_max_lines: float, optional
        :param chart_line_labels_text_weight: Weight. Choices: 400, 700. Flourish type hint: string, defaults to None.
        :type chart_line_labels_text_weight: str, optional
        :param chart_line_labels_lines: Connector lines. Choices: auto, on, off. Flourish type hint: string, defaults to None.
        :type chart_line_labels_lines: str, optional
        :param chart_line_labels_line_style: Line style. Choices: straight, step. Flourish type hint: string, defaults to None.
        :type chart_line_labels_line_style: str, optional
        :param chart_line_labels_line_color: Color. If cleared, uses the main text color from the Layout settings panel. Flourish type hint: color, defaults to None.
        :type chart_line_labels_line_color: str, optional
        :param chart_line_labels_line_width: Width. In rems (a multiple of base font size). Flourish type hint: number, defaults to None.
        :type chart_line_labels_line_width: float, optional
        :param chart_line_labels_line_range: Length. The width of the space given over to lines; in rems, a multiple of base font size. Flourish type hint: number, defaults to None.
        :type chart_line_labels_line_range: float, optional
        :param chart_line_labels_line_padding: Padding. The padding to the left and right of the line; in rems, a multiple of base font size. Flourish type hint: number, defaults to None.
        :type chart_line_labels_line_padding: float, optional
        :param labels: Show labels on data points. Flourish type hint: boolean, defaults to None.
        :type labels: bool, optional
        :param labels_hide_overlaps: Hide overlapping labels. Flourish type hint: boolean, defaults to None.
        :type labels_hide_overlaps: bool, optional
        :param labels_dot_center: Position labels on center of dot. Flourish type hint: boolean, defaults to None.
        :type labels_dot_center: bool, optional
        :param labels_column_align: Bar label alignment. Choices: bottom, middle, top, above. The final above option puts the labels above the bars in standard column charts. In stacked charts, where the space above the stack is reserved for stack total the labels falls back to top alignment. Flourish type hint: string, defaults to None.
        :type labels_column_align: str, optional
        :param labels_column_padding: Padding. Space above or below, as a proportion of the font size in rems Flourish type hint: number, defaults to None.
        :type labels_column_padding: float, optional
        :param labels_bar_align: Label alignment. Choices: left, center, right, out. In stacked bar charts the final out (outside of bar) option falls back to right alignment, since the space after the stack is reserved for stack total labels (see below). Flourish type hint: string, defaults to None.
        :type labels_bar_align: str, optional
        :param labels_bar_autohide: Hide if too big. Turn off to force labels to show, even if they will overflow the bars. Ignored when labels are not inside the bars. Flourish type hint: boolean, defaults to None.
        :type labels_bar_autohide: bool, optional
        :param labels_color_mode: Text color. Choices: auto, data, contrast, fixed. Contrast mode is black or white depending on the color of the data point (or the background color for labels positioned over the background). Flourish type hint: string, defaults to None.
        :type labels_color_mode: str, optional
        :param labels_fixed_color: Color. Flourish type hint: color, defaults to None.
        :type labels_fixed_color: str, optional
        :param labels_font_weight: Weight. Choices: 600, 400. Flourish type hint: string, defaults to None.
        :type labels_font_weight: str, optional
        :param labels_font_size_mode: Size. Choices: auto, fixed. Flourish type hint: string, defaults to None.
        :type labels_font_size_mode: str, optional
        :param labels_font_size: Size. Flourish type hint: number, defaults to None.
        :type labels_font_size: float, optional
        :param labels_bg_mode: Outline. Choices: on, off. A text outline/background can make the text more readable by increasing contrast. Flourish type hint: string, defaults to None.
        :type labels_bg_mode: str, optional
        :param labels_bg_size: Size. Size of the background, as % of text size. Flourish type hint: number, defaults to None.
        :type labels_bg_size: float, optional
        :param labels_content: Label content. Choices: auto, value, label, both. Flourish type hint: string, defaults to None.
        :type labels_content: str, optional
        :param stack_labels: Show labels for stack totals. Flourish type hint: boolean, defaults to None.
        :type stack_labels: bool, optional
        :param stack_labels_color: Color. Flourish type hint: color, defaults to None.
        :type stack_labels_color: str, optional
        :param stack_labels_font_size: Size. Flourish type hint: number, defaults to None.
        :type stack_labels_font_size: float, optional
        :param stack_labels_weight: Weight. Choices: 600, 400. Flourish type hint: string, defaults to None.
        :type stack_labels_weight: str, optional
        :param chart_x_axis_axis_position: Position. Choices: bottom, float-below, float-above, top, off. Flourish type hint: string, defaults to None.
        :type chart_x_axis_axis_position: str, optional
        :param chart_x_axis_y_axis_position: Y value. Vertical position of the x axis on the y scale. Flourish type hint: string, defaults to None.
        :type chart_x_axis_y_axis_position: str, optional
        :param chart_x_axis_numeric_scale_type: Type. Choices: linear, log. Flourish type hint: string, defaults to None.
        :type chart_x_axis_numeric_scale_type: str, optional
        :param chart_x_axis_linear_min: Min. Flourish type hint: number, defaults to None.
        :type chart_x_axis_linear_min: float, optional
        :param chart_x_axis_linear_max: Max. Flourish type hint: number, defaults to None.
        :type chart_x_axis_linear_max: float, optional
        :param chart_x_axis_log_min: Min. Flourish type hint: number, defaults to None.
        :type chart_x_axis_log_min: float, optional
        :param chart_x_axis_log_max: Max. Flourish type hint: number, defaults to None.
        :type chart_x_axis_log_max: float, optional
        :param chart_x_axis_datetime_min: Min (date). Use the input date format as specified in the datasheet. Flourish type hint: string, defaults to None.
        :type chart_x_axis_datetime_min: str, optional
        :param chart_x_axis_datetime_max: Max (date). Use the input date format as specified in the datasheet. Flourish type hint: string, defaults to None.
        :type chart_x_axis_datetime_max: str, optional
        :param chart_x_axis_flip: Flip axis. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_flip: bool, optional
        :param chart_x_axis_show_scale_settings: Configure default min/max. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_show_scale_settings: bool, optional
        :param chart_x_axis_nice: Round min/max. Choices: True, False. When enabled, scales automatically extend to "nice" rounded start/end values, such as hundreds or whole years. Overridden by any explicitly specified scale min and max. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_nice: bool, optional
        :param chart_x_axis_zero_axis: Include zero. Choices: auto, on, off. Whether to extend the axis to include zero if the data values are all positive or all negative. Overridden by any explicitly specified scale min and max. Flourish type hint: string, defaults to None.
        :type chart_x_axis_zero_axis: str, optional
        :param chart_x_axis_title_mode: Type. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title_mode: str, optional
        :param chart_x_axis_title: Text. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title: str, optional
        :param chart_x_axis_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_title_styling: bool, optional
        :param chart_x_axis_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title_weight: str, optional
        :param chart_x_axis_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_title_color: str, optional
        :param chart_x_axis_title_size: Size. Flourish type hint: number, defaults to None.
        :type chart_x_axis_title_size: float, optional
        :param chart_x_axis_title_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_x_axis_title_padding: float, optional
        :param chart_x_axis_tick_label_position: Position. Choices: default, left, right. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_position: str, optional
        :param chart_x_axis_tick_label_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_tick_label_styling: bool, optional
        :param chart_x_axis_tick_label_size: Size. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_size: float, optional
        :param chart_x_axis_tick_label_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_tick_label_color: str, optional
        :param chart_x_axis_tick_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_padding: float, optional
        :param chart_x_axis_tick_label_angle: Angle. Choices: 0, 30, 45, 60, 90. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_angle: str, optional
        :param chart_x_axis_tick_label_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_weight: str, optional
        :param chart_x_axis_tick_label_max_lines: Max lines. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_max_lines: float, optional
        :param chart_x_axis_tick_label_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_line_height: float, optional
        :param chart_x_axis_tick_label_space_mode: Space mode. Choices: auto, max, fixed. How the vertical space available for tick labels is determined. "Auto" means that the space is automatically determined. "Max" lets you specify the maximum vertical space tick labels may occupy. "Fixed" lets you specify a fixed amount of vertical space for tick labels. Tick labels will be truncated to fit within the allocated horizontal space. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_space_mode: str, optional
        :param chart_x_axis_tick_label_space: Space. The space allocated for tick labels (relative to the root font size). Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_space: float, optional
        :param chart_x_axis_tick_mode: Mode. Choices: auto, number, custom. Determines how the tick values are chosen. "Auto" mode chooses the ticks automatically. "Number" mode lets you specify how many ticks are drawn. "Custom" mode lets you specify which ticks are drawn. If the axis is categorical, "Number" mode is ignored. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_mode: str, optional
        :param chart_x_axis_tick_number: Number. Approximate number of ticks or gridlines. The actual number will depend on the range of values, chart size, etc. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_number: float, optional
        :param chart_x_axis_tick_custom: One tick label per line. Specify the ticks to show, one per line. For dates, use the input format as specified in the datasheet. You can also use `{{FIRST}}` and `{{LAST}}` to add ticks at the minimum and maximum of the axis. For example: `{{FIRST}}` 25000 50000 75000 `{{LAST}}`. Flourish type hint: text, defaults to None.
        :type chart_x_axis_tick_custom: Union[list, str], optional
        :param chart_x_axis_line_and_tick_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_line_and_tick_color: str, optional
        :param chart_x_axis_line_and_tick_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_x_axis_line_and_tick_width: float, optional
        :param chart_x_axis_tick_length: Tick length. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_length: float, optional
        :param chart_x_axis_tick_side: Tick side. Choices: out, in. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_side: str, optional
        :param chart_x_axis_line_visible: Axis line. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_line_visible: bool, optional
        :param chart_x_axis_edge_padding: Edge padding (%). Space between start/end of axis line and first/last category tick as a percentage of the spacing between ticks. Flourish type hint: number, defaults to None.
        :type chart_x_axis_edge_padding: float, optional
        :param chart_x_axis_gridlines_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridlines_visible: bool, optional
        :param chart_x_axis_gridlines_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridlines_styling: bool, optional
        :param chart_x_axis_gridline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_gridline_color: str, optional
        :param chart_x_axis_gridline_style: Style. Choices: solid, dash, dot, dot_dash. Flourish type hint: string, defaults to None.
        :type chart_x_axis_gridline_style: str, optional
        :param chart_x_axis_gridline_width: Width. Flourish type hint: number, defaults to None.
        :type chart_x_axis_gridline_width: float, optional
        :param chart_x_axis_gridline_category_dividers: Put lines between categories. On a categorical axis this option disables the gridline on each tick and instead adds rules between each category to give a table-like design. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridline_category_dividers: bool, optional
        :param chart_x_axis_gridline_category_dividers_extend: Extend. Extends the dividers into the axis margins. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridline_category_dividers_extend: bool, optional
        :param chart_y_axis_axis_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_axis_visible: bool, optional
        :param chart_y_axis_numeric_scale_type: Type. Choices: linear, log. Flourish type hint: string, defaults to None.
        :type chart_y_axis_numeric_scale_type: str, optional
        :param chart_y_axis_linear_min: Min. Flourish type hint: number, defaults to None.
        :type chart_y_axis_linear_min: float, optional
        :param chart_y_axis_linear_max: Max. Flourish type hint: number, defaults to None.
        :type chart_y_axis_linear_max: float, optional
        :param chart_y_axis_log_min: Min. Flourish type hint: number, defaults to None.
        :type chart_y_axis_log_min: float, optional
        :param chart_y_axis_log_max: Max. Flourish type hint: number, defaults to None.
        :type chart_y_axis_log_max: float, optional
        :param chart_y_axis_datetime_min: Min (date). Use the same format as displayed in the axis. Flourish type hint: string, defaults to None.
        :type chart_y_axis_datetime_min: str, optional
        :param chart_y_axis_datetime_max: Max (date). Use the same format as displayed in the axis. Flourish type hint: string, defaults to None.
        :type chart_y_axis_datetime_max: str, optional
        :param chart_y_axis_flip: Flip axis. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_flip: bool, optional
        :param chart_y_axis_show_scale_settings: Configure default min/max. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_show_scale_settings: bool, optional
        :param chart_y_axis_nice: Round min/max. Choices: True, False. When enabled, scales automatically extend to "nice" rounded start/end values, such as hundreds or whole years. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_nice: bool, optional
        :param chart_y_axis_zero_axis: Include zero. Choices: auto, on, off. Whether to extend the axis to include zero if the data values are all positive or all negative. Flourish type hint: string, defaults to None.
        :type chart_y_axis_zero_axis: str, optional
        :param chart_y_axis_title_mode: Type. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_mode: str, optional
        :param chart_y_axis_title: Text. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title: str, optional
        :param chart_y_axis_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_title_styling: bool, optional
        :param chart_y_axis_title_position: Position. Choices: side, end. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_position: str, optional
        :param chart_y_axis_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_weight: str, optional
        :param chart_y_axis_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_title_color: str, optional
        :param chart_y_axis_title_size: Size. Flourish type hint: number, defaults to None.
        :type chart_y_axis_title_size: float, optional
        :param chart_y_axis_title_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_y_axis_title_padding: float, optional
        :param chart_y_axis_tick_label_position: Position. Choices: default, above, below. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_position: str, optional
        :param chart_y_axis_tick_label_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_tick_label_styling: bool, optional
        :param chart_y_axis_tick_label_size: Size. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_size: float, optional
        :param chart_y_axis_tick_label_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_tick_label_color: str, optional
        :param chart_y_axis_tick_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_padding: float, optional
        :param chart_y_axis_tick_label_angle: Angle. Choices: 0, 30, 45, 60, 90. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_angle: str, optional
        :param chart_y_axis_tick_label_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_weight: str, optional
        :param chart_y_axis_tick_label_max_lines: Max lines. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_max_lines: float, optional
        :param chart_y_axis_tick_label_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_line_height: float, optional
        :param chart_y_axis_tick_label_space_mode: Space mode. Choices: auto, max, fixed. Sets how the horizontal space available for tick labels is determined. "Auto" means that the space is automatically determined. "Max" lets you specify the maximum horizontal space tick labels may occupy. "Fixed" lets you specify a fixed amount of horizontal space for tick labels. Tick labels will be truncated to fit within the allocated horizontal space. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_space_mode: str, optional
        :param chart_y_axis_tick_label_space: Space. The space allocated for tick labels (relative to the root font size). Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_space: float, optional
        :param chart_y_axis_tick_mode: Mode. Choices: auto, number, custom. Determines how the tick values are chosen. "Auto" mode chooses the ticks automatically. "Number" mode lets you specify how many ticks are drawn. "Custom" mode lets you specify which ticks are drawn. If the axis is categorical, "Number" mode is ignored. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_mode: str, optional
        :param chart_y_axis_tick_number: Number. Approximate number of ticks or gridlines. The actual number will depend on the range of values, chart size, etc. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_number: float, optional
        :param chart_y_axis_tick_custom: One tick label per line. Specify the ticks to show, one per line. For dates, use the input format as specified in the datasheet. You can also use `{{FIRST}}` and `{{LAST}}` to add ticks at the minimum and maximum of the axis. For example: `{{FIRST}}` 25000 50000 75000 `{{LAST}}`. Flourish type hint: text, defaults to None.
        :type chart_y_axis_tick_custom: Union[list, str], optional
        :param chart_y_axis_line_and_tick_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_line_and_tick_color: str, optional
        :param chart_y_axis_line_and_tick_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_y_axis_line_and_tick_width: float, optional
        :param chart_y_axis_tick_length: Tick length. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_length: float, optional
        :param chart_y_axis_tick_side: Side. Choices: out, in. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_side: str, optional
        :param chart_y_axis_line_visible: Axis line. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_line_visible: bool, optional
        :param chart_y_axis_edge_padding: Edge padding (%). Space between start/end of axis line and first/last category tick as a percentage of the spacing between ticks. Flourish type hint: number, defaults to None.
        :type chart_y_axis_edge_padding: float, optional
        :param chart_y_axis_gridlines_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridlines_visible: bool, optional
        :param chart_y_axis_gridlines_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridlines_styling: bool, optional
        :param chart_y_axis_gridline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_gridline_color: str, optional
        :param chart_y_axis_gridline_style: Style. Choices: solid, dash, dot, dot_dash. Flourish type hint: string, defaults to None.
        :type chart_y_axis_gridline_style: str, optional
        :param chart_y_axis_gridline_width: Width. Flourish type hint: number, defaults to None.
        :type chart_y_axis_gridline_width: float, optional
        :param chart_y_axis_gridline_category_dividers: Put lines between categories. On a categorical axis this option disables the gridline on each tick and instead adds rules between each category to give a table-like design. Ignored for date and numeric axes. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridline_category_dividers: bool, optional
        :param chart_y_axis_gridline_category_dividers_extend: Extend. Extends the dividers into the axis margins. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridline_category_dividers_extend: bool, optional
        :param chart_secondary_y_axis_axis_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_secondary_y_axis_axis_visible: bool, optional
        :param chart_secondary_y_axis_numeric_scale_type: Type. Choices: linear, log. Flourish type hint: string, defaults to None.
        :type chart_secondary_y_axis_numeric_scale_type: str, optional
        :param chart_secondary_y_axis_linear_min: Min. Flourish type hint: number, defaults to None.
        :type chart_secondary_y_axis_linear_min: float, optional
        :param chart_secondary_y_axis_linear_max: Max. Flourish type hint: number, defaults to None.
        :type chart_secondary_y_axis_linear_max: float, optional
        :param chart_secondary_y_axis_log_min: Min. Flourish type hint: number, defaults to None.
        :type chart_secondary_y_axis_log_min: float, optional
        :param chart_secondary_y_axis_log_max: Max. Flourish type hint: number, defaults to None.
        :type chart_secondary_y_axis_log_max: float, optional
        :param chart_secondary_y_axis_datetime_min: Min (date). Flourish type hint: string, defaults to None.
        :type chart_secondary_y_axis_datetime_min: str, optional
        :param chart_secondary_y_axis_datetime_max: Max (date). Flourish type hint: string, defaults to None.
        :type chart_secondary_y_axis_datetime_max: str, optional
        :param chart_secondary_y_axis_flip: Flip axis. Flourish type hint: boolean, defaults to None.
        :type chart_secondary_y_axis_flip: bool, optional
        :param chart_secondary_y_axis_show_scale_settings: Configure default min/max. Flourish type hint: boolean, defaults to None.
        :type chart_secondary_y_axis_show_scale_settings: bool, optional
        :param chart_secondary_y_axis_nice: Round min/max. Choices: True, False. When enabled, scales automatically extend to "nice" rounded start/end values, such as hundreds or whole years. Flourish type hint: boolean, defaults to None.
        :type chart_secondary_y_axis_nice: bool, optional
        :param chart_secondary_y_axis_zero_axis: Include zero. Choices: auto, on, off. Whether to extend the axis to include zero if the data values are all positive or all negative. Flourish type hint: string, defaults to None.
        :type chart_secondary_y_axis_zero_axis: str, optional
        :param chart_secondary_y_axis_title_mode: Type. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_secondary_y_axis_title_mode: str, optional
        :param chart_secondary_y_axis_title: Text. Flourish type hint: string, defaults to None.
        :type chart_secondary_y_axis_title: str, optional
        :param chart_secondary_y_axis_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_secondary_y_axis_title_styling: bool, optional
        :param chart_secondary_y_axis_title_position: Position. Choices: side, end. Flourish type hint: string, defaults to None.
        :type chart_secondary_y_axis_title_position: str, optional
        :param chart_secondary_y_axis_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_secondary_y_axis_title_weight: str, optional
        :param chart_secondary_y_axis_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_secondary_y_axis_title_color: str, optional
        :param chart_secondary_y_axis_title_size: Size. Flourish type hint: number, defaults to None.
        :type chart_secondary_y_axis_title_size: float, optional
        :param chart_secondary_y_axis_title_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_secondary_y_axis_title_padding: float, optional
        :param chart_secondary_y_axis_tick_label_position: Position. Choices: default, above, below. Flourish type hint: string, defaults to None.
        :type chart_secondary_y_axis_tick_label_position: str, optional
        :param chart_secondary_y_axis_tick_label_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_secondary_y_axis_tick_label_styling: bool, optional
        :param chart_secondary_y_axis_tick_label_size: Size. Flourish type hint: number, defaults to None.
        :type chart_secondary_y_axis_tick_label_size: float, optional
        :param chart_secondary_y_axis_tick_label_color: Color. Flourish type hint: color, defaults to None.
        :type chart_secondary_y_axis_tick_label_color: str, optional
        :param chart_secondary_y_axis_tick_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_secondary_y_axis_tick_padding: float, optional
        :param chart_secondary_y_axis_tick_label_angle: Angle. Choices: 0, 30, 45, 60, 90. Flourish type hint: string, defaults to None.
        :type chart_secondary_y_axis_tick_label_angle: str, optional
        :param chart_secondary_y_axis_tick_label_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_secondary_y_axis_tick_label_weight: str, optional
        :param chart_secondary_y_axis_tick_label_max_lines: Max lines. Flourish type hint: number, defaults to None.
        :type chart_secondary_y_axis_tick_label_max_lines: float, optional
        :param chart_secondary_y_axis_tick_label_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_secondary_y_axis_tick_label_line_height: float, optional
        :param chart_secondary_y_axis_tick_label_space_mode: Space mode. Choices: auto, max, fixed. Sets how the horizontal space available for tick labels is determined. "Auto" means that the space is automatically determined. "Max" lets you specify the maximum horizontal space tick labels may occupy. "Fixed" lets you specify a fixed amount of horizontal space for tick labels. Tick labels will be truncated to fit within the allocated horizontal space. Flourish type hint: string, defaults to None.
        :type chart_secondary_y_axis_tick_label_space_mode: str, optional
        :param chart_secondary_y_axis_tick_label_space: Space. The space allocated for tick labels (relative to the root font size). Flourish type hint: number, defaults to None.
        :type chart_secondary_y_axis_tick_label_space: float, optional
        :param chart_secondary_y_axis_tick_mode: Mode. Choices: auto, number, custom. Determines how the tick values are chosen. "Auto" mode chooses the ticks automatically. "Number" mode lets you specify how many ticks are drawn. "Custom" mode lets you specify which ticks are drawn. If the axis is categorical, "Number" mode is ignored. Flourish type hint: string, defaults to None.
        :type chart_secondary_y_axis_tick_mode: str, optional
        :param chart_secondary_y_axis_tick_number: Number. Approximate number of ticks or gridlines. The actual number will depend on the range of values, chart size, etc. Flourish type hint: number, defaults to None.
        :type chart_secondary_y_axis_tick_number: float, optional
        :param chart_secondary_y_axis_tick_custom: One tick label per line. Specify the ticks to show, one per line. For dates, use the input format as specified in the datasheet. You can also use `{{FIRST}}` and `{{LAST}}` to add ticks at the minimum and maximum of the axis. For example: `{{FIRST}}` 25000 50000 75000 `{{LAST}}`. Flourish type hint: text, defaults to None.
        :type chart_secondary_y_axis_tick_custom: Union[list, str], optional
        :param chart_secondary_y_axis_line_and_tick_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_secondary_y_axis_line_and_tick_color: str, optional
        :param chart_secondary_y_axis_line_and_tick_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_secondary_y_axis_line_and_tick_width: float, optional
        :param chart_secondary_y_axis_tick_length: Tick length. Flourish type hint: number, defaults to None.
        :type chart_secondary_y_axis_tick_length: float, optional
        :param chart_secondary_y_axis_tick_side: Side. Choices: out, in. Flourish type hint: string, defaults to None.
        :type chart_secondary_y_axis_tick_side: str, optional
        :param chart_secondary_y_axis_line_visible: Axis line. Flourish type hint: boolean, defaults to None.
        :type chart_secondary_y_axis_line_visible: bool, optional
        :param chart_secondary_y_axis_edge_padding: Edge padding (%). Space between start/end of axis line and first/last category tick as a percentage of the spacing between ticks. Flourish type hint: number, defaults to None.
        :type chart_secondary_y_axis_edge_padding: float, optional
        :param chart_secondary_y_axis_gridlines_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_secondary_y_axis_gridlines_visible: bool, optional
        :param chart_secondary_y_axis_gridlines_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_secondary_y_axis_gridlines_styling: bool, optional
        :param chart_secondary_y_axis_gridline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_secondary_y_axis_gridline_color: str, optional
        :param chart_secondary_y_axis_gridline_style: Style. Choices: solid, dash, dot, dot_dash. Flourish type hint: string, defaults to None.
        :type chart_secondary_y_axis_gridline_style: str, optional
        :param chart_secondary_y_axis_gridline_width: Width. Flourish type hint: number, defaults to None.
        :type chart_secondary_y_axis_gridline_width: float, optional
        :param chart_secondary_y_axis_gridline_category_dividers: Put lines between categories. On a categorical axis this option disables the gridline on each tick and instead adds rules between each category to give a table-like design. Ignored for date and numeric axes. Flourish type hint: boolean, defaults to None.
        :type chart_secondary_y_axis_gridline_category_dividers: bool, optional
        :param chart_secondary_y_axis_gridline_category_dividers_extend: Extend. Extends the dividers into the axis margins. Flourish type hint: boolean, defaults to None.
        :type chart_secondary_y_axis_gridline_category_dividers_extend: bool, optional
        :param chart_background_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_background_background_color_enabled: bool, optional
        :param chart_background_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_background_background_image_enabled: bool, optional
        :param chart_background_background_color: Color. Flourish type hint: color, defaults to None.
        :type chart_background_background_color: str, optional
        :param chart_background_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_background_background_image_src: str, optional
        :param chart_background_background_image_size: Size. Choices: stretch, slice, meet. Flourish type hint: string, defaults to None.
        :type chart_background_background_image_size: str, optional
        :param chart_background_background_image_position: Position. Choices: x_min_y_min, x_mid_y_min, x_max_y_min, x_max_y_mid, x_mid_y_mid, x_min_y_max, x_mid_y_max, x_max_y_max. Flourish type hint: string, defaults to None.
        :type chart_background_background_image_position: str, optional
        :param number_format_labels_prefix: Prefix. Text to place in front of a number. Flourish type hint: string, defaults to None.
        :type number_format_labels_prefix: str, optional
        :param number_format_labels_suffix: Suffix. Text to place after a number. Flourish type hint: string, defaults to None.
        :type number_format_labels_suffix: str, optional
        :param number_format_labels_n_dec: Decimal places. Decimal places. You can also enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type number_format_labels_n_dec: float, optional
        :param number_format_labels_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type number_format_labels_advanced: bool, optional
        :param number_format_labels_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type number_format_labels_negative_sign: str, optional
        :param number_format_labels_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type number_format_labels_strip_zeros: bool, optional
        :param number_format_labels_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type number_format_labels_strip_separator: bool, optional
        :param number_format_labels_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type number_format_labels_transform_labels: bool, optional
        :param number_format_labels_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type number_format_labels_transform: str, optional
        :param number_format_labels_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type number_format_labels_multiply_divide_constant: float, optional
        :param number_format_labels_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type number_format_labels_exponentiate_constant: float, optional
        :param chart_number_date_format_prefix: Prefix. Text to place in front of a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_prefix: str, optional
        :param chart_number_date_format_suffix: Suffix. Text to place after a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_suffix: str, optional
        :param chart_number_date_format_n_dec: Decimal places. Decimal places. You can also enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_number_date_format_n_dec: float, optional
        :param chart_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_advanced: bool, optional
        :param chart_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_negative_sign: str, optional
        :param chart_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_zeros: bool, optional
        :param chart_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_separator: bool, optional
        :param chart_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_transform_labels: bool, optional
        :param chart_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_transform: str, optional
        :param chart_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_multiply_divide_constant: float, optional
        :param chart_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_exponentiate_constant: float, optional
        :param number_format_prop: Show % values. Toggles between showing the raw values from the datasheet and the computed percent values for the row in popups/panels. Flourish type hint: boolean, defaults to None.
        :type number_format_prop: bool, optional
        :param chart_secondary_number_date_format_prefix: Prefix. Text to place in front of a number. Flourish type hint: string, defaults to None.
        :type chart_secondary_number_date_format_prefix: str, optional
        :param chart_secondary_number_date_format_suffix: Suffix. Text to place after a number. Flourish type hint: string, defaults to None.
        :type chart_secondary_number_date_format_suffix: str, optional
        :param chart_secondary_number_date_format_n_dec: Decimal places. Decimal places. You can also enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_secondary_number_date_format_n_dec: float, optional
        :param chart_secondary_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_secondary_number_date_format_advanced: bool, optional
        :param chart_secondary_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_secondary_number_date_format_negative_sign: str, optional
        :param chart_secondary_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_secondary_number_date_format_strip_zeros: bool, optional
        :param chart_secondary_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_secondary_number_date_format_strip_separator: bool, optional
        :param chart_secondary_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_secondary_number_date_format_transform_labels: bool, optional
        :param chart_secondary_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_secondary_number_date_format_transform: str, optional
        :param chart_secondary_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_secondary_number_date_format_multiply_divide_constant: float, optional
        :param chart_secondary_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_secondary_number_date_format_exponentiate_constant: float, optional
        :param legend_mode: Legend mode. Choices: auto, on, off. Auto mode hides the legend in certain situations, such as when each color is already explained by the chart titles in a grid of charts A legend will not show with a single entry. Flourish type hint: string, defaults to None.
        :type legend_mode: str, optional
        :param legend_filter_mode: Click legend to filter data. Choices: none, filter-in, filter-out. Single select : When clicked only shows the series selected  Multi select : When clicked, hides series selected. Multiple series can be hidden  Filterable legends are ignored in certain situations, such as when shading by series and using a series filter Flourish type hint: string, defaults to None.
        :type legend_filter_mode: str, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param chart_categorical_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_show_legend: bool, optional
        :param chart_categorical_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title_mode: str, optional
        :param chart_categorical_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title: str, optional
        :param chart_categorical_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_width: float, optional
        :param chart_categorical_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_height: float, optional
        :param chart_categorical_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_radius: float, optional
        :param chart_categorical_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_legend_items_padding: float, optional
        :param chart_categorical_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_swatch_outline: bool, optional
        :param chart_categorical_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_swatch_outline_color: str, optional
        :param chart_categorical_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_categorical_legend_order_override: Union[list, str], optional
        :param chart_categorical_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_icon_height: float, optional
        :param chart_categorical_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_icon_color: str, optional
        :param chart_categorical_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_max_width: float, optional
        :param chart_categorical_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_orientation: str, optional
        :param legend_position: Legend position. Choices: above, below. Flourish type hint: string, defaults to None.
        :type legend_position: str, optional
        :param text_legend: Add data colors to header text. Choices: auto, custom, off. When selected, this will change the color of any text in your header which matches the name of a series in your data.  This feature can be used instead of a legend when there are a small number of series, or it can be used to highlight a particular series. Note using optional HTML in the header is disabled if using this feature. Flourish type hint: string, defaults to None.
        :type text_legend: str, optional
        :param text_legend_title: Title. Flourish type hint: boolean, defaults to None.
        :type text_legend_title: bool, optional
        :param text_legend_subtitle: Subtitle. Flourish type hint: boolean, defaults to None.
        :type text_legend_subtitle: bool, optional
        :param text_legend_bold: Bold. If checked, always use bold for colored items. Flourish type hint: boolean, defaults to None.
        :type text_legend_bold: bool, optional
        :param chart_popup_mode: Choices: none, popup, panel, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. Use `{{VALUE}}` to include the numerical value of the current data point, or `{{SERIES}}` to display its series name. For any other selected columns use `{{column_name}}`.  Advanced users can include HTML to apply layouts, formatting, images, etc.  You can also hide content based on a column name being empty using `{{#if column_name}} Text to display when column_name is not empty {{/if}}`. For example, `{{Country}}` `{{#if Capital}}(Capital: {{Capital}}){{/if}}` Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. Use `{{VALUE}}` to include the numerical value of the current data point, or `{{SERIES}}` to display its series name. For any other selected columns use `{{column_name}}`.  Advanced users can include HTML to apply layouts, formatting, images, etc.  You can also hide content based on a column name being empty using `{{#if column_name}} Text to display when column_name is not empty {{/if}}`. For example, `{{Country}}` `{{#if Capital}}(Capital: {{Capital}}){{/if}}` Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_custom_accessible: Popup custom accessible content. A text alternative to visual custom popup content that will be read out by screenreaders. This content is added as an aria-label attribute to data point elements. You can still use `{{column_name}}` to add values from your data, but do not use HTML. For example: `{{Name}}, Population: {{Population}}, GDP: {{GDP}}`. If left empty, accessible content will fallback to the default popup content. Flourish type hint: text, defaults to None.
        :type chart_popup_popup_custom_accessible: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. Use `{{VALUE}}` to include the numerical value of the current data point, or `{{SERIES}}` to display its series name. For any other selected columns use `{{column_name}}`.  Advanced users can include HTML to apply layouts, formatting, images, etc.  You can also hide content based on a column name being empty using `{{#if column_name}} Text to display when column_name is not empty {{/if}}`. For example, `{{Country}}` `{{#if Capital}}(Capital: {{Capital}}){{/if}}` Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. Use `{{VALUE}}` to include the numerical value of the current data point, or `{{SERIES}}` to display its series name. For any other selected columns use `{{column_name}}`.  Advanced users can include HTML to apply layouts, formatting, images, etc.  You can also hide content based on a column name being empty using `{{#if column_name}} Text to display when column_name is not empty {{/if}}`. For example, `{{Country}}` `{{#if Capital}}(Capital: {{Capital}}){{/if}}` Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing Click position is especially useful when your visualization is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param popup_color_headers: Color headers to match data. Flourish type hint: boolean, defaults to None.
        :type popup_color_headers: bool, optional
        :param show_series_text: Set series info in popups. Allows you to add information about each series/column (e.g. each line) to the popups. Note: This is incompatible with custom popup content. Flourish type hint: boolean, defaults to None.
        :type show_series_text: bool, optional
        :param popup_series_text: Popup content for series. Adds content to the popup about the series. Separate column name and text with a double colon. For example:  Series 1 :: Comment about Series 1 Series 2 :: Comment about series 2. Flourish type hint: text, defaults to None.
        :type popup_series_text: Union[list, str], optional
        :param chart_axes_highlights_placement: Placement of axis highlights. Choices: above, below. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_placement: str, optional
        :param chart_axes_highlights_x_enabled: Show highlights on the x axis. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_x_enabled: bool, optional
        :param chart_axes_highlights_x_lines: One per line, in format “My label :: 2012”. One per line, using the  format :  My label :: 2012  For dates, use the  input format  as specified in the datasheet. You can optionally specify a line color and a text color For visualizations using a  grid of charts , you can apply the annotation only on a specific chart. Use the format:  `My label :: 2012 :: line_color / text_color :: facet_name`.  For example,  `My label :: 2012 :: #eb0000 / #0084bd :: Category 1`. If you want to add an annotation to just one specific chart but do not want to color the line/text, you can leave that part blank. For example:  My label :: 2012 :: :: Category 1 Flourish type hint: text, defaults to None.
        :type chart_axes_highlights_x_lines: Union[list, str], optional
        :param chart_axes_highlights_x_line_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_x_line_color: str, optional
        :param chart_axes_highlights_x_line_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_line_width: float, optional
        :param chart_axes_highlights_x_line_dash: Dash. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_line_dash: float, optional
        :param chart_axes_highlights_x_areas: One per line, in format “My label :: 2013 >> 2015”. One per line, using the format :  My label :: date >> date  For dates, use the input format as specified in the datasheet. You can optionally specify a line color and a text color For visualizations using a  grid of charts , you can apply the annotation only on a specific chart Use the format:  My label :: 2012 :: area_color / text_color :: facet_name For example,  `My label :: 2012 >> 2015 :: #eb0000 / #0084bd :: Category 1`. Flourish type hint: text, defaults to None.
        :type chart_axes_highlights_x_areas: Union[list, str], optional
        :param chart_axes_highlights_x_area_color: Area. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_x_area_color: str, optional
        :param chart_axes_highlights_x_area_opacity: Area opacity. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_area_opacity: float, optional
        :param chart_axes_highlights_x_area_texture: Area texture. Choices: none, pattern-diagonal, pattern-grid, pattern-dots. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_x_area_texture: str, optional
        :param chart_axes_highlights_x_label_vertical: Vertical. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_x_label_vertical: bool, optional
        :param chart_axes_highlights_x_label_y_position: Y position. Choices: bottom, middle, top. Vertically position the label at the top, bottom or in the middle of the line. This setting will be ignored if there is not enough space for the selected position. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_x_label_y_position: str, optional
        :param chart_axes_highlights_x_label_x_position: X position. Choices: left, middle, right. Horizontally position the label on the left, the right or in the middle of the line. This setting will be ignored if there is not enough space for the selected position. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_x_label_x_position: str, optional
        :param chart_axes_highlights_x_label_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_label_max_width: float, optional
        :param chart_axes_highlights_x_font_size: Font size. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_font_size: float, optional
        :param chart_axes_highlights_x_font_weight: Font weight. Choices: regular, bold. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_x_font_weight: str, optional
        :param chart_axes_highlights_x_label_color: Text. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_x_label_color: str, optional
        :param chart_axes_highlights_x_shadow_color: Shadow. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_x_shadow_color: str, optional
        :param chart_axes_highlights_x_shadow_enabled: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_x_shadow_enabled: bool, optional
        :param chart_axes_highlights_y_enabled: Show highlights on the y axis. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_y_enabled: bool, optional
        :param chart_axes_highlights_y_lines: One per line, in format “My label :: 5000”. One per line, using the format :  My label :: 2012  For dates, use the input format as specified in the datasheet. You can optionally specify a line color and a text color For visualizations using a  grid of charts , you can apply the annotation only on a specific chart Use the format:  `My label :: 2012 :: line_color / text_color :: facet_name`.  For example:  `My label :: 2012 :: #eb0000 / #0084bd :: Category 1`.  If you want to add an annotation to just one specific chart but do not want to color the line/text, you can leave that part blank. For example:  My label :: 2012 :: :: Category 1 Flourish type hint: text, defaults to None.
        :type chart_axes_highlights_y_lines: Union[list, str], optional
        :param chart_axes_highlights_y_line_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_y_line_color: str, optional
        :param chart_axes_highlights_y_line_width: line width. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_line_width: float, optional
        :param chart_axes_highlights_y_line_dash: Dash. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_line_dash: float, optional
        :param chart_axes_highlights_y_areas: One per line, in format “My label :: 2000 >> 8000”. One per line, using the format :  My label :: date >> date  For dates, use the input format as specified in the datasheet. You can optionally specify a line color and a text color For visualizations using a  grid of charts , you can apply the annotation only on a specific chart Use the format:  My label :: 2012 :: area_color / text_color :: facet_name  For example:  `My label :: 2012 >> 2015 :: #eb0000 / #0084bd :: Category 1`. Flourish type hint: text, defaults to None.
        :type chart_axes_highlights_y_areas: Union[list, str], optional
        :param chart_axes_highlights_y_area_color: Area. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_y_area_color: str, optional
        :param chart_axes_highlights_y_area_opacity: Area opacity. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_area_opacity: float, optional
        :param chart_axes_highlights_y_area_texture: Area texture. Choices: none, pattern-diagonal, pattern-grid, pattern-dots. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_y_area_texture: str, optional
        :param chart_axes_highlights_y_label_x_position: X position. Choices: left, middle, right. Horizontally position label on the left, the middle or the right end of the line. This setting will be ignored if there is not enough space for the selected position. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_y_label_x_position: str, optional
        :param chart_axes_highlights_y_label_y_position: Y position. Choices: above, middle, below. Vertically position the label above, below or in the middle of the line. This setting will be ignored if there is not enough space for the selected position. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_y_label_y_position: str, optional
        :param chart_axes_highlights_y_label_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_label_max_width: float, optional
        :param chart_axes_highlights_y_font_size: Font size. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_font_size: float, optional
        :param chart_axes_highlights_y_font_weight: Font weight. Choices: regular, bold. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_y_font_weight: str, optional
        :param chart_axes_highlights_y_label_color: Text. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_y_label_color: str, optional
        :param chart_axes_highlights_y_shadow_color: Shadow. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_y_shadow_color: str, optional
        :param chart_axes_highlights_y_shadow_enabled: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_y_shadow_enabled: bool, optional
        :param annotations_styles: Show styling options. Flourish type hint: boolean, defaults to None.
        :type annotations_styles: bool, optional
        :param chart_annotations_defaults_text_weight: Weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_text_weight: str, optional
        :param chart_annotations_defaults_text_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_annotations_defaults_text_size: float, optional
        :param chart_annotations_defaults_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_annotations_defaults_text_color: str, optional
        :param chart_annotations_defaults_label_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_annotations_defaults_label_width: float, optional
        :param chart_annotations_defaults_text_background_mode: Text background. Choices: none, outline, background. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_text_background_mode: str, optional
        :param chart_annotations_defaults_text_bg: Outline. Flourish type hint: color, defaults to None.
        :type chart_annotations_defaults_text_bg: str, optional
        :param chart_annotations_defaults_label_bg: Background. Flourish type hint: color, defaults to None.
        :type chart_annotations_defaults_label_bg: str, optional
        :param chart_annotations_defaults_text_alignment: Alignment. Choices: auto, start, center, end. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_text_alignment: str, optional
        :param chart_annotations_defaults_popup_position: Popup position. Choices: center, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_popup_position: str, optional
        :param chart_annotations_defaults_line_marker: Marker. Choices: none, arrowhead_open, arrowhead. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_line_marker: str, optional
        :param chart_annotations_defaults_stroke_width: Width. Flourish type hint: number, defaults to None.
        :type chart_annotations_defaults_stroke_width: float, optional
        :param chart_annotations_defaults_stroke_color: Color. Flourish type hint: color, defaults to None.
        :type chart_annotations_defaults_stroke_color: str, optional
        :param chart_annotations_defaults_connector_extend_line: Extend line. Choices: enabled, disabled. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_connector_extend_line: str, optional
        :param data_trans_duration: Animation duration. The duration of transitions in milliseconds, for example between two slides in a story. Flourish type hint: number, defaults to None.
        :type data_trans_duration: float, optional
        :param animate_on_load: Animate on load. Flourish type hint: boolean, defaults to None.
        :type animate_on_load: bool, optional
        :param data_trans_bind_series: Only animate series with same name. Determines how animations work when the data changes (e.g. between slides in a story ). When this is on, series (e.g. lines) will attempt to animate to become another line only if they have the same name (i.e. the same column header). Flourish type hint: boolean, defaults to None.
        :type data_trans_bind_series: bool, optional
        :param data_trans_bind_data_points: Only animate points with same label. Determines how animations work when the data changes (e.g. between slides in a story ). When this is on, data points (e.g. dots or bars) will attempt to animate to become other data points if they have the same label (e.g. date or category). Flourish type hint: boolean, defaults to None.
        :type data_trans_bind_data_points: bool, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        :param chart_url_settings_enabled: Update project from URL. Make it possible to change the visualizations settings/state from the URL hash, for example when embedding in an iframe or popup panel. Flourish type hint: boolean, defaults to None.
        :type chart_url_settings_enabled: bool, optional
        :param chart_url_settings_whitelist: Allowed state properties. List each state property you want to make changeable with the URL hash See the template page for a full list of state properties.  Add one property name per line. Use dot format for nested properties, e.g. `layout.background_color`. Flourish type hint: text, defaults to None.
        :type chart_url_settings_whitelist: Union[list, str], optional
        """
        details_error(self)

        self.state = {
            "state": {
                "facets": {},
                "series_control_single": {},
                "row_filter_control": {},
                "log_control_y": {},
                "controls_style": {},
                "dropdown_style": {},
                "button_style": {},
                "controls_container": {},
                "color": {},
                "line_labels": {},
                "x": {},
                "y": {},
                "y2": {},
                "chart_bg": {},
                "number_format_labels": {},
                "number_format": {},
                "number_format_secondary": {},
                "legend_container": {},
                "legend_categorical": {},
                "popup": {},
                "axes_highlights": {},
                "annotations": {"defaults": {}},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
                "url_state": {},
            }
        }

        list_dual_axis = [False, True] + [None]
        if dual_axis not in list_dual_axis:
            raise ValueError(f"`dual_axis` must be one of: [False, True]")
        elif dual_axis in list_dual_axis and dual_axis is not None:
            filtered_dict = {
                k: v for (k, v) in {False: False, True: True}.items() if dual_axis in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dual_axis"] = filtered_dict[dual_axis]
        self.state["state"]["secondary_series"] = secondary_series

        list_stack_sort = ["data", "ascending", "descending"] + [None]
        if stack_sort not in list_stack_sort:
            raise ValueError(
                f"`stack_sort` must be one of: ['data', 'ascending', 'descending']"
            )
        elif stack_sort in list_stack_sort and stack_sort is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "data": "data",
                    "ascending": "ascending",
                    "descending": "descending",
                }.items()
                if stack_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["stack_sort"] = filtered_dict[stack_sort]

        list_facet_layout = ["single", "facets"] + [None]
        if facet_layout not in list_facet_layout:
            raise ValueError(f"`facet_layout` must be one of: ['single', 'facets']")
        elif facet_layout in list_facet_layout and facet_layout is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"single": "single", "facets": "facets"}.items()
                if facet_layout in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facet_layout"] = filtered_dict[facet_layout]

        list_height_mode = ["auto", "fill_space", "aspect"] + [None]
        if height_mode not in list_height_mode:
            raise ValueError(
                f"`height_mode` must be one of: ['auto', 'fill_space', 'aspect']"
            )
        elif height_mode in list_height_mode and height_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "fill_space": "fill_space",
                    "aspect": "aspect",
                }.items()
                if height_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["height_mode"] = filtered_dict[height_mode]
        self.state["state"]["facet_aspect"] = facet_aspect
        self.state["state"]["facet_aspect_mobile"] = facet_aspect_mobile
        self.state["state"]["facet_aspect_breakpoint"] = facet_aspect_breakpoint

        list_sort_mode = ["data", "value", "label"] + [None]
        if sort_mode not in list_sort_mode:
            raise ValueError(f"`sort_mode` must be one of: ['data', 'value', 'label']")
        elif sort_mode in list_sort_mode and sort_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "data": "data",
                    "value": "value",
                    "label": "label",
                }.items()
                if sort_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["sort_mode"] = filtered_dict[sort_mode]

        list_chart_facet_columns_fixed = [False, True] + [None]
        if chart_facet_columns_fixed not in list_chart_facet_columns_fixed:
            raise ValueError(
                f"`chart_facet_columns_fixed` must be one of: [False, True]"
            )
        elif (
            chart_facet_columns_fixed in list_chart_facet_columns_fixed
            and chart_facet_columns_fixed is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_facet_columns_fixed in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["columns_fixed"] = filtered_dict[
                    chart_facet_columns_fixed
                ]
        self.state["state"]["facets"]["min_width"] = chart_facet_min_width
        self.state["state"]["facets"]["max_width"] = chart_facet_max_width
        self.state["state"]["facets"]["columns"] = chart_facet_columns
        self.state["state"]["facets"]["gutter_w"] = chart_facet_gutter_w
        self.state["state"]["facets"]["gutter_h"] = chart_facet_gutter_h

        list_chart_facet_animation = ["auto", "name", "reuse"] + [None]
        if chart_facet_animation not in list_chart_facet_animation:
            raise ValueError(
                f"`chart_facet_animation` must be one of: ['auto', 'name', 'reuse']"
            )
        elif (
            chart_facet_animation in list_chart_facet_animation
            and chart_facet_animation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "name": "name", "reuse": "reuse"}.items()
                if chart_facet_animation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["animation"] = filtered_dict[
                    chart_facet_animation
                ]
        self.state["state"]["facets"]["titles"] = chart_facet_titles

        list_chart_facet_title_align = ["auto", "left", "center", "right"] + [None]
        if chart_facet_title_align not in list_chart_facet_title_align:
            raise ValueError(
                f"`chart_facet_title_align` must be one of: ['auto', 'left', 'center', 'right']"
            )
        elif (
            chart_facet_title_align in list_chart_facet_title_align
            and chart_facet_title_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_facet_title_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_align"] = filtered_dict[
                    chart_facet_title_align
                ]
        self.state["state"]["facets"]["title_size"] = chart_facet_title_size

        list_chart_facet_title_unit = ["rem", "facet"] + [None]
        if chart_facet_title_unit not in list_chart_facet_title_unit:
            raise ValueError(
                f"`chart_facet_title_unit` must be one of: ['rem', 'facet']"
            )
        elif (
            chart_facet_title_unit in list_chart_facet_title_unit
            and chart_facet_title_unit is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"rem": "rem", "facet": "facet"}.items()
                if chart_facet_title_unit in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_unit"] = filtered_dict[
                    chart_facet_title_unit
                ]
        self.state["state"]["facets"]["title_color"] = chart_facet_title_color
        self.state["state"]["facets"][
            "title_padding_top"
        ] = chart_facet_title_padding_top
        self.state["state"]["facets"][
            "title_padding_bottom"
        ] = chart_facet_title_padding_bottom

        list_chart_facet_title_bg = ["none", "full", "text"] + [None]
        if chart_facet_title_bg not in list_chart_facet_title_bg:
            raise ValueError(
                f"`chart_facet_title_bg` must be one of: ['none', 'full', 'text']"
            )
        elif (
            chart_facet_title_bg in list_chart_facet_title_bg
            and chart_facet_title_bg is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"none": "none", "full": "full", "text": "text"}.items()
                if chart_facet_title_bg in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_bg"] = filtered_dict[
                    chart_facet_title_bg
                ]
        self.state["state"]["facets"]["title_bg_color"] = chart_facet_title_bg_color
        self.state["state"]["facets"]["title_bg_padding"] = chart_facet_title_bg_padding
        self.state["state"]["x_axis_matching"] = x_axis_matching
        self.state["state"]["x_axis_last_row_only"] = x_axis_last_row_only
        self.state["state"]["y_axis_matching"] = y_axis_matching
        self.state["state"]["y_axis_first_col_only"] = y_axis_first_col_only
        self.state["state"]["y2_axis_matching"] = y2_axis_matching
        self.state["state"]["y2_axis_last_col_only"] = y2_axis_last_col_only

        list_series_filter_mode = ["none", "single", "multi"] + [None]
        if series_filter_mode not in list_series_filter_mode:
            raise ValueError(
                f"`series_filter_mode` must be one of: ['none', 'single', 'multi']"
            )
        elif (
            series_filter_mode in list_series_filter_mode
            and series_filter_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "single": "single",
                    "multi": "multi",
                }.items()
                if series_filter_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["series_filter_mode"] = filtered_dict[
                    series_filter_mode
                ]
        self.state["state"]["series_control_multi_text"] = series_control_multi_text
        self.state["state"][
            "series_control_multi_none_text"
        ] = series_control_multi_none_text
        self.state["state"]["series_control_select_text"] = series_control_select_text
        self.state["state"]["max_series"] = max_series
        self.state["state"]["series_control_background"] = series_control_background
        self.state["state"]["series_control_text"] = series_control_text
        self.state["state"]["series_control_border"] = series_control_border
        self.state["state"][
            "series_control_pill_background"
        ] = series_control_pill_background
        self.state["state"]["series_control_pill_text"] = series_control_pill_text
        self.state["state"]["series_control_pill_radius"] = series_control_pill_radius
        self.state["state"]["series_control_single_all"] = series_control_single_all
        self.state["state"][
            "series_control_single_all_text"
        ] = series_control_single_all_text
        self.state["state"]["filter_rows_with_no_data"] = filter_rows_with_no_data

        list_chart_series_filter_controls_control_type = [
            "dropdown",
            "buttons",
            "slider",
        ] + [None]
        if (
            chart_series_filter_controls_control_type
            not in list_chart_series_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_series_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_series_filter_controls_control_type
            in list_chart_series_filter_controls_control_type
            and chart_series_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_series_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["series_control_single"][
                    "control_type"
                ] = filtered_dict[chart_series_filter_controls_control_type]
        self.state["state"]["series_control_single"][
            "control_styles"
        ] = chart_series_filter_controls_control_styles
        self.state["state"]["series_control_single"][
            "control_title"
        ] = chart_series_filter_controls_control_title

        list_chart_series_filter_controls_button_group = [True, False] + [None]
        if (
            chart_series_filter_controls_button_group
            not in list_chart_series_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_series_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_series_filter_controls_button_group
            in list_chart_series_filter_controls_button_group
            and chart_series_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_series_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["series_control_single"][
                    "button_group"
                ] = filtered_dict[chart_series_filter_controls_button_group]

        list_chart_series_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_series_filter_controls_button_group_width_mode
            not in list_chart_series_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_series_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_series_filter_controls_button_group_width_mode
            in list_chart_series_filter_controls_button_group_width_mode
            and chart_series_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_series_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["series_control_single"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_series_filter_controls_button_group_width_mode]
        self.state["state"]["series_control_single"][
            "button_group_width_fixed"
        ] = chart_series_filter_controls_button_group_width_fixed

        list_chart_series_filter_controls_dropdown_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_series_filter_controls_dropdown_width_mode
            not in list_chart_series_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_series_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_series_filter_controls_dropdown_width_mode
            in list_chart_series_filter_controls_dropdown_width_mode
            and chart_series_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_series_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["series_control_single"][
                    "dropdown_width_mode"
                ] = filtered_dict[chart_series_filter_controls_dropdown_width_mode]
        self.state["state"]["series_control_single"][
            "dropdown_width_fixed"
        ] = chart_series_filter_controls_dropdown_width_fixed
        self.state["state"]["series_control_single"][
            "slider_width"
        ] = chart_series_filter_controls_slider_width
        self.state["state"]["series_control_single"][
            "slider_max_label_width"
        ] = chart_series_filter_controls_slider_max_label_width
        self.state["state"]["series_control_single"][
            "slider_step_time"
        ] = chart_series_filter_controls_slider_step_time
        self.state["state"]["series_control_single"][
            "slider_loop"
        ] = chart_series_filter_controls_slider_loop
        self.state["state"]["series_control_single"][
            "slider_restart_pause"
        ] = chart_series_filter_controls_slider_restart_pause

        list_chart_series_filter_controls_sort = [True, False] + [None]
        if (
            chart_series_filter_controls_sort
            not in list_chart_series_filter_controls_sort
        ):
            raise ValueError(
                f"`chart_series_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_series_filter_controls_sort in list_chart_series_filter_controls_sort
            and chart_series_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_series_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["series_control_single"]["sort"] = filtered_dict[
                    chart_series_filter_controls_sort
                ]
        self.state["state"]["row_filter_control_all"] = row_filter_control_all
        self.state["state"]["row_filter_control_all_text"] = row_filter_control_all_text

        list_chart_row_filter_controls_control_type = [
            "dropdown",
            "buttons",
            "slider",
        ] + [None]
        if (
            chart_row_filter_controls_control_type
            not in list_chart_row_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_row_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_row_filter_controls_control_type
            in list_chart_row_filter_controls_control_type
            and chart_row_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_row_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["row_filter_control"][
                    "control_type"
                ] = filtered_dict[chart_row_filter_controls_control_type]
        self.state["state"]["row_filter_control"][
            "control_styles"
        ] = chart_row_filter_controls_control_styles
        self.state["state"]["row_filter_control"][
            "control_title"
        ] = chart_row_filter_controls_control_title

        list_chart_row_filter_controls_button_group = [True, False] + [None]
        if (
            chart_row_filter_controls_button_group
            not in list_chart_row_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_row_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_row_filter_controls_button_group
            in list_chart_row_filter_controls_button_group
            and chart_row_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_row_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["row_filter_control"][
                    "button_group"
                ] = filtered_dict[chart_row_filter_controls_button_group]

        list_chart_row_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_row_filter_controls_button_group_width_mode
            not in list_chart_row_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_row_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_row_filter_controls_button_group_width_mode
            in list_chart_row_filter_controls_button_group_width_mode
            and chart_row_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_row_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["row_filter_control"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_row_filter_controls_button_group_width_mode]
        self.state["state"]["row_filter_control"][
            "button_group_width_fixed"
        ] = chart_row_filter_controls_button_group_width_fixed

        list_chart_row_filter_controls_dropdown_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_row_filter_controls_dropdown_width_mode
            not in list_chart_row_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_row_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_row_filter_controls_dropdown_width_mode
            in list_chart_row_filter_controls_dropdown_width_mode
            and chart_row_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_row_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["row_filter_control"][
                    "dropdown_width_mode"
                ] = filtered_dict[chart_row_filter_controls_dropdown_width_mode]
        self.state["state"]["row_filter_control"][
            "dropdown_width_fixed"
        ] = chart_row_filter_controls_dropdown_width_fixed
        self.state["state"]["row_filter_control"][
            "slider_width"
        ] = chart_row_filter_controls_slider_width
        self.state["state"]["row_filter_control"][
            "slider_max_label_width"
        ] = chart_row_filter_controls_slider_max_label_width
        self.state["state"]["row_filter_control"][
            "slider_step_time"
        ] = chart_row_filter_controls_slider_step_time
        self.state["state"]["row_filter_control"][
            "slider_loop"
        ] = chart_row_filter_controls_slider_loop
        self.state["state"]["row_filter_control"][
            "slider_restart_pause"
        ] = chart_row_filter_controls_slider_restart_pause

        list_chart_row_filter_controls_sort = [True, False] + [None]
        if chart_row_filter_controls_sort not in list_chart_row_filter_controls_sort:
            raise ValueError(
                f"`chart_row_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_row_filter_controls_sort in list_chart_row_filter_controls_sort
            and chart_row_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_row_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["row_filter_control"]["sort"] = filtered_dict[
                    chart_row_filter_controls_sort
                ]
        self.state["state"]["log_control_y_visible"] = log_control_y_visible

        list_chart_log_control_y_filter_controls_control_type = [
            "dropdown",
            "buttons",
            "slider",
        ] + [None]
        if (
            chart_log_control_y_filter_controls_control_type
            not in list_chart_log_control_y_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_log_control_y_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_log_control_y_filter_controls_control_type
            in list_chart_log_control_y_filter_controls_control_type
            and chart_log_control_y_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_log_control_y_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["log_control_y"]["control_type"] = filtered_dict[
                    chart_log_control_y_filter_controls_control_type
                ]
        self.state["state"]["log_control_y"][
            "control_styles"
        ] = chart_log_control_y_filter_controls_control_styles
        self.state["state"]["log_control_y"][
            "control_title"
        ] = chart_log_control_y_filter_controls_control_title

        list_chart_log_control_y_filter_controls_button_group = [True, False] + [None]
        if (
            chart_log_control_y_filter_controls_button_group
            not in list_chart_log_control_y_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_log_control_y_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_log_control_y_filter_controls_button_group
            in list_chart_log_control_y_filter_controls_button_group
            and chart_log_control_y_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_log_control_y_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["log_control_y"]["button_group"] = filtered_dict[
                    chart_log_control_y_filter_controls_button_group
                ]

        list_chart_log_control_y_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_log_control_y_filter_controls_button_group_width_mode
            not in list_chart_log_control_y_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_log_control_y_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_log_control_y_filter_controls_button_group_width_mode
            in list_chart_log_control_y_filter_controls_button_group_width_mode
            and chart_log_control_y_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_log_control_y_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["log_control_y"][
                    "button_group_width_mode"
                ] = filtered_dict[
                    chart_log_control_y_filter_controls_button_group_width_mode
                ]
        self.state["state"]["log_control_y"][
            "button_group_width_fixed"
        ] = chart_log_control_y_filter_controls_button_group_width_fixed

        list_chart_log_control_y_filter_controls_dropdown_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_log_control_y_filter_controls_dropdown_width_mode
            not in list_chart_log_control_y_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_log_control_y_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_log_control_y_filter_controls_dropdown_width_mode
            in list_chart_log_control_y_filter_controls_dropdown_width_mode
            and chart_log_control_y_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_log_control_y_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["log_control_y"][
                    "dropdown_width_mode"
                ] = filtered_dict[
                    chart_log_control_y_filter_controls_dropdown_width_mode
                ]
        self.state["state"]["log_control_y"][
            "dropdown_width_fixed"
        ] = chart_log_control_y_filter_controls_dropdown_width_fixed
        self.state["state"]["log_control_y"][
            "slider_width"
        ] = chart_log_control_y_filter_controls_slider_width
        self.state["state"]["log_control_y"][
            "slider_max_label_width"
        ] = chart_log_control_y_filter_controls_slider_max_label_width
        self.state["state"]["log_control_y"][
            "slider_step_time"
        ] = chart_log_control_y_filter_controls_slider_step_time
        self.state["state"]["log_control_y"][
            "slider_loop"
        ] = chart_log_control_y_filter_controls_slider_loop
        self.state["state"]["log_control_y"][
            "slider_restart_pause"
        ] = chart_log_control_y_filter_controls_slider_restart_pause

        list_chart_log_control_y_filter_controls_sort = [True, False] + [None]
        if (
            chart_log_control_y_filter_controls_sort
            not in list_chart_log_control_y_filter_controls_sort
        ):
            raise ValueError(
                f"`chart_log_control_y_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_log_control_y_filter_controls_sort
            in list_chart_log_control_y_filter_controls_sort
            and chart_log_control_y_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_log_control_y_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["log_control_y"]["sort"] = filtered_dict[
                    chart_log_control_y_filter_controls_sort
                ]
        self.state["state"]["log_control_y_text_linear"] = log_control_y_text_linear
        self.state["state"]["log_control_y_text_log"] = log_control_y_text_log
        self.state["state"]["controls_style"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_style"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["controls_style"]["height"] = chart_controls_style_height
        self.state["state"]["dropdown_style"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["dropdown_style"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["dropdown_style"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown_style"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["dropdown_style"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["dropdown_style"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["dropdown_style"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["dropdown_style"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius
        self.state["state"]["button_style"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["button_style"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["button_style"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["button_style"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["button_style"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["button_style"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["button_style"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["button_style"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["button_style"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["button_style"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["button_style"][
            "border_radius"
        ] = chart_button_control_style_border_radius

        list_chart_filter_controls_container_alignment = ["start", "center", "end"] + [
            None
        ]
        if (
            chart_filter_controls_container_alignment
            not in list_chart_filter_controls_container_alignment
        ):
            raise ValueError(
                f"`chart_filter_controls_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_filter_controls_container_alignment
            in list_chart_filter_controls_container_alignment
            and chart_filter_controls_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_filter_controls_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_container"]["alignment"] = filtered_dict[
                    chart_filter_controls_container_alignment
                ]
        self.state["state"]["controls_container"][
            "controls_spacing"
        ] = chart_filter_controls_container_controls_spacing

        list_controls_position = [
            "log_series_row",
            "series_log_row",
            "log_row_series",
            "series_row_log",
            "row_log_series",
            "row_series_log",
        ] + [None]
        if controls_position not in list_controls_position:
            raise ValueError(
                f"`controls_position` must be one of: ['log_series_row', 'series_log_row', 'log_row_series', 'series_row_log', 'row_log_series', 'row_series_log']"
            )
        elif (
            controls_position in list_controls_position
            and controls_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "log_series_row": "log_series_row",
                    "series_log_row": "series_log_row",
                    "log_row_series": "log_row_series",
                    "series_row_log": "series_row_log",
                    "row_log_series": "row_log_series",
                    "row_series_log": "row_series_log",
                }.items()
                if controls_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_position"] = filtered_dict[
                    controls_position
                ]

        list_color_mode = ["column", "row"] + [None]
        if color_mode not in list_color_mode:
            raise ValueError(f"`color_mode` must be one of: ['column', 'row']")
        elif color_mode in list_color_mode and color_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"column": "column", "row": "row"}.items()
                if color_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color_mode"] = filtered_dict[color_mode]

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max
        self.state["state"]["line_width"] = line_width
        self.state["state"]["line_opacity"] = line_opacity
        self.state["state"]["line_stroke"] = line_stroke

        list_line_curve = [
            "curve_linear",
            "curve_monotone_x",
            "curve_natural",
            "curve_step",
            "curve_step_before",
            "curve_step_after",
        ] + [None]
        if line_curve not in list_line_curve:
            raise ValueError(
                f"`line_curve` must be one of: ['curve_linear', 'curve_monotone_x', 'curve_natural', 'curve_step', 'curve_step_before', 'curve_step_after']"
            )
        elif line_curve in list_line_curve and line_curve is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "curve_linear": "curveLinear",
                    "curve_monotone_x": "curveMonotoneX",
                    "curve_natural": "curveNatural",
                    "curve_step": "curveStep",
                    "curve_step_before": "curveStepBefore",
                    "curve_step_after": "curveStepAfter",
                }.items()
                if line_curve in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_curve"] = filtered_dict[line_curve]

        if (
            line_dash_items is not None
            and len(line_dash_items) > 1
            and isinstance(line_dash_items, list)
        ):
            self.state["state"]["line_dash_items"] = " \n ".join(line_dash_items)
        else:
            self.state["state"]["line_dash_items"] = line_dash_items

        self.state["state"]["line_dash_width"] = line_dash_width
        self.state["state"]["line_dash_space_width"] = line_dash_space_width

        list_line_interpolate = [True, False] + [None]
        if line_interpolate not in list_line_interpolate:
            raise ValueError(f"`line_interpolate` must be one of: [True, False]")
        elif line_interpolate in list_line_interpolate and line_interpolate is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if line_interpolate in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_interpolate"] = filtered_dict[
                    line_interpolate
                ]
        self.state["state"]["shade_between_lines"] = shade_between_lines

        if (
            shade_between_lines_config is not None
            and len(shade_between_lines_config) > 1
            and isinstance(shade_between_lines_config, list)
        ):
            self.state["state"]["shade_between_lines_config"] = " \n ".join(
                shade_between_lines_config
            )
        else:
            self.state["state"][
                "shade_between_lines_config"
            ] = shade_between_lines_config

        self.state["state"]["shade_between_lines_color"] = shade_between_lines_color
        self.state["state"]["shade_between_lines_opacity"] = shade_between_lines_opacity
        self.state["state"]["area_opacity"] = area_opacity

        list_dot_mode = ["auto", "on", "off"] + [None]
        if dot_mode not in list_dot_mode:
            raise ValueError(f"`dot_mode` must be one of: ['auto', 'on', 'off']")
        elif dot_mode in list_dot_mode and dot_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if dot_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dot_mode"] = filtered_dict[dot_mode]
        self.state["state"]["dot_opacity"] = dot_opacity
        self.state["state"]["dot_radius"] = dot_radius
        self.state["state"]["dot_radius_last"] = dot_radius_last
        self.state["state"]["dot_hollow"] = dot_hollow
        self.state["state"]["bar_height"] = bar_height
        self.state["state"]["column_opacity"] = column_opacity
        self.state["state"]["uniform_column_width"] = uniform_column_width
        self.state["state"]["uniform_bar_height"] = uniform_bar_height
        self.state["state"]["column_padding_inner"] = column_padding_inner
        self.state["state"]["column_padding_in_group"] = column_padding_in_group
        self.state["state"]["column_padding_stack"] = column_padding_stack
        self.state["state"]["column_stroke"] = column_stroke
        self.state["state"]["column_stroke_opacity"] = column_stroke_opacity
        self.state["state"]["column_stroke_color"] = column_stroke_color
        self.state["state"]["donut_inner_radius"] = donut_inner_radius
        self.state["state"]["donut_corner_radius"] = donut_corner_radius
        self.state["state"]["donut_pad_angle"] = donut_pad_angle
        self.state["state"]["donut_auto_scale"] = donut_auto_scale

        list_bar_labels_above = [True, False] + [None]
        if bar_labels_above not in list_bar_labels_above:
            raise ValueError(f"`bar_labels_above` must be one of: [True, False]")
        elif bar_labels_above in list_bar_labels_above and bar_labels_above is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if bar_labels_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["bar_labels_above"] = filtered_dict[
                    bar_labels_above
                ]
        self.state["state"]["bar_labels_color"] = bar_labels_color
        self.state["state"]["bar_labels_font_size"] = bar_labels_font_size

        list_bar_labels_weight = ["600", "400"] + [None]
        if bar_labels_weight not in list_bar_labels_weight:
            raise ValueError(f"`bar_labels_weight` must be one of: ['600', '400']")
        elif (
            bar_labels_weight in list_bar_labels_weight
            and bar_labels_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"600": "600", "400": "400"}.items()
                if bar_labels_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["bar_labels_weight"] = filtered_dict[
                    bar_labels_weight
                ]
        self.state["state"]["line_end_labels"] = line_end_labels
        self.state["state"]["line_labels"]["max_width"] = chart_line_labels_max_width

        list_chart_line_labels_overlap_mode = ["spread", "hide", "none"] + [None]
        if chart_line_labels_overlap_mode not in list_chart_line_labels_overlap_mode:
            raise ValueError(
                f"`chart_line_labels_overlap_mode` must be one of: ['spread', 'hide', 'none']"
            )
        elif (
            chart_line_labels_overlap_mode in list_chart_line_labels_overlap_mode
            and chart_line_labels_overlap_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "spread": "spread",
                    "hide": "hide",
                    "none": "none",
                }.items()
                if chart_line_labels_overlap_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_labels"]["overlap_mode"] = filtered_dict[
                    chart_line_labels_overlap_mode
                ]
        self.state["state"]["line_labels"][
            "spreading_margin"
        ] = chart_line_labels_spreading_margin
        self.state["state"]["line_labels"][
            "data_point_margin"
        ] = chart_line_labels_data_point_margin

        if (
            chart_line_labels_show_only_labels is not None
            and len(chart_line_labels_show_only_labels) > 1
            and isinstance(chart_line_labels_show_only_labels, list)
        ):
            self.state["state"]["line_labels"]["show_only_labels"] = " \n ".join(
                chart_line_labels_show_only_labels
            )
        else:
            self.state["state"]["line_labels"][
                "show_only_labels"
            ] = chart_line_labels_show_only_labels

        self.state["state"]["line_labels"]["text_color"] = chart_line_labels_text_color
        self.state["state"]["line_labels"]["text_size"] = chart_line_labels_text_size
        self.state["state"]["line_labels"][
            "text_bg_color"
        ] = chart_line_labels_text_bg_color
        self.state["state"]["line_labels"][
            "text_bg_size"
        ] = chart_line_labels_text_bg_size
        self.state["state"]["line_labels"][
            "text_line_height"
        ] = chart_line_labels_text_line_height
        self.state["state"]["line_labels"][
            "text_max_lines"
        ] = chart_line_labels_text_max_lines

        list_chart_line_labels_text_weight = [400, 700] + [None]
        if chart_line_labels_text_weight not in list_chart_line_labels_text_weight:
            raise ValueError(
                f"`chart_line_labels_text_weight` must be one of: [400, 700]"
            )
        elif (
            chart_line_labels_text_weight in list_chart_line_labels_text_weight
            and chart_line_labels_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {400: 400, 700: 700}.items()
                if chart_line_labels_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_labels"]["text_weight"] = filtered_dict[
                    chart_line_labels_text_weight
                ]

        list_chart_line_labels_lines = ["auto", "on", "off"] + [None]
        if chart_line_labels_lines not in list_chart_line_labels_lines:
            raise ValueError(
                f"`chart_line_labels_lines` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_line_labels_lines in list_chart_line_labels_lines
            and chart_line_labels_lines is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_line_labels_lines in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_labels"]["lines"] = filtered_dict[
                    chart_line_labels_lines
                ]

        list_chart_line_labels_line_style = ["straight", "step"] + [None]
        if chart_line_labels_line_style not in list_chart_line_labels_line_style:
            raise ValueError(
                f"`chart_line_labels_line_style` must be one of: ['straight', 'step']"
            )
        elif (
            chart_line_labels_line_style in list_chart_line_labels_line_style
            and chart_line_labels_line_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"straight": "straight", "step": "step"}.items()
                if chart_line_labels_line_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_labels"]["line_style"] = filtered_dict[
                    chart_line_labels_line_style
                ]
        self.state["state"]["line_labels"]["line_color"] = chart_line_labels_line_color
        self.state["state"]["line_labels"]["line_width"] = chart_line_labels_line_width
        self.state["state"]["line_labels"]["line_range"] = chart_line_labels_line_range
        self.state["state"]["line_labels"][
            "line_padding"
        ] = chart_line_labels_line_padding
        self.state["state"]["labels"] = labels
        self.state["state"]["labels_hide_overlaps"] = labels_hide_overlaps
        self.state["state"]["labels_dot_center"] = labels_dot_center

        list_labels_column_align = ["bottom", "middle", "top", "above"] + [None]
        if labels_column_align not in list_labels_column_align:
            raise ValueError(
                f"`labels_column_align` must be one of: ['bottom', 'middle', 'top', 'above']"
            )
        elif (
            labels_column_align in list_labels_column_align
            and labels_column_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "bottom": "bottom",
                    "middle": "middle",
                    "top": "top",
                    "above": "above",
                }.items()
                if labels_column_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels_column_align"] = filtered_dict[
                    labels_column_align
                ]
        self.state["state"]["labels_column_padding"] = labels_column_padding

        list_labels_bar_align = ["left", "center", "right", "out"] + [None]
        if labels_bar_align not in list_labels_bar_align:
            raise ValueError(
                f"`labels_bar_align` must be one of: ['left', 'center', 'right', 'out']"
            )
        elif labels_bar_align in list_labels_bar_align and labels_bar_align is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "out": "out",
                }.items()
                if labels_bar_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels_bar_align"] = filtered_dict[
                    labels_bar_align
                ]
        self.state["state"]["labels_bar_autohide"] = labels_bar_autohide

        list_labels_color_mode = ["auto", "data", "contrast", "fixed"] + [None]
        if labels_color_mode not in list_labels_color_mode:
            raise ValueError(
                f"`labels_color_mode` must be one of: ['auto', 'data', 'contrast', 'fixed']"
            )
        elif (
            labels_color_mode in list_labels_color_mode
            and labels_color_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "data": "data",
                    "contrast": "contrast",
                    "fixed": "fixed",
                }.items()
                if labels_color_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels_color_mode"] = filtered_dict[
                    labels_color_mode
                ]
        self.state["state"]["labels_fixed_color"] = labels_fixed_color

        list_labels_font_weight = ["600", "400"] + [None]
        if labels_font_weight not in list_labels_font_weight:
            raise ValueError(f"`labels_font_weight` must be one of: ['600', '400']")
        elif (
            labels_font_weight in list_labels_font_weight
            and labels_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"600": "600", "400": "400"}.items()
                if labels_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels_font_weight"] = filtered_dict[
                    labels_font_weight
                ]

        list_labels_font_size_mode = ["auto", "fixed"] + [None]
        if labels_font_size_mode not in list_labels_font_size_mode:
            raise ValueError(
                f"`labels_font_size_mode` must be one of: ['auto', 'fixed']"
            )
        elif (
            labels_font_size_mode in list_labels_font_size_mode
            and labels_font_size_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "fixed": "fixed"}.items()
                if labels_font_size_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels_font_size_mode"] = filtered_dict[
                    labels_font_size_mode
                ]
        self.state["state"]["labels_font_size"] = labels_font_size

        list_labels_bg_mode = ["on", "off"] + [None]
        if labels_bg_mode not in list_labels_bg_mode:
            raise ValueError(f"`labels_bg_mode` must be one of: ['on', 'off']")
        elif labels_bg_mode in list_labels_bg_mode and labels_bg_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"on": "on", "off": "off"}.items()
                if labels_bg_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels_bg_mode"] = filtered_dict[labels_bg_mode]
        self.state["state"]["labels_bg_size"] = labels_bg_size

        list_labels_content = ["auto", "value", "label", "both"] + [None]
        if labels_content not in list_labels_content:
            raise ValueError(
                f"`labels_content` must be one of: ['auto', 'value', 'label', 'both']"
            )
        elif labels_content in list_labels_content and labels_content is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "value": "value",
                    "label": "label",
                    "both": "both",
                }.items()
                if labels_content in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels_content"] = filtered_dict[labels_content]
        self.state["state"]["stack_labels"] = stack_labels
        self.state["state"]["stack_labels_color"] = stack_labels_color
        self.state["state"]["stack_labels_font_size"] = stack_labels_font_size

        list_stack_labels_weight = ["600", "400"] + [None]
        if stack_labels_weight not in list_stack_labels_weight:
            raise ValueError(f"`stack_labels_weight` must be one of: ['600', '400']")
        elif (
            stack_labels_weight in list_stack_labels_weight
            and stack_labels_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"600": "600", "400": "400"}.items()
                if stack_labels_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["stack_labels_weight"] = filtered_dict[
                    stack_labels_weight
                ]

        list_chart_x_axis_axis_position = [
            "bottom",
            "float-below",
            "float-above",
            "top",
            "off",
        ] + [None]
        if chart_x_axis_axis_position not in list_chart_x_axis_axis_position:
            raise ValueError(
                f"`chart_x_axis_axis_position` must be one of: ['bottom', 'float-below', 'float-above', 'top', 'off']"
            )
        elif (
            chart_x_axis_axis_position in list_chart_x_axis_axis_position
            and chart_x_axis_axis_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "bottom": "bottom",
                    "float-below": "float-below",
                    "float-above": "float-above",
                    "top": "top",
                    "off": "off",
                }.items()
                if chart_x_axis_axis_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["axis_position"] = filtered_dict[
                    chart_x_axis_axis_position
                ]
        self.state["state"]["x"]["y_axis_position"] = chart_x_axis_y_axis_position

        list_chart_x_axis_numeric_scale_type = ["linear", "log"] + [None]
        if chart_x_axis_numeric_scale_type not in list_chart_x_axis_numeric_scale_type:
            raise ValueError(
                f"`chart_x_axis_numeric_scale_type` must be one of: ['linear', 'log']"
            )
        elif (
            chart_x_axis_numeric_scale_type in list_chart_x_axis_numeric_scale_type
            and chart_x_axis_numeric_scale_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "log": "log"}.items()
                if chart_x_axis_numeric_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["numeric_scale_type"] = filtered_dict[
                    chart_x_axis_numeric_scale_type
                ]
        self.state["state"]["x"]["linear_min"] = chart_x_axis_linear_min
        self.state["state"]["x"]["linear_max"] = chart_x_axis_linear_max
        self.state["state"]["x"]["log_min"] = chart_x_axis_log_min
        self.state["state"]["x"]["log_max"] = chart_x_axis_log_max
        self.state["state"]["x"]["datetime_min"] = chart_x_axis_datetime_min
        self.state["state"]["x"]["datetime_max"] = chart_x_axis_datetime_max
        self.state["state"]["x"]["flip"] = chart_x_axis_flip
        self.state["state"]["x"][
            "show_scale_settings"
        ] = chart_x_axis_show_scale_settings

        list_chart_x_axis_nice = [True, False] + [None]
        if chart_x_axis_nice not in list_chart_x_axis_nice:
            raise ValueError(f"`chart_x_axis_nice` must be one of: [True, False]")
        elif (
            chart_x_axis_nice in list_chart_x_axis_nice
            and chart_x_axis_nice is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_x_axis_nice in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["nice"] = filtered_dict[chart_x_axis_nice]

        list_chart_x_axis_zero_axis = ["auto", "on", "off"] + [None]
        if chart_x_axis_zero_axis not in list_chart_x_axis_zero_axis:
            raise ValueError(
                f"`chart_x_axis_zero_axis` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_x_axis_zero_axis in list_chart_x_axis_zero_axis
            and chart_x_axis_zero_axis is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_x_axis_zero_axis in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["zero_axis"] = filtered_dict[
                    chart_x_axis_zero_axis
                ]

        list_chart_x_axis_title_mode = ["auto", "custom"] + [None]
        if chart_x_axis_title_mode not in list_chart_x_axis_title_mode:
            raise ValueError(
                f"`chart_x_axis_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_x_axis_title_mode in list_chart_x_axis_title_mode
            and chart_x_axis_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_x_axis_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["title_mode"] = filtered_dict[
                    chart_x_axis_title_mode
                ]
        self.state["state"]["x"]["title"] = chart_x_axis_title
        self.state["state"]["x"]["title_styling"] = chart_x_axis_title_styling

        list_chart_x_axis_title_weight = ["bold", "normal"] + [None]
        if chart_x_axis_title_weight not in list_chart_x_axis_title_weight:
            raise ValueError(
                f"`chart_x_axis_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_x_axis_title_weight in list_chart_x_axis_title_weight
            and chart_x_axis_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_x_axis_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["title_weight"] = filtered_dict[
                    chart_x_axis_title_weight
                ]
        self.state["state"]["x"]["title_color"] = chart_x_axis_title_color
        self.state["state"]["x"]["title_size"] = chart_x_axis_title_size
        self.state["state"]["x"]["title_padding"] = chart_x_axis_title_padding

        list_chart_x_axis_tick_label_position = ["default", "left", "right"] + [None]
        if (
            chart_x_axis_tick_label_position
            not in list_chart_x_axis_tick_label_position
        ):
            raise ValueError(
                f"`chart_x_axis_tick_label_position` must be one of: ['default', 'left', 'right']"
            )
        elif (
            chart_x_axis_tick_label_position in list_chart_x_axis_tick_label_position
            and chart_x_axis_tick_label_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "default": "default",
                    "left": "left",
                    "right": "right",
                }.items()
                if chart_x_axis_tick_label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_position"] = filtered_dict[
                    chart_x_axis_tick_label_position
                ]
        self.state["state"]["x"]["tick_label_styling"] = chart_x_axis_tick_label_styling
        self.state["state"]["x"]["tick_label_size"] = chart_x_axis_tick_label_size
        self.state["state"]["x"]["tick_label_color"] = chart_x_axis_tick_label_color
        self.state["state"]["x"]["tick_padding"] = chart_x_axis_tick_padding

        list_chart_x_axis_tick_label_angle = ["0", "30", "45", "60", "90"] + [None]
        if chart_x_axis_tick_label_angle not in list_chart_x_axis_tick_label_angle:
            raise ValueError(
                f"`chart_x_axis_tick_label_angle` must be one of: ['0', '30', '45', '60', '90']"
            )
        elif (
            chart_x_axis_tick_label_angle in list_chart_x_axis_tick_label_angle
            and chart_x_axis_tick_label_angle is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "30": "30",
                    "45": "45",
                    "60": "60",
                    "90": "90",
                }.items()
                if chart_x_axis_tick_label_angle in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_angle"] = filtered_dict[
                    chart_x_axis_tick_label_angle
                ]

        list_chart_x_axis_tick_label_weight = ["bold", "normal"] + [None]
        if chart_x_axis_tick_label_weight not in list_chart_x_axis_tick_label_weight:
            raise ValueError(
                f"`chart_x_axis_tick_label_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_x_axis_tick_label_weight in list_chart_x_axis_tick_label_weight
            and chart_x_axis_tick_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_x_axis_tick_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_weight"] = filtered_dict[
                    chart_x_axis_tick_label_weight
                ]
        self.state["state"]["x"][
            "tick_label_max_lines"
        ] = chart_x_axis_tick_label_max_lines
        self.state["state"]["x"][
            "tick_label_line_height"
        ] = chart_x_axis_tick_label_line_height

        list_chart_x_axis_tick_label_space_mode = ["auto", "max", "fixed"] + [None]
        if (
            chart_x_axis_tick_label_space_mode
            not in list_chart_x_axis_tick_label_space_mode
        ):
            raise ValueError(
                f"`chart_x_axis_tick_label_space_mode` must be one of: ['auto', 'max', 'fixed']"
            )
        elif (
            chart_x_axis_tick_label_space_mode
            in list_chart_x_axis_tick_label_space_mode
            and chart_x_axis_tick_label_space_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "max": "max", "fixed": "fixed"}.items()
                if chart_x_axis_tick_label_space_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_space_mode"] = filtered_dict[
                    chart_x_axis_tick_label_space_mode
                ]
        self.state["state"]["x"]["tick_label_space"] = chart_x_axis_tick_label_space

        list_chart_x_axis_tick_mode = ["auto", "number", "custom"] + [None]
        if chart_x_axis_tick_mode not in list_chart_x_axis_tick_mode:
            raise ValueError(
                f"`chart_x_axis_tick_mode` must be one of: ['auto', 'number', 'custom']"
            )
        elif (
            chart_x_axis_tick_mode in list_chart_x_axis_tick_mode
            and chart_x_axis_tick_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "number": "number",
                    "custom": "custom",
                }.items()
                if chart_x_axis_tick_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_mode"] = filtered_dict[
                    chart_x_axis_tick_mode
                ]
        self.state["state"]["x"]["tick_number"] = chart_x_axis_tick_number

        if (
            chart_x_axis_tick_custom is not None
            and len(chart_x_axis_tick_custom) > 1
            and isinstance(chart_x_axis_tick_custom, list)
        ):
            self.state["state"]["x"]["tick_custom"] = " \n ".join(
                chart_x_axis_tick_custom
            )
        else:
            self.state["state"]["x"]["tick_custom"] = chart_x_axis_tick_custom

        self.state["state"]["x"][
            "line_and_tick_color"
        ] = chart_x_axis_line_and_tick_color
        self.state["state"]["x"][
            "line_and_tick_width"
        ] = chart_x_axis_line_and_tick_width
        self.state["state"]["x"]["tick_length"] = chart_x_axis_tick_length

        list_chart_x_axis_tick_side = ["out", "in"] + [None]
        if chart_x_axis_tick_side not in list_chart_x_axis_tick_side:
            raise ValueError(f"`chart_x_axis_tick_side` must be one of: ['out', 'in']")
        elif (
            chart_x_axis_tick_side in list_chart_x_axis_tick_side
            and chart_x_axis_tick_side is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"out": "out", "in": "in"}.items()
                if chart_x_axis_tick_side in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_side"] = filtered_dict[
                    chart_x_axis_tick_side
                ]
        self.state["state"]["x"]["line_visible"] = chart_x_axis_line_visible
        self.state["state"]["x"]["edge_padding"] = chart_x_axis_edge_padding

        list_chart_x_axis_gridlines_visible = [True, False] + [None]
        if chart_x_axis_gridlines_visible not in list_chart_x_axis_gridlines_visible:
            raise ValueError(
                f"`chart_x_axis_gridlines_visible` must be one of: [True, False]"
            )
        elif (
            chart_x_axis_gridlines_visible in list_chart_x_axis_gridlines_visible
            and chart_x_axis_gridlines_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_x_axis_gridlines_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["gridlines_visible"] = filtered_dict[
                    chart_x_axis_gridlines_visible
                ]
        self.state["state"]["x"]["gridlines_styling"] = chart_x_axis_gridlines_styling
        self.state["state"]["x"]["gridline_color"] = chart_x_axis_gridline_color

        list_chart_x_axis_gridline_style = ["solid", "dash", "dot", "dot_dash"] + [None]
        if chart_x_axis_gridline_style not in list_chart_x_axis_gridline_style:
            raise ValueError(
                f"`chart_x_axis_gridline_style` must be one of: ['solid', 'dash', 'dot', 'dot_dash']"
            )
        elif (
            chart_x_axis_gridline_style in list_chart_x_axis_gridline_style
            and chart_x_axis_gridline_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dash": "dash",
                    "dot": "dot",
                    "dot_dash": "dot_dash",
                }.items()
                if chart_x_axis_gridline_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["gridline_style"] = filtered_dict[
                    chart_x_axis_gridline_style
                ]
        self.state["state"]["x"]["gridline_width"] = chart_x_axis_gridline_width
        self.state["state"]["x"][
            "gridline_category_dividers"
        ] = chart_x_axis_gridline_category_dividers
        self.state["state"]["x"][
            "gridline_category_dividers_extend"
        ] = chart_x_axis_gridline_category_dividers_extend

        list_chart_y_axis_axis_visible = [True, False] + [None]
        if chart_y_axis_axis_visible not in list_chart_y_axis_axis_visible:
            raise ValueError(
                f"`chart_y_axis_axis_visible` must be one of: [True, False]"
            )
        elif (
            chart_y_axis_axis_visible in list_chart_y_axis_axis_visible
            and chart_y_axis_axis_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_axis_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["axis_visible"] = filtered_dict[
                    chart_y_axis_axis_visible
                ]

        list_chart_y_axis_numeric_scale_type = ["linear", "log"] + [None]
        if chart_y_axis_numeric_scale_type not in list_chart_y_axis_numeric_scale_type:
            raise ValueError(
                f"`chart_y_axis_numeric_scale_type` must be one of: ['linear', 'log']"
            )
        elif (
            chart_y_axis_numeric_scale_type in list_chart_y_axis_numeric_scale_type
            and chart_y_axis_numeric_scale_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "log": "log"}.items()
                if chart_y_axis_numeric_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["numeric_scale_type"] = filtered_dict[
                    chart_y_axis_numeric_scale_type
                ]
        self.state["state"]["y"]["linear_min"] = chart_y_axis_linear_min
        self.state["state"]["y"]["linear_max"] = chart_y_axis_linear_max
        self.state["state"]["y"]["log_min"] = chart_y_axis_log_min
        self.state["state"]["y"]["log_max"] = chart_y_axis_log_max
        self.state["state"]["y"]["datetime_min"] = chart_y_axis_datetime_min
        self.state["state"]["y"]["datetime_max"] = chart_y_axis_datetime_max
        self.state["state"]["y"]["flip"] = chart_y_axis_flip
        self.state["state"]["y"][
            "show_scale_settings"
        ] = chart_y_axis_show_scale_settings

        list_chart_y_axis_nice = [True, False] + [None]
        if chart_y_axis_nice not in list_chart_y_axis_nice:
            raise ValueError(f"`chart_y_axis_nice` must be one of: [True, False]")
        elif (
            chart_y_axis_nice in list_chart_y_axis_nice
            and chart_y_axis_nice is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_nice in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["nice"] = filtered_dict[chart_y_axis_nice]

        list_chart_y_axis_zero_axis = ["auto", "on", "off"] + [None]
        if chart_y_axis_zero_axis not in list_chart_y_axis_zero_axis:
            raise ValueError(
                f"`chart_y_axis_zero_axis` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_y_axis_zero_axis in list_chart_y_axis_zero_axis
            and chart_y_axis_zero_axis is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_y_axis_zero_axis in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["zero_axis"] = filtered_dict[
                    chart_y_axis_zero_axis
                ]

        list_chart_y_axis_title_mode = ["auto", "custom"] + [None]
        if chart_y_axis_title_mode not in list_chart_y_axis_title_mode:
            raise ValueError(
                f"`chart_y_axis_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_y_axis_title_mode in list_chart_y_axis_title_mode
            and chart_y_axis_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_y_axis_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_mode"] = filtered_dict[
                    chart_y_axis_title_mode
                ]
        self.state["state"]["y"]["title"] = chart_y_axis_title
        self.state["state"]["y"]["title_styling"] = chart_y_axis_title_styling

        list_chart_y_axis_title_position = ["side", "end"] + [None]
        if chart_y_axis_title_position not in list_chart_y_axis_title_position:
            raise ValueError(
                f"`chart_y_axis_title_position` must be one of: ['side', 'end']"
            )
        elif (
            chart_y_axis_title_position in list_chart_y_axis_title_position
            and chart_y_axis_title_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"side": "side", "end": "end"}.items()
                if chart_y_axis_title_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_position"] = filtered_dict[
                    chart_y_axis_title_position
                ]

        list_chart_y_axis_title_weight = ["bold", "normal"] + [None]
        if chart_y_axis_title_weight not in list_chart_y_axis_title_weight:
            raise ValueError(
                f"`chart_y_axis_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_y_axis_title_weight in list_chart_y_axis_title_weight
            and chart_y_axis_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_y_axis_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_weight"] = filtered_dict[
                    chart_y_axis_title_weight
                ]
        self.state["state"]["y"]["title_color"] = chart_y_axis_title_color
        self.state["state"]["y"]["title_size"] = chart_y_axis_title_size
        self.state["state"]["y"]["title_padding"] = chart_y_axis_title_padding

        list_chart_y_axis_tick_label_position = ["default", "above", "below"] + [None]
        if (
            chart_y_axis_tick_label_position
            not in list_chart_y_axis_tick_label_position
        ):
            raise ValueError(
                f"`chart_y_axis_tick_label_position` must be one of: ['default', 'above', 'below']"
            )
        elif (
            chart_y_axis_tick_label_position in list_chart_y_axis_tick_label_position
            and chart_y_axis_tick_label_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "default": "default",
                    "above": "above",
                    "below": "below",
                }.items()
                if chart_y_axis_tick_label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_position"] = filtered_dict[
                    chart_y_axis_tick_label_position
                ]
        self.state["state"]["y"]["tick_label_styling"] = chart_y_axis_tick_label_styling
        self.state["state"]["y"]["tick_label_size"] = chart_y_axis_tick_label_size
        self.state["state"]["y"]["tick_label_color"] = chart_y_axis_tick_label_color
        self.state["state"]["y"]["tick_padding"] = chart_y_axis_tick_padding

        list_chart_y_axis_tick_label_angle = ["0", "30", "45", "60", "90"] + [None]
        if chart_y_axis_tick_label_angle not in list_chart_y_axis_tick_label_angle:
            raise ValueError(
                f"`chart_y_axis_tick_label_angle` must be one of: ['0', '30', '45', '60', '90']"
            )
        elif (
            chart_y_axis_tick_label_angle in list_chart_y_axis_tick_label_angle
            and chart_y_axis_tick_label_angle is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "30": "30",
                    "45": "45",
                    "60": "60",
                    "90": "90",
                }.items()
                if chart_y_axis_tick_label_angle in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_angle"] = filtered_dict[
                    chart_y_axis_tick_label_angle
                ]

        list_chart_y_axis_tick_label_weight = ["bold", "normal"] + [None]
        if chart_y_axis_tick_label_weight not in list_chart_y_axis_tick_label_weight:
            raise ValueError(
                f"`chart_y_axis_tick_label_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_y_axis_tick_label_weight in list_chart_y_axis_tick_label_weight
            and chart_y_axis_tick_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_y_axis_tick_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_weight"] = filtered_dict[
                    chart_y_axis_tick_label_weight
                ]
        self.state["state"]["y"][
            "tick_label_max_lines"
        ] = chart_y_axis_tick_label_max_lines
        self.state["state"]["y"][
            "tick_label_line_height"
        ] = chart_y_axis_tick_label_line_height

        list_chart_y_axis_tick_label_space_mode = ["auto", "max", "fixed"] + [None]
        if (
            chart_y_axis_tick_label_space_mode
            not in list_chart_y_axis_tick_label_space_mode
        ):
            raise ValueError(
                f"`chart_y_axis_tick_label_space_mode` must be one of: ['auto', 'max', 'fixed']"
            )
        elif (
            chart_y_axis_tick_label_space_mode
            in list_chart_y_axis_tick_label_space_mode
            and chart_y_axis_tick_label_space_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "max": "max", "fixed": "fixed"}.items()
                if chart_y_axis_tick_label_space_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_space_mode"] = filtered_dict[
                    chart_y_axis_tick_label_space_mode
                ]
        self.state["state"]["y"]["tick_label_space"] = chart_y_axis_tick_label_space

        list_chart_y_axis_tick_mode = ["auto", "number", "custom"] + [None]
        if chart_y_axis_tick_mode not in list_chart_y_axis_tick_mode:
            raise ValueError(
                f"`chart_y_axis_tick_mode` must be one of: ['auto', 'number', 'custom']"
            )
        elif (
            chart_y_axis_tick_mode in list_chart_y_axis_tick_mode
            and chart_y_axis_tick_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "number": "number",
                    "custom": "custom",
                }.items()
                if chart_y_axis_tick_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_mode"] = filtered_dict[
                    chart_y_axis_tick_mode
                ]
        self.state["state"]["y"]["tick_number"] = chart_y_axis_tick_number

        if (
            chart_y_axis_tick_custom is not None
            and len(chart_y_axis_tick_custom) > 1
            and isinstance(chart_y_axis_tick_custom, list)
        ):
            self.state["state"]["y"]["tick_custom"] = " \n ".join(
                chart_y_axis_tick_custom
            )
        else:
            self.state["state"]["y"]["tick_custom"] = chart_y_axis_tick_custom

        self.state["state"]["y"][
            "line_and_tick_color"
        ] = chart_y_axis_line_and_tick_color
        self.state["state"]["y"][
            "line_and_tick_width"
        ] = chart_y_axis_line_and_tick_width
        self.state["state"]["y"]["tick_length"] = chart_y_axis_tick_length

        list_chart_y_axis_tick_side = ["out", "in"] + [None]
        if chart_y_axis_tick_side not in list_chart_y_axis_tick_side:
            raise ValueError(f"`chart_y_axis_tick_side` must be one of: ['out', 'in']")
        elif (
            chart_y_axis_tick_side in list_chart_y_axis_tick_side
            and chart_y_axis_tick_side is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"out": "out", "in": "in"}.items()
                if chart_y_axis_tick_side in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_side"] = filtered_dict[
                    chart_y_axis_tick_side
                ]
        self.state["state"]["y"]["line_visible"] = chart_y_axis_line_visible
        self.state["state"]["y"]["edge_padding"] = chart_y_axis_edge_padding

        list_chart_y_axis_gridlines_visible = [True, False] + [None]
        if chart_y_axis_gridlines_visible not in list_chart_y_axis_gridlines_visible:
            raise ValueError(
                f"`chart_y_axis_gridlines_visible` must be one of: [True, False]"
            )
        elif (
            chart_y_axis_gridlines_visible in list_chart_y_axis_gridlines_visible
            and chart_y_axis_gridlines_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_gridlines_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["gridlines_visible"] = filtered_dict[
                    chart_y_axis_gridlines_visible
                ]
        self.state["state"]["y"]["gridlines_styling"] = chart_y_axis_gridlines_styling
        self.state["state"]["y"]["gridline_color"] = chart_y_axis_gridline_color

        list_chart_y_axis_gridline_style = ["solid", "dash", "dot", "dot_dash"] + [None]
        if chart_y_axis_gridline_style not in list_chart_y_axis_gridline_style:
            raise ValueError(
                f"`chart_y_axis_gridline_style` must be one of: ['solid', 'dash', 'dot', 'dot_dash']"
            )
        elif (
            chart_y_axis_gridline_style in list_chart_y_axis_gridline_style
            and chart_y_axis_gridline_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dash": "dash",
                    "dot": "dot",
                    "dot_dash": "dot_dash",
                }.items()
                if chart_y_axis_gridline_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["gridline_style"] = filtered_dict[
                    chart_y_axis_gridline_style
                ]
        self.state["state"]["y"]["gridline_width"] = chart_y_axis_gridline_width
        self.state["state"]["y"][
            "gridline_category_dividers"
        ] = chart_y_axis_gridline_category_dividers
        self.state["state"]["y"][
            "gridline_category_dividers_extend"
        ] = chart_y_axis_gridline_category_dividers_extend

        list_chart_secondary_y_axis_axis_visible = [True, False] + [None]
        if (
            chart_secondary_y_axis_axis_visible
            not in list_chart_secondary_y_axis_axis_visible
        ):
            raise ValueError(
                f"`chart_secondary_y_axis_axis_visible` must be one of: [True, False]"
            )
        elif (
            chart_secondary_y_axis_axis_visible
            in list_chart_secondary_y_axis_axis_visible
            and chart_secondary_y_axis_axis_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_secondary_y_axis_axis_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y2"]["axis_visible"] = filtered_dict[
                    chart_secondary_y_axis_axis_visible
                ]

        list_chart_secondary_y_axis_numeric_scale_type = ["linear", "log"] + [None]
        if (
            chart_secondary_y_axis_numeric_scale_type
            not in list_chart_secondary_y_axis_numeric_scale_type
        ):
            raise ValueError(
                f"`chart_secondary_y_axis_numeric_scale_type` must be one of: ['linear', 'log']"
            )
        elif (
            chart_secondary_y_axis_numeric_scale_type
            in list_chart_secondary_y_axis_numeric_scale_type
            and chart_secondary_y_axis_numeric_scale_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "log": "log"}.items()
                if chart_secondary_y_axis_numeric_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y2"]["numeric_scale_type"] = filtered_dict[
                    chart_secondary_y_axis_numeric_scale_type
                ]
        self.state["state"]["y2"]["linear_min"] = chart_secondary_y_axis_linear_min
        self.state["state"]["y2"]["linear_max"] = chart_secondary_y_axis_linear_max
        self.state["state"]["y2"]["log_min"] = chart_secondary_y_axis_log_min
        self.state["state"]["y2"]["log_max"] = chart_secondary_y_axis_log_max
        self.state["state"]["y2"]["datetime_min"] = chart_secondary_y_axis_datetime_min
        self.state["state"]["y2"]["datetime_max"] = chart_secondary_y_axis_datetime_max
        self.state["state"]["y2"]["flip"] = chart_secondary_y_axis_flip
        self.state["state"]["y2"][
            "show_scale_settings"
        ] = chart_secondary_y_axis_show_scale_settings

        list_chart_secondary_y_axis_nice = [True, False] + [None]
        if chart_secondary_y_axis_nice not in list_chart_secondary_y_axis_nice:
            raise ValueError(
                f"`chart_secondary_y_axis_nice` must be one of: [True, False]"
            )
        elif (
            chart_secondary_y_axis_nice in list_chart_secondary_y_axis_nice
            and chart_secondary_y_axis_nice is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_secondary_y_axis_nice in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y2"]["nice"] = filtered_dict[
                    chart_secondary_y_axis_nice
                ]

        list_chart_secondary_y_axis_zero_axis = ["auto", "on", "off"] + [None]
        if (
            chart_secondary_y_axis_zero_axis
            not in list_chart_secondary_y_axis_zero_axis
        ):
            raise ValueError(
                f"`chart_secondary_y_axis_zero_axis` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_secondary_y_axis_zero_axis in list_chart_secondary_y_axis_zero_axis
            and chart_secondary_y_axis_zero_axis is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_secondary_y_axis_zero_axis in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y2"]["zero_axis"] = filtered_dict[
                    chart_secondary_y_axis_zero_axis
                ]

        list_chart_secondary_y_axis_title_mode = ["auto", "custom"] + [None]
        if (
            chart_secondary_y_axis_title_mode
            not in list_chart_secondary_y_axis_title_mode
        ):
            raise ValueError(
                f"`chart_secondary_y_axis_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_secondary_y_axis_title_mode in list_chart_secondary_y_axis_title_mode
            and chart_secondary_y_axis_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_secondary_y_axis_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y2"]["title_mode"] = filtered_dict[
                    chart_secondary_y_axis_title_mode
                ]
        self.state["state"]["y2"]["title"] = chart_secondary_y_axis_title
        self.state["state"]["y2"][
            "title_styling"
        ] = chart_secondary_y_axis_title_styling

        list_chart_secondary_y_axis_title_position = ["side", "end"] + [None]
        if (
            chart_secondary_y_axis_title_position
            not in list_chart_secondary_y_axis_title_position
        ):
            raise ValueError(
                f"`chart_secondary_y_axis_title_position` must be one of: ['side', 'end']"
            )
        elif (
            chart_secondary_y_axis_title_position
            in list_chart_secondary_y_axis_title_position
            and chart_secondary_y_axis_title_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"side": "side", "end": "end"}.items()
                if chart_secondary_y_axis_title_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y2"]["title_position"] = filtered_dict[
                    chart_secondary_y_axis_title_position
                ]

        list_chart_secondary_y_axis_title_weight = ["bold", "normal"] + [None]
        if (
            chart_secondary_y_axis_title_weight
            not in list_chart_secondary_y_axis_title_weight
        ):
            raise ValueError(
                f"`chart_secondary_y_axis_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_secondary_y_axis_title_weight
            in list_chart_secondary_y_axis_title_weight
            and chart_secondary_y_axis_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_secondary_y_axis_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y2"]["title_weight"] = filtered_dict[
                    chart_secondary_y_axis_title_weight
                ]
        self.state["state"]["y2"]["title_color"] = chart_secondary_y_axis_title_color
        self.state["state"]["y2"]["title_size"] = chart_secondary_y_axis_title_size
        self.state["state"]["y2"][
            "title_padding"
        ] = chart_secondary_y_axis_title_padding

        list_chart_secondary_y_axis_tick_label_position = [
            "default",
            "above",
            "below",
        ] + [None]
        if (
            chart_secondary_y_axis_tick_label_position
            not in list_chart_secondary_y_axis_tick_label_position
        ):
            raise ValueError(
                f"`chart_secondary_y_axis_tick_label_position` must be one of: ['default', 'above', 'below']"
            )
        elif (
            chart_secondary_y_axis_tick_label_position
            in list_chart_secondary_y_axis_tick_label_position
            and chart_secondary_y_axis_tick_label_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "default": "default",
                    "above": "above",
                    "below": "below",
                }.items()
                if chart_secondary_y_axis_tick_label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y2"]["tick_label_position"] = filtered_dict[
                    chart_secondary_y_axis_tick_label_position
                ]
        self.state["state"]["y2"][
            "tick_label_styling"
        ] = chart_secondary_y_axis_tick_label_styling
        self.state["state"]["y2"][
            "tick_label_size"
        ] = chart_secondary_y_axis_tick_label_size
        self.state["state"]["y2"][
            "tick_label_color"
        ] = chart_secondary_y_axis_tick_label_color
        self.state["state"]["y2"]["tick_padding"] = chart_secondary_y_axis_tick_padding

        list_chart_secondary_y_axis_tick_label_angle = ["0", "30", "45", "60", "90"] + [
            None
        ]
        if (
            chart_secondary_y_axis_tick_label_angle
            not in list_chart_secondary_y_axis_tick_label_angle
        ):
            raise ValueError(
                f"`chart_secondary_y_axis_tick_label_angle` must be one of: ['0', '30', '45', '60', '90']"
            )
        elif (
            chart_secondary_y_axis_tick_label_angle
            in list_chart_secondary_y_axis_tick_label_angle
            and chart_secondary_y_axis_tick_label_angle is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "30": "30",
                    "45": "45",
                    "60": "60",
                    "90": "90",
                }.items()
                if chart_secondary_y_axis_tick_label_angle in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y2"]["tick_label_angle"] = filtered_dict[
                    chart_secondary_y_axis_tick_label_angle
                ]

        list_chart_secondary_y_axis_tick_label_weight = ["bold", "normal"] + [None]
        if (
            chart_secondary_y_axis_tick_label_weight
            not in list_chart_secondary_y_axis_tick_label_weight
        ):
            raise ValueError(
                f"`chart_secondary_y_axis_tick_label_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_secondary_y_axis_tick_label_weight
            in list_chart_secondary_y_axis_tick_label_weight
            and chart_secondary_y_axis_tick_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_secondary_y_axis_tick_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y2"]["tick_label_weight"] = filtered_dict[
                    chart_secondary_y_axis_tick_label_weight
                ]
        self.state["state"]["y2"][
            "tick_label_max_lines"
        ] = chart_secondary_y_axis_tick_label_max_lines
        self.state["state"]["y2"][
            "tick_label_line_height"
        ] = chart_secondary_y_axis_tick_label_line_height

        list_chart_secondary_y_axis_tick_label_space_mode = ["auto", "max", "fixed"] + [
            None
        ]
        if (
            chart_secondary_y_axis_tick_label_space_mode
            not in list_chart_secondary_y_axis_tick_label_space_mode
        ):
            raise ValueError(
                f"`chart_secondary_y_axis_tick_label_space_mode` must be one of: ['auto', 'max', 'fixed']"
            )
        elif (
            chart_secondary_y_axis_tick_label_space_mode
            in list_chart_secondary_y_axis_tick_label_space_mode
            and chart_secondary_y_axis_tick_label_space_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "max": "max", "fixed": "fixed"}.items()
                if chart_secondary_y_axis_tick_label_space_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y2"]["tick_label_space_mode"] = filtered_dict[
                    chart_secondary_y_axis_tick_label_space_mode
                ]
        self.state["state"]["y2"][
            "tick_label_space"
        ] = chart_secondary_y_axis_tick_label_space

        list_chart_secondary_y_axis_tick_mode = ["auto", "number", "custom"] + [None]
        if (
            chart_secondary_y_axis_tick_mode
            not in list_chart_secondary_y_axis_tick_mode
        ):
            raise ValueError(
                f"`chart_secondary_y_axis_tick_mode` must be one of: ['auto', 'number', 'custom']"
            )
        elif (
            chart_secondary_y_axis_tick_mode in list_chart_secondary_y_axis_tick_mode
            and chart_secondary_y_axis_tick_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "number": "number",
                    "custom": "custom",
                }.items()
                if chart_secondary_y_axis_tick_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y2"]["tick_mode"] = filtered_dict[
                    chart_secondary_y_axis_tick_mode
                ]
        self.state["state"]["y2"]["tick_number"] = chart_secondary_y_axis_tick_number

        if (
            chart_secondary_y_axis_tick_custom is not None
            and len(chart_secondary_y_axis_tick_custom) > 1
            and isinstance(chart_secondary_y_axis_tick_custom, list)
        ):
            self.state["state"]["y2"]["tick_custom"] = " \n ".join(
                chart_secondary_y_axis_tick_custom
            )
        else:
            self.state["state"]["y2"][
                "tick_custom"
            ] = chart_secondary_y_axis_tick_custom

        self.state["state"]["y2"][
            "line_and_tick_color"
        ] = chart_secondary_y_axis_line_and_tick_color
        self.state["state"]["y2"][
            "line_and_tick_width"
        ] = chart_secondary_y_axis_line_and_tick_width
        self.state["state"]["y2"]["tick_length"] = chart_secondary_y_axis_tick_length

        list_chart_secondary_y_axis_tick_side = ["out", "in"] + [None]
        if (
            chart_secondary_y_axis_tick_side
            not in list_chart_secondary_y_axis_tick_side
        ):
            raise ValueError(
                f"`chart_secondary_y_axis_tick_side` must be one of: ['out', 'in']"
            )
        elif (
            chart_secondary_y_axis_tick_side in list_chart_secondary_y_axis_tick_side
            and chart_secondary_y_axis_tick_side is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"out": "out", "in": "in"}.items()
                if chart_secondary_y_axis_tick_side in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y2"]["tick_side"] = filtered_dict[
                    chart_secondary_y_axis_tick_side
                ]
        self.state["state"]["y2"]["line_visible"] = chart_secondary_y_axis_line_visible
        self.state["state"]["y2"]["edge_padding"] = chart_secondary_y_axis_edge_padding

        list_chart_secondary_y_axis_gridlines_visible = [True, False] + [None]
        if (
            chart_secondary_y_axis_gridlines_visible
            not in list_chart_secondary_y_axis_gridlines_visible
        ):
            raise ValueError(
                f"`chart_secondary_y_axis_gridlines_visible` must be one of: [True, False]"
            )
        elif (
            chart_secondary_y_axis_gridlines_visible
            in list_chart_secondary_y_axis_gridlines_visible
            and chart_secondary_y_axis_gridlines_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_secondary_y_axis_gridlines_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y2"]["gridlines_visible"] = filtered_dict[
                    chart_secondary_y_axis_gridlines_visible
                ]
        self.state["state"]["y2"][
            "gridlines_styling"
        ] = chart_secondary_y_axis_gridlines_styling
        self.state["state"]["y2"][
            "gridline_color"
        ] = chart_secondary_y_axis_gridline_color

        list_chart_secondary_y_axis_gridline_style = [
            "solid",
            "dash",
            "dot",
            "dot_dash",
        ] + [None]
        if (
            chart_secondary_y_axis_gridline_style
            not in list_chart_secondary_y_axis_gridline_style
        ):
            raise ValueError(
                f"`chart_secondary_y_axis_gridline_style` must be one of: ['solid', 'dash', 'dot', 'dot_dash']"
            )
        elif (
            chart_secondary_y_axis_gridline_style
            in list_chart_secondary_y_axis_gridline_style
            and chart_secondary_y_axis_gridline_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dash": "dash",
                    "dot": "dot",
                    "dot_dash": "dot_dash",
                }.items()
                if chart_secondary_y_axis_gridline_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y2"]["gridline_style"] = filtered_dict[
                    chart_secondary_y_axis_gridline_style
                ]
        self.state["state"]["y2"][
            "gridline_width"
        ] = chart_secondary_y_axis_gridline_width
        self.state["state"]["y2"][
            "gridline_category_dividers"
        ] = chart_secondary_y_axis_gridline_category_dividers
        self.state["state"]["y2"][
            "gridline_category_dividers_extend"
        ] = chart_secondary_y_axis_gridline_category_dividers_extend

        list_chart_background_background_color_enabled = [True, False] + [None]
        if (
            chart_background_background_color_enabled
            not in list_chart_background_background_color_enabled
        ):
            raise ValueError(
                f"`chart_background_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_background_background_color_enabled
            in list_chart_background_background_color_enabled
            and chart_background_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_background_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["chart_bg"][
                    "background_color_enabled"
                ] = filtered_dict[chart_background_background_color_enabled]

        list_chart_background_background_image_enabled = [True, False] + [None]
        if (
            chart_background_background_image_enabled
            not in list_chart_background_background_image_enabled
        ):
            raise ValueError(
                f"`chart_background_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_background_background_image_enabled
            in list_chart_background_background_image_enabled
            and chart_background_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_background_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["chart_bg"][
                    "background_image_enabled"
                ] = filtered_dict[chart_background_background_image_enabled]
        self.state["state"]["chart_bg"][
            "background_color"
        ] = chart_background_background_color
        self.state["state"]["chart_bg"][
            "background_image_src"
        ] = chart_background_background_image_src

        list_chart_background_background_image_size = ["stretch", "slice", "meet"] + [
            None
        ]
        if (
            chart_background_background_image_size
            not in list_chart_background_background_image_size
        ):
            raise ValueError(
                f"`chart_background_background_image_size` must be one of: ['stretch', 'slice', 'meet']"
            )
        elif (
            chart_background_background_image_size
            in list_chart_background_background_image_size
            and chart_background_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "stretch": "stretch",
                    "slice": "slice",
                    "meet": "meet",
                }.items()
                if chart_background_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["chart_bg"][
                    "background_image_size"
                ] = filtered_dict[chart_background_background_image_size]

        list_chart_background_background_image_position = [
            "x_min_y_min",
            "x_mid_y_min",
            "x_max_y_min",
            "x_max_y_mid",
            "x_mid_y_mid",
            "x_min_y_max",
            "x_mid_y_max",
            "x_max_y_max",
        ] + [None]
        if (
            chart_background_background_image_position
            not in list_chart_background_background_image_position
        ):
            raise ValueError(
                f"`chart_background_background_image_position` must be one of: ['x_min_y_min', 'x_mid_y_min', 'x_max_y_min', 'x_max_y_mid', 'x_mid_y_mid', 'x_min_y_max', 'x_mid_y_max', 'x_max_y_max']"
            )
        elif (
            chart_background_background_image_position
            in list_chart_background_background_image_position
            and chart_background_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "x_min_y_min": "xMinYMin",
                    "x_mid_y_min": "xMidYMin",
                    "x_max_y_min": "xMaxYMin",
                    "x_max_y_mid": "xMaxYMid",
                    "x_mid_y_mid": "xMidYMid",
                    "x_min_y_max": "xMinYMax",
                    "x_mid_y_max": "xMidYMax",
                    "x_max_y_max": "xMaxYMax",
                }.items()
                if chart_background_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["chart_bg"][
                    "background_image_position"
                ] = filtered_dict[chart_background_background_image_position]
        self.state["state"]["number_format_labels"][
            "prefix"
        ] = number_format_labels_prefix
        self.state["state"]["number_format_labels"][
            "suffix"
        ] = number_format_labels_suffix
        self.state["state"]["number_format_labels"][
            "n_dec"
        ] = number_format_labels_n_dec
        self.state["state"]["number_format_labels"][
            "advanced"
        ] = number_format_labels_advanced

        list_number_format_labels_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            number_format_labels_negative_sign
            not in list_number_format_labels_negative_sign
        ):
            raise ValueError(
                f"`number_format_labels_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            number_format_labels_negative_sign
            in list_number_format_labels_negative_sign
            and number_format_labels_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if number_format_labels_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["number_format_labels"][
                    "negative_sign"
                ] = filtered_dict[number_format_labels_negative_sign]
        self.state["state"]["number_format_labels"][
            "strip_zeros"
        ] = number_format_labels_strip_zeros
        self.state["state"]["number_format_labels"][
            "strip_separator"
        ] = number_format_labels_strip_separator
        self.state["state"]["number_format_labels"][
            "transform_labels"
        ] = number_format_labels_transform_labels

        list_number_format_labels_transform = ["multiply", "divide", "exponentiate"] + [
            None
        ]
        if number_format_labels_transform not in list_number_format_labels_transform:
            raise ValueError(
                f"`number_format_labels_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            number_format_labels_transform in list_number_format_labels_transform
            and number_format_labels_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if number_format_labels_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["number_format_labels"][
                    "transform"
                ] = filtered_dict[number_format_labels_transform]
        self.state["state"]["number_format_labels"][
            "multiply_divide_constant"
        ] = number_format_labels_multiply_divide_constant
        self.state["state"]["number_format_labels"][
            "exponentiate_constant"
        ] = number_format_labels_exponentiate_constant
        self.state["state"]["number_format"]["prefix"] = chart_number_date_format_prefix
        self.state["state"]["number_format"]["suffix"] = chart_number_date_format_suffix
        self.state["state"]["number_format"]["n_dec"] = chart_number_date_format_n_dec
        self.state["state"]["number_format"][
            "advanced"
        ] = chart_number_date_format_advanced

        list_chart_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_number_date_format_negative_sign
            not in list_chart_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_number_date_format_negative_sign
            in list_chart_number_date_format_negative_sign
            and chart_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["number_format"]["negative_sign"] = filtered_dict[
                    chart_number_date_format_negative_sign
                ]
        self.state["state"]["number_format"][
            "strip_zeros"
        ] = chart_number_date_format_strip_zeros
        self.state["state"]["number_format"][
            "strip_separator"
        ] = chart_number_date_format_strip_separator
        self.state["state"]["number_format"][
            "transform_labels"
        ] = chart_number_date_format_transform_labels

        list_chart_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_number_date_format_transform
            not in list_chart_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_number_date_format_transform
            in list_chart_number_date_format_transform
            and chart_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["number_format"]["transform"] = filtered_dict[
                    chart_number_date_format_transform
                ]
        self.state["state"]["number_format"][
            "multiply_divide_constant"
        ] = chart_number_date_format_multiply_divide_constant
        self.state["state"]["number_format"][
            "exponentiate_constant"
        ] = chart_number_date_format_exponentiate_constant
        self.state["state"]["number_format_prop"] = number_format_prop
        self.state["state"]["number_format_secondary"][
            "prefix"
        ] = chart_secondary_number_date_format_prefix
        self.state["state"]["number_format_secondary"][
            "suffix"
        ] = chart_secondary_number_date_format_suffix
        self.state["state"]["number_format_secondary"][
            "n_dec"
        ] = chart_secondary_number_date_format_n_dec
        self.state["state"]["number_format_secondary"][
            "advanced"
        ] = chart_secondary_number_date_format_advanced

        list_chart_secondary_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_secondary_number_date_format_negative_sign
            not in list_chart_secondary_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_secondary_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_secondary_number_date_format_negative_sign
            in list_chart_secondary_number_date_format_negative_sign
            and chart_secondary_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_secondary_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["number_format_secondary"][
                    "negative_sign"
                ] = filtered_dict[chart_secondary_number_date_format_negative_sign]
        self.state["state"]["number_format_secondary"][
            "strip_zeros"
        ] = chart_secondary_number_date_format_strip_zeros
        self.state["state"]["number_format_secondary"][
            "strip_separator"
        ] = chart_secondary_number_date_format_strip_separator
        self.state["state"]["number_format_secondary"][
            "transform_labels"
        ] = chart_secondary_number_date_format_transform_labels

        list_chart_secondary_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_secondary_number_date_format_transform
            not in list_chart_secondary_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_secondary_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_secondary_number_date_format_transform
            in list_chart_secondary_number_date_format_transform
            and chart_secondary_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_secondary_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["number_format_secondary"][
                    "transform"
                ] = filtered_dict[chart_secondary_number_date_format_transform]
        self.state["state"]["number_format_secondary"][
            "multiply_divide_constant"
        ] = chart_secondary_number_date_format_multiply_divide_constant
        self.state["state"]["number_format_secondary"][
            "exponentiate_constant"
        ] = chart_secondary_number_date_format_exponentiate_constant

        list_legend_mode = ["auto", "on", "off"] + [None]
        if legend_mode not in list_legend_mode:
            raise ValueError(f"`legend_mode` must be one of: ['auto', 'on', 'off']")
        elif legend_mode in list_legend_mode and legend_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if legend_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_mode"] = filtered_dict[legend_mode]

        list_legend_filter_mode = ["none", "filter-in", "filter-out"] + [None]
        if legend_filter_mode not in list_legend_filter_mode:
            raise ValueError(
                f"`legend_filter_mode` must be one of: ['none', 'filter-in', 'filter-out']"
            )
        elif (
            legend_filter_mode in list_legend_filter_mode
            and legend_filter_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "filter-in": "filter-in",
                    "filter-out": "filter-out",
                }.items()
                if legend_filter_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_filter_mode"] = filtered_dict[
                    legend_filter_mode
                ]

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size

        list_chart_categorical_legend_show_legend = [True, False] + [None]
        if (
            chart_categorical_legend_show_legend
            not in list_chart_categorical_legend_show_legend
        ):
            raise ValueError(
                f"`chart_categorical_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_categorical_legend_show_legend
            in list_chart_categorical_legend_show_legend
            and chart_categorical_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_categorical_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "show_legend"
                ] = filtered_dict[chart_categorical_legend_show_legend]

        list_chart_categorical_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_categorical_legend_title_mode
            not in list_chart_categorical_legend_title_mode
        ):
            raise ValueError(
                f"`chart_categorical_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_categorical_legend_title_mode
            in list_chart_categorical_legend_title_mode
            and chart_categorical_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_categorical_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"]["title_mode"] = filtered_dict[
                    chart_categorical_legend_title_mode
                ]
        self.state["state"]["legend_categorical"][
            "title"
        ] = chart_categorical_legend_title
        self.state["state"]["legend_categorical"][
            "swatch_width"
        ] = chart_categorical_legend_swatch_width
        self.state["state"]["legend_categorical"][
            "swatch_height"
        ] = chart_categorical_legend_swatch_height
        self.state["state"]["legend_categorical"][
            "swatch_radius"
        ] = chart_categorical_legend_swatch_radius
        self.state["state"]["legend_categorical"][
            "legend_items_padding"
        ] = chart_categorical_legend_legend_items_padding
        self.state["state"]["legend_categorical"][
            "swatch_outline"
        ] = chart_categorical_legend_swatch_outline
        self.state["state"]["legend_categorical"][
            "swatch_outline_color"
        ] = chart_categorical_legend_swatch_outline_color

        if (
            chart_categorical_legend_order_override is not None
            and len(chart_categorical_legend_order_override) > 1
            and isinstance(chart_categorical_legend_order_override, list)
        ):
            self.state["state"]["legend_categorical"]["order_override"] = " \n ".join(
                chart_categorical_legend_order_override
            )
        else:
            self.state["state"]["legend_categorical"][
                "order_override"
            ] = chart_categorical_legend_order_override

        self.state["state"]["legend_categorical"][
            "icon_height"
        ] = chart_categorical_legend_icon_height
        self.state["state"]["legend_categorical"][
            "icon_color"
        ] = chart_categorical_legend_icon_color
        self.state["state"]["legend_categorical"][
            "max_width"
        ] = chart_categorical_legend_max_width

        list_chart_categorical_legend_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_categorical_legend_orientation
            not in list_chart_categorical_legend_orientation
        ):
            raise ValueError(
                f"`chart_categorical_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_categorical_legend_orientation
            in list_chart_categorical_legend_orientation
            and chart_categorical_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_categorical_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "orientation"
                ] = filtered_dict[chart_categorical_legend_orientation]

        list_legend_position = ["above", "below"] + [None]
        if legend_position not in list_legend_position:
            raise ValueError(f"`legend_position` must be one of: ['above', 'below']")
        elif legend_position in list_legend_position and legend_position is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"above": "above", "below": "below"}.items()
                if legend_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_position"] = filtered_dict[legend_position]

        list_text_legend = ["auto", "custom", "off"] + [None]
        if text_legend not in list_text_legend:
            raise ValueError(f"`text_legend` must be one of: ['auto', 'custom', 'off']")
        elif text_legend in list_text_legend and text_legend is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom", "off": "off"}.items()
                if text_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["text_legend"] = filtered_dict[text_legend]
        self.state["state"]["text_legend_title"] = text_legend_title
        self.state["state"]["text_legend_subtitle"] = text_legend_subtitle
        self.state["state"]["text_legend_bold"] = text_legend_bold

        list_chart_popup_mode = ["none", "popup", "panel", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'panel', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "panel": "panel",
                    "both": "both",
                }.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popup"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popup"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popup"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        if (
            chart_popup_popup_custom_accessible is not None
            and len(chart_popup_popup_custom_accessible) > 1
            and isinstance(chart_popup_popup_custom_accessible, list)
        ):
            self.state["state"]["popup"]["popup_custom_accessible"] = " \n ".join(
                chart_popup_popup_custom_accessible
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_accessible"
            ] = chart_popup_popup_custom_accessible

        self.state["state"]["popup"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popup"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popup"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popup"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popup"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popup"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popup"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popup"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popup"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_label_weight"] = filtered_dict[
                    chart_popup_popup_list_label_weight
                ]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popup"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popup"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popup"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popup"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popup"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popup"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popup"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popup"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popup"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popup"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popup"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popup"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popup"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popup"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popup"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_vertical_position"] = filtered_dict[
                    chart_popup_panel_vertical_position
                ]
        self.state["state"]["popup"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popup"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popup"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popup"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popup"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popup"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_label_weight"] = filtered_dict[
                    chart_popup_panel_list_label_weight
                ]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popup"]["panel_shadow"] = chart_popup_panel_shadow
        self.state["state"]["popup_color_headers"] = popup_color_headers
        self.state["state"]["show_series_text"] = show_series_text

        if (
            popup_series_text is not None
            and len(popup_series_text) > 1
            and isinstance(popup_series_text, list)
        ):
            self.state["state"]["popup_series_text"] = " \n ".join(popup_series_text)
        else:
            self.state["state"]["popup_series_text"] = popup_series_text

        list_chart_axes_highlights_placement = ["above", "below"] + [None]
        if chart_axes_highlights_placement not in list_chart_axes_highlights_placement:
            raise ValueError(
                f"`chart_axes_highlights_placement` must be one of: ['above', 'below']"
            )
        elif (
            chart_axes_highlights_placement in list_chart_axes_highlights_placement
            and chart_axes_highlights_placement is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"above": "above", "below": "below"}.items()
                if chart_axes_highlights_placement in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"]["placement"] = filtered_dict[
                    chart_axes_highlights_placement
                ]
        self.state["state"]["axes_highlights"][
            "x_enabled"
        ] = chart_axes_highlights_x_enabled

        if (
            chart_axes_highlights_x_lines is not None
            and len(chart_axes_highlights_x_lines) > 1
            and isinstance(chart_axes_highlights_x_lines, list)
        ):
            self.state["state"]["axes_highlights"]["x_lines"] = " \n ".join(
                chart_axes_highlights_x_lines
            )
        else:
            self.state["state"]["axes_highlights"][
                "x_lines"
            ] = chart_axes_highlights_x_lines

        self.state["state"]["axes_highlights"][
            "x_line_color"
        ] = chart_axes_highlights_x_line_color
        self.state["state"]["axes_highlights"][
            "x_line_width"
        ] = chart_axes_highlights_x_line_width
        self.state["state"]["axes_highlights"][
            "x_line_dash"
        ] = chart_axes_highlights_x_line_dash

        if (
            chart_axes_highlights_x_areas is not None
            and len(chart_axes_highlights_x_areas) > 1
            and isinstance(chart_axes_highlights_x_areas, list)
        ):
            self.state["state"]["axes_highlights"]["x_areas"] = " \n ".join(
                chart_axes_highlights_x_areas
            )
        else:
            self.state["state"]["axes_highlights"][
                "x_areas"
            ] = chart_axes_highlights_x_areas

        self.state["state"]["axes_highlights"][
            "x_area_color"
        ] = chart_axes_highlights_x_area_color
        self.state["state"]["axes_highlights"][
            "x_area_opacity"
        ] = chart_axes_highlights_x_area_opacity

        list_chart_axes_highlights_x_area_texture = [
            "none",
            "pattern-diagonal",
            "pattern-grid",
            "pattern-dots",
        ] + [None]
        if (
            chart_axes_highlights_x_area_texture
            not in list_chart_axes_highlights_x_area_texture
        ):
            raise ValueError(
                f"`chart_axes_highlights_x_area_texture` must be one of: ['none', 'pattern-diagonal', 'pattern-grid', 'pattern-dots']"
            )
        elif (
            chart_axes_highlights_x_area_texture
            in list_chart_axes_highlights_x_area_texture
            and chart_axes_highlights_x_area_texture is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "pattern-diagonal": "fl-pattern-diagonal",
                    "pattern-grid": "fl-pattern-grid",
                    "pattern-dots": "fl-pattern-dots",
                }.items()
                if chart_axes_highlights_x_area_texture in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "x_area_texture"
                ] = filtered_dict[chart_axes_highlights_x_area_texture]
        self.state["state"]["axes_highlights"][
            "x_label_vertical"
        ] = chart_axes_highlights_x_label_vertical

        list_chart_axes_highlights_x_label_y_position = ["bottom", "middle", "top"] + [
            None
        ]
        if (
            chart_axes_highlights_x_label_y_position
            not in list_chart_axes_highlights_x_label_y_position
        ):
            raise ValueError(
                f"`chart_axes_highlights_x_label_y_position` must be one of: ['bottom', 'middle', 'top']"
            )
        elif (
            chart_axes_highlights_x_label_y_position
            in list_chart_axes_highlights_x_label_y_position
            and chart_axes_highlights_x_label_y_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "bottom": "bottom",
                    "middle": "middle",
                    "top": "top",
                }.items()
                if chart_axes_highlights_x_label_y_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "x_label_y_position"
                ] = filtered_dict[chart_axes_highlights_x_label_y_position]

        list_chart_axes_highlights_x_label_x_position = ["left", "middle", "right"] + [
            None
        ]
        if (
            chart_axes_highlights_x_label_x_position
            not in list_chart_axes_highlights_x_label_x_position
        ):
            raise ValueError(
                f"`chart_axes_highlights_x_label_x_position` must be one of: ['left', 'middle', 'right']"
            )
        elif (
            chart_axes_highlights_x_label_x_position
            in list_chart_axes_highlights_x_label_x_position
            and chart_axes_highlights_x_label_x_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "middle": "middle",
                    "right": "right",
                }.items()
                if chart_axes_highlights_x_label_x_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "x_label_x_position"
                ] = filtered_dict[chart_axes_highlights_x_label_x_position]
        self.state["state"]["axes_highlights"][
            "x_label_max_width"
        ] = chart_axes_highlights_x_label_max_width
        self.state["state"]["axes_highlights"][
            "x_font_size"
        ] = chart_axes_highlights_x_font_size

        list_chart_axes_highlights_x_font_weight = ["regular", "bold"] + [None]
        if (
            chart_axes_highlights_x_font_weight
            not in list_chart_axes_highlights_x_font_weight
        ):
            raise ValueError(
                f"`chart_axes_highlights_x_font_weight` must be one of: ['regular', 'bold']"
            )
        elif (
            chart_axes_highlights_x_font_weight
            in list_chart_axes_highlights_x_font_weight
            and chart_axes_highlights_x_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"regular": "regular", "bold": "bold"}.items()
                if chart_axes_highlights_x_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"]["x_font_weight"] = filtered_dict[
                    chart_axes_highlights_x_font_weight
                ]
        self.state["state"]["axes_highlights"][
            "x_label_color"
        ] = chart_axes_highlights_x_label_color
        self.state["state"]["axes_highlights"][
            "x_shadow_color"
        ] = chart_axes_highlights_x_shadow_color
        self.state["state"]["axes_highlights"][
            "x_shadow_enabled"
        ] = chart_axes_highlights_x_shadow_enabled
        self.state["state"]["axes_highlights"][
            "y_enabled"
        ] = chart_axes_highlights_y_enabled

        if (
            chart_axes_highlights_y_lines is not None
            and len(chart_axes_highlights_y_lines) > 1
            and isinstance(chart_axes_highlights_y_lines, list)
        ):
            self.state["state"]["axes_highlights"]["y_lines"] = " \n ".join(
                chart_axes_highlights_y_lines
            )
        else:
            self.state["state"]["axes_highlights"][
                "y_lines"
            ] = chart_axes_highlights_y_lines

        self.state["state"]["axes_highlights"][
            "y_line_color"
        ] = chart_axes_highlights_y_line_color
        self.state["state"]["axes_highlights"][
            "y_line_width"
        ] = chart_axes_highlights_y_line_width
        self.state["state"]["axes_highlights"][
            "y_line_dash"
        ] = chart_axes_highlights_y_line_dash

        if (
            chart_axes_highlights_y_areas is not None
            and len(chart_axes_highlights_y_areas) > 1
            and isinstance(chart_axes_highlights_y_areas, list)
        ):
            self.state["state"]["axes_highlights"]["y_areas"] = " \n ".join(
                chart_axes_highlights_y_areas
            )
        else:
            self.state["state"]["axes_highlights"][
                "y_areas"
            ] = chart_axes_highlights_y_areas

        self.state["state"]["axes_highlights"][
            "y_area_color"
        ] = chart_axes_highlights_y_area_color
        self.state["state"]["axes_highlights"][
            "y_area_opacity"
        ] = chart_axes_highlights_y_area_opacity

        list_chart_axes_highlights_y_area_texture = [
            "none",
            "pattern-diagonal",
            "pattern-grid",
            "pattern-dots",
        ] + [None]
        if (
            chart_axes_highlights_y_area_texture
            not in list_chart_axes_highlights_y_area_texture
        ):
            raise ValueError(
                f"`chart_axes_highlights_y_area_texture` must be one of: ['none', 'pattern-diagonal', 'pattern-grid', 'pattern-dots']"
            )
        elif (
            chart_axes_highlights_y_area_texture
            in list_chart_axes_highlights_y_area_texture
            and chart_axes_highlights_y_area_texture is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "pattern-diagonal": "fl-pattern-diagonal",
                    "pattern-grid": "fl-pattern-grid",
                    "pattern-dots": "fl-pattern-dots",
                }.items()
                if chart_axes_highlights_y_area_texture in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "y_area_texture"
                ] = filtered_dict[chart_axes_highlights_y_area_texture]

        list_chart_axes_highlights_y_label_x_position = ["left", "middle", "right"] + [
            None
        ]
        if (
            chart_axes_highlights_y_label_x_position
            not in list_chart_axes_highlights_y_label_x_position
        ):
            raise ValueError(
                f"`chart_axes_highlights_y_label_x_position` must be one of: ['left', 'middle', 'right']"
            )
        elif (
            chart_axes_highlights_y_label_x_position
            in list_chart_axes_highlights_y_label_x_position
            and chart_axes_highlights_y_label_x_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "middle": "middle",
                    "right": "right",
                }.items()
                if chart_axes_highlights_y_label_x_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "y_label_x_position"
                ] = filtered_dict[chart_axes_highlights_y_label_x_position]

        list_chart_axes_highlights_y_label_y_position = ["above", "middle", "below"] + [
            None
        ]
        if (
            chart_axes_highlights_y_label_y_position
            not in list_chart_axes_highlights_y_label_y_position
        ):
            raise ValueError(
                f"`chart_axes_highlights_y_label_y_position` must be one of: ['above', 'middle', 'below']"
            )
        elif (
            chart_axes_highlights_y_label_y_position
            in list_chart_axes_highlights_y_label_y_position
            and chart_axes_highlights_y_label_y_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "above": "above",
                    "middle": "middle",
                    "below": "below",
                }.items()
                if chart_axes_highlights_y_label_y_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "y_label_y_position"
                ] = filtered_dict[chart_axes_highlights_y_label_y_position]
        self.state["state"]["axes_highlights"][
            "y_label_max_width"
        ] = chart_axes_highlights_y_label_max_width
        self.state["state"]["axes_highlights"][
            "y_font_size"
        ] = chart_axes_highlights_y_font_size

        list_chart_axes_highlights_y_font_weight = ["regular", "bold"] + [None]
        if (
            chart_axes_highlights_y_font_weight
            not in list_chart_axes_highlights_y_font_weight
        ):
            raise ValueError(
                f"`chart_axes_highlights_y_font_weight` must be one of: ['regular', 'bold']"
            )
        elif (
            chart_axes_highlights_y_font_weight
            in list_chart_axes_highlights_y_font_weight
            and chart_axes_highlights_y_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"regular": "regular", "bold": "bold"}.items()
                if chart_axes_highlights_y_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"]["y_font_weight"] = filtered_dict[
                    chart_axes_highlights_y_font_weight
                ]
        self.state["state"]["axes_highlights"][
            "y_label_color"
        ] = chart_axes_highlights_y_label_color
        self.state["state"]["axes_highlights"][
            "y_shadow_color"
        ] = chart_axes_highlights_y_shadow_color
        self.state["state"]["axes_highlights"][
            "y_shadow_enabled"
        ] = chart_axes_highlights_y_shadow_enabled
        self.state["state"]["annotations_styles"] = annotations_styles

        list_chart_annotations_defaults_text_weight = ["normal", "bold"] + [None]
        if (
            chart_annotations_defaults_text_weight
            not in list_chart_annotations_defaults_text_weight
        ):
            raise ValueError(
                f"`chart_annotations_defaults_text_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_annotations_defaults_text_weight
            in list_chart_annotations_defaults_text_weight
            and chart_annotations_defaults_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_annotations_defaults_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "text_weight"
                ] = filtered_dict[chart_annotations_defaults_text_weight]
        self.state["state"]["annotations"]["defaults"][
            "text_size"
        ] = chart_annotations_defaults_text_size
        self.state["state"]["annotations"]["defaults"][
            "text_color"
        ] = chart_annotations_defaults_text_color
        self.state["state"]["annotations"]["defaults"][
            "label_width"
        ] = chart_annotations_defaults_label_width

        list_chart_annotations_defaults_text_background_mode = [
            "none",
            "outline",
            "background",
        ] + [None]
        if (
            chart_annotations_defaults_text_background_mode
            not in list_chart_annotations_defaults_text_background_mode
        ):
            raise ValueError(
                f"`chart_annotations_defaults_text_background_mode` must be one of: ['none', 'outline', 'background']"
            )
        elif (
            chart_annotations_defaults_text_background_mode
            in list_chart_annotations_defaults_text_background_mode
            and chart_annotations_defaults_text_background_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "outline": "outline",
                    "background": "background",
                }.items()
                if chart_annotations_defaults_text_background_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "text_background_mode"
                ] = filtered_dict[chart_annotations_defaults_text_background_mode]
        self.state["state"]["annotations"]["defaults"][
            "text_bg"
        ] = chart_annotations_defaults_text_bg
        self.state["state"]["annotations"]["defaults"][
            "label_bg"
        ] = chart_annotations_defaults_label_bg

        list_chart_annotations_defaults_text_alignment = [
            "auto",
            "start",
            "center",
            "end",
        ] + [None]
        if (
            chart_annotations_defaults_text_alignment
            not in list_chart_annotations_defaults_text_alignment
        ):
            raise ValueError(
                f"`chart_annotations_defaults_text_alignment` must be one of: ['auto', 'start', 'center', 'end']"
            )
        elif (
            chart_annotations_defaults_text_alignment
            in list_chart_annotations_defaults_text_alignment
            and chart_annotations_defaults_text_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_annotations_defaults_text_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "text_alignment"
                ] = filtered_dict[chart_annotations_defaults_text_alignment]

        list_chart_annotations_defaults_popup_position = [
            "center",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if (
            chart_annotations_defaults_popup_position
            not in list_chart_annotations_defaults_popup_position
        ):
            raise ValueError(
                f"`chart_annotations_defaults_popup_position` must be one of: ['center', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_annotations_defaults_popup_position
            in list_chart_annotations_defaults_popup_position
            and chart_annotations_defaults_popup_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "center": "center",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_annotations_defaults_popup_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "popup_position"
                ] = filtered_dict[chart_annotations_defaults_popup_position]

        list_chart_annotations_defaults_line_marker = [
            "none",
            "arrowhead_open",
            "arrowhead",
        ] + [None]
        if (
            chart_annotations_defaults_line_marker
            not in list_chart_annotations_defaults_line_marker
        ):
            raise ValueError(
                f"`chart_annotations_defaults_line_marker` must be one of: ['none', 'arrowhead_open', 'arrowhead']"
            )
        elif (
            chart_annotations_defaults_line_marker
            in list_chart_annotations_defaults_line_marker
            and chart_annotations_defaults_line_marker is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "arrowhead_open": "arrowhead_open",
                    "arrowhead": "arrowhead",
                }.items()
                if chart_annotations_defaults_line_marker in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "line_marker"
                ] = filtered_dict[chart_annotations_defaults_line_marker]
        self.state["state"]["annotations"]["defaults"][
            "stroke_width"
        ] = chart_annotations_defaults_stroke_width
        self.state["state"]["annotations"]["defaults"][
            "stroke_color"
        ] = chart_annotations_defaults_stroke_color

        list_chart_annotations_defaults_connector_extend_line = [
            "enabled",
            "disabled",
        ] + [None]
        if (
            chart_annotations_defaults_connector_extend_line
            not in list_chart_annotations_defaults_connector_extend_line
        ):
            raise ValueError(
                f"`chart_annotations_defaults_connector_extend_line` must be one of: ['enabled', 'disabled']"
            )
        elif (
            chart_annotations_defaults_connector_extend_line
            in list_chart_annotations_defaults_connector_extend_line
            and chart_annotations_defaults_connector_extend_line is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"enabled": "enabled", "disabled": "disabled"}.items()
                if chart_annotations_defaults_connector_extend_line in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "connector_extend_line"
                ] = filtered_dict[chart_annotations_defaults_connector_extend_line]
        self.state["state"]["data_trans_duration"] = data_trans_duration
        self.state["state"]["animate_on_load"] = animate_on_load
        self.state["state"]["data_trans_bind_series"] = data_trans_bind_series
        self.state["state"]["data_trans_bind_data_points"] = data_trans_bind_data_points
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        self.state["state"]["url_state"]["enabled"] = chart_url_settings_enabled

        if (
            chart_url_settings_whitelist is not None
            and len(chart_url_settings_whitelist) > 1
            and isinstance(chart_url_settings_whitelist, list)
        ):
            self.state["state"]["url_state"]["whitelist"] = " \n ".join(
                chart_url_settings_whitelist
            )
        else:
            self.state["state"]["url_state"]["whitelist"] = chart_url_settings_whitelist

        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_marimekko_details(
        self,
        sort_by: str = None,
        sort_direction: str = None,
        orientation: str = None,
        height_mode: str = None,
        facet_aspect: float = None,
        facet_aspect_mobile: float = None,
        facet_aspect_breakpoint: float = None,
        stack_padding_stacked: float = None,
        stack_padding_unstacked: float = None,
        color_mode: str = None,
        stack_fade: float = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        enable_labels: str = None,
        label_position: str = None,
        chart_labels_max_width: float = None,
        chart_labels_overlap_mode: str = None,
        chart_labels_spreading_margin: float = None,
        chart_labels_data_point_margin: float = None,
        chart_labels_show_only_labels: Union[list, str] = None,
        chart_labels_text_color: str = None,
        chart_labels_text_size: float = None,
        chart_labels_text_bg_color: str = None,
        chart_labels_text_bg_size: float = None,
        chart_labels_text_line_height: float = None,
        chart_labels_text_max_lines: float = None,
        chart_labels_text_weight: str = None,
        chart_labels_lines: str = None,
        chart_labels_line_style: str = None,
        chart_labels_line_color: str = None,
        chart_labels_line_width: float = None,
        chart_labels_line_range: float = None,
        chart_labels_line_padding: float = None,
        chart_facet_columns_fixed: bool = None,
        chart_facet_min_width: float = None,
        chart_facet_max_width: float = None,
        chart_facet_columns: float = None,
        chart_facet_gutter_w: float = None,
        chart_facet_gutter_h: float = None,
        chart_facet_animation: str = None,
        chart_facet_titles: bool = None,
        chart_facet_title_align: str = None,
        chart_facet_title_size: float = None,
        chart_facet_title_unit: str = None,
        chart_facet_title_color: str = None,
        chart_facet_title_padding_top: float = None,
        chart_facet_title_padding_bottom: float = None,
        chart_facet_title_bg: str = None,
        chart_facet_title_bg_color: str = None,
        chart_facet_title_bg_padding: float = None,
        x_as_percentage: bool = None,
        matching_x_axis: bool = None,
        chart_x_axis_axis_position: str = None,
        chart_x_axis_y_axis_position: str = None,
        chart_x_axis_numeric_scale_type: str = None,
        chart_x_axis_linear_min: float = None,
        chart_x_axis_linear_max: float = None,
        chart_x_axis_log_min: float = None,
        chart_x_axis_log_max: float = None,
        chart_x_axis_datetime_min: str = None,
        chart_x_axis_datetime_max: str = None,
        chart_x_axis_flip: bool = None,
        chart_x_axis_show_scale_settings: bool = None,
        chart_x_axis_nice: bool = None,
        chart_x_axis_zero_axis: str = None,
        chart_x_axis_title_mode: str = None,
        chart_x_axis_title: str = None,
        chart_x_axis_title_styling: bool = None,
        chart_x_axis_title_weight: str = None,
        chart_x_axis_title_color: str = None,
        chart_x_axis_title_size: float = None,
        chart_x_axis_title_padding: float = None,
        chart_x_axis_tick_label_position: str = None,
        chart_x_axis_tick_label_styling: bool = None,
        chart_x_axis_tick_label_size: float = None,
        chart_x_axis_tick_label_color: str = None,
        chart_x_axis_tick_padding: float = None,
        chart_x_axis_tick_label_angle: str = None,
        chart_x_axis_tick_label_weight: str = None,
        chart_x_axis_tick_label_max_lines: float = None,
        chart_x_axis_tick_label_line_height: float = None,
        chart_x_axis_tick_label_space_mode: str = None,
        chart_x_axis_tick_label_space: float = None,
        chart_x_axis_tick_mode: str = None,
        chart_x_axis_tick_number: float = None,
        chart_x_axis_tick_custom: Union[list, str] = None,
        chart_x_axis_line_and_tick_color: str = None,
        chart_x_axis_line_and_tick_width: float = None,
        chart_x_axis_tick_length: float = None,
        chart_x_axis_tick_side: str = None,
        chart_x_axis_line_visible: bool = None,
        chart_x_axis_edge_padding: float = None,
        chart_x_axis_gridlines_visible: bool = None,
        chart_x_axis_gridlines_styling: bool = None,
        chart_x_axis_gridline_color: str = None,
        chart_x_axis_gridline_style: str = None,
        chart_x_axis_gridline_width: float = None,
        chart_x_axis_gridline_category_dividers: bool = None,
        chart_x_axis_gridline_category_dividers_extend: bool = None,
        chart_x_axis_number_date_format_prefix: str = None,
        chart_x_axis_number_date_format_suffix: str = None,
        chart_x_axis_number_date_format_n_dec: float = None,
        chart_x_axis_number_date_format_advanced: bool = None,
        chart_x_axis_number_date_format_negative_sign: str = None,
        chart_x_axis_number_date_format_strip_zeros: bool = None,
        chart_x_axis_number_date_format_strip_separator: bool = None,
        chart_x_axis_number_date_format_transform_labels: bool = None,
        chart_x_axis_number_date_format_transform: str = None,
        chart_x_axis_number_date_format_multiply_divide_constant: float = None,
        chart_x_axis_number_date_format_exponentiate_constant: float = None,
        y_as_percentage: bool = None,
        matching_y_axis: bool = None,
        chart_y_axis_axis_visible: bool = None,
        chart_y_axis_numeric_scale_type: str = None,
        chart_y_axis_linear_min: float = None,
        chart_y_axis_linear_max: float = None,
        chart_y_axis_log_min: float = None,
        chart_y_axis_log_max: float = None,
        chart_y_axis_datetime_min: str = None,
        chart_y_axis_datetime_max: str = None,
        chart_y_axis_flip: bool = None,
        chart_y_axis_show_scale_settings: bool = None,
        chart_y_axis_nice: bool = None,
        chart_y_axis_zero_axis: str = None,
        chart_y_axis_title_mode: str = None,
        chart_y_axis_title: str = None,
        chart_y_axis_title_styling: bool = None,
        chart_y_axis_title_position: str = None,
        chart_y_axis_title_weight: str = None,
        chart_y_axis_title_color: str = None,
        chart_y_axis_title_size: float = None,
        chart_y_axis_title_padding: float = None,
        chart_y_axis_tick_label_position: str = None,
        chart_y_axis_tick_label_styling: bool = None,
        chart_y_axis_tick_label_size: float = None,
        chart_y_axis_tick_label_color: str = None,
        chart_y_axis_tick_padding: float = None,
        chart_y_axis_tick_label_angle: str = None,
        chart_y_axis_tick_label_weight: str = None,
        chart_y_axis_tick_label_max_lines: float = None,
        chart_y_axis_tick_label_line_height: float = None,
        chart_y_axis_tick_label_space_mode: str = None,
        chart_y_axis_tick_label_space: float = None,
        chart_y_axis_tick_mode: str = None,
        chart_y_axis_tick_number: float = None,
        chart_y_axis_tick_custom: Union[list, str] = None,
        chart_y_axis_line_and_tick_color: str = None,
        chart_y_axis_line_and_tick_width: float = None,
        chart_y_axis_tick_length: float = None,
        chart_y_axis_tick_side: str = None,
        chart_y_axis_line_visible: bool = None,
        chart_y_axis_edge_padding: float = None,
        chart_y_axis_gridlines_visible: bool = None,
        chart_y_axis_gridlines_styling: bool = None,
        chart_y_axis_gridline_color: str = None,
        chart_y_axis_gridline_style: str = None,
        chart_y_axis_gridline_width: float = None,
        chart_y_axis_gridline_category_dividers: bool = None,
        chart_y_axis_gridline_category_dividers_extend: bool = None,
        chart_y_axis_number_date_format_prefix: str = None,
        chart_y_axis_number_date_format_suffix: str = None,
        chart_y_axis_number_date_format_n_dec: float = None,
        chart_y_axis_number_date_format_advanced: bool = None,
        chart_y_axis_number_date_format_negative_sign: str = None,
        chart_y_axis_number_date_format_strip_zeros: bool = None,
        chart_y_axis_number_date_format_strip_separator: bool = None,
        chart_y_axis_number_date_format_transform_labels: bool = None,
        chart_y_axis_number_date_format_transform: str = None,
        chart_y_axis_number_date_format_multiply_divide_constant: float = None,
        chart_y_axis_number_date_format_exponentiate_constant: float = None,
        chart_filter_controls_control_type: str = None,
        chart_filter_controls_control_styles: bool = None,
        chart_filter_controls_control_title: str = None,
        chart_filter_controls_button_group: bool = None,
        chart_filter_controls_button_group_width_mode: str = None,
        chart_filter_controls_button_group_width_fixed: float = None,
        chart_filter_controls_dropdown_width_mode: str = None,
        chart_filter_controls_dropdown_width_fixed: float = None,
        chart_filter_controls_slider_width: float = None,
        chart_filter_controls_slider_max_label_width: float = None,
        chart_filter_controls_slider_step_time: float = None,
        chart_filter_controls_slider_loop: bool = None,
        chart_filter_controls_slider_restart_pause: float = None,
        chart_filter_controls_sort: bool = None,
        filter_show_all: bool = None,
        filter_show_all_text: str = None,
        chart_filter_controls_container_alignment: str = None,
        chart_filter_controls_container_controls_spacing: float = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_categorical_legend_show_legend: bool = None,
        chart_categorical_legend_title_mode: str = None,
        chart_categorical_legend_title: str = None,
        chart_categorical_legend_swatch_width: float = None,
        chart_categorical_legend_swatch_height: float = None,
        chart_categorical_legend_swatch_radius: float = None,
        chart_categorical_legend_legend_items_padding: float = None,
        chart_categorical_legend_swatch_outline: bool = None,
        chart_categorical_legend_swatch_outline_color: str = None,
        chart_categorical_legend_order_override: Union[list, str] = None,
        chart_categorical_legend_icon_height: float = None,
        chart_categorical_legend_icon_color: str = None,
        chart_categorical_legend_max_width: float = None,
        chart_categorical_legend_orientation: str = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_custom_accessible: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        chart_axes_highlights_x_enabled: bool = None,
        chart_axes_highlights_x_lines: Union[list, str] = None,
        chart_axes_highlights_x_line_color: str = None,
        chart_axes_highlights_x_line_width: float = None,
        chart_axes_highlights_x_line_dash: float = None,
        chart_axes_highlights_x_areas: Union[list, str] = None,
        chart_axes_highlights_x_area_color: str = None,
        chart_axes_highlights_x_area_opacity: float = None,
        chart_axes_highlights_x_area_texture: str = None,
        chart_axes_highlights_x_label_vertical: bool = None,
        chart_axes_highlights_x_label_y_position: str = None,
        chart_axes_highlights_x_label_x_position: str = None,
        chart_axes_highlights_x_label_max_width: float = None,
        chart_axes_highlights_x_font_size: float = None,
        chart_axes_highlights_x_font_weight: str = None,
        chart_axes_highlights_x_label_color: str = None,
        chart_axes_highlights_x_shadow_color: str = None,
        chart_axes_highlights_x_shadow_enabled: bool = None,
        chart_axes_highlights_y_enabled: bool = None,
        chart_axes_highlights_y_lines: Union[list, str] = None,
        chart_axes_highlights_y_line_color: str = None,
        chart_axes_highlights_y_line_width: float = None,
        chart_axes_highlights_y_line_dash: float = None,
        chart_axes_highlights_y_areas: Union[list, str] = None,
        chart_axes_highlights_y_area_color: str = None,
        chart_axes_highlights_y_area_opacity: float = None,
        chart_axes_highlights_y_area_texture: str = None,
        chart_axes_highlights_y_label_x_position: str = None,
        chart_axes_highlights_y_label_y_position: str = None,
        chart_axes_highlights_y_label_max_width: float = None,
        chart_axes_highlights_y_font_size: float = None,
        chart_axes_highlights_y_font_weight: str = None,
        chart_axes_highlights_y_label_color: str = None,
        chart_axes_highlights_y_shadow_color: str = None,
        chart_axes_highlights_y_shadow_enabled: bool = None,
        axes_highlights_stack_order: str = None,
        annotations_styles: bool = None,
        chart_annotations_defaults_text_weight: str = None,
        chart_annotations_defaults_text_size: float = None,
        chart_annotations_defaults_text_color: str = None,
        chart_annotations_defaults_label_width: float = None,
        chart_annotations_defaults_text_background_mode: str = None,
        chart_annotations_defaults_text_bg: str = None,
        chart_annotations_defaults_label_bg: str = None,
        chart_annotations_defaults_text_alignment: str = None,
        chart_annotations_defaults_popup_position: str = None,
        chart_annotations_defaults_line_marker: str = None,
        chart_annotations_defaults_stroke_width: float = None,
        chart_annotations_defaults_stroke_color: str = None,
        chart_annotations_defaults_connector_extend_line: str = None,
        animation_duration: float = None,
        chart_background_background_color_enabled: bool = None,
        chart_background_background_image_enabled: bool = None,
        chart_background_background_color: str = None,
        chart_background_background_image_src: str = None,
        chart_background_background_image_size: str = None,
        chart_background_background_image_position: str = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: marimekko.


        :param sort_by: Sort by. Choices: none, unstacked, stacked. Whether your chart is sorted by the primary (unstacked) or the secondary (stacked) metric. Flourish type hint: string, defaults to None.
        :type sort_by: str, optional
        :param sort_direction: Sort direction. Choices: desc, asc. Flourish type hint: string, defaults to None.
        :type sort_direction: str, optional
        :param orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type orientation: str, optional
        :param height_mode: Height mode. Choices: auto, aspect_ratio. How the graphics height is determined.  Auto uses the default Flourish responsive sizing.  In Aspect ratio mode, you set the aspect ratio of the plot, and the container will be updated to accommodate it (not supported when embedded in a simple fixed-height iframe ). Flourish type hint: string, defaults to None.
        :type height_mode: str, optional
        :param facet_aspect: Aspect (desktop). Aspect ratio of each chart in desktop mode, where 1 is square, above 1 is wider, and below 1 is taller. Flourish type hint: number, defaults to None.
        :type facet_aspect: float, optional
        :param facet_aspect_mobile: Aspect (mobile). Aspect ratio of each chart in mobile mode, where 1 is square, above 1 is wider, and below 1 is taller. Flourish type hint: number, defaults to None.
        :type facet_aspect_mobile: float, optional
        :param facet_aspect_breakpoint: Breakpoint. The width at which mobile mode ends and desktop begins (in px). Flourish type hint: number, defaults to None.
        :type facet_aspect_breakpoint: float, optional
        :param stack_padding_stacked: Space between stacked values. The space between stacked values (in rems ). Flourish type hint: number, defaults to None.
        :type stack_padding_stacked: float, optional
        :param stack_padding_unstacked: Space between stacks. The space between stacks (in rems). Flourish type hint: number, defaults to None.
        :type stack_padding_unstacked: float, optional
        :param color_mode: Color mode. Choices: stack, bar. In order to color by stack, you need to have at least two columns bound to the Secondary metric Flourish type hint: string, defaults to None.
        :type color_mode: str, optional
        :param stack_fade: Stack fade. How quickly the stacks fade. (Use 1 for no fade). Flourish type hint: number, defaults to None.
        :type stack_fade: float, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param enable_labels: Show labels. Choices: auto, on, off. Auto turns labels off if there are more than 50. Flourish type hint: string, defaults to None.
        :type enable_labels: str, optional
        :param label_position: Label position. Choices: edge_of_chart, edge_of_bar. This alters the position of the label from being at the edge of the chart to the edge of the bars.  Note these two positions will only be different when the secondary measure is not being treated as a percentage. Flourish type hint: string, defaults to None.
        :type label_position: str, optional
        :param chart_labels_max_width: Max label width. The maximum allowed label width. Flourish type hint: number, defaults to None.
        :type chart_labels_max_width: float, optional
        :param chart_labels_overlap_mode: Overlaps. Choices: spread, hide, none. What to do with overlaps. Flourish type hint: string, defaults to None.
        :type chart_labels_overlap_mode: str, optional
        :param chart_labels_spreading_margin: Space between labels. The space left between labels when spreading them out to avoid overlaps. Flourish type hint: number, defaults to None.
        :type chart_labels_spreading_margin: float, optional
        :param chart_labels_data_point_margin: Distance. The space between the data point and the label in rems (a multiple of base font size). Flourish type hint: number, defaults to None.
        :type chart_labels_data_point_margin: float, optional
        :param chart_labels_show_only_labels: Show only certain labels. Manually specify which labels youd like to display (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_labels_show_only_labels: Union[list, str], optional
        :param chart_labels_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_labels_text_color: str, optional
        :param chart_labels_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_labels_text_size: float, optional
        :param chart_labels_text_bg_color: Outline. Flourish type hint: color, defaults to None.
        :type chart_labels_text_bg_color: str, optional
        :param chart_labels_text_bg_size: Outline width. As a % of the font size. Flourish type hint: number, defaults to None.
        :type chart_labels_text_bg_size: float, optional
        :param chart_labels_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_labels_text_line_height: float, optional
        :param chart_labels_text_max_lines: Max lines. The max number of lines for each label. Flourish type hint: number, defaults to None.
        :type chart_labels_text_max_lines: float, optional
        :param chart_labels_text_weight: Weight. Choices: 400, 700. Flourish type hint: string, defaults to None.
        :type chart_labels_text_weight: str, optional
        :param chart_labels_lines: Connector lines. Choices: auto, on, off. Flourish type hint: string, defaults to None.
        :type chart_labels_lines: str, optional
        :param chart_labels_line_style: Line style. Choices: straight, step. Flourish type hint: string, defaults to None.
        :type chart_labels_line_style: str, optional
        :param chart_labels_line_color: Color. Flourish type hint: color, defaults to None.
        :type chart_labels_line_color: str, optional
        :param chart_labels_line_width: Width. In rems (a multiple of base font size). Flourish type hint: number, defaults to None.
        :type chart_labels_line_width: float, optional
        :param chart_labels_line_range: Length. The width of the space given over to lines; in rems, a multiple of base font size. Flourish type hint: number, defaults to None.
        :type chart_labels_line_range: float, optional
        :param chart_labels_line_padding: Padding. The padding to the left and right of the line; in rems, a multiple of base font size. Flourish type hint: number, defaults to None.
        :type chart_labels_line_padding: float, optional
        :param chart_facet_columns_fixed: Number of columns. Choices: False, True. In Auto mode, the number of columns will change with screen size. Flourish type hint: boolean, defaults to None.
        :type chart_facet_columns_fixed: bool, optional
        :param chart_facet_min_width: Min chart width. Determines how many columns of charts there should be in the grid. Ignored if you specify a fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_min_width: float, optional
        :param chart_facet_max_width: Max chart width. Determines how many columns of charts there should be in the grid. Ignored if you specify a fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_max_width: float, optional
        :param chart_facet_columns: Fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_columns: float, optional
        :param chart_facet_gutter_w: Horizontal margin. Flourish type hint: number, defaults to None.
        :type chart_facet_gutter_w: float, optional
        :param chart_facet_gutter_h: Vertical margin. Flourish type hint: number, defaults to None.
        :type chart_facet_gutter_h: float, optional
        :param chart_facet_animation: On data change. Choices: auto, name, reuse. If a chart in the grid is removed, that cell can either be animated out (with another cell moving to take its place) or reused for the new data in that cell. Auto decides for you based on the data. Flourish type hint: string, defaults to None.
        :type chart_facet_animation: str, optional
        :param chart_facet_titles: Show titles. Flourish type hint: boolean, defaults to None.
        :type chart_facet_titles: bool, optional
        :param chart_facet_title_align: Alignment. Choices: auto, left, center, right. Flourish type hint: string, defaults to None.
        :type chart_facet_title_align: str, optional
        :param chart_facet_title_size: Size. Relative to the width of the chart. Flourish type hint: number, defaults to None.
        :type chart_facet_title_size: float, optional
        :param chart_facet_title_unit: Scale with chart. Choices: rem, facet. Flourish type hint: string, defaults to None.
        :type chart_facet_title_unit: str, optional
        :param chart_facet_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_facet_title_color: str, optional
        :param chart_facet_title_padding_top: Space above. Flourish type hint: number, defaults to None.
        :type chart_facet_title_padding_top: float, optional
        :param chart_facet_title_padding_bottom: Space below. Flourish type hint: number, defaults to None.
        :type chart_facet_title_padding_bottom: float, optional
        :param chart_facet_title_bg: Background. Choices: none, full, text. Flourish type hint: string, defaults to None.
        :type chart_facet_title_bg: str, optional
        :param chart_facet_title_bg_color: Color. Flourish type hint: color, defaults to None.
        :type chart_facet_title_bg_color: str, optional
        :param chart_facet_title_bg_padding: Padding. Horizontal space between text and background. Flourish type hint: number, defaults to None.
        :type chart_facet_title_bg_padding: float, optional
        :param x_as_percentage: Treat as percentage. Displays values summed to 100%. This is useful for comparing proportional contributions across all categories. Flourish type hint: boolean, defaults to None.
        :type x_as_percentage: bool, optional
        :param matching_x_axis: Match x axes accross facets. Flourish type hint: boolean, defaults to None.
        :type matching_x_axis: bool, optional
        :param chart_x_axis_axis_position: Choices: bottom, off. Flourish type hint: string, defaults to None.
        :type chart_x_axis_axis_position: str, optional
        :param chart_x_axis_y_axis_position: Y value. Vertical position of the X axis on the Y scale. Flourish type hint: string, defaults to None.
        :type chart_x_axis_y_axis_position: str, optional
        :param chart_x_axis_numeric_scale_type: Type. Choices: linear, log. Flourish type hint: string, defaults to None.
        :type chart_x_axis_numeric_scale_type: str, optional
        :param chart_x_axis_linear_min: Min. Flourish type hint: number, defaults to None.
        :type chart_x_axis_linear_min: float, optional
        :param chart_x_axis_linear_max: Max. Flourish type hint: number, defaults to None.
        :type chart_x_axis_linear_max: float, optional
        :param chart_x_axis_log_min: Min. Flourish type hint: number, defaults to None.
        :type chart_x_axis_log_min: float, optional
        :param chart_x_axis_log_max: Max. Flourish type hint: number, defaults to None.
        :type chart_x_axis_log_max: float, optional
        :param chart_x_axis_datetime_min: Min (date). Flourish type hint: string, defaults to None.
        :type chart_x_axis_datetime_min: str, optional
        :param chart_x_axis_datetime_max: Max (date). Flourish type hint: string, defaults to None.
        :type chart_x_axis_datetime_max: str, optional
        :param chart_x_axis_flip: Flip axis. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_flip: bool, optional
        :param chart_x_axis_show_scale_settings: Configure default min/max. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_show_scale_settings: bool, optional
        :param chart_x_axis_nice: Round min/max. Choices: True, False. Enabling this option rounds the X axis start and end values to tidy numbers, such as 0, 50, 100 or whole years. Specified min and max values will override this feature. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_nice: bool, optional
        :param chart_x_axis_zero_axis: Include zero. Choices: auto, on, off. Enable to extend the axis to include zero, even when data is all positive or all negative. This is ignored if you set specific min and max scale values. Flourish type hint: string, defaults to None.
        :type chart_x_axis_zero_axis: str, optional
        :param chart_x_axis_title_mode: Type. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title_mode: str, optional
        :param chart_x_axis_title: Text. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title: str, optional
        :param chart_x_axis_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_title_styling: bool, optional
        :param chart_x_axis_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title_weight: str, optional
        :param chart_x_axis_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_title_color: str, optional
        :param chart_x_axis_title_size: Size. Flourish type hint: number, defaults to None.
        :type chart_x_axis_title_size: float, optional
        :param chart_x_axis_title_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_x_axis_title_padding: float, optional
        :param chart_x_axis_tick_label_position: Position. Choices: default, left, right. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_position: str, optional
        :param chart_x_axis_tick_label_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_tick_label_styling: bool, optional
        :param chart_x_axis_tick_label_size: Size. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_size: float, optional
        :param chart_x_axis_tick_label_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_tick_label_color: str, optional
        :param chart_x_axis_tick_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_padding: float, optional
        :param chart_x_axis_tick_label_angle: Angle. Choices: 0, 30, 45, 60, 90. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_angle: str, optional
        :param chart_x_axis_tick_label_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_weight: str, optional
        :param chart_x_axis_tick_label_max_lines: Max lines. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_max_lines: float, optional
        :param chart_x_axis_tick_label_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_line_height: float, optional
        :param chart_x_axis_tick_label_space_mode: Space mode. Choices: auto, max, fixed. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_space_mode: str, optional
        :param chart_x_axis_tick_label_space: Space. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_space: float, optional
        :param chart_x_axis_tick_mode: Mode. Choices: auto, number, custom. Sets the method for selecting tick values on the axis:  Auto automatically selects the ticks  Number allows you to choose the number of ticks to display.  Custom lets you select specific ticks to show.  Note: If the axis is categorical, Number mode is ignored. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_mode: str, optional
        :param chart_x_axis_tick_number: Number. Approximate number of ticks or gridlines. The actual number will depend on the range of values, chart size, etc. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_number: float, optional
        :param chart_x_axis_tick_custom: One tick label per line. Specify the ticks to show, one per line. For dates, use the input format as specified in the datasheet.  You can also use `{{FIRST}}` and `{{LAST}}` to add ticks at the minimum and maximum of the axis. For example:  `{{FIRST}}` 25000 50000 75000 `{{LAST}}`. Flourish type hint: text, defaults to None.
        :type chart_x_axis_tick_custom: Union[list, str], optional
        :param chart_x_axis_line_and_tick_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_line_and_tick_color: str, optional
        :param chart_x_axis_line_and_tick_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_x_axis_line_and_tick_width: float, optional
        :param chart_x_axis_tick_length: Tick length. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_length: float, optional
        :param chart_x_axis_tick_side: Tick side. Choices: out, in. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_side: str, optional
        :param chart_x_axis_line_visible: Axis line. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_line_visible: bool, optional
        :param chart_x_axis_edge_padding: Edge padding (%). Space between start/end of axis line and first/last category tick as a percentage of the spacing between ticks. Flourish type hint: number, defaults to None.
        :type chart_x_axis_edge_padding: float, optional
        :param chart_x_axis_gridlines_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridlines_visible: bool, optional
        :param chart_x_axis_gridlines_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridlines_styling: bool, optional
        :param chart_x_axis_gridline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_gridline_color: str, optional
        :param chart_x_axis_gridline_style: Style. Choices: solid, dash, dot, dot_dash. Flourish type hint: string, defaults to None.
        :type chart_x_axis_gridline_style: str, optional
        :param chart_x_axis_gridline_width: Width. Flourish type hint: number, defaults to None.
        :type chart_x_axis_gridline_width: float, optional
        :param chart_x_axis_gridline_category_dividers: Put lines between categories. On a categorical axis, this option disables the gridline on each tick and instead adds rules between each category to give a table-like design. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridline_category_dividers: bool, optional
        :param chart_x_axis_gridline_category_dividers_extend: Extend. Extends the dividers into the axis margins. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridline_category_dividers_extend: bool, optional
        :param chart_x_axis_number_date_format_prefix: Prefix. Text to place in front of a number. Flourish type hint: string, defaults to None.
        :type chart_x_axis_number_date_format_prefix: str, optional
        :param chart_x_axis_number_date_format_suffix: Suffix. Text to place after a number. Flourish type hint: string, defaults to None.
        :type chart_x_axis_number_date_format_suffix: str, optional
        :param chart_x_axis_number_date_format_n_dec: Decimal places. Decimal places. You can also enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_x_axis_number_date_format_n_dec: float, optional
        :param chart_x_axis_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_number_date_format_advanced: bool, optional
        :param chart_x_axis_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_x_axis_number_date_format_negative_sign: str, optional
        :param chart_x_axis_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_number_date_format_strip_zeros: bool, optional
        :param chart_x_axis_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_number_date_format_strip_separator: bool, optional
        :param chart_x_axis_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_number_date_format_transform_labels: bool, optional
        :param chart_x_axis_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_x_axis_number_date_format_transform: str, optional
        :param chart_x_axis_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_x_axis_number_date_format_multiply_divide_constant: float, optional
        :param chart_x_axis_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_x_axis_number_date_format_exponentiate_constant: float, optional
        :param y_as_percentage: Treat as percentage. Displays values summed to 100%. This is useful for comparing proportional contributions across all categories. Flourish type hint: boolean, defaults to None.
        :type y_as_percentage: bool, optional
        :param matching_y_axis: Match y axes accross facets. Flourish type hint: boolean, defaults to None.
        :type matching_y_axis: bool, optional
        :param chart_y_axis_axis_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_axis_visible: bool, optional
        :param chart_y_axis_numeric_scale_type: Type. Choices: linear, log. Flourish type hint: string, defaults to None.
        :type chart_y_axis_numeric_scale_type: str, optional
        :param chart_y_axis_linear_min: Min. Flourish type hint: number, defaults to None.
        :type chart_y_axis_linear_min: float, optional
        :param chart_y_axis_linear_max: Max. Flourish type hint: number, defaults to None.
        :type chart_y_axis_linear_max: float, optional
        :param chart_y_axis_log_min: Min. Flourish type hint: number, defaults to None.
        :type chart_y_axis_log_min: float, optional
        :param chart_y_axis_log_max: Max. Flourish type hint: number, defaults to None.
        :type chart_y_axis_log_max: float, optional
        :param chart_y_axis_datetime_min: Min (date). Flourish type hint: string, defaults to None.
        :type chart_y_axis_datetime_min: str, optional
        :param chart_y_axis_datetime_max: Max (date). Flourish type hint: string, defaults to None.
        :type chart_y_axis_datetime_max: str, optional
        :param chart_y_axis_flip: Flip axis. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_flip: bool, optional
        :param chart_y_axis_show_scale_settings: Configure default min/max. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_show_scale_settings: bool, optional
        :param chart_y_axis_nice: Round min/max. Choices: True, False. When enabled, scales automatically extend to "nice" rounded start/end values, such as hundreds or whole years. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_nice: bool, optional
        :param chart_y_axis_zero_axis: Include zero. Choices: auto, on, off. Whether to extend the axis to include zero if the data values are all positive or all negative. Flourish type hint: string, defaults to None.
        :type chart_y_axis_zero_axis: str, optional
        :param chart_y_axis_title_mode: Type. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_mode: str, optional
        :param chart_y_axis_title: Text. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title: str, optional
        :param chart_y_axis_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_title_styling: bool, optional
        :param chart_y_axis_title_position: Position. Choices: side, end. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_position: str, optional
        :param chart_y_axis_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_weight: str, optional
        :param chart_y_axis_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_title_color: str, optional
        :param chart_y_axis_title_size: Size. Flourish type hint: number, defaults to None.
        :type chart_y_axis_title_size: float, optional
        :param chart_y_axis_title_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_y_axis_title_padding: float, optional
        :param chart_y_axis_tick_label_position: Position. Choices: default, above, below. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_position: str, optional
        :param chart_y_axis_tick_label_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_tick_label_styling: bool, optional
        :param chart_y_axis_tick_label_size: Size. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_size: float, optional
        :param chart_y_axis_tick_label_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_tick_label_color: str, optional
        :param chart_y_axis_tick_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_padding: float, optional
        :param chart_y_axis_tick_label_angle: Angle. Choices: 0, 30, 45, 60, 90. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_angle: str, optional
        :param chart_y_axis_tick_label_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_weight: str, optional
        :param chart_y_axis_tick_label_max_lines: Max lines. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_max_lines: float, optional
        :param chart_y_axis_tick_label_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_line_height: float, optional
        :param chart_y_axis_tick_label_space_mode: Space mode. Choices: auto, max, fixed. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_space_mode: str, optional
        :param chart_y_axis_tick_label_space: Space. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_space: float, optional
        :param chart_y_axis_tick_mode: Mode. Choices: auto, number, custom. Sets the method for selecting tick values on the axis:  Auto automatically selects the ticks  Number allows you to choose the number of ticks to display.  Custom lets you select specific ticks to show.  Note: If the axis is categorical, Number mode is ignored. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_mode: str, optional
        :param chart_y_axis_tick_number: Number. Approximate number of ticks or gridlines. The actual number will depend on the range of values, chart size, etc. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_number: float, optional
        :param chart_y_axis_tick_custom: One tick label per line. Specify the ticks to show, one per line. For dates, use the input format as specified in the datasheet.  You can also use `{{FIRST}}` and `{{LAST}}` to add ticks at the minimum and maximum of the axis. For example:  `{{FIRST}}` 25000 50000 75000 `{{LAST}}`. Flourish type hint: text, defaults to None.
        :type chart_y_axis_tick_custom: Union[list, str], optional
        :param chart_y_axis_line_and_tick_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_line_and_tick_color: str, optional
        :param chart_y_axis_line_and_tick_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_y_axis_line_and_tick_width: float, optional
        :param chart_y_axis_tick_length: Tick length. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_length: float, optional
        :param chart_y_axis_tick_side: Side. Choices: out, in. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_side: str, optional
        :param chart_y_axis_line_visible: Axis line. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_line_visible: bool, optional
        :param chart_y_axis_edge_padding: Edge padding (%). Space between start/end of axis line and first/last category tick as a percentage of the spacing between ticks. Flourish type hint: number, defaults to None.
        :type chart_y_axis_edge_padding: float, optional
        :param chart_y_axis_gridlines_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridlines_visible: bool, optional
        :param chart_y_axis_gridlines_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridlines_styling: bool, optional
        :param chart_y_axis_gridline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_gridline_color: str, optional
        :param chart_y_axis_gridline_style: Style. Choices: solid, dash, dot, dot_dash. Flourish type hint: string, defaults to None.
        :type chart_y_axis_gridline_style: str, optional
        :param chart_y_axis_gridline_width: Width. Flourish type hint: number, defaults to None.
        :type chart_y_axis_gridline_width: float, optional
        :param chart_y_axis_gridline_category_dividers: Put lines between categories. On a categorical axis, this option disables the gridline on each tick and instead adds rules between each category to give a table-like design. Ignored for date and numeric axes. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridline_category_dividers: bool, optional
        :param chart_y_axis_gridline_category_dividers_extend: Extend. Extends the dividers into the axis margins. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridline_category_dividers_extend: bool, optional
        :param chart_y_axis_number_date_format_prefix: Prefix. Text to place in front of a number. Flourish type hint: string, defaults to None.
        :type chart_y_axis_number_date_format_prefix: str, optional
        :param chart_y_axis_number_date_format_suffix: Suffix. Text to place after a number. Flourish type hint: string, defaults to None.
        :type chart_y_axis_number_date_format_suffix: str, optional
        :param chart_y_axis_number_date_format_n_dec: Decimal places. Decimal places. You can also enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_y_axis_number_date_format_n_dec: float, optional
        :param chart_y_axis_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_number_date_format_advanced: bool, optional
        :param chart_y_axis_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_y_axis_number_date_format_negative_sign: str, optional
        :param chart_y_axis_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_number_date_format_strip_zeros: bool, optional
        :param chart_y_axis_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_number_date_format_strip_separator: bool, optional
        :param chart_y_axis_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_number_date_format_transform_labels: bool, optional
        :param chart_y_axis_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_y_axis_number_date_format_transform: str, optional
        :param chart_y_axis_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_y_axis_number_date_format_multiply_divide_constant: float, optional
        :param chart_y_axis_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_y_axis_number_date_format_exponentiate_constant: float, optional
        :param chart_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_type: str, optional
        :param chart_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_control_styles: bool, optional
        :param chart_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_title: str, optional
        :param chart_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_button_group: bool, optional
        :param chart_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_button_group_width_mode: str, optional
        :param chart_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_button_group_width_fixed: float, optional
        :param chart_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_dropdown_width_mode: str, optional
        :param chart_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_dropdown_width_fixed: float, optional
        :param chart_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_width: float, optional
        :param chart_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_max_label_width: float, optional
        :param chart_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_step_time: float, optional
        :param chart_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_slider_loop: bool, optional
        :param chart_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_restart_pause: float, optional
        :param chart_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_sort: bool, optional
        :param filter_show_all: Include "All". Flourish type hint: boolean, defaults to None.
        :type filter_show_all: bool, optional
        :param filter_show_all_text: Name for "All". Leave blank to not include an All option. Flourish type hint: string, defaults to None.
        :type filter_show_all_text: str, optional
        :param chart_filter_controls_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_container_alignment: str, optional
        :param chart_filter_controls_container_controls_spacing: Spacing. The space between controls, like dropdowns and adjacent button sets, in em units. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_container_controls_spacing: float, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Dropdown border styles. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_categorical_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_show_legend: bool, optional
        :param chart_categorical_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title_mode: str, optional
        :param chart_categorical_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title: str, optional
        :param chart_categorical_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_width: float, optional
        :param chart_categorical_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_height: float, optional
        :param chart_categorical_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_radius: float, optional
        :param chart_categorical_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_legend_items_padding: float, optional
        :param chart_categorical_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_swatch_outline: bool, optional
        :param chart_categorical_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_swatch_outline_color: str, optional
        :param chart_categorical_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_categorical_legend_order_override: Union[list, str], optional
        :param chart_categorical_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_icon_height: float, optional
        :param chart_categorical_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_icon_color: str, optional
        :param chart_categorical_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_max_width: float, optional
        :param chart_categorical_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_orientation: str, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param chart_popup_mode: Choices: none, popup, panel, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML styling or add category colors to popup headers.  To hide parts of the popup when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML for designs, styles, and images.  To hide parts of the popup when a column is empty use the syntax `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_custom_accessible: Popup custom accessible content. A text alternative to visual custom popup content that will be read out by screenreaders. This content is added as an aria-label attribute to data point elements. You can still use `{{column_name}}` to add values from your data, but do not use HTML. For example: `{{Name}}, Population: {{Population}}, GDP: {{GDP}}`. If left empty, accessible content will fallback to the default popup content. Flourish type hint: text, defaults to None.
        :type chart_popup_popup_custom_accessible: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for styling or add category colors to panel headers.  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for designs, styles, images, videos and embedded Flourish charts,  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing Click position is especially useful when your visualization is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param chart_axes_highlights_x_enabled: Show highlights on the x axis. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_x_enabled: bool, optional
        :param chart_axes_highlights_x_lines: One per line, in format “My label :: 2012”. One per line, using the  format :  My label :: 2012  For dates, use the  input format  as specified in the datasheet. You can optionally specify a line color and a text color For visualizations using a  grid of charts , you can apply the annotation only on a specific chart. Use the format:  `My label :: 2012 :: line_color / text_color :: facet_name`.  For example,  `My label :: 2012 :: #eb0000 / #0084bd :: Category 1`. If you want to add an annotation to just one specific chart but do not want to color the line/text, you can leave that part blank. For example:  My label :: 2012 :: :: Category 1 Flourish type hint: text, defaults to None.
        :type chart_axes_highlights_x_lines: Union[list, str], optional
        :param chart_axes_highlights_x_line_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_x_line_color: str, optional
        :param chart_axes_highlights_x_line_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_line_width: float, optional
        :param chart_axes_highlights_x_line_dash: Dash. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_line_dash: float, optional
        :param chart_axes_highlights_x_areas: One per line, in format “My label :: 2013 >> 2015”. One per line, using the format :  My label :: date >> date  For dates, use the input format as specified in the datasheet. You can optionally specify a line color and a text color For visualizations using a  grid of charts , you can apply the annotation only on a specific chart Use the format:  My label :: 2012 :: area_color / text_color :: facet_name For example,  `My label :: 2012 >> 2015 :: #eb0000 / #0084bd :: Category 1`. Flourish type hint: text, defaults to None.
        :type chart_axes_highlights_x_areas: Union[list, str], optional
        :param chart_axes_highlights_x_area_color: Area. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_x_area_color: str, optional
        :param chart_axes_highlights_x_area_opacity: Area opacity. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_area_opacity: float, optional
        :param chart_axes_highlights_x_area_texture: Area texture. Choices: none, pattern-diagonal, pattern-grid, pattern-dots. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_x_area_texture: str, optional
        :param chart_axes_highlights_x_label_vertical: Vertical. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_x_label_vertical: bool, optional
        :param chart_axes_highlights_x_label_y_position: Y position. Choices: bottom, middle, top. Vertically position the label at the top, bottom or in the middle of the line. This setting will be ignored if there is not enough space for the selected position. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_x_label_y_position: str, optional
        :param chart_axes_highlights_x_label_x_position: X position. Choices: left, middle, right. Horizontally position the label on the left, the right or in the middle of the line. This setting will be ignored if there is not enough space for the selected position. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_x_label_x_position: str, optional
        :param chart_axes_highlights_x_label_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_label_max_width: float, optional
        :param chart_axes_highlights_x_font_size: Font size. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_font_size: float, optional
        :param chart_axes_highlights_x_font_weight: Font weight. Choices: regular, bold. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_x_font_weight: str, optional
        :param chart_axes_highlights_x_label_color: Text. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_x_label_color: str, optional
        :param chart_axes_highlights_x_shadow_color: Shadow. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_x_shadow_color: str, optional
        :param chart_axes_highlights_x_shadow_enabled: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_x_shadow_enabled: bool, optional
        :param chart_axes_highlights_y_enabled: Show highlights on the y axis. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_y_enabled: bool, optional
        :param chart_axes_highlights_y_lines: One per line, in format “My label :: 5000”. One per line, using the format :  My label :: 2012  For dates, use the input format as specified in the datasheet. You can optionally specify a line color and a text color For visualizations using a  grid of charts , you can apply the annotation only on a specific chart Use the format:  `My label :: 2012 :: line_color / text_color :: facet_name`.  For example:  `My label :: 2012 :: #eb0000 / #0084bd :: Category 1`.  If you want to add an annotation to just one specific chart but do not want to color the line/text, you can leave that part blank. For example:  My label :: 2012 :: :: Category 1 Flourish type hint: text, defaults to None.
        :type chart_axes_highlights_y_lines: Union[list, str], optional
        :param chart_axes_highlights_y_line_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_y_line_color: str, optional
        :param chart_axes_highlights_y_line_width: line width. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_line_width: float, optional
        :param chart_axes_highlights_y_line_dash: Dash. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_line_dash: float, optional
        :param chart_axes_highlights_y_areas: One per line, in format “My label :: 2000 >> 8000”. One per line, using the format :  My label :: date >> date  For dates, use the input format as specified in the datasheet. You can optionally specify a line color and a text color For visualizations using a  grid of charts , you can apply the annotation only on a specific chart Use the format:  My label :: 2012 :: area_color / text_color :: facet_name  For example:  `My label :: 2012 >> 2015 :: #eb0000 / #0084bd :: Category 1`. Flourish type hint: text, defaults to None.
        :type chart_axes_highlights_y_areas: Union[list, str], optional
        :param chart_axes_highlights_y_area_color: Area. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_y_area_color: str, optional
        :param chart_axes_highlights_y_area_opacity: Area opacity. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_area_opacity: float, optional
        :param chart_axes_highlights_y_area_texture: Area texture. Choices: none, pattern-diagonal, pattern-grid, pattern-dots. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_y_area_texture: str, optional
        :param chart_axes_highlights_y_label_x_position: X position. Choices: left, middle, right. Horizontally position label on the left, the middle or the right end of the line. This setting will be ignored if there is not enough space for the selected position. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_y_label_x_position: str, optional
        :param chart_axes_highlights_y_label_y_position: Y position. Choices: above, middle, below. Vertically position the label above, below or in the middle of the line. This setting will be ignored if there is not enough space for the selected position. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_y_label_y_position: str, optional
        :param chart_axes_highlights_y_label_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_label_max_width: float, optional
        :param chart_axes_highlights_y_font_size: Font size. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_font_size: float, optional
        :param chart_axes_highlights_y_font_weight: Font weight. Choices: regular, bold. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_y_font_weight: str, optional
        :param chart_axes_highlights_y_label_color: Text. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_y_label_color: str, optional
        :param chart_axes_highlights_y_shadow_color: Shadow. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_y_shadow_color: str, optional
        :param chart_axes_highlights_y_shadow_enabled: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_y_shadow_enabled: bool, optional
        :param axes_highlights_stack_order: Stack order. Choices: above_data, below_data. Whether your axis highlights should be displayed above or below your chart area. Flourish type hint: string, defaults to None.
        :type axes_highlights_stack_order: str, optional
        :param annotations_styles: Show styling options. Flourish type hint: boolean, defaults to None.
        :type annotations_styles: bool, optional
        :param chart_annotations_defaults_text_weight: Weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_text_weight: str, optional
        :param chart_annotations_defaults_text_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_annotations_defaults_text_size: float, optional
        :param chart_annotations_defaults_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_annotations_defaults_text_color: str, optional
        :param chart_annotations_defaults_label_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_annotations_defaults_label_width: float, optional
        :param chart_annotations_defaults_text_background_mode: Text background. Choices: none, outline, background. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_text_background_mode: str, optional
        :param chart_annotations_defaults_text_bg: Outline. Flourish type hint: color, defaults to None.
        :type chart_annotations_defaults_text_bg: str, optional
        :param chart_annotations_defaults_label_bg: Background. Flourish type hint: color, defaults to None.
        :type chart_annotations_defaults_label_bg: str, optional
        :param chart_annotations_defaults_text_alignment: Alignment. Choices: auto, start, center, end. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_text_alignment: str, optional
        :param chart_annotations_defaults_popup_position: Popup position. Choices: center, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_popup_position: str, optional
        :param chart_annotations_defaults_line_marker: Marker. Choices: none, arrowhead_open, arrowhead. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_line_marker: str, optional
        :param chart_annotations_defaults_stroke_width: Width. Flourish type hint: number, defaults to None.
        :type chart_annotations_defaults_stroke_width: float, optional
        :param chart_annotations_defaults_stroke_color: Color. Flourish type hint: color, defaults to None.
        :type chart_annotations_defaults_stroke_color: str, optional
        :param chart_annotations_defaults_connector_extend_line: Extend line. Choices: enabled, disabled. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_connector_extend_line: str, optional
        :param animation_duration: Animation duration. The duration of the animation (in seconds) when changing data or mode for example, between slides in a story Flourish type hint: number, defaults to None.
        :type animation_duration: float, optional
        :param chart_background_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_background_background_color_enabled: bool, optional
        :param chart_background_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_background_background_image_enabled: bool, optional
        :param chart_background_background_color: Color. Flourish type hint: color, defaults to None.
        :type chart_background_background_color: str, optional
        :param chart_background_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_background_background_image_src: str, optional
        :param chart_background_background_image_size: Size. Choices: stretch, slice, meet. Flourish type hint: string, defaults to None.
        :type chart_background_background_image_size: str, optional
        :param chart_background_background_image_position: Position. Choices: x_min_y_min, x_mid_y_min, x_max_y_min, x_max_y_mid, x_mid_y_mid, x_min_y_max, x_mid_y_max, x_max_y_max. Flourish type hint: string, defaults to None.
        :type chart_background_background_image_position: str, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "color": {},
                "labels": {},
                "facets": {},
                "x": {},
                "x_formatting": {},
                "y": {},
                "y_formatting": {},
                "filter_control": {},
                "controls_container": {},
                "controls_style": {},
                "dropdown_style": {},
                "button_style": {},
                "legend_categorical": {},
                "legend_container": {},
                "popup": {},
                "axes_highlights": {},
                "annotations": {"defaults": {}},
                "chart_bg": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        list_sort_by = ["none", "unstacked", "stacked"] + [None]
        if sort_by not in list_sort_by:
            raise ValueError(
                f"`sort_by` must be one of: ['none', 'unstacked', 'stacked']"
            )
        elif sort_by in list_sort_by and sort_by is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "unstacked": "unstacked",
                    "stacked": "stacked",
                }.items()
                if sort_by in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["sort_by"] = filtered_dict[sort_by]

        list_sort_direction = ["desc", "asc"] + [None]
        if sort_direction not in list_sort_direction:
            raise ValueError(f"`sort_direction` must be one of: ['desc', 'asc']")
        elif sort_direction in list_sort_direction and sort_direction is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"desc": "desc", "asc": "asc"}.items()
                if sort_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["sort_direction"] = filtered_dict[sort_direction]

        list_orientation = ["horizontal", "vertical"] + [None]
        if orientation not in list_orientation:
            raise ValueError(
                f"`orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif orientation in list_orientation and orientation is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["orientation"] = filtered_dict[orientation]

        list_height_mode = ["auto", "aspect_ratio"] + [None]
        if height_mode not in list_height_mode:
            raise ValueError(f"`height_mode` must be one of: ['auto', 'aspect_ratio']")
        elif height_mode in list_height_mode and height_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "aspect_ratio": "aspect_ratio"}.items()
                if height_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["height_mode"] = filtered_dict[height_mode]
        self.state["state"]["facet_aspect"] = facet_aspect
        self.state["state"]["facet_aspect_mobile"] = facet_aspect_mobile
        self.state["state"]["facet_aspect_breakpoint"] = facet_aspect_breakpoint
        self.state["state"]["stack_padding_stacked"] = stack_padding_stacked
        self.state["state"]["stack_padding_unstacked"] = stack_padding_unstacked

        list_color_mode = ["stack", "bar"] + [None]
        if color_mode not in list_color_mode:
            raise ValueError(f"`color_mode` must be one of: ['stack', 'bar']")
        elif color_mode in list_color_mode and color_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"stack": "stack", "bar": "bar"}.items()
                if color_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color_mode"] = filtered_dict[color_mode]
        self.state["state"]["stack_fade"] = stack_fade

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max

        list_enable_labels = ["auto", "on", "off"] + [None]
        if enable_labels not in list_enable_labels:
            raise ValueError(f"`enable_labels` must be one of: ['auto', 'on', 'off']")
        elif enable_labels in list_enable_labels and enable_labels is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if enable_labels in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["enable_labels"] = filtered_dict[enable_labels]

        list_label_position = ["edge_of_chart", "edge_of_bar"] + [None]
        if label_position not in list_label_position:
            raise ValueError(
                f"`label_position` must be one of: ['edge_of_chart', 'edge_of_bar']"
            )
        elif label_position in list_label_position and label_position is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "edge_of_chart": "edge_of_chart",
                    "edge_of_bar": "edge_of_bar",
                }.items()
                if label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_position"] = filtered_dict[label_position]
        self.state["state"]["labels"]["max_width"] = chart_labels_max_width

        list_chart_labels_overlap_mode = ["spread", "hide", "none"] + [None]
        if chart_labels_overlap_mode not in list_chart_labels_overlap_mode:
            raise ValueError(
                f"`chart_labels_overlap_mode` must be one of: ['spread', 'hide', 'none']"
            )
        elif (
            chart_labels_overlap_mode in list_chart_labels_overlap_mode
            and chart_labels_overlap_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "spread": "spread",
                    "hide": "hide",
                    "none": "none",
                }.items()
                if chart_labels_overlap_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels"]["overlap_mode"] = filtered_dict[
                    chart_labels_overlap_mode
                ]
        self.state["state"]["labels"][
            "spreading_margin"
        ] = chart_labels_spreading_margin
        self.state["state"]["labels"][
            "data_point_margin"
        ] = chart_labels_data_point_margin

        if (
            chart_labels_show_only_labels is not None
            and len(chart_labels_show_only_labels) > 1
            and isinstance(chart_labels_show_only_labels, list)
        ):
            self.state["state"]["labels"]["show_only_labels"] = " \n ".join(
                chart_labels_show_only_labels
            )
        else:
            self.state["state"]["labels"][
                "show_only_labels"
            ] = chart_labels_show_only_labels

        self.state["state"]["labels"]["text_color"] = chart_labels_text_color
        self.state["state"]["labels"]["text_size"] = chart_labels_text_size
        self.state["state"]["labels"]["text_bg_color"] = chart_labels_text_bg_color
        self.state["state"]["labels"]["text_bg_size"] = chart_labels_text_bg_size
        self.state["state"]["labels"][
            "text_line_height"
        ] = chart_labels_text_line_height
        self.state["state"]["labels"]["text_max_lines"] = chart_labels_text_max_lines

        list_chart_labels_text_weight = [400, 700] + [None]
        if chart_labels_text_weight not in list_chart_labels_text_weight:
            raise ValueError(f"`chart_labels_text_weight` must be one of: [400, 700]")
        elif (
            chart_labels_text_weight in list_chart_labels_text_weight
            and chart_labels_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {400: 400, 700: 700}.items()
                if chart_labels_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels"]["text_weight"] = filtered_dict[
                    chart_labels_text_weight
                ]

        list_chart_labels_lines = ["auto", "on", "off"] + [None]
        if chart_labels_lines not in list_chart_labels_lines:
            raise ValueError(
                f"`chart_labels_lines` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_labels_lines in list_chart_labels_lines
            and chart_labels_lines is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_labels_lines in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels"]["lines"] = filtered_dict[
                    chart_labels_lines
                ]

        list_chart_labels_line_style = ["straight", "step"] + [None]
        if chart_labels_line_style not in list_chart_labels_line_style:
            raise ValueError(
                f"`chart_labels_line_style` must be one of: ['straight', 'step']"
            )
        elif (
            chart_labels_line_style in list_chart_labels_line_style
            and chart_labels_line_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"straight": "straight", "step": "step"}.items()
                if chart_labels_line_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels"]["line_style"] = filtered_dict[
                    chart_labels_line_style
                ]
        self.state["state"]["labels"]["line_color"] = chart_labels_line_color
        self.state["state"]["labels"]["line_width"] = chart_labels_line_width
        self.state["state"]["labels"]["line_range"] = chart_labels_line_range
        self.state["state"]["labels"]["line_padding"] = chart_labels_line_padding

        list_chart_facet_columns_fixed = [False, True] + [None]
        if chart_facet_columns_fixed not in list_chart_facet_columns_fixed:
            raise ValueError(
                f"`chart_facet_columns_fixed` must be one of: [False, True]"
            )
        elif (
            chart_facet_columns_fixed in list_chart_facet_columns_fixed
            and chart_facet_columns_fixed is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_facet_columns_fixed in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["columns_fixed"] = filtered_dict[
                    chart_facet_columns_fixed
                ]
        self.state["state"]["facets"]["min_width"] = chart_facet_min_width
        self.state["state"]["facets"]["max_width"] = chart_facet_max_width
        self.state["state"]["facets"]["columns"] = chart_facet_columns
        self.state["state"]["facets"]["gutter_w"] = chart_facet_gutter_w
        self.state["state"]["facets"]["gutter_h"] = chart_facet_gutter_h

        list_chart_facet_animation = ["auto", "name", "reuse"] + [None]
        if chart_facet_animation not in list_chart_facet_animation:
            raise ValueError(
                f"`chart_facet_animation` must be one of: ['auto', 'name', 'reuse']"
            )
        elif (
            chart_facet_animation in list_chart_facet_animation
            and chart_facet_animation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "name": "name", "reuse": "reuse"}.items()
                if chart_facet_animation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["animation"] = filtered_dict[
                    chart_facet_animation
                ]
        self.state["state"]["facets"]["titles"] = chart_facet_titles

        list_chart_facet_title_align = ["auto", "left", "center", "right"] + [None]
        if chart_facet_title_align not in list_chart_facet_title_align:
            raise ValueError(
                f"`chart_facet_title_align` must be one of: ['auto', 'left', 'center', 'right']"
            )
        elif (
            chart_facet_title_align in list_chart_facet_title_align
            and chart_facet_title_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_facet_title_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_align"] = filtered_dict[
                    chart_facet_title_align
                ]
        self.state["state"]["facets"]["title_size"] = chart_facet_title_size

        list_chart_facet_title_unit = ["rem", "facet"] + [None]
        if chart_facet_title_unit not in list_chart_facet_title_unit:
            raise ValueError(
                f"`chart_facet_title_unit` must be one of: ['rem', 'facet']"
            )
        elif (
            chart_facet_title_unit in list_chart_facet_title_unit
            and chart_facet_title_unit is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"rem": "rem", "facet": "facet"}.items()
                if chart_facet_title_unit in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_unit"] = filtered_dict[
                    chart_facet_title_unit
                ]
        self.state["state"]["facets"]["title_color"] = chart_facet_title_color
        self.state["state"]["facets"][
            "title_padding_top"
        ] = chart_facet_title_padding_top
        self.state["state"]["facets"][
            "title_padding_bottom"
        ] = chart_facet_title_padding_bottom

        list_chart_facet_title_bg = ["none", "full", "text"] + [None]
        if chart_facet_title_bg not in list_chart_facet_title_bg:
            raise ValueError(
                f"`chart_facet_title_bg` must be one of: ['none', 'full', 'text']"
            )
        elif (
            chart_facet_title_bg in list_chart_facet_title_bg
            and chart_facet_title_bg is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"none": "none", "full": "full", "text": "text"}.items()
                if chart_facet_title_bg in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_bg"] = filtered_dict[
                    chart_facet_title_bg
                ]
        self.state["state"]["facets"]["title_bg_color"] = chart_facet_title_bg_color
        self.state["state"]["facets"]["title_bg_padding"] = chart_facet_title_bg_padding
        self.state["state"]["x_as_percentage"] = x_as_percentage
        self.state["state"]["matching_x_axis"] = matching_x_axis

        list_chart_x_axis_axis_position = ["bottom", "off"] + [None]
        if chart_x_axis_axis_position not in list_chart_x_axis_axis_position:
            raise ValueError(
                f"`chart_x_axis_axis_position` must be one of: ['bottom', 'off']"
            )
        elif (
            chart_x_axis_axis_position in list_chart_x_axis_axis_position
            and chart_x_axis_axis_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bottom": "bottom", "off": "off"}.items()
                if chart_x_axis_axis_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["axis_position"] = filtered_dict[
                    chart_x_axis_axis_position
                ]
        self.state["state"]["x"]["y_axis_position"] = chart_x_axis_y_axis_position

        list_chart_x_axis_numeric_scale_type = ["linear", "log"] + [None]
        if chart_x_axis_numeric_scale_type not in list_chart_x_axis_numeric_scale_type:
            raise ValueError(
                f"`chart_x_axis_numeric_scale_type` must be one of: ['linear', 'log']"
            )
        elif (
            chart_x_axis_numeric_scale_type in list_chart_x_axis_numeric_scale_type
            and chart_x_axis_numeric_scale_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "log": "log"}.items()
                if chart_x_axis_numeric_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["numeric_scale_type"] = filtered_dict[
                    chart_x_axis_numeric_scale_type
                ]
        self.state["state"]["x"]["linear_min"] = chart_x_axis_linear_min
        self.state["state"]["x"]["linear_max"] = chart_x_axis_linear_max
        self.state["state"]["x"]["log_min"] = chart_x_axis_log_min
        self.state["state"]["x"]["log_max"] = chart_x_axis_log_max
        self.state["state"]["x"]["datetime_min"] = chart_x_axis_datetime_min
        self.state["state"]["x"]["datetime_max"] = chart_x_axis_datetime_max
        self.state["state"]["x"]["flip"] = chart_x_axis_flip
        self.state["state"]["x"][
            "show_scale_settings"
        ] = chart_x_axis_show_scale_settings

        list_chart_x_axis_nice = [True, False] + [None]
        if chart_x_axis_nice not in list_chart_x_axis_nice:
            raise ValueError(f"`chart_x_axis_nice` must be one of: [True, False]")
        elif (
            chart_x_axis_nice in list_chart_x_axis_nice
            and chart_x_axis_nice is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_x_axis_nice in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["nice"] = filtered_dict[chart_x_axis_nice]

        list_chart_x_axis_zero_axis = ["auto", "on", "off"] + [None]
        if chart_x_axis_zero_axis not in list_chart_x_axis_zero_axis:
            raise ValueError(
                f"`chart_x_axis_zero_axis` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_x_axis_zero_axis in list_chart_x_axis_zero_axis
            and chart_x_axis_zero_axis is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_x_axis_zero_axis in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["zero_axis"] = filtered_dict[
                    chart_x_axis_zero_axis
                ]

        list_chart_x_axis_title_mode = ["auto", "custom"] + [None]
        if chart_x_axis_title_mode not in list_chart_x_axis_title_mode:
            raise ValueError(
                f"`chart_x_axis_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_x_axis_title_mode in list_chart_x_axis_title_mode
            and chart_x_axis_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_x_axis_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["title_mode"] = filtered_dict[
                    chart_x_axis_title_mode
                ]
        self.state["state"]["x"]["title"] = chart_x_axis_title
        self.state["state"]["x"]["title_styling"] = chart_x_axis_title_styling

        list_chart_x_axis_title_weight = ["bold", "normal"] + [None]
        if chart_x_axis_title_weight not in list_chart_x_axis_title_weight:
            raise ValueError(
                f"`chart_x_axis_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_x_axis_title_weight in list_chart_x_axis_title_weight
            and chart_x_axis_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_x_axis_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["title_weight"] = filtered_dict[
                    chart_x_axis_title_weight
                ]
        self.state["state"]["x"]["title_color"] = chart_x_axis_title_color
        self.state["state"]["x"]["title_size"] = chart_x_axis_title_size
        self.state["state"]["x"]["title_padding"] = chart_x_axis_title_padding

        list_chart_x_axis_tick_label_position = ["default", "left", "right"] + [None]
        if (
            chart_x_axis_tick_label_position
            not in list_chart_x_axis_tick_label_position
        ):
            raise ValueError(
                f"`chart_x_axis_tick_label_position` must be one of: ['default', 'left', 'right']"
            )
        elif (
            chart_x_axis_tick_label_position in list_chart_x_axis_tick_label_position
            and chart_x_axis_tick_label_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "default": "default",
                    "left": "left",
                    "right": "right",
                }.items()
                if chart_x_axis_tick_label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_position"] = filtered_dict[
                    chart_x_axis_tick_label_position
                ]
        self.state["state"]["x"]["tick_label_styling"] = chart_x_axis_tick_label_styling
        self.state["state"]["x"]["tick_label_size"] = chart_x_axis_tick_label_size
        self.state["state"]["x"]["tick_label_color"] = chart_x_axis_tick_label_color
        self.state["state"]["x"]["tick_padding"] = chart_x_axis_tick_padding

        list_chart_x_axis_tick_label_angle = ["0", "30", "45", "60", "90"] + [None]
        if chart_x_axis_tick_label_angle not in list_chart_x_axis_tick_label_angle:
            raise ValueError(
                f"`chart_x_axis_tick_label_angle` must be one of: ['0', '30', '45', '60', '90']"
            )
        elif (
            chart_x_axis_tick_label_angle in list_chart_x_axis_tick_label_angle
            and chart_x_axis_tick_label_angle is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "30": "30",
                    "45": "45",
                    "60": "60",
                    "90": "90",
                }.items()
                if chart_x_axis_tick_label_angle in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_angle"] = filtered_dict[
                    chart_x_axis_tick_label_angle
                ]

        list_chart_x_axis_tick_label_weight = ["bold", "normal"] + [None]
        if chart_x_axis_tick_label_weight not in list_chart_x_axis_tick_label_weight:
            raise ValueError(
                f"`chart_x_axis_tick_label_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_x_axis_tick_label_weight in list_chart_x_axis_tick_label_weight
            and chart_x_axis_tick_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_x_axis_tick_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_weight"] = filtered_dict[
                    chart_x_axis_tick_label_weight
                ]
        self.state["state"]["x"][
            "tick_label_max_lines"
        ] = chart_x_axis_tick_label_max_lines
        self.state["state"]["x"][
            "tick_label_line_height"
        ] = chart_x_axis_tick_label_line_height

        list_chart_x_axis_tick_label_space_mode = ["auto", "max", "fixed"] + [None]
        if (
            chart_x_axis_tick_label_space_mode
            not in list_chart_x_axis_tick_label_space_mode
        ):
            raise ValueError(
                f"`chart_x_axis_tick_label_space_mode` must be one of: ['auto', 'max', 'fixed']"
            )
        elif (
            chart_x_axis_tick_label_space_mode
            in list_chart_x_axis_tick_label_space_mode
            and chart_x_axis_tick_label_space_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "max": "max", "fixed": "fixed"}.items()
                if chart_x_axis_tick_label_space_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_space_mode"] = filtered_dict[
                    chart_x_axis_tick_label_space_mode
                ]
        self.state["state"]["x"]["tick_label_space"] = chart_x_axis_tick_label_space

        list_chart_x_axis_tick_mode = ["auto", "number", "custom"] + [None]
        if chart_x_axis_tick_mode not in list_chart_x_axis_tick_mode:
            raise ValueError(
                f"`chart_x_axis_tick_mode` must be one of: ['auto', 'number', 'custom']"
            )
        elif (
            chart_x_axis_tick_mode in list_chart_x_axis_tick_mode
            and chart_x_axis_tick_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "number": "number",
                    "custom": "custom",
                }.items()
                if chart_x_axis_tick_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_mode"] = filtered_dict[
                    chart_x_axis_tick_mode
                ]
        self.state["state"]["x"]["tick_number"] = chart_x_axis_tick_number

        if (
            chart_x_axis_tick_custom is not None
            and len(chart_x_axis_tick_custom) > 1
            and isinstance(chart_x_axis_tick_custom, list)
        ):
            self.state["state"]["x"]["tick_custom"] = " \n ".join(
                chart_x_axis_tick_custom
            )
        else:
            self.state["state"]["x"]["tick_custom"] = chart_x_axis_tick_custom

        self.state["state"]["x"][
            "line_and_tick_color"
        ] = chart_x_axis_line_and_tick_color
        self.state["state"]["x"][
            "line_and_tick_width"
        ] = chart_x_axis_line_and_tick_width
        self.state["state"]["x"]["tick_length"] = chart_x_axis_tick_length

        list_chart_x_axis_tick_side = ["out", "in"] + [None]
        if chart_x_axis_tick_side not in list_chart_x_axis_tick_side:
            raise ValueError(f"`chart_x_axis_tick_side` must be one of: ['out', 'in']")
        elif (
            chart_x_axis_tick_side in list_chart_x_axis_tick_side
            and chart_x_axis_tick_side is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"out": "out", "in": "in"}.items()
                if chart_x_axis_tick_side in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_side"] = filtered_dict[
                    chart_x_axis_tick_side
                ]
        self.state["state"]["x"]["line_visible"] = chart_x_axis_line_visible
        self.state["state"]["x"]["edge_padding"] = chart_x_axis_edge_padding

        list_chart_x_axis_gridlines_visible = [True, False] + [None]
        if chart_x_axis_gridlines_visible not in list_chart_x_axis_gridlines_visible:
            raise ValueError(
                f"`chart_x_axis_gridlines_visible` must be one of: [True, False]"
            )
        elif (
            chart_x_axis_gridlines_visible in list_chart_x_axis_gridlines_visible
            and chart_x_axis_gridlines_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_x_axis_gridlines_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["gridlines_visible"] = filtered_dict[
                    chart_x_axis_gridlines_visible
                ]
        self.state["state"]["x"]["gridlines_styling"] = chart_x_axis_gridlines_styling
        self.state["state"]["x"]["gridline_color"] = chart_x_axis_gridline_color

        list_chart_x_axis_gridline_style = ["solid", "dash", "dot", "dot_dash"] + [None]
        if chart_x_axis_gridline_style not in list_chart_x_axis_gridline_style:
            raise ValueError(
                f"`chart_x_axis_gridline_style` must be one of: ['solid', 'dash', 'dot', 'dot_dash']"
            )
        elif (
            chart_x_axis_gridline_style in list_chart_x_axis_gridline_style
            and chart_x_axis_gridline_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dash": "dash",
                    "dot": "dot",
                    "dot_dash": "dot_dash",
                }.items()
                if chart_x_axis_gridline_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["gridline_style"] = filtered_dict[
                    chart_x_axis_gridline_style
                ]
        self.state["state"]["x"]["gridline_width"] = chart_x_axis_gridline_width
        self.state["state"]["x"][
            "gridline_category_dividers"
        ] = chart_x_axis_gridline_category_dividers
        self.state["state"]["x"][
            "gridline_category_dividers_extend"
        ] = chart_x_axis_gridline_category_dividers_extend
        self.state["state"]["x_formatting"][
            "prefix"
        ] = chart_x_axis_number_date_format_prefix
        self.state["state"]["x_formatting"][
            "suffix"
        ] = chart_x_axis_number_date_format_suffix
        self.state["state"]["x_formatting"][
            "n_dec"
        ] = chart_x_axis_number_date_format_n_dec
        self.state["state"]["x_formatting"][
            "advanced"
        ] = chart_x_axis_number_date_format_advanced

        list_chart_x_axis_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_x_axis_number_date_format_negative_sign
            not in list_chart_x_axis_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_x_axis_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_x_axis_number_date_format_negative_sign
            in list_chart_x_axis_number_date_format_negative_sign
            and chart_x_axis_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_x_axis_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x_formatting"]["negative_sign"] = filtered_dict[
                    chart_x_axis_number_date_format_negative_sign
                ]
        self.state["state"]["x_formatting"][
            "strip_zeros"
        ] = chart_x_axis_number_date_format_strip_zeros
        self.state["state"]["x_formatting"][
            "strip_separator"
        ] = chart_x_axis_number_date_format_strip_separator
        self.state["state"]["x_formatting"][
            "transform_labels"
        ] = chart_x_axis_number_date_format_transform_labels

        list_chart_x_axis_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_x_axis_number_date_format_transform
            not in list_chart_x_axis_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_x_axis_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_x_axis_number_date_format_transform
            in list_chart_x_axis_number_date_format_transform
            and chart_x_axis_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_x_axis_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x_formatting"]["transform"] = filtered_dict[
                    chart_x_axis_number_date_format_transform
                ]
        self.state["state"]["x_formatting"][
            "multiply_divide_constant"
        ] = chart_x_axis_number_date_format_multiply_divide_constant
        self.state["state"]["x_formatting"][
            "exponentiate_constant"
        ] = chart_x_axis_number_date_format_exponentiate_constant
        self.state["state"]["y_as_percentage"] = y_as_percentage
        self.state["state"]["matching_y_axis"] = matching_y_axis

        list_chart_y_axis_axis_visible = [True, False] + [None]
        if chart_y_axis_axis_visible not in list_chart_y_axis_axis_visible:
            raise ValueError(
                f"`chart_y_axis_axis_visible` must be one of: [True, False]"
            )
        elif (
            chart_y_axis_axis_visible in list_chart_y_axis_axis_visible
            and chart_y_axis_axis_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_axis_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["axis_visible"] = filtered_dict[
                    chart_y_axis_axis_visible
                ]

        list_chart_y_axis_numeric_scale_type = ["linear", "log"] + [None]
        if chart_y_axis_numeric_scale_type not in list_chart_y_axis_numeric_scale_type:
            raise ValueError(
                f"`chart_y_axis_numeric_scale_type` must be one of: ['linear', 'log']"
            )
        elif (
            chart_y_axis_numeric_scale_type in list_chart_y_axis_numeric_scale_type
            and chart_y_axis_numeric_scale_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "log": "log"}.items()
                if chart_y_axis_numeric_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["numeric_scale_type"] = filtered_dict[
                    chart_y_axis_numeric_scale_type
                ]
        self.state["state"]["y"]["linear_min"] = chart_y_axis_linear_min
        self.state["state"]["y"]["linear_max"] = chart_y_axis_linear_max
        self.state["state"]["y"]["log_min"] = chart_y_axis_log_min
        self.state["state"]["y"]["log_max"] = chart_y_axis_log_max
        self.state["state"]["y"]["datetime_min"] = chart_y_axis_datetime_min
        self.state["state"]["y"]["datetime_max"] = chart_y_axis_datetime_max
        self.state["state"]["y"]["flip"] = chart_y_axis_flip
        self.state["state"]["y"][
            "show_scale_settings"
        ] = chart_y_axis_show_scale_settings

        list_chart_y_axis_nice = [True, False] + [None]
        if chart_y_axis_nice not in list_chart_y_axis_nice:
            raise ValueError(f"`chart_y_axis_nice` must be one of: [True, False]")
        elif (
            chart_y_axis_nice in list_chart_y_axis_nice
            and chart_y_axis_nice is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_nice in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["nice"] = filtered_dict[chart_y_axis_nice]

        list_chart_y_axis_zero_axis = ["auto", "on", "off"] + [None]
        if chart_y_axis_zero_axis not in list_chart_y_axis_zero_axis:
            raise ValueError(
                f"`chart_y_axis_zero_axis` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_y_axis_zero_axis in list_chart_y_axis_zero_axis
            and chart_y_axis_zero_axis is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_y_axis_zero_axis in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["zero_axis"] = filtered_dict[
                    chart_y_axis_zero_axis
                ]

        list_chart_y_axis_title_mode = ["auto", "custom"] + [None]
        if chart_y_axis_title_mode not in list_chart_y_axis_title_mode:
            raise ValueError(
                f"`chart_y_axis_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_y_axis_title_mode in list_chart_y_axis_title_mode
            and chart_y_axis_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_y_axis_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_mode"] = filtered_dict[
                    chart_y_axis_title_mode
                ]
        self.state["state"]["y"]["title"] = chart_y_axis_title
        self.state["state"]["y"]["title_styling"] = chart_y_axis_title_styling

        list_chart_y_axis_title_position = ["side", "end"] + [None]
        if chart_y_axis_title_position not in list_chart_y_axis_title_position:
            raise ValueError(
                f"`chart_y_axis_title_position` must be one of: ['side', 'end']"
            )
        elif (
            chart_y_axis_title_position in list_chart_y_axis_title_position
            and chart_y_axis_title_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"side": "side", "end": "end"}.items()
                if chart_y_axis_title_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_position"] = filtered_dict[
                    chart_y_axis_title_position
                ]

        list_chart_y_axis_title_weight = ["bold", "normal"] + [None]
        if chart_y_axis_title_weight not in list_chart_y_axis_title_weight:
            raise ValueError(
                f"`chart_y_axis_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_y_axis_title_weight in list_chart_y_axis_title_weight
            and chart_y_axis_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_y_axis_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_weight"] = filtered_dict[
                    chart_y_axis_title_weight
                ]
        self.state["state"]["y"]["title_color"] = chart_y_axis_title_color
        self.state["state"]["y"]["title_size"] = chart_y_axis_title_size
        self.state["state"]["y"]["title_padding"] = chart_y_axis_title_padding

        list_chart_y_axis_tick_label_position = ["default", "above", "below"] + [None]
        if (
            chart_y_axis_tick_label_position
            not in list_chart_y_axis_tick_label_position
        ):
            raise ValueError(
                f"`chart_y_axis_tick_label_position` must be one of: ['default', 'above', 'below']"
            )
        elif (
            chart_y_axis_tick_label_position in list_chart_y_axis_tick_label_position
            and chart_y_axis_tick_label_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "default": "default",
                    "above": "above",
                    "below": "below",
                }.items()
                if chart_y_axis_tick_label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_position"] = filtered_dict[
                    chart_y_axis_tick_label_position
                ]
        self.state["state"]["y"]["tick_label_styling"] = chart_y_axis_tick_label_styling
        self.state["state"]["y"]["tick_label_size"] = chart_y_axis_tick_label_size
        self.state["state"]["y"]["tick_label_color"] = chart_y_axis_tick_label_color
        self.state["state"]["y"]["tick_padding"] = chart_y_axis_tick_padding

        list_chart_y_axis_tick_label_angle = ["0", "30", "45", "60", "90"] + [None]
        if chart_y_axis_tick_label_angle not in list_chart_y_axis_tick_label_angle:
            raise ValueError(
                f"`chart_y_axis_tick_label_angle` must be one of: ['0', '30', '45', '60', '90']"
            )
        elif (
            chart_y_axis_tick_label_angle in list_chart_y_axis_tick_label_angle
            and chart_y_axis_tick_label_angle is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "30": "30",
                    "45": "45",
                    "60": "60",
                    "90": "90",
                }.items()
                if chart_y_axis_tick_label_angle in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_angle"] = filtered_dict[
                    chart_y_axis_tick_label_angle
                ]

        list_chart_y_axis_tick_label_weight = ["bold", "normal"] + [None]
        if chart_y_axis_tick_label_weight not in list_chart_y_axis_tick_label_weight:
            raise ValueError(
                f"`chart_y_axis_tick_label_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_y_axis_tick_label_weight in list_chart_y_axis_tick_label_weight
            and chart_y_axis_tick_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_y_axis_tick_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_weight"] = filtered_dict[
                    chart_y_axis_tick_label_weight
                ]
        self.state["state"]["y"][
            "tick_label_max_lines"
        ] = chart_y_axis_tick_label_max_lines
        self.state["state"]["y"][
            "tick_label_line_height"
        ] = chart_y_axis_tick_label_line_height

        list_chart_y_axis_tick_label_space_mode = ["auto", "max", "fixed"] + [None]
        if (
            chart_y_axis_tick_label_space_mode
            not in list_chart_y_axis_tick_label_space_mode
        ):
            raise ValueError(
                f"`chart_y_axis_tick_label_space_mode` must be one of: ['auto', 'max', 'fixed']"
            )
        elif (
            chart_y_axis_tick_label_space_mode
            in list_chart_y_axis_tick_label_space_mode
            and chart_y_axis_tick_label_space_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "max": "max", "fixed": "fixed"}.items()
                if chart_y_axis_tick_label_space_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_space_mode"] = filtered_dict[
                    chart_y_axis_tick_label_space_mode
                ]
        self.state["state"]["y"]["tick_label_space"] = chart_y_axis_tick_label_space

        list_chart_y_axis_tick_mode = ["auto", "number", "custom"] + [None]
        if chart_y_axis_tick_mode not in list_chart_y_axis_tick_mode:
            raise ValueError(
                f"`chart_y_axis_tick_mode` must be one of: ['auto', 'number', 'custom']"
            )
        elif (
            chart_y_axis_tick_mode in list_chart_y_axis_tick_mode
            and chart_y_axis_tick_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "number": "number",
                    "custom": "custom",
                }.items()
                if chart_y_axis_tick_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_mode"] = filtered_dict[
                    chart_y_axis_tick_mode
                ]
        self.state["state"]["y"]["tick_number"] = chart_y_axis_tick_number

        if (
            chart_y_axis_tick_custom is not None
            and len(chart_y_axis_tick_custom) > 1
            and isinstance(chart_y_axis_tick_custom, list)
        ):
            self.state["state"]["y"]["tick_custom"] = " \n ".join(
                chart_y_axis_tick_custom
            )
        else:
            self.state["state"]["y"]["tick_custom"] = chart_y_axis_tick_custom

        self.state["state"]["y"][
            "line_and_tick_color"
        ] = chart_y_axis_line_and_tick_color
        self.state["state"]["y"][
            "line_and_tick_width"
        ] = chart_y_axis_line_and_tick_width
        self.state["state"]["y"]["tick_length"] = chart_y_axis_tick_length

        list_chart_y_axis_tick_side = ["out", "in"] + [None]
        if chart_y_axis_tick_side not in list_chart_y_axis_tick_side:
            raise ValueError(f"`chart_y_axis_tick_side` must be one of: ['out', 'in']")
        elif (
            chart_y_axis_tick_side in list_chart_y_axis_tick_side
            and chart_y_axis_tick_side is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"out": "out", "in": "in"}.items()
                if chart_y_axis_tick_side in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_side"] = filtered_dict[
                    chart_y_axis_tick_side
                ]
        self.state["state"]["y"]["line_visible"] = chart_y_axis_line_visible
        self.state["state"]["y"]["edge_padding"] = chart_y_axis_edge_padding

        list_chart_y_axis_gridlines_visible = [True, False] + [None]
        if chart_y_axis_gridlines_visible not in list_chart_y_axis_gridlines_visible:
            raise ValueError(
                f"`chart_y_axis_gridlines_visible` must be one of: [True, False]"
            )
        elif (
            chart_y_axis_gridlines_visible in list_chart_y_axis_gridlines_visible
            and chart_y_axis_gridlines_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_gridlines_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["gridlines_visible"] = filtered_dict[
                    chart_y_axis_gridlines_visible
                ]
        self.state["state"]["y"]["gridlines_styling"] = chart_y_axis_gridlines_styling
        self.state["state"]["y"]["gridline_color"] = chart_y_axis_gridline_color

        list_chart_y_axis_gridline_style = ["solid", "dash", "dot", "dot_dash"] + [None]
        if chart_y_axis_gridline_style not in list_chart_y_axis_gridline_style:
            raise ValueError(
                f"`chart_y_axis_gridline_style` must be one of: ['solid', 'dash', 'dot', 'dot_dash']"
            )
        elif (
            chart_y_axis_gridline_style in list_chart_y_axis_gridline_style
            and chart_y_axis_gridline_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dash": "dash",
                    "dot": "dot",
                    "dot_dash": "dot_dash",
                }.items()
                if chart_y_axis_gridline_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["gridline_style"] = filtered_dict[
                    chart_y_axis_gridline_style
                ]
        self.state["state"]["y"]["gridline_width"] = chart_y_axis_gridline_width
        self.state["state"]["y"][
            "gridline_category_dividers"
        ] = chart_y_axis_gridline_category_dividers
        self.state["state"]["y"][
            "gridline_category_dividers_extend"
        ] = chart_y_axis_gridline_category_dividers_extend
        self.state["state"]["y_formatting"][
            "prefix"
        ] = chart_y_axis_number_date_format_prefix
        self.state["state"]["y_formatting"][
            "suffix"
        ] = chart_y_axis_number_date_format_suffix
        self.state["state"]["y_formatting"][
            "n_dec"
        ] = chart_y_axis_number_date_format_n_dec
        self.state["state"]["y_formatting"][
            "advanced"
        ] = chart_y_axis_number_date_format_advanced

        list_chart_y_axis_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_y_axis_number_date_format_negative_sign
            not in list_chart_y_axis_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_y_axis_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_y_axis_number_date_format_negative_sign
            in list_chart_y_axis_number_date_format_negative_sign
            and chart_y_axis_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_y_axis_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y_formatting"]["negative_sign"] = filtered_dict[
                    chart_y_axis_number_date_format_negative_sign
                ]
        self.state["state"]["y_formatting"][
            "strip_zeros"
        ] = chart_y_axis_number_date_format_strip_zeros
        self.state["state"]["y_formatting"][
            "strip_separator"
        ] = chart_y_axis_number_date_format_strip_separator
        self.state["state"]["y_formatting"][
            "transform_labels"
        ] = chart_y_axis_number_date_format_transform_labels

        list_chart_y_axis_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_y_axis_number_date_format_transform
            not in list_chart_y_axis_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_y_axis_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_y_axis_number_date_format_transform
            in list_chart_y_axis_number_date_format_transform
            and chart_y_axis_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_y_axis_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y_formatting"]["transform"] = filtered_dict[
                    chart_y_axis_number_date_format_transform
                ]
        self.state["state"]["y_formatting"][
            "multiply_divide_constant"
        ] = chart_y_axis_number_date_format_multiply_divide_constant
        self.state["state"]["y_formatting"][
            "exponentiate_constant"
        ] = chart_y_axis_number_date_format_exponentiate_constant

        list_chart_filter_controls_control_type = ["dropdown", "buttons", "slider"] + [
            None
        ]
        if (
            chart_filter_controls_control_type
            not in list_chart_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_filter_controls_control_type
            in list_chart_filter_controls_control_type
            and chart_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["control_type"] = filtered_dict[
                    chart_filter_controls_control_type
                ]
        self.state["state"]["filter_control"][
            "control_styles"
        ] = chart_filter_controls_control_styles
        self.state["state"]["filter_control"][
            "control_title"
        ] = chart_filter_controls_control_title

        list_chart_filter_controls_button_group = [True, False] + [None]
        if (
            chart_filter_controls_button_group
            not in list_chart_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_button_group
            in list_chart_filter_controls_button_group
            and chart_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["button_group"] = filtered_dict[
                    chart_filter_controls_button_group
                ]

        list_chart_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_filter_controls_button_group_width_mode
            not in list_chart_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_button_group_width_mode
            in list_chart_filter_controls_button_group_width_mode
            and chart_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_filter_controls_button_group_width_mode]
        self.state["state"]["filter_control"][
            "button_group_width_fixed"
        ] = chart_filter_controls_button_group_width_fixed

        list_chart_filter_controls_dropdown_width_mode = ["auto", "full", "fixed"] + [
            None
        ]
        if (
            chart_filter_controls_dropdown_width_mode
            not in list_chart_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_dropdown_width_mode
            in list_chart_filter_controls_dropdown_width_mode
            and chart_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"][
                    "dropdown_width_mode"
                ] = filtered_dict[chart_filter_controls_dropdown_width_mode]
        self.state["state"]["filter_control"][
            "dropdown_width_fixed"
        ] = chart_filter_controls_dropdown_width_fixed
        self.state["state"]["filter_control"][
            "slider_width"
        ] = chart_filter_controls_slider_width
        self.state["state"]["filter_control"][
            "slider_max_label_width"
        ] = chart_filter_controls_slider_max_label_width
        self.state["state"]["filter_control"][
            "slider_step_time"
        ] = chart_filter_controls_slider_step_time
        self.state["state"]["filter_control"][
            "slider_loop"
        ] = chart_filter_controls_slider_loop
        self.state["state"]["filter_control"][
            "slider_restart_pause"
        ] = chart_filter_controls_slider_restart_pause

        list_chart_filter_controls_sort = [True, False] + [None]
        if chart_filter_controls_sort not in list_chart_filter_controls_sort:
            raise ValueError(
                f"`chart_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_sort in list_chart_filter_controls_sort
            and chart_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["sort"] = filtered_dict[
                    chart_filter_controls_sort
                ]
        self.state["state"]["filter_show_all"] = filter_show_all
        self.state["state"]["filter_show_all_text"] = filter_show_all_text

        list_chart_filter_controls_container_alignment = ["start", "center", "end"] + [
            None
        ]
        if (
            chart_filter_controls_container_alignment
            not in list_chart_filter_controls_container_alignment
        ):
            raise ValueError(
                f"`chart_filter_controls_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_filter_controls_container_alignment
            in list_chart_filter_controls_container_alignment
            and chart_filter_controls_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_filter_controls_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_container"]["alignment"] = filtered_dict[
                    chart_filter_controls_container_alignment
                ]
        self.state["state"]["controls_container"][
            "controls_spacing"
        ] = chart_filter_controls_container_controls_spacing
        self.state["state"]["controls_style"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_style"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["controls_style"]["height"] = chart_controls_style_height
        self.state["state"]["dropdown_style"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["dropdown_style"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["dropdown_style"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown_style"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["dropdown_style"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["dropdown_style"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["dropdown_style"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["dropdown_style"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius
        self.state["state"]["button_style"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["button_style"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["button_style"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["button_style"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["button_style"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["button_style"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["button_style"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["button_style"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["button_style"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["button_style"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["button_style"][
            "border_radius"
        ] = chart_button_control_style_border_radius

        list_chart_categorical_legend_show_legend = [True, False] + [None]
        if (
            chart_categorical_legend_show_legend
            not in list_chart_categorical_legend_show_legend
        ):
            raise ValueError(
                f"`chart_categorical_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_categorical_legend_show_legend
            in list_chart_categorical_legend_show_legend
            and chart_categorical_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_categorical_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "show_legend"
                ] = filtered_dict[chart_categorical_legend_show_legend]

        list_chart_categorical_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_categorical_legend_title_mode
            not in list_chart_categorical_legend_title_mode
        ):
            raise ValueError(
                f"`chart_categorical_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_categorical_legend_title_mode
            in list_chart_categorical_legend_title_mode
            and chart_categorical_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_categorical_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"]["title_mode"] = filtered_dict[
                    chart_categorical_legend_title_mode
                ]
        self.state["state"]["legend_categorical"][
            "title"
        ] = chart_categorical_legend_title
        self.state["state"]["legend_categorical"][
            "swatch_width"
        ] = chart_categorical_legend_swatch_width
        self.state["state"]["legend_categorical"][
            "swatch_height"
        ] = chart_categorical_legend_swatch_height
        self.state["state"]["legend_categorical"][
            "swatch_radius"
        ] = chart_categorical_legend_swatch_radius
        self.state["state"]["legend_categorical"][
            "legend_items_padding"
        ] = chart_categorical_legend_legend_items_padding
        self.state["state"]["legend_categorical"][
            "swatch_outline"
        ] = chart_categorical_legend_swatch_outline
        self.state["state"]["legend_categorical"][
            "swatch_outline_color"
        ] = chart_categorical_legend_swatch_outline_color

        if (
            chart_categorical_legend_order_override is not None
            and len(chart_categorical_legend_order_override) > 1
            and isinstance(chart_categorical_legend_order_override, list)
        ):
            self.state["state"]["legend_categorical"]["order_override"] = " \n ".join(
                chart_categorical_legend_order_override
            )
        else:
            self.state["state"]["legend_categorical"][
                "order_override"
            ] = chart_categorical_legend_order_override

        self.state["state"]["legend_categorical"][
            "icon_height"
        ] = chart_categorical_legend_icon_height
        self.state["state"]["legend_categorical"][
            "icon_color"
        ] = chart_categorical_legend_icon_color
        self.state["state"]["legend_categorical"][
            "max_width"
        ] = chart_categorical_legend_max_width

        list_chart_categorical_legend_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_categorical_legend_orientation
            not in list_chart_categorical_legend_orientation
        ):
            raise ValueError(
                f"`chart_categorical_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_categorical_legend_orientation
            in list_chart_categorical_legend_orientation
            and chart_categorical_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_categorical_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "orientation"
                ] = filtered_dict[chart_categorical_legend_orientation]

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size

        list_chart_popup_mode = ["none", "popup", "panel", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'panel', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "panel": "panel",
                    "both": "both",
                }.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popup"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popup"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popup"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        if (
            chart_popup_popup_custom_accessible is not None
            and len(chart_popup_popup_custom_accessible) > 1
            and isinstance(chart_popup_popup_custom_accessible, list)
        ):
            self.state["state"]["popup"]["popup_custom_accessible"] = " \n ".join(
                chart_popup_popup_custom_accessible
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_accessible"
            ] = chart_popup_popup_custom_accessible

        self.state["state"]["popup"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popup"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popup"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popup"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popup"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popup"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popup"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popup"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popup"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_label_weight"] = filtered_dict[
                    chart_popup_popup_list_label_weight
                ]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popup"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popup"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popup"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popup"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popup"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popup"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popup"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popup"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popup"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popup"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popup"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popup"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popup"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popup"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popup"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_vertical_position"] = filtered_dict[
                    chart_popup_panel_vertical_position
                ]
        self.state["state"]["popup"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popup"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popup"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popup"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popup"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popup"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_label_weight"] = filtered_dict[
                    chart_popup_panel_list_label_weight
                ]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popup"]["panel_shadow"] = chart_popup_panel_shadow
        self.state["state"]["axes_highlights"][
            "x_enabled"
        ] = chart_axes_highlights_x_enabled

        if (
            chart_axes_highlights_x_lines is not None
            and len(chart_axes_highlights_x_lines) > 1
            and isinstance(chart_axes_highlights_x_lines, list)
        ):
            self.state["state"]["axes_highlights"]["x_lines"] = " \n ".join(
                chart_axes_highlights_x_lines
            )
        else:
            self.state["state"]["axes_highlights"][
                "x_lines"
            ] = chart_axes_highlights_x_lines

        self.state["state"]["axes_highlights"][
            "x_line_color"
        ] = chart_axes_highlights_x_line_color
        self.state["state"]["axes_highlights"][
            "x_line_width"
        ] = chart_axes_highlights_x_line_width
        self.state["state"]["axes_highlights"][
            "x_line_dash"
        ] = chart_axes_highlights_x_line_dash

        if (
            chart_axes_highlights_x_areas is not None
            and len(chart_axes_highlights_x_areas) > 1
            and isinstance(chart_axes_highlights_x_areas, list)
        ):
            self.state["state"]["axes_highlights"]["x_areas"] = " \n ".join(
                chart_axes_highlights_x_areas
            )
        else:
            self.state["state"]["axes_highlights"][
                "x_areas"
            ] = chart_axes_highlights_x_areas

        self.state["state"]["axes_highlights"][
            "x_area_color"
        ] = chart_axes_highlights_x_area_color
        self.state["state"]["axes_highlights"][
            "x_area_opacity"
        ] = chart_axes_highlights_x_area_opacity

        list_chart_axes_highlights_x_area_texture = [
            "none",
            "pattern-diagonal",
            "pattern-grid",
            "pattern-dots",
        ] + [None]
        if (
            chart_axes_highlights_x_area_texture
            not in list_chart_axes_highlights_x_area_texture
        ):
            raise ValueError(
                f"`chart_axes_highlights_x_area_texture` must be one of: ['none', 'pattern-diagonal', 'pattern-grid', 'pattern-dots']"
            )
        elif (
            chart_axes_highlights_x_area_texture
            in list_chart_axes_highlights_x_area_texture
            and chart_axes_highlights_x_area_texture is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "pattern-diagonal": "fl-pattern-diagonal",
                    "pattern-grid": "fl-pattern-grid",
                    "pattern-dots": "fl-pattern-dots",
                }.items()
                if chart_axes_highlights_x_area_texture in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "x_area_texture"
                ] = filtered_dict[chart_axes_highlights_x_area_texture]
        self.state["state"]["axes_highlights"][
            "x_label_vertical"
        ] = chart_axes_highlights_x_label_vertical

        list_chart_axes_highlights_x_label_y_position = ["bottom", "middle", "top"] + [
            None
        ]
        if (
            chart_axes_highlights_x_label_y_position
            not in list_chart_axes_highlights_x_label_y_position
        ):
            raise ValueError(
                f"`chart_axes_highlights_x_label_y_position` must be one of: ['bottom', 'middle', 'top']"
            )
        elif (
            chart_axes_highlights_x_label_y_position
            in list_chart_axes_highlights_x_label_y_position
            and chart_axes_highlights_x_label_y_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "bottom": "bottom",
                    "middle": "middle",
                    "top": "top",
                }.items()
                if chart_axes_highlights_x_label_y_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "x_label_y_position"
                ] = filtered_dict[chart_axes_highlights_x_label_y_position]

        list_chart_axes_highlights_x_label_x_position = ["left", "middle", "right"] + [
            None
        ]
        if (
            chart_axes_highlights_x_label_x_position
            not in list_chart_axes_highlights_x_label_x_position
        ):
            raise ValueError(
                f"`chart_axes_highlights_x_label_x_position` must be one of: ['left', 'middle', 'right']"
            )
        elif (
            chart_axes_highlights_x_label_x_position
            in list_chart_axes_highlights_x_label_x_position
            and chart_axes_highlights_x_label_x_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "middle": "middle",
                    "right": "right",
                }.items()
                if chart_axes_highlights_x_label_x_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "x_label_x_position"
                ] = filtered_dict[chart_axes_highlights_x_label_x_position]
        self.state["state"]["axes_highlights"][
            "x_label_max_width"
        ] = chart_axes_highlights_x_label_max_width
        self.state["state"]["axes_highlights"][
            "x_font_size"
        ] = chart_axes_highlights_x_font_size

        list_chart_axes_highlights_x_font_weight = ["regular", "bold"] + [None]
        if (
            chart_axes_highlights_x_font_weight
            not in list_chart_axes_highlights_x_font_weight
        ):
            raise ValueError(
                f"`chart_axes_highlights_x_font_weight` must be one of: ['regular', 'bold']"
            )
        elif (
            chart_axes_highlights_x_font_weight
            in list_chart_axes_highlights_x_font_weight
            and chart_axes_highlights_x_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"regular": "regular", "bold": "bold"}.items()
                if chart_axes_highlights_x_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"]["x_font_weight"] = filtered_dict[
                    chart_axes_highlights_x_font_weight
                ]
        self.state["state"]["axes_highlights"][
            "x_label_color"
        ] = chart_axes_highlights_x_label_color
        self.state["state"]["axes_highlights"][
            "x_shadow_color"
        ] = chart_axes_highlights_x_shadow_color
        self.state["state"]["axes_highlights"][
            "x_shadow_enabled"
        ] = chart_axes_highlights_x_shadow_enabled
        self.state["state"]["axes_highlights"][
            "y_enabled"
        ] = chart_axes_highlights_y_enabled

        if (
            chart_axes_highlights_y_lines is not None
            and len(chart_axes_highlights_y_lines) > 1
            and isinstance(chart_axes_highlights_y_lines, list)
        ):
            self.state["state"]["axes_highlights"]["y_lines"] = " \n ".join(
                chart_axes_highlights_y_lines
            )
        else:
            self.state["state"]["axes_highlights"][
                "y_lines"
            ] = chart_axes_highlights_y_lines

        self.state["state"]["axes_highlights"][
            "y_line_color"
        ] = chart_axes_highlights_y_line_color
        self.state["state"]["axes_highlights"][
            "y_line_width"
        ] = chart_axes_highlights_y_line_width
        self.state["state"]["axes_highlights"][
            "y_line_dash"
        ] = chart_axes_highlights_y_line_dash

        if (
            chart_axes_highlights_y_areas is not None
            and len(chart_axes_highlights_y_areas) > 1
            and isinstance(chart_axes_highlights_y_areas, list)
        ):
            self.state["state"]["axes_highlights"]["y_areas"] = " \n ".join(
                chart_axes_highlights_y_areas
            )
        else:
            self.state["state"]["axes_highlights"][
                "y_areas"
            ] = chart_axes_highlights_y_areas

        self.state["state"]["axes_highlights"][
            "y_area_color"
        ] = chart_axes_highlights_y_area_color
        self.state["state"]["axes_highlights"][
            "y_area_opacity"
        ] = chart_axes_highlights_y_area_opacity

        list_chart_axes_highlights_y_area_texture = [
            "none",
            "pattern-diagonal",
            "pattern-grid",
            "pattern-dots",
        ] + [None]
        if (
            chart_axes_highlights_y_area_texture
            not in list_chart_axes_highlights_y_area_texture
        ):
            raise ValueError(
                f"`chart_axes_highlights_y_area_texture` must be one of: ['none', 'pattern-diagonal', 'pattern-grid', 'pattern-dots']"
            )
        elif (
            chart_axes_highlights_y_area_texture
            in list_chart_axes_highlights_y_area_texture
            and chart_axes_highlights_y_area_texture is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "pattern-diagonal": "fl-pattern-diagonal",
                    "pattern-grid": "fl-pattern-grid",
                    "pattern-dots": "fl-pattern-dots",
                }.items()
                if chart_axes_highlights_y_area_texture in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "y_area_texture"
                ] = filtered_dict[chart_axes_highlights_y_area_texture]

        list_chart_axes_highlights_y_label_x_position = ["left", "middle", "right"] + [
            None
        ]
        if (
            chart_axes_highlights_y_label_x_position
            not in list_chart_axes_highlights_y_label_x_position
        ):
            raise ValueError(
                f"`chart_axes_highlights_y_label_x_position` must be one of: ['left', 'middle', 'right']"
            )
        elif (
            chart_axes_highlights_y_label_x_position
            in list_chart_axes_highlights_y_label_x_position
            and chart_axes_highlights_y_label_x_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "middle": "middle",
                    "right": "right",
                }.items()
                if chart_axes_highlights_y_label_x_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "y_label_x_position"
                ] = filtered_dict[chart_axes_highlights_y_label_x_position]

        list_chart_axes_highlights_y_label_y_position = ["above", "middle", "below"] + [
            None
        ]
        if (
            chart_axes_highlights_y_label_y_position
            not in list_chart_axes_highlights_y_label_y_position
        ):
            raise ValueError(
                f"`chart_axes_highlights_y_label_y_position` must be one of: ['above', 'middle', 'below']"
            )
        elif (
            chart_axes_highlights_y_label_y_position
            in list_chart_axes_highlights_y_label_y_position
            and chart_axes_highlights_y_label_y_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "above": "above",
                    "middle": "middle",
                    "below": "below",
                }.items()
                if chart_axes_highlights_y_label_y_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "y_label_y_position"
                ] = filtered_dict[chart_axes_highlights_y_label_y_position]
        self.state["state"]["axes_highlights"][
            "y_label_max_width"
        ] = chart_axes_highlights_y_label_max_width
        self.state["state"]["axes_highlights"][
            "y_font_size"
        ] = chart_axes_highlights_y_font_size

        list_chart_axes_highlights_y_font_weight = ["regular", "bold"] + [None]
        if (
            chart_axes_highlights_y_font_weight
            not in list_chart_axes_highlights_y_font_weight
        ):
            raise ValueError(
                f"`chart_axes_highlights_y_font_weight` must be one of: ['regular', 'bold']"
            )
        elif (
            chart_axes_highlights_y_font_weight
            in list_chart_axes_highlights_y_font_weight
            and chart_axes_highlights_y_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"regular": "regular", "bold": "bold"}.items()
                if chart_axes_highlights_y_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"]["y_font_weight"] = filtered_dict[
                    chart_axes_highlights_y_font_weight
                ]
        self.state["state"]["axes_highlights"][
            "y_label_color"
        ] = chart_axes_highlights_y_label_color
        self.state["state"]["axes_highlights"][
            "y_shadow_color"
        ] = chart_axes_highlights_y_shadow_color
        self.state["state"]["axes_highlights"][
            "y_shadow_enabled"
        ] = chart_axes_highlights_y_shadow_enabled

        list_axes_highlights_stack_order = ["above_data", "below_data"] + [None]
        if axes_highlights_stack_order not in list_axes_highlights_stack_order:
            raise ValueError(
                f"`axes_highlights_stack_order` must be one of: ['above_data', 'below_data']"
            )
        elif (
            axes_highlights_stack_order in list_axes_highlights_stack_order
            and axes_highlights_stack_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "above_data": "above_data",
                    "below_data": "below_data",
                }.items()
                if axes_highlights_stack_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights_stack_order"] = filtered_dict[
                    axes_highlights_stack_order
                ]
        self.state["state"]["annotations_styles"] = annotations_styles

        list_chart_annotations_defaults_text_weight = ["normal", "bold"] + [None]
        if (
            chart_annotations_defaults_text_weight
            not in list_chart_annotations_defaults_text_weight
        ):
            raise ValueError(
                f"`chart_annotations_defaults_text_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_annotations_defaults_text_weight
            in list_chart_annotations_defaults_text_weight
            and chart_annotations_defaults_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_annotations_defaults_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "text_weight"
                ] = filtered_dict[chart_annotations_defaults_text_weight]
        self.state["state"]["annotations"]["defaults"][
            "text_size"
        ] = chart_annotations_defaults_text_size
        self.state["state"]["annotations"]["defaults"][
            "text_color"
        ] = chart_annotations_defaults_text_color
        self.state["state"]["annotations"]["defaults"][
            "label_width"
        ] = chart_annotations_defaults_label_width

        list_chart_annotations_defaults_text_background_mode = [
            "none",
            "outline",
            "background",
        ] + [None]
        if (
            chart_annotations_defaults_text_background_mode
            not in list_chart_annotations_defaults_text_background_mode
        ):
            raise ValueError(
                f"`chart_annotations_defaults_text_background_mode` must be one of: ['none', 'outline', 'background']"
            )
        elif (
            chart_annotations_defaults_text_background_mode
            in list_chart_annotations_defaults_text_background_mode
            and chart_annotations_defaults_text_background_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "outline": "outline",
                    "background": "background",
                }.items()
                if chart_annotations_defaults_text_background_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "text_background_mode"
                ] = filtered_dict[chart_annotations_defaults_text_background_mode]
        self.state["state"]["annotations"]["defaults"][
            "text_bg"
        ] = chart_annotations_defaults_text_bg
        self.state["state"]["annotations"]["defaults"][
            "label_bg"
        ] = chart_annotations_defaults_label_bg

        list_chart_annotations_defaults_text_alignment = [
            "auto",
            "start",
            "center",
            "end",
        ] + [None]
        if (
            chart_annotations_defaults_text_alignment
            not in list_chart_annotations_defaults_text_alignment
        ):
            raise ValueError(
                f"`chart_annotations_defaults_text_alignment` must be one of: ['auto', 'start', 'center', 'end']"
            )
        elif (
            chart_annotations_defaults_text_alignment
            in list_chart_annotations_defaults_text_alignment
            and chart_annotations_defaults_text_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_annotations_defaults_text_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "text_alignment"
                ] = filtered_dict[chart_annotations_defaults_text_alignment]

        list_chart_annotations_defaults_popup_position = [
            "center",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if (
            chart_annotations_defaults_popup_position
            not in list_chart_annotations_defaults_popup_position
        ):
            raise ValueError(
                f"`chart_annotations_defaults_popup_position` must be one of: ['center', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_annotations_defaults_popup_position
            in list_chart_annotations_defaults_popup_position
            and chart_annotations_defaults_popup_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "center": "center",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_annotations_defaults_popup_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "popup_position"
                ] = filtered_dict[chart_annotations_defaults_popup_position]

        list_chart_annotations_defaults_line_marker = [
            "none",
            "arrowhead_open",
            "arrowhead",
        ] + [None]
        if (
            chart_annotations_defaults_line_marker
            not in list_chart_annotations_defaults_line_marker
        ):
            raise ValueError(
                f"`chart_annotations_defaults_line_marker` must be one of: ['none', 'arrowhead_open', 'arrowhead']"
            )
        elif (
            chart_annotations_defaults_line_marker
            in list_chart_annotations_defaults_line_marker
            and chart_annotations_defaults_line_marker is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "arrowhead_open": "arrowhead_open",
                    "arrowhead": "arrowhead",
                }.items()
                if chart_annotations_defaults_line_marker in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "line_marker"
                ] = filtered_dict[chart_annotations_defaults_line_marker]
        self.state["state"]["annotations"]["defaults"][
            "stroke_width"
        ] = chart_annotations_defaults_stroke_width
        self.state["state"]["annotations"]["defaults"][
            "stroke_color"
        ] = chart_annotations_defaults_stroke_color

        list_chart_annotations_defaults_connector_extend_line = [
            "enabled",
            "disabled",
        ] + [None]
        if (
            chart_annotations_defaults_connector_extend_line
            not in list_chart_annotations_defaults_connector_extend_line
        ):
            raise ValueError(
                f"`chart_annotations_defaults_connector_extend_line` must be one of: ['enabled', 'disabled']"
            )
        elif (
            chart_annotations_defaults_connector_extend_line
            in list_chart_annotations_defaults_connector_extend_line
            and chart_annotations_defaults_connector_extend_line is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"enabled": "enabled", "disabled": "disabled"}.items()
                if chart_annotations_defaults_connector_extend_line in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "connector_extend_line"
                ] = filtered_dict[chart_annotations_defaults_connector_extend_line]
        self.state["state"]["animation_duration"] = animation_duration

        list_chart_background_background_color_enabled = [True, False] + [None]
        if (
            chart_background_background_color_enabled
            not in list_chart_background_background_color_enabled
        ):
            raise ValueError(
                f"`chart_background_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_background_background_color_enabled
            in list_chart_background_background_color_enabled
            and chart_background_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_background_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["chart_bg"][
                    "background_color_enabled"
                ] = filtered_dict[chart_background_background_color_enabled]

        list_chart_background_background_image_enabled = [True, False] + [None]
        if (
            chart_background_background_image_enabled
            not in list_chart_background_background_image_enabled
        ):
            raise ValueError(
                f"`chart_background_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_background_background_image_enabled
            in list_chart_background_background_image_enabled
            and chart_background_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_background_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["chart_bg"][
                    "background_image_enabled"
                ] = filtered_dict[chart_background_background_image_enabled]
        self.state["state"]["chart_bg"][
            "background_color"
        ] = chart_background_background_color
        self.state["state"]["chart_bg"][
            "background_image_src"
        ] = chart_background_background_image_src

        list_chart_background_background_image_size = ["stretch", "slice", "meet"] + [
            None
        ]
        if (
            chart_background_background_image_size
            not in list_chart_background_background_image_size
        ):
            raise ValueError(
                f"`chart_background_background_image_size` must be one of: ['stretch', 'slice', 'meet']"
            )
        elif (
            chart_background_background_image_size
            in list_chart_background_background_image_size
            and chart_background_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "stretch": "stretch",
                    "slice": "slice",
                    "meet": "meet",
                }.items()
                if chart_background_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["chart_bg"][
                    "background_image_size"
                ] = filtered_dict[chart_background_background_image_size]

        list_chart_background_background_image_position = [
            "x_min_y_min",
            "x_mid_y_min",
            "x_max_y_min",
            "x_max_y_mid",
            "x_mid_y_mid",
            "x_min_y_max",
            "x_mid_y_max",
            "x_max_y_max",
        ] + [None]
        if (
            chart_background_background_image_position
            not in list_chart_background_background_image_position
        ):
            raise ValueError(
                f"`chart_background_background_image_position` must be one of: ['x_min_y_min', 'x_mid_y_min', 'x_max_y_min', 'x_max_y_mid', 'x_mid_y_mid', 'x_min_y_max', 'x_mid_y_max', 'x_max_y_max']"
            )
        elif (
            chart_background_background_image_position
            in list_chart_background_background_image_position
            and chart_background_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "x_min_y_min": "xMinYMin",
                    "x_mid_y_min": "xMidYMin",
                    "x_max_y_min": "xMaxYMin",
                    "x_max_y_mid": "xMaxYMid",
                    "x_mid_y_mid": "xMidYMid",
                    "x_min_y_max": "xMinYMax",
                    "x_mid_y_max": "xMidYMax",
                    "x_max_y_max": "xMaxYMax",
                }.items()
                if chart_background_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["chart_bg"][
                    "background_image_position"
                ] = filtered_dict[chart_background_background_image_position]
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_network_graph_details(
        self,
        chart_type: str = None,
        radial_sort: str = None,
        radial_sort_primary: str = None,
        radial_sort_secondary: str = None,
        height_mode: str = None,
        facet_aspect: float = None,
        facet_aspect_mobile: float = None,
        facet_aspect_breakpoint: float = None,
        ring_padding: float = None,
        ring_angle: float = None,
        fill_color: str = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        node_scale_pack: bool = None,
        constant_node_radius: float = None,
        min_node_radius: float = None,
        max_node_radius: float = None,
        point_opacity: float = None,
        fade_opacity: float = None,
        image_opacity: float = None,
        node_stroke_width: float = None,
        node_stroke_color: str = None,
        node_highlight_stroke_color: str = None,
        points_advanced: bool = None,
        node_scale_type: str = None,
        max_node_value: float = None,
        auto_scale: bool = None,
        max_fullness: float = None,
        label_size: float = None,
        label_weight: str = None,
        label_color_mode: str = None,
        label_color: str = None,
        label_show: str = None,
        link_color: str = None,
        link_opacity: float = None,
        constant_link_width: float = None,
        min_link_width: float = None,
        max_link_width: float = None,
        max_link_value: float = None,
        links_advanced: bool = None,
        directional: bool = None,
        link_scale_type: str = None,
        link_highlight_color: str = None,
        link_highlight_opacity: float = None,
        chart_popup_show_popups: bool = None,
        chart_popup_is_custom: bool = None,
        chart_popup_custom_template: Union[list, str] = None,
        chart_popup_show_pointer: bool = None,
        chart_popup_show_shadow: bool = None,
        chart_popup_style_popups: bool = None,
        chart_popup_text_color: str = None,
        chart_popup_align: str = None,
        chart_popup_text_size: float = None,
        chart_popup_fill_color: str = None,
        chart_popup_opacity: float = None,
        chart_popup_padding: float = None,
        chart_popup_border_radius: float = None,
        chart_popup_max_width: float = None,
        popup_opacity: float = None,
        chart_categorical_legend_show_legend: bool = None,
        chart_categorical_legend_title_mode: str = None,
        chart_categorical_legend_title: str = None,
        chart_categorical_legend_swatch_width: float = None,
        chart_categorical_legend_swatch_height: float = None,
        chart_categorical_legend_swatch_radius: float = None,
        chart_categorical_legend_legend_items_padding: float = None,
        chart_categorical_legend_swatch_outline: bool = None,
        chart_categorical_legend_swatch_outline_color: str = None,
        chart_categorical_legend_order_override: Union[list, str] = None,
        chart_categorical_legend_icon_height: float = None,
        chart_categorical_legend_icon_color: str = None,
        chart_categorical_legend_max_width: float = None,
        chart_categorical_legend_orientation: str = None,
        legend_position: str = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        legend_interaction: str = None,
        animate_simulation: bool = None,
        simulation_speed: float = None,
        animate_transition: bool = None,
        transition_scale: float = None,
        many_body_strength: float = None,
        collision_strength: float = None,
        chart_number_localization_input_decimal_separator: str = None,
        chart_number_localization_output_separators: str = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: network graph.


        :param chart_type: Choices: regular, radial. Flourish type hint: string, defaults to None.
        :type chart_type: str, optional
        :param radial_sort: Radial sort mode. Choices: auto, none, clockwise, counter_clockwise. Whether sorting will be applied or not and in which direction. Flourish type hint: string, defaults to None.
        :type radial_sort: str, optional
        :param radial_sort_primary: Primary sort. Choices: group, id, size, link_count, link_value. The primary criteria used when ordering points. If there are ties when sorting the data the secondary sorting criteria is applied. Flourish type hint: string, defaults to None.
        :type radial_sort_primary: str, optional
        :param radial_sort_secondary: Secondary sort. Choices: group, id, size, link_count, link_value. The secondary criteria used when ordering points. It is applied in cases where the primary sorting criteria results in a tie. Flourish type hint: string, defaults to None.
        :type radial_sort_secondary: str, optional
        :param height_mode: Height mode. Choices: auto, fill_space, aspect. How the graphics height is determined; ignored when embedded in a fixed-height context such as a simple iframe embed.  Auto sets the height based on the chart type, data and width.  Standard uses the default Flourish responsive sizing.  Aspect ratio sets the aspect of each plot. Please note that animations between slides in a story will only work in Aspect ratio mode. Flourish type hint: string, defaults to None.
        :type height_mode: str, optional
        :param facet_aspect: Aspect (desktop). Aspect ratio of each plot in desktop mode, where 1 is square, above 1 is wider, and below 1 is taller. Flourish type hint: number, defaults to None.
        :type facet_aspect: float, optional
        :param facet_aspect_mobile: Aspect (mobile). Aspect of each plot in mobile mode, where 1 is square, above 1 is wider, and below 1 is taller. Flourish type hint: number, defaults to None.
        :type facet_aspect_mobile: float, optional
        :param facet_aspect_breakpoint: Breakpoint. The width at which mobile mode ends and desktop begins. Flourish type hint: number, defaults to None.
        :type facet_aspect_breakpoint: float, optional
        :param ring_padding: Ring padding (%). Adds extra spacing around the outside of the radial layout. Flourish type hint: number, defaults to None.
        :type ring_padding: float, optional
        :param ring_angle: Ring rotation. The number of degrees to rotate the radial layout. Flourish type hint: number, defaults to None.
        :type ring_angle: float, optional
        :param fill_color: Fill color. Flourish type hint: color, defaults to None.
        :type fill_color: str, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param node_scale_pack: Pack points to fit radial layout. Scale points relatively to fit tightly around the perimiter of the radial layout, without leaving space between points. If enabled this option overrides other point sizing options in this section. Flourish type hint: boolean, defaults to None.
        :type node_scale_pack: bool, optional
        :param constant_node_radius: Radius. The radius of your points (in px). Flourish type hint: number, defaults to None.
        :type constant_node_radius: float, optional
        :param min_node_radius: Minimum radius. Flourish type hint: number, defaults to None.
        :type min_node_radius: float, optional
        :param max_node_radius: Maximum radius. The maximum radius of your points (in px). Flourish type hint: number, defaults to None.
        :type max_node_radius: float, optional
        :param point_opacity: Opacity (default). How opaque the default state of the points in your network should be. Flourish type hint: number, defaults to None.
        :type point_opacity: float, optional
        :param fade_opacity: Opacity (unhighlighted). When a point is emphasized, how opaque the rest of the network should be. Flourish type hint: number, defaults to None.
        :type fade_opacity: float, optional
        :param image_opacity: Image opacity. How opaque the images in your points should be. Flourish type hint: number, defaults to None.
        :type image_opacity: float, optional
        :param node_stroke_width: Width. Flourish type hint: number, defaults to None.
        :type node_stroke_width: float, optional
        :param node_stroke_color: Color. When not set, stroke color is same as background color. Flourish type hint: color, defaults to None.
        :type node_stroke_color: str, optional
        :param node_highlight_stroke_color: Color (highlighted). When not set, stroke color is same as background color. Flourish type hint: color, defaults to None.
        :type node_highlight_stroke_color: str, optional
        :param points_advanced: Advanced point settings. Flourish type hint: boolean, defaults to None.
        :type points_advanced: bool, optional
        :param node_scale_type: Scale points relative to:. Choices: current, arbitrary. Flourish type hint: string, defaults to None.
        :type node_scale_type: str, optional
        :param max_node_value: Value. Values bigger than this maximum will have a radius equal to the maximum radius. Flourish type hint: number, defaults to None.
        :type max_node_value: float, optional
        :param auto_scale: Scale points down when not enough space. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type auto_scale: bool, optional
        :param max_fullness: Max total point area. What percent of the space can the points fill before they are scaled down. Flourish type hint: number, defaults to None.
        :type max_fullness: float, optional
        :param label_size: Size. Flourish type hint: number, defaults to None.
        :type label_size: float, optional
        :param label_weight: Weight. Choices: bold, regular. Flourish type hint: string, defaults to None.
        :type label_weight: str, optional
        :param label_color_mode: Color mode. Choices: auto, fixed. Flourish type hint: string, defaults to None.
        :type label_color_mode: str, optional
        :param label_color: Color. Flourish type hint: color, defaults to None.
        :type label_color: str, optional
        :param label_show: Show. Choices: auto, all, neighbourhood, click, none. When to show node labels. If set to "Auto" behavior is dynamic depending on chart type and available space. Flourish type hint: string, defaults to None.
        :type label_show: str, optional
        :param link_color: Color. When not set, uses same color as main text. Flourish type hint: color, defaults to None.
        :type link_color: str, optional
        :param link_opacity: Opacity. How opaque the links between your points should be. Flourish type hint: number, defaults to None.
        :type link_opacity: float, optional
        :param constant_link_width: Width. Flourish type hint: number, defaults to None.
        :type constant_link_width: float, optional
        :param min_link_width: Minimum width. Any smaller links will be scaled up to the specified level. (Ignored if greater than the Maximum width setting.). Flourish type hint: number, defaults to None.
        :type min_link_width: float, optional
        :param max_link_width: Maximum width. Flourish type hint: number, defaults to None.
        :type max_link_width: float, optional
        :param max_link_value: Value. Values bigger than this maximum will have a width equal to the maximum width. Flourish type hint: number, defaults to None.
        :type max_link_value: float, optional
        :param links_advanced: Advanced link settings. Flourish type hint: boolean, defaults to None.
        :type links_advanced: bool, optional
        :param directional: Show arrows on links. Flourish type hint: boolean, defaults to None.
        :type directional: bool, optional
        :param link_scale_type: Scale links relative to:. Choices: current, arbitrary. Flourish type hint: string, defaults to None.
        :type link_scale_type: str, optional
        :param link_highlight_color: Color (highlighted). When not set, uses same color as main text. Flourish type hint: color, defaults to None.
        :type link_highlight_color: str, optional
        :param link_highlight_opacity: Opacity (highlighted). Flourish type hint: number, defaults to None.
        :type link_highlight_opacity: float, optional
        :param chart_popup_show_popups: Popups. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popups: bool, optional
        :param chart_popup_is_custom: Popup contents. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_is_custom: bool, optional
        :param chart_popup_custom_template: Popup content. The text to appear in the popup. You can use `{{column_name}}` to add a value from your data. It must be in a selected column, but you can add columns to Metadata if you just want to include them for use in the popup. Advanced users can include HTML to apply layouts, formatting, images, etc. Flourish type hint: text, defaults to None.
        :type chart_popup_custom_template: Union[list, str], optional
        :param chart_popup_show_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_pointer: bool, optional
        :param chart_popup_show_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_shadow: bool, optional
        :param chart_popup_style_popups: Custom styling. Flourish type hint: boolean, defaults to None.
        :type chart_popup_style_popups: bool, optional
        :param chart_popup_text_color: Text colour. Flourish type hint: color, defaults to None.
        :type chart_popup_text_color: str, optional
        :param chart_popup_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_popup_align: str, optional
        :param chart_popup_text_size: Font size. Flourish type hint: number, defaults to None.
        :type chart_popup_text_size: float, optional
        :param chart_popup_fill_color: Fill colour. Flourish type hint: color, defaults to None.
        :type chart_popup_fill_color: str, optional
        :param chart_popup_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_opacity: float, optional
        :param chart_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_padding: float, optional
        :param chart_popup_border_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_border_radius: float, optional
        :param chart_popup_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_popup_max_width: float, optional
        :param popup_opacity: Popup opacity on overlap. When the popup is overlapping other points and links, the opacity of the popup will change so most of the chart is still visible. Flourish type hint: number, defaults to None.
        :type popup_opacity: float, optional
        :param chart_categorical_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_show_legend: bool, optional
        :param chart_categorical_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title_mode: str, optional
        :param chart_categorical_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title: str, optional
        :param chart_categorical_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_width: float, optional
        :param chart_categorical_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_height: float, optional
        :param chart_categorical_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_radius: float, optional
        :param chart_categorical_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_legend_items_padding: float, optional
        :param chart_categorical_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_swatch_outline: bool, optional
        :param chart_categorical_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_swatch_outline_color: str, optional
        :param chart_categorical_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_categorical_legend_order_override: Union[list, str], optional
        :param chart_categorical_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_icon_height: float, optional
        :param chart_categorical_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_icon_color: str, optional
        :param chart_categorical_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_max_width: float, optional
        :param chart_categorical_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_orientation: str, optional
        :param legend_position: Position. Choices: above, below. Flourish type hint: string, defaults to None.
        :type legend_position: str, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param legend_interaction: When clicking a legend item. Choices: filter_and_layout, filter_in_position, none. Flourish type hint: string, defaults to None.
        :type legend_interaction: str, optional
        :param animate_simulation: Animate network simulation. Display the initial animation of the network. Flourish type hint: boolean, defaults to None.
        :type animate_simulation: bool, optional
        :param simulation_speed: Animation speed. The speed of the initial animation (in ms). Flourish type hint: number, defaults to None.
        :type simulation_speed: float, optional
        :param animate_transition: Animate layout transitions. Enable or disable layout transitions. Flourish type hint: boolean, defaults to None.
        :type animate_transition: bool, optional
        :param transition_scale: Transition duration. The duration multiplier for transition animations. Flourish type hint: number, defaults to None.
        :type transition_scale: float, optional
        :param many_body_strength: Repulsion between points. How strongly the points repulse each others. Known as many-body force. Measured in arbitrary units. Flourish type hint: number, defaults to None.
        :type many_body_strength: float, optional
        :param collision_strength: Collision-force strength. How strongly the points push away from each other when colliding. In arbitrary units. Flourish type hint: number, defaults to None.
        :type collision_strength: float, optional
        :param chart_number_localization_input_decimal_separator: Decimal separator in data sheet. Choices: ., ,. Used for interpreting your data. Only change if data is not displaying on the chart as expected. Flourish type hint: string, defaults to None.
        :type chart_number_localization_input_decimal_separator: str, optional
        :param chart_number_localization_output_separators: Number format to display. Choices: ,., .,, ., ,, ., ,. How the numbers should appear on chart labels. Flourish type hint: string, defaults to None.
        :type chart_number_localization_output_separators: str, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "color": {},
                "popup": {},
                "legend_categorical": {},
                "legend_container": {},
                "localization": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        list_chart_type = ["regular", "radial"] + [None]
        if chart_type not in list_chart_type:
            raise ValueError(f"`chart_type` must be one of: ['regular', 'radial']")
        elif chart_type in list_chart_type and chart_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"regular": "regular", "radial": "radial"}.items()
                if chart_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["chart_type"] = filtered_dict[chart_type]

        list_radial_sort = ["auto", "none", "clockwise", "counter_clockwise"] + [None]
        if radial_sort not in list_radial_sort:
            raise ValueError(
                f"`radial_sort` must be one of: ['auto', 'none', 'clockwise', 'counter_clockwise']"
            )
        elif radial_sort in list_radial_sort and radial_sort is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "none": "none",
                    "clockwise": "clockwise",
                    "counter_clockwise": "counter_clockwise",
                }.items()
                if radial_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["radial_sort"] = filtered_dict[radial_sort]

        list_radial_sort_primary = [
            "group",
            "id",
            "size",
            "link_count",
            "link_value",
        ] + [None]
        if radial_sort_primary not in list_radial_sort_primary:
            raise ValueError(
                f"`radial_sort_primary` must be one of: ['group', 'id', 'size', 'link_count', 'link_value']"
            )
        elif (
            radial_sort_primary in list_radial_sort_primary
            and radial_sort_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "group": "group",
                    "id": "id",
                    "size": "size",
                    "link_count": "link_count",
                    "link_value": "link_value",
                }.items()
                if radial_sort_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["radial_sort_primary"] = filtered_dict[
                    radial_sort_primary
                ]

        list_radial_sort_secondary = [
            "group",
            "id",
            "size",
            "link_count",
            "link_value",
        ] + [None]
        if radial_sort_secondary not in list_radial_sort_secondary:
            raise ValueError(
                f"`radial_sort_secondary` must be one of: ['group', 'id', 'size', 'link_count', 'link_value']"
            )
        elif (
            radial_sort_secondary in list_radial_sort_secondary
            and radial_sort_secondary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "group": "group",
                    "id": "id",
                    "size": "size",
                    "link_count": "link_count",
                    "link_value": "link_value",
                }.items()
                if radial_sort_secondary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["radial_sort_secondary"] = filtered_dict[
                    radial_sort_secondary
                ]

        list_height_mode = ["auto", "fill_space", "aspect"] + [None]
        if height_mode not in list_height_mode:
            raise ValueError(
                f"`height_mode` must be one of: ['auto', 'fill_space', 'aspect']"
            )
        elif height_mode in list_height_mode and height_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "fill_space": "fill_space",
                    "aspect": "aspect",
                }.items()
                if height_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["height_mode"] = filtered_dict[height_mode]
        self.state["state"]["facet_aspect"] = facet_aspect
        self.state["state"]["facet_aspect_mobile"] = facet_aspect_mobile
        self.state["state"]["facet_aspect_breakpoint"] = facet_aspect_breakpoint
        self.state["state"]["ring_padding"] = ring_padding
        self.state["state"]["ring_angle"] = ring_angle
        self.state["state"]["fill_color"] = fill_color

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max
        self.state["state"]["node_scale_pack"] = node_scale_pack
        self.state["state"]["constant_node_radius"] = constant_node_radius
        self.state["state"]["min_node_radius"] = min_node_radius
        self.state["state"]["max_node_radius"] = max_node_radius
        self.state["state"]["point_opacity"] = point_opacity
        self.state["state"]["fade_opacity"] = fade_opacity
        self.state["state"]["image_opacity"] = image_opacity
        self.state["state"]["node_stroke_width"] = node_stroke_width
        self.state["state"]["node_stroke_color"] = node_stroke_color
        self.state["state"]["node_highlight_stroke_color"] = node_highlight_stroke_color
        self.state["state"]["points_advanced"] = points_advanced

        list_node_scale_type = ["current", "arbitrary"] + [None]
        if node_scale_type not in list_node_scale_type:
            raise ValueError(
                f"`node_scale_type` must be one of: ['current', 'arbitrary']"
            )
        elif node_scale_type in list_node_scale_type and node_scale_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"current": "current", "arbitrary": "arbitrary"}.items()
                if node_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["node_scale_type"] = filtered_dict[node_scale_type]
        self.state["state"]["max_node_value"] = max_node_value

        list_auto_scale = [True, False] + [None]
        if auto_scale not in list_auto_scale:
            raise ValueError(f"`auto_scale` must be one of: [True, False]")
        elif auto_scale in list_auto_scale and auto_scale is not None:
            filtered_dict = {
                k: v for (k, v) in {True: True, False: False}.items() if auto_scale in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["auto_scale"] = filtered_dict[auto_scale]
        self.state["state"]["max_fullness"] = max_fullness
        self.state["state"]["label_size"] = label_size

        list_label_weight = ["bold", "regular"] + [None]
        if label_weight not in list_label_weight:
            raise ValueError(f"`label_weight` must be one of: ['bold', 'regular']")
        elif label_weight in list_label_weight and label_weight is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "regular": "regular"}.items()
                if label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_weight"] = filtered_dict[label_weight]

        list_label_color_mode = ["auto", "fixed"] + [None]
        if label_color_mode not in list_label_color_mode:
            raise ValueError(f"`label_color_mode` must be one of: ['auto', 'fixed']")
        elif label_color_mode in list_label_color_mode and label_color_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "fixed": "fixed"}.items()
                if label_color_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_color_mode"] = filtered_dict[
                    label_color_mode
                ]
        self.state["state"]["label_color"] = label_color

        list_label_show = ["auto", "all", "neighbourhood", "click", "none"] + [None]
        if label_show not in list_label_show:
            raise ValueError(
                f"`label_show` must be one of: ['auto', 'all', 'neighbourhood', 'click', 'none']"
            )
        elif label_show in list_label_show and label_show is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "all": "all",
                    "neighbourhood": "neighbourhood",
                    "click": "click",
                    "none": "none",
                }.items()
                if label_show in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_show"] = filtered_dict[label_show]
        self.state["state"]["link_color"] = link_color
        self.state["state"]["link_opacity"] = link_opacity
        self.state["state"]["constant_link_width"] = constant_link_width
        self.state["state"]["min_link_width"] = min_link_width
        self.state["state"]["max_link_width"] = max_link_width
        self.state["state"]["max_link_value"] = max_link_value
        self.state["state"]["links_advanced"] = links_advanced
        self.state["state"]["directional"] = directional

        list_link_scale_type = ["current", "arbitrary"] + [None]
        if link_scale_type not in list_link_scale_type:
            raise ValueError(
                f"`link_scale_type` must be one of: ['current', 'arbitrary']"
            )
        elif link_scale_type in list_link_scale_type and link_scale_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"current": "current", "arbitrary": "arbitrary"}.items()
                if link_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["link_scale_type"] = filtered_dict[link_scale_type]
        self.state["state"]["link_highlight_color"] = link_highlight_color
        self.state["state"]["link_highlight_opacity"] = link_highlight_opacity

        list_chart_popup_show_popups = [True, False] + [None]
        if chart_popup_show_popups not in list_chart_popup_show_popups:
            raise ValueError(f"`chart_popup_show_popups` must be one of: [True, False]")
        elif (
            chart_popup_show_popups in list_chart_popup_show_popups
            and chart_popup_show_popups is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_popup_show_popups in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["show_popups"] = filtered_dict[
                    chart_popup_show_popups
                ]

        list_chart_popup_is_custom = [False, True] + [None]
        if chart_popup_is_custom not in list_chart_popup_is_custom:
            raise ValueError(f"`chart_popup_is_custom` must be one of: [False, True]")
        elif (
            chart_popup_is_custom in list_chart_popup_is_custom
            and chart_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["is_custom"] = filtered_dict[
                    chart_popup_is_custom
                ]

        if (
            chart_popup_custom_template is not None
            and len(chart_popup_custom_template) > 1
            and isinstance(chart_popup_custom_template, list)
        ):
            self.state["state"]["popup"]["custom_template"] = " \n ".join(
                chart_popup_custom_template
            )
        else:
            self.state["state"]["popup"][
                "custom_template"
            ] = chart_popup_custom_template

        self.state["state"]["popup"]["show_pointer"] = chart_popup_show_pointer
        self.state["state"]["popup"]["show_shadow"] = chart_popup_show_shadow
        self.state["state"]["popup"]["style_popups"] = chart_popup_style_popups
        self.state["state"]["popup"]["text_color"] = chart_popup_text_color

        list_chart_popup_align = ["left", "center", "right"] + [None]
        if chart_popup_align not in list_chart_popup_align:
            raise ValueError(
                f"`chart_popup_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_popup_align in list_chart_popup_align
            and chart_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["align"] = filtered_dict[chart_popup_align]
        self.state["state"]["popup"]["text_size"] = chart_popup_text_size
        self.state["state"]["popup"]["fill_color"] = chart_popup_fill_color
        self.state["state"]["popup"]["opacity"] = chart_popup_opacity
        self.state["state"]["popup"]["padding"] = chart_popup_padding
        self.state["state"]["popup"]["border_radius"] = chart_popup_border_radius
        self.state["state"]["popup"]["max_width"] = chart_popup_max_width
        self.state["state"]["popup_opacity"] = popup_opacity

        list_chart_categorical_legend_show_legend = [True, False] + [None]
        if (
            chart_categorical_legend_show_legend
            not in list_chart_categorical_legend_show_legend
        ):
            raise ValueError(
                f"`chart_categorical_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_categorical_legend_show_legend
            in list_chart_categorical_legend_show_legend
            and chart_categorical_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_categorical_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "show_legend"
                ] = filtered_dict[chart_categorical_legend_show_legend]

        list_chart_categorical_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_categorical_legend_title_mode
            not in list_chart_categorical_legend_title_mode
        ):
            raise ValueError(
                f"`chart_categorical_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_categorical_legend_title_mode
            in list_chart_categorical_legend_title_mode
            and chart_categorical_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_categorical_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"]["title_mode"] = filtered_dict[
                    chart_categorical_legend_title_mode
                ]
        self.state["state"]["legend_categorical"][
            "title"
        ] = chart_categorical_legend_title
        self.state["state"]["legend_categorical"][
            "swatch_width"
        ] = chart_categorical_legend_swatch_width
        self.state["state"]["legend_categorical"][
            "swatch_height"
        ] = chart_categorical_legend_swatch_height
        self.state["state"]["legend_categorical"][
            "swatch_radius"
        ] = chart_categorical_legend_swatch_radius
        self.state["state"]["legend_categorical"][
            "legend_items_padding"
        ] = chart_categorical_legend_legend_items_padding
        self.state["state"]["legend_categorical"][
            "swatch_outline"
        ] = chart_categorical_legend_swatch_outline
        self.state["state"]["legend_categorical"][
            "swatch_outline_color"
        ] = chart_categorical_legend_swatch_outline_color

        if (
            chart_categorical_legend_order_override is not None
            and len(chart_categorical_legend_order_override) > 1
            and isinstance(chart_categorical_legend_order_override, list)
        ):
            self.state["state"]["legend_categorical"]["order_override"] = " \n ".join(
                chart_categorical_legend_order_override
            )
        else:
            self.state["state"]["legend_categorical"][
                "order_override"
            ] = chart_categorical_legend_order_override

        self.state["state"]["legend_categorical"][
            "icon_height"
        ] = chart_categorical_legend_icon_height
        self.state["state"]["legend_categorical"][
            "icon_color"
        ] = chart_categorical_legend_icon_color
        self.state["state"]["legend_categorical"][
            "max_width"
        ] = chart_categorical_legend_max_width

        list_chart_categorical_legend_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_categorical_legend_orientation
            not in list_chart_categorical_legend_orientation
        ):
            raise ValueError(
                f"`chart_categorical_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_categorical_legend_orientation
            in list_chart_categorical_legend_orientation
            and chart_categorical_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_categorical_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "orientation"
                ] = filtered_dict[chart_categorical_legend_orientation]

        list_legend_position = ["above", "below"] + [None]
        if legend_position not in list_legend_position:
            raise ValueError(f"`legend_position` must be one of: ['above', 'below']")
        elif legend_position in list_legend_position and legend_position is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"above": "above", "below": "below"}.items()
                if legend_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_position"] = filtered_dict[legend_position]

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size

        list_legend_interaction = [
            "filter_and_layout",
            "filter_in_position",
            "none",
        ] + [None]
        if legend_interaction not in list_legend_interaction:
            raise ValueError(
                f"`legend_interaction` must be one of: ['filter_and_layout', 'filter_in_position', 'none']"
            )
        elif (
            legend_interaction in list_legend_interaction
            and legend_interaction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "filter_and_layout": "filter_and_layout",
                    "filter_in_position": "filter_in_position",
                    "none": "none",
                }.items()
                if legend_interaction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_interaction"] = filtered_dict[
                    legend_interaction
                ]
        self.state["state"]["animate_simulation"] = animate_simulation
        self.state["state"]["simulation_speed"] = simulation_speed
        self.state["state"]["animate_transition"] = animate_transition
        self.state["state"]["transition_scale"] = transition_scale
        self.state["state"]["many_body_strength"] = many_body_strength
        self.state["state"]["collision_strength"] = collision_strength

        list_chart_number_localization_input_decimal_separator = [".", ","] + [None]
        if (
            chart_number_localization_input_decimal_separator
            not in list_chart_number_localization_input_decimal_separator
        ):
            raise ValueError(
                f"`chart_number_localization_input_decimal_separator` must be one of: ['.', ',']"
            )
        elif (
            chart_number_localization_input_decimal_separator
            in list_chart_number_localization_input_decimal_separator
            and chart_number_localization_input_decimal_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {".": ".", ",": ","}.items()
                if chart_number_localization_input_decimal_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "input_decimal_separator"
                ] = filtered_dict[chart_number_localization_input_decimal_separator]

        list_chart_number_localization_output_separators = [
            ",.",
            ".,",
            ".",
            ",",
            " .",
            " ,",
        ] + [None]
        if (
            chart_number_localization_output_separators
            not in list_chart_number_localization_output_separators
        ):
            raise ValueError(
                f"`chart_number_localization_output_separators` must be one of: [',.', '.,', '.', ',', ' .', ' ,']"
            )
        elif (
            chart_number_localization_output_separators
            in list_chart_number_localization_output_separators
            and chart_number_localization_output_separators is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ",.": ",.",
                    ".,": ".,",
                    ".": ".",
                    ",": ",",
                    " .": " .",
                    " ,": " ,",
                }.items()
                if chart_number_localization_output_separators in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "output_separators"
                ] = filtered_dict[chart_number_localization_output_separators]
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_number_ticker_details(
        self,
        mode: str = None,
        number_start: float = None,
        number: float = None,
        custom_template: Union[list, str] = None,
        font_unit: str = None,
        font_size: float = None,
        text_color: str = None,
        font_weight: str = None,
        line_height: float = None,
        duration: float = None,
        easing: str = None,
        chart_number_localization_input_decimal_separator: str = None,
        chart_number_localization_output_separators: str = None,
        value_format_prefix: str = None,
        value_format_suffix: str = None,
        value_format_n_dec: float = None,
        value_format_advanced: bool = None,
        value_format_negative_sign: str = None,
        value_format_strip_zeros: bool = None,
        value_format_strip_separator: bool = None,
        value_format_transform_labels: bool = None,
        value_format_transform: str = None,
        value_format_multiply_divide_constant: float = None,
        value_format_exponentiate_constant: float = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: number ticker.


        :param mode: Choices: simple, custom. Flourish type hint: string, defaults to None.
        :type mode: str, optional
        :param number_start: Tick from. Flourish type hint: number, defaults to None.
        :type number_start: float, optional
        :param number: Tick to. Flourish type hint: number, defaults to None.
        :type number: float, optional
        :param custom_template: Text and `{{numbers}}`. Put numbers to tick in double braces, e.g. `{{1000}}` to tick from 0 to 1000, or `{{-1000/1000}}` to count from -1000 to 1000. You can also use markdown styling, e.g. **bold** and *italic* or custom HTMLFlourish type hint: text, defaults to None.
        :type custom_template: Union[list, str], optional
        :param font_unit: Font size mode. Choices: vw, rem. When set to Scale with page, the text will always take up the same proportion of the page width, on any page size (e.g. mobile or desktop)  When set to Default the text will be scaled responsively in the same way as other text components, such as the header text. Flourish type hint: string, defaults to None.
        :type font_unit: str, optional
        :param font_size: Font size. Flourish type hint: number, defaults to None.
        :type font_size: float, optional
        :param text_color: Color. Flourish type hint: color, defaults to None.
        :type text_color: str, optional
        :param font_weight: Font weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type font_weight: str, optional
        :param line_height: Line height. Flourish type hint: number, defaults to None.
        :type line_height: float, optional
        :param duration: Duration. How many seconds you want the animation to last for. Flourish type hint: number, defaults to None.
        :type duration: float, optional
        :param easing: Tick rate. Choices: constant, speed_up, slow_down, fast_slow_fast. Flourish type hint: string, defaults to None.
        :type easing: str, optional
        :param chart_number_localization_input_decimal_separator: Decimal separator in data sheet. Choices: ., ,. Used for interpreting your data. Only change if data is not displaying on the chart as expected. Flourish type hint: string, defaults to None.
        :type chart_number_localization_input_decimal_separator: str, optional
        :param chart_number_localization_output_separators: Number format to display. Choices: ,., .,, ., ,, ., ,. How the numbers should appear on chart labels. Flourish type hint: string, defaults to None.
        :type chart_number_localization_output_separators: str, optional
        :param value_format_prefix: Prefix. Text to place in front of number. Flourish type hint: string, defaults to None.
        :type value_format_prefix: str, optional
        :param value_format_suffix: Suffix. Text to place after number. Flourish type hint: string, defaults to None.
        :type value_format_suffix: str, optional
        :param value_format_n_dec: Decimal places. Enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type value_format_n_dec: float, optional
        :param value_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type value_format_advanced: bool, optional
        :param value_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type value_format_negative_sign: str, optional
        :param value_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type value_format_strip_zeros: bool, optional
        :param value_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type value_format_strip_separator: bool, optional
        :param value_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type value_format_transform_labels: bool, optional
        :param value_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type value_format_transform: str, optional
        :param value_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type value_format_multiply_divide_constant: float, optional
        :param value_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type value_format_exponentiate_constant: float, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "localization": {},
                "value_format": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        list_mode = ["simple", "custom"] + [None]
        if mode not in list_mode:
            raise ValueError(f"`mode` must be one of: ['simple', 'custom']")
        elif mode in list_mode and mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"simple": "simple", "custom": "custom"}.items()
                if mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["mode"] = filtered_dict[mode]
        self.state["state"]["number_start"] = number_start
        self.state["state"]["number"] = number

        if (
            custom_template is not None
            and len(custom_template) > 1
            and isinstance(custom_template, list)
        ):
            self.state["state"]["custom_template"] = " \n ".join(custom_template)
        else:
            self.state["state"]["custom_template"] = custom_template

        list_font_unit = ["vw", "rem"] + [None]
        if font_unit not in list_font_unit:
            raise ValueError(f"`font_unit` must be one of: ['vw', 'rem']")
        elif font_unit in list_font_unit and font_unit is not None:
            filtered_dict = {
                k: v for (k, v) in {"vw": "vw", "rem": "rem"}.items() if font_unit in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["font_unit"] = filtered_dict[font_unit]
        self.state["state"]["font_size"] = font_size
        self.state["state"]["text_color"] = text_color

        list_font_weight = ["normal", "bold"] + [None]
        if font_weight not in list_font_weight:
            raise ValueError(f"`font_weight` must be one of: ['normal', 'bold']")
        elif font_weight in list_font_weight and font_weight is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["font_weight"] = filtered_dict[font_weight]
        self.state["state"]["line_height"] = line_height
        self.state["state"]["duration"] = duration

        list_easing = ["constant", "speed_up", "slow_down", "fast_slow_fast"] + [None]
        if easing not in list_easing:
            raise ValueError(
                f"`easing` must be one of: ['constant', 'speed_up', 'slow_down', 'fast_slow_fast']"
            )
        elif easing in list_easing and easing is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "constant": "constant",
                    "speed_up": "speed_up",
                    "slow_down": "slow_down",
                    "fast_slow_fast": "fast_slow_fast",
                }.items()
                if easing in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["easing"] = filtered_dict[easing]

        list_chart_number_localization_input_decimal_separator = [".", ","] + [None]
        if (
            chart_number_localization_input_decimal_separator
            not in list_chart_number_localization_input_decimal_separator
        ):
            raise ValueError(
                f"`chart_number_localization_input_decimal_separator` must be one of: ['.', ',']"
            )
        elif (
            chart_number_localization_input_decimal_separator
            in list_chart_number_localization_input_decimal_separator
            and chart_number_localization_input_decimal_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {".": ".", ",": ","}.items()
                if chart_number_localization_input_decimal_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "input_decimal_separator"
                ] = filtered_dict[chart_number_localization_input_decimal_separator]

        list_chart_number_localization_output_separators = [
            ",.",
            ".,",
            ".",
            ",",
            " .",
            " ,",
        ] + [None]
        if (
            chart_number_localization_output_separators
            not in list_chart_number_localization_output_separators
        ):
            raise ValueError(
                f"`chart_number_localization_output_separators` must be one of: [',.', '.,', '.', ',', ' .', ' ,']"
            )
        elif (
            chart_number_localization_output_separators
            in list_chart_number_localization_output_separators
            and chart_number_localization_output_separators is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ",.": ",.",
                    ".,": ".,",
                    ".": ".",
                    ",": ",",
                    " .": " .",
                    " ,": " ,",
                }.items()
                if chart_number_localization_output_separators in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "output_separators"
                ] = filtered_dict[chart_number_localization_output_separators]
        self.state["state"]["value_format"]["prefix"] = value_format_prefix
        self.state["state"]["value_format"]["suffix"] = value_format_suffix
        self.state["state"]["value_format"]["n_dec"] = value_format_n_dec
        self.state["state"]["value_format"]["advanced"] = value_format_advanced

        list_value_format_negative_sign = ["-$nk", "$-nk", "($nk)", "$(n)k", "none"] + [
            None
        ]
        if value_format_negative_sign not in list_value_format_negative_sign:
            raise ValueError(
                f"`value_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            value_format_negative_sign in list_value_format_negative_sign
            and value_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if value_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["value_format"]["negative_sign"] = filtered_dict[
                    value_format_negative_sign
                ]
        self.state["state"]["value_format"]["strip_zeros"] = value_format_strip_zeros
        self.state["state"]["value_format"][
            "strip_separator"
        ] = value_format_strip_separator
        self.state["state"]["value_format"][
            "transform_labels"
        ] = value_format_transform_labels

        list_value_format_transform = ["multiply", "divide", "exponentiate"] + [None]
        if value_format_transform not in list_value_format_transform:
            raise ValueError(
                f"`value_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            value_format_transform in list_value_format_transform
            and value_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if value_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["value_format"]["transform"] = filtered_dict[
                    value_format_transform
                ]
        self.state["state"]["value_format"][
            "multiply_divide_constant"
        ] = value_format_multiply_divide_constant
        self.state["state"]["value_format"][
            "exponentiate_constant"
        ] = value_format_exponentiate_constant
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_parliament_chart_details(
        self,
        num_of_seats: float = None,
        hemicycle_arc: float = None,
        circle_inner: float = None,
        manual_row_count: bool = None,
        num_of_rows: float = None,
        use_hover_animation: bool = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        unassigned_color: str = None,
        count_font_size: float = None,
        count_weight: str = None,
        party_font_size: float = None,
        party_weight: str = None,
        chart_categorical_legend_show_legend: bool = None,
        chart_categorical_legend_title_mode: str = None,
        chart_categorical_legend_title: str = None,
        chart_categorical_legend_swatch_width: float = None,
        chart_categorical_legend_swatch_height: float = None,
        chart_categorical_legend_swatch_radius: float = None,
        chart_categorical_legend_legend_items_padding: float = None,
        chart_categorical_legend_swatch_outline: bool = None,
        chart_categorical_legend_swatch_outline_color: str = None,
        chart_categorical_legend_order_override: Union[list, str] = None,
        chart_categorical_legend_icon_height: float = None,
        chart_categorical_legend_icon_color: str = None,
        chart_categorical_legend_max_width: float = None,
        chart_categorical_legend_orientation: str = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        legend_hide_empty_parties: bool = None,
        show_table: bool = None,
        gain_color: str = None,
        loss_color: str = None,
        default_text_color: str = None,
        header_weight: str = None,
        margin_table: float = None,
        show_seat_change: str = None,
        seat_change_before: str = None,
        seat_change_after: str = None,
        seat_change_label: str = None,
        chart_number_date_format_prefix: str = None,
        chart_number_date_format_suffix: str = None,
        chart_number_date_format_n_dec: float = None,
        chart_number_date_format_advanced: bool = None,
        chart_number_date_format_negative_sign: str = None,
        chart_number_date_format_strip_zeros: bool = None,
        chart_number_date_format_strip_separator: bool = None,
        chart_number_date_format_transform_labels: bool = None,
        chart_number_date_format_transform: str = None,
        chart_number_date_format_multiply_divide_constant: float = None,
        chart_number_date_format_exponentiate_constant: float = None,
        majority_threshold_line_enabled: bool = None,
        majority_threshold_line_content: str = None,
        majority_threshold_line_text_color: str = None,
        majority_threshold_line_dashoffset: str = None,
        majority_threshold_line_width: float = None,
        majority_threshold_line_color: str = None,
        animation_duration: float = None,
        animation_stagger: float = None,
        animate_on_load: bool = None,
        chart_filter_controls_control_type: str = None,
        chart_filter_controls_control_styles: bool = None,
        chart_filter_controls_control_title: str = None,
        chart_filter_controls_button_group: bool = None,
        chart_filter_controls_button_group_width_mode: str = None,
        chart_filter_controls_button_group_width_fixed: float = None,
        chart_filter_controls_dropdown_width_mode: str = None,
        chart_filter_controls_dropdown_width_fixed: float = None,
        chart_filter_controls_slider_width: float = None,
        chart_filter_controls_slider_max_label_width: float = None,
        chart_filter_controls_slider_step_time: float = None,
        chart_filter_controls_slider_loop: bool = None,
        chart_filter_controls_slider_restart_pause: float = None,
        chart_filter_controls_sort: bool = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        chart_slider_control_style_track_color: str = None,
        chart_slider_control_style_font_color: str = None,
        chart_slider_control_style_handle_color: str = None,
        chart_slider_control_style_play_color: str = None,
        chart_slider_control_style_track_height: float = None,
        chart_slider_control_style_handle_height: float = None,
        chart_slider_control_style_play_button: bool = None,
        chart_filter_controls_container_alignment: str = None,
        chart_filter_controls_container_controls_spacing: float = None,
        chart_number_localization_input_decimal_separator: str = None,
        chart_number_localization_output_separators: str = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: parliament chart.


        :param num_of_seats: Number of seats. This number is ignored if the value is lower than the actual number of seats in your data. Flourish type hint: number, defaults to None.
        :type num_of_seats: float, optional
        :param hemicycle_arc: Size of arc. In degrees. Flourish type hint: number, defaults to None.
        :type hemicycle_arc: float, optional
        :param circle_inner: Inner space. As a % of the circle. Flourish type hint: number, defaults to None.
        :type circle_inner: float, optional
        :param manual_row_count: Number of rows. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type manual_row_count: bool, optional
        :param num_of_rows: Rows. Flourish type hint: number, defaults to None.
        :type num_of_rows: float, optional
        :param use_hover_animation: Highlight parties on hover. Flourish type hint: boolean, defaults to None.
        :type use_hover_animation: bool, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param unassigned_color: Unassigned outline color. Flourish type hint: color, defaults to None.
        :type unassigned_color: str, optional
        :param count_font_size: Size. If the font size means that the seat count is too large to fit within the parliament, the text will be automatically scaled to fit. Flourish type hint: number, defaults to None.
        :type count_font_size: float, optional
        :param count_weight: Weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type count_weight: str, optional
        :param party_font_size: Size. If the font size means that the party name is too large to fit within the parliament, the text will be automatically scaled to fit. Flourish type hint: number, defaults to None.
        :type party_font_size: float, optional
        :param party_weight: Weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type party_weight: str, optional
        :param chart_categorical_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_show_legend: bool, optional
        :param chart_categorical_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title_mode: str, optional
        :param chart_categorical_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title: str, optional
        :param chart_categorical_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_width: float, optional
        :param chart_categorical_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_height: float, optional
        :param chart_categorical_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_radius: float, optional
        :param chart_categorical_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_legend_items_padding: float, optional
        :param chart_categorical_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_swatch_outline: bool, optional
        :param chart_categorical_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_swatch_outline_color: str, optional
        :param chart_categorical_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_categorical_legend_order_override: Union[list, str], optional
        :param chart_categorical_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_icon_height: float, optional
        :param chart_categorical_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_icon_color: str, optional
        :param chart_categorical_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_max_width: float, optional
        :param chart_categorical_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_orientation: str, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param legend_hide_empty_parties: Dont include parties that dont have any seats. Flourish type hint: boolean, defaults to None.
        :type legend_hide_empty_parties: bool, optional
        :param show_table: Show table. Flourish type hint: boolean, defaults to None.
        :type show_table: bool, optional
        :param gain_color: Gain color. Flourish type hint: color, defaults to None.
        :type gain_color: str, optional
        :param loss_color: Loss color. Flourish type hint: color, defaults to None.
        :type loss_color: str, optional
        :param default_text_color: Default color. Flourish type hint: color, defaults to None.
        :type default_text_color: str, optional
        :param header_weight: Header text. Choices: bold, normal, italic. Flourish type hint: string, defaults to None.
        :type header_weight: str, optional
        :param margin_table: Margin. Flourish type hint: number, defaults to None.
        :type margin_table: float, optional
        :param show_seat_change: Choices: off, auto, custom. This adds a new column that shows the change between 2 columns. "Auto" will compare the last 2 columns in your data "Custom" will allow you to handpick 2 columns to compare. Flourish type hint: string, defaults to None.
        :type show_seat_change: str, optional
        :param seat_change_before: Seat change before. Add the name of the column you want to compare with. Flourish type hint: string, defaults to None.
        :type seat_change_before: str, optional
        :param seat_change_after: Seat change after. Add the name of the column you want to compare with. Flourish type hint: string, defaults to None.
        :type seat_change_after: str, optional
        :param seat_change_label: Column name. Flourish type hint: string, defaults to None.
        :type seat_change_label: str, optional
        :param chart_number_date_format_prefix: Prefix. Text to place in front of number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_prefix: str, optional
        :param chart_number_date_format_suffix: Suffix. Text to place after number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_suffix: str, optional
        :param chart_number_date_format_n_dec: Decimal places. Enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_number_date_format_n_dec: float, optional
        :param chart_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_advanced: bool, optional
        :param chart_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_negative_sign: str, optional
        :param chart_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_zeros: bool, optional
        :param chart_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_separator: bool, optional
        :param chart_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_transform_labels: bool, optional
        :param chart_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_transform: str, optional
        :param chart_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_multiply_divide_constant: float, optional
        :param chart_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_exponentiate_constant: float, optional
        :param majority_threshold_line_enabled: Show a line for the majority threshold. Draws a line at 50%. Flourish type hint: boolean, defaults to None.
        :type majority_threshold_line_enabled: bool, optional
        :param majority_threshold_line_content: Text. Flourish type hint: string, defaults to None.
        :type majority_threshold_line_content: str, optional
        :param majority_threshold_line_text_color: Color. Flourish type hint: color, defaults to None.
        :type majority_threshold_line_text_color: str, optional
        :param majority_threshold_line_dashoffset: Dash width and offset. In pixels, eg. 2,2. Flourish type hint: string, defaults to None.
        :type majority_threshold_line_dashoffset: str, optional
        :param majority_threshold_line_width: Thickness. In pixels. Flourish type hint: number, defaults to None.
        :type majority_threshold_line_width: float, optional
        :param majority_threshold_line_color: Color. Flourish type hint: color, defaults to None.
        :type majority_threshold_line_color: str, optional
        :param animation_duration: Animation duration. How long the seats take to "flip" when changing party, in seconds. Flourish type hint: number, defaults to None.
        :type animation_duration: float, optional
        :param animation_stagger: Animation spread. How many seconds to spread the seat animations across. Flourish type hint: number, defaults to None.
        :type animation_stagger: float, optional
        :param animate_on_load: Animate on load. Whether to animate the seats when the visualisations first loads. Flourish type hint: boolean, defaults to None.
        :type animate_on_load: bool, optional
        :param chart_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. The controls show up if youve selected multiple value columns. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_type: str, optional
        :param chart_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_control_styles: bool, optional
        :param chart_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_title: str, optional
        :param chart_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_button_group: bool, optional
        :param chart_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_button_group_width_mode: str, optional
        :param chart_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_button_group_width_fixed: float, optional
        :param chart_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_dropdown_width_mode: str, optional
        :param chart_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_dropdown_width_fixed: float, optional
        :param chart_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_width: float, optional
        :param chart_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_max_label_width: float, optional
        :param chart_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_step_time: float, optional
        :param chart_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_slider_loop: bool, optional
        :param chart_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_restart_pause: float, optional
        :param chart_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_sort: bool, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Dropdown border styles. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param chart_slider_control_style_track_color: Track. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_track_color: str, optional
        :param chart_slider_control_style_font_color: Text. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_font_color: str, optional
        :param chart_slider_control_style_handle_color: Handle. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_handle_color: str, optional
        :param chart_slider_control_style_play_color: Play/pause. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_play_color: str, optional
        :param chart_slider_control_style_track_height: Track height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_track_height: float, optional
        :param chart_slider_control_style_handle_height: Height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_handle_height: float, optional
        :param chart_slider_control_style_play_button: Play button. Flourish type hint: boolean, defaults to None.
        :type chart_slider_control_style_play_button: bool, optional
        :param chart_filter_controls_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_container_alignment: str, optional
        :param chart_filter_controls_container_controls_spacing: Spacing. The space between controls, like dropdowns and adjacent button sets, in em units. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_container_controls_spacing: float, optional
        :param chart_number_localization_input_decimal_separator: Decimal separator in data sheet. Choices: ., ,. Used for interpreting your data. Only change if data is not displaying on the chart as expected. Flourish type hint: string, defaults to None.
        :type chart_number_localization_input_decimal_separator: str, optional
        :param chart_number_localization_output_separators: Number format to display. Choices: ,., .,, ., ,, ., ,. How the numbers should appear on chart labels. Flourish type hint: string, defaults to None.
        :type chart_number_localization_output_separators: str, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "color": {},
                "legend_categorical": {},
                "legend_container": {},
                "seat_format": {},
                "controls": {},
                "controls_style": {},
                "button_style": {},
                "dropdown_style": {},
                "slider_style": {},
                "controls_container": {},
                "localization": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        self.state["state"]["num_of_seats"] = num_of_seats
        self.state["state"]["hemicycle_arc"] = hemicycle_arc
        self.state["state"]["circle_inner"] = circle_inner

        list_manual_row_count = [False, True] + [None]
        if manual_row_count not in list_manual_row_count:
            raise ValueError(f"`manual_row_count` must be one of: [False, True]")
        elif manual_row_count in list_manual_row_count and manual_row_count is not None:
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if manual_row_count in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["manual_row_count"] = filtered_dict[
                    manual_row_count
                ]
        self.state["state"]["num_of_rows"] = num_of_rows
        self.state["state"]["use_hover_animation"] = use_hover_animation

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max
        self.state["state"]["unassigned_color"] = unassigned_color
        self.state["state"]["count_font_size"] = count_font_size

        list_count_weight = ["normal", "bold"] + [None]
        if count_weight not in list_count_weight:
            raise ValueError(f"`count_weight` must be one of: ['normal', 'bold']")
        elif count_weight in list_count_weight and count_weight is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if count_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["count_weight"] = filtered_dict[count_weight]
        self.state["state"]["party_font_size"] = party_font_size

        list_party_weight = ["normal", "bold"] + [None]
        if party_weight not in list_party_weight:
            raise ValueError(f"`party_weight` must be one of: ['normal', 'bold']")
        elif party_weight in list_party_weight and party_weight is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if party_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["party_weight"] = filtered_dict[party_weight]

        list_chart_categorical_legend_show_legend = [True, False] + [None]
        if (
            chart_categorical_legend_show_legend
            not in list_chart_categorical_legend_show_legend
        ):
            raise ValueError(
                f"`chart_categorical_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_categorical_legend_show_legend
            in list_chart_categorical_legend_show_legend
            and chart_categorical_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_categorical_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "show_legend"
                ] = filtered_dict[chart_categorical_legend_show_legend]

        list_chart_categorical_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_categorical_legend_title_mode
            not in list_chart_categorical_legend_title_mode
        ):
            raise ValueError(
                f"`chart_categorical_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_categorical_legend_title_mode
            in list_chart_categorical_legend_title_mode
            and chart_categorical_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_categorical_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"]["title_mode"] = filtered_dict[
                    chart_categorical_legend_title_mode
                ]
        self.state["state"]["legend_categorical"][
            "title"
        ] = chart_categorical_legend_title
        self.state["state"]["legend_categorical"][
            "swatch_width"
        ] = chart_categorical_legend_swatch_width
        self.state["state"]["legend_categorical"][
            "swatch_height"
        ] = chart_categorical_legend_swatch_height
        self.state["state"]["legend_categorical"][
            "swatch_radius"
        ] = chart_categorical_legend_swatch_radius
        self.state["state"]["legend_categorical"][
            "legend_items_padding"
        ] = chart_categorical_legend_legend_items_padding
        self.state["state"]["legend_categorical"][
            "swatch_outline"
        ] = chart_categorical_legend_swatch_outline
        self.state["state"]["legend_categorical"][
            "swatch_outline_color"
        ] = chart_categorical_legend_swatch_outline_color

        if (
            chart_categorical_legend_order_override is not None
            and len(chart_categorical_legend_order_override) > 1
            and isinstance(chart_categorical_legend_order_override, list)
        ):
            self.state["state"]["legend_categorical"]["order_override"] = " \n ".join(
                chart_categorical_legend_order_override
            )
        else:
            self.state["state"]["legend_categorical"][
                "order_override"
            ] = chart_categorical_legend_order_override

        self.state["state"]["legend_categorical"][
            "icon_height"
        ] = chart_categorical_legend_icon_height
        self.state["state"]["legend_categorical"][
            "icon_color"
        ] = chart_categorical_legend_icon_color
        self.state["state"]["legend_categorical"][
            "max_width"
        ] = chart_categorical_legend_max_width

        list_chart_categorical_legend_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_categorical_legend_orientation
            not in list_chart_categorical_legend_orientation
        ):
            raise ValueError(
                f"`chart_categorical_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_categorical_legend_orientation
            in list_chart_categorical_legend_orientation
            and chart_categorical_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_categorical_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "orientation"
                ] = filtered_dict[chart_categorical_legend_orientation]

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size
        self.state["state"]["legend_hide_empty_parties"] = legend_hide_empty_parties
        self.state["state"]["show_table"] = show_table
        self.state["state"]["gain_color"] = gain_color
        self.state["state"]["loss_color"] = loss_color
        self.state["state"]["default_text_color"] = default_text_color

        list_header_weight = ["bold", "normal", "italic"] + [None]
        if header_weight not in list_header_weight:
            raise ValueError(
                f"`header_weight` must be one of: ['bold', 'normal', 'italic']"
            )
        elif header_weight in list_header_weight and header_weight is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "bold": "bold",
                    "normal": "normal",
                    "italic": "italic",
                }.items()
                if header_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["header_weight"] = filtered_dict[header_weight]
        self.state["state"]["margin_table"] = margin_table

        list_show_seat_change = ["off", "auto", "custom"] + [None]
        if show_seat_change not in list_show_seat_change:
            raise ValueError(
                f"`show_seat_change` must be one of: ['off', 'auto', 'custom']"
            )
        elif show_seat_change in list_show_seat_change and show_seat_change is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"off": "off", "auto": "auto", "custom": "custom"}.items()
                if show_seat_change in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["show_seat_change"] = filtered_dict[
                    show_seat_change
                ]
        self.state["state"]["seat_change_before"] = seat_change_before
        self.state["state"]["seat_change_after"] = seat_change_after
        self.state["state"]["seat_change_label"] = seat_change_label
        self.state["state"]["seat_format"]["prefix"] = chart_number_date_format_prefix
        self.state["state"]["seat_format"]["suffix"] = chart_number_date_format_suffix
        self.state["state"]["seat_format"]["n_dec"] = chart_number_date_format_n_dec
        self.state["state"]["seat_format"][
            "advanced"
        ] = chart_number_date_format_advanced

        list_chart_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_number_date_format_negative_sign
            not in list_chart_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_number_date_format_negative_sign
            in list_chart_number_date_format_negative_sign
            and chart_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["seat_format"]["negative_sign"] = filtered_dict[
                    chart_number_date_format_negative_sign
                ]
        self.state["state"]["seat_format"][
            "strip_zeros"
        ] = chart_number_date_format_strip_zeros
        self.state["state"]["seat_format"][
            "strip_separator"
        ] = chart_number_date_format_strip_separator
        self.state["state"]["seat_format"][
            "transform_labels"
        ] = chart_number_date_format_transform_labels

        list_chart_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_number_date_format_transform
            not in list_chart_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_number_date_format_transform
            in list_chart_number_date_format_transform
            and chart_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["seat_format"]["transform"] = filtered_dict[
                    chart_number_date_format_transform
                ]
        self.state["state"]["seat_format"][
            "multiply_divide_constant"
        ] = chart_number_date_format_multiply_divide_constant
        self.state["state"]["seat_format"][
            "exponentiate_constant"
        ] = chart_number_date_format_exponentiate_constant
        self.state["state"][
            "majority_threshold_line_enabled"
        ] = majority_threshold_line_enabled
        self.state["state"][
            "majority_threshold_line_content"
        ] = majority_threshold_line_content
        self.state["state"][
            "majority_threshold_line_text_color"
        ] = majority_threshold_line_text_color
        self.state["state"][
            "majority_threshold_line_dashoffset"
        ] = majority_threshold_line_dashoffset
        self.state["state"][
            "majority_threshold_line_width"
        ] = majority_threshold_line_width
        self.state["state"][
            "majority_threshold_line_color"
        ] = majority_threshold_line_color
        self.state["state"]["animation_duration"] = animation_duration
        self.state["state"]["animation_stagger"] = animation_stagger
        self.state["state"]["animate_on_load"] = animate_on_load

        list_chart_filter_controls_control_type = ["dropdown", "buttons", "slider"] + [
            None
        ]
        if (
            chart_filter_controls_control_type
            not in list_chart_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_filter_controls_control_type
            in list_chart_filter_controls_control_type
            and chart_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls"]["control_type"] = filtered_dict[
                    chart_filter_controls_control_type
                ]
        self.state["state"]["controls"][
            "control_styles"
        ] = chart_filter_controls_control_styles
        self.state["state"]["controls"][
            "control_title"
        ] = chart_filter_controls_control_title

        list_chart_filter_controls_button_group = [True, False] + [None]
        if (
            chart_filter_controls_button_group
            not in list_chart_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_button_group
            in list_chart_filter_controls_button_group
            and chart_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls"]["button_group"] = filtered_dict[
                    chart_filter_controls_button_group
                ]

        list_chart_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_filter_controls_button_group_width_mode
            not in list_chart_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_button_group_width_mode
            in list_chart_filter_controls_button_group_width_mode
            and chart_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_filter_controls_button_group_width_mode]
        self.state["state"]["controls"][
            "button_group_width_fixed"
        ] = chart_filter_controls_button_group_width_fixed

        list_chart_filter_controls_dropdown_width_mode = ["auto", "full", "fixed"] + [
            None
        ]
        if (
            chart_filter_controls_dropdown_width_mode
            not in list_chart_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_dropdown_width_mode
            in list_chart_filter_controls_dropdown_width_mode
            and chart_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls"]["dropdown_width_mode"] = filtered_dict[
                    chart_filter_controls_dropdown_width_mode
                ]
        self.state["state"]["controls"][
            "dropdown_width_fixed"
        ] = chart_filter_controls_dropdown_width_fixed
        self.state["state"]["controls"][
            "slider_width"
        ] = chart_filter_controls_slider_width
        self.state["state"]["controls"][
            "slider_max_label_width"
        ] = chart_filter_controls_slider_max_label_width
        self.state["state"]["controls"][
            "slider_step_time"
        ] = chart_filter_controls_slider_step_time
        self.state["state"]["controls"][
            "slider_loop"
        ] = chart_filter_controls_slider_loop
        self.state["state"]["controls"][
            "slider_restart_pause"
        ] = chart_filter_controls_slider_restart_pause

        list_chart_filter_controls_sort = [True, False] + [None]
        if chart_filter_controls_sort not in list_chart_filter_controls_sort:
            raise ValueError(
                f"`chart_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_sort in list_chart_filter_controls_sort
            and chart_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls"]["sort"] = filtered_dict[
                    chart_filter_controls_sort
                ]
        self.state["state"]["controls_style"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_style"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["controls_style"]["height"] = chart_controls_style_height
        self.state["state"]["button_style"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["button_style"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["button_style"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["button_style"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["button_style"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["button_style"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["button_style"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["button_style"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["button_style"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["button_style"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["button_style"][
            "border_radius"
        ] = chart_button_control_style_border_radius
        self.state["state"]["dropdown_style"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["dropdown_style"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["dropdown_style"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown_style"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["dropdown_style"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["dropdown_style"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["dropdown_style"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["dropdown_style"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius
        self.state["state"]["slider_style"][
            "track_color"
        ] = chart_slider_control_style_track_color
        self.state["state"]["slider_style"][
            "font_color"
        ] = chart_slider_control_style_font_color
        self.state["state"]["slider_style"][
            "handle_color"
        ] = chart_slider_control_style_handle_color
        self.state["state"]["slider_style"][
            "play_color"
        ] = chart_slider_control_style_play_color
        self.state["state"]["slider_style"][
            "track_height"
        ] = chart_slider_control_style_track_height
        self.state["state"]["slider_style"][
            "handle_height"
        ] = chart_slider_control_style_handle_height
        self.state["state"]["slider_style"][
            "play_button"
        ] = chart_slider_control_style_play_button

        list_chart_filter_controls_container_alignment = ["start", "center", "end"] + [
            None
        ]
        if (
            chart_filter_controls_container_alignment
            not in list_chart_filter_controls_container_alignment
        ):
            raise ValueError(
                f"`chart_filter_controls_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_filter_controls_container_alignment
            in list_chart_filter_controls_container_alignment
            and chart_filter_controls_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_filter_controls_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_container"]["alignment"] = filtered_dict[
                    chart_filter_controls_container_alignment
                ]
        self.state["state"]["controls_container"][
            "controls_spacing"
        ] = chart_filter_controls_container_controls_spacing

        list_chart_number_localization_input_decimal_separator = [".", ","] + [None]
        if (
            chart_number_localization_input_decimal_separator
            not in list_chart_number_localization_input_decimal_separator
        ):
            raise ValueError(
                f"`chart_number_localization_input_decimal_separator` must be one of: ['.', ',']"
            )
        elif (
            chart_number_localization_input_decimal_separator
            in list_chart_number_localization_input_decimal_separator
            and chart_number_localization_input_decimal_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {".": ".", ",": ","}.items()
                if chart_number_localization_input_decimal_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "input_decimal_separator"
                ] = filtered_dict[chart_number_localization_input_decimal_separator]

        list_chart_number_localization_output_separators = [
            ",.",
            ".,",
            ".",
            ",",
            " .",
            " ,",
        ] + [None]
        if (
            chart_number_localization_output_separators
            not in list_chart_number_localization_output_separators
        ):
            raise ValueError(
                f"`chart_number_localization_output_separators` must be one of: [',.', '.,', '.', ',', ' .', ' ,']"
            )
        elif (
            chart_number_localization_output_separators
            in list_chart_number_localization_output_separators
            and chart_number_localization_output_separators is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ",.": ",.",
                    ".,": ".,",
                    ".": ".",
                    ",": ",",
                    " .": " .",
                    " ,": " ,",
                }.items()
                if chart_number_localization_output_separators in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "output_separators"
                ] = filtered_dict[chart_number_localization_output_separators]
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_photo_slider_details(
        self,
        mode: str = None,
        spotlight_size: float = None,
        spotlight_blur: float = None,
        spotlight_speed: float = None,
        photo_1_big: str = None,
        has_photo_1_small: bool = None,
        photo_1_small: str = None,
        photo_2_big: str = None,
        has_photo_2_small: bool = None,
        photo_2_small: str = None,
        slider_radius: float = None,
        slider_fill_type: str = None,
        slider_fill_image: str = None,
        slider_fill_overlay: str = None,
        slider_fill_standalone: str = None,
        slider_line_thickness: float = None,
        slider_line_color: str = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: photo slider.


        :param mode: Before/after mode. Choices: slide, fade, spotlight. Flourish type hint: string, defaults to None.
        :type mode: str, optional
        :param spotlight_size: Spotlight size. Flourish type hint: number, defaults to None.
        :type spotlight_size: float, optional
        :param spotlight_blur: Spotlight blur. Flourish type hint: number, defaults to None.
        :type spotlight_blur: float, optional
        :param spotlight_speed: Spotlight animation. Time it takes to animate from one spotlight position to another in the story player Flourish type hint: number, defaults to None.
        :type spotlight_speed: float, optional
        :param photo_1_big: Flourish type hint: url, defaults to None.
        :type photo_1_big: str, optional
        :param has_photo_1_small: Add smaller version for mobile. (Optional) Mobile versions will be loaded quicker on smaller screens. Flourish type hint: boolean, defaults to None.
        :type has_photo_1_small: bool, optional
        :param photo_1_small: Photo 1 (mobile version). This picture should be roughly 500px wide. Flourish type hint: url, defaults to None.
        :type photo_1_small: str, optional
        :param photo_2_big: Flourish type hint: url, defaults to None.
        :type photo_2_big: str, optional
        :param has_photo_2_small: Add smaller version for mobile. (Optional) Mobile versions will be loaded quicker on smaller screens. Flourish type hint: boolean, defaults to None.
        :type has_photo_2_small: bool, optional
        :param photo_2_small: Photo 2 (mobile version). This picture should be roughly 500px wide. Flourish type hint: url, defaults to None.
        :type photo_2_small: str, optional
        :param slider_radius: Size. Flourish type hint: number, defaults to None.
        :type slider_radius: float, optional
        :param slider_fill_type: Type. Choices: color, image. Flourish type hint: string, defaults to None.
        :type slider_fill_type: str, optional
        :param slider_fill_image: Image. Flourish type hint: url, defaults to None.
        :type slider_fill_image: str, optional
        :param slider_fill_overlay: Fill. Flourish type hint: color, defaults to None.
        :type slider_fill_overlay: str, optional
        :param slider_fill_standalone: Fill (outside picture). Flourish type hint: color, defaults to None.
        :type slider_fill_standalone: str, optional
        :param slider_line_thickness: Slider line thickness. Flourish type hint: number, defaults to None.
        :type slider_line_thickness: float, optional
        :param slider_line_color: Slider line color. Flourish type hint: color, defaults to None.
        :type slider_line_color: str, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        list_mode = ["slide", "fade", "spotlight"] + [None]
        if mode not in list_mode:
            raise ValueError(f"`mode` must be one of: ['slide', 'fade', 'spotlight']")
        elif mode in list_mode and mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "slide": "slide",
                    "fade": "fade",
                    "spotlight": "spotlight",
                }.items()
                if mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["mode"] = filtered_dict[mode]
        self.state["state"]["spotlight_size"] = spotlight_size
        self.state["state"]["spotlight_blur"] = spotlight_blur
        self.state["state"]["spotlight_speed"] = spotlight_speed
        self.state["state"]["photo_1_big"] = photo_1_big
        self.state["state"]["has_photo_1_small"] = has_photo_1_small
        self.state["state"]["photo_1_small"] = photo_1_small
        self.state["state"]["photo_2_big"] = photo_2_big
        self.state["state"]["has_photo_2_small"] = has_photo_2_small
        self.state["state"]["photo_2_small"] = photo_2_small
        self.state["state"]["slider_radius"] = slider_radius

        list_slider_fill_type = ["color", "image"] + [None]
        if slider_fill_type not in list_slider_fill_type:
            raise ValueError(f"`slider_fill_type` must be one of: ['color', 'image']")
        elif slider_fill_type in list_slider_fill_type and slider_fill_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"color": "color", "image": "image"}.items()
                if slider_fill_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["slider_fill_type"] = filtered_dict[
                    slider_fill_type
                ]
        self.state["state"]["slider_fill_image"] = slider_fill_image
        self.state["state"]["slider_fill_overlay"] = slider_fill_overlay
        self.state["state"]["slider_fill_standalone"] = slider_fill_standalone
        self.state["state"]["slider_line_thickness"] = slider_line_thickness
        self.state["state"]["slider_line_color"] = slider_line_color
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_pictogram_details(
        self,
        bar_orientation: str = None,
        flip_bars: bool = None,
        bar_padding: float = None,
        plot_aspect_ratio: float = None,
        plot_aspect_ratio_mobile: float = None,
        plot_aspect_ratio_breakpoint: float = None,
        icons: str = None,
        icon_padding: float = None,
        auto_icon_value: bool = None,
        icon_value: float = None,
        icon_color: str = None,
        icon_style: str = None,
        icon_stroke_thickness: float = None,
        use_filler_icons: bool = None,
        filler_icon_color: str = None,
        max_bar_value: float = None,
        fill_final_row: bool = None,
        filler_icons: str = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        show_bar_labels: bool = None,
        bar_label_size: float = None,
        bar_label_color: str = None,
        bar_label_weight: str = None,
        chart_x_axis_axis_position: str = None,
        chart_x_axis_y_axis_position: str = None,
        chart_x_axis_numeric_scale_type: str = None,
        chart_x_axis_linear_min: float = None,
        chart_x_axis_linear_max: float = None,
        chart_x_axis_log_min: float = None,
        chart_x_axis_log_max: float = None,
        chart_x_axis_datetime_min: str = None,
        chart_x_axis_datetime_max: str = None,
        chart_x_axis_flip: bool = None,
        chart_x_axis_show_scale_settings: bool = None,
        chart_x_axis_nice: bool = None,
        chart_x_axis_zero_axis: str = None,
        chart_x_axis_title_mode: str = None,
        chart_x_axis_title: str = None,
        chart_x_axis_title_styling: bool = None,
        chart_x_axis_title_weight: str = None,
        chart_x_axis_title_color: str = None,
        chart_x_axis_title_size: float = None,
        chart_x_axis_title_padding: float = None,
        chart_x_axis_tick_label_position: str = None,
        chart_x_axis_tick_label_styling: bool = None,
        chart_x_axis_tick_label_size: float = None,
        chart_x_axis_tick_label_color: str = None,
        chart_x_axis_tick_padding: float = None,
        chart_x_axis_tick_label_angle: str = None,
        chart_x_axis_tick_label_weight: str = None,
        chart_x_axis_tick_label_max_lines: float = None,
        chart_x_axis_tick_label_line_height: float = None,
        chart_x_axis_tick_label_space_mode: str = None,
        chart_x_axis_tick_label_space: float = None,
        chart_x_axis_tick_mode: str = None,
        chart_x_axis_tick_number: float = None,
        chart_x_axis_tick_custom: Union[list, str] = None,
        chart_x_axis_line_and_tick_color: str = None,
        chart_x_axis_line_and_tick_width: float = None,
        chart_x_axis_tick_length: float = None,
        chart_x_axis_tick_side: str = None,
        chart_x_axis_line_visible: bool = None,
        chart_x_axis_edge_padding: float = None,
        chart_x_axis_gridlines_visible: bool = None,
        chart_x_axis_gridlines_styling: bool = None,
        chart_x_axis_gridline_color: str = None,
        chart_x_axis_gridline_style: str = None,
        chart_x_axis_gridline_width: float = None,
        chart_x_axis_gridline_category_dividers: bool = None,
        chart_x_axis_gridline_category_dividers_extend: bool = None,
        chart_number_localization_input_decimal_separator: str = None,
        chart_number_localization_output_separators: str = None,
        chart_number_date_format_prefix: str = None,
        chart_number_date_format_suffix: str = None,
        chart_number_date_format_n_dec: float = None,
        chart_number_date_format_advanced: bool = None,
        chart_number_date_format_negative_sign: str = None,
        chart_number_date_format_strip_zeros: bool = None,
        chart_number_date_format_strip_separator: bool = None,
        chart_number_date_format_transform_labels: bool = None,
        chart_number_date_format_transform: str = None,
        chart_number_date_format_multiply_divide_constant: float = None,
        chart_number_date_format_exponentiate_constant: float = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        chart_value_legend_show_legend: bool = None,
        chart_value_legend_title_mode: str = None,
        chart_value_legend_title: str = None,
        chart_value_legend_swatch_width: float = None,
        chart_value_legend_swatch_height: float = None,
        chart_value_legend_swatch_radius: float = None,
        chart_value_legend_legend_items_padding: float = None,
        chart_value_legend_swatch_outline: bool = None,
        chart_value_legend_swatch_outline_color: str = None,
        chart_value_legend_order_override: Union[list, str] = None,
        chart_value_legend_icon_height: float = None,
        chart_value_legend_icon_color: str = None,
        chart_value_legend_max_width: float = None,
        chart_value_legend_orientation: str = None,
        value_legend_icon: str = None,
        chart_icon_legend_show_legend: bool = None,
        chart_icon_legend_title_mode: str = None,
        chart_icon_legend_title: str = None,
        chart_icon_legend_swatch_width: float = None,
        chart_icon_legend_swatch_height: float = None,
        chart_icon_legend_swatch_radius: float = None,
        chart_icon_legend_legend_items_padding: float = None,
        chart_icon_legend_swatch_outline: bool = None,
        chart_icon_legend_swatch_outline_color: str = None,
        chart_icon_legend_order_override: Union[list, str] = None,
        chart_icon_legend_icon_height: float = None,
        chart_icon_legend_icon_color: str = None,
        chart_icon_legend_max_width: float = None,
        chart_icon_legend_orientation: str = None,
        chart_color_legend_show_legend: bool = None,
        chart_color_legend_title_mode: str = None,
        chart_color_legend_title: str = None,
        chart_color_legend_swatch_width: float = None,
        chart_color_legend_swatch_height: float = None,
        chart_color_legend_swatch_radius: float = None,
        chart_color_legend_legend_items_padding: float = None,
        chart_color_legend_swatch_outline: bool = None,
        chart_color_legend_swatch_outline_color: str = None,
        chart_color_legend_order_override: Union[list, str] = None,
        chart_color_legend_icon_height: float = None,
        chart_color_legend_icon_color: str = None,
        chart_color_legend_max_width: float = None,
        chart_color_legend_orientation: str = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_custom_accessible: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        value_control_visibility: str = None,
        chart_value_filter_controls_control_type: str = None,
        chart_value_filter_controls_control_styles: bool = None,
        chart_value_filter_controls_control_title: str = None,
        chart_value_filter_controls_button_group: bool = None,
        chart_value_filter_controls_button_group_width_mode: str = None,
        chart_value_filter_controls_button_group_width_fixed: float = None,
        chart_value_filter_controls_dropdown_width_mode: str = None,
        chart_value_filter_controls_dropdown_width_fixed: float = None,
        chart_value_filter_controls_slider_width: float = None,
        chart_value_filter_controls_slider_max_label_width: float = None,
        chart_value_filter_controls_slider_step_time: float = None,
        chart_value_filter_controls_slider_loop: bool = None,
        chart_value_filter_controls_slider_restart_pause: float = None,
        chart_value_filter_controls_sort: bool = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_slider_control_style_track_color: str = None,
        chart_slider_control_style_font_color: str = None,
        chart_slider_control_style_handle_color: str = None,
        chart_slider_control_style_play_color: str = None,
        chart_slider_control_style_track_height: float = None,
        chart_slider_control_style_handle_height: float = None,
        chart_slider_control_style_play_button: bool = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: pictogram.


        :param bar_orientation: Bar orientation. Choices: vertical, horizontal. Defines the orientation of the bars (vertical or horizontal). Flourish type hint: string, defaults to None.
        :type bar_orientation: str, optional
        :param flip_bars: Flip bars. Flip the bars so they point in the opposite direction. Flourish type hint: boolean, defaults to None.
        :type flip_bars: bool, optional
        :param bar_padding: Bar padding (%). Padding surrounding bars (as a percentage of bar width). Flourish type hint: number, defaults to None.
        :type bar_padding: float, optional
        :param plot_aspect_ratio: Aspect (desktop). The aspect ratio of the pictogram plot in desktop mode, where 1 is square, above 1 is wider, and below 1 is taller.  This only applies when embedding using a script (i.e., not AMP or iframe ). Flourish type hint: number, defaults to None.
        :type plot_aspect_ratio: float, optional
        :param plot_aspect_ratio_mobile: Aspect (mobile). The aspect ratio of the pictogram plot in mobile mode, where 1 is square, above 1 is wider, and below 1 is taller.  This only applies when embedding using a script (i.e., not AMP or iframe ). Flourish type hint: number, defaults to None.
        :type plot_aspect_ratio_mobile: float, optional
        :param plot_aspect_ratio_breakpoint: Breakpoint. The screen width at which mobile mode ends and desktop begins.  This only applies when embedding using a script (i.e., not AMP or iframe ). Flourish type hint: number, defaults to None.
        :type plot_aspect_ratio_breakpoint: float, optional
        :param icons: Icons. Choices: binding, user, female, male, baby, child, wheelchair, angry, frown, meh, smile, smile-beam, thumbs-up, thumbs-down, hands-helping, hand-rock, hand-peace, dollar-sign, euro-sign, money-bill, money-bill-wave, pound-sign, coins, shopping-bag, shopping-cart, circle, square, star, heart, comment, cat, dog, dove, bus, car, biking, running, plane, suitcase, pizza-slice, ice-cream, coffee, wine-glass-alt, building, home, store, industry, database, laptop, microchip, phone, mobile-alt, tv, clock, atom, award, music, leaf, lightbulb, sun, wrench, airbnb, amazon, android, apple, bitcoin, facebook, google, linux, microsoft, twitter, windows, youtube. Use your own icons using icon bindings, or choose a built-in icon Flourish type hint: string, defaults to None.
        :type icons: str, optional
        :param icon_padding: Icon padding (%). Padding surrounding icons (as a percentage of the icon size). Flourish type hint: number, defaults to None.
        :type icon_padding: float, optional
        :param auto_icon_value: Auto icon value. Automatically calculate a sensible value for each icon. Flourish type hint: boolean, defaults to None.
        :type auto_icon_value: bool, optional
        :param icon_value: Icon value. The value that each icon represents. Flourish type hint: number, defaults to None.
        :type icon_value: float, optional
        :param icon_color: Icon color. The color of the icons. Flourish type hint: color, defaults to None.
        :type icon_color: str, optional
        :param icon_style: Icon style. Choices: solid, outline. The style (solid or outline) of the icons. Flourish type hint: string, defaults to None.
        :type icon_style: str, optional
        :param icon_stroke_thickness: Icon outline thickness (%). The outline thickness (as a percentage of the icon size). Flourish type hint: number, defaults to None.
        :type icon_stroke_thickness: float, optional
        :param use_filler_icons: Use filler icons. Fill empty space with icons Flourish type hint: boolean, defaults to None.
        :type use_filler_icons: bool, optional
        :param filler_icon_color: Filler icon color. Color of filler icons. Flourish type hint: color, defaults to None.
        :type filler_icon_color: str, optional
        :param max_bar_value: Maximum bar value. (Optional) Maximum bar value (the remaining bar space will be filled with filler icons ).  A value less than the largest bar value is disregarded. Flourish type hint: number, defaults to None.
        :type max_bar_value: float, optional
        :param fill_final_row: Fill final row. Fill the final row of icons with filler icons (so that a grid of icons is formed). Flourish type hint: boolean, defaults to None.
        :type fill_final_row: bool, optional
        :param filler_icons: Filler icon. Choices: auto, user, female, male, baby, child, wheelchair, angry, frown, meh, smile, smile-beam, thumbs-up, thumbs-down, hands-helping, hand-rock, hand-peace, dollar-sign, euro-sign, money-bill, money-bill-wave, pound-sign, coins, shopping-bag, shopping-cart, circle, square, star, heart, comment, cat, dog, dove, bus, car, biking, running, plane, suitcase, pizza-slice, ice-cream, coffee, wine-glass-alt, building, home, store, industry, database, laptop, microchip, phone, mobile-alt, tv, clock, atom, award, music, leaf, lightbulb, sun, wrench, airbnb, amazon, android, apple, bitcoin, facebook, google, linux, microsoft, twitter, windows, youtube. Icon used to fill remaining space. Flourish type hint: string, defaults to None.
        :type filler_icons: str, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param show_bar_labels: Show bar labels. Flourish type hint: boolean, defaults to None.
        :type show_bar_labels: bool, optional
        :param bar_label_size: Size. Bar label size in rems (relative to the root font size). Flourish type hint: number, defaults to None.
        :type bar_label_size: float, optional
        :param bar_label_color: Color. Bar label color. Flourish type hint: color, defaults to None.
        :type bar_label_color: str, optional
        :param bar_label_weight: Weight. Choices: normal, bold. Bar label font weight. Flourish type hint: string, defaults to None.
        :type bar_label_weight: str, optional
        :param chart_x_axis_axis_position: Position. Choices: bottom, float-below, float-above, top, off. Flourish type hint: string, defaults to None.
        :type chart_x_axis_axis_position: str, optional
        :param chart_x_axis_y_axis_position: Y value. Vertical position of the X axis on the Y scale. Flourish type hint: string, defaults to None.
        :type chart_x_axis_y_axis_position: str, optional
        :param chart_x_axis_numeric_scale_type: Type. Choices: linear, log. Flourish type hint: string, defaults to None.
        :type chart_x_axis_numeric_scale_type: str, optional
        :param chart_x_axis_linear_min: Min. Flourish type hint: number, defaults to None.
        :type chart_x_axis_linear_min: float, optional
        :param chart_x_axis_linear_max: Max. Flourish type hint: number, defaults to None.
        :type chart_x_axis_linear_max: float, optional
        :param chart_x_axis_log_min: Min. Flourish type hint: number, defaults to None.
        :type chart_x_axis_log_min: float, optional
        :param chart_x_axis_log_max: Max. Flourish type hint: number, defaults to None.
        :type chart_x_axis_log_max: float, optional
        :param chart_x_axis_datetime_min: Min (date). Flourish type hint: string, defaults to None.
        :type chart_x_axis_datetime_min: str, optional
        :param chart_x_axis_datetime_max: Max (date). Flourish type hint: string, defaults to None.
        :type chart_x_axis_datetime_max: str, optional
        :param chart_x_axis_flip: Flip axis. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_flip: bool, optional
        :param chart_x_axis_show_scale_settings: Configure default min/max. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_show_scale_settings: bool, optional
        :param chart_x_axis_nice: Round min/max. Choices: True, False. Enabling this option rounds the X axis start and end values to tidy numbers, such as 0, 50, 100 or whole years. Specified min and max values will override this feature. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_nice: bool, optional
        :param chart_x_axis_zero_axis: Include zero. Choices: auto, on, off. Enable to extend the axis to include zero, even when data is all positive or all negative. This is ignored if you set specific min and max scale values. Flourish type hint: string, defaults to None.
        :type chart_x_axis_zero_axis: str, optional
        :param chart_x_axis_title_mode: Type. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title_mode: str, optional
        :param chart_x_axis_title: Text. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title: str, optional
        :param chart_x_axis_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_title_styling: bool, optional
        :param chart_x_axis_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title_weight: str, optional
        :param chart_x_axis_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_title_color: str, optional
        :param chart_x_axis_title_size: Size. Flourish type hint: number, defaults to None.
        :type chart_x_axis_title_size: float, optional
        :param chart_x_axis_title_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_x_axis_title_padding: float, optional
        :param chart_x_axis_tick_label_position: Position. Choices: default, left, right. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_position: str, optional
        :param chart_x_axis_tick_label_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_tick_label_styling: bool, optional
        :param chart_x_axis_tick_label_size: Size. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_size: float, optional
        :param chart_x_axis_tick_label_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_tick_label_color: str, optional
        :param chart_x_axis_tick_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_padding: float, optional
        :param chart_x_axis_tick_label_angle: Angle. Choices: 0, 30, 45, 60, 90. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_angle: str, optional
        :param chart_x_axis_tick_label_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_weight: str, optional
        :param chart_x_axis_tick_label_max_lines: Max lines. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_max_lines: float, optional
        :param chart_x_axis_tick_label_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_line_height: float, optional
        :param chart_x_axis_tick_label_space_mode: Space mode. Choices: auto, max, fixed. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_space_mode: str, optional
        :param chart_x_axis_tick_label_space: Space. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_space: float, optional
        :param chart_x_axis_tick_mode: Mode. Choices: auto, number, custom. Sets the method for selecting tick values on the axis:  Auto automatically selects the ticks  Number allows you to choose the number of ticks to display.  Custom lets you select specific ticks to show.  Note: If the axis is categorical, Number mode is ignored. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_mode: str, optional
        :param chart_x_axis_tick_number: Number. Approximate number of ticks or gridlines. The actual number will depend on the range of values, chart size, etc. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_number: float, optional
        :param chart_x_axis_tick_custom: One tick label per line. Specify the ticks to show, one per line. For dates, use the input format as specified in the datasheet.  You can also use `{{FIRST}}` and `{{LAST}}` to add ticks at the minimum and maximum of the axis. For example:  `{{FIRST}}` 25000 50000 75000 `{{LAST}}`. Flourish type hint: text, defaults to None.
        :type chart_x_axis_tick_custom: Union[list, str], optional
        :param chart_x_axis_line_and_tick_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_line_and_tick_color: str, optional
        :param chart_x_axis_line_and_tick_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_x_axis_line_and_tick_width: float, optional
        :param chart_x_axis_tick_length: Tick length. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_length: float, optional
        :param chart_x_axis_tick_side: Tick side. Choices: out, in. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_side: str, optional
        :param chart_x_axis_line_visible: Axis line. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_line_visible: bool, optional
        :param chart_x_axis_edge_padding: Edge padding (%). Space between start/end of axis line and first/last category tick as a percentage of the spacing between ticks. Flourish type hint: number, defaults to None.
        :type chart_x_axis_edge_padding: float, optional
        :param chart_x_axis_gridlines_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridlines_visible: bool, optional
        :param chart_x_axis_gridlines_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridlines_styling: bool, optional
        :param chart_x_axis_gridline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_gridline_color: str, optional
        :param chart_x_axis_gridline_style: Style. Choices: solid, dash, dot, dot_dash. Flourish type hint: string, defaults to None.
        :type chart_x_axis_gridline_style: str, optional
        :param chart_x_axis_gridline_width: Width. Flourish type hint: number, defaults to None.
        :type chart_x_axis_gridline_width: float, optional
        :param chart_x_axis_gridline_category_dividers: Put lines between categories. On a categorical axis, this option disables the gridline on each tick and instead adds rules between each category to give a table-like design. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridline_category_dividers: bool, optional
        :param chart_x_axis_gridline_category_dividers_extend: Extend. Extends the dividers into the axis margins. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridline_category_dividers_extend: bool, optional
        :param chart_number_localization_input_decimal_separator: Decimal separator in data sheet. Choices: ., ,. Used for interpreting your data. Only change if data is not displaying on the chart as expected. Flourish type hint: string, defaults to None.
        :type chart_number_localization_input_decimal_separator: str, optional
        :param chart_number_localization_output_separators: Number format to display. Choices: ,., .,, ., ,, ., ,. How the numbers should appear on chart labels. Flourish type hint: string, defaults to None.
        :type chart_number_localization_output_separators: str, optional
        :param chart_number_date_format_prefix: Prefix. Text to place in front of number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_prefix: str, optional
        :param chart_number_date_format_suffix: Suffix. Text to place after number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_suffix: str, optional
        :param chart_number_date_format_n_dec: Decimal places. Enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_number_date_format_n_dec: float, optional
        :param chart_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_advanced: bool, optional
        :param chart_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_negative_sign: str, optional
        :param chart_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_zeros: bool, optional
        :param chart_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_separator: bool, optional
        :param chart_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_transform_labels: bool, optional
        :param chart_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_transform: str, optional
        :param chart_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_multiply_divide_constant: float, optional
        :param chart_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_exponentiate_constant: float, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param chart_value_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_value_legend_show_legend: bool, optional
        :param chart_value_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_value_legend_title_mode: str, optional
        :param chart_value_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_value_legend_title: str, optional
        :param chart_value_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_value_legend_swatch_width: float, optional
        :param chart_value_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_value_legend_swatch_height: float, optional
        :param chart_value_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_value_legend_swatch_radius: float, optional
        :param chart_value_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_value_legend_legend_items_padding: float, optional
        :param chart_value_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_value_legend_swatch_outline: bool, optional
        :param chart_value_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_value_legend_swatch_outline_color: str, optional
        :param chart_value_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_value_legend_order_override: Union[list, str], optional
        :param chart_value_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_value_legend_icon_height: float, optional
        :param chart_value_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_value_legend_icon_color: str, optional
        :param chart_value_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_value_legend_max_width: float, optional
        :param chart_value_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_value_legend_orientation: str, optional
        :param value_legend_icon: Icon. Choices: auto, user, female, male, baby, child, wheelchair, angry, frown, meh, smile, smile-beam, thumbs-up, thumbs-down, hands-helping, hand-rock, hand-peace, dollar-sign, euro-sign, money-bill, money-bill-wave, pound-sign, coins, shopping-bag, shopping-cart, circle, square, star, heart, comment, cat, dog, dove, bus, car, biking, running, plane, suitcase, pizza-slice, ice-cream, coffee, wine-glass-alt, building, home, store, industry, database, laptop, microchip, phone, mobile-alt, tv, clock, atom, award, music, leaf, lightbulb, sun, wrench, airbnb, amazon, android, apple, bitcoin, facebook, google, linux, microsoft, twitter, windows, youtube. Icon used in legend. Flourish type hint: string, defaults to None.
        :type value_legend_icon: str, optional
        :param chart_icon_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_icon_legend_show_legend: bool, optional
        :param chart_icon_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_icon_legend_title_mode: str, optional
        :param chart_icon_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_icon_legend_title: str, optional
        :param chart_icon_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_icon_legend_swatch_width: float, optional
        :param chart_icon_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_icon_legend_swatch_height: float, optional
        :param chart_icon_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_icon_legend_swatch_radius: float, optional
        :param chart_icon_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_icon_legend_legend_items_padding: float, optional
        :param chart_icon_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_icon_legend_swatch_outline: bool, optional
        :param chart_icon_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_icon_legend_swatch_outline_color: str, optional
        :param chart_icon_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_icon_legend_order_override: Union[list, str], optional
        :param chart_icon_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_icon_legend_icon_height: float, optional
        :param chart_icon_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_icon_legend_icon_color: str, optional
        :param chart_icon_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_icon_legend_max_width: float, optional
        :param chart_icon_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_icon_legend_orientation: str, optional
        :param chart_color_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_color_legend_show_legend: bool, optional
        :param chart_color_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_color_legend_title_mode: str, optional
        :param chart_color_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_color_legend_title: str, optional
        :param chart_color_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_color_legend_swatch_width: float, optional
        :param chart_color_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_color_legend_swatch_height: float, optional
        :param chart_color_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_color_legend_swatch_radius: float, optional
        :param chart_color_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_color_legend_legend_items_padding: float, optional
        :param chart_color_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_color_legend_swatch_outline: bool, optional
        :param chart_color_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_color_legend_swatch_outline_color: str, optional
        :param chart_color_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_color_legend_order_override: Union[list, str], optional
        :param chart_color_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_color_legend_icon_height: float, optional
        :param chart_color_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_color_legend_icon_color: str, optional
        :param chart_color_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_color_legend_max_width: float, optional
        :param chart_color_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_color_legend_orientation: str, optional
        :param chart_popup_mode: Choices: none, popup, panel, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML styling or add category colors to popup headers.  To hide parts of the popup when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML for designs, styles, and images.  To hide parts of the popup when a column is empty use the syntax `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_custom_accessible: Popup custom accessible content. A text alternative to visual custom popup content that will be read out by screenreaders. This content is added as an aria-label attribute to data point elements. You can still use `{{column_name}}` to add values from your data, but do not use HTML. For example: `{{Name}}, Population: {{Population}}, GDP: {{GDP}}`. If left empty, accessible content will fallback to the default popup content. Flourish type hint: text, defaults to None.
        :type chart_popup_popup_custom_accessible: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for styling or add category colors to panel headers.  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for designs, styles, images, videos and embedded Flourish charts,  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing Click position is especially useful when your visualization is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param value_control_visibility: Show value control. Choices: always, editor, never. Sets whether the value control is always visible, only visible when editing or never visible. Flourish type hint: string, defaults to None.
        :type value_control_visibility: str, optional
        :param chart_value_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_value_filter_controls_control_type: str, optional
        :param chart_value_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_value_filter_controls_control_styles: bool, optional
        :param chart_value_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_value_filter_controls_control_title: str, optional
        :param chart_value_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_value_filter_controls_button_group: bool, optional
        :param chart_value_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_value_filter_controls_button_group_width_mode: str, optional
        :param chart_value_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_value_filter_controls_button_group_width_fixed: float, optional
        :param chart_value_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_value_filter_controls_dropdown_width_mode: str, optional
        :param chart_value_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_value_filter_controls_dropdown_width_fixed: float, optional
        :param chart_value_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_value_filter_controls_slider_width: float, optional
        :param chart_value_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_value_filter_controls_slider_max_label_width: float, optional
        :param chart_value_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_value_filter_controls_slider_step_time: float, optional
        :param chart_value_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_value_filter_controls_slider_loop: bool, optional
        :param chart_value_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_value_filter_controls_slider_restart_pause: float, optional
        :param chart_value_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_value_filter_controls_sort: bool, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Dropdown border styles. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_slider_control_style_track_color: Track. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_track_color: str, optional
        :param chart_slider_control_style_font_color: Text. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_font_color: str, optional
        :param chart_slider_control_style_handle_color: Handle. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_handle_color: str, optional
        :param chart_slider_control_style_play_color: Play/pause. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_play_color: str, optional
        :param chart_slider_control_style_track_height: Track height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_track_height: float, optional
        :param chart_slider_control_style_handle_height: Height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_handle_height: float, optional
        :param chart_slider_control_style_play_button: Play button. Flourish type hint: boolean, defaults to None.
        :type chart_slider_control_style_play_button: bool, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "color": {},
                "axis": {},
                "number_localization": {},
                "number_format": {},
                "legend_container": {},
                "value_legend": {},
                "icon_legend": {},
                "color_legend": {},
                "popup": {},
                "value_control": {},
                "controls_style": {},
                "dropdown_style": {},
                "button_style": {},
                "slider_style": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        list_bar_orientation = ["vertical", "horizontal"] + [None]
        if bar_orientation not in list_bar_orientation:
            raise ValueError(
                f"`bar_orientation` must be one of: ['vertical', 'horizontal']"
            )
        elif bar_orientation in list_bar_orientation and bar_orientation is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "vertical": "vertical",
                    "horizontal": "horizontal",
                }.items()
                if bar_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["bar_orientation"] = filtered_dict[bar_orientation]
        self.state["state"]["flip_bars"] = flip_bars
        self.state["state"]["bar_padding"] = bar_padding
        self.state["state"]["plot_aspect_ratio"] = plot_aspect_ratio
        self.state["state"]["plot_aspect_ratio_mobile"] = plot_aspect_ratio_mobile
        self.state["state"][
            "plot_aspect_ratio_breakpoint"
        ] = plot_aspect_ratio_breakpoint

        list_icons = [
            "binding",
            "user",
            "female",
            "male",
            "baby",
            "child",
            "wheelchair",
            "angry",
            "frown",
            "meh",
            "smile",
            "smile-beam",
            "thumbs-up",
            "thumbs-down",
            "hands-helping",
            "hand-rock",
            "hand-peace",
            "dollar-sign",
            "euro-sign",
            "money-bill",
            "money-bill-wave",
            "pound-sign",
            "coins",
            "shopping-bag",
            "shopping-cart",
            "circle",
            "square",
            "star",
            "heart",
            "comment",
            "cat",
            "dog",
            "dove",
            "bus",
            "car",
            "biking",
            "running",
            "plane",
            "suitcase",
            "pizza-slice",
            "ice-cream",
            "coffee",
            "wine-glass-alt",
            "building",
            "home",
            "store",
            "industry",
            "database",
            "laptop",
            "microchip",
            "phone",
            "mobile-alt",
            "tv",
            "clock",
            "atom",
            "award",
            "music",
            "leaf",
            "lightbulb",
            "sun",
            "wrench",
            "airbnb",
            "amazon",
            "android",
            "apple",
            "bitcoin",
            "facebook",
            "google",
            "linux",
            "microsoft",
            "twitter",
            "windows",
            "youtube",
        ] + [None]
        if icons not in list_icons:
            raise ValueError(
                f"`icons` must be one of: ['binding', 'user', 'female', 'male', 'baby', 'child', 'wheelchair', 'angry', 'frown', 'meh', 'smile', 'smile-beam', 'thumbs-up', 'thumbs-down', 'hands-helping', 'hand-rock', 'hand-peace', 'dollar-sign', 'euro-sign', 'money-bill', 'money-bill-wave', 'pound-sign', 'coins', 'shopping-bag', 'shopping-cart', 'circle', 'square', 'star', 'heart', 'comment', 'cat', 'dog', 'dove', 'bus', 'car', 'biking', 'running', 'plane', 'suitcase', 'pizza-slice', 'ice-cream', 'coffee', 'wine-glass-alt', 'building', 'home', 'store', 'industry', 'database', 'laptop', 'microchip', 'phone', 'mobile-alt', 'tv', 'clock', 'atom', 'award', 'music', 'leaf', 'lightbulb', 'sun', 'wrench', 'airbnb', 'amazon', 'android', 'apple', 'bitcoin', 'facebook', 'google', 'linux', 'microsoft', 'twitter', 'windows', 'youtube']"
            )
        elif icons in list_icons and icons is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "binding": "binding",
                    "user": "user",
                    "female": "female",
                    "male": "male",
                    "baby": "baby",
                    "child": "child",
                    "wheelchair": "wheelchair",
                    "angry": "angry",
                    "frown": "frown",
                    "meh": "meh",
                    "smile": "smile",
                    "smile-beam": "smile-beam",
                    "thumbs-up": "thumbs-up",
                    "thumbs-down": "thumbs-down",
                    "hands-helping": "hands-helping",
                    "hand-rock": "hand-rock",
                    "hand-peace": "hand-peace",
                    "dollar-sign": "dollar-sign",
                    "euro-sign": "euro-sign",
                    "money-bill": "money-bill",
                    "money-bill-wave": "money-bill-wave",
                    "pound-sign": "pound-sign",
                    "coins": "coins",
                    "shopping-bag": "shopping-bag",
                    "shopping-cart": "shopping-cart",
                    "circle": "circle",
                    "square": "square",
                    "star": "star",
                    "heart": "heart",
                    "comment": "comment",
                    "cat": "cat",
                    "dog": "dog",
                    "dove": "dove",
                    "bus": "bus",
                    "car": "car",
                    "biking": "biking",
                    "running": "running",
                    "plane": "plane",
                    "suitcase": "suitcase",
                    "pizza-slice": "pizza-slice",
                    "ice-cream": "ice-cream",
                    "coffee": "coffee",
                    "wine-glass-alt": "wine-glass-alt",
                    "building": "building",
                    "home": "home",
                    "store": "store",
                    "industry": "industry",
                    "database": "database",
                    "laptop": "laptop",
                    "microchip": "microchip",
                    "phone": "phone",
                    "mobile-alt": "mobile-alt",
                    "tv": "tv",
                    "clock": "clock",
                    "atom": "atom",
                    "award": "award",
                    "music": "music",
                    "leaf": "leaf",
                    "lightbulb": "lightbulb",
                    "sun": "sun",
                    "wrench": "wrench",
                    "airbnb": "airbnb",
                    "amazon": "amazon",
                    "android": "android",
                    "apple": "apple",
                    "bitcoin": "bitcoin",
                    "facebook": "facebook",
                    "google": "google",
                    "linux": "linux",
                    "microsoft": "microsoft",
                    "twitter": "twitter",
                    "windows": "windows",
                    "youtube": "youtube",
                }.items()
                if icons in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["icons"] = filtered_dict[icons]
        self.state["state"]["icon_padding"] = icon_padding
        self.state["state"]["auto_icon_value"] = auto_icon_value
        self.state["state"]["icon_value"] = icon_value
        self.state["state"]["icon_color"] = icon_color

        list_icon_style = ["solid", "outline"] + [None]
        if icon_style not in list_icon_style:
            raise ValueError(f"`icon_style` must be one of: ['solid', 'outline']")
        elif icon_style in list_icon_style and icon_style is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"solid": "solid", "outline": "outline"}.items()
                if icon_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["icon_style"] = filtered_dict[icon_style]
        self.state["state"]["icon_stroke_thickness"] = icon_stroke_thickness
        self.state["state"]["use_filler_icons"] = use_filler_icons
        self.state["state"]["filler_icon_color"] = filler_icon_color
        self.state["state"]["max_bar_value"] = max_bar_value
        self.state["state"]["fill_final_row"] = fill_final_row

        list_filler_icons = [
            "auto",
            "user",
            "female",
            "male",
            "baby",
            "child",
            "wheelchair",
            "angry",
            "frown",
            "meh",
            "smile",
            "smile-beam",
            "thumbs-up",
            "thumbs-down",
            "hands-helping",
            "hand-rock",
            "hand-peace",
            "dollar-sign",
            "euro-sign",
            "money-bill",
            "money-bill-wave",
            "pound-sign",
            "coins",
            "shopping-bag",
            "shopping-cart",
            "circle",
            "square",
            "star",
            "heart",
            "comment",
            "cat",
            "dog",
            "dove",
            "bus",
            "car",
            "biking",
            "running",
            "plane",
            "suitcase",
            "pizza-slice",
            "ice-cream",
            "coffee",
            "wine-glass-alt",
            "building",
            "home",
            "store",
            "industry",
            "database",
            "laptop",
            "microchip",
            "phone",
            "mobile-alt",
            "tv",
            "clock",
            "atom",
            "award",
            "music",
            "leaf",
            "lightbulb",
            "sun",
            "wrench",
            "airbnb",
            "amazon",
            "android",
            "apple",
            "bitcoin",
            "facebook",
            "google",
            "linux",
            "microsoft",
            "twitter",
            "windows",
            "youtube",
        ] + [None]
        if filler_icons not in list_filler_icons:
            raise ValueError(
                f"`filler_icons` must be one of: ['auto', 'user', 'female', 'male', 'baby', 'child', 'wheelchair', 'angry', 'frown', 'meh', 'smile', 'smile-beam', 'thumbs-up', 'thumbs-down', 'hands-helping', 'hand-rock', 'hand-peace', 'dollar-sign', 'euro-sign', 'money-bill', 'money-bill-wave', 'pound-sign', 'coins', 'shopping-bag', 'shopping-cart', 'circle', 'square', 'star', 'heart', 'comment', 'cat', 'dog', 'dove', 'bus', 'car', 'biking', 'running', 'plane', 'suitcase', 'pizza-slice', 'ice-cream', 'coffee', 'wine-glass-alt', 'building', 'home', 'store', 'industry', 'database', 'laptop', 'microchip', 'phone', 'mobile-alt', 'tv', 'clock', 'atom', 'award', 'music', 'leaf', 'lightbulb', 'sun', 'wrench', 'airbnb', 'amazon', 'android', 'apple', 'bitcoin', 'facebook', 'google', 'linux', 'microsoft', 'twitter', 'windows', 'youtube']"
            )
        elif filler_icons in list_filler_icons and filler_icons is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "user": "user",
                    "female": "female",
                    "male": "male",
                    "baby": "baby",
                    "child": "child",
                    "wheelchair": "wheelchair",
                    "angry": "angry",
                    "frown": "frown",
                    "meh": "meh",
                    "smile": "smile",
                    "smile-beam": "smile-beam",
                    "thumbs-up": "thumbs-up",
                    "thumbs-down": "thumbs-down",
                    "hands-helping": "hands-helping",
                    "hand-rock": "hand-rock",
                    "hand-peace": "hand-peace",
                    "dollar-sign": "dollar-sign",
                    "euro-sign": "euro-sign",
                    "money-bill": "money-bill",
                    "money-bill-wave": "money-bill-wave",
                    "pound-sign": "pound-sign",
                    "coins": "coins",
                    "shopping-bag": "shopping-bag",
                    "shopping-cart": "shopping-cart",
                    "circle": "circle",
                    "square": "square",
                    "star": "star",
                    "heart": "heart",
                    "comment": "comment",
                    "cat": "cat",
                    "dog": "dog",
                    "dove": "dove",
                    "bus": "bus",
                    "car": "car",
                    "biking": "biking",
                    "running": "running",
                    "plane": "plane",
                    "suitcase": "suitcase",
                    "pizza-slice": "pizza-slice",
                    "ice-cream": "ice-cream",
                    "coffee": "coffee",
                    "wine-glass-alt": "wine-glass-alt",
                    "building": "building",
                    "home": "home",
                    "store": "store",
                    "industry": "industry",
                    "database": "database",
                    "laptop": "laptop",
                    "microchip": "microchip",
                    "phone": "phone",
                    "mobile-alt": "mobile-alt",
                    "tv": "tv",
                    "clock": "clock",
                    "atom": "atom",
                    "award": "award",
                    "music": "music",
                    "leaf": "leaf",
                    "lightbulb": "lightbulb",
                    "sun": "sun",
                    "wrench": "wrench",
                    "airbnb": "airbnb",
                    "amazon": "amazon",
                    "android": "android",
                    "apple": "apple",
                    "bitcoin": "bitcoin",
                    "facebook": "facebook",
                    "google": "google",
                    "linux": "linux",
                    "microsoft": "microsoft",
                    "twitter": "twitter",
                    "windows": "windows",
                    "youtube": "youtube",
                }.items()
                if filler_icons in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filler_icons"] = filtered_dict[filler_icons]

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max
        self.state["state"]["show_bar_labels"] = show_bar_labels
        self.state["state"]["bar_label_size"] = bar_label_size
        self.state["state"]["bar_label_color"] = bar_label_color

        list_bar_label_weight = ["normal", "bold"] + [None]
        if bar_label_weight not in list_bar_label_weight:
            raise ValueError(f"`bar_label_weight` must be one of: ['normal', 'bold']")
        elif bar_label_weight in list_bar_label_weight and bar_label_weight is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if bar_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["bar_label_weight"] = filtered_dict[
                    bar_label_weight
                ]

        list_chart_x_axis_axis_position = [
            "bottom",
            "float-below",
            "float-above",
            "top",
            "off",
        ] + [None]
        if chart_x_axis_axis_position not in list_chart_x_axis_axis_position:
            raise ValueError(
                f"`chart_x_axis_axis_position` must be one of: ['bottom', 'float-below', 'float-above', 'top', 'off']"
            )
        elif (
            chart_x_axis_axis_position in list_chart_x_axis_axis_position
            and chart_x_axis_axis_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "bottom": "bottom",
                    "float-below": "float-below",
                    "float-above": "float-above",
                    "top": "top",
                    "off": "off",
                }.items()
                if chart_x_axis_axis_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axis"]["axis_position"] = filtered_dict[
                    chart_x_axis_axis_position
                ]
        self.state["state"]["axis"]["y_axis_position"] = chart_x_axis_y_axis_position

        list_chart_x_axis_numeric_scale_type = ["linear", "log"] + [None]
        if chart_x_axis_numeric_scale_type not in list_chart_x_axis_numeric_scale_type:
            raise ValueError(
                f"`chart_x_axis_numeric_scale_type` must be one of: ['linear', 'log']"
            )
        elif (
            chart_x_axis_numeric_scale_type in list_chart_x_axis_numeric_scale_type
            and chart_x_axis_numeric_scale_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "log": "log"}.items()
                if chart_x_axis_numeric_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axis"]["numeric_scale_type"] = filtered_dict[
                    chart_x_axis_numeric_scale_type
                ]
        self.state["state"]["axis"]["linear_min"] = chart_x_axis_linear_min
        self.state["state"]["axis"]["linear_max"] = chart_x_axis_linear_max
        self.state["state"]["axis"]["log_min"] = chart_x_axis_log_min
        self.state["state"]["axis"]["log_max"] = chart_x_axis_log_max
        self.state["state"]["axis"]["datetime_min"] = chart_x_axis_datetime_min
        self.state["state"]["axis"]["datetime_max"] = chart_x_axis_datetime_max
        self.state["state"]["axis"]["flip"] = chart_x_axis_flip
        self.state["state"]["axis"][
            "show_scale_settings"
        ] = chart_x_axis_show_scale_settings

        list_chart_x_axis_nice = [True, False] + [None]
        if chart_x_axis_nice not in list_chart_x_axis_nice:
            raise ValueError(f"`chart_x_axis_nice` must be one of: [True, False]")
        elif (
            chart_x_axis_nice in list_chart_x_axis_nice
            and chart_x_axis_nice is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_x_axis_nice in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axis"]["nice"] = filtered_dict[chart_x_axis_nice]

        list_chart_x_axis_zero_axis = ["auto", "on", "off"] + [None]
        if chart_x_axis_zero_axis not in list_chart_x_axis_zero_axis:
            raise ValueError(
                f"`chart_x_axis_zero_axis` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_x_axis_zero_axis in list_chart_x_axis_zero_axis
            and chart_x_axis_zero_axis is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_x_axis_zero_axis in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axis"]["zero_axis"] = filtered_dict[
                    chart_x_axis_zero_axis
                ]

        list_chart_x_axis_title_mode = ["auto", "custom"] + [None]
        if chart_x_axis_title_mode not in list_chart_x_axis_title_mode:
            raise ValueError(
                f"`chart_x_axis_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_x_axis_title_mode in list_chart_x_axis_title_mode
            and chart_x_axis_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_x_axis_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axis"]["title_mode"] = filtered_dict[
                    chart_x_axis_title_mode
                ]
        self.state["state"]["axis"]["title"] = chart_x_axis_title
        self.state["state"]["axis"]["title_styling"] = chart_x_axis_title_styling

        list_chart_x_axis_title_weight = ["bold", "normal"] + [None]
        if chart_x_axis_title_weight not in list_chart_x_axis_title_weight:
            raise ValueError(
                f"`chart_x_axis_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_x_axis_title_weight in list_chart_x_axis_title_weight
            and chart_x_axis_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_x_axis_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axis"]["title_weight"] = filtered_dict[
                    chart_x_axis_title_weight
                ]
        self.state["state"]["axis"]["title_color"] = chart_x_axis_title_color
        self.state["state"]["axis"]["title_size"] = chart_x_axis_title_size
        self.state["state"]["axis"]["title_padding"] = chart_x_axis_title_padding

        list_chart_x_axis_tick_label_position = ["default", "left", "right"] + [None]
        if (
            chart_x_axis_tick_label_position
            not in list_chart_x_axis_tick_label_position
        ):
            raise ValueError(
                f"`chart_x_axis_tick_label_position` must be one of: ['default', 'left', 'right']"
            )
        elif (
            chart_x_axis_tick_label_position in list_chart_x_axis_tick_label_position
            and chart_x_axis_tick_label_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "default": "default",
                    "left": "left",
                    "right": "right",
                }.items()
                if chart_x_axis_tick_label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axis"]["tick_label_position"] = filtered_dict[
                    chart_x_axis_tick_label_position
                ]
        self.state["state"]["axis"][
            "tick_label_styling"
        ] = chart_x_axis_tick_label_styling
        self.state["state"]["axis"]["tick_label_size"] = chart_x_axis_tick_label_size
        self.state["state"]["axis"]["tick_label_color"] = chart_x_axis_tick_label_color
        self.state["state"]["axis"]["tick_padding"] = chart_x_axis_tick_padding

        list_chart_x_axis_tick_label_angle = ["0", "30", "45", "60", "90"] + [None]
        if chart_x_axis_tick_label_angle not in list_chart_x_axis_tick_label_angle:
            raise ValueError(
                f"`chart_x_axis_tick_label_angle` must be one of: ['0', '30', '45', '60', '90']"
            )
        elif (
            chart_x_axis_tick_label_angle in list_chart_x_axis_tick_label_angle
            and chart_x_axis_tick_label_angle is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "30": "30",
                    "45": "45",
                    "60": "60",
                    "90": "90",
                }.items()
                if chart_x_axis_tick_label_angle in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axis"]["tick_label_angle"] = filtered_dict[
                    chart_x_axis_tick_label_angle
                ]

        list_chart_x_axis_tick_label_weight = ["bold", "normal"] + [None]
        if chart_x_axis_tick_label_weight not in list_chart_x_axis_tick_label_weight:
            raise ValueError(
                f"`chart_x_axis_tick_label_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_x_axis_tick_label_weight in list_chart_x_axis_tick_label_weight
            and chart_x_axis_tick_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_x_axis_tick_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axis"]["tick_label_weight"] = filtered_dict[
                    chart_x_axis_tick_label_weight
                ]
        self.state["state"]["axis"][
            "tick_label_max_lines"
        ] = chart_x_axis_tick_label_max_lines
        self.state["state"]["axis"][
            "tick_label_line_height"
        ] = chart_x_axis_tick_label_line_height

        list_chart_x_axis_tick_label_space_mode = ["auto", "max", "fixed"] + [None]
        if (
            chart_x_axis_tick_label_space_mode
            not in list_chart_x_axis_tick_label_space_mode
        ):
            raise ValueError(
                f"`chart_x_axis_tick_label_space_mode` must be one of: ['auto', 'max', 'fixed']"
            )
        elif (
            chart_x_axis_tick_label_space_mode
            in list_chart_x_axis_tick_label_space_mode
            and chart_x_axis_tick_label_space_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "max": "max", "fixed": "fixed"}.items()
                if chart_x_axis_tick_label_space_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axis"]["tick_label_space_mode"] = filtered_dict[
                    chart_x_axis_tick_label_space_mode
                ]
        self.state["state"]["axis"]["tick_label_space"] = chart_x_axis_tick_label_space

        list_chart_x_axis_tick_mode = ["auto", "number", "custom"] + [None]
        if chart_x_axis_tick_mode not in list_chart_x_axis_tick_mode:
            raise ValueError(
                f"`chart_x_axis_tick_mode` must be one of: ['auto', 'number', 'custom']"
            )
        elif (
            chart_x_axis_tick_mode in list_chart_x_axis_tick_mode
            and chart_x_axis_tick_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "number": "number",
                    "custom": "custom",
                }.items()
                if chart_x_axis_tick_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axis"]["tick_mode"] = filtered_dict[
                    chart_x_axis_tick_mode
                ]
        self.state["state"]["axis"]["tick_number"] = chart_x_axis_tick_number

        if (
            chart_x_axis_tick_custom is not None
            and len(chart_x_axis_tick_custom) > 1
            and isinstance(chart_x_axis_tick_custom, list)
        ):
            self.state["state"]["axis"]["tick_custom"] = " \n ".join(
                chart_x_axis_tick_custom
            )
        else:
            self.state["state"]["axis"]["tick_custom"] = chart_x_axis_tick_custom

        self.state["state"]["axis"][
            "line_and_tick_color"
        ] = chart_x_axis_line_and_tick_color
        self.state["state"]["axis"][
            "line_and_tick_width"
        ] = chart_x_axis_line_and_tick_width
        self.state["state"]["axis"]["tick_length"] = chart_x_axis_tick_length

        list_chart_x_axis_tick_side = ["out", "in"] + [None]
        if chart_x_axis_tick_side not in list_chart_x_axis_tick_side:
            raise ValueError(f"`chart_x_axis_tick_side` must be one of: ['out', 'in']")
        elif (
            chart_x_axis_tick_side in list_chart_x_axis_tick_side
            and chart_x_axis_tick_side is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"out": "out", "in": "in"}.items()
                if chart_x_axis_tick_side in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axis"]["tick_side"] = filtered_dict[
                    chart_x_axis_tick_side
                ]
        self.state["state"]["axis"]["line_visible"] = chart_x_axis_line_visible
        self.state["state"]["axis"]["edge_padding"] = chart_x_axis_edge_padding

        list_chart_x_axis_gridlines_visible = [True, False] + [None]
        if chart_x_axis_gridlines_visible not in list_chart_x_axis_gridlines_visible:
            raise ValueError(
                f"`chart_x_axis_gridlines_visible` must be one of: [True, False]"
            )
        elif (
            chart_x_axis_gridlines_visible in list_chart_x_axis_gridlines_visible
            and chart_x_axis_gridlines_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_x_axis_gridlines_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axis"]["gridlines_visible"] = filtered_dict[
                    chart_x_axis_gridlines_visible
                ]
        self.state["state"]["axis"][
            "gridlines_styling"
        ] = chart_x_axis_gridlines_styling
        self.state["state"]["axis"]["gridline_color"] = chart_x_axis_gridline_color

        list_chart_x_axis_gridline_style = ["solid", "dash", "dot", "dot_dash"] + [None]
        if chart_x_axis_gridline_style not in list_chart_x_axis_gridline_style:
            raise ValueError(
                f"`chart_x_axis_gridline_style` must be one of: ['solid', 'dash', 'dot', 'dot_dash']"
            )
        elif (
            chart_x_axis_gridline_style in list_chart_x_axis_gridline_style
            and chart_x_axis_gridline_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dash": "dash",
                    "dot": "dot",
                    "dot_dash": "dot_dash",
                }.items()
                if chart_x_axis_gridline_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axis"]["gridline_style"] = filtered_dict[
                    chart_x_axis_gridline_style
                ]
        self.state["state"]["axis"]["gridline_width"] = chart_x_axis_gridline_width
        self.state["state"]["axis"][
            "gridline_category_dividers"
        ] = chart_x_axis_gridline_category_dividers
        self.state["state"]["axis"][
            "gridline_category_dividers_extend"
        ] = chart_x_axis_gridline_category_dividers_extend

        list_chart_number_localization_input_decimal_separator = [".", ","] + [None]
        if (
            chart_number_localization_input_decimal_separator
            not in list_chart_number_localization_input_decimal_separator
        ):
            raise ValueError(
                f"`chart_number_localization_input_decimal_separator` must be one of: ['.', ',']"
            )
        elif (
            chart_number_localization_input_decimal_separator
            in list_chart_number_localization_input_decimal_separator
            and chart_number_localization_input_decimal_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {".": ".", ",": ","}.items()
                if chart_number_localization_input_decimal_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["number_localization"][
                    "input_decimal_separator"
                ] = filtered_dict[chart_number_localization_input_decimal_separator]

        list_chart_number_localization_output_separators = [
            ",.",
            ".,",
            ".",
            ",",
            " .",
            " ,",
        ] + [None]
        if (
            chart_number_localization_output_separators
            not in list_chart_number_localization_output_separators
        ):
            raise ValueError(
                f"`chart_number_localization_output_separators` must be one of: [',.', '.,', '.', ',', ' .', ' ,']"
            )
        elif (
            chart_number_localization_output_separators
            in list_chart_number_localization_output_separators
            and chart_number_localization_output_separators is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ",.": ",.",
                    ".,": ".,",
                    ".": ".",
                    ",": ",",
                    " .": " .",
                    " ,": " ,",
                }.items()
                if chart_number_localization_output_separators in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["number_localization"][
                    "output_separators"
                ] = filtered_dict[chart_number_localization_output_separators]
        self.state["state"]["number_format"]["prefix"] = chart_number_date_format_prefix
        self.state["state"]["number_format"]["suffix"] = chart_number_date_format_suffix
        self.state["state"]["number_format"]["n_dec"] = chart_number_date_format_n_dec
        self.state["state"]["number_format"][
            "advanced"
        ] = chart_number_date_format_advanced

        list_chart_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_number_date_format_negative_sign
            not in list_chart_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_number_date_format_negative_sign
            in list_chart_number_date_format_negative_sign
            and chart_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["number_format"]["negative_sign"] = filtered_dict[
                    chart_number_date_format_negative_sign
                ]
        self.state["state"]["number_format"][
            "strip_zeros"
        ] = chart_number_date_format_strip_zeros
        self.state["state"]["number_format"][
            "strip_separator"
        ] = chart_number_date_format_strip_separator
        self.state["state"]["number_format"][
            "transform_labels"
        ] = chart_number_date_format_transform_labels

        list_chart_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_number_date_format_transform
            not in list_chart_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_number_date_format_transform
            in list_chart_number_date_format_transform
            and chart_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["number_format"]["transform"] = filtered_dict[
                    chart_number_date_format_transform
                ]
        self.state["state"]["number_format"][
            "multiply_divide_constant"
        ] = chart_number_date_format_multiply_divide_constant
        self.state["state"]["number_format"][
            "exponentiate_constant"
        ] = chart_number_date_format_exponentiate_constant

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size

        list_chart_value_legend_show_legend = [True, False] + [None]
        if chart_value_legend_show_legend not in list_chart_value_legend_show_legend:
            raise ValueError(
                f"`chart_value_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_value_legend_show_legend in list_chart_value_legend_show_legend
            and chart_value_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_value_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["value_legend"]["show_legend"] = filtered_dict[
                    chart_value_legend_show_legend
                ]

        list_chart_value_legend_title_mode = ["auto", "custom"] + [None]
        if chart_value_legend_title_mode not in list_chart_value_legend_title_mode:
            raise ValueError(
                f"`chart_value_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_value_legend_title_mode in list_chart_value_legend_title_mode
            and chart_value_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_value_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["value_legend"]["title_mode"] = filtered_dict[
                    chart_value_legend_title_mode
                ]
        self.state["state"]["value_legend"]["title"] = chart_value_legend_title
        self.state["state"]["value_legend"][
            "swatch_width"
        ] = chart_value_legend_swatch_width
        self.state["state"]["value_legend"][
            "swatch_height"
        ] = chart_value_legend_swatch_height
        self.state["state"]["value_legend"][
            "swatch_radius"
        ] = chart_value_legend_swatch_radius
        self.state["state"]["value_legend"][
            "legend_items_padding"
        ] = chart_value_legend_legend_items_padding
        self.state["state"]["value_legend"][
            "swatch_outline"
        ] = chart_value_legend_swatch_outline
        self.state["state"]["value_legend"][
            "swatch_outline_color"
        ] = chart_value_legend_swatch_outline_color

        if (
            chart_value_legend_order_override is not None
            and len(chart_value_legend_order_override) > 1
            and isinstance(chart_value_legend_order_override, list)
        ):
            self.state["state"]["value_legend"]["order_override"] = " \n ".join(
                chart_value_legend_order_override
            )
        else:
            self.state["state"]["value_legend"][
                "order_override"
            ] = chart_value_legend_order_override

        self.state["state"]["value_legend"][
            "icon_height"
        ] = chart_value_legend_icon_height
        self.state["state"]["value_legend"][
            "icon_color"
        ] = chart_value_legend_icon_color
        self.state["state"]["value_legend"]["max_width"] = chart_value_legend_max_width

        list_chart_value_legend_orientation = ["horizontal", "vertical"] + [None]
        if chart_value_legend_orientation not in list_chart_value_legend_orientation:
            raise ValueError(
                f"`chart_value_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_value_legend_orientation in list_chart_value_legend_orientation
            and chart_value_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_value_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["value_legend"]["orientation"] = filtered_dict[
                    chart_value_legend_orientation
                ]

        list_value_legend_icon = [
            "auto",
            "user",
            "female",
            "male",
            "baby",
            "child",
            "wheelchair",
            "angry",
            "frown",
            "meh",
            "smile",
            "smile-beam",
            "thumbs-up",
            "thumbs-down",
            "hands-helping",
            "hand-rock",
            "hand-peace",
            "dollar-sign",
            "euro-sign",
            "money-bill",
            "money-bill-wave",
            "pound-sign",
            "coins",
            "shopping-bag",
            "shopping-cart",
            "circle",
            "square",
            "star",
            "heart",
            "comment",
            "cat",
            "dog",
            "dove",
            "bus",
            "car",
            "biking",
            "running",
            "plane",
            "suitcase",
            "pizza-slice",
            "ice-cream",
            "coffee",
            "wine-glass-alt",
            "building",
            "home",
            "store",
            "industry",
            "database",
            "laptop",
            "microchip",
            "phone",
            "mobile-alt",
            "tv",
            "clock",
            "atom",
            "award",
            "music",
            "leaf",
            "lightbulb",
            "sun",
            "wrench",
            "airbnb",
            "amazon",
            "android",
            "apple",
            "bitcoin",
            "facebook",
            "google",
            "linux",
            "microsoft",
            "twitter",
            "windows",
            "youtube",
        ] + [None]
        if value_legend_icon not in list_value_legend_icon:
            raise ValueError(
                f"`value_legend_icon` must be one of: ['auto', 'user', 'female', 'male', 'baby', 'child', 'wheelchair', 'angry', 'frown', 'meh', 'smile', 'smile-beam', 'thumbs-up', 'thumbs-down', 'hands-helping', 'hand-rock', 'hand-peace', 'dollar-sign', 'euro-sign', 'money-bill', 'money-bill-wave', 'pound-sign', 'coins', 'shopping-bag', 'shopping-cart', 'circle', 'square', 'star', 'heart', 'comment', 'cat', 'dog', 'dove', 'bus', 'car', 'biking', 'running', 'plane', 'suitcase', 'pizza-slice', 'ice-cream', 'coffee', 'wine-glass-alt', 'building', 'home', 'store', 'industry', 'database', 'laptop', 'microchip', 'phone', 'mobile-alt', 'tv', 'clock', 'atom', 'award', 'music', 'leaf', 'lightbulb', 'sun', 'wrench', 'airbnb', 'amazon', 'android', 'apple', 'bitcoin', 'facebook', 'google', 'linux', 'microsoft', 'twitter', 'windows', 'youtube']"
            )
        elif (
            value_legend_icon in list_value_legend_icon
            and value_legend_icon is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "user": "user",
                    "female": "female",
                    "male": "male",
                    "baby": "baby",
                    "child": "child",
                    "wheelchair": "wheelchair",
                    "angry": "angry",
                    "frown": "frown",
                    "meh": "meh",
                    "smile": "smile",
                    "smile-beam": "smile-beam",
                    "thumbs-up": "thumbs-up",
                    "thumbs-down": "thumbs-down",
                    "hands-helping": "hands-helping",
                    "hand-rock": "hand-rock",
                    "hand-peace": "hand-peace",
                    "dollar-sign": "dollar-sign",
                    "euro-sign": "euro-sign",
                    "money-bill": "money-bill",
                    "money-bill-wave": "money-bill-wave",
                    "pound-sign": "pound-sign",
                    "coins": "coins",
                    "shopping-bag": "shopping-bag",
                    "shopping-cart": "shopping-cart",
                    "circle": "circle",
                    "square": "square",
                    "star": "star",
                    "heart": "heart",
                    "comment": "comment",
                    "cat": "cat",
                    "dog": "dog",
                    "dove": "dove",
                    "bus": "bus",
                    "car": "car",
                    "biking": "biking",
                    "running": "running",
                    "plane": "plane",
                    "suitcase": "suitcase",
                    "pizza-slice": "pizza-slice",
                    "ice-cream": "ice-cream",
                    "coffee": "coffee",
                    "wine-glass-alt": "wine-glass-alt",
                    "building": "building",
                    "home": "home",
                    "store": "store",
                    "industry": "industry",
                    "database": "database",
                    "laptop": "laptop",
                    "microchip": "microchip",
                    "phone": "phone",
                    "mobile-alt": "mobile-alt",
                    "tv": "tv",
                    "clock": "clock",
                    "atom": "atom",
                    "award": "award",
                    "music": "music",
                    "leaf": "leaf",
                    "lightbulb": "lightbulb",
                    "sun": "sun",
                    "wrench": "wrench",
                    "airbnb": "airbnb",
                    "amazon": "amazon",
                    "android": "android",
                    "apple": "apple",
                    "bitcoin": "bitcoin",
                    "facebook": "facebook",
                    "google": "google",
                    "linux": "linux",
                    "microsoft": "microsoft",
                    "twitter": "twitter",
                    "windows": "windows",
                    "youtube": "youtube",
                }.items()
                if value_legend_icon in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["value_legend_icon"] = filtered_dict[
                    value_legend_icon
                ]

        list_chart_icon_legend_show_legend = [True, False] + [None]
        if chart_icon_legend_show_legend not in list_chart_icon_legend_show_legend:
            raise ValueError(
                f"`chart_icon_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_icon_legend_show_legend in list_chart_icon_legend_show_legend
            and chart_icon_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_icon_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["icon_legend"]["show_legend"] = filtered_dict[
                    chart_icon_legend_show_legend
                ]

        list_chart_icon_legend_title_mode = ["auto", "custom"] + [None]
        if chart_icon_legend_title_mode not in list_chart_icon_legend_title_mode:
            raise ValueError(
                f"`chart_icon_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_icon_legend_title_mode in list_chart_icon_legend_title_mode
            and chart_icon_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_icon_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["icon_legend"]["title_mode"] = filtered_dict[
                    chart_icon_legend_title_mode
                ]
        self.state["state"]["icon_legend"]["title"] = chart_icon_legend_title
        self.state["state"]["icon_legend"][
            "swatch_width"
        ] = chart_icon_legend_swatch_width
        self.state["state"]["icon_legend"][
            "swatch_height"
        ] = chart_icon_legend_swatch_height
        self.state["state"]["icon_legend"][
            "swatch_radius"
        ] = chart_icon_legend_swatch_radius
        self.state["state"]["icon_legend"][
            "legend_items_padding"
        ] = chart_icon_legend_legend_items_padding
        self.state["state"]["icon_legend"][
            "swatch_outline"
        ] = chart_icon_legend_swatch_outline
        self.state["state"]["icon_legend"][
            "swatch_outline_color"
        ] = chart_icon_legend_swatch_outline_color

        if (
            chart_icon_legend_order_override is not None
            and len(chart_icon_legend_order_override) > 1
            and isinstance(chart_icon_legend_order_override, list)
        ):
            self.state["state"]["icon_legend"]["order_override"] = " \n ".join(
                chart_icon_legend_order_override
            )
        else:
            self.state["state"]["icon_legend"][
                "order_override"
            ] = chart_icon_legend_order_override

        self.state["state"]["icon_legend"][
            "icon_height"
        ] = chart_icon_legend_icon_height
        self.state["state"]["icon_legend"]["icon_color"] = chart_icon_legend_icon_color
        self.state["state"]["icon_legend"]["max_width"] = chart_icon_legend_max_width

        list_chart_icon_legend_orientation = ["horizontal", "vertical"] + [None]
        if chart_icon_legend_orientation not in list_chart_icon_legend_orientation:
            raise ValueError(
                f"`chart_icon_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_icon_legend_orientation in list_chart_icon_legend_orientation
            and chart_icon_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_icon_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["icon_legend"]["orientation"] = filtered_dict[
                    chart_icon_legend_orientation
                ]

        list_chart_color_legend_show_legend = [True, False] + [None]
        if chart_color_legend_show_legend not in list_chart_color_legend_show_legend:
            raise ValueError(
                f"`chart_color_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_color_legend_show_legend in list_chart_color_legend_show_legend
            and chart_color_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_color_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color_legend"]["show_legend"] = filtered_dict[
                    chart_color_legend_show_legend
                ]

        list_chart_color_legend_title_mode = ["auto", "custom"] + [None]
        if chart_color_legend_title_mode not in list_chart_color_legend_title_mode:
            raise ValueError(
                f"`chart_color_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_color_legend_title_mode in list_chart_color_legend_title_mode
            and chart_color_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_color_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color_legend"]["title_mode"] = filtered_dict[
                    chart_color_legend_title_mode
                ]
        self.state["state"]["color_legend"]["title"] = chart_color_legend_title
        self.state["state"]["color_legend"][
            "swatch_width"
        ] = chart_color_legend_swatch_width
        self.state["state"]["color_legend"][
            "swatch_height"
        ] = chart_color_legend_swatch_height
        self.state["state"]["color_legend"][
            "swatch_radius"
        ] = chart_color_legend_swatch_radius
        self.state["state"]["color_legend"][
            "legend_items_padding"
        ] = chart_color_legend_legend_items_padding
        self.state["state"]["color_legend"][
            "swatch_outline"
        ] = chart_color_legend_swatch_outline
        self.state["state"]["color_legend"][
            "swatch_outline_color"
        ] = chart_color_legend_swatch_outline_color

        if (
            chart_color_legend_order_override is not None
            and len(chart_color_legend_order_override) > 1
            and isinstance(chart_color_legend_order_override, list)
        ):
            self.state["state"]["color_legend"]["order_override"] = " \n ".join(
                chart_color_legend_order_override
            )
        else:
            self.state["state"]["color_legend"][
                "order_override"
            ] = chart_color_legend_order_override

        self.state["state"]["color_legend"][
            "icon_height"
        ] = chart_color_legend_icon_height
        self.state["state"]["color_legend"][
            "icon_color"
        ] = chart_color_legend_icon_color
        self.state["state"]["color_legend"]["max_width"] = chart_color_legend_max_width

        list_chart_color_legend_orientation = ["horizontal", "vertical"] + [None]
        if chart_color_legend_orientation not in list_chart_color_legend_orientation:
            raise ValueError(
                f"`chart_color_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_color_legend_orientation in list_chart_color_legend_orientation
            and chart_color_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_color_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color_legend"]["orientation"] = filtered_dict[
                    chart_color_legend_orientation
                ]

        list_chart_popup_mode = ["none", "popup", "panel", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'panel', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "panel": "panel",
                    "both": "both",
                }.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popup"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popup"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popup"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        if (
            chart_popup_popup_custom_accessible is not None
            and len(chart_popup_popup_custom_accessible) > 1
            and isinstance(chart_popup_popup_custom_accessible, list)
        ):
            self.state["state"]["popup"]["popup_custom_accessible"] = " \n ".join(
                chart_popup_popup_custom_accessible
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_accessible"
            ] = chart_popup_popup_custom_accessible

        self.state["state"]["popup"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popup"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popup"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popup"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popup"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popup"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popup"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popup"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popup"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_label_weight"] = filtered_dict[
                    chart_popup_popup_list_label_weight
                ]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popup"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popup"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popup"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popup"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popup"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popup"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popup"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popup"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popup"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popup"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popup"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popup"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popup"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popup"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popup"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_vertical_position"] = filtered_dict[
                    chart_popup_panel_vertical_position
                ]
        self.state["state"]["popup"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popup"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popup"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popup"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popup"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popup"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_label_weight"] = filtered_dict[
                    chart_popup_panel_list_label_weight
                ]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popup"]["panel_shadow"] = chart_popup_panel_shadow

        list_value_control_visibility = ["always", "editor", "never"] + [None]
        if value_control_visibility not in list_value_control_visibility:
            raise ValueError(
                f"`value_control_visibility` must be one of: ['always', 'editor', 'never']"
            )
        elif (
            value_control_visibility in list_value_control_visibility
            and value_control_visibility is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "always": "always",
                    "editor": "editor",
                    "never": "never",
                }.items()
                if value_control_visibility in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["value_control_visibility"] = filtered_dict[
                    value_control_visibility
                ]

        list_chart_value_filter_controls_control_type = [
            "dropdown",
            "buttons",
            "slider",
        ] + [None]
        if (
            chart_value_filter_controls_control_type
            not in list_chart_value_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_value_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_value_filter_controls_control_type
            in list_chart_value_filter_controls_control_type
            and chart_value_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_value_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["value_control"]["control_type"] = filtered_dict[
                    chart_value_filter_controls_control_type
                ]
        self.state["state"]["value_control"][
            "control_styles"
        ] = chart_value_filter_controls_control_styles
        self.state["state"]["value_control"][
            "control_title"
        ] = chart_value_filter_controls_control_title

        list_chart_value_filter_controls_button_group = [True, False] + [None]
        if (
            chart_value_filter_controls_button_group
            not in list_chart_value_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_value_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_value_filter_controls_button_group
            in list_chart_value_filter_controls_button_group
            and chart_value_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_value_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["value_control"]["button_group"] = filtered_dict[
                    chart_value_filter_controls_button_group
                ]

        list_chart_value_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_value_filter_controls_button_group_width_mode
            not in list_chart_value_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_value_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_value_filter_controls_button_group_width_mode
            in list_chart_value_filter_controls_button_group_width_mode
            and chart_value_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_value_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["value_control"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_value_filter_controls_button_group_width_mode]
        self.state["state"]["value_control"][
            "button_group_width_fixed"
        ] = chart_value_filter_controls_button_group_width_fixed

        list_chart_value_filter_controls_dropdown_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_value_filter_controls_dropdown_width_mode
            not in list_chart_value_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_value_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_value_filter_controls_dropdown_width_mode
            in list_chart_value_filter_controls_dropdown_width_mode
            and chart_value_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_value_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["value_control"][
                    "dropdown_width_mode"
                ] = filtered_dict[chart_value_filter_controls_dropdown_width_mode]
        self.state["state"]["value_control"][
            "dropdown_width_fixed"
        ] = chart_value_filter_controls_dropdown_width_fixed
        self.state["state"]["value_control"][
            "slider_width"
        ] = chart_value_filter_controls_slider_width
        self.state["state"]["value_control"][
            "slider_max_label_width"
        ] = chart_value_filter_controls_slider_max_label_width
        self.state["state"]["value_control"][
            "slider_step_time"
        ] = chart_value_filter_controls_slider_step_time
        self.state["state"]["value_control"][
            "slider_loop"
        ] = chart_value_filter_controls_slider_loop
        self.state["state"]["value_control"][
            "slider_restart_pause"
        ] = chart_value_filter_controls_slider_restart_pause

        list_chart_value_filter_controls_sort = [True, False] + [None]
        if (
            chart_value_filter_controls_sort
            not in list_chart_value_filter_controls_sort
        ):
            raise ValueError(
                f"`chart_value_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_value_filter_controls_sort in list_chart_value_filter_controls_sort
            and chart_value_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_value_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["value_control"]["sort"] = filtered_dict[
                    chart_value_filter_controls_sort
                ]
        self.state["state"]["controls_style"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_style"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["controls_style"]["height"] = chart_controls_style_height
        self.state["state"]["dropdown_style"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["dropdown_style"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["dropdown_style"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown_style"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["dropdown_style"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["dropdown_style"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["dropdown_style"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["dropdown_style"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius
        self.state["state"]["button_style"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["button_style"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["button_style"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["button_style"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["button_style"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["button_style"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["button_style"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["button_style"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["button_style"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["button_style"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["button_style"][
            "border_radius"
        ] = chart_button_control_style_border_radius
        self.state["state"]["slider_style"][
            "track_color"
        ] = chart_slider_control_style_track_color
        self.state["state"]["slider_style"][
            "font_color"
        ] = chart_slider_control_style_font_color
        self.state["state"]["slider_style"][
            "handle_color"
        ] = chart_slider_control_style_handle_color
        self.state["state"]["slider_style"][
            "play_color"
        ] = chart_slider_control_style_play_color
        self.state["state"]["slider_style"][
            "track_height"
        ] = chart_slider_control_style_track_height
        self.state["state"]["slider_style"][
            "handle_height"
        ] = chart_slider_control_style_handle_height
        self.state["state"]["slider_style"][
            "play_button"
        ] = chart_slider_control_style_play_button
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_quiz_details(
        self,
        color_primary: str = None,
        color_neutral: str = None,
        color_correct: str = None,
        block_text_color: str = None,
        text_border_color: str = None,
        block_text_size: str = None,
        block_text_size_custom: float = None,
        block_background: str = None,
        block_padding: float = None,
        block_border_width: float = None,
        block_border_color: str = None,
        block_border_radius: float = None,
        block_shadow: bool = None,
        block_shadow_blur: float = None,
        block_shadow_opacity: float = None,
        block_btn_text_color: str = None,
        block_btn_text_size: str = None,
        block_btn_text_size_custom: float = None,
        show_all_questions: bool = None,
        slider_handle_fill: str = None,
        slider_handle_radius: float = None,
        slider_handle_stroke: float = None,
        slider_channel_fill: str = None,
        slider_channel_height: float = None,
        slider_comparison_opacity: float = None,
        slider_range_type: str = None,
        slider_range_min: float = None,
        slider_range_max: float = None,
        slider_range_step: float = None,
        slider_range_custom: Union[list, str] = None,
        chart_number_date_format_prefix: str = None,
        chart_number_date_format_suffix: str = None,
        chart_number_date_format_n_dec: float = None,
        chart_number_date_format_advanced: bool = None,
        chart_number_date_format_negative_sign: str = None,
        chart_number_date_format_strip_zeros: bool = None,
        chart_number_date_format_strip_separator: bool = None,
        chart_number_date_format_transform_labels: bool = None,
        chart_number_date_format_transform: str = None,
        chart_number_date_format_multiply_divide_constant: float = None,
        chart_number_date_format_exponentiate_constant: float = None,
        mc_background: str = None,
        mc_border_color: str = None,
        mc_border_width: float = None,
        mc_border_radius: float = None,
        dropdown: bool = None,
        dropdown_default_label: str = None,
        dropdown_label_color: str = None,
        slider_advanced_scoring: bool = None,
        slider_score_zone_percent: float = None,
        slider_correct_zone_percent: float = None,
        end_result_default_text: Union[list, str] = None,
        text_your_answer: str = None,
        text_submit: str = None,
        text_dropdown_label: str = None,
        chart_number_localization_input_decimal_separator: str = None,
        chart_number_localization_output_separators: str = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: quiz.


        :param color_primary: User input. Flourish type hint: color, defaults to None.
        :type color_primary: str, optional
        :param color_neutral: Neutral. Flourish type hint: color, defaults to None.
        :type color_neutral: str, optional
        :param color_correct: Correct. Flourish type hint: color, defaults to None.
        :type color_correct: str, optional
        :param block_text_color: Color. Flourish type hint: color, defaults to None.
        :type block_text_color: str, optional
        :param text_border_color: Border color. Flourish type hint: color, defaults to None.
        :type text_border_color: str, optional
        :param block_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type block_text_size: str, optional
        :param block_text_size_custom: Custom. Specify a custom responsive font size. Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type block_text_size_custom: float, optional
        :param block_background: Background. Flourish type hint: color, defaults to None.
        :type block_background: str, optional
        :param block_padding: Padding. Flourish type hint: number, defaults to None.
        :type block_padding: float, optional
        :param block_border_width: Width. Flourish type hint: number, defaults to None.
        :type block_border_width: float, optional
        :param block_border_color: Color. Flourish type hint: color, defaults to None.
        :type block_border_color: str, optional
        :param block_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type block_border_radius: float, optional
        :param block_shadow: Enabled. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type block_shadow: bool, optional
        :param block_shadow_blur: Blur. Flourish type hint: number, defaults to None.
        :type block_shadow_blur: float, optional
        :param block_shadow_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type block_shadow_opacity: float, optional
        :param block_btn_text_color: Text color. Flourish type hint: color, defaults to None.
        :type block_btn_text_color: str, optional
        :param block_btn_text_size: Size. Choices: 1.1, 1.2, 1.4, custom. Flourish type hint: string, defaults to None.
        :type block_btn_text_size: str, optional
        :param block_btn_text_size_custom: Custom. Specify a custom responsive font size. Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type block_btn_text_size_custom: float, optional
        :param show_all_questions: Show unanswered questions. Flourish type hint: boolean, defaults to None.
        :type show_all_questions: bool, optional
        :param slider_handle_fill: Color. Flourish type hint: color, defaults to None.
        :type slider_handle_fill: str, optional
        :param slider_handle_radius: Radius. Flourish type hint: number, defaults to None.
        :type slider_handle_radius: float, optional
        :param slider_handle_stroke: Border. Flourish type hint: number, defaults to None.
        :type slider_handle_stroke: float, optional
        :param slider_channel_fill: Color. Flourish type hint: color, defaults to None.
        :type slider_channel_fill: str, optional
        :param slider_channel_height: Height. Flourish type hint: number, defaults to None.
        :type slider_channel_height: float, optional
        :param slider_comparison_opacity: Comparison opacity. Flourish type hint: number, defaults to None.
        :type slider_comparison_opacity: float, optional
        :param slider_range_type: Slider range. Choices: auto, fixed, custom. In Auto mode, the range will go from 0 to the nearest power of 10.  In Fixed mode, you can set a fixed range for every question.  In Custom mode, you can set a range for each individual question. Flourish type hint: string, defaults to None.
        :type slider_range_type: str, optional
        :param slider_range_min: Min. Flourish type hint: number, defaults to None.
        :type slider_range_min: float, optional
        :param slider_range_max: Max. Flourish type hint: number, defaults to None.
        :type slider_range_max: float, optional
        :param slider_range_step: Step. Flourish type hint: number, defaults to None.
        :type slider_range_step: float, optional
        :param slider_range_custom: Custom. Set a custom range for each question. Write a new range on each line with the following format:  `question text :: range minimum :: range maximum :: range step`. <  For example:  `How many people live in London? :: 1000000 :: 20000000 :: 1000` Flourish type hint: text, defaults to None.
        :type slider_range_custom: Union[list, str], optional
        :param chart_number_date_format_prefix: Prefix. Text to place in front of number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_prefix: str, optional
        :param chart_number_date_format_suffix: Suffix. Text to place after number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_suffix: str, optional
        :param chart_number_date_format_n_dec: Decimal places. Enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_number_date_format_n_dec: float, optional
        :param chart_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_advanced: bool, optional
        :param chart_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_negative_sign: str, optional
        :param chart_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_zeros: bool, optional
        :param chart_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_separator: bool, optional
        :param chart_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_transform_labels: bool, optional
        :param chart_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_transform: str, optional
        :param chart_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_multiply_divide_constant: float, optional
        :param chart_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_exponentiate_constant: float, optional
        :param mc_background: Background. Flourish type hint: color, defaults to None.
        :type mc_background: str, optional
        :param mc_border_color: Color. Flourish type hint: color, defaults to None.
        :type mc_border_color: str, optional
        :param mc_border_width: Width. Flourish type hint: number, defaults to None.
        :type mc_border_width: float, optional
        :param mc_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type mc_border_radius: float, optional
        :param dropdown: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type dropdown: bool, optional
        :param dropdown_default_label: Default comparison. Type in an answer thats selected as a default when you load the visualization. Flourish type hint: string, defaults to None.
        :type dropdown_default_label: str, optional
        :param dropdown_label_color: Text color. Flourish type hint: color, defaults to None.
        :type dropdown_label_color: str, optional
        :param slider_advanced_scoring: Linear scores for slider questions. Rather than a slider answer just being "right" or "wrong", change this setting to get a higher score the closer you are to the correct answer. Flourish type hint: boolean, defaults to None.
        :type slider_advanced_scoring: bool, optional
        :param slider_score_zone_percent: Scoring zone (%). Defines how close (as a percentage of the slider range) the input needs to be to the correct answer to produce a score.  For example, for a slider range of 0 to 200, a correct answer of 45, and a scoring zone of 10%, the score is non-zero if the input is between 25 and 65 (because 10% of the slider range is 20).  The score increases linearly from 0 at the scoring zone boundary to a score of 1 at the correct answer. Flourish type hint: number, defaults to None.
        :type slider_score_zone_percent: float, optional
        :param slider_correct_zone_percent: Correct zone (%). Defines how close (as a percentage of the scoring zone) the input needs to be to the correct answer to produce a full score of 1.  For example, for a slider range of 0 to 200, a correct answer of 45, a scoring zone of 10%, and a correct zone of 50%, the score is 1 if the input is between 35 and 55 (because 50% of the scoring zone is 10).  The score increases linearly from the scoring zone boundary to the correct zone boundary. For example, inputs of 20, 25, 30, 35, or 40 scores 0, 0, 0.5, 1, or 1, respectively. Flourish type hint: number, defaults to None.
        :type slider_correct_zone_percent: float, optional
        :param end_result_default_text: Default end result text. This is the text that shows up after youve finished the quiz. You can add custom end result text for specific score ranges in the Data tab, inside the End result sheet. Flourish type hint: text, defaults to None.
        :type end_result_default_text: Union[list, str], optional
        :param text_your_answer: Slider your answer. Flourish type hint: string, defaults to None.
        :type text_your_answer: str, optional
        :param text_submit: Submit button. Flourish type hint: string, defaults to None.
        :type text_submit: str, optional
        :param text_dropdown_label: Dropdown label. Flourish type hint: string, defaults to None.
        :type text_dropdown_label: str, optional
        :param chart_number_localization_input_decimal_separator: Decimal separator in data sheet. Choices: ., ,. Used for interpreting your data. Only change if data is not displaying on the chart as expected. Flourish type hint: string, defaults to None.
        :type chart_number_localization_input_decimal_separator: str, optional
        :param chart_number_localization_output_separators: Number format to display. Choices: ,., .,, ., ,, ., ,. How the numbers should appear on chart labels. Flourish type hint: string, defaults to None.
        :type chart_number_localization_output_separators: str, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "slider_number_format": {},
                "localization": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        self.state["state"]["color_primary"] = color_primary
        self.state["state"]["color_neutral"] = color_neutral
        self.state["state"]["color_correct"] = color_correct
        self.state["state"]["block_text_color"] = block_text_color
        self.state["state"]["text_border_color"] = text_border_color

        list_block_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if block_text_size not in list_block_text_size:
            raise ValueError(
                f"`block_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif block_text_size in list_block_text_size and block_text_size is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if block_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["block_text_size"] = filtered_dict[block_text_size]
        self.state["state"]["block_text_size_custom"] = block_text_size_custom
        self.state["state"]["block_background"] = block_background
        self.state["state"]["block_padding"] = block_padding
        self.state["state"]["block_border_width"] = block_border_width
        self.state["state"]["block_border_color"] = block_border_color
        self.state["state"]["block_border_radius"] = block_border_radius

        list_block_shadow = [True, False] + [None]
        if block_shadow not in list_block_shadow:
            raise ValueError(f"`block_shadow` must be one of: [True, False]")
        elif block_shadow in list_block_shadow and block_shadow is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if block_shadow in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["block_shadow"] = filtered_dict[block_shadow]
        self.state["state"]["block_shadow_blur"] = block_shadow_blur
        self.state["state"]["block_shadow_opacity"] = block_shadow_opacity
        self.state["state"]["block_btn_text_color"] = block_btn_text_color

        list_block_btn_text_size = ["1.1", "1.2", "1.4", "custom"] + [None]
        if block_btn_text_size not in list_block_btn_text_size:
            raise ValueError(
                f"`block_btn_text_size` must be one of: ['1.1', '1.2', '1.4', 'custom']"
            )
        elif (
            block_btn_text_size in list_block_btn_text_size
            and block_btn_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.1": "1.1",
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "custom": "custom",
                }.items()
                if block_btn_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["block_btn_text_size"] = filtered_dict[
                    block_btn_text_size
                ]
        self.state["state"]["block_btn_text_size_custom"] = block_btn_text_size_custom
        self.state["state"]["show_all_questions"] = show_all_questions
        self.state["state"]["slider_handle_fill"] = slider_handle_fill
        self.state["state"]["slider_handle_radius"] = slider_handle_radius
        self.state["state"]["slider_handle_stroke"] = slider_handle_stroke
        self.state["state"]["slider_channel_fill"] = slider_channel_fill
        self.state["state"]["slider_channel_height"] = slider_channel_height
        self.state["state"]["slider_comparison_opacity"] = slider_comparison_opacity

        list_slider_range_type = ["auto", "fixed", "custom"] + [None]
        if slider_range_type not in list_slider_range_type:
            raise ValueError(
                f"`slider_range_type` must be one of: ['auto', 'fixed', 'custom']"
            )
        elif (
            slider_range_type in list_slider_range_type
            and slider_range_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "fixed": "fixed",
                    "custom": "custom",
                }.items()
                if slider_range_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["slider_range_type"] = filtered_dict[
                    slider_range_type
                ]
        self.state["state"]["slider_range_min"] = slider_range_min
        self.state["state"]["slider_range_max"] = slider_range_max
        self.state["state"]["slider_range_step"] = slider_range_step

        if (
            slider_range_custom is not None
            and len(slider_range_custom) > 1
            and isinstance(slider_range_custom, list)
        ):
            self.state["state"]["slider_range_custom"] = " \n ".join(
                slider_range_custom
            )
        else:
            self.state["state"]["slider_range_custom"] = slider_range_custom

        self.state["state"]["slider_number_format"][
            "prefix"
        ] = chart_number_date_format_prefix
        self.state["state"]["slider_number_format"][
            "suffix"
        ] = chart_number_date_format_suffix
        self.state["state"]["slider_number_format"][
            "n_dec"
        ] = chart_number_date_format_n_dec
        self.state["state"]["slider_number_format"][
            "advanced"
        ] = chart_number_date_format_advanced

        list_chart_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_number_date_format_negative_sign
            not in list_chart_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_number_date_format_negative_sign
            in list_chart_number_date_format_negative_sign
            and chart_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["slider_number_format"][
                    "negative_sign"
                ] = filtered_dict[chart_number_date_format_negative_sign]
        self.state["state"]["slider_number_format"][
            "strip_zeros"
        ] = chart_number_date_format_strip_zeros
        self.state["state"]["slider_number_format"][
            "strip_separator"
        ] = chart_number_date_format_strip_separator
        self.state["state"]["slider_number_format"][
            "transform_labels"
        ] = chart_number_date_format_transform_labels

        list_chart_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_number_date_format_transform
            not in list_chart_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_number_date_format_transform
            in list_chart_number_date_format_transform
            and chart_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["slider_number_format"][
                    "transform"
                ] = filtered_dict[chart_number_date_format_transform]
        self.state["state"]["slider_number_format"][
            "multiply_divide_constant"
        ] = chart_number_date_format_multiply_divide_constant
        self.state["state"]["slider_number_format"][
            "exponentiate_constant"
        ] = chart_number_date_format_exponentiate_constant
        self.state["state"]["mc_background"] = mc_background
        self.state["state"]["mc_border_color"] = mc_border_color
        self.state["state"]["mc_border_width"] = mc_border_width
        self.state["state"]["mc_border_radius"] = mc_border_radius

        list_dropdown = [True, False] + [None]
        if dropdown not in list_dropdown:
            raise ValueError(f"`dropdown` must be one of: [True, False]")
        elif dropdown in list_dropdown and dropdown is not None:
            filtered_dict = {
                k: v for (k, v) in {True: True, False: False}.items() if dropdown in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown"] = filtered_dict[dropdown]
        self.state["state"]["dropdown_default_label"] = dropdown_default_label
        self.state["state"]["dropdown_label_color"] = dropdown_label_color
        self.state["state"]["slider_advanced_scoring"] = slider_advanced_scoring
        self.state["state"]["slider_score_zone_percent"] = slider_score_zone_percent
        self.state["state"]["slider_correct_zone_percent"] = slider_correct_zone_percent

        if (
            end_result_default_text is not None
            and len(end_result_default_text) > 1
            and isinstance(end_result_default_text, list)
        ):
            self.state["state"]["end_result_default_text"] = " \n ".join(
                end_result_default_text
            )
        else:
            self.state["state"]["end_result_default_text"] = end_result_default_text

        self.state["state"]["text_your_answer"] = text_your_answer
        self.state["state"]["text_submit"] = text_submit
        self.state["state"]["text_dropdown_label"] = text_dropdown_label

        list_chart_number_localization_input_decimal_separator = [".", ","] + [None]
        if (
            chart_number_localization_input_decimal_separator
            not in list_chart_number_localization_input_decimal_separator
        ):
            raise ValueError(
                f"`chart_number_localization_input_decimal_separator` must be one of: ['.', ',']"
            )
        elif (
            chart_number_localization_input_decimal_separator
            in list_chart_number_localization_input_decimal_separator
            and chart_number_localization_input_decimal_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {".": ".", ",": ","}.items()
                if chart_number_localization_input_decimal_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "input_decimal_separator"
                ] = filtered_dict[chart_number_localization_input_decimal_separator]

        list_chart_number_localization_output_separators = [
            ",.",
            ".,",
            ".",
            ",",
            " .",
            " ,",
        ] + [None]
        if (
            chart_number_localization_output_separators
            not in list_chart_number_localization_output_separators
        ):
            raise ValueError(
                f"`chart_number_localization_output_separators` must be one of: [',.', '.,', '.', ',', ' .', ' ,']"
            )
        elif (
            chart_number_localization_output_separators
            in list_chart_number_localization_output_separators
            and chart_number_localization_output_separators is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ",.": ",.",
                    ".,": ".,",
                    ".": ".",
                    ",": ",",
                    " .": " .",
                    " ,": " ,",
                }.items()
                if chart_number_localization_output_separators in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "output_separators"
                ] = filtered_dict[chart_number_localization_output_separators]
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_radar_details(
        self,
        radars_curve: str = None,
        radars_star: bool = None,
        radars_stroke_width: float = None,
        radars_stroke_opacity: float = None,
        radars_fill_opacity: float = None,
        radars_star_inner_radius: float = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        facet_comparisons: bool = None,
        facet_comparison_stroke: str = None,
        facet_comparison_stroke_width: float = None,
        facet_comparison_stroke_opacity: float = None,
        facet_comparison_fill: str = None,
        facet_comparison_fill_opacity: float = None,
        chart_facet_columns_fixed: bool = None,
        chart_facet_min_width: float = None,
        chart_facet_max_width: float = None,
        chart_facet_columns: float = None,
        chart_facet_gutter_w: float = None,
        chart_facet_gutter_h: float = None,
        chart_facet_animation: str = None,
        chart_facet_titles: bool = None,
        chart_facet_title_align: str = None,
        chart_facet_title_size: float = None,
        chart_facet_title_unit: str = None,
        chart_facet_title_color: str = None,
        chart_facet_title_padding_top: float = None,
        chart_facet_title_padding_bottom: float = None,
        chart_facet_title_bg: str = None,
        chart_facet_title_bg_color: str = None,
        chart_facet_title_bg_padding: float = None,
        chart_radial_axis_axis_show: bool = None,
        chart_radial_axis_x_line_color: str = None,
        chart_radial_axis_x_line_width: float = None,
        chart_radial_axis_x_tick_label_color: str = None,
        chart_radial_axis_x_tick_label_size: float = None,
        chart_radial_axis_x_tick_label_outline: float = None,
        chart_radial_axis_x_tick_label_weight: str = None,
        chart_radial_axis_y_min: float = None,
        chart_radial_axis_y_max: float = None,
        chart_radial_axis_y_tick_number: float = None,
        chart_radial_axis_y_line_color: str = None,
        chart_radial_axis_y_line_width: str = None,
        chart_radial_axis_y_line_dash: str = None,
        chart_radial_axis_y_line_dash_gap: str = None,
        chart_radial_axis_y_tick_label_color: str = None,
        chart_radial_axis_y_tick_label_size: float = None,
        chart_radial_axis_y_tick_label_outline: float = None,
        chart_radial_axis_y_tick_label_space: float = None,
        chart_radial_axis_y_tick_label_weight: str = None,
        chart_radial_axis_margin_top: float = None,
        chart_radial_axis_margin_right: float = None,
        chart_radial_axis_margin_bottom: float = None,
        chart_radial_axis_margin_left: float = None,
        chart_radial_axis_group_labels: Union[list, str] = None,
        chart_radial_axis_group_labels_color: str = None,
        chart_radial_axis_group_labels_size: float = None,
        chart_radial_axis_group_labels_letter_spacing: float = None,
        chart_radial_axis_group_labels_space_above: float = None,
        chart_radial_axis_group_labels_space_below: float = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        chart_legend_show_legend: bool = None,
        chart_legend_title_mode: str = None,
        chart_legend_title: str = None,
        chart_legend_swatch_width: float = None,
        chart_legend_swatch_height: float = None,
        chart_legend_swatch_radius: float = None,
        chart_legend_legend_items_padding: float = None,
        chart_legend_swatch_outline: bool = None,
        chart_legend_swatch_outline_color: str = None,
        chart_legend_order_override: Union[list, str] = None,
        chart_legend_icon_height: float = None,
        chart_legend_icon_color: str = None,
        chart_legend_max_width: float = None,
        chart_legend_orientation: str = None,
        facet_control_show: bool = None,
        facet_control_default: str = None,
        facet_control_none: bool = None,
        facets_label_combined: str = None,
        facet_control_individual: bool = None,
        facets_label_separate: str = None,
        chart_facet_filter_controls_control_type: str = None,
        chart_facet_filter_controls_control_styles: bool = None,
        chart_facet_filter_controls_control_title: str = None,
        chart_facet_filter_controls_button_group: bool = None,
        chart_facet_filter_controls_button_group_width_mode: str = None,
        chart_facet_filter_controls_button_group_width_fixed: float = None,
        chart_facet_filter_controls_dropdown_width_mode: str = None,
        chart_facet_filter_controls_dropdown_width_fixed: float = None,
        chart_facet_filter_controls_slider_width: float = None,
        chart_facet_filter_controls_slider_max_label_width: float = None,
        chart_facet_filter_controls_slider_step_time: float = None,
        chart_facet_filter_controls_slider_loop: bool = None,
        chart_facet_filter_controls_slider_restart_pause: float = None,
        chart_facet_filter_controls_sort: bool = None,
        chart_filter_controls_control_type: str = None,
        chart_filter_controls_control_styles: bool = None,
        chart_filter_controls_control_title: str = None,
        chart_filter_controls_button_group: bool = None,
        chart_filter_controls_button_group_width_mode: str = None,
        chart_filter_controls_button_group_width_fixed: float = None,
        chart_filter_controls_dropdown_width_mode: str = None,
        chart_filter_controls_dropdown_width_fixed: float = None,
        chart_filter_controls_slider_width: float = None,
        chart_filter_controls_slider_max_label_width: float = None,
        chart_filter_controls_slider_step_time: float = None,
        chart_filter_controls_slider_loop: bool = None,
        chart_filter_controls_slider_restart_pause: float = None,
        chart_filter_controls_sort: bool = None,
        filter_control_all: str = None,
        filter_y_max: bool = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        chart_slider_control_style_track_color: str = None,
        chart_slider_control_style_font_color: str = None,
        chart_slider_control_style_handle_color: str = None,
        chart_slider_control_style_play_color: str = None,
        chart_slider_control_style_track_height: float = None,
        chart_slider_control_style_handle_height: float = None,
        chart_slider_control_style_play_button: bool = None,
        chart_filter_controls_container_alignment: str = None,
        chart_filter_controls_container_controls_spacing: float = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_custom_accessible: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        popup_color_headings: bool = None,
        duration: float = None,
        chart_number_date_format_prefix: str = None,
        chart_number_date_format_suffix: str = None,
        chart_number_date_format_n_dec: float = None,
        chart_number_date_format_advanced: bool = None,
        chart_number_date_format_negative_sign: str = None,
        chart_number_date_format_strip_zeros: bool = None,
        chart_number_date_format_strip_separator: bool = None,
        chart_number_date_format_transform_labels: bool = None,
        chart_number_date_format_transform: str = None,
        chart_number_date_format_multiply_divide_constant: float = None,
        chart_number_date_format_exponentiate_constant: float = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: radar chart.


        :param radars_curve: Line curve. Choices: linear, cardinal. Flourish type hint: string, defaults to None.
        :type radars_curve: str, optional
        :param radars_star: Line shape. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type radars_star: bool, optional
        :param radars_stroke_width: Line width. Flourish type hint: number, defaults to None.
        :type radars_stroke_width: float, optional
        :param radars_stroke_opacity: Line opacity. Flourish type hint: number, defaults to None.
        :type radars_stroke_opacity: float, optional
        :param radars_fill_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type radars_fill_opacity: float, optional
        :param radars_star_inner_radius: Star inner. The star shapes inner radius, as a percent of the max radius. Flourish type hint: number, defaults to None.
        :type radars_star_inner_radius: float, optional
        :param chart_color_scale_categorical_palette: Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param facet_comparisons: Show comparison lines in grid mode. Flourish type hint: boolean, defaults to None.
        :type facet_comparisons: bool, optional
        :param facet_comparison_stroke: Line. Flourish type hint: color, defaults to None.
        :type facet_comparison_stroke: str, optional
        :param facet_comparison_stroke_width: Line width. Flourish type hint: number, defaults to None.
        :type facet_comparison_stroke_width: float, optional
        :param facet_comparison_stroke_opacity: Line opacity. Flourish type hint: number, defaults to None.
        :type facet_comparison_stroke_opacity: float, optional
        :param facet_comparison_fill: Fill. Flourish type hint: color, defaults to None.
        :type facet_comparison_fill: str, optional
        :param facet_comparison_fill_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type facet_comparison_fill_opacity: float, optional
        :param chart_facet_columns_fixed: Number of columns. Choices: False, True. In Auto mode, the number of columns will change with screen size. Flourish type hint: boolean, defaults to None.
        :type chart_facet_columns_fixed: bool, optional
        :param chart_facet_min_width: Min chart width. Determines how many columns of charts there should be in the grid. Ignored if you specify a fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_min_width: float, optional
        :param chart_facet_max_width: Max chart width. Determines how many columns of charts there should be in the grid. Ignored if you specify a fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_max_width: float, optional
        :param chart_facet_columns: Fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_columns: float, optional
        :param chart_facet_gutter_w: Horizontal margin. Flourish type hint: number, defaults to None.
        :type chart_facet_gutter_w: float, optional
        :param chart_facet_gutter_h: Vertical margin. Flourish type hint: number, defaults to None.
        :type chart_facet_gutter_h: float, optional
        :param chart_facet_animation: On data change. Choices: auto, name, reuse. If a chart in the grid is removed, that cell can either be animated out (with another cell moving to take its place) or reused for the new data in that cell. Auto decides for you based on the data. Flourish type hint: string, defaults to None.
        :type chart_facet_animation: str, optional
        :param chart_facet_titles: Show titles. Flourish type hint: boolean, defaults to None.
        :type chart_facet_titles: bool, optional
        :param chart_facet_title_align: Alignment. Choices: auto, left, center, right. Flourish type hint: string, defaults to None.
        :type chart_facet_title_align: str, optional
        :param chart_facet_title_size: Size. Relative to the width of the chart. Flourish type hint: number, defaults to None.
        :type chart_facet_title_size: float, optional
        :param chart_facet_title_unit: Scale with chart. Choices: rem, facet. Flourish type hint: string, defaults to None.
        :type chart_facet_title_unit: str, optional
        :param chart_facet_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_facet_title_color: str, optional
        :param chart_facet_title_padding_top: Space above. Flourish type hint: number, defaults to None.
        :type chart_facet_title_padding_top: float, optional
        :param chart_facet_title_padding_bottom: Space below. Flourish type hint: number, defaults to None.
        :type chart_facet_title_padding_bottom: float, optional
        :param chart_facet_title_bg: Background. Choices: none, full, text. Flourish type hint: string, defaults to None.
        :type chart_facet_title_bg: str, optional
        :param chart_facet_title_bg_color: Color. Flourish type hint: color, defaults to None.
        :type chart_facet_title_bg_color: str, optional
        :param chart_facet_title_bg_padding: Padding. Horizontal space between text and background. Flourish type hint: number, defaults to None.
        :type chart_facet_title_bg_padding: float, optional
        :param chart_radial_axis_axis_show: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_radial_axis_axis_show: bool, optional
        :param chart_radial_axis_x_line_color: Line. Flourish type hint: color, defaults to None.
        :type chart_radial_axis_x_line_color: str, optional
        :param chart_radial_axis_x_line_width: Width. Flourish type hint: number, defaults to None.
        :type chart_radial_axis_x_line_width: float, optional
        :param chart_radial_axis_x_tick_label_color: Color. Flourish type hint: color, defaults to None.
        :type chart_radial_axis_x_tick_label_color: str, optional
        :param chart_radial_axis_x_tick_label_size: Size. Flourish type hint: number, defaults to None.
        :type chart_radial_axis_x_tick_label_size: float, optional
        :param chart_radial_axis_x_tick_label_outline: Outline. Flourish type hint: number, defaults to None.
        :type chart_radial_axis_x_tick_label_outline: float, optional
        :param chart_radial_axis_x_tick_label_weight: Choices: 600, 400. Flourish type hint: string, defaults to None.
        :type chart_radial_axis_x_tick_label_weight: str, optional
        :param chart_radial_axis_y_min: Min value. Flourish type hint: number, defaults to None.
        :type chart_radial_axis_y_min: float, optional
        :param chart_radial_axis_y_max: Max value. Flourish type hint: number, defaults to None.
        :type chart_radial_axis_y_max: float, optional
        :param chart_radial_axis_y_tick_number: Number. Flourish type hint: number, defaults to None.
        :type chart_radial_axis_y_tick_number: float, optional
        :param chart_radial_axis_y_line_color: Color. Flourish type hint: color, defaults to None.
        :type chart_radial_axis_y_line_color: str, optional
        :param chart_radial_axis_y_line_width: Width. Flourish type hint: string, defaults to None.
        :type chart_radial_axis_y_line_width: str, optional
        :param chart_radial_axis_y_line_dash: Dash. Flourish type hint: string, defaults to None.
        :type chart_radial_axis_y_line_dash: str, optional
        :param chart_radial_axis_y_line_dash_gap: Gap. Flourish type hint: string, defaults to None.
        :type chart_radial_axis_y_line_dash_gap: str, optional
        :param chart_radial_axis_y_tick_label_color: Color. Flourish type hint: color, defaults to None.
        :type chart_radial_axis_y_tick_label_color: str, optional
        :param chart_radial_axis_y_tick_label_size: Size. Flourish type hint: number, defaults to None.
        :type chart_radial_axis_y_tick_label_size: float, optional
        :param chart_radial_axis_y_tick_label_outline: Outline. Flourish type hint: number, defaults to None.
        :type chart_radial_axis_y_tick_label_outline: float, optional
        :param chart_radial_axis_y_tick_label_space: Space. Flourish type hint: number, defaults to None.
        :type chart_radial_axis_y_tick_label_space: float, optional
        :param chart_radial_axis_y_tick_label_weight: Choices: 600, 400. Flourish type hint: string, defaults to None.
        :type chart_radial_axis_y_tick_label_weight: str, optional
        :param chart_radial_axis_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_radial_axis_margin_top: float, optional
        :param chart_radial_axis_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_radial_axis_margin_right: float, optional
        :param chart_radial_axis_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_radial_axis_margin_bottom: float, optional
        :param chart_radial_axis_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_radial_axis_margin_left: float, optional
        :param chart_radial_axis_group_labels: Outer labels. Enter one per line, with an angle and a label separated by a colon, such as: 50: My Label. Flourish type hint: text, defaults to None.
        :type chart_radial_axis_group_labels: Union[list, str], optional
        :param chart_radial_axis_group_labels_color: Color. Flourish type hint: color, defaults to None.
        :type chart_radial_axis_group_labels_color: str, optional
        :param chart_radial_axis_group_labels_size: Size. Flourish type hint: number, defaults to None.
        :type chart_radial_axis_group_labels_size: float, optional
        :param chart_radial_axis_group_labels_letter_spacing: Letter spacing. Flourish type hint: number, defaults to None.
        :type chart_radial_axis_group_labels_letter_spacing: float, optional
        :param chart_radial_axis_group_labels_space_above: Space above. Flourish type hint: number, defaults to None.
        :type chart_radial_axis_group_labels_space_above: float, optional
        :param chart_radial_axis_group_labels_space_below: Space below. Flourish type hint: number, defaults to None.
        :type chart_radial_axis_group_labels_space_below: float, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param chart_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_legend_show_legend: bool, optional
        :param chart_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_legend_title_mode: str, optional
        :param chart_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_legend_title: str, optional
        :param chart_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_legend_swatch_width: float, optional
        :param chart_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_legend_swatch_height: float, optional
        :param chart_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_legend_swatch_radius: float, optional
        :param chart_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_legend_legend_items_padding: float, optional
        :param chart_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_legend_swatch_outline: bool, optional
        :param chart_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_swatch_outline_color: str, optional
        :param chart_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_legend_order_override: Union[list, str], optional
        :param chart_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_legend_icon_height: float, optional
        :param chart_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_legend_icon_color: str, optional
        :param chart_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_legend_max_width: float, optional
        :param chart_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_orientation: str, optional
        :param facet_control_show: Show charts grid control. Flourish type hint: boolean, defaults to None.
        :type facet_control_show: bool, optional
        :param facet_control_default: Option to show on load. If you want to specify a different facet view to show on load either make a story or enter the label from the relevant button here. Case sensitive. Flourish type hint: string, defaults to None.
        :type facet_control_default: str, optional
        :param facet_control_none: Include combined option. Flourish type hint: boolean, defaults to None.
        :type facet_control_none: bool, optional
        :param facets_label_combined: Combined label. Flourish type hint: string, defaults to None.
        :type facets_label_combined: str, optional
        :param facet_control_individual: Include separate option. Flourish type hint: boolean, defaults to None.
        :type facet_control_individual: bool, optional
        :param facets_label_separate: Separate label. Flourish type hint: string, defaults to None.
        :type facets_label_separate: str, optional
        :param chart_facet_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_facet_filter_controls_control_type: str, optional
        :param chart_facet_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_facet_filter_controls_control_styles: bool, optional
        :param chart_facet_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_facet_filter_controls_control_title: str, optional
        :param chart_facet_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_facet_filter_controls_button_group: bool, optional
        :param chart_facet_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_facet_filter_controls_button_group_width_mode: str, optional
        :param chart_facet_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_facet_filter_controls_button_group_width_fixed: float, optional
        :param chart_facet_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_facet_filter_controls_dropdown_width_mode: str, optional
        :param chart_facet_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_facet_filter_controls_dropdown_width_fixed: float, optional
        :param chart_facet_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_facet_filter_controls_slider_width: float, optional
        :param chart_facet_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_facet_filter_controls_slider_max_label_width: float, optional
        :param chart_facet_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_facet_filter_controls_slider_step_time: float, optional
        :param chart_facet_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_facet_filter_controls_slider_loop: bool, optional
        :param chart_facet_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_facet_filter_controls_slider_restart_pause: float, optional
        :param chart_facet_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_facet_filter_controls_sort: bool, optional
        :param chart_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_type: str, optional
        :param chart_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_control_styles: bool, optional
        :param chart_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_title: str, optional
        :param chart_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_button_group: bool, optional
        :param chart_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_button_group_width_mode: str, optional
        :param chart_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_button_group_width_fixed: float, optional
        :param chart_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_dropdown_width_mode: str, optional
        :param chart_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_dropdown_width_fixed: float, optional
        :param chart_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_width: float, optional
        :param chart_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_max_label_width: float, optional
        :param chart_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_step_time: float, optional
        :param chart_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_slider_loop: bool, optional
        :param chart_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_restart_pause: float, optional
        :param chart_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_sort: bool, optional
        :param filter_control_all: Name for "All". Leave blank to not include an "All" option. Flourish type hint: string, defaults to None.
        :type filter_control_all: str, optional
        :param filter_y_max: Update axis y max when filtering. Flourish type hint: boolean, defaults to None.
        :type filter_y_max: bool, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Dropdown border styles. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param chart_slider_control_style_track_color: Track. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_track_color: str, optional
        :param chart_slider_control_style_font_color: Text. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_font_color: str, optional
        :param chart_slider_control_style_handle_color: Handle. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_handle_color: str, optional
        :param chart_slider_control_style_play_color: Play/pause. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_play_color: str, optional
        :param chart_slider_control_style_track_height: Track height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_track_height: float, optional
        :param chart_slider_control_style_handle_height: Height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_handle_height: float, optional
        :param chart_slider_control_style_play_button: Play button. Flourish type hint: boolean, defaults to None.
        :type chart_slider_control_style_play_button: bool, optional
        :param chart_filter_controls_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_container_alignment: str, optional
        :param chart_filter_controls_container_controls_spacing: Spacing. The space between controls, like dropdowns and adjacent button sets, in em units. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_container_controls_spacing: float, optional
        :param chart_popup_mode: Choices: none, popup, panel, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML styling or add category colors to popup headers.  To hide parts of the popup when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML for designs, styles, and images.  To hide parts of the popup when a column is empty use the syntax `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_custom_accessible: Popup custom accessible content. A text alternative to visual custom popup content that will be read out by screenreaders. This content is added as an aria-label attribute to data point elements. You can still use `{{column_name}}` to add values from your data, but do not use HTML. For example: `{{Name}}, Population: {{Population}}, GDP: {{GDP}}`. If left empty, accessible content will fallback to the default popup content. Flourish type hint: text, defaults to None.
        :type chart_popup_popup_custom_accessible: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for styling or add category colors to panel headers.  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for designs, styles, images, videos and embedded Flourish charts,  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing Click position is especially useful when your visualization is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param popup_color_headings: Color popup headings. Flourish type hint: boolean, defaults to None.
        :type popup_color_headings: bool, optional
        :param duration: Duration. The duration, in seconds, of transitions  for example between two slides in a story. Flourish type hint: number, defaults to None.
        :type duration: float, optional
        :param chart_number_date_format_prefix: Prefix. Text to place in front of a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_prefix: str, optional
        :param chart_number_date_format_suffix: Suffix. Text to place after a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_suffix: str, optional
        :param chart_number_date_format_n_dec: Decimal places. Decimal places. You can also enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_number_date_format_n_dec: float, optional
        :param chart_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_advanced: bool, optional
        :param chart_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_negative_sign: str, optional
        :param chart_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_zeros: bool, optional
        :param chart_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_separator: bool, optional
        :param chart_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_transform_labels: bool, optional
        :param chart_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_transform: str, optional
        :param chart_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_multiply_divide_constant: float, optional
        :param chart_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_exponentiate_constant: float, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "radars": {},
                "color": {},
                "facets": {},
                "radial_axis": {},
                "legend_container": {},
                "legend": {},
                "facets_control": {},
                "filter_control": {},
                "style_controls": {},
                "style_button": {},
                "style_dropdown": {},
                "style_slider": {},
                "controls_container": {},
                "popup": {},
                "formatting": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        list_radars_curve = ["linear", "cardinal"] + [None]
        if radars_curve not in list_radars_curve:
            raise ValueError(f"`radars_curve` must be one of: ['linear', 'cardinal']")
        elif radars_curve in list_radars_curve and radars_curve is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "cardinal": "cardinal"}.items()
                if radars_curve in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["radars"]["curve"] = filtered_dict[radars_curve]

        list_radars_star = [False, True] + [None]
        if radars_star not in list_radars_star:
            raise ValueError(f"`radars_star` must be one of: [False, True]")
        elif radars_star in list_radars_star and radars_star is not None:
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if radars_star in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["radars"]["star"] = filtered_dict[radars_star]
        self.state["state"]["radars"]["stroke_width"] = radars_stroke_width
        self.state["state"]["radars"]["stroke_opacity"] = radars_stroke_opacity
        self.state["state"]["radars"]["fill_opacity"] = radars_fill_opacity
        self.state["state"]["radars"]["star_inner_radius"] = radars_star_inner_radius

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max
        self.state["state"]["facet_comparisons"] = facet_comparisons
        self.state["state"]["facet_comparison_stroke"] = facet_comparison_stroke
        self.state["state"][
            "facet_comparison_stroke_width"
        ] = facet_comparison_stroke_width
        self.state["state"][
            "facet_comparison_stroke_opacity"
        ] = facet_comparison_stroke_opacity
        self.state["state"]["facet_comparison_fill"] = facet_comparison_fill
        self.state["state"][
            "facet_comparison_fill_opacity"
        ] = facet_comparison_fill_opacity

        list_chart_facet_columns_fixed = [False, True] + [None]
        if chart_facet_columns_fixed not in list_chart_facet_columns_fixed:
            raise ValueError(
                f"`chart_facet_columns_fixed` must be one of: [False, True]"
            )
        elif (
            chart_facet_columns_fixed in list_chart_facet_columns_fixed
            and chart_facet_columns_fixed is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_facet_columns_fixed in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["columns_fixed"] = filtered_dict[
                    chart_facet_columns_fixed
                ]
        self.state["state"]["facets"]["min_width"] = chart_facet_min_width
        self.state["state"]["facets"]["max_width"] = chart_facet_max_width
        self.state["state"]["facets"]["columns"] = chart_facet_columns
        self.state["state"]["facets"]["gutter_w"] = chart_facet_gutter_w
        self.state["state"]["facets"]["gutter_h"] = chart_facet_gutter_h

        list_chart_facet_animation = ["auto", "name", "reuse"] + [None]
        if chart_facet_animation not in list_chart_facet_animation:
            raise ValueError(
                f"`chart_facet_animation` must be one of: ['auto', 'name', 'reuse']"
            )
        elif (
            chart_facet_animation in list_chart_facet_animation
            and chart_facet_animation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "name": "name", "reuse": "reuse"}.items()
                if chart_facet_animation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["animation"] = filtered_dict[
                    chart_facet_animation
                ]
        self.state["state"]["facets"]["titles"] = chart_facet_titles

        list_chart_facet_title_align = ["auto", "left", "center", "right"] + [None]
        if chart_facet_title_align not in list_chart_facet_title_align:
            raise ValueError(
                f"`chart_facet_title_align` must be one of: ['auto', 'left', 'center', 'right']"
            )
        elif (
            chart_facet_title_align in list_chart_facet_title_align
            and chart_facet_title_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_facet_title_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_align"] = filtered_dict[
                    chart_facet_title_align
                ]
        self.state["state"]["facets"]["title_size"] = chart_facet_title_size

        list_chart_facet_title_unit = ["rem", "facet"] + [None]
        if chart_facet_title_unit not in list_chart_facet_title_unit:
            raise ValueError(
                f"`chart_facet_title_unit` must be one of: ['rem', 'facet']"
            )
        elif (
            chart_facet_title_unit in list_chart_facet_title_unit
            and chart_facet_title_unit is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"rem": "rem", "facet": "facet"}.items()
                if chart_facet_title_unit in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_unit"] = filtered_dict[
                    chart_facet_title_unit
                ]
        self.state["state"]["facets"]["title_color"] = chart_facet_title_color
        self.state["state"]["facets"][
            "title_padding_top"
        ] = chart_facet_title_padding_top
        self.state["state"]["facets"][
            "title_padding_bottom"
        ] = chart_facet_title_padding_bottom

        list_chart_facet_title_bg = ["none", "full", "text"] + [None]
        if chart_facet_title_bg not in list_chart_facet_title_bg:
            raise ValueError(
                f"`chart_facet_title_bg` must be one of: ['none', 'full', 'text']"
            )
        elif (
            chart_facet_title_bg in list_chart_facet_title_bg
            and chart_facet_title_bg is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"none": "none", "full": "full", "text": "text"}.items()
                if chart_facet_title_bg in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_bg"] = filtered_dict[
                    chart_facet_title_bg
                ]
        self.state["state"]["facets"]["title_bg_color"] = chart_facet_title_bg_color
        self.state["state"]["facets"]["title_bg_padding"] = chart_facet_title_bg_padding

        list_chart_radial_axis_axis_show = [True, False] + [None]
        if chart_radial_axis_axis_show not in list_chart_radial_axis_axis_show:
            raise ValueError(
                f"`chart_radial_axis_axis_show` must be one of: [True, False]"
            )
        elif (
            chart_radial_axis_axis_show in list_chart_radial_axis_axis_show
            and chart_radial_axis_axis_show is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_radial_axis_axis_show in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["radial_axis"]["axis_show"] = filtered_dict[
                    chart_radial_axis_axis_show
                ]
        self.state["state"]["radial_axis"][
            "x_line_color"
        ] = chart_radial_axis_x_line_color
        self.state["state"]["radial_axis"][
            "x_line_width"
        ] = chart_radial_axis_x_line_width
        self.state["state"]["radial_axis"][
            "x_tick_label_color"
        ] = chart_radial_axis_x_tick_label_color
        self.state["state"]["radial_axis"][
            "x_tick_label_size"
        ] = chart_radial_axis_x_tick_label_size
        self.state["state"]["radial_axis"][
            "x_tick_label_outline"
        ] = chart_radial_axis_x_tick_label_outline

        list_chart_radial_axis_x_tick_label_weight = ["600", "400"] + [None]
        if (
            chart_radial_axis_x_tick_label_weight
            not in list_chart_radial_axis_x_tick_label_weight
        ):
            raise ValueError(
                f"`chart_radial_axis_x_tick_label_weight` must be one of: ['600', '400']"
            )
        elif (
            chart_radial_axis_x_tick_label_weight
            in list_chart_radial_axis_x_tick_label_weight
            and chart_radial_axis_x_tick_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"600": "600", "400": "400"}.items()
                if chart_radial_axis_x_tick_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["radial_axis"][
                    "x_tick_label_weight"
                ] = filtered_dict[chart_radial_axis_x_tick_label_weight]
        self.state["state"]["radial_axis"]["y_min"] = chart_radial_axis_y_min
        self.state["state"]["radial_axis"]["y_max"] = chart_radial_axis_y_max
        self.state["state"]["radial_axis"][
            "y_tick_number"
        ] = chart_radial_axis_y_tick_number
        self.state["state"]["radial_axis"][
            "y_line_color"
        ] = chart_radial_axis_y_line_color
        self.state["state"]["radial_axis"][
            "y_line_width"
        ] = chart_radial_axis_y_line_width
        self.state["state"]["radial_axis"][
            "y_line_dash"
        ] = chart_radial_axis_y_line_dash
        self.state["state"]["radial_axis"][
            "y_line_dash_gap"
        ] = chart_radial_axis_y_line_dash_gap
        self.state["state"]["radial_axis"][
            "y_tick_label_color"
        ] = chart_radial_axis_y_tick_label_color
        self.state["state"]["radial_axis"][
            "y_tick_label_size"
        ] = chart_radial_axis_y_tick_label_size
        self.state["state"]["radial_axis"][
            "y_tick_label_outline"
        ] = chart_radial_axis_y_tick_label_outline
        self.state["state"]["radial_axis"][
            "y_tick_label_space"
        ] = chart_radial_axis_y_tick_label_space

        list_chart_radial_axis_y_tick_label_weight = ["600", "400"] + [None]
        if (
            chart_radial_axis_y_tick_label_weight
            not in list_chart_radial_axis_y_tick_label_weight
        ):
            raise ValueError(
                f"`chart_radial_axis_y_tick_label_weight` must be one of: ['600', '400']"
            )
        elif (
            chart_radial_axis_y_tick_label_weight
            in list_chart_radial_axis_y_tick_label_weight
            and chart_radial_axis_y_tick_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"600": "600", "400": "400"}.items()
                if chart_radial_axis_y_tick_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["radial_axis"][
                    "y_tick_label_weight"
                ] = filtered_dict[chart_radial_axis_y_tick_label_weight]
        self.state["state"]["radial_axis"]["margin_top"] = chart_radial_axis_margin_top
        self.state["state"]["radial_axis"][
            "margin_right"
        ] = chart_radial_axis_margin_right
        self.state["state"]["radial_axis"][
            "margin_bottom"
        ] = chart_radial_axis_margin_bottom
        self.state["state"]["radial_axis"][
            "margin_left"
        ] = chart_radial_axis_margin_left

        if (
            chart_radial_axis_group_labels is not None
            and len(chart_radial_axis_group_labels) > 1
            and isinstance(chart_radial_axis_group_labels, list)
        ):
            self.state["state"]["radial_axis"]["group_labels"] = " \n ".join(
                chart_radial_axis_group_labels
            )
        else:
            self.state["state"]["radial_axis"][
                "group_labels"
            ] = chart_radial_axis_group_labels

        self.state["state"]["radial_axis"][
            "group_labels_color"
        ] = chart_radial_axis_group_labels_color
        self.state["state"]["radial_axis"][
            "group_labels_size"
        ] = chart_radial_axis_group_labels_size
        self.state["state"]["radial_axis"][
            "group_labels_letter_spacing"
        ] = chart_radial_axis_group_labels_letter_spacing
        self.state["state"]["radial_axis"][
            "group_labels_space_above"
        ] = chart_radial_axis_group_labels_space_above
        self.state["state"]["radial_axis"][
            "group_labels_space_below"
        ] = chart_radial_axis_group_labels_space_below

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size

        list_chart_legend_show_legend = [True, False] + [None]
        if chart_legend_show_legend not in list_chart_legend_show_legend:
            raise ValueError(
                f"`chart_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_legend_show_legend in list_chart_legend_show_legend
            and chart_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend"]["show_legend"] = filtered_dict[
                    chart_legend_show_legend
                ]

        list_chart_legend_title_mode = ["auto", "custom"] + [None]
        if chart_legend_title_mode not in list_chart_legend_title_mode:
            raise ValueError(
                f"`chart_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_legend_title_mode in list_chart_legend_title_mode
            and chart_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend"]["title_mode"] = filtered_dict[
                    chart_legend_title_mode
                ]
        self.state["state"]["legend"]["title"] = chart_legend_title
        self.state["state"]["legend"]["swatch_width"] = chart_legend_swatch_width
        self.state["state"]["legend"]["swatch_height"] = chart_legend_swatch_height
        self.state["state"]["legend"]["swatch_radius"] = chart_legend_swatch_radius
        self.state["state"]["legend"][
            "legend_items_padding"
        ] = chart_legend_legend_items_padding
        self.state["state"]["legend"]["swatch_outline"] = chart_legend_swatch_outline
        self.state["state"]["legend"][
            "swatch_outline_color"
        ] = chart_legend_swatch_outline_color

        if (
            chart_legend_order_override is not None
            and len(chart_legend_order_override) > 1
            and isinstance(chart_legend_order_override, list)
        ):
            self.state["state"]["legend"]["order_override"] = " \n ".join(
                chart_legend_order_override
            )
        else:
            self.state["state"]["legend"][
                "order_override"
            ] = chart_legend_order_override

        self.state["state"]["legend"]["icon_height"] = chart_legend_icon_height
        self.state["state"]["legend"]["icon_color"] = chart_legend_icon_color
        self.state["state"]["legend"]["max_width"] = chart_legend_max_width

        list_chart_legend_orientation = ["horizontal", "vertical"] + [None]
        if chart_legend_orientation not in list_chart_legend_orientation:
            raise ValueError(
                f"`chart_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_orientation in list_chart_legend_orientation
            and chart_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend"]["orientation"] = filtered_dict[
                    chart_legend_orientation
                ]
        self.state["state"]["facet_control_show"] = facet_control_show
        self.state["state"]["facet_control_default"] = facet_control_default
        self.state["state"]["facet_control_none"] = facet_control_none
        self.state["state"]["facets_label_combined"] = facets_label_combined
        self.state["state"]["facet_control_individual"] = facet_control_individual
        self.state["state"]["facets_label_separate"] = facets_label_separate

        list_chart_facet_filter_controls_control_type = [
            "dropdown",
            "buttons",
            "slider",
        ] + [None]
        if (
            chart_facet_filter_controls_control_type
            not in list_chart_facet_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_facet_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_facet_filter_controls_control_type
            in list_chart_facet_filter_controls_control_type
            and chart_facet_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_facet_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets_control"]["control_type"] = filtered_dict[
                    chart_facet_filter_controls_control_type
                ]
        self.state["state"]["facets_control"][
            "control_styles"
        ] = chart_facet_filter_controls_control_styles
        self.state["state"]["facets_control"][
            "control_title"
        ] = chart_facet_filter_controls_control_title

        list_chart_facet_filter_controls_button_group = [True, False] + [None]
        if (
            chart_facet_filter_controls_button_group
            not in list_chart_facet_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_facet_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_facet_filter_controls_button_group
            in list_chart_facet_filter_controls_button_group
            and chart_facet_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_facet_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets_control"]["button_group"] = filtered_dict[
                    chart_facet_filter_controls_button_group
                ]

        list_chart_facet_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_facet_filter_controls_button_group_width_mode
            not in list_chart_facet_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_facet_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_facet_filter_controls_button_group_width_mode
            in list_chart_facet_filter_controls_button_group_width_mode
            and chart_facet_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_facet_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets_control"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_facet_filter_controls_button_group_width_mode]
        self.state["state"]["facets_control"][
            "button_group_width_fixed"
        ] = chart_facet_filter_controls_button_group_width_fixed

        list_chart_facet_filter_controls_dropdown_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_facet_filter_controls_dropdown_width_mode
            not in list_chart_facet_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_facet_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_facet_filter_controls_dropdown_width_mode
            in list_chart_facet_filter_controls_dropdown_width_mode
            and chart_facet_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_facet_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets_control"][
                    "dropdown_width_mode"
                ] = filtered_dict[chart_facet_filter_controls_dropdown_width_mode]
        self.state["state"]["facets_control"][
            "dropdown_width_fixed"
        ] = chart_facet_filter_controls_dropdown_width_fixed
        self.state["state"]["facets_control"][
            "slider_width"
        ] = chart_facet_filter_controls_slider_width
        self.state["state"]["facets_control"][
            "slider_max_label_width"
        ] = chart_facet_filter_controls_slider_max_label_width
        self.state["state"]["facets_control"][
            "slider_step_time"
        ] = chart_facet_filter_controls_slider_step_time
        self.state["state"]["facets_control"][
            "slider_loop"
        ] = chart_facet_filter_controls_slider_loop
        self.state["state"]["facets_control"][
            "slider_restart_pause"
        ] = chart_facet_filter_controls_slider_restart_pause

        list_chart_facet_filter_controls_sort = [True, False] + [None]
        if (
            chart_facet_filter_controls_sort
            not in list_chart_facet_filter_controls_sort
        ):
            raise ValueError(
                f"`chart_facet_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_facet_filter_controls_sort in list_chart_facet_filter_controls_sort
            and chart_facet_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_facet_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets_control"]["sort"] = filtered_dict[
                    chart_facet_filter_controls_sort
                ]

        list_chart_filter_controls_control_type = ["dropdown", "buttons", "slider"] + [
            None
        ]
        if (
            chart_filter_controls_control_type
            not in list_chart_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_filter_controls_control_type
            in list_chart_filter_controls_control_type
            and chart_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["control_type"] = filtered_dict[
                    chart_filter_controls_control_type
                ]
        self.state["state"]["filter_control"][
            "control_styles"
        ] = chart_filter_controls_control_styles
        self.state["state"]["filter_control"][
            "control_title"
        ] = chart_filter_controls_control_title

        list_chart_filter_controls_button_group = [True, False] + [None]
        if (
            chart_filter_controls_button_group
            not in list_chart_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_button_group
            in list_chart_filter_controls_button_group
            and chart_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["button_group"] = filtered_dict[
                    chart_filter_controls_button_group
                ]

        list_chart_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_filter_controls_button_group_width_mode
            not in list_chart_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_button_group_width_mode
            in list_chart_filter_controls_button_group_width_mode
            and chart_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_filter_controls_button_group_width_mode]
        self.state["state"]["filter_control"][
            "button_group_width_fixed"
        ] = chart_filter_controls_button_group_width_fixed

        list_chart_filter_controls_dropdown_width_mode = ["auto", "full", "fixed"] + [
            None
        ]
        if (
            chart_filter_controls_dropdown_width_mode
            not in list_chart_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_dropdown_width_mode
            in list_chart_filter_controls_dropdown_width_mode
            and chart_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"][
                    "dropdown_width_mode"
                ] = filtered_dict[chart_filter_controls_dropdown_width_mode]
        self.state["state"]["filter_control"][
            "dropdown_width_fixed"
        ] = chart_filter_controls_dropdown_width_fixed
        self.state["state"]["filter_control"][
            "slider_width"
        ] = chart_filter_controls_slider_width
        self.state["state"]["filter_control"][
            "slider_max_label_width"
        ] = chart_filter_controls_slider_max_label_width
        self.state["state"]["filter_control"][
            "slider_step_time"
        ] = chart_filter_controls_slider_step_time
        self.state["state"]["filter_control"][
            "slider_loop"
        ] = chart_filter_controls_slider_loop
        self.state["state"]["filter_control"][
            "slider_restart_pause"
        ] = chart_filter_controls_slider_restart_pause

        list_chart_filter_controls_sort = [True, False] + [None]
        if chart_filter_controls_sort not in list_chart_filter_controls_sort:
            raise ValueError(
                f"`chart_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_sort in list_chart_filter_controls_sort
            and chart_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["sort"] = filtered_dict[
                    chart_filter_controls_sort
                ]
        self.state["state"]["filter_control_all"] = filter_control_all
        self.state["state"]["filter_y_max"] = filter_y_max
        self.state["state"]["style_controls"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["style_controls"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["style_controls"]["height"] = chart_controls_style_height
        self.state["state"]["style_button"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["style_button"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["style_button"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["style_button"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["style_button"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["style_button"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["style_button"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["style_button"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["style_button"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["style_button"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["style_button"][
            "border_radius"
        ] = chart_button_control_style_border_radius
        self.state["state"]["style_dropdown"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["style_dropdown"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["style_dropdown"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["style_dropdown"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["style_dropdown"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["style_dropdown"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["style_dropdown"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["style_dropdown"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius
        self.state["state"]["style_slider"][
            "track_color"
        ] = chart_slider_control_style_track_color
        self.state["state"]["style_slider"][
            "font_color"
        ] = chart_slider_control_style_font_color
        self.state["state"]["style_slider"][
            "handle_color"
        ] = chart_slider_control_style_handle_color
        self.state["state"]["style_slider"][
            "play_color"
        ] = chart_slider_control_style_play_color
        self.state["state"]["style_slider"][
            "track_height"
        ] = chart_slider_control_style_track_height
        self.state["state"]["style_slider"][
            "handle_height"
        ] = chart_slider_control_style_handle_height
        self.state["state"]["style_slider"][
            "play_button"
        ] = chart_slider_control_style_play_button

        list_chart_filter_controls_container_alignment = ["start", "center", "end"] + [
            None
        ]
        if (
            chart_filter_controls_container_alignment
            not in list_chart_filter_controls_container_alignment
        ):
            raise ValueError(
                f"`chart_filter_controls_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_filter_controls_container_alignment
            in list_chart_filter_controls_container_alignment
            and chart_filter_controls_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_filter_controls_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_container"]["alignment"] = filtered_dict[
                    chart_filter_controls_container_alignment
                ]
        self.state["state"]["controls_container"][
            "controls_spacing"
        ] = chart_filter_controls_container_controls_spacing

        list_chart_popup_mode = ["none", "popup", "panel", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'panel', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "panel": "panel",
                    "both": "both",
                }.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popup"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popup"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popup"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        if (
            chart_popup_popup_custom_accessible is not None
            and len(chart_popup_popup_custom_accessible) > 1
            and isinstance(chart_popup_popup_custom_accessible, list)
        ):
            self.state["state"]["popup"]["popup_custom_accessible"] = " \n ".join(
                chart_popup_popup_custom_accessible
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_accessible"
            ] = chart_popup_popup_custom_accessible

        self.state["state"]["popup"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popup"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popup"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popup"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popup"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popup"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popup"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popup"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popup"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_label_weight"] = filtered_dict[
                    chart_popup_popup_list_label_weight
                ]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popup"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popup"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popup"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popup"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popup"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popup"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popup"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popup"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popup"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popup"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popup"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popup"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popup"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popup"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popup"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_vertical_position"] = filtered_dict[
                    chart_popup_panel_vertical_position
                ]
        self.state["state"]["popup"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popup"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popup"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popup"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popup"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popup"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_label_weight"] = filtered_dict[
                    chart_popup_panel_list_label_weight
                ]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popup"]["panel_shadow"] = chart_popup_panel_shadow
        self.state["state"]["popup_color_headings"] = popup_color_headings
        self.state["state"]["duration"] = duration
        self.state["state"]["formatting"]["prefix"] = chart_number_date_format_prefix
        self.state["state"]["formatting"]["suffix"] = chart_number_date_format_suffix
        self.state["state"]["formatting"]["n_dec"] = chart_number_date_format_n_dec
        self.state["state"]["formatting"][
            "advanced"
        ] = chart_number_date_format_advanced

        list_chart_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_number_date_format_negative_sign
            not in list_chart_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_number_date_format_negative_sign
            in list_chart_number_date_format_negative_sign
            and chart_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["formatting"]["negative_sign"] = filtered_dict[
                    chart_number_date_format_negative_sign
                ]
        self.state["state"]["formatting"][
            "strip_zeros"
        ] = chart_number_date_format_strip_zeros
        self.state["state"]["formatting"][
            "strip_separator"
        ] = chart_number_date_format_strip_separator
        self.state["state"]["formatting"][
            "transform_labels"
        ] = chart_number_date_format_transform_labels

        list_chart_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_number_date_format_transform
            not in list_chart_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_number_date_format_transform
            in list_chart_number_date_format_transform
            and chart_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["formatting"]["transform"] = filtered_dict[
                    chart_number_date_format_transform
                ]
        self.state["state"]["formatting"][
            "multiply_divide_constant"
        ] = chart_number_date_format_multiply_divide_constant
        self.state["state"]["formatting"][
            "exponentiate_constant"
        ] = chart_number_date_format_exponentiate_constant
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_sankey_details(
        self,
        mode: str = None,
        spread: str = None,
        alignment: str = None,
        sorting_mode: str = None,
        node_sort_order: str = None,
        iterations: float = None,
        setup_settings: bool = None,
        node_width: float = None,
        node_padding: float = None,
        top_padding: float = None,
        bottom_padding: float = None,
        height_mode: str = None,
        facet_aspect: float = None,
        chart_facet_columns_fixed: bool = None,
        chart_facet_min_width: float = None,
        chart_facet_max_width: float = None,
        chart_facet_columns: float = None,
        chart_facet_gutter_w: float = None,
        chart_facet_gutter_h: float = None,
        chart_facet_animation: str = None,
        chart_facet_titles: bool = None,
        chart_facet_title_align: str = None,
        chart_facet_title_size: float = None,
        chart_facet_title_unit: str = None,
        chart_facet_title_color: str = None,
        chart_facet_title_padding_top: float = None,
        chart_facet_title_padding_bottom: float = None,
        chart_facet_title_bg: str = None,
        chart_facet_title_bg_color: str = None,
        chart_facet_title_bg_padding: float = None,
        facets_hide_empty: bool = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        link_opacity: float = None,
        background_opacity: float = None,
        custom_node_color: str = None,
        links_color_mode: str = None,
        label_mode: str = None,
        label_outwards_max_width: float = None,
        label_color_mode: str = None,
        label_color: str = None,
        label_bold: bool = None,
        label_show_values: bool = None,
        label_show_values_links: str = None,
        label_color_links: str = None,
        label_outline: bool = None,
        label_outline_width: float = None,
        label_font_size: float = None,
        label_facet_scaling: bool = None,
        show_node_headings: bool = None,
        node_headings_bold: bool = None,
        node_headings_font_size: float = None,
        node_headings_padding: float = None,
        node_headings_max_width: float = None,
        node_headings_color: str = None,
        node_headings_overrides: Union[list, str] = None,
        chart_filter_controls_control_type: str = None,
        chart_filter_controls_control_styles: bool = None,
        chart_filter_controls_control_title: str = None,
        chart_filter_controls_button_group: bool = None,
        chart_filter_controls_button_group_width_mode: str = None,
        chart_filter_controls_button_group_width_fixed: float = None,
        chart_filter_controls_dropdown_width_mode: str = None,
        chart_filter_controls_dropdown_width_fixed: float = None,
        chart_filter_controls_slider_width: float = None,
        chart_filter_controls_slider_max_label_width: float = None,
        chart_filter_controls_slider_step_time: float = None,
        chart_filter_controls_slider_loop: bool = None,
        chart_filter_controls_slider_restart_pause: float = None,
        chart_filter_controls_sort: bool = None,
        filter_show_all: bool = None,
        filter_show_all_text: str = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_slider_control_style_track_color: str = None,
        chart_slider_control_style_font_color: str = None,
        chart_slider_control_style_handle_color: str = None,
        chart_slider_control_style_play_color: str = None,
        chart_slider_control_style_track_height: float = None,
        chart_slider_control_style_handle_height: float = None,
        chart_slider_control_style_play_button: bool = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_custom_accessible: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        popup_type: str = None,
        intro_duration: float = None,
        intro_ease_range: float = None,
        transition_duration: float = None,
        chart_number_date_format_prefix: str = None,
        chart_number_date_format_suffix: str = None,
        chart_number_date_format_n_dec: float = None,
        chart_number_date_format_advanced: bool = None,
        chart_number_date_format_negative_sign: str = None,
        chart_number_date_format_strip_zeros: bool = None,
        chart_number_date_format_strip_separator: bool = None,
        chart_number_date_format_transform_labels: bool = None,
        chart_number_date_format_transform: str = None,
        chart_number_date_format_multiply_divide_constant: float = None,
        chart_number_date_format_exponentiate_constant: float = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: sankey diagram.


        :param mode: Mode. Choices: alluvial, sankey. Flourish type hint: string, defaults to None.
        :type mode: str, optional
        :param spread: Spread. Choices: step, column. Flourish type hint: string, defaults to None.
        :type spread: str, optional
        :param alignment: Alignment. Choices: justify, center, left, right. Flourish type hint: string, defaults to None.
        :type alignment: str, optional
        :param sorting_mode: Sorting. Choices: datasheet, name, value, reduce_overlaps. Match sheet sorts based on the order of the categories as they appear in the datasheet.  Value sorts by the value of the nodes at each stage.  Reduce overlaps reduces the overlapping of links. Flourish type hint: string, defaults to None.
        :type sorting_mode: str, optional
        :param node_sort_order: Order. Choices: ascending, descending. Flourish type hint: string, defaults to None.
        :type node_sort_order: str, optional
        :param iterations: Iterations. Number of iterations of the layout algorithm before the diagram is drawn. The higher the value, the fewer link crossings you will see but the less likely the order is to match that in the datasheet. Flourish type hint: number, defaults to None.
        :type iterations: float, optional
        :param setup_settings: Advanced. Flourish type hint: boolean, defaults to None.
        :type setup_settings: bool, optional
        :param node_width: Node width. Flourish type hint: number, defaults to None.
        :type node_width: float, optional
        :param node_padding: Node spacing. The vertical gap between nodes. Flourish type hint: number, defaults to None.
        :type node_padding: float, optional
        :param top_padding: Margin above. Adds space at the top of the diagram; useful to accommodate any overflowing labels. Flourish type hint: number, defaults to None.
        :type top_padding: float, optional
        :param bottom_padding: Margin below. Adds space at the bottom of the diagram; useful to accommodate any overflowing labels. Flourish type hint: number, defaults to None.
        :type bottom_padding: float, optional
        :param height_mode: Height mode. Choices: aspect, standard. Whether responsive embeds should set their own height or use the standard responsive Flourish embed heights. Ignored in simple Iframe embeds, Canva and other fixed-height contexts. Flourish type hint: string, defaults to None.
        :type height_mode: str, optional
        :param facet_aspect: Aspect. Aspect ratio of each plot in desktop mode, where 1 is square, above 1 is wider, and below 1 is taller. Flourish type hint: number, defaults to None.
        :type facet_aspect: float, optional
        :param chart_facet_columns_fixed: Number of columns. Choices: False, True. In Auto mode, the number of columns will change with screen size. Flourish type hint: boolean, defaults to None.
        :type chart_facet_columns_fixed: bool, optional
        :param chart_facet_min_width: Min chart width. Determines how many columns of charts are displayed in the grid. Ignored if you specify a fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_min_width: float, optional
        :param chart_facet_max_width: Max chart width. Determines how many columns of charts are in the grid. Ignored if you specify a fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_max_width: float, optional
        :param chart_facet_columns: Fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_columns: float, optional
        :param chart_facet_gutter_w: Horizontal margin. Flourish type hint: number, defaults to None.
        :type chart_facet_gutter_w: float, optional
        :param chart_facet_gutter_h: Vertical margin. Flourish type hint: number, defaults to None.
        :type chart_facet_gutter_h: float, optional
        :param chart_facet_animation: On data change. Choices: auto, name, reuse. If a chart in the grid is removed, that cell can either be animated out (with another cell moving to take its place) or reused for the new data in that cell. Auto decides for you based on the data. Flourish type hint: string, defaults to None.
        :type chart_facet_animation: str, optional
        :param chart_facet_titles: Show titles. Flourish type hint: boolean, defaults to None.
        :type chart_facet_titles: bool, optional
        :param chart_facet_title_align: Alignment. Choices: auto, left, center, right. Flourish type hint: string, defaults to None.
        :type chart_facet_title_align: str, optional
        :param chart_facet_title_size: Size. Relative to the width of the chart. Flourish type hint: number, defaults to None.
        :type chart_facet_title_size: float, optional
        :param chart_facet_title_unit: Scale with chart. Choices: rem, facet. Flourish type hint: string, defaults to None.
        :type chart_facet_title_unit: str, optional
        :param chart_facet_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_facet_title_color: str, optional
        :param chart_facet_title_padding_top: Space above. Flourish type hint: number, defaults to None.
        :type chart_facet_title_padding_top: float, optional
        :param chart_facet_title_padding_bottom: Space below. Flourish type hint: number, defaults to None.
        :type chart_facet_title_padding_bottom: float, optional
        :param chart_facet_title_bg: Background. Choices: none, full, text. Flourish type hint: string, defaults to None.
        :type chart_facet_title_bg: str, optional
        :param chart_facet_title_bg_color: Color. Flourish type hint: color, defaults to None.
        :type chart_facet_title_bg_color: str, optional
        :param chart_facet_title_bg_padding: Padding. Horizontal space between text and background. Flourish type hint: number, defaults to None.
        :type chart_facet_title_bg_padding: float, optional
        :param facets_hide_empty: Hide empty charts when filtering. Flourish type hint: boolean, defaults to None.
        :type facets_hide_empty: bool, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param link_opacity: Link opacity. Flourish type hint: number, defaults to None.
        :type link_opacity: float, optional
        :param background_opacity: Defocused opacity. When a node or link is in focus, this sets the opacity of the links and nodes not in focus. Flourish type hint: number, defaults to None.
        :type background_opacity: float, optional
        :param custom_node_color: Custom node color. Flourish type hint: color, defaults to None.
        :type custom_node_color: str, optional
        :param links_color_mode: Links color mode. Choices: node, source, target. Flourish type hint: string, defaults to None.
        :type links_color_mode: str, optional
        :param label_mode: Position. Choices: outwards, inwards. Flourish type hint: string, defaults to None.
        :type label_mode: str, optional
        :param label_outwards_max_width: Space. The max space available for the labels, as a percentage of the chart width. Flourish type hint: number, defaults to None.
        :type label_outwards_max_width: float, optional
        :param label_color_mode: Color mode. Choices: auto, fixed. Flourish type hint: string, defaults to None.
        :type label_color_mode: str, optional
        :param label_color: Color. Flourish type hint: color, defaults to None.
        :type label_color: str, optional
        :param label_bold: Bold. Flourish type hint: boolean, defaults to None.
        :type label_bold: bool, optional
        :param label_show_values: Include values. Flourish type hint: boolean, defaults to None.
        :type label_show_values: bool, optional
        :param label_show_values_links: Show link values. Choices: never, focused, always. Flourish type hint: string, defaults to None.
        :type label_show_values_links: str, optional
        :param label_color_links: Colour. Flourish type hint: color, defaults to None.
        :type label_color_links: str, optional
        :param label_outline: Outline. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type label_outline: bool, optional
        :param label_outline_width: Width. As a percent of the font size. Flourish type hint: number, defaults to None.
        :type label_outline_width: float, optional
        :param label_font_size: Font size. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type label_font_size: float, optional
        :param label_facet_scaling: Scale with grid. Sets a max size based on the facet size, regardless of the page width. Flourish type hint: boolean, defaults to None.
        :type label_facet_scaling: bool, optional
        :param show_node_headings: Show headings. Enables the labels above each column of nodes in an Alluvial diagram. Flourish type hint: boolean, defaults to None.
        :type show_node_headings: bool, optional
        :param node_headings_bold: Bold. Flourish type hint: boolean, defaults to None.
        :type node_headings_bold: bool, optional
        :param node_headings_font_size: Font size. Flourish type hint: number, defaults to None.
        :type node_headings_font_size: float, optional
        :param node_headings_padding: Padding. Flourish type hint: number, defaults to None.
        :type node_headings_padding: float, optional
        :param node_headings_max_width: Max width. Flourish type hint: number, defaults to None.
        :type node_headings_max_width: float, optional
        :param node_headings_color: Color. Flourish type hint: color, defaults to None.
        :type node_headings_color: str, optional
        :param node_headings_overrides: Custom overrides. On each line, type the step heading that you want to override, a double colon and then the replacement step heading. For example: 1 :: Phase A 2 :: Phase B. Flourish type hint: text, defaults to None.
        :type node_headings_overrides: Union[list, str], optional
        :param chart_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_type: str, optional
        :param chart_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_control_styles: bool, optional
        :param chart_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_title: str, optional
        :param chart_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_button_group: bool, optional
        :param chart_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_button_group_width_mode: str, optional
        :param chart_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_button_group_width_fixed: float, optional
        :param chart_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_dropdown_width_mode: str, optional
        :param chart_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_dropdown_width_fixed: float, optional
        :param chart_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_width: float, optional
        :param chart_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_max_label_width: float, optional
        :param chart_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_step_time: float, optional
        :param chart_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_slider_loop: bool, optional
        :param chart_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_restart_pause: float, optional
        :param chart_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_sort: bool, optional
        :param filter_show_all: Include "All". Flourish type hint: boolean, defaults to None.
        :type filter_show_all: bool, optional
        :param filter_show_all_text: “All” label. Flourish type hint: string, defaults to None.
        :type filter_show_all_text: str, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Dropdown border styles. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_slider_control_style_track_color: Track. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_track_color: str, optional
        :param chart_slider_control_style_font_color: Text. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_font_color: str, optional
        :param chart_slider_control_style_handle_color: Handle. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_handle_color: str, optional
        :param chart_slider_control_style_play_color: Play/pause. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_play_color: str, optional
        :param chart_slider_control_style_track_height: Track height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_track_height: float, optional
        :param chart_slider_control_style_handle_height: Height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_handle_height: float, optional
        :param chart_slider_control_style_play_button: Play button. Flourish type hint: boolean, defaults to None.
        :type chart_slider_control_style_play_button: bool, optional
        :param chart_popup_mode: Choices: none, popup, panel, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. Use `{{LABEL}}` to include the Label for the current element. For links, this will show in the format of "Source Target", for nodes this will show the name of the node. For any other selected columns use `{{column_name}}`. Advanced users can include HTML to apply layouts, formatting, images, etc.  You can also hide content based on a column name being empty using `{{# if column_name}}Text to display when column_name is not empty{{/if}}`. For example: `{{Country}} {{#if Capital}}(Capital: {{Capital}}){{/if}}`  If statements can also be used to show certain content for links only or nodes only. Use `{{#if IS_LINK}}` or `{{#if IS_NODE}}` like so:   `{{#if IS_LINK}} This is a link popup {{/if}}`  `{{#if IS_NODE}} This is a node popup {{/if}}` Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. Use `{{LABEL}}` to include the Label for the current element. For links, this will show in the format of "Source Target", for nodes this will show the name of the node. For any other selected columns use `{{column_name}}`. Advanced users can include HTML to apply layouts, formatting, images, etc.  You can also hide content based on a column name being empty using `{{# if column_name}}Text to display when column_name is not empty{{/if}}`. For example: `{{Country}} {{#if Capital}}(Capital: {{Capital}}){{/if}}`  If statements can also be used to show certain content for links only or nodes only. Use `{{#if IS_LINK}}` or `{{#if IS_NODE}}` like so:   `{{#if IS_LINK}} This is a link popup {{/if}}`  `{{#if IS_NODE}} This is a node popup {{/if}}` Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_custom_accessible: Popup custom accessible content. A text alternative to visual custom popup content that will be read out by screenreaders. This content is added as an aria-label attribute to data point elements. You can still use `{{column_name}}` to add values from your data, but do not use HTML. For example: `{{Name}}, Population: {{Population}}, GDP: {{GDP}}`. If left empty, accessible content will fallback to the default popup content. Flourish type hint: text, defaults to None.
        :type chart_popup_popup_custom_accessible: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. Use `{{LABEL}}` to include the Label for the current element. For links, this will show in the format of "Source Target", for nodes this will show the name of the node. For any other selected columns use `{{column_name}}`. Advanced users can include HTML to apply layouts, formatting, images, etc.  You can also hide content based on a column name being empty using `{{# if column_name}}Text to display when column_name is not empty{{/if}}`. For example: `{{Country}} {{#if Capital}}(Capital: {{Capital}}){{/if}}`  If statements can also be used to show certain content for links only or nodes only. Use `{{#if IS_LINK}}` or `{{#if IS_NODE}}` like so:   `{{#if IS_LINK}} This is a link panel {{/if}}`  `{{#if IS_NODE}} This is a node panel {{/if}}` Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. Use `{{LABEL}}` to include the Label for the current element. For links, this will show in the format of "Source Target", for nodes this will show the name of the node. For any other selected columns use `{{column_name}}`. Advanced users can include HTML to apply layouts, formatting, images, etc.  You can also hide content based on a column name being empty using `{{# if column_name}}Text to display when column_name is not empty{{/if}}`. For example: `{{Country}} {{#if Capital}}(Capital: {{Capital}}){{/if}}`  If statements can also be used to show certain content for links only or nodes only. Use `{{#if IS_LINK}}` or `{{#if IS_NODE}}` like so:   `{{#if IS_LINK}} This is a link panel {{/if}}`  `{{#if IS_NODE}} This is a node panel {{/if}}` Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing Click position is especially useful when your visualization is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param popup_type: Type. Choices: links, nodes, all. Flourish type hint: string, defaults to None.
        :type popup_type: str, optional
        :param intro_duration: Duration. Flourish type hint: number, defaults to None.
        :type intro_duration: float, optional
        :param intro_ease_range: Speed variation. When set at zero, all the links are revealed at an even speed. When set above zero, the lines randomly accelerate and decelerate slightly to give a more natural effect. Flourish type hint: number, defaults to None.
        :type intro_ease_range: float, optional
        :param transition_duration: Duration. In seconds. Flourish type hint: number, defaults to None.
        :type transition_duration: float, optional
        :param chart_number_date_format_prefix: Prefix. Text to place in front of a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_prefix: str, optional
        :param chart_number_date_format_suffix: Suffix. Text to place after a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_suffix: str, optional
        :param chart_number_date_format_n_dec: Decimal places. Decimal places. You can also enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_number_date_format_n_dec: float, optional
        :param chart_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_advanced: bool, optional
        :param chart_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_negative_sign: str, optional
        :param chart_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_zeros: bool, optional
        :param chart_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_separator: bool, optional
        :param chart_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_transform_labels: bool, optional
        :param chart_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_transform: str, optional
        :param chart_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_multiply_divide_constant: float, optional
        :param chart_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_exponentiate_constant: float, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "facets": {},
                "color": {},
                "filter_controls": {},
                "controls_style": {},
                "dropdown_style": {},
                "button_style": {},
                "slider_style": {},
                "popup": {},
                "formatting": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        list_mode = ["alluvial", "sankey"] + [None]
        if mode not in list_mode:
            raise ValueError(f"`mode` must be one of: ['alluvial', 'sankey']")
        elif mode in list_mode and mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"alluvial": "alluvial", "sankey": "sankey"}.items()
                if mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["mode"] = filtered_dict[mode]

        list_spread = ["step", "column"] + [None]
        if spread not in list_spread:
            raise ValueError(f"`spread` must be one of: ['step', 'column']")
        elif spread in list_spread and spread is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"step": "step", "column": "column"}.items()
                if spread in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["spread"] = filtered_dict[spread]

        list_alignment = ["justify", "center", "left", "right"] + [None]
        if alignment not in list_alignment:
            raise ValueError(
                f"`alignment` must be one of: ['justify', 'center', 'left', 'right']"
            )
        elif alignment in list_alignment and alignment is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "justify": "justify",
                    "center": "center",
                    "left": "left",
                    "right": "right",
                }.items()
                if alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["alignment"] = filtered_dict[alignment]

        list_sorting_mode = ["datasheet", "name", "value", "reduce_overlaps"] + [None]
        if sorting_mode not in list_sorting_mode:
            raise ValueError(
                f"`sorting_mode` must be one of: ['datasheet', 'name', 'value', 'reduce_overlaps']"
            )
        elif sorting_mode in list_sorting_mode and sorting_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "datasheet": "datasheet",
                    "name": "name",
                    "value": "value",
                    "reduce_overlaps": "reduce_overlaps",
                }.items()
                if sorting_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["sorting_mode"] = filtered_dict[sorting_mode]

        list_node_sort_order = ["ascending", "descending"] + [None]
        if node_sort_order not in list_node_sort_order:
            raise ValueError(
                f"`node_sort_order` must be one of: ['ascending', 'descending']"
            )
        elif node_sort_order in list_node_sort_order and node_sort_order is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "ascending": "ascending",
                    "descending": "descending",
                }.items()
                if node_sort_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["node_sort_order"] = filtered_dict[node_sort_order]
        self.state["state"]["iterations"] = iterations
        self.state["state"]["setup_settings"] = setup_settings
        self.state["state"]["node_width"] = node_width
        self.state["state"]["node_padding"] = node_padding
        self.state["state"]["top_padding"] = top_padding
        self.state["state"]["bottom_padding"] = bottom_padding

        list_height_mode = ["aspect", "standard"] + [None]
        if height_mode not in list_height_mode:
            raise ValueError(f"`height_mode` must be one of: ['aspect', 'standard']")
        elif height_mode in list_height_mode and height_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"aspect": "aspect", "standard": "standard"}.items()
                if height_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["height_mode"] = filtered_dict[height_mode]
        self.state["state"]["facet_aspect"] = facet_aspect

        list_chart_facet_columns_fixed = [False, True] + [None]
        if chart_facet_columns_fixed not in list_chart_facet_columns_fixed:
            raise ValueError(
                f"`chart_facet_columns_fixed` must be one of: [False, True]"
            )
        elif (
            chart_facet_columns_fixed in list_chart_facet_columns_fixed
            and chart_facet_columns_fixed is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_facet_columns_fixed in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["columns_fixed"] = filtered_dict[
                    chart_facet_columns_fixed
                ]
        self.state["state"]["facets"]["min_width"] = chart_facet_min_width
        self.state["state"]["facets"]["max_width"] = chart_facet_max_width
        self.state["state"]["facets"]["columns"] = chart_facet_columns
        self.state["state"]["facets"]["gutter_w"] = chart_facet_gutter_w
        self.state["state"]["facets"]["gutter_h"] = chart_facet_gutter_h

        list_chart_facet_animation = ["auto", "name", "reuse"] + [None]
        if chart_facet_animation not in list_chart_facet_animation:
            raise ValueError(
                f"`chart_facet_animation` must be one of: ['auto', 'name', 'reuse']"
            )
        elif (
            chart_facet_animation in list_chart_facet_animation
            and chart_facet_animation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "name": "name", "reuse": "reuse"}.items()
                if chart_facet_animation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["animation"] = filtered_dict[
                    chart_facet_animation
                ]
        self.state["state"]["facets"]["titles"] = chart_facet_titles

        list_chart_facet_title_align = ["auto", "left", "center", "right"] + [None]
        if chart_facet_title_align not in list_chart_facet_title_align:
            raise ValueError(
                f"`chart_facet_title_align` must be one of: ['auto', 'left', 'center', 'right']"
            )
        elif (
            chart_facet_title_align in list_chart_facet_title_align
            and chart_facet_title_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_facet_title_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_align"] = filtered_dict[
                    chart_facet_title_align
                ]
        self.state["state"]["facets"]["title_size"] = chart_facet_title_size

        list_chart_facet_title_unit = ["rem", "facet"] + [None]
        if chart_facet_title_unit not in list_chart_facet_title_unit:
            raise ValueError(
                f"`chart_facet_title_unit` must be one of: ['rem', 'facet']"
            )
        elif (
            chart_facet_title_unit in list_chart_facet_title_unit
            and chart_facet_title_unit is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"rem": "rem", "facet": "facet"}.items()
                if chart_facet_title_unit in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_unit"] = filtered_dict[
                    chart_facet_title_unit
                ]
        self.state["state"]["facets"]["title_color"] = chart_facet_title_color
        self.state["state"]["facets"][
            "title_padding_top"
        ] = chart_facet_title_padding_top
        self.state["state"]["facets"][
            "title_padding_bottom"
        ] = chart_facet_title_padding_bottom

        list_chart_facet_title_bg = ["none", "full", "text"] + [None]
        if chart_facet_title_bg not in list_chart_facet_title_bg:
            raise ValueError(
                f"`chart_facet_title_bg` must be one of: ['none', 'full', 'text']"
            )
        elif (
            chart_facet_title_bg in list_chart_facet_title_bg
            and chart_facet_title_bg is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"none": "none", "full": "full", "text": "text"}.items()
                if chart_facet_title_bg in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_bg"] = filtered_dict[
                    chart_facet_title_bg
                ]
        self.state["state"]["facets"]["title_bg_color"] = chart_facet_title_bg_color
        self.state["state"]["facets"]["title_bg_padding"] = chart_facet_title_bg_padding
        self.state["state"]["facets_hide_empty"] = facets_hide_empty

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max
        self.state["state"]["link_opacity"] = link_opacity
        self.state["state"]["background_opacity"] = background_opacity
        self.state["state"]["custom_node_color"] = custom_node_color

        list_links_color_mode = ["node", "source", "target"] + [None]
        if links_color_mode not in list_links_color_mode:
            raise ValueError(
                f"`links_color_mode` must be one of: ['node', 'source', 'target']"
            )
        elif links_color_mode in list_links_color_mode and links_color_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "node": "node",
                    "source": "source",
                    "target": "target",
                }.items()
                if links_color_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["links_color_mode"] = filtered_dict[
                    links_color_mode
                ]

        list_label_mode = ["outwards", "inwards"] + [None]
        if label_mode not in list_label_mode:
            raise ValueError(f"`label_mode` must be one of: ['outwards', 'inwards']")
        elif label_mode in list_label_mode and label_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"outwards": "outwards", "inwards": "inwards"}.items()
                if label_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_mode"] = filtered_dict[label_mode]
        self.state["state"]["label_outwards_max_width"] = label_outwards_max_width

        list_label_color_mode = ["auto", "fixed"] + [None]
        if label_color_mode not in list_label_color_mode:
            raise ValueError(f"`label_color_mode` must be one of: ['auto', 'fixed']")
        elif label_color_mode in list_label_color_mode and label_color_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "fixed": "fixed"}.items()
                if label_color_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_color_mode"] = filtered_dict[
                    label_color_mode
                ]
        self.state["state"]["label_color"] = label_color
        self.state["state"]["label_bold"] = label_bold
        self.state["state"]["label_show_values"] = label_show_values

        list_label_show_values_links = ["never", "focused", "always"] + [None]
        if label_show_values_links not in list_label_show_values_links:
            raise ValueError(
                f"`label_show_values_links` must be one of: ['never', 'focused', 'always']"
            )
        elif (
            label_show_values_links in list_label_show_values_links
            and label_show_values_links is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "never": "never",
                    "focused": "focused",
                    "always": "always",
                }.items()
                if label_show_values_links in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_show_values_links"] = filtered_dict[
                    label_show_values_links
                ]
        self.state["state"]["label_color_links"] = label_color_links

        list_label_outline = [True, False] + [None]
        if label_outline not in list_label_outline:
            raise ValueError(f"`label_outline` must be one of: [True, False]")
        elif label_outline in list_label_outline and label_outline is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if label_outline in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_outline"] = filtered_dict[label_outline]
        self.state["state"]["label_outline_width"] = label_outline_width
        self.state["state"]["label_font_size"] = label_font_size
        self.state["state"]["label_facet_scaling"] = label_facet_scaling
        self.state["state"]["show_node_headings"] = show_node_headings
        self.state["state"]["node_headings_bold"] = node_headings_bold
        self.state["state"]["node_headings_font_size"] = node_headings_font_size
        self.state["state"]["node_headings_padding"] = node_headings_padding
        self.state["state"]["node_headings_max_width"] = node_headings_max_width
        self.state["state"]["node_headings_color"] = node_headings_color

        if (
            node_headings_overrides is not None
            and len(node_headings_overrides) > 1
            and isinstance(node_headings_overrides, list)
        ):
            self.state["state"]["node_headings_overrides"] = " \n ".join(
                node_headings_overrides
            )
        else:
            self.state["state"]["node_headings_overrides"] = node_headings_overrides

        list_chart_filter_controls_control_type = ["dropdown", "buttons", "slider"] + [
            None
        ]
        if (
            chart_filter_controls_control_type
            not in list_chart_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_filter_controls_control_type
            in list_chart_filter_controls_control_type
            and chart_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_controls"]["control_type"] = filtered_dict[
                    chart_filter_controls_control_type
                ]
        self.state["state"]["filter_controls"][
            "control_styles"
        ] = chart_filter_controls_control_styles
        self.state["state"]["filter_controls"][
            "control_title"
        ] = chart_filter_controls_control_title

        list_chart_filter_controls_button_group = [True, False] + [None]
        if (
            chart_filter_controls_button_group
            not in list_chart_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_button_group
            in list_chart_filter_controls_button_group
            and chart_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_controls"]["button_group"] = filtered_dict[
                    chart_filter_controls_button_group
                ]

        list_chart_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_filter_controls_button_group_width_mode
            not in list_chart_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_button_group_width_mode
            in list_chart_filter_controls_button_group_width_mode
            and chart_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_controls"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_filter_controls_button_group_width_mode]
        self.state["state"]["filter_controls"][
            "button_group_width_fixed"
        ] = chart_filter_controls_button_group_width_fixed

        list_chart_filter_controls_dropdown_width_mode = ["auto", "full", "fixed"] + [
            None
        ]
        if (
            chart_filter_controls_dropdown_width_mode
            not in list_chart_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_dropdown_width_mode
            in list_chart_filter_controls_dropdown_width_mode
            and chart_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_controls"][
                    "dropdown_width_mode"
                ] = filtered_dict[chart_filter_controls_dropdown_width_mode]
        self.state["state"]["filter_controls"][
            "dropdown_width_fixed"
        ] = chart_filter_controls_dropdown_width_fixed
        self.state["state"]["filter_controls"][
            "slider_width"
        ] = chart_filter_controls_slider_width
        self.state["state"]["filter_controls"][
            "slider_max_label_width"
        ] = chart_filter_controls_slider_max_label_width
        self.state["state"]["filter_controls"][
            "slider_step_time"
        ] = chart_filter_controls_slider_step_time
        self.state["state"]["filter_controls"][
            "slider_loop"
        ] = chart_filter_controls_slider_loop
        self.state["state"]["filter_controls"][
            "slider_restart_pause"
        ] = chart_filter_controls_slider_restart_pause

        list_chart_filter_controls_sort = [True, False] + [None]
        if chart_filter_controls_sort not in list_chart_filter_controls_sort:
            raise ValueError(
                f"`chart_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_sort in list_chart_filter_controls_sort
            and chart_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_controls"]["sort"] = filtered_dict[
                    chart_filter_controls_sort
                ]
        self.state["state"]["filter_show_all"] = filter_show_all
        self.state["state"]["filter_show_all_text"] = filter_show_all_text
        self.state["state"]["controls_style"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_style"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["controls_style"]["height"] = chart_controls_style_height
        self.state["state"]["dropdown_style"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["dropdown_style"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["dropdown_style"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown_style"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["dropdown_style"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["dropdown_style"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["dropdown_style"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["dropdown_style"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius
        self.state["state"]["button_style"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["button_style"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["button_style"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["button_style"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["button_style"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["button_style"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["button_style"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["button_style"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["button_style"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["button_style"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["button_style"][
            "border_radius"
        ] = chart_button_control_style_border_radius
        self.state["state"]["slider_style"][
            "track_color"
        ] = chart_slider_control_style_track_color
        self.state["state"]["slider_style"][
            "font_color"
        ] = chart_slider_control_style_font_color
        self.state["state"]["slider_style"][
            "handle_color"
        ] = chart_slider_control_style_handle_color
        self.state["state"]["slider_style"][
            "play_color"
        ] = chart_slider_control_style_play_color
        self.state["state"]["slider_style"][
            "track_height"
        ] = chart_slider_control_style_track_height
        self.state["state"]["slider_style"][
            "handle_height"
        ] = chart_slider_control_style_handle_height
        self.state["state"]["slider_style"][
            "play_button"
        ] = chart_slider_control_style_play_button

        list_chart_popup_mode = ["none", "popup", "panel", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'panel', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "panel": "panel",
                    "both": "both",
                }.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popup"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popup"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popup"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        if (
            chart_popup_popup_custom_accessible is not None
            and len(chart_popup_popup_custom_accessible) > 1
            and isinstance(chart_popup_popup_custom_accessible, list)
        ):
            self.state["state"]["popup"]["popup_custom_accessible"] = " \n ".join(
                chart_popup_popup_custom_accessible
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_accessible"
            ] = chart_popup_popup_custom_accessible

        self.state["state"]["popup"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popup"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popup"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popup"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popup"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popup"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popup"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popup"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popup"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_label_weight"] = filtered_dict[
                    chart_popup_popup_list_label_weight
                ]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popup"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popup"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popup"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popup"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popup"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popup"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popup"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popup"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popup"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popup"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popup"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popup"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popup"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popup"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popup"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_vertical_position"] = filtered_dict[
                    chart_popup_panel_vertical_position
                ]
        self.state["state"]["popup"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popup"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popup"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popup"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popup"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popup"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_label_weight"] = filtered_dict[
                    chart_popup_panel_list_label_weight
                ]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popup"]["panel_shadow"] = chart_popup_panel_shadow

        list_popup_type = ["links", "nodes", "all"] + [None]
        if popup_type not in list_popup_type:
            raise ValueError(f"`popup_type` must be one of: ['links', 'nodes', 'all']")
        elif popup_type in list_popup_type and popup_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"links": "links", "nodes": "nodes", "all": "all"}.items()
                if popup_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup_type"] = filtered_dict[popup_type]
        self.state["state"]["intro_duration"] = intro_duration
        self.state["state"]["intro_ease_range"] = intro_ease_range
        self.state["state"]["transition_duration"] = transition_duration
        self.state["state"]["formatting"]["prefix"] = chart_number_date_format_prefix
        self.state["state"]["formatting"]["suffix"] = chart_number_date_format_suffix
        self.state["state"]["formatting"]["n_dec"] = chart_number_date_format_n_dec
        self.state["state"]["formatting"][
            "advanced"
        ] = chart_number_date_format_advanced

        list_chart_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_number_date_format_negative_sign
            not in list_chart_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_number_date_format_negative_sign
            in list_chart_number_date_format_negative_sign
            and chart_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["formatting"]["negative_sign"] = filtered_dict[
                    chart_number_date_format_negative_sign
                ]
        self.state["state"]["formatting"][
            "strip_zeros"
        ] = chart_number_date_format_strip_zeros
        self.state["state"]["formatting"][
            "strip_separator"
        ] = chart_number_date_format_strip_separator
        self.state["state"]["formatting"][
            "transform_labels"
        ] = chart_number_date_format_transform_labels

        list_chart_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_number_date_format_transform
            not in list_chart_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_number_date_format_transform
            in list_chart_number_date_format_transform
            and chart_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["formatting"]["transform"] = filtered_dict[
                    chart_number_date_format_transform
                ]
        self.state["state"]["formatting"][
            "multiply_divide_constant"
        ] = chart_number_date_format_multiply_divide_constant
        self.state["state"]["formatting"][
            "exponentiate_constant"
        ] = chart_number_date_format_exponentiate_constant
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_scatter_details(
        self,
        default_color: str = None,
        fill_opacity: float = None,
        default_shape: str = None,
        data_point_default_size: float = None,
        data_point_min_size: float = None,
        data_point_max_size: float = None,
        responsive_dots: bool = None,
        stroke_opacity: float = None,
        stroke_width: float = None,
        stroke_mode: str = None,
        stroke_color: str = None,
        render_mode: str = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        labels_show: bool = None,
        labels_selective: bool = None,
        label_color_type: str = None,
        label_color: str = None,
        labels_responsive: str = None,
        label_font_size: float = None,
        label_font_size_min: float = None,
        label_font_size_max: float = None,
        label_bg_size: float = None,
        label_max_width: float = None,
        label_align: str = None,
        label_x_offset: str = None,
        label_y_offset: str = None,
        height_mode: str = None,
        facet_aspect: float = None,
        facet_aspect_mobile: float = None,
        chart_background_background_color_enabled: bool = None,
        chart_background_background_image_enabled: bool = None,
        chart_background_background_color: str = None,
        chart_background_background_image_src: str = None,
        chart_background_background_image_size: str = None,
        chart_background_background_image_position: str = None,
        margin_top: float = None,
        margin_right: float = None,
        margin_bottom: float = None,
        margin_left: float = None,
        facet_fixed_cols: bool = None,
        facet_min_w: float = None,
        facet_cols: float = None,
        facet_gutter_w: float = None,
        facet_gutter_h: float = None,
        facet_header_font_size: float = None,
        facet_title_align: str = None,
        facet_header_color: str = None,
        lines_show: bool = None,
        line_width: float = None,
        line_curve: str = None,
        line_opacity: float = None,
        line_color_mode: str = None,
        line_per_facet: bool = None,
        line_color: str = None,
        line_arrows: bool = None,
        line_arrow_size: float = None,
        line_arrow_color_mode: str = None,
        line_arrow_color: str = None,
        x_matching: bool = None,
        x_single_row: bool = None,
        chart_x_axis_axis_position: str = None,
        chart_x_axis_y_axis_position: str = None,
        chart_x_axis_numeric_scale_type: str = None,
        chart_x_axis_linear_min: float = None,
        chart_x_axis_linear_max: float = None,
        chart_x_axis_log_min: float = None,
        chart_x_axis_log_max: float = None,
        chart_x_axis_datetime_min: str = None,
        chart_x_axis_datetime_max: str = None,
        chart_x_axis_flip: bool = None,
        chart_x_axis_show_scale_settings: bool = None,
        chart_x_axis_nice: bool = None,
        chart_x_axis_zero_axis: str = None,
        chart_x_axis_title_mode: str = None,
        chart_x_axis_title: str = None,
        chart_x_axis_title_styling: bool = None,
        chart_x_axis_title_weight: str = None,
        chart_x_axis_title_color: str = None,
        chart_x_axis_title_size: float = None,
        chart_x_axis_title_padding: float = None,
        chart_x_axis_tick_label_position: str = None,
        chart_x_axis_tick_label_styling: bool = None,
        chart_x_axis_tick_label_size: float = None,
        chart_x_axis_tick_label_color: str = None,
        chart_x_axis_tick_padding: float = None,
        chart_x_axis_tick_label_angle: str = None,
        chart_x_axis_tick_label_weight: str = None,
        chart_x_axis_tick_label_max_lines: float = None,
        chart_x_axis_tick_label_line_height: float = None,
        chart_x_axis_tick_label_space_mode: str = None,
        chart_x_axis_tick_label_space: float = None,
        chart_x_axis_tick_mode: str = None,
        chart_x_axis_tick_number: float = None,
        chart_x_axis_tick_custom: Union[list, str] = None,
        chart_x_axis_line_and_tick_color: str = None,
        chart_x_axis_line_and_tick_width: float = None,
        chart_x_axis_tick_length: float = None,
        chart_x_axis_tick_side: str = None,
        chart_x_axis_line_visible: bool = None,
        chart_x_axis_edge_padding: float = None,
        chart_x_axis_gridlines_visible: bool = None,
        chart_x_axis_gridlines_styling: bool = None,
        chart_x_axis_gridline_color: str = None,
        chart_x_axis_gridline_style: str = None,
        chart_x_axis_gridline_width: float = None,
        chart_x_axis_gridline_category_dividers: bool = None,
        chart_x_axis_gridline_category_dividers_extend: bool = None,
        chart_x_axis_number_date_format_prefix: str = None,
        chart_x_axis_number_date_format_suffix: str = None,
        chart_x_axis_number_date_format_n_dec: float = None,
        chart_x_axis_number_date_format_advanced: bool = None,
        chart_x_axis_number_date_format_negative_sign: str = None,
        chart_x_axis_number_date_format_strip_zeros: bool = None,
        chart_x_axis_number_date_format_strip_separator: bool = None,
        chart_x_axis_number_date_format_transform_labels: bool = None,
        chart_x_axis_number_date_format_transform: str = None,
        chart_x_axis_number_date_format_multiply_divide_constant: float = None,
        chart_x_axis_number_date_format_exponentiate_constant: float = None,
        y_matching: bool = None,
        y_single_col: bool = None,
        chart_y_axis_axis_visible: bool = None,
        chart_y_axis_numeric_scale_type: str = None,
        chart_y_axis_linear_min: float = None,
        chart_y_axis_linear_max: float = None,
        chart_y_axis_log_min: float = None,
        chart_y_axis_log_max: float = None,
        chart_y_axis_datetime_min: str = None,
        chart_y_axis_datetime_max: str = None,
        chart_y_axis_flip: bool = None,
        chart_y_axis_show_scale_settings: bool = None,
        chart_y_axis_nice: bool = None,
        chart_y_axis_zero_axis: str = None,
        chart_y_axis_title_mode: str = None,
        chart_y_axis_title: str = None,
        chart_y_axis_title_styling: bool = None,
        chart_y_axis_title_position: str = None,
        chart_y_axis_title_weight: str = None,
        chart_y_axis_title_color: str = None,
        chart_y_axis_title_size: float = None,
        chart_y_axis_title_padding: float = None,
        chart_y_axis_tick_label_position: str = None,
        chart_y_axis_tick_label_styling: bool = None,
        chart_y_axis_tick_label_size: float = None,
        chart_y_axis_tick_label_color: str = None,
        chart_y_axis_tick_padding: float = None,
        chart_y_axis_tick_label_angle: str = None,
        chart_y_axis_tick_label_weight: str = None,
        chart_y_axis_tick_label_max_lines: float = None,
        chart_y_axis_tick_label_line_height: float = None,
        chart_y_axis_tick_label_space_mode: str = None,
        chart_y_axis_tick_label_space: float = None,
        chart_y_axis_tick_mode: str = None,
        chart_y_axis_tick_number: float = None,
        chart_y_axis_tick_custom: Union[list, str] = None,
        chart_y_axis_line_and_tick_color: str = None,
        chart_y_axis_line_and_tick_width: float = None,
        chart_y_axis_tick_length: float = None,
        chart_y_axis_tick_side: str = None,
        chart_y_axis_line_visible: bool = None,
        chart_y_axis_edge_padding: float = None,
        chart_y_axis_gridlines_visible: bool = None,
        chart_y_axis_gridlines_styling: bool = None,
        chart_y_axis_gridline_color: str = None,
        chart_y_axis_gridline_style: str = None,
        chart_y_axis_gridline_width: float = None,
        chart_y_axis_gridline_category_dividers: bool = None,
        chart_y_axis_gridline_category_dividers_extend: bool = None,
        chart_y_axis_number_date_format_prefix: str = None,
        chart_y_axis_number_date_format_suffix: str = None,
        chart_y_axis_number_date_format_n_dec: float = None,
        chart_y_axis_number_date_format_advanced: bool = None,
        chart_y_axis_number_date_format_negative_sign: str = None,
        chart_y_axis_number_date_format_strip_zeros: bool = None,
        chart_y_axis_number_date_format_strip_separator: bool = None,
        chart_y_axis_number_date_format_transform_labels: bool = None,
        chart_y_axis_number_date_format_transform: str = None,
        chart_y_axis_number_date_format_multiply_divide_constant: float = None,
        chart_y_axis_number_date_format_exponentiate_constant: float = None,
        legend_position: str = None,
        legend_filtering_mode: str = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        chart_categorical_legend_show_legend: bool = None,
        chart_categorical_legend_title_mode: str = None,
        chart_categorical_legend_title: str = None,
        chart_categorical_legend_swatch_width: float = None,
        chart_categorical_legend_swatch_height: float = None,
        chart_categorical_legend_swatch_radius: float = None,
        chart_categorical_legend_legend_items_padding: float = None,
        chart_categorical_legend_swatch_outline: bool = None,
        chart_categorical_legend_swatch_outline_color: str = None,
        chart_categorical_legend_order_override: Union[list, str] = None,
        chart_categorical_legend_icon_height: float = None,
        chart_categorical_legend_icon_color: str = None,
        chart_categorical_legend_max_width: float = None,
        chart_categorical_legend_orientation: str = None,
        chart_continous_legend_show_legend: bool = None,
        chart_continous_legend_title_mode: str = None,
        chart_continous_legend_title: str = None,
        chart_continous_legend_color_band_width: float = None,
        chart_continous_legend_color_band_height: float = None,
        chart_continous_legend_color_band_radius: float = None,
        chart_continous_legend_binned_label_mode: str = None,
        chart_continous_legend_binned_label_custom: str = None,
        chart_continous_legend_legend_min: float = None,
        chart_continous_legend_additional_min_label: str = None,
        chart_continous_legend_legend_max: float = None,
        chart_continous_legend_additional_max_label: str = None,
        text_legend: str = None,
        text_legend_title: bool = None,
        text_legend_subtitle: bool = None,
        text_legend_bold: bool = None,
        chart_number_date_format_prefix: str = None,
        chart_number_date_format_suffix: str = None,
        chart_number_date_format_n_dec: float = None,
        chart_number_date_format_advanced: bool = None,
        chart_number_date_format_negative_sign: str = None,
        chart_number_date_format_strip_zeros: bool = None,
        chart_number_date_format_strip_separator: bool = None,
        chart_number_date_format_transform_labels: bool = None,
        chart_number_date_format_transform: str = None,
        chart_number_date_format_multiply_divide_constant: float = None,
        chart_number_date_format_exponentiate_constant: float = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_custom_accessible: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        chart_filter_controls_control_type: str = None,
        chart_filter_controls_control_styles: bool = None,
        chart_filter_controls_control_title: str = None,
        chart_filter_controls_button_group: bool = None,
        chart_filter_controls_button_group_width_mode: str = None,
        chart_filter_controls_button_group_width_fixed: float = None,
        chart_filter_controls_dropdown_width_mode: str = None,
        chart_filter_controls_dropdown_width_fixed: float = None,
        chart_filter_controls_slider_width: float = None,
        chart_filter_controls_slider_max_label_width: float = None,
        chart_filter_controls_slider_step_time: float = None,
        chart_filter_controls_slider_loop: bool = None,
        chart_filter_controls_slider_restart_pause: float = None,
        chart_filter_controls_sort: bool = None,
        filter_show_all: bool = None,
        filter_show_all_text: str = None,
        filter_updates_axes: str = None,
        slider_updates_axes: str = None,
        time_label_show: bool = None,
        time_label_color: str = None,
        time_label_opacity: float = None,
        time_label_font_size: float = None,
        chart_slider_filter_controls_control_type: str = None,
        chart_slider_filter_controls_control_styles: bool = None,
        chart_slider_filter_controls_control_title: str = None,
        chart_slider_filter_controls_button_group: bool = None,
        chart_slider_filter_controls_button_group_width_mode: str = None,
        chart_slider_filter_controls_button_group_width_fixed: float = None,
        chart_slider_filter_controls_dropdown_width_mode: str = None,
        chart_slider_filter_controls_dropdown_width_fixed: float = None,
        chart_slider_filter_controls_slider_width: float = None,
        chart_slider_filter_controls_slider_max_label_width: float = None,
        chart_slider_filter_controls_slider_step_time: float = None,
        chart_slider_filter_controls_slider_loop: bool = None,
        chart_slider_filter_controls_slider_restart_pause: float = None,
        chart_slider_filter_controls_sort: bool = None,
        chart_filter_controls_container_alignment: str = None,
        chart_filter_controls_container_controls_spacing: float = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_slider_control_style_track_color: str = None,
        chart_slider_control_style_font_color: str = None,
        chart_slider_control_style_handle_color: str = None,
        chart_slider_control_style_play_color: str = None,
        chart_slider_control_style_track_height: float = None,
        chart_slider_control_style_handle_height: float = None,
        chart_slider_control_style_play_button: bool = None,
        fit_type: str = None,
        fit_force_origin: bool = None,
        fit_line_width: float = None,
        fit_line_dash: float = None,
        fit_line_color: str = None,
        beeswarm_plot: bool = None,
        box_plot: bool = None,
        box_color: str = None,
        box_opacity: float = None,
        box_line_color: str = None,
        box_line_width: float = None,
        box_whisker_type: str = None,
        box_whisker_multiplier: float = None,
        use_box_popup: bool = None,
        box_first_quartile_text: str = None,
        box_median_text: str = None,
        box_third_quartile_text: str = None,
        violin_plot: bool = None,
        violin_bandwidth: float = None,
        violin_samples: float = None,
        violin_color: str = None,
        violin_opacity: float = None,
        violin_sizing: str = None,
        chart_axes_highlights_x_enabled: bool = None,
        chart_axes_highlights_x_lines: Union[list, str] = None,
        chart_axes_highlights_x_line_color: str = None,
        chart_axes_highlights_x_line_width: float = None,
        chart_axes_highlights_x_line_dash: float = None,
        chart_axes_highlights_x_areas: Union[list, str] = None,
        chart_axes_highlights_x_area_color: str = None,
        chart_axes_highlights_x_area_opacity: float = None,
        chart_axes_highlights_x_area_texture: str = None,
        chart_axes_highlights_x_label_vertical: bool = None,
        chart_axes_highlights_x_label_y_position: str = None,
        chart_axes_highlights_x_label_x_position: str = None,
        chart_axes_highlights_x_label_max_width: float = None,
        chart_axes_highlights_x_font_size: float = None,
        chart_axes_highlights_x_font_weight: str = None,
        chart_axes_highlights_x_label_color: str = None,
        chart_axes_highlights_x_shadow_color: str = None,
        chart_axes_highlights_x_shadow_enabled: bool = None,
        chart_axes_highlights_y_enabled: bool = None,
        chart_axes_highlights_y_lines: Union[list, str] = None,
        chart_axes_highlights_y_line_color: str = None,
        chart_axes_highlights_y_line_width: float = None,
        chart_axes_highlights_y_line_dash: float = None,
        chart_axes_highlights_y_areas: Union[list, str] = None,
        chart_axes_highlights_y_area_color: str = None,
        chart_axes_highlights_y_area_opacity: float = None,
        chart_axes_highlights_y_area_texture: str = None,
        chart_axes_highlights_y_label_x_position: str = None,
        chart_axes_highlights_y_label_y_position: str = None,
        chart_axes_highlights_y_label_max_width: float = None,
        chart_axes_highlights_y_font_size: float = None,
        chart_axes_highlights_y_font_weight: str = None,
        chart_axes_highlights_y_label_color: str = None,
        chart_axes_highlights_y_shadow_color: str = None,
        chart_axes_highlights_y_shadow_enabled: bool = None,
        annotations_styling: bool = None,
        chart_annotations_defaults_text_weight: str = None,
        chart_annotations_defaults_text_size: float = None,
        chart_annotations_defaults_text_color: str = None,
        chart_annotations_defaults_label_width: float = None,
        chart_annotations_defaults_text_background_mode: str = None,
        chart_annotations_defaults_text_bg: str = None,
        chart_annotations_defaults_label_bg: str = None,
        chart_annotations_defaults_text_alignment: str = None,
        chart_annotations_defaults_popup_position: str = None,
        chart_annotations_defaults_line_marker: str = None,
        chart_annotations_defaults_stroke_width: float = None,
        chart_annotations_defaults_stroke_color: str = None,
        chart_annotations_defaults_connector_extend_line: str = None,
        animation_duration: float = None,
        animation_stagger: float = None,
        line_animate_in: bool = None,
        line_animate_out: bool = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
        chart_url_settings_enabled: bool = None,
        chart_url_settings_whitelist: Union[list, str] = None,
    ):
        """
        Set chart details for: scatter.


        :param default_color: Default color. Used when Color column is unspecified. Flourish type hint: color, defaults to None.
        :type default_color: str, optional
        :param fill_opacity: Dot opacity. Flourish type hint: number, defaults to None.
        :type fill_opacity: float, optional
        :param default_shape: Default shape. Choices: circle, cross, diamond, square, star, triangle, wye. Used when Shape column is unspecified or empty. Flourish type hint: string, defaults to None.
        :type default_shape: str, optional
        :param data_point_default_size: Size. In pixel area. Only used when Size column is unspecified or empty. Subject to scaling with the chart size (see setting below). Flourish type hint: number, defaults to None.
        :type data_point_default_size: float, optional
        :param data_point_min_size: Min size. In pixel area. Used when you have a Size column selected. Subject to scaling with the chart size. Flourish type hint: number, defaults to None.
        :type data_point_min_size: float, optional
        :param data_point_max_size: Max size. In pixel area. Used when you have a Size column selected. Subject to scaling with the chart size. Flourish type hint: number, defaults to None.
        :type data_point_max_size: float, optional
        :param responsive_dots: Scale dots based on chart size. Makes the dots get bigger or smaller relative to the chart size. Turn off to specify a fixed size regardless of chart size. Flourish type hint: boolean, defaults to None.
        :type responsive_dots: bool, optional
        :param stroke_opacity: Outline opacity. Flourish type hint: number, defaults to None.
        :type stroke_opacity: float, optional
        :param stroke_width: Outline width. Flourish type hint: number, defaults to None.
        :type stroke_width: float, optional
        :param stroke_mode: Outline mode. Choices: auto, fixed. Choose Auto for outline color to match dot color. Choose Fixed to give all dots a uniform outline color. Flourish type hint: string, defaults to None.
        :type stroke_mode: str, optional
        :param stroke_color: Outline color. Flourish type hint: color, defaults to None.
        :type stroke_color: str, optional
        :param render_mode: Renderer. Choices: svg, webgl. In most cases you should only need SVG, but you may want to choose WebGL if you have a lot of data or you notice your chart is running slowly on your device. Flourish type hint: string, defaults to None.
        :type render_mode: str, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param labels_show: Show labels on points. Labels only show up if you have designated a Name column in the data tab. Flourish type hint: boolean, defaults to None.
        :type labels_show: bool, optional
        :param labels_selective: Labels to show. Choices: False, True. To show labels selectively, turn on this option and then make a story In the story editor, click on dots to hide/show the labels. Flourish type hint: boolean, defaults to None.
        :type labels_selective: bool, optional
        :param label_color_type: Label color. Choices: auto, match, fixed. Flourish type hint: string, defaults to None.
        :type label_color_type: str, optional
        :param label_color: Fixed. Flourish type hint: color, defaults to None.
        :type label_color: str, optional
        :param labels_responsive: Scale label. Choices: chart, data, none. Choose between no scale, scale by chart size, or try to fit the label in the data point. Flourish type hint: string, defaults to None.
        :type labels_responsive: str, optional
        :param label_font_size: Font size. Flourish type hint: number, defaults to None.
        :type label_font_size: float, optional
        :param label_font_size_min: Min font size. Flourish type hint: number, defaults to None.
        :type label_font_size_min: float, optional
        :param label_font_size_max: Max font size. Flourish type hint: number, defaults to None.
        :type label_font_size_max: float, optional
        :param label_bg_size: Shadow size. As percent of font size. Flourish type hint: number, defaults to None.
        :type label_bg_size: float, optional
        :param label_max_width: Max width. Flourish type hint: number, defaults to None.
        :type label_max_width: float, optional
        :param label_align: Alignment. Choices: auto, start, middle, end. Align the text at the start, middle or end of the data point. Flourish type hint: string, defaults to None.
        :type label_align: str, optional
        :param label_x_offset: Offset. Choices: top, next. Place labels on top of or next to the data point. Flourish type hint: string, defaults to None.
        :type label_x_offset: str, optional
        :param label_y_offset: Offset. Choices: top, above, below. Place labels on top of or next to the data point. Flourish type hint: string, defaults to None.
        :type label_y_offset: str, optional
        :param height_mode: Sizing mode. Choices: auto, fill_space, aspect. In Fill space mode the graphic will fill the container (which by default will be the the standard Flourish responsive chart size).  In Aspect ratio mode, you set the aspect ratio of the plot, and the container will be updated to accommodate it (not supported when embedded in a simple fixed-height iframe ). Flourish type hint: string, defaults to None.
        :type height_mode: str, optional
        :param facet_aspect: Aspect (desktop). Aspect ratio of each plot in desktop mode, where 1 is square, above 1 is wider, and below 1 is taller. Flourish type hint: number, defaults to None.
        :type facet_aspect: float, optional
        :param facet_aspect_mobile: Aspect (mobile). Aspect of each plot in mobile mode, where 1 is square, above 1 is wider, and below 1 is taller. Flourish type hint: number, defaults to None.
        :type facet_aspect_mobile: float, optional
        :param chart_background_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_background_background_color_enabled: bool, optional
        :param chart_background_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_background_background_image_enabled: bool, optional
        :param chart_background_background_color: Color. Flourish type hint: color, defaults to None.
        :type chart_background_background_color: str, optional
        :param chart_background_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_background_background_image_src: str, optional
        :param chart_background_background_image_size: Size. Choices: stretch, slice, meet. Flourish type hint: string, defaults to None.
        :type chart_background_background_image_size: str, optional
        :param chart_background_background_image_position: Position. Choices: x_min_y_min, x_mid_y_min, x_max_y_min, x_max_y_mid, x_mid_y_mid, x_min_y_max, x_mid_y_max, x_max_y_max. Flourish type hint: string, defaults to None.
        :type chart_background_background_image_position: str, optional
        :param margin_top: Top. Flourish type hint: number, defaults to None.
        :type margin_top: float, optional
        :param margin_right: Right. Flourish type hint: number, defaults to None.
        :type margin_right: float, optional
        :param margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type margin_bottom: float, optional
        :param margin_left: Left. Flourish type hint: number, defaults to None.
        :type margin_left: float, optional
        :param facet_fixed_cols: Fixed number of columns in grid. Flourish type hint: boolean, defaults to None.
        :type facet_fixed_cols: bool, optional
        :param facet_min_w: Min chart width. Determines how many columns of charts there should be in the grid. Ignored if you specify a fixed number of columns. Flourish type hint: number, defaults to None.
        :type facet_min_w: float, optional
        :param facet_cols: Number of columns in grid. Flourish type hint: number, defaults to None.
        :type facet_cols: float, optional
        :param facet_gutter_w: Horizontal. In rems. Flourish type hint: number, defaults to None.
        :type facet_gutter_w: float, optional
        :param facet_gutter_h: Vertical. In rems. Flourish type hint: number, defaults to None.
        :type facet_gutter_h: float, optional
        :param facet_header_font_size: Text size. In rems. Flourish type hint: number, defaults to None.
        :type facet_header_font_size: float, optional
        :param facet_title_align: Alignment. Choices: auto, left, center. Flourish type hint: string, defaults to None.
        :type facet_title_align: str, optional
        :param facet_header_color: Color. Flourish type hint: color, defaults to None.
        :type facet_header_color: str, optional
        :param lines_show: Shows lines. Flourish type hint: boolean, defaults to None.
        :type lines_show: bool, optional
        :param line_width: Line width. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type line_width: float, optional
        :param line_curve: Line style. Choices: curve_linear, curve_natural. Flourish type hint: string, defaults to None.
        :type line_curve: str, optional
        :param line_opacity: Line opacity. Flourish type hint: number, defaults to None.
        :type line_opacity: float, optional
        :param line_color_mode: Line color. Choices: by_dot, fixed. When set to Match dots the lines will be the same as the first dot in the line. Flourish type hint: string, defaults to None.
        :type line_color_mode: str, optional
        :param line_per_facet: Lock lines to axes. Disable to allow lines to run between or animate between facets. Flourish type hint: boolean, defaults to None.
        :type line_per_facet: bool, optional
        :param line_color: Color. Flourish type hint: color, defaults to None.
        :type line_color: str, optional
        :param line_arrows: Arrow heads on lines. Flourish type hint: boolean, defaults to None.
        :type line_arrows: bool, optional
        :param line_arrow_size: Size. Flourish type hint: number, defaults to None.
        :type line_arrow_size: float, optional
        :param line_arrow_color_mode: Color mode. Choices: auto, fixed. Flourish type hint: string, defaults to None.
        :type line_arrow_color_mode: str, optional
        :param line_arrow_color: Color. Flourish type hint: color, defaults to None.
        :type line_arrow_color: str, optional
        :param x_matching: Matching x axis across grid of charts. Flourish type hint: boolean, defaults to None.
        :type x_matching: bool, optional
        :param x_single_row: Only show x axis on first column of grid. Flourish type hint: boolean, defaults to None.
        :type x_single_row: bool, optional
        :param chart_x_axis_axis_position: Position. Choices: bottom, float-below, float-above, top, off. Flourish type hint: string, defaults to None.
        :type chart_x_axis_axis_position: str, optional
        :param chart_x_axis_y_axis_position: Y value. Vertical position of the X axis on the Y scale. Flourish type hint: string, defaults to None.
        :type chart_x_axis_y_axis_position: str, optional
        :param chart_x_axis_numeric_scale_type: Type. Choices: linear, log. Flourish type hint: string, defaults to None.
        :type chart_x_axis_numeric_scale_type: str, optional
        :param chart_x_axis_linear_min: Min. Flourish type hint: number, defaults to None.
        :type chart_x_axis_linear_min: float, optional
        :param chart_x_axis_linear_max: Max. Flourish type hint: number, defaults to None.
        :type chart_x_axis_linear_max: float, optional
        :param chart_x_axis_log_min: Min. Flourish type hint: number, defaults to None.
        :type chart_x_axis_log_min: float, optional
        :param chart_x_axis_log_max: Max. Flourish type hint: number, defaults to None.
        :type chart_x_axis_log_max: float, optional
        :param chart_x_axis_datetime_min: Min (date). Flourish type hint: string, defaults to None.
        :type chart_x_axis_datetime_min: str, optional
        :param chart_x_axis_datetime_max: Max (date). Flourish type hint: string, defaults to None.
        :type chart_x_axis_datetime_max: str, optional
        :param chart_x_axis_flip: Flip axis. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_flip: bool, optional
        :param chart_x_axis_show_scale_settings: Configure default min/max. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_show_scale_settings: bool, optional
        :param chart_x_axis_nice: Round min/max. Choices: True, False. Enabling this option rounds the X axis start and end values to tidy numbers, such as 0, 50, 100 or whole years. Specified min and max values will override this feature. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_nice: bool, optional
        :param chart_x_axis_zero_axis: Include zero. Choices: auto, on, off. Enable to extend the axis to include zero, even when data is all positive or all negative. This is ignored if you set specific min and max scale values. Flourish type hint: string, defaults to None.
        :type chart_x_axis_zero_axis: str, optional
        :param chart_x_axis_title_mode: Type. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title_mode: str, optional
        :param chart_x_axis_title: Text. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title: str, optional
        :param chart_x_axis_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_title_styling: bool, optional
        :param chart_x_axis_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title_weight: str, optional
        :param chart_x_axis_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_title_color: str, optional
        :param chart_x_axis_title_size: Size. Flourish type hint: number, defaults to None.
        :type chart_x_axis_title_size: float, optional
        :param chart_x_axis_title_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_x_axis_title_padding: float, optional
        :param chart_x_axis_tick_label_position: Position. Choices: default, left, right. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_position: str, optional
        :param chart_x_axis_tick_label_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_tick_label_styling: bool, optional
        :param chart_x_axis_tick_label_size: Size. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_size: float, optional
        :param chart_x_axis_tick_label_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_tick_label_color: str, optional
        :param chart_x_axis_tick_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_padding: float, optional
        :param chart_x_axis_tick_label_angle: Angle. Choices: 0, 30, 45, 60, 90. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_angle: str, optional
        :param chart_x_axis_tick_label_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_weight: str, optional
        :param chart_x_axis_tick_label_max_lines: Max lines. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_max_lines: float, optional
        :param chart_x_axis_tick_label_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_line_height: float, optional
        :param chart_x_axis_tick_label_space_mode: Space mode. Choices: auto, max, fixed. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_space_mode: str, optional
        :param chart_x_axis_tick_label_space: Space. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_space: float, optional
        :param chart_x_axis_tick_mode: Mode. Choices: auto, number, custom. Sets the method for selecting tick values on the axis:  Auto automatically selects the ticks  Number allows you to choose the number of ticks to display.  Custom lets you select specific ticks to show.  Note: If the axis is categorical, Number mode is ignored. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_mode: str, optional
        :param chart_x_axis_tick_number: Number. Approximate number of ticks or gridlines. The actual number will depend on the range of values, chart size, etc. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_number: float, optional
        :param chart_x_axis_tick_custom: One tick label per line. Specify the ticks to show, one per line. For dates, use the input format as specified in the datasheet.  You can also use `{{FIRST}}` and `{{LAST}}` to add ticks at the minimum and maximum of the axis. For example:  `{{FIRST}}` 25000 50000 75000 `{{LAST}}`. Flourish type hint: text, defaults to None.
        :type chart_x_axis_tick_custom: Union[list, str], optional
        :param chart_x_axis_line_and_tick_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_line_and_tick_color: str, optional
        :param chart_x_axis_line_and_tick_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_x_axis_line_and_tick_width: float, optional
        :param chart_x_axis_tick_length: Tick length. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_length: float, optional
        :param chart_x_axis_tick_side: Tick side. Choices: out, in. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_side: str, optional
        :param chart_x_axis_line_visible: Axis line. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_line_visible: bool, optional
        :param chart_x_axis_edge_padding: Edge padding (%). Space between start/end of axis line and first/last category tick as a percentage of the spacing between ticks. Flourish type hint: number, defaults to None.
        :type chart_x_axis_edge_padding: float, optional
        :param chart_x_axis_gridlines_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridlines_visible: bool, optional
        :param chart_x_axis_gridlines_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridlines_styling: bool, optional
        :param chart_x_axis_gridline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_gridline_color: str, optional
        :param chart_x_axis_gridline_style: Style. Choices: solid, dash, dot, dot_dash. Flourish type hint: string, defaults to None.
        :type chart_x_axis_gridline_style: str, optional
        :param chart_x_axis_gridline_width: Width. Flourish type hint: number, defaults to None.
        :type chart_x_axis_gridline_width: float, optional
        :param chart_x_axis_gridline_category_dividers: Put lines between categories. On a categorical axis, this option disables the gridline on each tick and instead adds rules between each category to give a table-like design. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridline_category_dividers: bool, optional
        :param chart_x_axis_gridline_category_dividers_extend: Extend. Extends the dividers into the axis margins. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridline_category_dividers_extend: bool, optional
        :param chart_x_axis_number_date_format_prefix: Prefix. Text to place in front of a number. Flourish type hint: string, defaults to None.
        :type chart_x_axis_number_date_format_prefix: str, optional
        :param chart_x_axis_number_date_format_suffix: Suffix. Text to place after a number. Flourish type hint: string, defaults to None.
        :type chart_x_axis_number_date_format_suffix: str, optional
        :param chart_x_axis_number_date_format_n_dec: Decimal places. Decimal places. You can also enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_x_axis_number_date_format_n_dec: float, optional
        :param chart_x_axis_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_number_date_format_advanced: bool, optional
        :param chart_x_axis_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_x_axis_number_date_format_negative_sign: str, optional
        :param chart_x_axis_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_number_date_format_strip_zeros: bool, optional
        :param chart_x_axis_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_number_date_format_strip_separator: bool, optional
        :param chart_x_axis_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_number_date_format_transform_labels: bool, optional
        :param chart_x_axis_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_x_axis_number_date_format_transform: str, optional
        :param chart_x_axis_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_x_axis_number_date_format_multiply_divide_constant: float, optional
        :param chart_x_axis_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_x_axis_number_date_format_exponentiate_constant: float, optional
        :param y_matching: Matching y axis across grid of charts. Flourish type hint: boolean, defaults to None.
        :type y_matching: bool, optional
        :param y_single_col: Only show Y axis on first column of grid. Flourish type hint: boolean, defaults to None.
        :type y_single_col: bool, optional
        :param chart_y_axis_axis_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_axis_visible: bool, optional
        :param chart_y_axis_numeric_scale_type: Type. Choices: linear, log. Flourish type hint: string, defaults to None.
        :type chart_y_axis_numeric_scale_type: str, optional
        :param chart_y_axis_linear_min: Min. Flourish type hint: number, defaults to None.
        :type chart_y_axis_linear_min: float, optional
        :param chart_y_axis_linear_max: Max. Flourish type hint: number, defaults to None.
        :type chart_y_axis_linear_max: float, optional
        :param chart_y_axis_log_min: Min. Flourish type hint: number, defaults to None.
        :type chart_y_axis_log_min: float, optional
        :param chart_y_axis_log_max: Max. Flourish type hint: number, defaults to None.
        :type chart_y_axis_log_max: float, optional
        :param chart_y_axis_datetime_min: Min (date). Flourish type hint: string, defaults to None.
        :type chart_y_axis_datetime_min: str, optional
        :param chart_y_axis_datetime_max: Max (date). Flourish type hint: string, defaults to None.
        :type chart_y_axis_datetime_max: str, optional
        :param chart_y_axis_flip: Flip axis. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_flip: bool, optional
        :param chart_y_axis_show_scale_settings: Configure default min/max. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_show_scale_settings: bool, optional
        :param chart_y_axis_nice: Round min/max. Choices: True, False. When enabled, scales automatically extend to "nice" rounded start/end values, such as hundreds or whole years. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_nice: bool, optional
        :param chart_y_axis_zero_axis: Include zero. Choices: auto, on, off. Whether to extend the axis to include zero if the data values are all positive or all negative. Flourish type hint: string, defaults to None.
        :type chart_y_axis_zero_axis: str, optional
        :param chart_y_axis_title_mode: Type. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_mode: str, optional
        :param chart_y_axis_title: Text. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title: str, optional
        :param chart_y_axis_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_title_styling: bool, optional
        :param chart_y_axis_title_position: Position. Choices: side, end. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_position: str, optional
        :param chart_y_axis_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_weight: str, optional
        :param chart_y_axis_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_title_color: str, optional
        :param chart_y_axis_title_size: Size. Flourish type hint: number, defaults to None.
        :type chart_y_axis_title_size: float, optional
        :param chart_y_axis_title_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_y_axis_title_padding: float, optional
        :param chart_y_axis_tick_label_position: Position. Choices: default, above, below. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_position: str, optional
        :param chart_y_axis_tick_label_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_tick_label_styling: bool, optional
        :param chart_y_axis_tick_label_size: Size. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_size: float, optional
        :param chart_y_axis_tick_label_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_tick_label_color: str, optional
        :param chart_y_axis_tick_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_padding: float, optional
        :param chart_y_axis_tick_label_angle: Angle. Choices: 0, 30, 45, 60, 90. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_angle: str, optional
        :param chart_y_axis_tick_label_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_weight: str, optional
        :param chart_y_axis_tick_label_max_lines: Max lines. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_max_lines: float, optional
        :param chart_y_axis_tick_label_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_line_height: float, optional
        :param chart_y_axis_tick_label_space_mode: Space mode. Choices: auto, max, fixed. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_space_mode: str, optional
        :param chart_y_axis_tick_label_space: Space. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_space: float, optional
        :param chart_y_axis_tick_mode: Mode. Choices: auto, number, custom. Sets the method for selecting tick values on the axis:  Auto automatically selects the ticks  Number allows you to choose the number of ticks to display.  Custom lets you select specific ticks to show.  Note: If the axis is categorical, Number mode is ignored. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_mode: str, optional
        :param chart_y_axis_tick_number: Number. Approximate number of ticks or gridlines. The actual number will depend on the range of values, chart size, etc. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_number: float, optional
        :param chart_y_axis_tick_custom: One tick label per line. Specify the ticks to show, one per line. For dates, use the input format as specified in the datasheet.  You can also use `{{FIRST}}` and `{{LAST}}` to add ticks at the minimum and maximum of the axis. For example:  `{{FIRST}}` 25000 50000 75000 `{{LAST}}`. Flourish type hint: text, defaults to None.
        :type chart_y_axis_tick_custom: Union[list, str], optional
        :param chart_y_axis_line_and_tick_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_line_and_tick_color: str, optional
        :param chart_y_axis_line_and_tick_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_y_axis_line_and_tick_width: float, optional
        :param chart_y_axis_tick_length: Tick length. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_length: float, optional
        :param chart_y_axis_tick_side: Side. Choices: out, in. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_side: str, optional
        :param chart_y_axis_line_visible: Axis line. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_line_visible: bool, optional
        :param chart_y_axis_edge_padding: Edge padding (%). Space between start/end of axis line and first/last category tick as a percentage of the spacing between ticks. Flourish type hint: number, defaults to None.
        :type chart_y_axis_edge_padding: float, optional
        :param chart_y_axis_gridlines_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridlines_visible: bool, optional
        :param chart_y_axis_gridlines_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridlines_styling: bool, optional
        :param chart_y_axis_gridline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_gridline_color: str, optional
        :param chart_y_axis_gridline_style: Style. Choices: solid, dash, dot, dot_dash. Flourish type hint: string, defaults to None.
        :type chart_y_axis_gridline_style: str, optional
        :param chart_y_axis_gridline_width: Width. Flourish type hint: number, defaults to None.
        :type chart_y_axis_gridline_width: float, optional
        :param chart_y_axis_gridline_category_dividers: Put lines between categories. On a categorical axis, this option disables the gridline on each tick and instead adds rules between each category to give a table-like design. Ignored for date and numeric axes. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridline_category_dividers: bool, optional
        :param chart_y_axis_gridline_category_dividers_extend: Extend. Extends the dividers into the axis margins. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridline_category_dividers_extend: bool, optional
        :param chart_y_axis_number_date_format_prefix: Prefix. Text to place in front of a number. Flourish type hint: string, defaults to None.
        :type chart_y_axis_number_date_format_prefix: str, optional
        :param chart_y_axis_number_date_format_suffix: Suffix. Text to place after a number. Flourish type hint: string, defaults to None.
        :type chart_y_axis_number_date_format_suffix: str, optional
        :param chart_y_axis_number_date_format_n_dec: Decimal places. Decimal places. You can also enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_y_axis_number_date_format_n_dec: float, optional
        :param chart_y_axis_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_number_date_format_advanced: bool, optional
        :param chart_y_axis_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_y_axis_number_date_format_negative_sign: str, optional
        :param chart_y_axis_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_number_date_format_strip_zeros: bool, optional
        :param chart_y_axis_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_number_date_format_strip_separator: bool, optional
        :param chart_y_axis_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_number_date_format_transform_labels: bool, optional
        :param chart_y_axis_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_y_axis_number_date_format_transform: str, optional
        :param chart_y_axis_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_y_axis_number_date_format_multiply_divide_constant: float, optional
        :param chart_y_axis_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_y_axis_number_date_format_exponentiate_constant: float, optional
        :param legend_position: Legend position. Choices: above, below, off. The legend position relative to the chart. A legend will not show with a single entry. Flourish type hint: string, defaults to None.
        :type legend_position: str, optional
        :param legend_filtering_mode: Clickable legend. Choices: filter_out, filter_in, off. When a legend item is clicked on, the corresponding dots can either be hidden or shown. This option can also be turned off. Flourish type hint: string, defaults to None.
        :type legend_filtering_mode: str, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param chart_categorical_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_show_legend: bool, optional
        :param chart_categorical_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title_mode: str, optional
        :param chart_categorical_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title: str, optional
        :param chart_categorical_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_width: float, optional
        :param chart_categorical_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_height: float, optional
        :param chart_categorical_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_radius: float, optional
        :param chart_categorical_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_legend_items_padding: float, optional
        :param chart_categorical_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_swatch_outline: bool, optional
        :param chart_categorical_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_swatch_outline_color: str, optional
        :param chart_categorical_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_categorical_legend_order_override: Union[list, str], optional
        :param chart_categorical_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_icon_height: float, optional
        :param chart_categorical_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_icon_color: str, optional
        :param chart_categorical_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_max_width: float, optional
        :param chart_categorical_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_orientation: str, optional
        :param chart_continous_legend_show_legend: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_continous_legend_show_legend: bool, optional
        :param chart_continous_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_continous_legend_title_mode: str, optional
        :param chart_continous_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_continous_legend_title: str, optional
        :param chart_continous_legend_color_band_width: Width. Flourish type hint: number, defaults to None.
        :type chart_continous_legend_color_band_width: float, optional
        :param chart_continous_legend_color_band_height: Height. Flourish type hint: number, defaults to None.
        :type chart_continous_legend_color_band_height: float, optional
        :param chart_continous_legend_color_band_radius: Roundness. The radius of the corners of the color band (in pixels). Flourish type hint: number, defaults to None.
        :type chart_continous_legend_color_band_radius: float, optional
        :param chart_continous_legend_binned_label_mode: Binned label mode. Choices: thresholds, centers, custom. Flourish type hint: string, defaults to None.
        :type chart_continous_legend_binned_label_mode: str, optional
        :param chart_continous_legend_binned_label_custom: Custom bin labels. List numeric values, separated by semi-colons. Flourish type hint: string, defaults to None.
        :type chart_continous_legend_binned_label_custom: str, optional
        :param chart_continous_legend_legend_min: Legend min. Flourish type hint: number, defaults to None.
        :type chart_continous_legend_legend_min: float, optional
        :param chart_continous_legend_additional_min_label: Custom min label. Flourish type hint: string, defaults to None.
        :type chart_continous_legend_additional_min_label: str, optional
        :param chart_continous_legend_legend_max: Legend max. Flourish type hint: number, defaults to None.
        :type chart_continous_legend_legend_max: float, optional
        :param chart_continous_legend_additional_max_label: Custom max label. Flourish type hint: string, defaults to None.
        :type chart_continous_legend_additional_max_label: str, optional
        :param text_legend: Choices: auto, custom, off. Flourish type hint: string, defaults to None.
        :type text_legend: str, optional
        :param text_legend_title: Title. Flourish type hint: boolean, defaults to None.
        :type text_legend_title: bool, optional
        :param text_legend_subtitle: Subtitle. Flourish type hint: boolean, defaults to None.
        :type text_legend_subtitle: bool, optional
        :param text_legend_bold: Bold. If checked, always use bold for colored items. Flourish type hint: boolean, defaults to None.
        :type text_legend_bold: bool, optional
        :param chart_number_date_format_prefix: Prefix. Text to place in front of a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_prefix: str, optional
        :param chart_number_date_format_suffix: Suffix. Text to place after a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_suffix: str, optional
        :param chart_number_date_format_n_dec: Decimal places. Decimal places. You can also enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_number_date_format_n_dec: float, optional
        :param chart_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_advanced: bool, optional
        :param chart_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_negative_sign: str, optional
        :param chart_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_zeros: bool, optional
        :param chart_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_separator: bool, optional
        :param chart_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_transform_labels: bool, optional
        :param chart_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_transform: str, optional
        :param chart_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_multiply_divide_constant: float, optional
        :param chart_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_exponentiate_constant: float, optional
        :param chart_popup_mode: Choices: none, popup, panel, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML styling or add category colors to popup headers.  To hide parts of the popup when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML for designs, styles, and images.  To hide parts of the popup when a column is empty use the syntax `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_custom_accessible: Popup custom accessible content. A text alternative to visual custom popup content that will be read out by screenreaders. This content is added as an aria-label attribute to data point elements. You can still use `{{column_name}}` to add values from your data, but do not use HTML. For example: `{{Name}}, Population: {{Population}}, GDP: {{GDP}}`. If left empty, accessible content will fallback to the default popup content. Flourish type hint: text, defaults to None.
        :type chart_popup_popup_custom_accessible: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for styling or add category colors to panel headers.  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for designs, styles, images, videos and embedded Flourish charts,  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing Click position is especially useful when your visualization is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param chart_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_type: str, optional
        :param chart_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_control_styles: bool, optional
        :param chart_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_title: str, optional
        :param chart_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_button_group: bool, optional
        :param chart_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_button_group_width_mode: str, optional
        :param chart_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_button_group_width_fixed: float, optional
        :param chart_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_dropdown_width_mode: str, optional
        :param chart_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_dropdown_width_fixed: float, optional
        :param chart_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_width: float, optional
        :param chart_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_max_label_width: float, optional
        :param chart_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_step_time: float, optional
        :param chart_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_slider_loop: bool, optional
        :param chart_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_restart_pause: float, optional
        :param chart_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_sort: bool, optional
        :param filter_show_all: Include "All". Flourish type hint: boolean, defaults to None.
        :type filter_show_all: bool, optional
        :param filter_show_all_text: “All” label. Flourish type hint: string, defaults to None.
        :type filter_show_all_text: str, optional
        :param filter_updates_axes: Update axes when filtering. Choices: off, x, y, both. Flourish type hint: string, defaults to None.
        :type filter_updates_axes: str, optional
        :param slider_updates_axes: Update axes when using slider. Choices: off, x, y, both. Flourish type hint: string, defaults to None.
        :type slider_updates_axes: str, optional
        :param time_label_show: Show time label. Flourish type hint: boolean, defaults to None.
        :type time_label_show: bool, optional
        :param time_label_color: Color. Flourish type hint: color, defaults to None.
        :type time_label_color: str, optional
        :param time_label_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type time_label_opacity: float, optional
        :param time_label_font_size: Size. As a percent of the default size; the actual size scales with the chart. Flourish type hint: number, defaults to None.
        :type time_label_font_size: float, optional
        :param chart_slider_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_slider_filter_controls_control_type: str, optional
        :param chart_slider_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_slider_filter_controls_control_styles: bool, optional
        :param chart_slider_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_slider_filter_controls_control_title: str, optional
        :param chart_slider_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_slider_filter_controls_button_group: bool, optional
        :param chart_slider_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_slider_filter_controls_button_group_width_mode: str, optional
        :param chart_slider_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_button_group_width_fixed: float, optional
        :param chart_slider_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_slider_filter_controls_dropdown_width_mode: str, optional
        :param chart_slider_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_dropdown_width_fixed: float, optional
        :param chart_slider_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_slider_width: float, optional
        :param chart_slider_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_slider_max_label_width: float, optional
        :param chart_slider_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_slider_step_time: float, optional
        :param chart_slider_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_slider_filter_controls_slider_loop: bool, optional
        :param chart_slider_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_slider_filter_controls_slider_restart_pause: float, optional
        :param chart_slider_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_slider_filter_controls_sort: bool, optional
        :param chart_filter_controls_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_container_alignment: str, optional
        :param chart_filter_controls_container_controls_spacing: Spacing. The space between controls, like dropdowns and adjacent button sets, in em units. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_container_controls_spacing: float, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Dropdown border styles. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_slider_control_style_track_color: Track. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_track_color: str, optional
        :param chart_slider_control_style_font_color: Text. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_font_color: str, optional
        :param chart_slider_control_style_handle_color: Handle. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_handle_color: str, optional
        :param chart_slider_control_style_play_color: Play/pause. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_play_color: str, optional
        :param chart_slider_control_style_track_height: Track height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_track_height: float, optional
        :param chart_slider_control_style_handle_height: Height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_handle_height: float, optional
        :param chart_slider_control_style_play_button: Play button. Flourish type hint: boolean, defaults to None.
        :type chart_slider_control_style_play_button: bool, optional
        :param fit_type: Lines to show. Choices: none, both, color, chart, all. Flourish type hint: string, defaults to None.
        :type fit_type: str, optional
        :param fit_force_origin: Force line through origin. Flourish type hint: boolean, defaults to None.
        :type fit_force_origin: bool, optional
        :param fit_line_width: Width. Flourish type hint: number, defaults to None.
        :type fit_line_width: float, optional
        :param fit_line_dash: Dash. Flourish type hint: number, defaults to None.
        :type fit_line_dash: float, optional
        :param fit_line_color: Color. Flourish type hint: color, defaults to None.
        :type fit_line_color: str, optional
        :param beeswarm_plot: Show beeswarm when plotting one numerical and one categorical axis. Choices: True, False. Auto mode will make a beeswarm unless there are more than 5000 points in the dataset.  Note: Performance will be reduced with thousands of rows due to the nature of how beeswarm positions are computed. Flourish type hint: boolean, defaults to None.
        :type beeswarm_plot: bool, optional
        :param box_plot: Show box plot when plotting one numerical and one categorical axis. Choices: True, False. To learn more about box plots <a href="https://helpcenter.flourish.studio/hc/en-us/articles/9859136207759-How-to-make-box-violin-and-beeswarm-scatter-plots">see here</a>. Flourish type hint: boolean, defaults to None.
        :type box_plot: bool, optional
        :param box_color: Box color. Flourish type hint: color, defaults to None.
        :type box_color: str, optional
        :param box_opacity: Box opacity. Flourish type hint: number, defaults to None.
        :type box_opacity: float, optional
        :param box_line_color: Line color. Flourish type hint: color, defaults to None.
        :type box_line_color: str, optional
        :param box_line_width: Line width. Flourish type hint: number, defaults to None.
        :type box_line_width: float, optional
        :param box_whisker_type: Whisker type. Choices: tukey, all. Flourish type hint: string, defaults to None.
        :type box_whisker_type: str, optional
        :param box_whisker_multiplier: Max whisker length (number of IQRs). Maximum distance whiskers should extend out from the box as a multiple of the interquartile range. 1.5 is John Tukeys classsic value. Flourish type hint: number, defaults to None.
        :type box_whisker_multiplier: float, optional
        :param use_box_popup: Box popup. If enabled, shows a popup for the box describing the first quartile, median, and third quartile. The user will not be able to access the popups for the points underneath the box. Flourish type hint: boolean, defaults to None.
        :type use_box_popup: bool, optional
        :param box_first_quartile_text: First quartile. Flourish type hint: string, defaults to None.
        :type box_first_quartile_text: str, optional
        :param box_median_text: Median. Flourish type hint: string, defaults to None.
        :type box_median_text: str, optional
        :param box_third_quartile_text: Third quartile. Flourish type hint: string, defaults to None.
        :type box_third_quartile_text: str, optional
        :param violin_plot: Show violin plot when plotting one numerical and one categorical axis. Choices: True, False. To learn more about violin plots <a href="https://helpcenter.flourish.studio/hc/en-us/articles/9859136207759-How-to-make-box-violin-and-beeswarm-scatter-plots">see here</a>. Flourish type hint: boolean, defaults to None.
        :type violin_plot: bool, optional
        :param violin_bandwidth: Bandwidth. The bandwidth in a violin plot determines the degree of smoothing applied to the probability density function estimating the shape of the plot.  Generally, larger bandwidth values create a smoother plot with less detail, while smaller values create a more precise plot with more detail. Flourish type hint: number, defaults to None.
        :type violin_bandwidth: float, optional
        :param violin_samples: No. of samples. Number of points at which to calculate a violins distribution. More points means a more accurate curve but can also harm performance. Flourish type hint: number, defaults to None.
        :type violin_samples: float, optional
        :param violin_color: Color. Flourish type hint: color, defaults to None.
        :type violin_color: str, optional
        :param violin_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type violin_opacity: float, optional
        :param violin_sizing: Sizing mode. Choices: area, width. Flourish type hint: string, defaults to None.
        :type violin_sizing: str, optional
        :param chart_axes_highlights_x_enabled: Show highlights on the x axis. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_x_enabled: bool, optional
        :param chart_axes_highlights_x_lines: One per line, in format “My label :: 2012”. One per line, using the  format :  My label :: 2012  For dates, use the  input format  as specified in the datasheet. You can optionally specify a line color and a text color For visualizations using a  grid of charts , you can apply the annotation only on a specific chart. Use the format:  `My label :: 2012 :: line_color / text_color :: facet_name`.  For example,  `My label :: 2012 :: #eb0000 / #0084bd :: Category 1`. If you want to add an annotation to just one specific chart but do not want to color the line/text, you can leave that part blank. For example:  My label :: 2012 :: :: Category 1 Flourish type hint: text, defaults to None.
        :type chart_axes_highlights_x_lines: Union[list, str], optional
        :param chart_axes_highlights_x_line_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_x_line_color: str, optional
        :param chart_axes_highlights_x_line_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_line_width: float, optional
        :param chart_axes_highlights_x_line_dash: Dash. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_line_dash: float, optional
        :param chart_axes_highlights_x_areas: One per line, in format “My label :: 2013 >> 2015”. One per line, using the format :  My label :: date >> date  For dates, use the input format as specified in the datasheet. You can optionally specify a line color and a text color For visualizations using a  grid of charts , you can apply the annotation only on a specific chart Use the format:  My label :: 2012 :: area_color / text_color :: facet_name For example,  `My label :: 2012 >> 2015 :: #eb0000 / #0084bd :: Category 1`. Flourish type hint: text, defaults to None.
        :type chart_axes_highlights_x_areas: Union[list, str], optional
        :param chart_axes_highlights_x_area_color: Area. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_x_area_color: str, optional
        :param chart_axes_highlights_x_area_opacity: Area opacity. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_area_opacity: float, optional
        :param chart_axes_highlights_x_area_texture: Area texture. Choices: none, pattern-diagonal, pattern-grid, pattern-dots. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_x_area_texture: str, optional
        :param chart_axes_highlights_x_label_vertical: Vertical. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_x_label_vertical: bool, optional
        :param chart_axes_highlights_x_label_y_position: Y position. Choices: bottom, middle, top. Vertically position the label at the top, bottom or in the middle of the line. This setting will be ignored if there is not enough space for the selected position. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_x_label_y_position: str, optional
        :param chart_axes_highlights_x_label_x_position: X position. Choices: left, middle, right. Horizontally position the label on the left, the right or in the middle of the line. This setting will be ignored if there is not enough space for the selected position. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_x_label_x_position: str, optional
        :param chart_axes_highlights_x_label_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_label_max_width: float, optional
        :param chart_axes_highlights_x_font_size: Font size. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_x_font_size: float, optional
        :param chart_axes_highlights_x_font_weight: Font weight. Choices: regular, bold. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_x_font_weight: str, optional
        :param chart_axes_highlights_x_label_color: Text. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_x_label_color: str, optional
        :param chart_axes_highlights_x_shadow_color: Shadow. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_x_shadow_color: str, optional
        :param chart_axes_highlights_x_shadow_enabled: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_x_shadow_enabled: bool, optional
        :param chart_axes_highlights_y_enabled: Show highlights on the y axis. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_y_enabled: bool, optional
        :param chart_axes_highlights_y_lines: One per line, in format “My label :: 5000”. One per line, using the format :  My label :: 2012  For dates, use the input format as specified in the datasheet. You can optionally specify a line color and a text color For visualizations using a  grid of charts , you can apply the annotation only on a specific chart Use the format:  `My label :: 2012 :: line_color / text_color :: facet_name`.  For example:  `My label :: 2012 :: #eb0000 / #0084bd :: Category 1`.  If you want to add an annotation to just one specific chart but do not want to color the line/text, you can leave that part blank. For example:  My label :: 2012 :: :: Category 1 Flourish type hint: text, defaults to None.
        :type chart_axes_highlights_y_lines: Union[list, str], optional
        :param chart_axes_highlights_y_line_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_y_line_color: str, optional
        :param chart_axes_highlights_y_line_width: line width. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_line_width: float, optional
        :param chart_axes_highlights_y_line_dash: Dash. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_line_dash: float, optional
        :param chart_axes_highlights_y_areas: One per line, in format “My label :: 2000 >> 8000”. One per line, using the format :  My label :: date >> date  For dates, use the input format as specified in the datasheet. You can optionally specify a line color and a text color For visualizations using a  grid of charts , you can apply the annotation only on a specific chart Use the format:  My label :: 2012 :: area_color / text_color :: facet_name  For example:  `My label :: 2012 >> 2015 :: #eb0000 / #0084bd :: Category 1`. Flourish type hint: text, defaults to None.
        :type chart_axes_highlights_y_areas: Union[list, str], optional
        :param chart_axes_highlights_y_area_color: Area. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_y_area_color: str, optional
        :param chart_axes_highlights_y_area_opacity: Area opacity. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_area_opacity: float, optional
        :param chart_axes_highlights_y_area_texture: Area texture. Choices: none, pattern-diagonal, pattern-grid, pattern-dots. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_y_area_texture: str, optional
        :param chart_axes_highlights_y_label_x_position: X position. Choices: left, middle, right. Horizontally position label on the left, the middle or the right end of the line. This setting will be ignored if there is not enough space for the selected position. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_y_label_x_position: str, optional
        :param chart_axes_highlights_y_label_y_position: Y position. Choices: above, middle, below. Vertically position the label above, below or in the middle of the line. This setting will be ignored if there is not enough space for the selected position. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_y_label_y_position: str, optional
        :param chart_axes_highlights_y_label_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_label_max_width: float, optional
        :param chart_axes_highlights_y_font_size: Font size. Flourish type hint: number, defaults to None.
        :type chart_axes_highlights_y_font_size: float, optional
        :param chart_axes_highlights_y_font_weight: Font weight. Choices: regular, bold. Flourish type hint: string, defaults to None.
        :type chart_axes_highlights_y_font_weight: str, optional
        :param chart_axes_highlights_y_label_color: Text. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_y_label_color: str, optional
        :param chart_axes_highlights_y_shadow_color: Shadow. Flourish type hint: color, defaults to None.
        :type chart_axes_highlights_y_shadow_color: str, optional
        :param chart_axes_highlights_y_shadow_enabled: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_axes_highlights_y_shadow_enabled: bool, optional
        :param annotations_styling: Show annotations styling. Flourish type hint: boolean, defaults to None.
        :type annotations_styling: bool, optional
        :param chart_annotations_defaults_text_weight: Weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_text_weight: str, optional
        :param chart_annotations_defaults_text_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_annotations_defaults_text_size: float, optional
        :param chart_annotations_defaults_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_annotations_defaults_text_color: str, optional
        :param chart_annotations_defaults_label_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_annotations_defaults_label_width: float, optional
        :param chart_annotations_defaults_text_background_mode: Text background. Choices: none, outline, background. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_text_background_mode: str, optional
        :param chart_annotations_defaults_text_bg: Outline. Flourish type hint: color, defaults to None.
        :type chart_annotations_defaults_text_bg: str, optional
        :param chart_annotations_defaults_label_bg: Background. Flourish type hint: color, defaults to None.
        :type chart_annotations_defaults_label_bg: str, optional
        :param chart_annotations_defaults_text_alignment: Alignment. Choices: auto, start, center, end. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_text_alignment: str, optional
        :param chart_annotations_defaults_popup_position: Popup position. Choices: center, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_popup_position: str, optional
        :param chart_annotations_defaults_line_marker: Marker. Choices: none, arrowhead_open, arrowhead. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_line_marker: str, optional
        :param chart_annotations_defaults_stroke_width: Width. Flourish type hint: number, defaults to None.
        :type chart_annotations_defaults_stroke_width: float, optional
        :param chart_annotations_defaults_stroke_color: Color. Flourish type hint: color, defaults to None.
        :type chart_annotations_defaults_stroke_color: str, optional
        :param chart_annotations_defaults_connector_extend_line: Extend line. Choices: enabled, disabled. Flourish type hint: string, defaults to None.
        :type chart_annotations_defaults_connector_extend_line: str, optional
        :param animation_duration: Animation duration. The duration of the animation for each dot or axis, in seconds. The animation can be seen between slides in a Flourish story. Flourish type hint: number, defaults to None.
        :type animation_duration: float, optional
        :param animation_stagger: Animation stagger. The delay between each dot starting to move, in seconds; set to 0 to have all dots move simultaneously. Flourish type hint: number, defaults to None.
        :type animation_stagger: float, optional
        :param line_animate_in: Animate new lines in. Whether new lines should appear whole or be animated into view. Flourish type hint: boolean, defaults to None.
        :type line_animate_in: bool, optional
        :param line_animate_out: Animate exiting lines. Whether filtered/removed lines should be removed whole or animated out of view. Flourish type hint: boolean, defaults to None.
        :type line_animate_out: bool, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        :param chart_url_settings_enabled: Update project from URL. Make it possible to change the visualizations settings/state from the URL hash, for example when embedding in an iframe or popup panel. Flourish type hint: boolean, defaults to None.
        :type chart_url_settings_enabled: bool, optional
        :param chart_url_settings_whitelist: Allowed state properties. List each state property you want to make changeable with the URL hash See the template page for a full list of state properties.  Add one property name per line. Use dot format for nested properties, e.g. `layout.background_color`. Flourish type hint: text, defaults to None.
        :type chart_url_settings_whitelist: Union[list, str], optional
        """
        details_error(self)

        self.state = {
            "state": {
                "color": {},
                "chart_bg": {},
                "x": {},
                "x_formatting": {},
                "y": {},
                "y_formatting": {},
                "legend_container": {},
                "categorical_legend": {},
                "continuous_legend": {},
                "color_formatting": {},
                "popup": {},
                "filter": {},
                "slider": {},
                "controls_container": {},
                "controls_style": {},
                "dropdown_style": {},
                "button_style": {},
                "slider_style": {},
                "axes_highlights": {},
                "annotations": {"defaults": {}},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
                "url_state": {},
            }
        }

        self.state["state"]["default_color"] = default_color
        self.state["state"]["fill_opacity"] = fill_opacity

        list_default_shape = [
            "circle",
            "cross",
            "diamond",
            "square",
            "star",
            "triangle",
            "wye",
        ] + [None]
        if default_shape not in list_default_shape:
            raise ValueError(
                f"`default_shape` must be one of: ['circle', 'cross', 'diamond', 'square', 'star', 'triangle', 'wye']"
            )
        elif default_shape in list_default_shape and default_shape is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "circle": "symbolCircle",
                    "cross": "symbolCross",
                    "diamond": "symbolDiamond",
                    "square": "symbolSquare",
                    "star": "symbolStar",
                    "triangle": "symbolTriangle",
                    "wye": "symbolWye",
                }.items()
                if default_shape in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["default_shape"] = filtered_dict[default_shape]
        self.state["state"]["data_point_default_size"] = data_point_default_size
        self.state["state"]["data_point_min_size"] = data_point_min_size
        self.state["state"]["data_point_max_size"] = data_point_max_size
        self.state["state"]["responsive_dots"] = responsive_dots
        self.state["state"]["stroke_opacity"] = stroke_opacity
        self.state["state"]["stroke_width"] = stroke_width

        list_stroke_mode = ["auto", "fixed"] + [None]
        if stroke_mode not in list_stroke_mode:
            raise ValueError(f"`stroke_mode` must be one of: ['auto', 'fixed']")
        elif stroke_mode in list_stroke_mode and stroke_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "fixed": "fixed"}.items()
                if stroke_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["stroke_mode"] = filtered_dict[stroke_mode]
        self.state["state"]["stroke_color"] = stroke_color

        list_render_mode = ["svg", "webgl"] + [None]
        if render_mode not in list_render_mode:
            raise ValueError(f"`render_mode` must be one of: ['svg', 'webgl']")
        elif render_mode in list_render_mode and render_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"svg": "svg", "webgl": "webgl"}.items()
                if render_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["render_mode"] = filtered_dict[render_mode]

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max
        self.state["state"]["labels_show"] = labels_show

        list_labels_selective = [False, True] + [None]
        if labels_selective not in list_labels_selective:
            raise ValueError(f"`labels_selective` must be one of: [False, True]")
        elif labels_selective in list_labels_selective and labels_selective is not None:
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if labels_selective in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels_selective"] = filtered_dict[
                    labels_selective
                ]

        list_label_color_type = ["auto", "match", "fixed"] + [None]
        if label_color_type not in list_label_color_type:
            raise ValueError(
                f"`label_color_type` must be one of: ['auto', 'match', 'fixed']"
            )
        elif label_color_type in list_label_color_type and label_color_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "match": "match",
                    "fixed": "fixed",
                }.items()
                if label_color_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_color_type"] = filtered_dict[
                    label_color_type
                ]
        self.state["state"]["label_color"] = label_color

        list_labels_responsive = ["chart", "data", "none"] + [None]
        if labels_responsive not in list_labels_responsive:
            raise ValueError(
                f"`labels_responsive` must be one of: ['chart', 'data', 'none']"
            )
        elif (
            labels_responsive in list_labels_responsive
            and labels_responsive is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"chart": "chart", "data": "data", "none": "none"}.items()
                if labels_responsive in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels_responsive"] = filtered_dict[
                    labels_responsive
                ]
        self.state["state"]["label_font_size"] = label_font_size
        self.state["state"]["label_font_size_min"] = label_font_size_min
        self.state["state"]["label_font_size_max"] = label_font_size_max
        self.state["state"]["label_bg_size"] = label_bg_size
        self.state["state"]["label_max_width"] = label_max_width

        list_label_align = ["auto", "start", "middle", "end"] + [None]
        if label_align not in list_label_align:
            raise ValueError(
                f"`label_align` must be one of: ['auto', 'start', 'middle', 'end']"
            )
        elif label_align in list_label_align and label_align is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "start": "start",
                    "middle": "middle",
                    "end": "end",
                }.items()
                if label_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_align"] = filtered_dict[label_align]

        list_label_x_offset = ["top", "next"] + [None]
        if label_x_offset not in list_label_x_offset:
            raise ValueError(f"`label_x_offset` must be one of: ['top', 'next']")
        elif label_x_offset in list_label_x_offset and label_x_offset is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "next": "next"}.items()
                if label_x_offset in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_x_offset"] = filtered_dict[label_x_offset]

        list_label_y_offset = ["top", "above", "below"] + [None]
        if label_y_offset not in list_label_y_offset:
            raise ValueError(
                f"`label_y_offset` must be one of: ['top', 'above', 'below']"
            )
        elif label_y_offset in list_label_y_offset and label_y_offset is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "above": "above", "below": "below"}.items()
                if label_y_offset in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_y_offset"] = filtered_dict[label_y_offset]

        list_height_mode = ["auto", "fill_space", "aspect"] + [None]
        if height_mode not in list_height_mode:
            raise ValueError(
                f"`height_mode` must be one of: ['auto', 'fill_space', 'aspect']"
            )
        elif height_mode in list_height_mode and height_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "fill_space": "fill_space",
                    "aspect": "aspect",
                }.items()
                if height_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["height_mode"] = filtered_dict[height_mode]
        self.state["state"]["facet_aspect"] = facet_aspect
        self.state["state"]["facet_aspect_mobile"] = facet_aspect_mobile

        list_chart_background_background_color_enabled = [True, False] + [None]
        if (
            chart_background_background_color_enabled
            not in list_chart_background_background_color_enabled
        ):
            raise ValueError(
                f"`chart_background_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_background_background_color_enabled
            in list_chart_background_background_color_enabled
            and chart_background_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_background_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["chart_bg"][
                    "background_color_enabled"
                ] = filtered_dict[chart_background_background_color_enabled]

        list_chart_background_background_image_enabled = [True, False] + [None]
        if (
            chart_background_background_image_enabled
            not in list_chart_background_background_image_enabled
        ):
            raise ValueError(
                f"`chart_background_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_background_background_image_enabled
            in list_chart_background_background_image_enabled
            and chart_background_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_background_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["chart_bg"][
                    "background_image_enabled"
                ] = filtered_dict[chart_background_background_image_enabled]
        self.state["state"]["chart_bg"][
            "background_color"
        ] = chart_background_background_color
        self.state["state"]["chart_bg"][
            "background_image_src"
        ] = chart_background_background_image_src

        list_chart_background_background_image_size = ["stretch", "slice", "meet"] + [
            None
        ]
        if (
            chart_background_background_image_size
            not in list_chart_background_background_image_size
        ):
            raise ValueError(
                f"`chart_background_background_image_size` must be one of: ['stretch', 'slice', 'meet']"
            )
        elif (
            chart_background_background_image_size
            in list_chart_background_background_image_size
            and chart_background_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "stretch": "stretch",
                    "slice": "slice",
                    "meet": "meet",
                }.items()
                if chart_background_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["chart_bg"][
                    "background_image_size"
                ] = filtered_dict[chart_background_background_image_size]

        list_chart_background_background_image_position = [
            "x_min_y_min",
            "x_mid_y_min",
            "x_max_y_min",
            "x_max_y_mid",
            "x_mid_y_mid",
            "x_min_y_max",
            "x_mid_y_max",
            "x_max_y_max",
        ] + [None]
        if (
            chart_background_background_image_position
            not in list_chart_background_background_image_position
        ):
            raise ValueError(
                f"`chart_background_background_image_position` must be one of: ['x_min_y_min', 'x_mid_y_min', 'x_max_y_min', 'x_max_y_mid', 'x_mid_y_mid', 'x_min_y_max', 'x_mid_y_max', 'x_max_y_max']"
            )
        elif (
            chart_background_background_image_position
            in list_chart_background_background_image_position
            and chart_background_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "x_min_y_min": "xMinYMin",
                    "x_mid_y_min": "xMidYMin",
                    "x_max_y_min": "xMaxYMin",
                    "x_max_y_mid": "xMaxYMid",
                    "x_mid_y_mid": "xMidYMid",
                    "x_min_y_max": "xMinYMax",
                    "x_mid_y_max": "xMidYMax",
                    "x_max_y_max": "xMaxYMax",
                }.items()
                if chart_background_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["chart_bg"][
                    "background_image_position"
                ] = filtered_dict[chart_background_background_image_position]
        self.state["state"]["margin_top"] = margin_top
        self.state["state"]["margin_right"] = margin_right
        self.state["state"]["margin_bottom"] = margin_bottom
        self.state["state"]["margin_left"] = margin_left
        self.state["state"]["facet_fixed_cols"] = facet_fixed_cols
        self.state["state"]["facet_min_w"] = facet_min_w
        self.state["state"]["facet_cols"] = facet_cols
        self.state["state"]["facet_gutter_w"] = facet_gutter_w
        self.state["state"]["facet_gutter_h"] = facet_gutter_h
        self.state["state"]["facet_header_font_size"] = facet_header_font_size

        list_facet_title_align = ["auto", "left", "center"] + [None]
        if facet_title_align not in list_facet_title_align:
            raise ValueError(
                f"`facet_title_align` must be one of: ['auto', 'left', 'center']"
            )
        elif (
            facet_title_align in list_facet_title_align
            and facet_title_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "left": "left",
                    "center": "center",
                }.items()
                if facet_title_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facet_title_align"] = filtered_dict[
                    facet_title_align
                ]
        self.state["state"]["facet_header_color"] = facet_header_color
        self.state["state"]["lines_show"] = lines_show
        self.state["state"]["line_width"] = line_width

        list_line_curve = ["curve_linear", "curve_natural"] + [None]
        if line_curve not in list_line_curve:
            raise ValueError(
                f"`line_curve` must be one of: ['curve_linear', 'curve_natural']"
            )
        elif line_curve in list_line_curve and line_curve is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "curve_linear": "curveLinear",
                    "curve_natural": "curveNatural",
                }.items()
                if line_curve in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_curve"] = filtered_dict[line_curve]
        self.state["state"]["line_opacity"] = line_opacity

        list_line_color_mode = ["by_dot", "fixed"] + [None]
        if line_color_mode not in list_line_color_mode:
            raise ValueError(f"`line_color_mode` must be one of: ['by_dot', 'fixed']")
        elif line_color_mode in list_line_color_mode and line_color_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"by_dot": "by_dot", "fixed": "fixed"}.items()
                if line_color_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_color_mode"] = filtered_dict[line_color_mode]
        self.state["state"]["line_per_facet"] = line_per_facet
        self.state["state"]["line_color"] = line_color
        self.state["state"]["line_arrows"] = line_arrows
        self.state["state"]["line_arrow_size"] = line_arrow_size

        list_line_arrow_color_mode = ["auto", "fixed"] + [None]
        if line_arrow_color_mode not in list_line_arrow_color_mode:
            raise ValueError(
                f"`line_arrow_color_mode` must be one of: ['auto', 'fixed']"
            )
        elif (
            line_arrow_color_mode in list_line_arrow_color_mode
            and line_arrow_color_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "fixed": "fixed"}.items()
                if line_arrow_color_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_arrow_color_mode"] = filtered_dict[
                    line_arrow_color_mode
                ]
        self.state["state"]["line_arrow_color"] = line_arrow_color
        self.state["state"]["x_matching"] = x_matching
        self.state["state"]["x_single_row"] = x_single_row

        list_chart_x_axis_axis_position = [
            "bottom",
            "float-below",
            "float-above",
            "top",
            "off",
        ] + [None]
        if chart_x_axis_axis_position not in list_chart_x_axis_axis_position:
            raise ValueError(
                f"`chart_x_axis_axis_position` must be one of: ['bottom', 'float-below', 'float-above', 'top', 'off']"
            )
        elif (
            chart_x_axis_axis_position in list_chart_x_axis_axis_position
            and chart_x_axis_axis_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "bottom": "bottom",
                    "float-below": "float-below",
                    "float-above": "float-above",
                    "top": "top",
                    "off": "off",
                }.items()
                if chart_x_axis_axis_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["axis_position"] = filtered_dict[
                    chart_x_axis_axis_position
                ]
        self.state["state"]["x"]["y_axis_position"] = chart_x_axis_y_axis_position

        list_chart_x_axis_numeric_scale_type = ["linear", "log"] + [None]
        if chart_x_axis_numeric_scale_type not in list_chart_x_axis_numeric_scale_type:
            raise ValueError(
                f"`chart_x_axis_numeric_scale_type` must be one of: ['linear', 'log']"
            )
        elif (
            chart_x_axis_numeric_scale_type in list_chart_x_axis_numeric_scale_type
            and chart_x_axis_numeric_scale_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "log": "log"}.items()
                if chart_x_axis_numeric_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["numeric_scale_type"] = filtered_dict[
                    chart_x_axis_numeric_scale_type
                ]
        self.state["state"]["x"]["linear_min"] = chart_x_axis_linear_min
        self.state["state"]["x"]["linear_max"] = chart_x_axis_linear_max
        self.state["state"]["x"]["log_min"] = chart_x_axis_log_min
        self.state["state"]["x"]["log_max"] = chart_x_axis_log_max
        self.state["state"]["x"]["datetime_min"] = chart_x_axis_datetime_min
        self.state["state"]["x"]["datetime_max"] = chart_x_axis_datetime_max
        self.state["state"]["x"]["flip"] = chart_x_axis_flip
        self.state["state"]["x"][
            "show_scale_settings"
        ] = chart_x_axis_show_scale_settings

        list_chart_x_axis_nice = [True, False] + [None]
        if chart_x_axis_nice not in list_chart_x_axis_nice:
            raise ValueError(f"`chart_x_axis_nice` must be one of: [True, False]")
        elif (
            chart_x_axis_nice in list_chart_x_axis_nice
            and chart_x_axis_nice is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_x_axis_nice in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["nice"] = filtered_dict[chart_x_axis_nice]

        list_chart_x_axis_zero_axis = ["auto", "on", "off"] + [None]
        if chart_x_axis_zero_axis not in list_chart_x_axis_zero_axis:
            raise ValueError(
                f"`chart_x_axis_zero_axis` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_x_axis_zero_axis in list_chart_x_axis_zero_axis
            and chart_x_axis_zero_axis is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_x_axis_zero_axis in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["zero_axis"] = filtered_dict[
                    chart_x_axis_zero_axis
                ]

        list_chart_x_axis_title_mode = ["auto", "custom"] + [None]
        if chart_x_axis_title_mode not in list_chart_x_axis_title_mode:
            raise ValueError(
                f"`chart_x_axis_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_x_axis_title_mode in list_chart_x_axis_title_mode
            and chart_x_axis_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_x_axis_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["title_mode"] = filtered_dict[
                    chart_x_axis_title_mode
                ]
        self.state["state"]["x"]["title"] = chart_x_axis_title
        self.state["state"]["x"]["title_styling"] = chart_x_axis_title_styling

        list_chart_x_axis_title_weight = ["bold", "normal"] + [None]
        if chart_x_axis_title_weight not in list_chart_x_axis_title_weight:
            raise ValueError(
                f"`chart_x_axis_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_x_axis_title_weight in list_chart_x_axis_title_weight
            and chart_x_axis_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_x_axis_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["title_weight"] = filtered_dict[
                    chart_x_axis_title_weight
                ]
        self.state["state"]["x"]["title_color"] = chart_x_axis_title_color
        self.state["state"]["x"]["title_size"] = chart_x_axis_title_size
        self.state["state"]["x"]["title_padding"] = chart_x_axis_title_padding

        list_chart_x_axis_tick_label_position = ["default", "left", "right"] + [None]
        if (
            chart_x_axis_tick_label_position
            not in list_chart_x_axis_tick_label_position
        ):
            raise ValueError(
                f"`chart_x_axis_tick_label_position` must be one of: ['default', 'left', 'right']"
            )
        elif (
            chart_x_axis_tick_label_position in list_chart_x_axis_tick_label_position
            and chart_x_axis_tick_label_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "default": "default",
                    "left": "left",
                    "right": "right",
                }.items()
                if chart_x_axis_tick_label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_position"] = filtered_dict[
                    chart_x_axis_tick_label_position
                ]
        self.state["state"]["x"]["tick_label_styling"] = chart_x_axis_tick_label_styling
        self.state["state"]["x"]["tick_label_size"] = chart_x_axis_tick_label_size
        self.state["state"]["x"]["tick_label_color"] = chart_x_axis_tick_label_color
        self.state["state"]["x"]["tick_padding"] = chart_x_axis_tick_padding

        list_chart_x_axis_tick_label_angle = ["0", "30", "45", "60", "90"] + [None]
        if chart_x_axis_tick_label_angle not in list_chart_x_axis_tick_label_angle:
            raise ValueError(
                f"`chart_x_axis_tick_label_angle` must be one of: ['0', '30', '45', '60', '90']"
            )
        elif (
            chart_x_axis_tick_label_angle in list_chart_x_axis_tick_label_angle
            and chart_x_axis_tick_label_angle is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "30": "30",
                    "45": "45",
                    "60": "60",
                    "90": "90",
                }.items()
                if chart_x_axis_tick_label_angle in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_angle"] = filtered_dict[
                    chart_x_axis_tick_label_angle
                ]

        list_chart_x_axis_tick_label_weight = ["bold", "normal"] + [None]
        if chart_x_axis_tick_label_weight not in list_chart_x_axis_tick_label_weight:
            raise ValueError(
                f"`chart_x_axis_tick_label_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_x_axis_tick_label_weight in list_chart_x_axis_tick_label_weight
            and chart_x_axis_tick_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_x_axis_tick_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_weight"] = filtered_dict[
                    chart_x_axis_tick_label_weight
                ]
        self.state["state"]["x"][
            "tick_label_max_lines"
        ] = chart_x_axis_tick_label_max_lines
        self.state["state"]["x"][
            "tick_label_line_height"
        ] = chart_x_axis_tick_label_line_height

        list_chart_x_axis_tick_label_space_mode = ["auto", "max", "fixed"] + [None]
        if (
            chart_x_axis_tick_label_space_mode
            not in list_chart_x_axis_tick_label_space_mode
        ):
            raise ValueError(
                f"`chart_x_axis_tick_label_space_mode` must be one of: ['auto', 'max', 'fixed']"
            )
        elif (
            chart_x_axis_tick_label_space_mode
            in list_chart_x_axis_tick_label_space_mode
            and chart_x_axis_tick_label_space_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "max": "max", "fixed": "fixed"}.items()
                if chart_x_axis_tick_label_space_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_space_mode"] = filtered_dict[
                    chart_x_axis_tick_label_space_mode
                ]
        self.state["state"]["x"]["tick_label_space"] = chart_x_axis_tick_label_space

        list_chart_x_axis_tick_mode = ["auto", "number", "custom"] + [None]
        if chart_x_axis_tick_mode not in list_chart_x_axis_tick_mode:
            raise ValueError(
                f"`chart_x_axis_tick_mode` must be one of: ['auto', 'number', 'custom']"
            )
        elif (
            chart_x_axis_tick_mode in list_chart_x_axis_tick_mode
            and chart_x_axis_tick_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "number": "number",
                    "custom": "custom",
                }.items()
                if chart_x_axis_tick_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_mode"] = filtered_dict[
                    chart_x_axis_tick_mode
                ]
        self.state["state"]["x"]["tick_number"] = chart_x_axis_tick_number

        if (
            chart_x_axis_tick_custom is not None
            and len(chart_x_axis_tick_custom) > 1
            and isinstance(chart_x_axis_tick_custom, list)
        ):
            self.state["state"]["x"]["tick_custom"] = " \n ".join(
                chart_x_axis_tick_custom
            )
        else:
            self.state["state"]["x"]["tick_custom"] = chart_x_axis_tick_custom

        self.state["state"]["x"][
            "line_and_tick_color"
        ] = chart_x_axis_line_and_tick_color
        self.state["state"]["x"][
            "line_and_tick_width"
        ] = chart_x_axis_line_and_tick_width
        self.state["state"]["x"]["tick_length"] = chart_x_axis_tick_length

        list_chart_x_axis_tick_side = ["out", "in"] + [None]
        if chart_x_axis_tick_side not in list_chart_x_axis_tick_side:
            raise ValueError(f"`chart_x_axis_tick_side` must be one of: ['out', 'in']")
        elif (
            chart_x_axis_tick_side in list_chart_x_axis_tick_side
            and chart_x_axis_tick_side is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"out": "out", "in": "in"}.items()
                if chart_x_axis_tick_side in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_side"] = filtered_dict[
                    chart_x_axis_tick_side
                ]
        self.state["state"]["x"]["line_visible"] = chart_x_axis_line_visible
        self.state["state"]["x"]["edge_padding"] = chart_x_axis_edge_padding

        list_chart_x_axis_gridlines_visible = [True, False] + [None]
        if chart_x_axis_gridlines_visible not in list_chart_x_axis_gridlines_visible:
            raise ValueError(
                f"`chart_x_axis_gridlines_visible` must be one of: [True, False]"
            )
        elif (
            chart_x_axis_gridlines_visible in list_chart_x_axis_gridlines_visible
            and chart_x_axis_gridlines_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_x_axis_gridlines_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["gridlines_visible"] = filtered_dict[
                    chart_x_axis_gridlines_visible
                ]
        self.state["state"]["x"]["gridlines_styling"] = chart_x_axis_gridlines_styling
        self.state["state"]["x"]["gridline_color"] = chart_x_axis_gridline_color

        list_chart_x_axis_gridline_style = ["solid", "dash", "dot", "dot_dash"] + [None]
        if chart_x_axis_gridline_style not in list_chart_x_axis_gridline_style:
            raise ValueError(
                f"`chart_x_axis_gridline_style` must be one of: ['solid', 'dash', 'dot', 'dot_dash']"
            )
        elif (
            chart_x_axis_gridline_style in list_chart_x_axis_gridline_style
            and chart_x_axis_gridline_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dash": "dash",
                    "dot": "dot",
                    "dot_dash": "dot_dash",
                }.items()
                if chart_x_axis_gridline_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["gridline_style"] = filtered_dict[
                    chart_x_axis_gridline_style
                ]
        self.state["state"]["x"]["gridline_width"] = chart_x_axis_gridline_width
        self.state["state"]["x"][
            "gridline_category_dividers"
        ] = chart_x_axis_gridline_category_dividers
        self.state["state"]["x"][
            "gridline_category_dividers_extend"
        ] = chart_x_axis_gridline_category_dividers_extend
        self.state["state"]["x_formatting"][
            "prefix"
        ] = chart_x_axis_number_date_format_prefix
        self.state["state"]["x_formatting"][
            "suffix"
        ] = chart_x_axis_number_date_format_suffix
        self.state["state"]["x_formatting"][
            "n_dec"
        ] = chart_x_axis_number_date_format_n_dec
        self.state["state"]["x_formatting"][
            "advanced"
        ] = chart_x_axis_number_date_format_advanced

        list_chart_x_axis_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_x_axis_number_date_format_negative_sign
            not in list_chart_x_axis_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_x_axis_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_x_axis_number_date_format_negative_sign
            in list_chart_x_axis_number_date_format_negative_sign
            and chart_x_axis_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_x_axis_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x_formatting"]["negative_sign"] = filtered_dict[
                    chart_x_axis_number_date_format_negative_sign
                ]
        self.state["state"]["x_formatting"][
            "strip_zeros"
        ] = chart_x_axis_number_date_format_strip_zeros
        self.state["state"]["x_formatting"][
            "strip_separator"
        ] = chart_x_axis_number_date_format_strip_separator
        self.state["state"]["x_formatting"][
            "transform_labels"
        ] = chart_x_axis_number_date_format_transform_labels

        list_chart_x_axis_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_x_axis_number_date_format_transform
            not in list_chart_x_axis_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_x_axis_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_x_axis_number_date_format_transform
            in list_chart_x_axis_number_date_format_transform
            and chart_x_axis_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_x_axis_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x_formatting"]["transform"] = filtered_dict[
                    chart_x_axis_number_date_format_transform
                ]
        self.state["state"]["x_formatting"][
            "multiply_divide_constant"
        ] = chart_x_axis_number_date_format_multiply_divide_constant
        self.state["state"]["x_formatting"][
            "exponentiate_constant"
        ] = chart_x_axis_number_date_format_exponentiate_constant
        self.state["state"]["y_matching"] = y_matching
        self.state["state"]["y_single_col"] = y_single_col

        list_chart_y_axis_axis_visible = [True, False] + [None]
        if chart_y_axis_axis_visible not in list_chart_y_axis_axis_visible:
            raise ValueError(
                f"`chart_y_axis_axis_visible` must be one of: [True, False]"
            )
        elif (
            chart_y_axis_axis_visible in list_chart_y_axis_axis_visible
            and chart_y_axis_axis_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_axis_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["axis_visible"] = filtered_dict[
                    chart_y_axis_axis_visible
                ]

        list_chart_y_axis_numeric_scale_type = ["linear", "log"] + [None]
        if chart_y_axis_numeric_scale_type not in list_chart_y_axis_numeric_scale_type:
            raise ValueError(
                f"`chart_y_axis_numeric_scale_type` must be one of: ['linear', 'log']"
            )
        elif (
            chart_y_axis_numeric_scale_type in list_chart_y_axis_numeric_scale_type
            and chart_y_axis_numeric_scale_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "log": "log"}.items()
                if chart_y_axis_numeric_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["numeric_scale_type"] = filtered_dict[
                    chart_y_axis_numeric_scale_type
                ]
        self.state["state"]["y"]["linear_min"] = chart_y_axis_linear_min
        self.state["state"]["y"]["linear_max"] = chart_y_axis_linear_max
        self.state["state"]["y"]["log_min"] = chart_y_axis_log_min
        self.state["state"]["y"]["log_max"] = chart_y_axis_log_max
        self.state["state"]["y"]["datetime_min"] = chart_y_axis_datetime_min
        self.state["state"]["y"]["datetime_max"] = chart_y_axis_datetime_max
        self.state["state"]["y"]["flip"] = chart_y_axis_flip
        self.state["state"]["y"][
            "show_scale_settings"
        ] = chart_y_axis_show_scale_settings

        list_chart_y_axis_nice = [True, False] + [None]
        if chart_y_axis_nice not in list_chart_y_axis_nice:
            raise ValueError(f"`chart_y_axis_nice` must be one of: [True, False]")
        elif (
            chart_y_axis_nice in list_chart_y_axis_nice
            and chart_y_axis_nice is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_nice in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["nice"] = filtered_dict[chart_y_axis_nice]

        list_chart_y_axis_zero_axis = ["auto", "on", "off"] + [None]
        if chart_y_axis_zero_axis not in list_chart_y_axis_zero_axis:
            raise ValueError(
                f"`chart_y_axis_zero_axis` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_y_axis_zero_axis in list_chart_y_axis_zero_axis
            and chart_y_axis_zero_axis is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_y_axis_zero_axis in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["zero_axis"] = filtered_dict[
                    chart_y_axis_zero_axis
                ]

        list_chart_y_axis_title_mode = ["auto", "custom"] + [None]
        if chart_y_axis_title_mode not in list_chart_y_axis_title_mode:
            raise ValueError(
                f"`chart_y_axis_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_y_axis_title_mode in list_chart_y_axis_title_mode
            and chart_y_axis_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_y_axis_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_mode"] = filtered_dict[
                    chart_y_axis_title_mode
                ]
        self.state["state"]["y"]["title"] = chart_y_axis_title
        self.state["state"]["y"]["title_styling"] = chart_y_axis_title_styling

        list_chart_y_axis_title_position = ["side", "end"] + [None]
        if chart_y_axis_title_position not in list_chart_y_axis_title_position:
            raise ValueError(
                f"`chart_y_axis_title_position` must be one of: ['side', 'end']"
            )
        elif (
            chart_y_axis_title_position in list_chart_y_axis_title_position
            and chart_y_axis_title_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"side": "side", "end": "end"}.items()
                if chart_y_axis_title_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_position"] = filtered_dict[
                    chart_y_axis_title_position
                ]

        list_chart_y_axis_title_weight = ["bold", "normal"] + [None]
        if chart_y_axis_title_weight not in list_chart_y_axis_title_weight:
            raise ValueError(
                f"`chart_y_axis_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_y_axis_title_weight in list_chart_y_axis_title_weight
            and chart_y_axis_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_y_axis_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_weight"] = filtered_dict[
                    chart_y_axis_title_weight
                ]
        self.state["state"]["y"]["title_color"] = chart_y_axis_title_color
        self.state["state"]["y"]["title_size"] = chart_y_axis_title_size
        self.state["state"]["y"]["title_padding"] = chart_y_axis_title_padding

        list_chart_y_axis_tick_label_position = ["default", "above", "below"] + [None]
        if (
            chart_y_axis_tick_label_position
            not in list_chart_y_axis_tick_label_position
        ):
            raise ValueError(
                f"`chart_y_axis_tick_label_position` must be one of: ['default', 'above', 'below']"
            )
        elif (
            chart_y_axis_tick_label_position in list_chart_y_axis_tick_label_position
            and chart_y_axis_tick_label_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "default": "default",
                    "above": "above",
                    "below": "below",
                }.items()
                if chart_y_axis_tick_label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_position"] = filtered_dict[
                    chart_y_axis_tick_label_position
                ]
        self.state["state"]["y"]["tick_label_styling"] = chart_y_axis_tick_label_styling
        self.state["state"]["y"]["tick_label_size"] = chart_y_axis_tick_label_size
        self.state["state"]["y"]["tick_label_color"] = chart_y_axis_tick_label_color
        self.state["state"]["y"]["tick_padding"] = chart_y_axis_tick_padding

        list_chart_y_axis_tick_label_angle = ["0", "30", "45", "60", "90"] + [None]
        if chart_y_axis_tick_label_angle not in list_chart_y_axis_tick_label_angle:
            raise ValueError(
                f"`chart_y_axis_tick_label_angle` must be one of: ['0', '30', '45', '60', '90']"
            )
        elif (
            chart_y_axis_tick_label_angle in list_chart_y_axis_tick_label_angle
            and chart_y_axis_tick_label_angle is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "30": "30",
                    "45": "45",
                    "60": "60",
                    "90": "90",
                }.items()
                if chart_y_axis_tick_label_angle in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_angle"] = filtered_dict[
                    chart_y_axis_tick_label_angle
                ]

        list_chart_y_axis_tick_label_weight = ["bold", "normal"] + [None]
        if chart_y_axis_tick_label_weight not in list_chart_y_axis_tick_label_weight:
            raise ValueError(
                f"`chart_y_axis_tick_label_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_y_axis_tick_label_weight in list_chart_y_axis_tick_label_weight
            and chart_y_axis_tick_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_y_axis_tick_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_weight"] = filtered_dict[
                    chart_y_axis_tick_label_weight
                ]
        self.state["state"]["y"][
            "tick_label_max_lines"
        ] = chart_y_axis_tick_label_max_lines
        self.state["state"]["y"][
            "tick_label_line_height"
        ] = chart_y_axis_tick_label_line_height

        list_chart_y_axis_tick_label_space_mode = ["auto", "max", "fixed"] + [None]
        if (
            chart_y_axis_tick_label_space_mode
            not in list_chart_y_axis_tick_label_space_mode
        ):
            raise ValueError(
                f"`chart_y_axis_tick_label_space_mode` must be one of: ['auto', 'max', 'fixed']"
            )
        elif (
            chart_y_axis_tick_label_space_mode
            in list_chart_y_axis_tick_label_space_mode
            and chart_y_axis_tick_label_space_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "max": "max", "fixed": "fixed"}.items()
                if chart_y_axis_tick_label_space_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_space_mode"] = filtered_dict[
                    chart_y_axis_tick_label_space_mode
                ]
        self.state["state"]["y"]["tick_label_space"] = chart_y_axis_tick_label_space

        list_chart_y_axis_tick_mode = ["auto", "number", "custom"] + [None]
        if chart_y_axis_tick_mode not in list_chart_y_axis_tick_mode:
            raise ValueError(
                f"`chart_y_axis_tick_mode` must be one of: ['auto', 'number', 'custom']"
            )
        elif (
            chart_y_axis_tick_mode in list_chart_y_axis_tick_mode
            and chart_y_axis_tick_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "number": "number",
                    "custom": "custom",
                }.items()
                if chart_y_axis_tick_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_mode"] = filtered_dict[
                    chart_y_axis_tick_mode
                ]
        self.state["state"]["y"]["tick_number"] = chart_y_axis_tick_number

        if (
            chart_y_axis_tick_custom is not None
            and len(chart_y_axis_tick_custom) > 1
            and isinstance(chart_y_axis_tick_custom, list)
        ):
            self.state["state"]["y"]["tick_custom"] = " \n ".join(
                chart_y_axis_tick_custom
            )
        else:
            self.state["state"]["y"]["tick_custom"] = chart_y_axis_tick_custom

        self.state["state"]["y"][
            "line_and_tick_color"
        ] = chart_y_axis_line_and_tick_color
        self.state["state"]["y"][
            "line_and_tick_width"
        ] = chart_y_axis_line_and_tick_width
        self.state["state"]["y"]["tick_length"] = chart_y_axis_tick_length

        list_chart_y_axis_tick_side = ["out", "in"] + [None]
        if chart_y_axis_tick_side not in list_chart_y_axis_tick_side:
            raise ValueError(f"`chart_y_axis_tick_side` must be one of: ['out', 'in']")
        elif (
            chart_y_axis_tick_side in list_chart_y_axis_tick_side
            and chart_y_axis_tick_side is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"out": "out", "in": "in"}.items()
                if chart_y_axis_tick_side in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_side"] = filtered_dict[
                    chart_y_axis_tick_side
                ]
        self.state["state"]["y"]["line_visible"] = chart_y_axis_line_visible
        self.state["state"]["y"]["edge_padding"] = chart_y_axis_edge_padding

        list_chart_y_axis_gridlines_visible = [True, False] + [None]
        if chart_y_axis_gridlines_visible not in list_chart_y_axis_gridlines_visible:
            raise ValueError(
                f"`chart_y_axis_gridlines_visible` must be one of: [True, False]"
            )
        elif (
            chart_y_axis_gridlines_visible in list_chart_y_axis_gridlines_visible
            and chart_y_axis_gridlines_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_gridlines_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["gridlines_visible"] = filtered_dict[
                    chart_y_axis_gridlines_visible
                ]
        self.state["state"]["y"]["gridlines_styling"] = chart_y_axis_gridlines_styling
        self.state["state"]["y"]["gridline_color"] = chart_y_axis_gridline_color

        list_chart_y_axis_gridline_style = ["solid", "dash", "dot", "dot_dash"] + [None]
        if chart_y_axis_gridline_style not in list_chart_y_axis_gridline_style:
            raise ValueError(
                f"`chart_y_axis_gridline_style` must be one of: ['solid', 'dash', 'dot', 'dot_dash']"
            )
        elif (
            chart_y_axis_gridline_style in list_chart_y_axis_gridline_style
            and chart_y_axis_gridline_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dash": "dash",
                    "dot": "dot",
                    "dot_dash": "dot_dash",
                }.items()
                if chart_y_axis_gridline_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["gridline_style"] = filtered_dict[
                    chart_y_axis_gridline_style
                ]
        self.state["state"]["y"]["gridline_width"] = chart_y_axis_gridline_width
        self.state["state"]["y"][
            "gridline_category_dividers"
        ] = chart_y_axis_gridline_category_dividers
        self.state["state"]["y"][
            "gridline_category_dividers_extend"
        ] = chart_y_axis_gridline_category_dividers_extend
        self.state["state"]["y_formatting"][
            "prefix"
        ] = chart_y_axis_number_date_format_prefix
        self.state["state"]["y_formatting"][
            "suffix"
        ] = chart_y_axis_number_date_format_suffix
        self.state["state"]["y_formatting"][
            "n_dec"
        ] = chart_y_axis_number_date_format_n_dec
        self.state["state"]["y_formatting"][
            "advanced"
        ] = chart_y_axis_number_date_format_advanced

        list_chart_y_axis_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_y_axis_number_date_format_negative_sign
            not in list_chart_y_axis_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_y_axis_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_y_axis_number_date_format_negative_sign
            in list_chart_y_axis_number_date_format_negative_sign
            and chart_y_axis_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_y_axis_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y_formatting"]["negative_sign"] = filtered_dict[
                    chart_y_axis_number_date_format_negative_sign
                ]
        self.state["state"]["y_formatting"][
            "strip_zeros"
        ] = chart_y_axis_number_date_format_strip_zeros
        self.state["state"]["y_formatting"][
            "strip_separator"
        ] = chart_y_axis_number_date_format_strip_separator
        self.state["state"]["y_formatting"][
            "transform_labels"
        ] = chart_y_axis_number_date_format_transform_labels

        list_chart_y_axis_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_y_axis_number_date_format_transform
            not in list_chart_y_axis_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_y_axis_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_y_axis_number_date_format_transform
            in list_chart_y_axis_number_date_format_transform
            and chart_y_axis_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_y_axis_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y_formatting"]["transform"] = filtered_dict[
                    chart_y_axis_number_date_format_transform
                ]
        self.state["state"]["y_formatting"][
            "multiply_divide_constant"
        ] = chart_y_axis_number_date_format_multiply_divide_constant
        self.state["state"]["y_formatting"][
            "exponentiate_constant"
        ] = chart_y_axis_number_date_format_exponentiate_constant

        list_legend_position = ["above", "below", "off"] + [None]
        if legend_position not in list_legend_position:
            raise ValueError(
                f"`legend_position` must be one of: ['above', 'below', 'off']"
            )
        elif legend_position in list_legend_position and legend_position is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"above": "above", "below": "below", "off": "off"}.items()
                if legend_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_position"] = filtered_dict[legend_position]

        list_legend_filtering_mode = ["filter_out", "filter_in", "off"] + [None]
        if legend_filtering_mode not in list_legend_filtering_mode:
            raise ValueError(
                f"`legend_filtering_mode` must be one of: ['filter_out', 'filter_in', 'off']"
            )
        elif (
            legend_filtering_mode in list_legend_filtering_mode
            and legend_filtering_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "filter_out": "filter_out",
                    "filter_in": "filter_in",
                    "off": "off",
                }.items()
                if legend_filtering_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_filtering_mode"] = filtered_dict[
                    legend_filtering_mode
                ]

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size

        list_chart_categorical_legend_show_legend = [True, False] + [None]
        if (
            chart_categorical_legend_show_legend
            not in list_chart_categorical_legend_show_legend
        ):
            raise ValueError(
                f"`chart_categorical_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_categorical_legend_show_legend
            in list_chart_categorical_legend_show_legend
            and chart_categorical_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_categorical_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["categorical_legend"][
                    "show_legend"
                ] = filtered_dict[chart_categorical_legend_show_legend]

        list_chart_categorical_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_categorical_legend_title_mode
            not in list_chart_categorical_legend_title_mode
        ):
            raise ValueError(
                f"`chart_categorical_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_categorical_legend_title_mode
            in list_chart_categorical_legend_title_mode
            and chart_categorical_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_categorical_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["categorical_legend"]["title_mode"] = filtered_dict[
                    chart_categorical_legend_title_mode
                ]
        self.state["state"]["categorical_legend"][
            "title"
        ] = chart_categorical_legend_title
        self.state["state"]["categorical_legend"][
            "swatch_width"
        ] = chart_categorical_legend_swatch_width
        self.state["state"]["categorical_legend"][
            "swatch_height"
        ] = chart_categorical_legend_swatch_height
        self.state["state"]["categorical_legend"][
            "swatch_radius"
        ] = chart_categorical_legend_swatch_radius
        self.state["state"]["categorical_legend"][
            "legend_items_padding"
        ] = chart_categorical_legend_legend_items_padding
        self.state["state"]["categorical_legend"][
            "swatch_outline"
        ] = chart_categorical_legend_swatch_outline
        self.state["state"]["categorical_legend"][
            "swatch_outline_color"
        ] = chart_categorical_legend_swatch_outline_color

        if (
            chart_categorical_legend_order_override is not None
            and len(chart_categorical_legend_order_override) > 1
            and isinstance(chart_categorical_legend_order_override, list)
        ):
            self.state["state"]["categorical_legend"]["order_override"] = " \n ".join(
                chart_categorical_legend_order_override
            )
        else:
            self.state["state"]["categorical_legend"][
                "order_override"
            ] = chart_categorical_legend_order_override

        self.state["state"]["categorical_legend"][
            "icon_height"
        ] = chart_categorical_legend_icon_height
        self.state["state"]["categorical_legend"][
            "icon_color"
        ] = chart_categorical_legend_icon_color
        self.state["state"]["categorical_legend"][
            "max_width"
        ] = chart_categorical_legend_max_width

        list_chart_categorical_legend_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_categorical_legend_orientation
            not in list_chart_categorical_legend_orientation
        ):
            raise ValueError(
                f"`chart_categorical_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_categorical_legend_orientation
            in list_chart_categorical_legend_orientation
            and chart_categorical_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_categorical_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["categorical_legend"][
                    "orientation"
                ] = filtered_dict[chart_categorical_legend_orientation]

        list_chart_continous_legend_show_legend = [True, False] + [None]
        if (
            chart_continous_legend_show_legend
            not in list_chart_continous_legend_show_legend
        ):
            raise ValueError(
                f"`chart_continous_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_continous_legend_show_legend
            in list_chart_continous_legend_show_legend
            and chart_continous_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_continous_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["continuous_legend"]["show_legend"] = filtered_dict[
                    chart_continous_legend_show_legend
                ]

        list_chart_continous_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_continous_legend_title_mode
            not in list_chart_continous_legend_title_mode
        ):
            raise ValueError(
                f"`chart_continous_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_continous_legend_title_mode in list_chart_continous_legend_title_mode
            and chart_continous_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_continous_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["continuous_legend"]["title_mode"] = filtered_dict[
                    chart_continous_legend_title_mode
                ]
        self.state["state"]["continuous_legend"]["title"] = chart_continous_legend_title
        self.state["state"]["continuous_legend"][
            "color_band_width"
        ] = chart_continous_legend_color_band_width
        self.state["state"]["continuous_legend"][
            "color_band_height"
        ] = chart_continous_legend_color_band_height
        self.state["state"]["continuous_legend"][
            "color_band_radius"
        ] = chart_continous_legend_color_band_radius

        list_chart_continous_legend_binned_label_mode = [
            "thresholds",
            "centers",
            "custom",
        ] + [None]
        if (
            chart_continous_legend_binned_label_mode
            not in list_chart_continous_legend_binned_label_mode
        ):
            raise ValueError(
                f"`chart_continous_legend_binned_label_mode` must be one of: ['thresholds', 'centers', 'custom']"
            )
        elif (
            chart_continous_legend_binned_label_mode
            in list_chart_continous_legend_binned_label_mode
            and chart_continous_legend_binned_label_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "thresholds": "thresholds",
                    "centers": "centers",
                    "custom": "custom",
                }.items()
                if chart_continous_legend_binned_label_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["continuous_legend"][
                    "binned_label_mode"
                ] = filtered_dict[chart_continous_legend_binned_label_mode]
        self.state["state"]["continuous_legend"][
            "binned_label_custom"
        ] = chart_continous_legend_binned_label_custom
        self.state["state"]["continuous_legend"][
            "legend_min"
        ] = chart_continous_legend_legend_min
        self.state["state"]["continuous_legend"][
            "additional_min_label"
        ] = chart_continous_legend_additional_min_label
        self.state["state"]["continuous_legend"][
            "legend_max"
        ] = chart_continous_legend_legend_max
        self.state["state"]["continuous_legend"][
            "additional_max_label"
        ] = chart_continous_legend_additional_max_label

        list_text_legend = ["auto", "custom", "off"] + [None]
        if text_legend not in list_text_legend:
            raise ValueError(f"`text_legend` must be one of: ['auto', 'custom', 'off']")
        elif text_legend in list_text_legend and text_legend is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom", "off": "off"}.items()
                if text_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["text_legend"] = filtered_dict[text_legend]
        self.state["state"]["text_legend_title"] = text_legend_title
        self.state["state"]["text_legend_subtitle"] = text_legend_subtitle
        self.state["state"]["text_legend_bold"] = text_legend_bold
        self.state["state"]["color_formatting"][
            "prefix"
        ] = chart_number_date_format_prefix
        self.state["state"]["color_formatting"][
            "suffix"
        ] = chart_number_date_format_suffix
        self.state["state"]["color_formatting"][
            "n_dec"
        ] = chart_number_date_format_n_dec
        self.state["state"]["color_formatting"][
            "advanced"
        ] = chart_number_date_format_advanced

        list_chart_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_number_date_format_negative_sign
            not in list_chart_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_number_date_format_negative_sign
            in list_chart_number_date_format_negative_sign
            and chart_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color_formatting"][
                    "negative_sign"
                ] = filtered_dict[chart_number_date_format_negative_sign]
        self.state["state"]["color_formatting"][
            "strip_zeros"
        ] = chart_number_date_format_strip_zeros
        self.state["state"]["color_formatting"][
            "strip_separator"
        ] = chart_number_date_format_strip_separator
        self.state["state"]["color_formatting"][
            "transform_labels"
        ] = chart_number_date_format_transform_labels

        list_chart_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_number_date_format_transform
            not in list_chart_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_number_date_format_transform
            in list_chart_number_date_format_transform
            and chart_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color_formatting"]["transform"] = filtered_dict[
                    chart_number_date_format_transform
                ]
        self.state["state"]["color_formatting"][
            "multiply_divide_constant"
        ] = chart_number_date_format_multiply_divide_constant
        self.state["state"]["color_formatting"][
            "exponentiate_constant"
        ] = chart_number_date_format_exponentiate_constant

        list_chart_popup_mode = ["none", "popup", "panel", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'panel', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "panel": "panel",
                    "both": "both",
                }.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popup"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popup"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popup"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        if (
            chart_popup_popup_custom_accessible is not None
            and len(chart_popup_popup_custom_accessible) > 1
            and isinstance(chart_popup_popup_custom_accessible, list)
        ):
            self.state["state"]["popup"]["popup_custom_accessible"] = " \n ".join(
                chart_popup_popup_custom_accessible
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_accessible"
            ] = chart_popup_popup_custom_accessible

        self.state["state"]["popup"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popup"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popup"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popup"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popup"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popup"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popup"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popup"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popup"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_label_weight"] = filtered_dict[
                    chart_popup_popup_list_label_weight
                ]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popup"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popup"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popup"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popup"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popup"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popup"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popup"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popup"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popup"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popup"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popup"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popup"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popup"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popup"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popup"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_vertical_position"] = filtered_dict[
                    chart_popup_panel_vertical_position
                ]
        self.state["state"]["popup"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popup"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popup"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popup"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popup"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popup"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_label_weight"] = filtered_dict[
                    chart_popup_panel_list_label_weight
                ]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popup"]["panel_shadow"] = chart_popup_panel_shadow

        list_chart_filter_controls_control_type = ["dropdown", "buttons", "slider"] + [
            None
        ]
        if (
            chart_filter_controls_control_type
            not in list_chart_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_filter_controls_control_type
            in list_chart_filter_controls_control_type
            and chart_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter"]["control_type"] = filtered_dict[
                    chart_filter_controls_control_type
                ]
        self.state["state"]["filter"][
            "control_styles"
        ] = chart_filter_controls_control_styles
        self.state["state"]["filter"][
            "control_title"
        ] = chart_filter_controls_control_title

        list_chart_filter_controls_button_group = [True, False] + [None]
        if (
            chart_filter_controls_button_group
            not in list_chart_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_button_group
            in list_chart_filter_controls_button_group
            and chart_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter"]["button_group"] = filtered_dict[
                    chart_filter_controls_button_group
                ]

        list_chart_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_filter_controls_button_group_width_mode
            not in list_chart_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_button_group_width_mode
            in list_chart_filter_controls_button_group_width_mode
            and chart_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_filter_controls_button_group_width_mode]
        self.state["state"]["filter"][
            "button_group_width_fixed"
        ] = chart_filter_controls_button_group_width_fixed

        list_chart_filter_controls_dropdown_width_mode = ["auto", "full", "fixed"] + [
            None
        ]
        if (
            chart_filter_controls_dropdown_width_mode
            not in list_chart_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_dropdown_width_mode
            in list_chart_filter_controls_dropdown_width_mode
            and chart_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter"]["dropdown_width_mode"] = filtered_dict[
                    chart_filter_controls_dropdown_width_mode
                ]
        self.state["state"]["filter"][
            "dropdown_width_fixed"
        ] = chart_filter_controls_dropdown_width_fixed
        self.state["state"]["filter"][
            "slider_width"
        ] = chart_filter_controls_slider_width
        self.state["state"]["filter"][
            "slider_max_label_width"
        ] = chart_filter_controls_slider_max_label_width
        self.state["state"]["filter"][
            "slider_step_time"
        ] = chart_filter_controls_slider_step_time
        self.state["state"]["filter"]["slider_loop"] = chart_filter_controls_slider_loop
        self.state["state"]["filter"][
            "slider_restart_pause"
        ] = chart_filter_controls_slider_restart_pause

        list_chart_filter_controls_sort = [True, False] + [None]
        if chart_filter_controls_sort not in list_chart_filter_controls_sort:
            raise ValueError(
                f"`chart_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_sort in list_chart_filter_controls_sort
            and chart_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter"]["sort"] = filtered_dict[
                    chart_filter_controls_sort
                ]
        self.state["state"]["filter_show_all"] = filter_show_all
        self.state["state"]["filter_show_all_text"] = filter_show_all_text

        list_filter_updates_axes = ["off", "x", "y", "both"] + [None]
        if filter_updates_axes not in list_filter_updates_axes:
            raise ValueError(
                f"`filter_updates_axes` must be one of: ['off', 'x', 'y', 'both']"
            )
        elif (
            filter_updates_axes in list_filter_updates_axes
            and filter_updates_axes is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"off": "off", "x": "x", "y": "y", "both": "both"}.items()
                if filter_updates_axes in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_updates_axes"] = filtered_dict[
                    filter_updates_axes
                ]

        list_slider_updates_axes = ["off", "x", "y", "both"] + [None]
        if slider_updates_axes not in list_slider_updates_axes:
            raise ValueError(
                f"`slider_updates_axes` must be one of: ['off', 'x', 'y', 'both']"
            )
        elif (
            slider_updates_axes in list_slider_updates_axes
            and slider_updates_axes is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"off": "off", "x": "x", "y": "y", "both": "both"}.items()
                if slider_updates_axes in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["slider_updates_axes"] = filtered_dict[
                    slider_updates_axes
                ]
        self.state["state"]["time_label_show"] = time_label_show
        self.state["state"]["time_label_color"] = time_label_color
        self.state["state"]["time_label_opacity"] = time_label_opacity
        self.state["state"]["time_label_font_size"] = time_label_font_size

        list_chart_slider_filter_controls_control_type = [
            "dropdown",
            "buttons",
            "slider",
        ] + [None]
        if (
            chart_slider_filter_controls_control_type
            not in list_chart_slider_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_slider_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_slider_filter_controls_control_type
            in list_chart_slider_filter_controls_control_type
            and chart_slider_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_slider_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["slider"]["control_type"] = filtered_dict[
                    chart_slider_filter_controls_control_type
                ]
        self.state["state"]["slider"][
            "control_styles"
        ] = chart_slider_filter_controls_control_styles
        self.state["state"]["slider"][
            "control_title"
        ] = chart_slider_filter_controls_control_title

        list_chart_slider_filter_controls_button_group = [True, False] + [None]
        if (
            chart_slider_filter_controls_button_group
            not in list_chart_slider_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_slider_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_slider_filter_controls_button_group
            in list_chart_slider_filter_controls_button_group
            and chart_slider_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_slider_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["slider"]["button_group"] = filtered_dict[
                    chart_slider_filter_controls_button_group
                ]

        list_chart_slider_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_slider_filter_controls_button_group_width_mode
            not in list_chart_slider_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_slider_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_slider_filter_controls_button_group_width_mode
            in list_chart_slider_filter_controls_button_group_width_mode
            and chart_slider_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_slider_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["slider"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_slider_filter_controls_button_group_width_mode]
        self.state["state"]["slider"][
            "button_group_width_fixed"
        ] = chart_slider_filter_controls_button_group_width_fixed

        list_chart_slider_filter_controls_dropdown_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_slider_filter_controls_dropdown_width_mode
            not in list_chart_slider_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_slider_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_slider_filter_controls_dropdown_width_mode
            in list_chart_slider_filter_controls_dropdown_width_mode
            and chart_slider_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_slider_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["slider"]["dropdown_width_mode"] = filtered_dict[
                    chart_slider_filter_controls_dropdown_width_mode
                ]
        self.state["state"]["slider"][
            "dropdown_width_fixed"
        ] = chart_slider_filter_controls_dropdown_width_fixed
        self.state["state"]["slider"][
            "slider_width"
        ] = chart_slider_filter_controls_slider_width
        self.state["state"]["slider"][
            "slider_max_label_width"
        ] = chart_slider_filter_controls_slider_max_label_width
        self.state["state"]["slider"][
            "slider_step_time"
        ] = chart_slider_filter_controls_slider_step_time
        self.state["state"]["slider"][
            "slider_loop"
        ] = chart_slider_filter_controls_slider_loop
        self.state["state"]["slider"][
            "slider_restart_pause"
        ] = chart_slider_filter_controls_slider_restart_pause

        list_chart_slider_filter_controls_sort = [True, False] + [None]
        if (
            chart_slider_filter_controls_sort
            not in list_chart_slider_filter_controls_sort
        ):
            raise ValueError(
                f"`chart_slider_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_slider_filter_controls_sort in list_chart_slider_filter_controls_sort
            and chart_slider_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_slider_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["slider"]["sort"] = filtered_dict[
                    chart_slider_filter_controls_sort
                ]

        list_chart_filter_controls_container_alignment = ["start", "center", "end"] + [
            None
        ]
        if (
            chart_filter_controls_container_alignment
            not in list_chart_filter_controls_container_alignment
        ):
            raise ValueError(
                f"`chart_filter_controls_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_filter_controls_container_alignment
            in list_chart_filter_controls_container_alignment
            and chart_filter_controls_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_filter_controls_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_container"]["alignment"] = filtered_dict[
                    chart_filter_controls_container_alignment
                ]
        self.state["state"]["controls_container"][
            "controls_spacing"
        ] = chart_filter_controls_container_controls_spacing
        self.state["state"]["controls_style"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_style"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["controls_style"]["height"] = chart_controls_style_height
        self.state["state"]["dropdown_style"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["dropdown_style"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["dropdown_style"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown_style"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["dropdown_style"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["dropdown_style"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["dropdown_style"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["dropdown_style"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius
        self.state["state"]["button_style"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["button_style"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["button_style"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["button_style"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["button_style"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["button_style"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["button_style"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["button_style"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["button_style"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["button_style"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["button_style"][
            "border_radius"
        ] = chart_button_control_style_border_radius
        self.state["state"]["slider_style"][
            "track_color"
        ] = chart_slider_control_style_track_color
        self.state["state"]["slider_style"][
            "font_color"
        ] = chart_slider_control_style_font_color
        self.state["state"]["slider_style"][
            "handle_color"
        ] = chart_slider_control_style_handle_color
        self.state["state"]["slider_style"][
            "play_color"
        ] = chart_slider_control_style_play_color
        self.state["state"]["slider_style"][
            "track_height"
        ] = chart_slider_control_style_track_height
        self.state["state"]["slider_style"][
            "handle_height"
        ] = chart_slider_control_style_handle_height
        self.state["state"]["slider_style"][
            "play_button"
        ] = chart_slider_control_style_play_button

        list_fit_type = ["none", "both", "color", "chart", "all"] + [None]
        if fit_type not in list_fit_type:
            raise ValueError(
                f"`fit_type` must be one of: ['none', 'both', 'color', 'chart', 'all']"
            )
        elif fit_type in list_fit_type and fit_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "both": "both",
                    "color": "color",
                    "chart": "chart",
                    "all": "all",
                }.items()
                if fit_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["fit_type"] = filtered_dict[fit_type]
        self.state["state"]["fit_force_origin"] = fit_force_origin
        self.state["state"]["fit_line_width"] = fit_line_width
        self.state["state"]["fit_line_dash"] = fit_line_dash
        self.state["state"]["fit_line_color"] = fit_line_color

        list_beeswarm_plot = [True, False] + [None]
        if beeswarm_plot not in list_beeswarm_plot:
            raise ValueError(f"`beeswarm_plot` must be one of: [True, False]")
        elif beeswarm_plot in list_beeswarm_plot and beeswarm_plot is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if beeswarm_plot in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["beeswarm_plot"] = filtered_dict[beeswarm_plot]

        list_box_plot = [True, False] + [None]
        if box_plot not in list_box_plot:
            raise ValueError(f"`box_plot` must be one of: [True, False]")
        elif box_plot in list_box_plot and box_plot is not None:
            filtered_dict = {
                k: v for (k, v) in {True: True, False: False}.items() if box_plot in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["box_plot"] = filtered_dict[box_plot]
        self.state["state"]["box_color"] = box_color
        self.state["state"]["box_opacity"] = box_opacity
        self.state["state"]["box_line_color"] = box_line_color
        self.state["state"]["box_line_width"] = box_line_width

        list_box_whisker_type = ["tukey", "all"] + [None]
        if box_whisker_type not in list_box_whisker_type:
            raise ValueError(f"`box_whisker_type` must be one of: ['tukey', 'all']")
        elif box_whisker_type in list_box_whisker_type and box_whisker_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"tukey": "tukey", "all": "all"}.items()
                if box_whisker_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["box_whisker_type"] = filtered_dict[
                    box_whisker_type
                ]
        self.state["state"]["box_whisker_multiplier"] = box_whisker_multiplier
        self.state["state"]["use_box_popup"] = use_box_popup
        self.state["state"]["box_first_quartile_text"] = box_first_quartile_text
        self.state["state"]["box_median_text"] = box_median_text
        self.state["state"]["box_third_quartile_text"] = box_third_quartile_text

        list_violin_plot = [True, False] + [None]
        if violin_plot not in list_violin_plot:
            raise ValueError(f"`violin_plot` must be one of: [True, False]")
        elif violin_plot in list_violin_plot and violin_plot is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if violin_plot in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["violin_plot"] = filtered_dict[violin_plot]
        self.state["state"]["violin_bandwidth"] = violin_bandwidth
        self.state["state"]["violin_samples"] = violin_samples
        self.state["state"]["violin_color"] = violin_color
        self.state["state"]["violin_opacity"] = violin_opacity

        list_violin_sizing = ["area", "width"] + [None]
        if violin_sizing not in list_violin_sizing:
            raise ValueError(f"`violin_sizing` must be one of: ['area', 'width']")
        elif violin_sizing in list_violin_sizing and violin_sizing is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"area": "area", "width": "width"}.items()
                if violin_sizing in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["violin_sizing"] = filtered_dict[violin_sizing]
        self.state["state"]["axes_highlights"][
            "x_enabled"
        ] = chart_axes_highlights_x_enabled

        if (
            chart_axes_highlights_x_lines is not None
            and len(chart_axes_highlights_x_lines) > 1
            and isinstance(chart_axes_highlights_x_lines, list)
        ):
            self.state["state"]["axes_highlights"]["x_lines"] = " \n ".join(
                chart_axes_highlights_x_lines
            )
        else:
            self.state["state"]["axes_highlights"][
                "x_lines"
            ] = chart_axes_highlights_x_lines

        self.state["state"]["axes_highlights"][
            "x_line_color"
        ] = chart_axes_highlights_x_line_color
        self.state["state"]["axes_highlights"][
            "x_line_width"
        ] = chart_axes_highlights_x_line_width
        self.state["state"]["axes_highlights"][
            "x_line_dash"
        ] = chart_axes_highlights_x_line_dash

        if (
            chart_axes_highlights_x_areas is not None
            and len(chart_axes_highlights_x_areas) > 1
            and isinstance(chart_axes_highlights_x_areas, list)
        ):
            self.state["state"]["axes_highlights"]["x_areas"] = " \n ".join(
                chart_axes_highlights_x_areas
            )
        else:
            self.state["state"]["axes_highlights"][
                "x_areas"
            ] = chart_axes_highlights_x_areas

        self.state["state"]["axes_highlights"][
            "x_area_color"
        ] = chart_axes_highlights_x_area_color
        self.state["state"]["axes_highlights"][
            "x_area_opacity"
        ] = chart_axes_highlights_x_area_opacity

        list_chart_axes_highlights_x_area_texture = [
            "none",
            "pattern-diagonal",
            "pattern-grid",
            "pattern-dots",
        ] + [None]
        if (
            chart_axes_highlights_x_area_texture
            not in list_chart_axes_highlights_x_area_texture
        ):
            raise ValueError(
                f"`chart_axes_highlights_x_area_texture` must be one of: ['none', 'pattern-diagonal', 'pattern-grid', 'pattern-dots']"
            )
        elif (
            chart_axes_highlights_x_area_texture
            in list_chart_axes_highlights_x_area_texture
            and chart_axes_highlights_x_area_texture is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "pattern-diagonal": "fl-pattern-diagonal",
                    "pattern-grid": "fl-pattern-grid",
                    "pattern-dots": "fl-pattern-dots",
                }.items()
                if chart_axes_highlights_x_area_texture in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "x_area_texture"
                ] = filtered_dict[chart_axes_highlights_x_area_texture]
        self.state["state"]["axes_highlights"][
            "x_label_vertical"
        ] = chart_axes_highlights_x_label_vertical

        list_chart_axes_highlights_x_label_y_position = ["bottom", "middle", "top"] + [
            None
        ]
        if (
            chart_axes_highlights_x_label_y_position
            not in list_chart_axes_highlights_x_label_y_position
        ):
            raise ValueError(
                f"`chart_axes_highlights_x_label_y_position` must be one of: ['bottom', 'middle', 'top']"
            )
        elif (
            chart_axes_highlights_x_label_y_position
            in list_chart_axes_highlights_x_label_y_position
            and chart_axes_highlights_x_label_y_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "bottom": "bottom",
                    "middle": "middle",
                    "top": "top",
                }.items()
                if chart_axes_highlights_x_label_y_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "x_label_y_position"
                ] = filtered_dict[chart_axes_highlights_x_label_y_position]

        list_chart_axes_highlights_x_label_x_position = ["left", "middle", "right"] + [
            None
        ]
        if (
            chart_axes_highlights_x_label_x_position
            not in list_chart_axes_highlights_x_label_x_position
        ):
            raise ValueError(
                f"`chart_axes_highlights_x_label_x_position` must be one of: ['left', 'middle', 'right']"
            )
        elif (
            chart_axes_highlights_x_label_x_position
            in list_chart_axes_highlights_x_label_x_position
            and chart_axes_highlights_x_label_x_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "middle": "middle",
                    "right": "right",
                }.items()
                if chart_axes_highlights_x_label_x_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "x_label_x_position"
                ] = filtered_dict[chart_axes_highlights_x_label_x_position]
        self.state["state"]["axes_highlights"][
            "x_label_max_width"
        ] = chart_axes_highlights_x_label_max_width
        self.state["state"]["axes_highlights"][
            "x_font_size"
        ] = chart_axes_highlights_x_font_size

        list_chart_axes_highlights_x_font_weight = ["regular", "bold"] + [None]
        if (
            chart_axes_highlights_x_font_weight
            not in list_chart_axes_highlights_x_font_weight
        ):
            raise ValueError(
                f"`chart_axes_highlights_x_font_weight` must be one of: ['regular', 'bold']"
            )
        elif (
            chart_axes_highlights_x_font_weight
            in list_chart_axes_highlights_x_font_weight
            and chart_axes_highlights_x_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"regular": "regular", "bold": "bold"}.items()
                if chart_axes_highlights_x_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"]["x_font_weight"] = filtered_dict[
                    chart_axes_highlights_x_font_weight
                ]
        self.state["state"]["axes_highlights"][
            "x_label_color"
        ] = chart_axes_highlights_x_label_color
        self.state["state"]["axes_highlights"][
            "x_shadow_color"
        ] = chart_axes_highlights_x_shadow_color
        self.state["state"]["axes_highlights"][
            "x_shadow_enabled"
        ] = chart_axes_highlights_x_shadow_enabled
        self.state["state"]["axes_highlights"][
            "y_enabled"
        ] = chart_axes_highlights_y_enabled

        if (
            chart_axes_highlights_y_lines is not None
            and len(chart_axes_highlights_y_lines) > 1
            and isinstance(chart_axes_highlights_y_lines, list)
        ):
            self.state["state"]["axes_highlights"]["y_lines"] = " \n ".join(
                chart_axes_highlights_y_lines
            )
        else:
            self.state["state"]["axes_highlights"][
                "y_lines"
            ] = chart_axes_highlights_y_lines

        self.state["state"]["axes_highlights"][
            "y_line_color"
        ] = chart_axes_highlights_y_line_color
        self.state["state"]["axes_highlights"][
            "y_line_width"
        ] = chart_axes_highlights_y_line_width
        self.state["state"]["axes_highlights"][
            "y_line_dash"
        ] = chart_axes_highlights_y_line_dash

        if (
            chart_axes_highlights_y_areas is not None
            and len(chart_axes_highlights_y_areas) > 1
            and isinstance(chart_axes_highlights_y_areas, list)
        ):
            self.state["state"]["axes_highlights"]["y_areas"] = " \n ".join(
                chart_axes_highlights_y_areas
            )
        else:
            self.state["state"]["axes_highlights"][
                "y_areas"
            ] = chart_axes_highlights_y_areas

        self.state["state"]["axes_highlights"][
            "y_area_color"
        ] = chart_axes_highlights_y_area_color
        self.state["state"]["axes_highlights"][
            "y_area_opacity"
        ] = chart_axes_highlights_y_area_opacity

        list_chart_axes_highlights_y_area_texture = [
            "none",
            "pattern-diagonal",
            "pattern-grid",
            "pattern-dots",
        ] + [None]
        if (
            chart_axes_highlights_y_area_texture
            not in list_chart_axes_highlights_y_area_texture
        ):
            raise ValueError(
                f"`chart_axes_highlights_y_area_texture` must be one of: ['none', 'pattern-diagonal', 'pattern-grid', 'pattern-dots']"
            )
        elif (
            chart_axes_highlights_y_area_texture
            in list_chart_axes_highlights_y_area_texture
            and chart_axes_highlights_y_area_texture is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "pattern-diagonal": "fl-pattern-diagonal",
                    "pattern-grid": "fl-pattern-grid",
                    "pattern-dots": "fl-pattern-dots",
                }.items()
                if chart_axes_highlights_y_area_texture in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "y_area_texture"
                ] = filtered_dict[chart_axes_highlights_y_area_texture]

        list_chart_axes_highlights_y_label_x_position = ["left", "middle", "right"] + [
            None
        ]
        if (
            chart_axes_highlights_y_label_x_position
            not in list_chart_axes_highlights_y_label_x_position
        ):
            raise ValueError(
                f"`chart_axes_highlights_y_label_x_position` must be one of: ['left', 'middle', 'right']"
            )
        elif (
            chart_axes_highlights_y_label_x_position
            in list_chart_axes_highlights_y_label_x_position
            and chart_axes_highlights_y_label_x_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "middle": "middle",
                    "right": "right",
                }.items()
                if chart_axes_highlights_y_label_x_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "y_label_x_position"
                ] = filtered_dict[chart_axes_highlights_y_label_x_position]

        list_chart_axes_highlights_y_label_y_position = ["above", "middle", "below"] + [
            None
        ]
        if (
            chart_axes_highlights_y_label_y_position
            not in list_chart_axes_highlights_y_label_y_position
        ):
            raise ValueError(
                f"`chart_axes_highlights_y_label_y_position` must be one of: ['above', 'middle', 'below']"
            )
        elif (
            chart_axes_highlights_y_label_y_position
            in list_chart_axes_highlights_y_label_y_position
            and chart_axes_highlights_y_label_y_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "above": "above",
                    "middle": "middle",
                    "below": "below",
                }.items()
                if chart_axes_highlights_y_label_y_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"][
                    "y_label_y_position"
                ] = filtered_dict[chart_axes_highlights_y_label_y_position]
        self.state["state"]["axes_highlights"][
            "y_label_max_width"
        ] = chart_axes_highlights_y_label_max_width
        self.state["state"]["axes_highlights"][
            "y_font_size"
        ] = chart_axes_highlights_y_font_size

        list_chart_axes_highlights_y_font_weight = ["regular", "bold"] + [None]
        if (
            chart_axes_highlights_y_font_weight
            not in list_chart_axes_highlights_y_font_weight
        ):
            raise ValueError(
                f"`chart_axes_highlights_y_font_weight` must be one of: ['regular', 'bold']"
            )
        elif (
            chart_axes_highlights_y_font_weight
            in list_chart_axes_highlights_y_font_weight
            and chart_axes_highlights_y_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"regular": "regular", "bold": "bold"}.items()
                if chart_axes_highlights_y_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axes_highlights"]["y_font_weight"] = filtered_dict[
                    chart_axes_highlights_y_font_weight
                ]
        self.state["state"]["axes_highlights"][
            "y_label_color"
        ] = chart_axes_highlights_y_label_color
        self.state["state"]["axes_highlights"][
            "y_shadow_color"
        ] = chart_axes_highlights_y_shadow_color
        self.state["state"]["axes_highlights"][
            "y_shadow_enabled"
        ] = chart_axes_highlights_y_shadow_enabled
        self.state["state"]["annotations_styling"] = annotations_styling

        list_chart_annotations_defaults_text_weight = ["normal", "bold"] + [None]
        if (
            chart_annotations_defaults_text_weight
            not in list_chart_annotations_defaults_text_weight
        ):
            raise ValueError(
                f"`chart_annotations_defaults_text_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_annotations_defaults_text_weight
            in list_chart_annotations_defaults_text_weight
            and chart_annotations_defaults_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_annotations_defaults_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "text_weight"
                ] = filtered_dict[chart_annotations_defaults_text_weight]
        self.state["state"]["annotations"]["defaults"][
            "text_size"
        ] = chart_annotations_defaults_text_size
        self.state["state"]["annotations"]["defaults"][
            "text_color"
        ] = chart_annotations_defaults_text_color
        self.state["state"]["annotations"]["defaults"][
            "label_width"
        ] = chart_annotations_defaults_label_width

        list_chart_annotations_defaults_text_background_mode = [
            "none",
            "outline",
            "background",
        ] + [None]
        if (
            chart_annotations_defaults_text_background_mode
            not in list_chart_annotations_defaults_text_background_mode
        ):
            raise ValueError(
                f"`chart_annotations_defaults_text_background_mode` must be one of: ['none', 'outline', 'background']"
            )
        elif (
            chart_annotations_defaults_text_background_mode
            in list_chart_annotations_defaults_text_background_mode
            and chart_annotations_defaults_text_background_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "outline": "outline",
                    "background": "background",
                }.items()
                if chart_annotations_defaults_text_background_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "text_background_mode"
                ] = filtered_dict[chart_annotations_defaults_text_background_mode]
        self.state["state"]["annotations"]["defaults"][
            "text_bg"
        ] = chart_annotations_defaults_text_bg
        self.state["state"]["annotations"]["defaults"][
            "label_bg"
        ] = chart_annotations_defaults_label_bg

        list_chart_annotations_defaults_text_alignment = [
            "auto",
            "start",
            "center",
            "end",
        ] + [None]
        if (
            chart_annotations_defaults_text_alignment
            not in list_chart_annotations_defaults_text_alignment
        ):
            raise ValueError(
                f"`chart_annotations_defaults_text_alignment` must be one of: ['auto', 'start', 'center', 'end']"
            )
        elif (
            chart_annotations_defaults_text_alignment
            in list_chart_annotations_defaults_text_alignment
            and chart_annotations_defaults_text_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_annotations_defaults_text_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "text_alignment"
                ] = filtered_dict[chart_annotations_defaults_text_alignment]

        list_chart_annotations_defaults_popup_position = [
            "center",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if (
            chart_annotations_defaults_popup_position
            not in list_chart_annotations_defaults_popup_position
        ):
            raise ValueError(
                f"`chart_annotations_defaults_popup_position` must be one of: ['center', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_annotations_defaults_popup_position
            in list_chart_annotations_defaults_popup_position
            and chart_annotations_defaults_popup_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "center": "center",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_annotations_defaults_popup_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "popup_position"
                ] = filtered_dict[chart_annotations_defaults_popup_position]

        list_chart_annotations_defaults_line_marker = [
            "none",
            "arrowhead_open",
            "arrowhead",
        ] + [None]
        if (
            chart_annotations_defaults_line_marker
            not in list_chart_annotations_defaults_line_marker
        ):
            raise ValueError(
                f"`chart_annotations_defaults_line_marker` must be one of: ['none', 'arrowhead_open', 'arrowhead']"
            )
        elif (
            chart_annotations_defaults_line_marker
            in list_chart_annotations_defaults_line_marker
            and chart_annotations_defaults_line_marker is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "arrowhead_open": "arrowhead_open",
                    "arrowhead": "arrowhead",
                }.items()
                if chart_annotations_defaults_line_marker in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "line_marker"
                ] = filtered_dict[chart_annotations_defaults_line_marker]
        self.state["state"]["annotations"]["defaults"][
            "stroke_width"
        ] = chart_annotations_defaults_stroke_width
        self.state["state"]["annotations"]["defaults"][
            "stroke_color"
        ] = chart_annotations_defaults_stroke_color

        list_chart_annotations_defaults_connector_extend_line = [
            "enabled",
            "disabled",
        ] + [None]
        if (
            chart_annotations_defaults_connector_extend_line
            not in list_chart_annotations_defaults_connector_extend_line
        ):
            raise ValueError(
                f"`chart_annotations_defaults_connector_extend_line` must be one of: ['enabled', 'disabled']"
            )
        elif (
            chart_annotations_defaults_connector_extend_line
            in list_chart_annotations_defaults_connector_extend_line
            and chart_annotations_defaults_connector_extend_line is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"enabled": "enabled", "disabled": "disabled"}.items()
                if chart_annotations_defaults_connector_extend_line in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["annotations"]["defaults"][
                    "connector_extend_line"
                ] = filtered_dict[chart_annotations_defaults_connector_extend_line]
        self.state["state"]["animation_duration"] = animation_duration
        self.state["state"]["animation_stagger"] = animation_stagger
        self.state["state"]["line_animate_in"] = line_animate_in
        self.state["state"]["line_animate_out"] = line_animate_out
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        self.state["state"]["url_state"]["enabled"] = chart_url_settings_enabled

        if (
            chart_url_settings_whitelist is not None
            and len(chart_url_settings_whitelist) > 1
            and isinstance(chart_url_settings_whitelist, list)
        ):
            self.state["state"]["url_state"]["whitelist"] = " \n ".join(
                chart_url_settings_whitelist
            )
        else:
            self.state["state"]["url_state"]["whitelist"] = chart_url_settings_whitelist

        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_slope_chart_details(
        self,
        circle_radius: float = None,
        slope_width: float = None,
        slope_width_max: float = None,
        slope_color: str = None,
        curve: str = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        selected_slopes: Union[list, str] = None,
        value_type: str = None,
        ties_mode: str = None,
        sort_mode: str = None,
        height_mode: str = None,
        aspect_ratio: float = None,
        chart_facet_columns_fixed: bool = None,
        chart_facet_min_width: float = None,
        chart_facet_max_width: float = None,
        chart_facet_columns: float = None,
        chart_facet_gutter_w: float = None,
        chart_facet_gutter_h: float = None,
        chart_facet_animation: str = None,
        chart_facet_titles: bool = None,
        chart_facet_title_align: str = None,
        chart_facet_title_size: float = None,
        chart_facet_title_unit: str = None,
        chart_facet_title_color: str = None,
        chart_facet_title_padding_top: float = None,
        chart_facet_title_padding_bottom: float = None,
        chart_facet_title_bg: str = None,
        chart_facet_title_bg_color: str = None,
        chart_facet_title_bg_padding: float = None,
        axis_first_row_only: bool = None,
        matching_y_axis: bool = None,
        labels_name_position: str = None,
        labels_position: str = None,
        labels_inline_position: str = None,
        labels_inline_position_custom: Union[list, str] = None,
        only_show_highlights: bool = None,
        chart_line_labels_max_width: float = None,
        chart_line_labels_overlap_mode: str = None,
        chart_line_labels_spreading_margin: float = None,
        chart_line_labels_data_point_margin: float = None,
        chart_line_labels_show_only_labels: Union[list, str] = None,
        chart_line_labels_text_color: str = None,
        chart_line_labels_text_size: float = None,
        chart_line_labels_text_bg_color: str = None,
        chart_line_labels_text_bg_size: float = None,
        chart_line_labels_text_line_height: float = None,
        chart_line_labels_text_max_lines: float = None,
        chart_line_labels_text_weight: str = None,
        chart_line_labels_lines: str = None,
        chart_line_labels_line_style: str = None,
        chart_line_labels_line_color: str = None,
        chart_line_labels_line_width: float = None,
        chart_line_labels_line_range: float = None,
        chart_line_labels_line_padding: float = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_custom_accessible: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        axis_labels_position: str = None,
        axis_font_size: float = None,
        axis_text_color: str = None,
        axis_color: str = None,
        axis_width: float = None,
        axis_dashoffset: str = None,
        update_y_axis_filter: bool = None,
        chart_filter_controls_control_type: str = None,
        chart_filter_controls_control_styles: bool = None,
        chart_filter_controls_control_title: str = None,
        chart_filter_controls_button_group: bool = None,
        chart_filter_controls_button_group_width_mode: str = None,
        chart_filter_controls_button_group_width_fixed: float = None,
        chart_filter_controls_dropdown_width_mode: str = None,
        chart_filter_controls_dropdown_width_fixed: float = None,
        chart_filter_controls_slider_width: float = None,
        chart_filter_controls_slider_max_label_width: float = None,
        chart_filter_controls_slider_step_time: float = None,
        chart_filter_controls_slider_loop: bool = None,
        chart_filter_controls_slider_restart_pause: float = None,
        chart_filter_controls_sort: bool = None,
        filter_show_all: bool = None,
        filter_show_all_text: str = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_slider_control_style_track_color: str = None,
        chart_slider_control_style_font_color: str = None,
        chart_slider_control_style_handle_color: str = None,
        chart_slider_control_style_play_color: str = None,
        chart_slider_control_style_track_height: float = None,
        chart_slider_control_style_handle_height: float = None,
        chart_slider_control_style_play_button: bool = None,
        animation_duration: float = None,
        chart_categorical_legend_show_legend: bool = None,
        chart_categorical_legend_title_mode: str = None,
        chart_categorical_legend_title: str = None,
        chart_categorical_legend_swatch_width: float = None,
        chart_categorical_legend_swatch_height: float = None,
        chart_categorical_legend_swatch_radius: float = None,
        chart_categorical_legend_legend_items_padding: float = None,
        chart_categorical_legend_swatch_outline: bool = None,
        chart_categorical_legend_swatch_outline_color: str = None,
        chart_categorical_legend_order_override: Union[list, str] = None,
        chart_categorical_legend_icon_height: float = None,
        chart_categorical_legend_icon_color: str = None,
        chart_categorical_legend_max_width: float = None,
        chart_categorical_legend_orientation: str = None,
        legend_position: str = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        chart_number_date_format_prefix: str = None,
        chart_number_date_format_suffix: str = None,
        chart_number_date_format_n_dec: float = None,
        chart_number_date_format_advanced: bool = None,
        chart_number_date_format_negative_sign: str = None,
        chart_number_date_format_strip_zeros: bool = None,
        chart_number_date_format_strip_separator: bool = None,
        chart_number_date_format_transform_labels: bool = None,
        chart_number_date_format_transform: str = None,
        chart_number_date_format_multiply_divide_constant: float = None,
        chart_number_date_format_exponentiate_constant: float = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
        chart_url_settings_enabled: bool = None,
        chart_url_settings_whitelist: Union[list, str] = None,
    ):
        """
        Set chart details for: slope chart.


        :param circle_radius: Circle radius. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type circle_radius: float, optional
        :param slope_width: Slope width. In pixels. Flourish type hint: number, defaults to None.
        :type slope_width: float, optional
        :param slope_width_max: Max slope width. Flourish type hint: number, defaults to None.
        :type slope_width_max: float, optional
        :param slope_color: Slope color. If not set, will use same color as main text. Flourish type hint: color, defaults to None.
        :type slope_color: str, optional
        :param curve: Line curve. Choices: linear, cardinal, step. Flourish type hint: string, defaults to None.
        :type curve: str, optional
        :param chart_color_scale_categorical_palette: Palette for categories. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param selected_slopes: Highlight slopes. To highlight slopes, write the name of each slope on a line. You can also create a story and highlight/unhighlight by clicking on a slope. Leave empty to highlight all slopes. Flourish type hint: text, defaults to None.
        :type selected_slopes: Union[list, str], optional
        :param value_type: Value mode. Choices: ranks, scores, change. Flourish type hint: string, defaults to None.
        :type value_type: str, optional
        :param ties_mode: Ties mode. Choices: dense, competition, fractional, modified_competition. What rank should be given when there are ties? See https://en.wikipedia.org/wiki/Ranking for explanation of nomenclature. Flourish type hint: string, defaults to None.
        :type ties_mode: str, optional
        :param sort_mode: Sort mode. Choices: descending, ascending. Flourish type hint: string, defaults to None.
        :type sort_mode: str, optional
        :param height_mode: Height mode. Choices: auto, aspect_ratio. Flourish type hint: string, defaults to None.
        :type height_mode: str, optional
        :param aspect_ratio: Aspect ratio. 1 for square, a smaller value means a bigger height. Flourish type hint: number, defaults to None.
        :type aspect_ratio: float, optional
        :param chart_facet_columns_fixed: Number of columns. Choices: False, True. In Auto mode, the number of columns will change with screen size. Flourish type hint: boolean, defaults to None.
        :type chart_facet_columns_fixed: bool, optional
        :param chart_facet_min_width: Min chart width. Determines how many columns of charts there should be in the grid. Ignored if you specify a fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_min_width: float, optional
        :param chart_facet_max_width: Max chart width. Determines how many columns of charts there should be in the grid. Ignored if you specify a fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_max_width: float, optional
        :param chart_facet_columns: Fixed number of columns. Flourish type hint: number, defaults to None.
        :type chart_facet_columns: float, optional
        :param chart_facet_gutter_w: Horizontal margin. Flourish type hint: number, defaults to None.
        :type chart_facet_gutter_w: float, optional
        :param chart_facet_gutter_h: Vertical margin. Flourish type hint: number, defaults to None.
        :type chart_facet_gutter_h: float, optional
        :param chart_facet_animation: On data change. Choices: auto, name, reuse. If a chart in the grid is removed, that cell can either be animated out (with another cell moving to take its place) or reused for the new data in that cell. Auto decides for you based on the data. Flourish type hint: string, defaults to None.
        :type chart_facet_animation: str, optional
        :param chart_facet_titles: Show titles. Flourish type hint: boolean, defaults to None.
        :type chart_facet_titles: bool, optional
        :param chart_facet_title_align: Alignment. Choices: auto, left, center, right. Flourish type hint: string, defaults to None.
        :type chart_facet_title_align: str, optional
        :param chart_facet_title_size: Size. Relative to the width of the chart. Flourish type hint: number, defaults to None.
        :type chart_facet_title_size: float, optional
        :param chart_facet_title_unit: Scale with chart. Choices: rem, facet. Flourish type hint: string, defaults to None.
        :type chart_facet_title_unit: str, optional
        :param chart_facet_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_facet_title_color: str, optional
        :param chart_facet_title_padding_top: Space above. Flourish type hint: number, defaults to None.
        :type chart_facet_title_padding_top: float, optional
        :param chart_facet_title_padding_bottom: Space below. Flourish type hint: number, defaults to None.
        :type chart_facet_title_padding_bottom: float, optional
        :param chart_facet_title_bg: Background. Choices: none, full, text. Flourish type hint: string, defaults to None.
        :type chart_facet_title_bg: str, optional
        :param chart_facet_title_bg_color: Color. Flourish type hint: color, defaults to None.
        :type chart_facet_title_bg_color: str, optional
        :param chart_facet_title_bg_padding: Padding. Horizontal space between text and background. Flourish type hint: number, defaults to None.
        :type chart_facet_title_bg_padding: float, optional
        :param axis_first_row_only: Show X axis on first row only. Flourish type hint: boolean, defaults to None.
        :type axis_first_row_only: bool, optional
        :param matching_y_axis: Matching Y scale across facets. Flourish type hint: boolean, defaults to None.
        :type matching_y_axis: bool, optional
        :param labels_name_position: Slope name mode. Choices: side, inline, none. Flourish type hint: string, defaults to None.
        :type labels_name_position: str, optional
        :param labels_position: Slope name position. Choices: start, both, end. Both mode will fallback to Start on narrow windows and devices. Flourish type hint: string, defaults to None.
        :type labels_position: str, optional
        :param labels_inline_position: Slope name position. Choices: start, middle, end. Flourish type hint: string, defaults to None.
        :type labels_inline_position: str, optional
        :param labels_inline_position_custom: Custom slope name positions. Change the position of each individual label. One line per label.   Syntax  Label name :: start/middle/end :: offset in % (optional)  Example  Luxembourg :: end :: 10 France :: start. Flourish type hint: text, defaults to None.
        :type labels_inline_position_custom: Union[list, str], optional
        :param only_show_highlights: Only show highlighted labels. Flourish type hint: boolean, defaults to None.
        :type only_show_highlights: bool, optional
        :param chart_line_labels_max_width: Max label width. The maximum allowed label width. Flourish type hint: number, defaults to None.
        :type chart_line_labels_max_width: float, optional
        :param chart_line_labels_overlap_mode: Overlaps. Choices: spread, hide, none. What to do with overlaps. Flourish type hint: string, defaults to None.
        :type chart_line_labels_overlap_mode: str, optional
        :param chart_line_labels_spreading_margin: Space between labels. The space left between labels when spreading them out to avoid overlaps. Flourish type hint: number, defaults to None.
        :type chart_line_labels_spreading_margin: float, optional
        :param chart_line_labels_data_point_margin: Distance. The space between the data point and the label in rems (a multiple of base font size). Flourish type hint: number, defaults to None.
        :type chart_line_labels_data_point_margin: float, optional
        :param chart_line_labels_show_only_labels: Show only certain labels. Manually specify which labels youd like to display (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_line_labels_show_only_labels: Union[list, str], optional
        :param chart_line_labels_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_line_labels_text_color: str, optional
        :param chart_line_labels_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_line_labels_text_size: float, optional
        :param chart_line_labels_text_bg_color: Outline. Flourish type hint: color, defaults to None.
        :type chart_line_labels_text_bg_color: str, optional
        :param chart_line_labels_text_bg_size: Outline width. As a % of the font size. Flourish type hint: number, defaults to None.
        :type chart_line_labels_text_bg_size: float, optional
        :param chart_line_labels_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_line_labels_text_line_height: float, optional
        :param chart_line_labels_text_max_lines: Max lines. The max number of lines for each label. Flourish type hint: number, defaults to None.
        :type chart_line_labels_text_max_lines: float, optional
        :param chart_line_labels_text_weight: Weight. Choices: 400, 700. Flourish type hint: string, defaults to None.
        :type chart_line_labels_text_weight: str, optional
        :param chart_line_labels_lines: Connector lines. Choices: auto, on, off. Flourish type hint: string, defaults to None.
        :type chart_line_labels_lines: str, optional
        :param chart_line_labels_line_style: Line style. Choices: straight, step. Flourish type hint: string, defaults to None.
        :type chart_line_labels_line_style: str, optional
        :param chart_line_labels_line_color: Color. Flourish type hint: color, defaults to None.
        :type chart_line_labels_line_color: str, optional
        :param chart_line_labels_line_width: Width. In rems (a multiple of base font size). Flourish type hint: number, defaults to None.
        :type chart_line_labels_line_width: float, optional
        :param chart_line_labels_line_range: Length. The width of the space given over to lines; in rems, a multiple of base font size. Flourish type hint: number, defaults to None.
        :type chart_line_labels_line_range: float, optional
        :param chart_line_labels_line_padding: Padding. The padding to the left and right of the line; in rems, a multiple of base font size. Flourish type hint: number, defaults to None.
        :type chart_line_labels_line_padding: float, optional
        :param chart_popup_mode: Choices: none, popup, panel, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML styling or add category colors to popup headers.  To hide parts of the popup when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML for designs, styles, and images.  To hide parts of the popup when a column is empty use the syntax `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_custom_accessible: Popup custom accessible content. A text alternative to visual custom popup content that will be read out by screenreaders. This content is added as an aria-label attribute to data point elements. You can still use `{{column_name}}` to add values from your data, but do not use HTML. For example: `{{Name}}, Population: {{Population}}, GDP: {{GDP}}`. If left empty, accessible content will fallback to the default popup content. Flourish type hint: text, defaults to None.
        :type chart_popup_popup_custom_accessible: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for styling or add category colors to panel headers.  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for designs, styles, images, videos and embedded Flourish charts,  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing Click position is especially useful when your visualization is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param axis_labels_position: Position. Choices: top, bottom, hidden. Flourish type hint: string, defaults to None.
        :type axis_labels_position: str, optional
        :param axis_font_size: Font size. Flourish type hint: number, defaults to None.
        :type axis_font_size: float, optional
        :param axis_text_color: Font color. Flourish type hint: color, defaults to None.
        :type axis_text_color: str, optional
        :param axis_color: Axis color. Flourish type hint: color, defaults to None.
        :type axis_color: str, optional
        :param axis_width: Axis width. Flourish type hint: number, defaults to None.
        :type axis_width: float, optional
        :param axis_dashoffset: Axis dash. eg. 2,2. Flourish type hint: string, defaults to None.
        :type axis_dashoffset: str, optional
        :param update_y_axis_filter: Update Y axis when filtering. Flourish type hint: boolean, defaults to None.
        :type update_y_axis_filter: bool, optional
        :param chart_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_type: str, optional
        :param chart_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_control_styles: bool, optional
        :param chart_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_title: str, optional
        :param chart_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_button_group: bool, optional
        :param chart_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_button_group_width_mode: str, optional
        :param chart_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_button_group_width_fixed: float, optional
        :param chart_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_dropdown_width_mode: str, optional
        :param chart_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_dropdown_width_fixed: float, optional
        :param chart_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_width: float, optional
        :param chart_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_max_label_width: float, optional
        :param chart_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_step_time: float, optional
        :param chart_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_slider_loop: bool, optional
        :param chart_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_restart_pause: float, optional
        :param chart_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_sort: bool, optional
        :param filter_show_all: Include "All". Flourish type hint: boolean, defaults to None.
        :type filter_show_all: bool, optional
        :param filter_show_all_text: “All” label. Flourish type hint: string, defaults to None.
        :type filter_show_all_text: str, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Dropdown border styles. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_slider_control_style_track_color: Track. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_track_color: str, optional
        :param chart_slider_control_style_font_color: Text. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_font_color: str, optional
        :param chart_slider_control_style_handle_color: Handle. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_handle_color: str, optional
        :param chart_slider_control_style_play_color: Play/pause. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_play_color: str, optional
        :param chart_slider_control_style_track_height: Track height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_track_height: float, optional
        :param chart_slider_control_style_handle_height: Height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_handle_height: float, optional
        :param chart_slider_control_style_play_button: Play button. Flourish type hint: boolean, defaults to None.
        :type chart_slider_control_style_play_button: bool, optional
        :param animation_duration: Animation duration. The duration of the animation (in milliseconds) when changing data or mode for example between slides in a story. Flourish type hint: number, defaults to None.
        :type animation_duration: float, optional
        :param chart_categorical_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_show_legend: bool, optional
        :param chart_categorical_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title_mode: str, optional
        :param chart_categorical_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title: str, optional
        :param chart_categorical_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_width: float, optional
        :param chart_categorical_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_height: float, optional
        :param chart_categorical_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_radius: float, optional
        :param chart_categorical_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_legend_items_padding: float, optional
        :param chart_categorical_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_swatch_outline: bool, optional
        :param chart_categorical_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_swatch_outline_color: str, optional
        :param chart_categorical_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_categorical_legend_order_override: Union[list, str], optional
        :param chart_categorical_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_icon_height: float, optional
        :param chart_categorical_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_icon_color: str, optional
        :param chart_categorical_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_max_width: float, optional
        :param chart_categorical_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_orientation: str, optional
        :param legend_position: Position. Choices: above, below. Flourish type hint: string, defaults to None.
        :type legend_position: str, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param chart_number_date_format_prefix: Prefix. Text to place in front of a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_prefix: str, optional
        :param chart_number_date_format_suffix: Suffix. Text to place after a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_suffix: str, optional
        :param chart_number_date_format_n_dec: Decimal places. Decimal places. You can also enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_number_date_format_n_dec: float, optional
        :param chart_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_advanced: bool, optional
        :param chart_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_negative_sign: str, optional
        :param chart_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_zeros: bool, optional
        :param chart_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_separator: bool, optional
        :param chart_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_transform_labels: bool, optional
        :param chart_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_transform: str, optional
        :param chart_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_multiply_divide_constant: float, optional
        :param chart_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_exponentiate_constant: float, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        :param chart_url_settings_enabled: Update project from URL. Make it possible to change the visualizations settings/state from the URL hash, for example when embedding in an iframe or popup panel. Flourish type hint: boolean, defaults to None.
        :type chart_url_settings_enabled: bool, optional
        :param chart_url_settings_whitelist: Allowed state properties. List each state property you want to make changeable with the URL hash See the template page for a full list of state properties.  Add one property name per line. Use dot format for nested properties, e.g. `layout.background_color`. Flourish type hint: text, defaults to None.
        :type chart_url_settings_whitelist: Union[list, str], optional
        """
        details_error(self)

        self.state = {
            "state": {
                "color": {},
                "facets": {},
                "line_labels": {},
                "popup": {},
                "controls": {},
                "controls_style": {},
                "dropdown_style": {},
                "button_style": {},
                "slider_style": {},
                "legend_categorical": {},
                "legend_container": {},
                "formatting": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
                "url_state": {},
            }
        }

        self.state["state"]["circle_radius"] = circle_radius
        self.state["state"]["slope_width"] = slope_width
        self.state["state"]["slope_width_max"] = slope_width_max
        self.state["state"]["slope_color"] = slope_color

        list_curve = ["linear", "cardinal", "step"] + [None]
        if curve not in list_curve:
            raise ValueError(f"`curve` must be one of: ['linear', 'cardinal', 'step']")
        elif curve in list_curve and curve is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "linear": "linear",
                    "cardinal": "cardinal",
                    "step": "step",
                }.items()
                if curve in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["curve"] = filtered_dict[curve]

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max

        if (
            selected_slopes is not None
            and len(selected_slopes) > 1
            and isinstance(selected_slopes, list)
        ):
            self.state["state"]["selected_slopes"] = " \n ".join(selected_slopes)
        else:
            self.state["state"]["selected_slopes"] = selected_slopes

        list_value_type = ["ranks", "scores", "change"] + [None]
        if value_type not in list_value_type:
            raise ValueError(
                f"`value_type` must be one of: ['ranks', 'scores', 'change']"
            )
        elif value_type in list_value_type and value_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "ranks": "ranks",
                    "scores": "scores",
                    "change": "change",
                }.items()
                if value_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["value_type"] = filtered_dict[value_type]

        list_ties_mode = [
            "dense",
            "competition",
            "fractional",
            "modified_competition",
        ] + [None]
        if ties_mode not in list_ties_mode:
            raise ValueError(
                f"`ties_mode` must be one of: ['dense', 'competition', 'fractional', 'modified_competition']"
            )
        elif ties_mode in list_ties_mode and ties_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dense": "dense",
                    "competition": "competition",
                    "fractional": "fractional",
                    "modified_competition": "modified_competition",
                }.items()
                if ties_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["ties_mode"] = filtered_dict[ties_mode]

        list_sort_mode = ["descending", "ascending"] + [None]
        if sort_mode not in list_sort_mode:
            raise ValueError(f"`sort_mode` must be one of: ['descending', 'ascending']")
        elif sort_mode in list_sort_mode and sort_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "descending": "descending",
                    "ascending": "ascending",
                }.items()
                if sort_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["sort_mode"] = filtered_dict[sort_mode]

        list_height_mode = ["auto", "aspect_ratio"] + [None]
        if height_mode not in list_height_mode:
            raise ValueError(f"`height_mode` must be one of: ['auto', 'aspect_ratio']")
        elif height_mode in list_height_mode and height_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "aspect_ratio": "aspect_ratio"}.items()
                if height_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["height_mode"] = filtered_dict[height_mode]
        self.state["state"]["aspect_ratio"] = aspect_ratio

        list_chart_facet_columns_fixed = [False, True] + [None]
        if chart_facet_columns_fixed not in list_chart_facet_columns_fixed:
            raise ValueError(
                f"`chart_facet_columns_fixed` must be one of: [False, True]"
            )
        elif (
            chart_facet_columns_fixed in list_chart_facet_columns_fixed
            and chart_facet_columns_fixed is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_facet_columns_fixed in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["columns_fixed"] = filtered_dict[
                    chart_facet_columns_fixed
                ]
        self.state["state"]["facets"]["min_width"] = chart_facet_min_width
        self.state["state"]["facets"]["max_width"] = chart_facet_max_width
        self.state["state"]["facets"]["columns"] = chart_facet_columns
        self.state["state"]["facets"]["gutter_w"] = chart_facet_gutter_w
        self.state["state"]["facets"]["gutter_h"] = chart_facet_gutter_h

        list_chart_facet_animation = ["auto", "name", "reuse"] + [None]
        if chart_facet_animation not in list_chart_facet_animation:
            raise ValueError(
                f"`chart_facet_animation` must be one of: ['auto', 'name', 'reuse']"
            )
        elif (
            chart_facet_animation in list_chart_facet_animation
            and chart_facet_animation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "name": "name", "reuse": "reuse"}.items()
                if chart_facet_animation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["animation"] = filtered_dict[
                    chart_facet_animation
                ]
        self.state["state"]["facets"]["titles"] = chart_facet_titles

        list_chart_facet_title_align = ["auto", "left", "center", "right"] + [None]
        if chart_facet_title_align not in list_chart_facet_title_align:
            raise ValueError(
                f"`chart_facet_title_align` must be one of: ['auto', 'left', 'center', 'right']"
            )
        elif (
            chart_facet_title_align in list_chart_facet_title_align
            and chart_facet_title_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_facet_title_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_align"] = filtered_dict[
                    chart_facet_title_align
                ]
        self.state["state"]["facets"]["title_size"] = chart_facet_title_size

        list_chart_facet_title_unit = ["rem", "facet"] + [None]
        if chart_facet_title_unit not in list_chart_facet_title_unit:
            raise ValueError(
                f"`chart_facet_title_unit` must be one of: ['rem', 'facet']"
            )
        elif (
            chart_facet_title_unit in list_chart_facet_title_unit
            and chart_facet_title_unit is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"rem": "rem", "facet": "facet"}.items()
                if chart_facet_title_unit in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_unit"] = filtered_dict[
                    chart_facet_title_unit
                ]
        self.state["state"]["facets"]["title_color"] = chart_facet_title_color
        self.state["state"]["facets"][
            "title_padding_top"
        ] = chart_facet_title_padding_top
        self.state["state"]["facets"][
            "title_padding_bottom"
        ] = chart_facet_title_padding_bottom

        list_chart_facet_title_bg = ["none", "full", "text"] + [None]
        if chart_facet_title_bg not in list_chart_facet_title_bg:
            raise ValueError(
                f"`chart_facet_title_bg` must be one of: ['none', 'full', 'text']"
            )
        elif (
            chart_facet_title_bg in list_chart_facet_title_bg
            and chart_facet_title_bg is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"none": "none", "full": "full", "text": "text"}.items()
                if chart_facet_title_bg in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facets"]["title_bg"] = filtered_dict[
                    chart_facet_title_bg
                ]
        self.state["state"]["facets"]["title_bg_color"] = chart_facet_title_bg_color
        self.state["state"]["facets"]["title_bg_padding"] = chart_facet_title_bg_padding
        self.state["state"]["axis_first_row_only"] = axis_first_row_only
        self.state["state"]["matching_y_axis"] = matching_y_axis

        list_labels_name_position = ["side", "inline", "none"] + [None]
        if labels_name_position not in list_labels_name_position:
            raise ValueError(
                f"`labels_name_position` must be one of: ['side', 'inline', 'none']"
            )
        elif (
            labels_name_position in list_labels_name_position
            and labels_name_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "side": "side",
                    "inline": "inline",
                    "none": "none",
                }.items()
                if labels_name_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels_name_position"] = filtered_dict[
                    labels_name_position
                ]

        list_labels_position = ["start", "both", "end"] + [None]
        if labels_position not in list_labels_position:
            raise ValueError(
                f"`labels_position` must be one of: ['start', 'both', 'end']"
            )
        elif labels_position in list_labels_position and labels_position is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"start": "start", "both": "both", "end": "end"}.items()
                if labels_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels_position"] = filtered_dict[labels_position]

        list_labels_inline_position = ["start", "middle", "end"] + [None]
        if labels_inline_position not in list_labels_inline_position:
            raise ValueError(
                f"`labels_inline_position` must be one of: ['start', 'middle', 'end']"
            )
        elif (
            labels_inline_position in list_labels_inline_position
            and labels_inline_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "middle": "middle",
                    "end": "end",
                }.items()
                if labels_inline_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["labels_inline_position"] = filtered_dict[
                    labels_inline_position
                ]

        if (
            labels_inline_position_custom is not None
            and len(labels_inline_position_custom) > 1
            and isinstance(labels_inline_position_custom, list)
        ):
            self.state["state"]["labels_inline_position_custom"] = " \n ".join(
                labels_inline_position_custom
            )
        else:
            self.state["state"][
                "labels_inline_position_custom"
            ] = labels_inline_position_custom

        self.state["state"]["only_show_highlights"] = only_show_highlights
        self.state["state"]["line_labels"]["max_width"] = chart_line_labels_max_width

        list_chart_line_labels_overlap_mode = ["spread", "hide", "none"] + [None]
        if chart_line_labels_overlap_mode not in list_chart_line_labels_overlap_mode:
            raise ValueError(
                f"`chart_line_labels_overlap_mode` must be one of: ['spread', 'hide', 'none']"
            )
        elif (
            chart_line_labels_overlap_mode in list_chart_line_labels_overlap_mode
            and chart_line_labels_overlap_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "spread": "spread",
                    "hide": "hide",
                    "none": "none",
                }.items()
                if chart_line_labels_overlap_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_labels"]["overlap_mode"] = filtered_dict[
                    chart_line_labels_overlap_mode
                ]
        self.state["state"]["line_labels"][
            "spreading_margin"
        ] = chart_line_labels_spreading_margin
        self.state["state"]["line_labels"][
            "data_point_margin"
        ] = chart_line_labels_data_point_margin

        if (
            chart_line_labels_show_only_labels is not None
            and len(chart_line_labels_show_only_labels) > 1
            and isinstance(chart_line_labels_show_only_labels, list)
        ):
            self.state["state"]["line_labels"]["show_only_labels"] = " \n ".join(
                chart_line_labels_show_only_labels
            )
        else:
            self.state["state"]["line_labels"][
                "show_only_labels"
            ] = chart_line_labels_show_only_labels

        self.state["state"]["line_labels"]["text_color"] = chart_line_labels_text_color
        self.state["state"]["line_labels"]["text_size"] = chart_line_labels_text_size
        self.state["state"]["line_labels"][
            "text_bg_color"
        ] = chart_line_labels_text_bg_color
        self.state["state"]["line_labels"][
            "text_bg_size"
        ] = chart_line_labels_text_bg_size
        self.state["state"]["line_labels"][
            "text_line_height"
        ] = chart_line_labels_text_line_height
        self.state["state"]["line_labels"][
            "text_max_lines"
        ] = chart_line_labels_text_max_lines

        list_chart_line_labels_text_weight = [400, 700] + [None]
        if chart_line_labels_text_weight not in list_chart_line_labels_text_weight:
            raise ValueError(
                f"`chart_line_labels_text_weight` must be one of: [400, 700]"
            )
        elif (
            chart_line_labels_text_weight in list_chart_line_labels_text_weight
            and chart_line_labels_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {400: 400, 700: 700}.items()
                if chart_line_labels_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_labels"]["text_weight"] = filtered_dict[
                    chart_line_labels_text_weight
                ]

        list_chart_line_labels_lines = ["auto", "on", "off"] + [None]
        if chart_line_labels_lines not in list_chart_line_labels_lines:
            raise ValueError(
                f"`chart_line_labels_lines` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_line_labels_lines in list_chart_line_labels_lines
            and chart_line_labels_lines is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_line_labels_lines in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_labels"]["lines"] = filtered_dict[
                    chart_line_labels_lines
                ]

        list_chart_line_labels_line_style = ["straight", "step"] + [None]
        if chart_line_labels_line_style not in list_chart_line_labels_line_style:
            raise ValueError(
                f"`chart_line_labels_line_style` must be one of: ['straight', 'step']"
            )
        elif (
            chart_line_labels_line_style in list_chart_line_labels_line_style
            and chart_line_labels_line_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"straight": "straight", "step": "step"}.items()
                if chart_line_labels_line_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_labels"]["line_style"] = filtered_dict[
                    chart_line_labels_line_style
                ]
        self.state["state"]["line_labels"]["line_color"] = chart_line_labels_line_color
        self.state["state"]["line_labels"]["line_width"] = chart_line_labels_line_width
        self.state["state"]["line_labels"]["line_range"] = chart_line_labels_line_range
        self.state["state"]["line_labels"][
            "line_padding"
        ] = chart_line_labels_line_padding

        list_chart_popup_mode = ["none", "popup", "panel", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'panel', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "panel": "panel",
                    "both": "both",
                }.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popup"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popup"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popup"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        if (
            chart_popup_popup_custom_accessible is not None
            and len(chart_popup_popup_custom_accessible) > 1
            and isinstance(chart_popup_popup_custom_accessible, list)
        ):
            self.state["state"]["popup"]["popup_custom_accessible"] = " \n ".join(
                chart_popup_popup_custom_accessible
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_accessible"
            ] = chart_popup_popup_custom_accessible

        self.state["state"]["popup"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popup"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popup"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popup"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popup"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popup"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popup"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popup"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popup"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_label_weight"] = filtered_dict[
                    chart_popup_popup_list_label_weight
                ]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popup"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popup"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popup"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popup"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popup"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popup"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popup"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popup"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popup"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popup"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popup"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popup"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popup"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popup"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popup"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_vertical_position"] = filtered_dict[
                    chart_popup_panel_vertical_position
                ]
        self.state["state"]["popup"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popup"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popup"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popup"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popup"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popup"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_label_weight"] = filtered_dict[
                    chart_popup_panel_list_label_weight
                ]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popup"]["panel_shadow"] = chart_popup_panel_shadow

        list_axis_labels_position = ["top", "bottom", "hidden"] + [None]
        if axis_labels_position not in list_axis_labels_position:
            raise ValueError(
                f"`axis_labels_position` must be one of: ['top', 'bottom', 'hidden']"
            )
        elif (
            axis_labels_position in list_axis_labels_position
            and axis_labels_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "hidden": "hidden",
                }.items()
                if axis_labels_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["axis_labels_position"] = filtered_dict[
                    axis_labels_position
                ]
        self.state["state"]["axis_font_size"] = axis_font_size
        self.state["state"]["axis_text_color"] = axis_text_color
        self.state["state"]["axis_color"] = axis_color
        self.state["state"]["axis_width"] = axis_width
        self.state["state"]["axis_dashoffset"] = axis_dashoffset
        self.state["state"]["update_y_axis_filter"] = update_y_axis_filter

        list_chart_filter_controls_control_type = ["dropdown", "buttons", "slider"] + [
            None
        ]
        if (
            chart_filter_controls_control_type
            not in list_chart_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_filter_controls_control_type
            in list_chart_filter_controls_control_type
            and chart_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls"]["control_type"] = filtered_dict[
                    chart_filter_controls_control_type
                ]
        self.state["state"]["controls"][
            "control_styles"
        ] = chart_filter_controls_control_styles
        self.state["state"]["controls"][
            "control_title"
        ] = chart_filter_controls_control_title

        list_chart_filter_controls_button_group = [True, False] + [None]
        if (
            chart_filter_controls_button_group
            not in list_chart_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_button_group
            in list_chart_filter_controls_button_group
            and chart_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls"]["button_group"] = filtered_dict[
                    chart_filter_controls_button_group
                ]

        list_chart_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_filter_controls_button_group_width_mode
            not in list_chart_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_button_group_width_mode
            in list_chart_filter_controls_button_group_width_mode
            and chart_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_filter_controls_button_group_width_mode]
        self.state["state"]["controls"][
            "button_group_width_fixed"
        ] = chart_filter_controls_button_group_width_fixed

        list_chart_filter_controls_dropdown_width_mode = ["auto", "full", "fixed"] + [
            None
        ]
        if (
            chart_filter_controls_dropdown_width_mode
            not in list_chart_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_dropdown_width_mode
            in list_chart_filter_controls_dropdown_width_mode
            and chart_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls"]["dropdown_width_mode"] = filtered_dict[
                    chart_filter_controls_dropdown_width_mode
                ]
        self.state["state"]["controls"][
            "dropdown_width_fixed"
        ] = chart_filter_controls_dropdown_width_fixed
        self.state["state"]["controls"][
            "slider_width"
        ] = chart_filter_controls_slider_width
        self.state["state"]["controls"][
            "slider_max_label_width"
        ] = chart_filter_controls_slider_max_label_width
        self.state["state"]["controls"][
            "slider_step_time"
        ] = chart_filter_controls_slider_step_time
        self.state["state"]["controls"][
            "slider_loop"
        ] = chart_filter_controls_slider_loop
        self.state["state"]["controls"][
            "slider_restart_pause"
        ] = chart_filter_controls_slider_restart_pause

        list_chart_filter_controls_sort = [True, False] + [None]
        if chart_filter_controls_sort not in list_chart_filter_controls_sort:
            raise ValueError(
                f"`chart_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_sort in list_chart_filter_controls_sort
            and chart_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls"]["sort"] = filtered_dict[
                    chart_filter_controls_sort
                ]
        self.state["state"]["filter_show_all"] = filter_show_all
        self.state["state"]["filter_show_all_text"] = filter_show_all_text
        self.state["state"]["controls_style"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_style"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["controls_style"]["height"] = chart_controls_style_height
        self.state["state"]["dropdown_style"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["dropdown_style"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["dropdown_style"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown_style"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["dropdown_style"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["dropdown_style"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["dropdown_style"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["dropdown_style"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius
        self.state["state"]["button_style"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["button_style"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["button_style"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["button_style"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["button_style"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["button_style"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["button_style"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["button_style"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["button_style"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["button_style"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["button_style"][
            "border_radius"
        ] = chart_button_control_style_border_radius
        self.state["state"]["slider_style"][
            "track_color"
        ] = chart_slider_control_style_track_color
        self.state["state"]["slider_style"][
            "font_color"
        ] = chart_slider_control_style_font_color
        self.state["state"]["slider_style"][
            "handle_color"
        ] = chart_slider_control_style_handle_color
        self.state["state"]["slider_style"][
            "play_color"
        ] = chart_slider_control_style_play_color
        self.state["state"]["slider_style"][
            "track_height"
        ] = chart_slider_control_style_track_height
        self.state["state"]["slider_style"][
            "handle_height"
        ] = chart_slider_control_style_handle_height
        self.state["state"]["slider_style"][
            "play_button"
        ] = chart_slider_control_style_play_button
        self.state["state"]["animation_duration"] = animation_duration

        list_chart_categorical_legend_show_legend = [True, False] + [None]
        if (
            chart_categorical_legend_show_legend
            not in list_chart_categorical_legend_show_legend
        ):
            raise ValueError(
                f"`chart_categorical_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_categorical_legend_show_legend
            in list_chart_categorical_legend_show_legend
            and chart_categorical_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_categorical_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "show_legend"
                ] = filtered_dict[chart_categorical_legend_show_legend]

        list_chart_categorical_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_categorical_legend_title_mode
            not in list_chart_categorical_legend_title_mode
        ):
            raise ValueError(
                f"`chart_categorical_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_categorical_legend_title_mode
            in list_chart_categorical_legend_title_mode
            and chart_categorical_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_categorical_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"]["title_mode"] = filtered_dict[
                    chart_categorical_legend_title_mode
                ]
        self.state["state"]["legend_categorical"][
            "title"
        ] = chart_categorical_legend_title
        self.state["state"]["legend_categorical"][
            "swatch_width"
        ] = chart_categorical_legend_swatch_width
        self.state["state"]["legend_categorical"][
            "swatch_height"
        ] = chart_categorical_legend_swatch_height
        self.state["state"]["legend_categorical"][
            "swatch_radius"
        ] = chart_categorical_legend_swatch_radius
        self.state["state"]["legend_categorical"][
            "legend_items_padding"
        ] = chart_categorical_legend_legend_items_padding
        self.state["state"]["legend_categorical"][
            "swatch_outline"
        ] = chart_categorical_legend_swatch_outline
        self.state["state"]["legend_categorical"][
            "swatch_outline_color"
        ] = chart_categorical_legend_swatch_outline_color

        if (
            chart_categorical_legend_order_override is not None
            and len(chart_categorical_legend_order_override) > 1
            and isinstance(chart_categorical_legend_order_override, list)
        ):
            self.state["state"]["legend_categorical"]["order_override"] = " \n ".join(
                chart_categorical_legend_order_override
            )
        else:
            self.state["state"]["legend_categorical"][
                "order_override"
            ] = chart_categorical_legend_order_override

        self.state["state"]["legend_categorical"][
            "icon_height"
        ] = chart_categorical_legend_icon_height
        self.state["state"]["legend_categorical"][
            "icon_color"
        ] = chart_categorical_legend_icon_color
        self.state["state"]["legend_categorical"][
            "max_width"
        ] = chart_categorical_legend_max_width

        list_chart_categorical_legend_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_categorical_legend_orientation
            not in list_chart_categorical_legend_orientation
        ):
            raise ValueError(
                f"`chart_categorical_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_categorical_legend_orientation
            in list_chart_categorical_legend_orientation
            and chart_categorical_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_categorical_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "orientation"
                ] = filtered_dict[chart_categorical_legend_orientation]

        list_legend_position = ["above", "below"] + [None]
        if legend_position not in list_legend_position:
            raise ValueError(f"`legend_position` must be one of: ['above', 'below']")
        elif legend_position in list_legend_position and legend_position is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"above": "above", "below": "below"}.items()
                if legend_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_position"] = filtered_dict[legend_position]

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size
        self.state["state"]["formatting"]["prefix"] = chart_number_date_format_prefix
        self.state["state"]["formatting"]["suffix"] = chart_number_date_format_suffix
        self.state["state"]["formatting"]["n_dec"] = chart_number_date_format_n_dec
        self.state["state"]["formatting"][
            "advanced"
        ] = chart_number_date_format_advanced

        list_chart_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_number_date_format_negative_sign
            not in list_chart_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_number_date_format_negative_sign
            in list_chart_number_date_format_negative_sign
            and chart_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["formatting"]["negative_sign"] = filtered_dict[
                    chart_number_date_format_negative_sign
                ]
        self.state["state"]["formatting"][
            "strip_zeros"
        ] = chart_number_date_format_strip_zeros
        self.state["state"]["formatting"][
            "strip_separator"
        ] = chart_number_date_format_strip_separator
        self.state["state"]["formatting"][
            "transform_labels"
        ] = chart_number_date_format_transform_labels

        list_chart_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_number_date_format_transform
            not in list_chart_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_number_date_format_transform
            in list_chart_number_date_format_transform
            and chart_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["formatting"]["transform"] = filtered_dict[
                    chart_number_date_format_transform
                ]
        self.state["state"]["formatting"][
            "multiply_divide_constant"
        ] = chart_number_date_format_multiply_divide_constant
        self.state["state"]["formatting"][
            "exponentiate_constant"
        ] = chart_number_date_format_exponentiate_constant
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        self.state["state"]["url_state"]["enabled"] = chart_url_settings_enabled

        if (
            chart_url_settings_whitelist is not None
            and len(chart_url_settings_whitelist) > 1
            and isinstance(chart_url_settings_whitelist, list)
        ):
            self.state["state"]["url_state"]["whitelist"] = " \n ".join(
                chart_url_settings_whitelist
            )
        else:
            self.state["state"]["url_state"]["whitelist"] = chart_url_settings_whitelist

        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_sports_details(
        self,
        positions_type: str = None,
        positions_scale_custom: str = None,
        positions_x_min: float = None,
        positions_x_max: float = None,
        positions_y_min: float = None,
        positions_y_max: float = None,
        formation_type: str = None,
        formation: str = None,
        formation_custom: Union[list, str] = None,
        pitch_margin_top: float = None,
        pitch_margin_bottom: float = None,
        pitch_type: str = None,
        pitch_type_custom: str = None,
        pitch_type_upload: str = None,
        pitch_type_svg: Union[list, str] = None,
        pitch_line_color: str = None,
        pitch_line_opacity: float = None,
        pitch_line_width: float = None,
        pitch_height: float = None,
        pitch_background: str = None,
        pitch_opacity: float = None,
        pitch_orientation: str = None,
        pitch_crop: str = None,
        pitch_crop_custom: float = None,
        pitch_flip_dots: bool = None,
        pitch_flip_pitch: bool = None,
        colors_categorical_palette: Union[list, str] = None,
        colors_categorical_extend: bool = None,
        colors_categorical_custom_palette: Union[list, str] = None,
        colors_numeric_type: str = None,
        colors_binning: bool = None,
        colors_bin_mode: str = None,
        colors_bin_count: float = None,
        colors_bin_thresholds: str = None,
        colors_sequential_palette: str = None,
        colors_sequential_reverse: bool = None,
        colors_sequential_custom_min: str = None,
        colors_sequential_custom_max: str = None,
        colors_sequential_color_space: str = None,
        colors_sequential_custom_domain: bool = None,
        colors_sequential_domain_min: float = None,
        colors_sequential_domain_max: float = None,
        colors_diverging_palette: str = None,
        colors_diverging_reverse: bool = None,
        colors_diverging_custom_min: str = None,
        colors_diverging_custom_mid: str = None,
        colors_diverging_custom_max: str = None,
        colors_diverging_color_space: str = None,
        colors_diverging_custom_domain: bool = None,
        colors_diverging_domain_min: float = None,
        colors_diverging_domain_mid: float = None,
        colors_diverging_domain_max: float = None,
        dot_opacity: float = None,
        dot_size: str = None,
        dot_size_custom: float = None,
        dot_border: str = None,
        dot_border_custom: float = None,
        dot_border_color: str = None,
        label_mode: bool = None,
        label_color: str = None,
        label_weight: str = None,
        label_size: str = None,
        label_size_custom: float = None,
        show_squad_numbers: bool = None,
        squad_number_size: str = None,
        squad_number_size_custom: float = None,
        squad_number_weight: str = None,
        squad_number_color: str = None,
        squad_number_vertical_adjust: float = None,
        image_contrast: float = None,
        image_brightness: float = None,
        image_saturation: float = None,
        image_blend_mode: str = None,
        animation_target: str = None,
        animation_duration: float = None,
        trail: bool = None,
        trail_color: str = None,
        trail_opacity: float = None,
        trail_size: str = None,
        trail_size_custom: float = None,
        trail_style: str = None,
        chart_categorical_legend_show_legend: bool = None,
        chart_categorical_legend_title_mode: str = None,
        chart_categorical_legend_title: str = None,
        chart_categorical_legend_swatch_width: float = None,
        chart_categorical_legend_swatch_height: float = None,
        chart_categorical_legend_swatch_radius: float = None,
        chart_categorical_legend_legend_items_padding: float = None,
        chart_categorical_legend_swatch_outline: bool = None,
        chart_categorical_legend_swatch_outline_color: str = None,
        chart_categorical_legend_order_override: Union[list, str] = None,
        chart_categorical_legend_icon_height: float = None,
        chart_categorical_legend_icon_color: str = None,
        chart_categorical_legend_max_width: float = None,
        chart_categorical_legend_orientation: str = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_custom_accessible: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        chart_filter_controls_container_alignment: str = None,
        chart_filter_controls_container_controls_spacing: float = None,
        chart_filter_controls_control_type: str = None,
        chart_filter_controls_control_styles: bool = None,
        chart_filter_controls_control_title: str = None,
        chart_filter_controls_button_group: bool = None,
        chart_filter_controls_button_group_width_mode: str = None,
        chart_filter_controls_button_group_width_fixed: float = None,
        chart_filter_controls_dropdown_width_mode: str = None,
        chart_filter_controls_dropdown_width_fixed: float = None,
        chart_filter_controls_slider_width: float = None,
        chart_filter_controls_slider_max_label_width: float = None,
        chart_filter_controls_slider_step_time: float = None,
        chart_filter_controls_slider_loop: bool = None,
        chart_filter_controls_slider_restart_pause: float = None,
        chart_filter_controls_sort: bool = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_slider_control_style_track_color: str = None,
        chart_slider_control_style_font_color: str = None,
        chart_slider_control_style_handle_color: str = None,
        chart_slider_control_style_play_color: str = None,
        chart_slider_control_style_track_height: float = None,
        chart_slider_control_style_handle_height: float = None,
        chart_slider_control_style_play_button: bool = None,
        filter_include_all: bool = None,
        filter_all_label: str = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: sports.


        :param positions_type: Position points by. Choices: auto, formation, data. Position points automatically based on your data, on a specific formation, or use X and Y coordinates. Flourish type hint: string, defaults to None.
        :type positions_type: str, optional
        :param positions_scale_custom: Position scale. Choices: auto, custom. "Auto" will set the position scale based on the minimum and maximum values in your data. "Custom" allows you to set a custom minimum and maximum. Flourish type hint: string, defaults to None.
        :type positions_scale_custom: str, optional
        :param positions_x_min: X min. Flourish type hint: number, defaults to None.
        :type positions_x_min: float, optional
        :param positions_x_max: X max. Flourish type hint: number, defaults to None.
        :type positions_x_max: float, optional
        :param positions_y_min: Y min. Flourish type hint: number, defaults to None.
        :type positions_y_min: float, optional
        :param positions_y_max: Y max. Flourish type hint: number, defaults to None.
        :type positions_y_max: float, optional
        :param formation_type: Formation type. Choices: preset, custom. Flourish type hint: string, defaults to None.
        :type formation_type: str, optional
        :param formation: Formation. Choices: 3-5-2, 4-3-3, 4-3-2-1, 4-4-2, 3-4-3, 4-2-3-1. Flourish type hint: string, defaults to None.
        :type formation: str, optional
        :param formation_custom: Custom formation. Use a "*"" for every player and a "-" for every space on the pitch. Flourish type hint: code, defaults to None.
        :type formation_custom: Union[list, str], optional
        :param pitch_margin_top: Top. Increases the gap between the top of the pitch and the first dot. Flourish type hint: number, defaults to None.
        :type pitch_margin_top: float, optional
        :param pitch_margin_bottom: Bottom. Increases the gap between the bottom of the pitch and the last dot. Flourish type hint: number, defaults to None.
        :type pitch_margin_bottom: float, optional
        :param pitch_type: Sport. Choices: football, basketball, tennis, custom. Flourish type hint: string, defaults to None.
        :type pitch_type: str, optional
        :param pitch_type_custom: Choices: upload, svg. Flourish type hint: string, defaults to None.
        :type pitch_type_custom: str, optional
        :param pitch_type_upload: Upload. Flourish type hint: url, defaults to None.
        :type pitch_type_upload: str, optional
        :param pitch_type_svg: SVG. Flourish type hint: text, defaults to None.
        :type pitch_type_svg: Union[list, str], optional
        :param pitch_line_color: Color. Flourish type hint: color, defaults to None.
        :type pitch_line_color: str, optional
        :param pitch_line_opacity: Opacity. Opacity of the pitch marking lines. Flourish type hint: number, defaults to None.
        :type pitch_line_opacity: float, optional
        :param pitch_line_width: Line width. Line width of the pitch markings in pixels. Flourish type hint: number, defaults to None.
        :type pitch_line_width: float, optional
        :param pitch_height: Pitch height. As a percentage of the width. Flourish type hint: number, defaults to None.
        :type pitch_height: float, optional
        :param pitch_background: Background color. Background color of the pitch. To change the color of the background outside of the pitch, instead slect Background color in the layout section. Flourish type hint: color, defaults to None.
        :type pitch_background: str, optional
        :param pitch_opacity: Background opacity. Opacity of the pitch background. Flourish type hint: number, defaults to None.
        :type pitch_opacity: float, optional
        :param pitch_orientation: Orientation. Choices: vertical, horizontal. Flourish type hint: string, defaults to None.
        :type pitch_orientation: str, optional
        :param pitch_crop: Crop pitch. Choices: 1, custom. Show the full pitch, or only show a portion. Flourish type hint: string, defaults to None.
        :type pitch_crop: str, optional
        :param pitch_crop_custom: Custom. Flourish type hint: number, defaults to None.
        :type pitch_crop_custom: float, optional
        :param pitch_flip_dots: Flip dots. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type pitch_flip_dots: bool, optional
        :param pitch_flip_pitch: Flip pitch. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type pitch_flip_pitch: bool, optional
        :param colors_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type colors_categorical_palette: Union[list, str], optional
        :param colors_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type colors_categorical_extend: bool, optional
        :param colors_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type colors_categorical_custom_palette: Union[list, str], optional
        :param colors_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type colors_numeric_type: str, optional
        :param colors_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type colors_binning: bool, optional
        :param colors_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type colors_bin_mode: str, optional
        :param colors_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type colors_bin_count: float, optional
        :param colors_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type colors_bin_thresholds: str, optional
        :param colors_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type colors_sequential_palette: str, optional
        :param colors_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type colors_sequential_reverse: bool, optional
        :param colors_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type colors_sequential_custom_min: str, optional
        :param colors_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type colors_sequential_custom_max: str, optional
        :param colors_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type colors_sequential_color_space: str, optional
        :param colors_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type colors_sequential_custom_domain: bool, optional
        :param colors_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type colors_sequential_domain_min: float, optional
        :param colors_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type colors_sequential_domain_max: float, optional
        :param colors_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type colors_diverging_palette: str, optional
        :param colors_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type colors_diverging_reverse: bool, optional
        :param colors_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type colors_diverging_custom_min: str, optional
        :param colors_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type colors_diverging_custom_mid: str, optional
        :param colors_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type colors_diverging_custom_max: str, optional
        :param colors_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type colors_diverging_color_space: str, optional
        :param colors_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type colors_diverging_custom_domain: bool, optional
        :param colors_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type colors_diverging_domain_min: float, optional
        :param colors_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type colors_diverging_domain_mid: float, optional
        :param colors_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type colors_diverging_domain_max: float, optional
        :param dot_opacity: Opacity. Opacity of the dots. Flourish type hint: number, defaults to None.
        :type dot_opacity: float, optional
        :param dot_size: Size. Choices: 1.3, 2.5, 6, custom. Flourish type hint: string, defaults to None.
        :type dot_size: str, optional
        :param dot_size_custom: Custom. Flourish type hint: number, defaults to None.
        :type dot_size_custom: float, optional
        :param dot_border: Border size. Choices: 0, 0.2, 0.5, custom. Flourish type hint: string, defaults to None.
        :type dot_border: str, optional
        :param dot_border_custom: Custom. Flourish type hint: number, defaults to None.
        :type dot_border_custom: float, optional
        :param dot_border_color: Color. Outline color of the dots. Flourish type hint: color, defaults to None.
        :type dot_border_color: str, optional
        :param label_mode: Labels. Choices: True, False. Labels will always be hidden if there are more than 200 data points. Flourish type hint: boolean, defaults to None.
        :type label_mode: bool, optional
        :param label_color: Color. Label color. Defaults to layout font color settings if not set. Flourish type hint: color, defaults to None.
        :type label_color: str, optional
        :param label_weight: Weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type label_weight: str, optional
        :param label_size: Size. Choices: 0.8, 1, 1.2, custom. Sizing unit is relative to root font size. Flourish type hint: string, defaults to None.
        :type label_size: str, optional
        :param label_size_custom: Custom. Specify a custom responsive font size. Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type label_size_custom: float, optional
        :param show_squad_numbers: Show Squad Numbers. Optional squad number to appear within dot. Flourish type hint: boolean, defaults to None.
        :type show_squad_numbers: bool, optional
        :param squad_number_size: Size Mode. Choices: 1.1, 1.4, 1.7, custom. Resizes the font size as a proportion of the dots radius. Flourish type hint: string, defaults to None.
        :type squad_number_size: str, optional
        :param squad_number_size_custom: Custom. Specify a custom responsive font size. Best results are betwen 0.8 and 2. Flourish type hint: number, defaults to None.
        :type squad_number_size_custom: float, optional
        :param squad_number_weight: Weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type squad_number_weight: str, optional
        :param squad_number_color: Color. Flourish type hint: color, defaults to None.
        :type squad_number_color: str, optional
        :param squad_number_vertical_adjust: Adjust vertical spacing. Adjust vertical centering for custom fonts. Flourish type hint: number, defaults to None.
        :type squad_number_vertical_adjust: float, optional
        :param image_contrast: Contrast. Flourish type hint: number, defaults to None.
        :type image_contrast: float, optional
        :param image_brightness: Brightness. Flourish type hint: number, defaults to None.
        :type image_brightness: float, optional
        :param image_saturation: Saturation. Flourish type hint: number, defaults to None.
        :type image_saturation: float, optional
        :param image_blend_mode: Blend mode. Choices: normal, multiply, screen, overlay, darken, lighten. Flourish type hint: string, defaults to None.
        :type image_blend_mode: str, optional
        :param animation_target: Animate. Choices: position, opacity, both. Choose whether you want to animate the animate the positions or fade, for example when changing the filter, or drag players positions in the story editor. Flourish type hint: string, defaults to None.
        :type animation_target: str, optional
        :param animation_duration: Duration. Specified in seconds. Flourish type hint: number, defaults to None.
        :type animation_duration: float, optional
        :param trail: Trail lines. Choices: False, True. Show trail lines when a point is dragged to a new position. Only visible in the story editor. Flourish type hint: boolean, defaults to None.
        :type trail: bool, optional
        :param trail_color: Color. Flourish type hint: color, defaults to None.
        :type trail_color: str, optional
        :param trail_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type trail_opacity: float, optional
        :param trail_size: Size. Choices: 0.2, 0.5, custom. Flourish type hint: string, defaults to None.
        :type trail_size: str, optional
        :param trail_size_custom: Custom. Proportional to the smallest point size. Flourish type hint: number, defaults to None.
        :type trail_size_custom: float, optional
        :param trail_style: Style. Choices: solid, dotted. Flourish type hint: string, defaults to None.
        :type trail_style: str, optional
        :param chart_categorical_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_show_legend: bool, optional
        :param chart_categorical_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title_mode: str, optional
        :param chart_categorical_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title: str, optional
        :param chart_categorical_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_width: float, optional
        :param chart_categorical_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_height: float, optional
        :param chart_categorical_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_radius: float, optional
        :param chart_categorical_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_legend_items_padding: float, optional
        :param chart_categorical_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_swatch_outline: bool, optional
        :param chart_categorical_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_swatch_outline_color: str, optional
        :param chart_categorical_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_categorical_legend_order_override: Union[list, str], optional
        :param chart_categorical_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_icon_height: float, optional
        :param chart_categorical_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_icon_color: str, optional
        :param chart_categorical_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_max_width: float, optional
        :param chart_categorical_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_orientation: str, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param chart_popup_mode: Choices: none, popup, panel, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML styling or add category colors to popup headers.  To hide parts of the popup when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML for designs, styles, and images.  To hide parts of the popup when a column is empty use the syntax `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_custom_accessible: Popup custom accessible content. A text alternative to visual custom popup content that will be read out by screenreaders. This content is added as an aria-label attribute to data point elements. You can still use `{{column_name}}` to add values from your data, but do not use HTML. For example: `{{Name}}, Population: {{Population}}, GDP: {{GDP}}`. If left empty, accessible content will fallback to the default popup content. Flourish type hint: text, defaults to None.
        :type chart_popup_popup_custom_accessible: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for styling or add category colors to panel headers.  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for designs, styles, images, videos and embedded Flourish charts,  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing Click position is especially useful when your visualization is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param chart_filter_controls_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_container_alignment: str, optional
        :param chart_filter_controls_container_controls_spacing: Spacing. The space between controls, like dropdowns and adjacent button sets, in em units. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_container_controls_spacing: float, optional
        :param chart_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_type: str, optional
        :param chart_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_control_styles: bool, optional
        :param chart_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_title: str, optional
        :param chart_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_button_group: bool, optional
        :param chart_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_button_group_width_mode: str, optional
        :param chart_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_button_group_width_fixed: float, optional
        :param chart_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_dropdown_width_mode: str, optional
        :param chart_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_dropdown_width_fixed: float, optional
        :param chart_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_width: float, optional
        :param chart_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_max_label_width: float, optional
        :param chart_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_step_time: float, optional
        :param chart_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_slider_loop: bool, optional
        :param chart_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_restart_pause: float, optional
        :param chart_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_sort: bool, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Dropdown border styles. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_slider_control_style_track_color: Track. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_track_color: str, optional
        :param chart_slider_control_style_font_color: Text. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_font_color: str, optional
        :param chart_slider_control_style_handle_color: Handle. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_handle_color: str, optional
        :param chart_slider_control_style_play_color: Play/pause. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_play_color: str, optional
        :param chart_slider_control_style_track_height: Track height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_track_height: float, optional
        :param chart_slider_control_style_handle_height: Height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_handle_height: float, optional
        :param chart_slider_control_style_play_button: Play button. Flourish type hint: boolean, defaults to None.
        :type chart_slider_control_style_play_button: bool, optional
        :param filter_include_all: Include "all". Include "All" in the filter dropdown. Flourish type hint: boolean, defaults to None.
        :type filter_include_all: bool, optional
        :param filter_all_label: All label. Flourish type hint: string, defaults to None.
        :type filter_all_label: str, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "pitch": {},
                "colors": {},
                "legend_categorical": {},
                "legend_container": {},
                "popup": {},
                "controls_container": {},
                "filter_control": {},
                "controls_style": {},
                "dropdown_style": {},
                "button_style": {},
                "slider_style": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        list_positions_type = ["auto", "formation", "data"] + [None]
        if positions_type not in list_positions_type:
            raise ValueError(
                f"`positions_type` must be one of: ['auto', 'formation', 'data']"
            )
        elif positions_type in list_positions_type and positions_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "formation": "formation",
                    "data": "data",
                }.items()
                if positions_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["positions_type"] = filtered_dict[positions_type]

        list_positions_scale_custom = ["auto", "custom"] + [None]
        if positions_scale_custom not in list_positions_scale_custom:
            raise ValueError(
                f"`positions_scale_custom` must be one of: ['auto', 'custom']"
            )
        elif (
            positions_scale_custom in list_positions_scale_custom
            and positions_scale_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if positions_scale_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["positions_scale_custom"] = filtered_dict[
                    positions_scale_custom
                ]
        self.state["state"]["positions_x_min"] = positions_x_min
        self.state["state"]["positions_x_max"] = positions_x_max
        self.state["state"]["positions_y_min"] = positions_y_min
        self.state["state"]["positions_y_max"] = positions_y_max

        list_formation_type = ["preset", "custom"] + [None]
        if formation_type not in list_formation_type:
            raise ValueError(f"`formation_type` must be one of: ['preset', 'custom']")
        elif formation_type in list_formation_type and formation_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"preset": "preset", "custom": "custom"}.items()
                if formation_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["formation_type"] = filtered_dict[formation_type]

        list_formation = ["3-5-2", "4-3-3", "4-3-2-1", "4-4-2", "3-4-3", "4-2-3-1"] + [
            None
        ]
        if formation not in list_formation:
            raise ValueError(
                f"`formation` must be one of: ['3-5-2', '4-3-3', '4-3-2-1', '4-4-2', '3-4-3', '4-2-3-1']"
            )
        elif formation in list_formation and formation is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "3-5-2": "--*--\n-----\n-***-\n*---*\n-----\n-*-*-\n--*--\n-----\n-*-*-",
                    "4-3-3": "--*--\n-----\n-----\n-----\n-----\n****\n-----\n-----\n-----\n-----\n-*--*--*-\n-----\n-----\n-----\n-*-*-\n-----\n-*-",
                    "4-3-2-1": "--*--\n-*-*-\n*---*\n--*--\n-*-*-\n*---*\n--*--",
                    "4-4-2": "-*-\n-\n-**-\n*--*\n----\n-**-\n*--*\n-\n-\n-*--*-",
                    "3-4-3": "-*-\n--\n-*-*-*-\n--\n*-*-*-*\n--\n-*---*-\n-*-\n--",
                    "4-2-3-1": "-*-\n-\n****\n-\n-*-*-\n-\n-*----*-\n--*--\n-\n-*-\n-",
                }.items()
                if formation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["formation"] = filtered_dict[formation]

        if (
            formation_custom is not None
            and len(formation_custom) > 1
            and isinstance(formation_custom, list)
        ):
            self.state["state"]["formation_custom"] = " \n ".join(formation_custom)
        else:
            self.state["state"]["formation_custom"] = formation_custom

        self.state["state"]["pitch"]["margin_top"] = pitch_margin_top
        self.state["state"]["pitch"]["margin_bottom"] = pitch_margin_bottom

        list_pitch_type = ["football", "basketball", "tennis", "custom"] + [None]
        if pitch_type not in list_pitch_type:
            raise ValueError(
                f"`pitch_type` must be one of: ['football', 'basketball', 'tennis', 'custom']"
            )
        elif pitch_type in list_pitch_type and pitch_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "football": "football",
                    "basketball": "basketball",
                    "tennis": "tennis",
                    "custom": "custom",
                }.items()
                if pitch_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["pitch"]["type"] = filtered_dict[pitch_type]

        list_pitch_type_custom = ["upload", "svg"] + [None]
        if pitch_type_custom not in list_pitch_type_custom:
            raise ValueError(f"`pitch_type_custom` must be one of: ['upload', 'svg']")
        elif (
            pitch_type_custom in list_pitch_type_custom
            and pitch_type_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"upload": "upload", "svg": "svg"}.items()
                if pitch_type_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["pitch"]["type_custom"] = filtered_dict[
                    pitch_type_custom
                ]
        self.state["state"]["pitch"]["type_upload"] = pitch_type_upload

        if (
            pitch_type_svg is not None
            and len(pitch_type_svg) > 1
            and isinstance(pitch_type_svg, list)
        ):
            self.state["state"]["pitch"]["type_svg"] = " \n ".join(pitch_type_svg)
        else:
            self.state["state"]["pitch"]["type_svg"] = pitch_type_svg

        self.state["state"]["pitch"]["line_color"] = pitch_line_color
        self.state["state"]["pitch"]["line_opacity"] = pitch_line_opacity
        self.state["state"]["pitch"]["line_width"] = pitch_line_width
        self.state["state"]["pitch"]["height"] = pitch_height
        self.state["state"]["pitch"]["background"] = pitch_background
        self.state["state"]["pitch"]["opacity"] = pitch_opacity

        list_pitch_orientation = ["vertical", "horizontal"] + [None]
        if pitch_orientation not in list_pitch_orientation:
            raise ValueError(
                f"`pitch_orientation` must be one of: ['vertical', 'horizontal']"
            )
        elif (
            pitch_orientation in list_pitch_orientation
            and pitch_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "vertical": "vertical",
                    "horizontal": "horizontal",
                }.items()
                if pitch_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["pitch"]["orientation"] = filtered_dict[
                    pitch_orientation
                ]

        list_pitch_crop = ["1", "custom"] + [None]
        if pitch_crop not in list_pitch_crop:
            raise ValueError(f"`pitch_crop` must be one of: ['1', 'custom']")
        elif pitch_crop in list_pitch_crop and pitch_crop is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"1": "1", "custom": "custom"}.items()
                if pitch_crop in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["pitch"]["crop"] = filtered_dict[pitch_crop]
        self.state["state"]["pitch"]["crop_custom"] = pitch_crop_custom

        list_pitch_flip_dots = [True, False] + [None]
        if pitch_flip_dots not in list_pitch_flip_dots:
            raise ValueError(f"`pitch_flip_dots` must be one of: [True, False]")
        elif pitch_flip_dots in list_pitch_flip_dots and pitch_flip_dots is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if pitch_flip_dots in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["pitch"]["flip_dots"] = filtered_dict[
                    pitch_flip_dots
                ]

        list_pitch_flip_pitch = [True, False] + [None]
        if pitch_flip_pitch not in list_pitch_flip_pitch:
            raise ValueError(f"`pitch_flip_pitch` must be one of: [True, False]")
        elif pitch_flip_pitch in list_pitch_flip_pitch and pitch_flip_pitch is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if pitch_flip_pitch in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["pitch"]["flip_pitch"] = filtered_dict[
                    pitch_flip_pitch
                ]

        if (
            colors_categorical_palette is not None
            and len(colors_categorical_palette) > 1
            and isinstance(colors_categorical_palette, list)
        ):
            self.state["state"]["colors"]["categorical_palette"] = " \n ".join(
                colors_categorical_palette
            )
        else:
            self.state["state"]["colors"][
                "categorical_palette"
            ] = colors_categorical_palette

        self.state["state"]["colors"]["categorical_extend"] = colors_categorical_extend

        if (
            colors_categorical_custom_palette is not None
            and len(colors_categorical_custom_palette) > 1
            and isinstance(colors_categorical_custom_palette, list)
        ):
            self.state["state"]["colors"]["categorical_custom_palette"] = " \n ".join(
                colors_categorical_custom_palette
            )
        else:
            self.state["state"]["colors"][
                "categorical_custom_palette"
            ] = colors_categorical_custom_palette

        list_colors_numeric_type = ["sequential", "diverging"] + [None]
        if colors_numeric_type not in list_colors_numeric_type:
            raise ValueError(
                f"`colors_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            colors_numeric_type in list_colors_numeric_type
            and colors_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if colors_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["colors"]["numeric_type"] = filtered_dict[
                    colors_numeric_type
                ]

        list_colors_binning = [False, True] + [None]
        if colors_binning not in list_colors_binning:
            raise ValueError(f"`colors_binning` must be one of: [False, True]")
        elif colors_binning in list_colors_binning and colors_binning is not None:
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if colors_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["colors"]["binning"] = filtered_dict[colors_binning]

        list_colors_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if colors_bin_mode not in list_colors_bin_mode:
            raise ValueError(
                f"`colors_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif colors_bin_mode in list_colors_bin_mode and colors_bin_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if colors_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["colors"]["bin_mode"] = filtered_dict[
                    colors_bin_mode
                ]
        self.state["state"]["colors"]["bin_count"] = colors_bin_count
        self.state["state"]["colors"]["bin_thresholds"] = colors_bin_thresholds
        self.state["state"]["colors"]["sequential_palette"] = colors_sequential_palette
        self.state["state"]["colors"]["sequential_reverse"] = colors_sequential_reverse
        self.state["state"]["colors"][
            "sequential_custom_min"
        ] = colors_sequential_custom_min
        self.state["state"]["colors"][
            "sequential_custom_max"
        ] = colors_sequential_custom_max

        list_colors_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [None]
        if colors_sequential_color_space not in list_colors_sequential_color_space:
            raise ValueError(
                f"`colors_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            colors_sequential_color_space in list_colors_sequential_color_space
            and colors_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if colors_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["colors"]["sequential_color_space"] = filtered_dict[
                    colors_sequential_color_space
                ]

        list_colors_sequential_custom_domain = [False, True] + [None]
        if colors_sequential_custom_domain not in list_colors_sequential_custom_domain:
            raise ValueError(
                f"`colors_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            colors_sequential_custom_domain in list_colors_sequential_custom_domain
            and colors_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if colors_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["colors"][
                    "sequential_custom_domain"
                ] = filtered_dict[colors_sequential_custom_domain]
        self.state["state"]["colors"][
            "sequential_domain_min"
        ] = colors_sequential_domain_min
        self.state["state"]["colors"][
            "sequential_domain_max"
        ] = colors_sequential_domain_max
        self.state["state"]["colors"]["diverging_palette"] = colors_diverging_palette
        self.state["state"]["colors"]["diverging_reverse"] = colors_diverging_reverse
        self.state["state"]["colors"][
            "diverging_custom_min"
        ] = colors_diverging_custom_min
        self.state["state"]["colors"][
            "diverging_custom_mid"
        ] = colors_diverging_custom_mid
        self.state["state"]["colors"][
            "diverging_custom_max"
        ] = colors_diverging_custom_max

        list_colors_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [None]
        if colors_diverging_color_space not in list_colors_diverging_color_space:
            raise ValueError(
                f"`colors_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            colors_diverging_color_space in list_colors_diverging_color_space
            and colors_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if colors_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["colors"]["diverging_color_space"] = filtered_dict[
                    colors_diverging_color_space
                ]

        list_colors_diverging_custom_domain = [False, True] + [None]
        if colors_diverging_custom_domain not in list_colors_diverging_custom_domain:
            raise ValueError(
                f"`colors_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            colors_diverging_custom_domain in list_colors_diverging_custom_domain
            and colors_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if colors_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["colors"][
                    "diverging_custom_domain"
                ] = filtered_dict[colors_diverging_custom_domain]
        self.state["state"]["colors"][
            "diverging_domain_min"
        ] = colors_diverging_domain_min
        self.state["state"]["colors"][
            "diverging_domain_mid"
        ] = colors_diverging_domain_mid
        self.state["state"]["colors"][
            "diverging_domain_max"
        ] = colors_diverging_domain_max
        self.state["state"]["dot_opacity"] = dot_opacity

        list_dot_size = ["1.3", "2.5", "6", "custom"] + [None]
        if dot_size not in list_dot_size:
            raise ValueError(
                f"`dot_size` must be one of: ['1.3', '2.5', '6', 'custom']"
            )
        elif dot_size in list_dot_size and dot_size is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.3": "1.3",
                    "2.5": "2.5",
                    "6": "6",
                    "custom": "custom",
                }.items()
                if dot_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dot_size"] = filtered_dict[dot_size]
        self.state["state"]["dot_size_custom"] = dot_size_custom

        list_dot_border = ["0", "0.2", "0.5", "custom"] + [None]
        if dot_border not in list_dot_border:
            raise ValueError(
                f"`dot_border` must be one of: ['0', '0.2', '0.5', 'custom']"
            )
        elif dot_border in list_dot_border and dot_border is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.2": "0.2",
                    "0.5": "0.5",
                    "custom": "custom",
                }.items()
                if dot_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dot_border"] = filtered_dict[dot_border]
        self.state["state"]["dot_border_custom"] = dot_border_custom
        self.state["state"]["dot_border_color"] = dot_border_color

        list_label_mode = [True, False] + [None]
        if label_mode not in list_label_mode:
            raise ValueError(f"`label_mode` must be one of: [True, False]")
        elif label_mode in list_label_mode and label_mode is not None:
            filtered_dict = {
                k: v for (k, v) in {True: True, False: False}.items() if label_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_mode"] = filtered_dict[label_mode]
        self.state["state"]["label_color"] = label_color

        list_label_weight = ["normal", "bold"] + [None]
        if label_weight not in list_label_weight:
            raise ValueError(f"`label_weight` must be one of: ['normal', 'bold']")
        elif label_weight in list_label_weight and label_weight is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_weight"] = filtered_dict[label_weight]

        list_label_size = ["0.8", "1", "1.2", "custom"] + [None]
        if label_size not in list_label_size:
            raise ValueError(
                f"`label_size` must be one of: ['0.8', '1', '1.2', 'custom']"
            )
        elif label_size in list_label_size and label_size is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.8": "0.8",
                    "1": "1",
                    "1.2": "1.2",
                    "custom": "custom",
                }.items()
                if label_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_size"] = filtered_dict[label_size]
        self.state["state"]["label_size_custom"] = label_size_custom
        self.state["state"]["show_squad_numbers"] = show_squad_numbers

        list_squad_number_size = ["1.1", "1.4", "1.7", "custom"] + [None]
        if squad_number_size not in list_squad_number_size:
            raise ValueError(
                f"`squad_number_size` must be one of: ['1.1', '1.4', '1.7', 'custom']"
            )
        elif (
            squad_number_size in list_squad_number_size
            and squad_number_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.1": "1.1",
                    "1.4": "1.4",
                    "1.7": "1.7",
                    "custom": "custom",
                }.items()
                if squad_number_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["squad_number_size"] = filtered_dict[
                    squad_number_size
                ]
        self.state["state"]["squad_number_size_custom"] = squad_number_size_custom

        list_squad_number_weight = ["normal", "bold"] + [None]
        if squad_number_weight not in list_squad_number_weight:
            raise ValueError(
                f"`squad_number_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            squad_number_weight in list_squad_number_weight
            and squad_number_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if squad_number_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["squad_number_weight"] = filtered_dict[
                    squad_number_weight
                ]
        self.state["state"]["squad_number_color"] = squad_number_color
        self.state["state"][
            "squad_number_vertical_adjust"
        ] = squad_number_vertical_adjust
        self.state["state"]["image_contrast"] = image_contrast
        self.state["state"]["image_brightness"] = image_brightness
        self.state["state"]["image_saturation"] = image_saturation

        list_image_blend_mode = [
            "normal",
            "multiply",
            "screen",
            "overlay",
            "darken",
            "lighten",
        ] + [None]
        if image_blend_mode not in list_image_blend_mode:
            raise ValueError(
                f"`image_blend_mode` must be one of: ['normal', 'multiply', 'screen', 'overlay', 'darken', 'lighten']"
            )
        elif image_blend_mode in list_image_blend_mode and image_blend_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "normal": "normal",
                    "multiply": "multiply",
                    "screen": "screen",
                    "overlay": "overlay",
                    "darken": "darken",
                    "lighten": "lighten",
                }.items()
                if image_blend_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_blend_mode"] = filtered_dict[
                    image_blend_mode
                ]

        list_animation_target = ["position", "opacity", "both"] + [None]
        if animation_target not in list_animation_target:
            raise ValueError(
                f"`animation_target` must be one of: ['position', 'opacity', 'both']"
            )
        elif animation_target in list_animation_target and animation_target is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "position": "position",
                    "opacity": "opacity",
                    "both": "both",
                }.items()
                if animation_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["animation_target"] = filtered_dict[
                    animation_target
                ]
        self.state["state"]["animation_duration"] = animation_duration

        list_trail = [False, True] + [None]
        if trail not in list_trail:
            raise ValueError(f"`trail` must be one of: [False, True]")
        elif trail in list_trail and trail is not None:
            filtered_dict = {
                k: v for (k, v) in {False: False, True: True}.items() if trail in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["trail"] = filtered_dict[trail]
        self.state["state"]["trail_color"] = trail_color
        self.state["state"]["trail_opacity"] = trail_opacity

        list_trail_size = ["0.2", "0.5", "custom"] + [None]
        if trail_size not in list_trail_size:
            raise ValueError(f"`trail_size` must be one of: ['0.2', '0.5', 'custom']")
        elif trail_size in list_trail_size and trail_size is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"0.2": "0.2", "0.5": "0.5", "custom": "custom"}.items()
                if trail_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["trail_size"] = filtered_dict[trail_size]
        self.state["state"]["trail_size_custom"] = trail_size_custom

        list_trail_style = ["solid", "dotted"] + [None]
        if trail_style not in list_trail_style:
            raise ValueError(f"`trail_style` must be one of: ['solid', 'dotted']")
        elif trail_style in list_trail_style and trail_style is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"solid": "solid", "dotted": "dotted"}.items()
                if trail_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["trail_style"] = filtered_dict[trail_style]

        list_chart_categorical_legend_show_legend = [True, False] + [None]
        if (
            chart_categorical_legend_show_legend
            not in list_chart_categorical_legend_show_legend
        ):
            raise ValueError(
                f"`chart_categorical_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_categorical_legend_show_legend
            in list_chart_categorical_legend_show_legend
            and chart_categorical_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_categorical_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "show_legend"
                ] = filtered_dict[chart_categorical_legend_show_legend]

        list_chart_categorical_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_categorical_legend_title_mode
            not in list_chart_categorical_legend_title_mode
        ):
            raise ValueError(
                f"`chart_categorical_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_categorical_legend_title_mode
            in list_chart_categorical_legend_title_mode
            and chart_categorical_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_categorical_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"]["title_mode"] = filtered_dict[
                    chart_categorical_legend_title_mode
                ]
        self.state["state"]["legend_categorical"][
            "title"
        ] = chart_categorical_legend_title
        self.state["state"]["legend_categorical"][
            "swatch_width"
        ] = chart_categorical_legend_swatch_width
        self.state["state"]["legend_categorical"][
            "swatch_height"
        ] = chart_categorical_legend_swatch_height
        self.state["state"]["legend_categorical"][
            "swatch_radius"
        ] = chart_categorical_legend_swatch_radius
        self.state["state"]["legend_categorical"][
            "legend_items_padding"
        ] = chart_categorical_legend_legend_items_padding
        self.state["state"]["legend_categorical"][
            "swatch_outline"
        ] = chart_categorical_legend_swatch_outline
        self.state["state"]["legend_categorical"][
            "swatch_outline_color"
        ] = chart_categorical_legend_swatch_outline_color

        if (
            chart_categorical_legend_order_override is not None
            and len(chart_categorical_legend_order_override) > 1
            and isinstance(chart_categorical_legend_order_override, list)
        ):
            self.state["state"]["legend_categorical"]["order_override"] = " \n ".join(
                chart_categorical_legend_order_override
            )
        else:
            self.state["state"]["legend_categorical"][
                "order_override"
            ] = chart_categorical_legend_order_override

        self.state["state"]["legend_categorical"][
            "icon_height"
        ] = chart_categorical_legend_icon_height
        self.state["state"]["legend_categorical"][
            "icon_color"
        ] = chart_categorical_legend_icon_color
        self.state["state"]["legend_categorical"][
            "max_width"
        ] = chart_categorical_legend_max_width

        list_chart_categorical_legend_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_categorical_legend_orientation
            not in list_chart_categorical_legend_orientation
        ):
            raise ValueError(
                f"`chart_categorical_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_categorical_legend_orientation
            in list_chart_categorical_legend_orientation
            and chart_categorical_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_categorical_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "orientation"
                ] = filtered_dict[chart_categorical_legend_orientation]

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size

        list_chart_popup_mode = ["none", "popup", "panel", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'panel', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "panel": "panel",
                    "both": "both",
                }.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popup"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popup"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popup"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        if (
            chart_popup_popup_custom_accessible is not None
            and len(chart_popup_popup_custom_accessible) > 1
            and isinstance(chart_popup_popup_custom_accessible, list)
        ):
            self.state["state"]["popup"]["popup_custom_accessible"] = " \n ".join(
                chart_popup_popup_custom_accessible
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_accessible"
            ] = chart_popup_popup_custom_accessible

        self.state["state"]["popup"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popup"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popup"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popup"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popup"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popup"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popup"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popup"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popup"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_label_weight"] = filtered_dict[
                    chart_popup_popup_list_label_weight
                ]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popup"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popup"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popup"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popup"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popup"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popup"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popup"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popup"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popup"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popup"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popup"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popup"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popup"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popup"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popup"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_vertical_position"] = filtered_dict[
                    chart_popup_panel_vertical_position
                ]
        self.state["state"]["popup"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popup"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popup"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popup"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popup"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popup"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_label_weight"] = filtered_dict[
                    chart_popup_panel_list_label_weight
                ]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popup"]["panel_shadow"] = chart_popup_panel_shadow

        list_chart_filter_controls_container_alignment = ["start", "center", "end"] + [
            None
        ]
        if (
            chart_filter_controls_container_alignment
            not in list_chart_filter_controls_container_alignment
        ):
            raise ValueError(
                f"`chart_filter_controls_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_filter_controls_container_alignment
            in list_chart_filter_controls_container_alignment
            and chart_filter_controls_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_filter_controls_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_container"]["alignment"] = filtered_dict[
                    chart_filter_controls_container_alignment
                ]
        self.state["state"]["controls_container"][
            "controls_spacing"
        ] = chart_filter_controls_container_controls_spacing

        list_chart_filter_controls_control_type = ["dropdown", "buttons", "slider"] + [
            None
        ]
        if (
            chart_filter_controls_control_type
            not in list_chart_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_filter_controls_control_type
            in list_chart_filter_controls_control_type
            and chart_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["control_type"] = filtered_dict[
                    chart_filter_controls_control_type
                ]
        self.state["state"]["filter_control"][
            "control_styles"
        ] = chart_filter_controls_control_styles
        self.state["state"]["filter_control"][
            "control_title"
        ] = chart_filter_controls_control_title

        list_chart_filter_controls_button_group = [True, False] + [None]
        if (
            chart_filter_controls_button_group
            not in list_chart_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_button_group
            in list_chart_filter_controls_button_group
            and chart_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["button_group"] = filtered_dict[
                    chart_filter_controls_button_group
                ]

        list_chart_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_filter_controls_button_group_width_mode
            not in list_chart_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_button_group_width_mode
            in list_chart_filter_controls_button_group_width_mode
            and chart_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_filter_controls_button_group_width_mode]
        self.state["state"]["filter_control"][
            "button_group_width_fixed"
        ] = chart_filter_controls_button_group_width_fixed

        list_chart_filter_controls_dropdown_width_mode = ["auto", "full", "fixed"] + [
            None
        ]
        if (
            chart_filter_controls_dropdown_width_mode
            not in list_chart_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_dropdown_width_mode
            in list_chart_filter_controls_dropdown_width_mode
            and chart_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"][
                    "dropdown_width_mode"
                ] = filtered_dict[chart_filter_controls_dropdown_width_mode]
        self.state["state"]["filter_control"][
            "dropdown_width_fixed"
        ] = chart_filter_controls_dropdown_width_fixed
        self.state["state"]["filter_control"][
            "slider_width"
        ] = chart_filter_controls_slider_width
        self.state["state"]["filter_control"][
            "slider_max_label_width"
        ] = chart_filter_controls_slider_max_label_width
        self.state["state"]["filter_control"][
            "slider_step_time"
        ] = chart_filter_controls_slider_step_time
        self.state["state"]["filter_control"][
            "slider_loop"
        ] = chart_filter_controls_slider_loop
        self.state["state"]["filter_control"][
            "slider_restart_pause"
        ] = chart_filter_controls_slider_restart_pause

        list_chart_filter_controls_sort = [True, False] + [None]
        if chart_filter_controls_sort not in list_chart_filter_controls_sort:
            raise ValueError(
                f"`chart_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_sort in list_chart_filter_controls_sort
            and chart_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["filter_control"]["sort"] = filtered_dict[
                    chart_filter_controls_sort
                ]
        self.state["state"]["controls_style"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_style"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["controls_style"]["height"] = chart_controls_style_height
        self.state["state"]["dropdown_style"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["dropdown_style"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["dropdown_style"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown_style"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["dropdown_style"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["dropdown_style"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["dropdown_style"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["dropdown_style"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius
        self.state["state"]["button_style"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["button_style"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["button_style"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["button_style"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["button_style"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["button_style"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["button_style"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["button_style"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["button_style"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["button_style"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["button_style"][
            "border_radius"
        ] = chart_button_control_style_border_radius
        self.state["state"]["slider_style"][
            "track_color"
        ] = chart_slider_control_style_track_color
        self.state["state"]["slider_style"][
            "font_color"
        ] = chart_slider_control_style_font_color
        self.state["state"]["slider_style"][
            "handle_color"
        ] = chart_slider_control_style_handle_color
        self.state["state"]["slider_style"][
            "play_color"
        ] = chart_slider_control_style_play_color
        self.state["state"]["slider_style"][
            "track_height"
        ] = chart_slider_control_style_track_height
        self.state["state"]["slider_style"][
            "handle_height"
        ] = chart_slider_control_style_handle_height
        self.state["state"]["slider_style"][
            "play_button"
        ] = chart_slider_control_style_play_button
        self.state["state"]["filter_include_all"] = filter_include_all
        self.state["state"]["filter_all_label"] = filter_all_label
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_sports_race_details(
        self,
        preset_svg: str = None,
        custom_svg: Union[list, str] = None,
        track_path_id: str = None,
        track_lane_width: float = None,
        track_back_and_forth: bool = None,
        participant_icon_mode: str = None,
        participant_size: float = None,
        participant_stroke_width: float = None,
        participant_stroke_opacity: float = None,
        participant_fill_opacity: float = None,
        preset_participant_image: str = None,
        custom_participant_start_image: str = None,
        custom_participant_race_image: str = None,
        custom_participant_finish_image: str = None,
        image_initial_rotation: str = None,
        image_initial_flip_x: bool = None,
        image_initial_flip_y: bool = None,
        image_transform_mode: str = None,
        participant_icon_recolor: bool = None,
        chart_participant_color_scale_categorical_palette: Union[list, str] = None,
        chart_participant_color_scale_categorical_extend: bool = None,
        chart_participant_color_scale_categorical_custom_palette: Union[
            list, str
        ] = None,
        chart_participant_color_scale_numeric_type: str = None,
        chart_participant_color_scale_binning: bool = None,
        chart_participant_color_scale_bin_mode: str = None,
        chart_participant_color_scale_bin_count: float = None,
        chart_participant_color_scale_bin_thresholds: str = None,
        chart_participant_color_scale_sequential_palette: str = None,
        chart_participant_color_scale_sequential_reverse: bool = None,
        chart_participant_color_scale_sequential_custom_min: str = None,
        chart_participant_color_scale_sequential_custom_max: str = None,
        chart_participant_color_scale_sequential_color_space: str = None,
        chart_participant_color_scale_sequential_custom_domain: bool = None,
        chart_participant_color_scale_sequential_domain_min: float = None,
        chart_participant_color_scale_sequential_domain_max: float = None,
        chart_participant_color_scale_diverging_palette: str = None,
        chart_participant_color_scale_diverging_reverse: bool = None,
        chart_participant_color_scale_diverging_custom_min: str = None,
        chart_participant_color_scale_diverging_custom_mid: str = None,
        chart_participant_color_scale_diverging_custom_max: str = None,
        chart_participant_color_scale_diverging_color_space: str = None,
        chart_participant_color_scale_diverging_custom_domain: bool = None,
        chart_participant_color_scale_diverging_domain_min: float = None,
        chart_participant_color_scale_diverging_domain_mid: float = None,
        chart_participant_color_scale_diverging_domain_max: float = None,
        camera_mode: str = None,
        zoom: float = None,
        checkpoint_mode: str = None,
        checkpoints: Union[list, str] = None,
        times_cumulative: bool = None,
        participant_label_mode: str = None,
        participant_label_custom: Union[list, str] = None,
        participant_label_position: str = None,
        participant_label_style: bool = None,
        participant_label_color: str = None,
        participant_label_size: float = None,
        participant_label_stroke: str = None,
        participant_label_stroke_size: float = None,
        participant_label_weight: str = None,
        participant_highlight: bool = None,
        participant_highlight_color: str = None,
        participant_highlight_width: float = None,
        label_position_enabled: bool = None,
        label_position_time: str = None,
        label_position_type: str = None,
        label_medal_enabled: bool = None,
        label_medal_time: str = None,
        label_medal_type: str = None,
        label_medal_replace_position: bool = None,
        label_finishing_time_enabled: bool = None,
        label_finishing_time_time: str = None,
        participant_stacking: str = None,
        chart_timeline_controls_enabled: bool = None,
        chart_timeline_controls_style: str = None,
        chart_timeline_controls_graph: bool = None,
        chart_timeline_controls_play_on_load: bool = None,
        chart_timeline_controls_loop: bool = None,
        chart_timeline_controls_duration: float = None,
        chart_timeline_controls_duration_tween: float = None,
        chart_timeline_controls_duration_wait_at_end: float = None,
        chart_timeline_controls_axes_custom_enabled: bool = None,
        chart_timeline_controls_color_axes: str = None,
        chart_timeline_controls_axis_font_size: float = None,
        chart_timeline_controls_date_format_display: str = None,
        chart_timeline_controls_axis_nice_x: bool = None,
        chart_timeline_controls_axis_nice_y: bool = None,
        chart_timeline_controls_scrubber_snap: bool = None,
        chart_timeline_controls_scrubber_snap_paused: bool = None,
        chart_timeline_controls_layout_settings: bool = None,
        chart_timeline_controls_margin_top: float = None,
        chart_timeline_controls_margin_left: float = None,
        chart_timeline_controls_margin_bottom: float = None,
        chart_timeline_controls_margin_right: float = None,
        chart_timeline_controls_playback_button_margin_right: float = None,
        chart_timeline_controls_scrubber_height: float = None,
        chart_timeline_controls_playback_button_margin_right_button: float = None,
        chart_timeline_controls_graph_settings: bool = None,
        chart_timeline_controls_color_background: str = None,
        chart_timeline_controls_graph_height: float = None,
        chart_timeline_controls_curve: bool = None,
        chart_timeline_controls_playback_styling: bool = None,
        chart_timeline_controls_playback_button_button_color: str = None,
        chart_timeline_controls_playback_button_button_size: float = None,
        chart_timeline_controls_playback_button_icon_color: str = None,
        chart_timeline_controls_playback_button_icon_size: float = None,
        chart_timeline_controls_playback_button_label_size: float = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: sports race.


        :param preset_svg: Choices: athletics, swimming, cycling, custom. Flourish type hint: string, defaults to None.
        :type preset_svg: str, optional
        :param custom_svg: Custom SVG. Use a custom track using your own SVG Flourish type hint: text, defaults to None.
        :type custom_svg: Union[list, str], optional
        :param track_path_id: Path ID. The ID of the element in the SVG which defines the center of the track. Flourish type hint: string, defaults to None.
        :type track_path_id: str, optional
        :param track_lane_width: Lane width. The distance between each participant. Flourish type hint: number, defaults to None.
        :type track_lane_width: float, optional
        :param track_back_and_forth: Track type. Choices: False, True. Whether the track goes back and forth, like a swimming pool, or back to the start, like a race track. Flourish type hint: boolean, defaults to None.
        :type track_back_and_forth: bool, optional
        :param participant_icon_mode: Icon type. Choices: circle, image. Flourish type hint: string, defaults to None.
        :type participant_icon_mode: str, optional
        :param participant_size: Size. Flourish type hint: number, defaults to None.
        :type participant_size: float, optional
        :param participant_stroke_width: Line width. Flourish type hint: number, defaults to None.
        :type participant_stroke_width: float, optional
        :param participant_stroke_opacity: Stroke opacity. Flourish type hint: number, defaults to None.
        :type participant_stroke_opacity: float, optional
        :param participant_fill_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type participant_fill_opacity: float, optional
        :param preset_participant_image: Default images. Choices: runner, swimmer, cyclist, custom. The images used if no image is included for the participant in the datasheet. Flourish type hint: string, defaults to None.
        :type preset_participant_image: str, optional
        :param custom_participant_start_image: Custom start image. The image shown at the start of the race. Flourish type hint: url, defaults to None.
        :type custom_participant_start_image: str, optional
        :param custom_participant_race_image: Custom racing image. The image shown while the participant is racing. Flourish type hint: url, defaults to None.
        :type custom_participant_race_image: str, optional
        :param custom_participant_finish_image: Custom finish image. The image shown when the participant has finished the race. Flourish type hint: url, defaults to None.
        :type custom_participant_finish_image: str, optional
        :param image_initial_rotation: Rotate images. Choices: 0, 90, 180, 270. Flourish type hint: string, defaults to None.
        :type image_initial_rotation: str, optional
        :param image_initial_flip_x: Flip horizontally. Flourish type hint: boolean, defaults to None.
        :type image_initial_flip_x: bool, optional
        :param image_initial_flip_y: Flip vertically. Flourish type hint: boolean, defaults to None.
        :type image_initial_flip_y: bool, optional
        :param image_transform_mode: Direction change. Choices: rotate, flip_x, flip_y, flip_both, static. Change the direction of the image based on which way the participant is traveling.    Rotate rotates the image to face the direction of travel.   Flip horizontally flips the image horizontally depending on whether the participant is traveling towards the left or right.   Flip vertically flips the image vertically depending on whether the participant is traveling towards the top or bottom.   Flip horizontally and vertically combines the horizontal and vertical flip settings.   Static doesnt change the direction of the image.  Flourish type hint: string, defaults to None.
        :type image_transform_mode: str, optional
        :param participant_icon_recolor: Recolor icons. Apply colors to differentiate the participants. Works best with greyscale images. Flourish type hint: boolean, defaults to None.
        :type participant_icon_recolor: bool, optional
        :param chart_participant_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_participant_color_scale_categorical_palette: Union[list, str], optional
        :param chart_participant_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_participant_color_scale_categorical_extend: bool, optional
        :param chart_participant_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_participant_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_participant_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_participant_color_scale_numeric_type: str, optional
        :param chart_participant_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_participant_color_scale_binning: bool, optional
        :param chart_participant_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_participant_color_scale_bin_mode: str, optional
        :param chart_participant_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_participant_color_scale_bin_count: float, optional
        :param chart_participant_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_participant_color_scale_bin_thresholds: str, optional
        :param chart_participant_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_participant_color_scale_sequential_palette: str, optional
        :param chart_participant_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_participant_color_scale_sequential_reverse: bool, optional
        :param chart_participant_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_participant_color_scale_sequential_custom_min: str, optional
        :param chart_participant_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_participant_color_scale_sequential_custom_max: str, optional
        :param chart_participant_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_participant_color_scale_sequential_color_space: str, optional
        :param chart_participant_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_participant_color_scale_sequential_custom_domain: bool, optional
        :param chart_participant_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_participant_color_scale_sequential_domain_min: float, optional
        :param chart_participant_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_participant_color_scale_sequential_domain_max: float, optional
        :param chart_participant_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_participant_color_scale_diverging_palette: str, optional
        :param chart_participant_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_participant_color_scale_diverging_reverse: bool, optional
        :param chart_participant_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_participant_color_scale_diverging_custom_min: str, optional
        :param chart_participant_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_participant_color_scale_diverging_custom_mid: str, optional
        :param chart_participant_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_participant_color_scale_diverging_custom_max: str, optional
        :param chart_participant_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_participant_color_scale_diverging_color_space: str, optional
        :param chart_participant_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_participant_color_scale_diverging_custom_domain: bool, optional
        :param chart_participant_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_participant_color_scale_diverging_domain_min: float, optional
        :param chart_participant_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_participant_color_scale_diverging_domain_mid: float, optional
        :param chart_participant_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_participant_color_scale_diverging_domain_max: float, optional
        :param camera_mode: Camera mode. Choices: track, leader. Flourish type hint: string, defaults to None.
        :type camera_mode: str, optional
        :param zoom: Zoom level. How much to zoom in when playing. Flourish type hint: number, defaults to None.
        :type zoom: float, optional
        :param checkpoint_mode: Checkpoint mode. Choices: laps, splits, custom. Flourish type hint: string, defaults to None.
        :type checkpoint_mode: str, optional
        :param checkpoints: Checkpoints. Enter the number of laps completed at each recorded checkpoint/column in the data. E.g. "0.5, 1, 1.5, 2" would mean that the times were taken every half a lap. Enter one checkpoint per line. Flourish type hint: text, defaults to None.
        :type checkpoints: Union[list, str], optional
        :param times_cumulative: Times are cumulative. Switch on if the time columns represent the cumulative time taken at each checkpoint (e.g. 12, 25, 36).  Switch off if the times represent how long individual checkpoints took to complete (e.g. 12, 13, 11). Flourish type hint: boolean, defaults to None.
        :type times_cumulative: bool, optional
        :param participant_label_mode: Label mode. Choices: auto, leader, all, custom. Determines which labels are drawn. Auto draws as many labels as possible whilst avoiding overlaps. Flourish type hint: string, defaults to None.
        :type participant_label_mode: str, optional
        :param participant_label_custom: Participants to label. Enter the names of the participants to label. These must exactly match the names in your data. Enter one name per line. Flourish type hint: text, defaults to None.
        :type participant_label_custom: Union[list, str], optional
        :param participant_label_position: Label position. Choices: auto, left, right. Flourish type hint: string, defaults to None.
        :type participant_label_position: str, optional
        :param participant_label_style: Style. Flourish type hint: boolean, defaults to None.
        :type participant_label_style: bool, optional
        :param participant_label_color: Color. Flourish type hint: color, defaults to None.
        :type participant_label_color: str, optional
        :param participant_label_size: Size. Flourish type hint: number, defaults to None.
        :type participant_label_size: float, optional
        :param participant_label_stroke: Outline. Flourish type hint: color, defaults to None.
        :type participant_label_stroke: str, optional
        :param participant_label_stroke_size: Outline width. As a % of the font size. Flourish type hint: number, defaults to None.
        :type participant_label_stroke_size: float, optional
        :param participant_label_weight: Weight. Choices: 400, 600. Flourish type hint: string, defaults to None.
        :type participant_label_weight: str, optional
        :param participant_highlight: Highlight icons. Highlight the labeled participant(s). Flourish type hint: boolean, defaults to None.
        :type participant_highlight: bool, optional
        :param participant_highlight_color: Highlight color. Flourish type hint: color, defaults to None.
        :type participant_highlight_color: str, optional
        :param participant_highlight_width: Highlight width. Flourish type hint: number, defaults to None.
        :type participant_highlight_width: float, optional
        :param label_position_enabled: Choices: False, True. Whether to show the position of the participant in the label. Flourish type hint: boolean, defaults to None.
        :type label_position_enabled: bool, optional
        :param label_position_time: Show position. Choices: always, race, finish. Set to At finish, to only show a participants position when theyve completed the race.  Set to During race, to only show a participants position while they are still racing. Flourish type hint: string, defaults to None.
        :type label_position_time: str, optional
        :param label_position_type: Position to show. Choices: current, finish. Whether to show a participants current position in the race, or their finishing position. Flourish type hint: string, defaults to None.
        :type label_position_type: str, optional
        :param label_medal_enabled: Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type label_medal_enabled: bool, optional
        :param label_medal_time: Show medals. Choices: always, race, finish. Set to At finish, to only show a participants medal when theyve completed the race.  Set to During race, to only show a participants medal while they are still racing. Flourish type hint: string, defaults to None.
        :type label_medal_time: str, optional
        :param label_medal_type: Medal to show. Choices: current, finish. Whether to show the medal position for a participant at the current point in the race, or the medal they win at the end of the race. Flourish type hint: string, defaults to None.
        :type label_medal_type: str, optional
        :param label_medal_replace_position: Replace position. Turn on to replace a participants position label with their medal if they are in a medal position. Flourish type hint: boolean, defaults to None.
        :type label_medal_replace_position: bool, optional
        :param label_finishing_time_enabled: Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type label_finishing_time_enabled: bool, optional
        :param label_finishing_time_time: Show finishing time. Choices: always, finish. Flourish type hint: string, defaults to None.
        :type label_finishing_time_time: str, optional
        :param participant_stacking: Choices: sheet_order, rank, y_position. Determines which participants obscure other participants when they overlap. Flourish type hint: string, defaults to None.
        :type participant_stacking: str, optional
        :param chart_timeline_controls_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_enabled: bool, optional
        :param chart_timeline_controls_style: Style. Choices: timeline, button. Flourish type hint: string, defaults to None.
        :type chart_timeline_controls_style: str, optional
        :param chart_timeline_controls_graph: Show chart. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_graph: bool, optional
        :param chart_timeline_controls_play_on_load: Play on load. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_play_on_load: bool, optional
        :param chart_timeline_controls_loop: Loop timeline. When turned on, the timeline will return to the beginning once complete. Otherwise, it will stop when it reaches the end. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_loop: bool, optional
        :param chart_timeline_controls_duration: Timeline duration. Total duration of the timeline during normal playback in seconds. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_duration: float, optional
        :param chart_timeline_controls_duration_tween: Time jump duration. Duration of transitions between different points in time on the timeline.  This is the transition you see in the story player when switching between slides with a different time on the timeline (in seconds). Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_duration_tween: float, optional
        :param chart_timeline_controls_duration_wait_at_end: Pause before loop. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_duration_wait_at_end: float, optional
        :param chart_timeline_controls_axes_custom_enabled: Axis settings. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_axes_custom_enabled: bool, optional
        :param chart_timeline_controls_color_axes: Axes color. Flourish type hint: color, defaults to None.
        :type chart_timeline_controls_color_axes: str, optional
        :param chart_timeline_controls_axis_font_size: Font size. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_axis_font_size: float, optional
        :param chart_timeline_controls_date_format_display: X axis date format. Choices:, %Y-%m-%dT%H:%M:%S.%LZ, %Y-%m-%d, %m/%d/%Y, %d/%m/%Y, %d-%b-%y, %m/%Y, %b %Y, %b %y, %B %d, %d %b, %Y, %B, %b, %A, %a, %H:%M:%S, %I:%M %p, %H:%M. Flourish type hint: string, defaults to None.
        :type chart_timeline_controls_date_format_display: str, optional
        :param chart_timeline_controls_axis_nice_x: Clean X axis. Rounds out the X axis so that its start and end values are nice, round dates. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_axis_nice_x: bool, optional
        :param chart_timeline_controls_axis_nice_y: Clean Y axis. Rounds out the Y axis so that its start and end values are nice, round numbers. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_axis_nice_y: bool, optional
        :param chart_timeline_controls_scrubber_snap: Snap when scrubbing. When turned on, you can only jump to values that are supplied in the dataset and nothing in between. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_scrubber_snap: bool, optional
        :param chart_timeline_controls_scrubber_snap_paused: Snap when paused. Activate to snap the timeline to the closest interval when non animating. This is useful for ensuring the data visible in the visualization always reflects the data you have supplied. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_scrubber_snap_paused: bool, optional
        :param chart_timeline_controls_layout_settings: Layout settings. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_layout_settings: bool, optional
        :param chart_timeline_controls_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_margin_top: float, optional
        :param chart_timeline_controls_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_margin_left: float, optional
        :param chart_timeline_controls_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_margin_bottom: float, optional
        :param chart_timeline_controls_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_margin_right: float, optional
        :param chart_timeline_controls_playback_button_margin_right: Space between button and timeline. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_playback_button_margin_right: float, optional
        :param chart_timeline_controls_scrubber_height: Scrubber height. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_scrubber_height: float, optional
        :param chart_timeline_controls_playback_button_margin_right_button: Space between button and text. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_playback_button_margin_right_button: float, optional
        :param chart_timeline_controls_graph_settings: Chart settings. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_graph_settings: bool, optional
        :param chart_timeline_controls_color_background: Background. Flourish type hint: color, defaults to None.
        :type chart_timeline_controls_color_background: str, optional
        :param chart_timeline_controls_graph_height: Height. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_graph_height: float, optional
        :param chart_timeline_controls_curve: Curved lines. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_curve: bool, optional
        :param chart_timeline_controls_playback_styling: Play button settings. Flourish type hint: boolean, defaults to None.
        :type chart_timeline_controls_playback_styling: bool, optional
        :param chart_timeline_controls_playback_button_button_color: Button color. Flourish type hint: color, defaults to None.
        :type chart_timeline_controls_playback_button_button_color: str, optional
        :param chart_timeline_controls_playback_button_button_size: Button size. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_playback_button_button_size: float, optional
        :param chart_timeline_controls_playback_button_icon_color: Icon color. Flourish type hint: color, defaults to None.
        :type chart_timeline_controls_playback_button_icon_color: str, optional
        :param chart_timeline_controls_playback_button_icon_size: Icon size. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_playback_button_icon_size: float, optional
        :param chart_timeline_controls_playback_button_label_size: Label size. Flourish type hint: number, defaults to None.
        :type chart_timeline_controls_playback_button_label_size: float, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "participant_color": {},
                "timeline": {"margin": {}, "playback_button": {}},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        list_preset_svg = ["athletics", "swimming", "cycling", "custom"] + [None]
        if preset_svg not in list_preset_svg:
            raise ValueError(
                f"`preset_svg` must be one of: ['athletics', 'swimming', 'cycling', 'custom']"
            )
        elif preset_svg in list_preset_svg and preset_svg is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "athletics": "athletics",
                    "swimming": "swimming",
                    "cycling": "cycling",
                    "custom": "custom",
                }.items()
                if preset_svg in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["preset_svg"] = filtered_dict[preset_svg]

        if (
            custom_svg is not None
            and len(custom_svg) > 1
            and isinstance(custom_svg, list)
        ):
            self.state["state"]["custom_svg"] = " \n ".join(custom_svg)
        else:
            self.state["state"]["custom_svg"] = custom_svg

        self.state["state"]["track_path_id"] = track_path_id
        self.state["state"]["track_lane_width"] = track_lane_width

        list_track_back_and_forth = [False, True] + [None]
        if track_back_and_forth not in list_track_back_and_forth:
            raise ValueError(f"`track_back_and_forth` must be one of: [False, True]")
        elif (
            track_back_and_forth in list_track_back_and_forth
            and track_back_and_forth is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if track_back_and_forth in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["track_back_and_forth"] = filtered_dict[
                    track_back_and_forth
                ]

        list_participant_icon_mode = ["circle", "image"] + [None]
        if participant_icon_mode not in list_participant_icon_mode:
            raise ValueError(
                f"`participant_icon_mode` must be one of: ['circle', 'image']"
            )
        elif (
            participant_icon_mode in list_participant_icon_mode
            and participant_icon_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"circle": "circle", "image": "image"}.items()
                if participant_icon_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["participant_icon_mode"] = filtered_dict[
                    participant_icon_mode
                ]
        self.state["state"]["participant_size"] = participant_size
        self.state["state"]["participant_stroke_width"] = participant_stroke_width
        self.state["state"]["participant_stroke_opacity"] = participant_stroke_opacity
        self.state["state"]["participant_fill_opacity"] = participant_fill_opacity

        list_preset_participant_image = ["runner", "swimmer", "cyclist", "custom"] + [
            None
        ]
        if preset_participant_image not in list_preset_participant_image:
            raise ValueError(
                f"`preset_participant_image` must be one of: ['runner', 'swimmer', 'cyclist', 'custom']"
            )
        elif (
            preset_participant_image in list_preset_participant_image
            and preset_participant_image is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "runner": "runner",
                    "swimmer": "swimmer",
                    "cyclist": "cyclist",
                    "custom": "custom",
                }.items()
                if preset_participant_image in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["preset_participant_image"] = filtered_dict[
                    preset_participant_image
                ]
        self.state["state"][
            "custom_participant_start_image"
        ] = custom_participant_start_image
        self.state["state"][
            "custom_participant_race_image"
        ] = custom_participant_race_image
        self.state["state"][
            "custom_participant_finish_image"
        ] = custom_participant_finish_image

        list_image_initial_rotation = ["0", "90", "180", "270"] + [None]
        if image_initial_rotation not in list_image_initial_rotation:
            raise ValueError(
                f"`image_initial_rotation` must be one of: ['0', '90', '180', '270']"
            )
        elif (
            image_initial_rotation in list_image_initial_rotation
            and image_initial_rotation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"0": "0", "90": "90", "180": "180", "270": "270"}.items()
                if image_initial_rotation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_initial_rotation"] = filtered_dict[
                    image_initial_rotation
                ]
        self.state["state"]["image_initial_flip_x"] = image_initial_flip_x
        self.state["state"]["image_initial_flip_y"] = image_initial_flip_y

        list_image_transform_mode = [
            "rotate",
            "flip_x",
            "flip_y",
            "flip_both",
            "static",
        ] + [None]
        if image_transform_mode not in list_image_transform_mode:
            raise ValueError(
                f"`image_transform_mode` must be one of: ['rotate', 'flip_x', 'flip_y', 'flip_both', 'static']"
            )
        elif (
            image_transform_mode in list_image_transform_mode
            and image_transform_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rotate": "rotate",
                    "flip_x": "flip_x",
                    "flip_y": "flip_y",
                    "flip_both": "flip_both",
                    "static": "static",
                }.items()
                if image_transform_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_transform_mode"] = filtered_dict[
                    image_transform_mode
                ]
        self.state["state"]["participant_icon_recolor"] = participant_icon_recolor

        if (
            chart_participant_color_scale_categorical_palette is not None
            and len(chart_participant_color_scale_categorical_palette) > 1
            and isinstance(chart_participant_color_scale_categorical_palette, list)
        ):
            self.state["state"]["participant_color"][
                "categorical_palette"
            ] = " \n ".join(chart_participant_color_scale_categorical_palette)
        else:
            self.state["state"]["participant_color"][
                "categorical_palette"
            ] = chart_participant_color_scale_categorical_palette

        self.state["state"]["participant_color"][
            "categorical_extend"
        ] = chart_participant_color_scale_categorical_extend

        if (
            chart_participant_color_scale_categorical_custom_palette is not None
            and len(chart_participant_color_scale_categorical_custom_palette) > 1
            and isinstance(
                chart_participant_color_scale_categorical_custom_palette, list
            )
        ):
            self.state["state"]["participant_color"][
                "categorical_custom_palette"
            ] = " \n ".join(chart_participant_color_scale_categorical_custom_palette)
        else:
            self.state["state"]["participant_color"][
                "categorical_custom_palette"
            ] = chart_participant_color_scale_categorical_custom_palette

        list_chart_participant_color_scale_numeric_type = [
            "sequential",
            "diverging",
        ] + [None]
        if (
            chart_participant_color_scale_numeric_type
            not in list_chart_participant_color_scale_numeric_type
        ):
            raise ValueError(
                f"`chart_participant_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_participant_color_scale_numeric_type
            in list_chart_participant_color_scale_numeric_type
            and chart_participant_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_participant_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["participant_color"][
                    "numeric_type"
                ] = filtered_dict[chart_participant_color_scale_numeric_type]

        list_chart_participant_color_scale_binning = [False, True] + [None]
        if (
            chart_participant_color_scale_binning
            not in list_chart_participant_color_scale_binning
        ):
            raise ValueError(
                f"`chart_participant_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_participant_color_scale_binning
            in list_chart_participant_color_scale_binning
            and chart_participant_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_participant_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["participant_color"]["binning"] = filtered_dict[
                    chart_participant_color_scale_binning
                ]

        list_chart_participant_color_scale_bin_mode = [
            "fixed",
            "quantile",
            "custom",
        ] + [None]
        if (
            chart_participant_color_scale_bin_mode
            not in list_chart_participant_color_scale_bin_mode
        ):
            raise ValueError(
                f"`chart_participant_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_participant_color_scale_bin_mode
            in list_chart_participant_color_scale_bin_mode
            and chart_participant_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_participant_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["participant_color"]["bin_mode"] = filtered_dict[
                    chart_participant_color_scale_bin_mode
                ]
        self.state["state"]["participant_color"][
            "bin_count"
        ] = chart_participant_color_scale_bin_count
        self.state["state"]["participant_color"][
            "bin_thresholds"
        ] = chart_participant_color_scale_bin_thresholds
        self.state["state"]["participant_color"][
            "sequential_palette"
        ] = chart_participant_color_scale_sequential_palette
        self.state["state"]["participant_color"][
            "sequential_reverse"
        ] = chart_participant_color_scale_sequential_reverse
        self.state["state"]["participant_color"][
            "sequential_custom_min"
        ] = chart_participant_color_scale_sequential_custom_min
        self.state["state"]["participant_color"][
            "sequential_custom_max"
        ] = chart_participant_color_scale_sequential_custom_max

        list_chart_participant_color_scale_sequential_color_space = [
            "rgb",
            "lab",
            "hcl",
            "hsl",
        ] + [None]
        if (
            chart_participant_color_scale_sequential_color_space
            not in list_chart_participant_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_participant_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_participant_color_scale_sequential_color_space
            in list_chart_participant_color_scale_sequential_color_space
            and chart_participant_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_participant_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["participant_color"][
                    "sequential_color_space"
                ] = filtered_dict[chart_participant_color_scale_sequential_color_space]

        list_chart_participant_color_scale_sequential_custom_domain = [False, True] + [
            None
        ]
        if (
            chart_participant_color_scale_sequential_custom_domain
            not in list_chart_participant_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_participant_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_participant_color_scale_sequential_custom_domain
            in list_chart_participant_color_scale_sequential_custom_domain
            and chart_participant_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_participant_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["participant_color"][
                    "sequential_custom_domain"
                ] = filtered_dict[
                    chart_participant_color_scale_sequential_custom_domain
                ]
        self.state["state"]["participant_color"][
            "sequential_domain_min"
        ] = chart_participant_color_scale_sequential_domain_min
        self.state["state"]["participant_color"][
            "sequential_domain_max"
        ] = chart_participant_color_scale_sequential_domain_max
        self.state["state"]["participant_color"][
            "diverging_palette"
        ] = chart_participant_color_scale_diverging_palette
        self.state["state"]["participant_color"][
            "diverging_reverse"
        ] = chart_participant_color_scale_diverging_reverse
        self.state["state"]["participant_color"][
            "diverging_custom_min"
        ] = chart_participant_color_scale_diverging_custom_min
        self.state["state"]["participant_color"][
            "diverging_custom_mid"
        ] = chart_participant_color_scale_diverging_custom_mid
        self.state["state"]["participant_color"][
            "diverging_custom_max"
        ] = chart_participant_color_scale_diverging_custom_max

        list_chart_participant_color_scale_diverging_color_space = [
            "rgb",
            "lab",
            "hcl",
            "hsl",
        ] + [None]
        if (
            chart_participant_color_scale_diverging_color_space
            not in list_chart_participant_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_participant_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_participant_color_scale_diverging_color_space
            in list_chart_participant_color_scale_diverging_color_space
            and chart_participant_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_participant_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["participant_color"][
                    "diverging_color_space"
                ] = filtered_dict[chart_participant_color_scale_diverging_color_space]

        list_chart_participant_color_scale_diverging_custom_domain = [False, True] + [
            None
        ]
        if (
            chart_participant_color_scale_diverging_custom_domain
            not in list_chart_participant_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_participant_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_participant_color_scale_diverging_custom_domain
            in list_chart_participant_color_scale_diverging_custom_domain
            and chart_participant_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_participant_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["participant_color"][
                    "diverging_custom_domain"
                ] = filtered_dict[chart_participant_color_scale_diverging_custom_domain]
        self.state["state"]["participant_color"][
            "diverging_domain_min"
        ] = chart_participant_color_scale_diverging_domain_min
        self.state["state"]["participant_color"][
            "diverging_domain_mid"
        ] = chart_participant_color_scale_diverging_domain_mid
        self.state["state"]["participant_color"][
            "diverging_domain_max"
        ] = chart_participant_color_scale_diverging_domain_max

        list_camera_mode = ["track", "leader"] + [None]
        if camera_mode not in list_camera_mode:
            raise ValueError(f"`camera_mode` must be one of: ['track', 'leader']")
        elif camera_mode in list_camera_mode and camera_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"track": "track", "leader": "leader"}.items()
                if camera_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["camera_mode"] = filtered_dict[camera_mode]
        self.state["state"]["zoom"] = zoom

        list_checkpoint_mode = ["laps", "splits", "custom"] + [None]
        if checkpoint_mode not in list_checkpoint_mode:
            raise ValueError(
                f"`checkpoint_mode` must be one of: ['laps', 'splits', 'custom']"
            )
        elif checkpoint_mode in list_checkpoint_mode and checkpoint_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "laps": "laps",
                    "splits": "splits",
                    "custom": "custom",
                }.items()
                if checkpoint_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["checkpoint_mode"] = filtered_dict[checkpoint_mode]

        if (
            checkpoints is not None
            and len(checkpoints) > 1
            and isinstance(checkpoints, list)
        ):
            self.state["state"]["checkpoints"] = " \n ".join(checkpoints)
        else:
            self.state["state"]["checkpoints"] = checkpoints

        self.state["state"]["times_cumulative"] = times_cumulative

        list_participant_label_mode = ["auto", "leader", "all", "custom"] + [None]
        if participant_label_mode not in list_participant_label_mode:
            raise ValueError(
                f"`participant_label_mode` must be one of: ['auto', 'leader', 'all', 'custom']"
            )
        elif (
            participant_label_mode in list_participant_label_mode
            and participant_label_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "leader": "leader",
                    "all": "all",
                    "custom": "custom",
                }.items()
                if participant_label_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["participant_label_mode"] = filtered_dict[
                    participant_label_mode
                ]

        if (
            participant_label_custom is not None
            and len(participant_label_custom) > 1
            and isinstance(participant_label_custom, list)
        ):
            self.state["state"]["participant_label_custom"] = " \n ".join(
                participant_label_custom
            )
        else:
            self.state["state"]["participant_label_custom"] = participant_label_custom

        list_participant_label_position = ["auto", "left", "right"] + [None]
        if participant_label_position not in list_participant_label_position:
            raise ValueError(
                f"`participant_label_position` must be one of: ['auto', 'left', 'right']"
            )
        elif (
            participant_label_position in list_participant_label_position
            and participant_label_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "left": "left", "right": "right"}.items()
                if participant_label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["participant_label_position"] = filtered_dict[
                    participant_label_position
                ]
        self.state["state"]["participant_label_style"] = participant_label_style
        self.state["state"]["participant_label_color"] = participant_label_color
        self.state["state"]["participant_label_size"] = participant_label_size
        self.state["state"]["participant_label_stroke"] = participant_label_stroke
        self.state["state"][
            "participant_label_stroke_size"
        ] = participant_label_stroke_size

        list_participant_label_weight = ["400", "600"] + [None]
        if participant_label_weight not in list_participant_label_weight:
            raise ValueError(
                f"`participant_label_weight` must be one of: ['400', '600']"
            )
        elif (
            participant_label_weight in list_participant_label_weight
            and participant_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"400": "400", "600": "600"}.items()
                if participant_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["participant_label_weight"] = filtered_dict[
                    participant_label_weight
                ]
        self.state["state"]["participant_highlight"] = participant_highlight
        self.state["state"]["participant_highlight_color"] = participant_highlight_color
        self.state["state"]["participant_highlight_width"] = participant_highlight_width

        list_label_position_enabled = [False, True] + [None]
        if label_position_enabled not in list_label_position_enabled:
            raise ValueError(f"`label_position_enabled` must be one of: [False, True]")
        elif (
            label_position_enabled in list_label_position_enabled
            and label_position_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if label_position_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_position_enabled"] = filtered_dict[
                    label_position_enabled
                ]

        list_label_position_time = ["always", "race", "finish"] + [None]
        if label_position_time not in list_label_position_time:
            raise ValueError(
                f"`label_position_time` must be one of: ['always', 'race', 'finish']"
            )
        elif (
            label_position_time in list_label_position_time
            and label_position_time is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "always": "always",
                    "race": "race",
                    "finish": "finish",
                }.items()
                if label_position_time in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_position_time"] = filtered_dict[
                    label_position_time
                ]

        list_label_position_type = ["current", "finish"] + [None]
        if label_position_type not in list_label_position_type:
            raise ValueError(
                f"`label_position_type` must be one of: ['current', 'finish']"
            )
        elif (
            label_position_type in list_label_position_type
            and label_position_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"current": "current", "finish": "finish"}.items()
                if label_position_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_position_type"] = filtered_dict[
                    label_position_type
                ]

        list_label_medal_enabled = [False, True] + [None]
        if label_medal_enabled not in list_label_medal_enabled:
            raise ValueError(f"`label_medal_enabled` must be one of: [False, True]")
        elif (
            label_medal_enabled in list_label_medal_enabled
            and label_medal_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if label_medal_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_medal_enabled"] = filtered_dict[
                    label_medal_enabled
                ]

        list_label_medal_time = ["always", "race", "finish"] + [None]
        if label_medal_time not in list_label_medal_time:
            raise ValueError(
                f"`label_medal_time` must be one of: ['always', 'race', 'finish']"
            )
        elif label_medal_time in list_label_medal_time and label_medal_time is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "always": "always",
                    "race": "race",
                    "finish": "finish",
                }.items()
                if label_medal_time in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_medal_time"] = filtered_dict[
                    label_medal_time
                ]

        list_label_medal_type = ["current", "finish"] + [None]
        if label_medal_type not in list_label_medal_type:
            raise ValueError(
                f"`label_medal_type` must be one of: ['current', 'finish']"
            )
        elif label_medal_type in list_label_medal_type and label_medal_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"current": "current", "finish": "finish"}.items()
                if label_medal_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_medal_type"] = filtered_dict[
                    label_medal_type
                ]
        self.state["state"][
            "label_medal_replace_position"
        ] = label_medal_replace_position

        list_label_finishing_time_enabled = [False, True] + [None]
        if label_finishing_time_enabled not in list_label_finishing_time_enabled:
            raise ValueError(
                f"`label_finishing_time_enabled` must be one of: [False, True]"
            )
        elif (
            label_finishing_time_enabled in list_label_finishing_time_enabled
            and label_finishing_time_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if label_finishing_time_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_finishing_time_enabled"] = filtered_dict[
                    label_finishing_time_enabled
                ]

        list_label_finishing_time_time = ["always", "finish"] + [None]
        if label_finishing_time_time not in list_label_finishing_time_time:
            raise ValueError(
                f"`label_finishing_time_time` must be one of: ['always', 'finish']"
            )
        elif (
            label_finishing_time_time in list_label_finishing_time_time
            and label_finishing_time_time is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"always": "always", "finish": "finish"}.items()
                if label_finishing_time_time in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_finishing_time_time"] = filtered_dict[
                    label_finishing_time_time
                ]

        list_participant_stacking = ["sheet_order", "rank", "y_position"] + [None]
        if participant_stacking not in list_participant_stacking:
            raise ValueError(
                f"`participant_stacking` must be one of: ['sheet_order', 'rank', 'y_position']"
            )
        elif (
            participant_stacking in list_participant_stacking
            and participant_stacking is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sheet_order": "sheet_order",
                    "rank": "rank",
                    "y_position": "y_position",
                }.items()
                if participant_stacking in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["participant_stacking"] = filtered_dict[
                    participant_stacking
                ]

        list_chart_timeline_controls_enabled = [True, False] + [None]
        if chart_timeline_controls_enabled not in list_chart_timeline_controls_enabled:
            raise ValueError(
                f"`chart_timeline_controls_enabled` must be one of: [True, False]"
            )
        elif (
            chart_timeline_controls_enabled in list_chart_timeline_controls_enabled
            and chart_timeline_controls_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_timeline_controls_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["timeline"]["enabled"] = filtered_dict[
                    chart_timeline_controls_enabled
                ]

        list_chart_timeline_controls_style = ["timeline", "button"] + [None]
        if chart_timeline_controls_style not in list_chart_timeline_controls_style:
            raise ValueError(
                f"`chart_timeline_controls_style` must be one of: ['timeline', 'button']"
            )
        elif (
            chart_timeline_controls_style in list_chart_timeline_controls_style
            and chart_timeline_controls_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"timeline": "timeline", "button": "button"}.items()
                if chart_timeline_controls_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["timeline"]["style"] = filtered_dict[
                    chart_timeline_controls_style
                ]

        list_chart_timeline_controls_graph = [True, False] + [None]
        if chart_timeline_controls_graph not in list_chart_timeline_controls_graph:
            raise ValueError(
                f"`chart_timeline_controls_graph` must be one of: [True, False]"
            )
        elif (
            chart_timeline_controls_graph in list_chart_timeline_controls_graph
            and chart_timeline_controls_graph is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_timeline_controls_graph in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["timeline"]["graph"] = filtered_dict[
                    chart_timeline_controls_graph
                ]
        self.state["state"]["timeline"][
            "play_on_load"
        ] = chart_timeline_controls_play_on_load
        self.state["state"]["timeline"]["loop"] = chart_timeline_controls_loop
        self.state["state"]["timeline"]["duration"] = chart_timeline_controls_duration
        self.state["state"]["timeline"][
            "duration_tween"
        ] = chart_timeline_controls_duration_tween
        self.state["state"]["timeline"][
            "duration_wait_at_end"
        ] = chart_timeline_controls_duration_wait_at_end
        self.state["state"]["timeline"][
            "axes_custom_enabled"
        ] = chart_timeline_controls_axes_custom_enabled
        self.state["state"]["timeline"][
            "color_axes"
        ] = chart_timeline_controls_color_axes
        self.state["state"]["timeline"][
            "axis_font_size"
        ] = chart_timeline_controls_axis_font_size

        list_chart_timeline_controls_date_format_display = [
            "",
            "%Y-%m-%dT%H:%M:%S.%LZ",
            "%Y-%m-%d",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%d-%b-%y",
            "%m/%Y",
            "%b %Y",
            "%b %y",
            "%B %d",
            "%d %b",
            "%Y",
            "%B",
            "%b",
            "%A",
            "%a",
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
        ] + [None]
        if (
            chart_timeline_controls_date_format_display
            not in list_chart_timeline_controls_date_format_display
        ):
            raise ValueError(
                f"`chart_timeline_controls_date_format_display` must be one of: ['', '%Y-%m-%dT%H:%M:%S.%LZ', '%Y-%m-%d', '%m/%d/%Y', '%d/%m/%Y', '%d-%b-%y', '%m/%Y', '%b %Y', '%b %y', '%B %d', '%d %b', '%Y', '%B', '%b', '%A', '%a', '%H:%M:%S', '%I:%M %p', '%H:%M']"
            )
        elif (
            chart_timeline_controls_date_format_display
            in list_chart_timeline_controls_date_format_display
            and chart_timeline_controls_date_format_display is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "": "",
                    "%Y-%m-%dT%H:%M:%S.%LZ": "%Y-%m-%dT%H:%M:%S.%LZ",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%d-%b-%y": "%d-%b-%y",
                    "%m/%Y": "%m/%Y",
                    "%b %Y": "%b %Y",
                    "%b %y": "%b %y",
                    "%B %d": "%B %d",
                    "%d %b": "%d %b",
                    "%Y": "%Y",
                    "%B": "%B",
                    "%b": "%b",
                    "%A": "%A",
                    "%a": "%a",
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                }.items()
                if chart_timeline_controls_date_format_display in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["timeline"]["date_format_display"] = filtered_dict[
                    chart_timeline_controls_date_format_display
                ]
        self.state["state"]["timeline"][
            "axis_nice_x"
        ] = chart_timeline_controls_axis_nice_x
        self.state["state"]["timeline"][
            "axis_nice_y"
        ] = chart_timeline_controls_axis_nice_y
        self.state["state"]["timeline"][
            "scrubber_snap"
        ] = chart_timeline_controls_scrubber_snap
        self.state["state"]["timeline"][
            "scrubber_snap_paused"
        ] = chart_timeline_controls_scrubber_snap_paused
        self.state["state"]["timeline"][
            "layout_settings"
        ] = chart_timeline_controls_layout_settings
        self.state["state"]["timeline"]["margin"][
            "top"
        ] = chart_timeline_controls_margin_top
        self.state["state"]["timeline"]["margin"][
            "left"
        ] = chart_timeline_controls_margin_left
        self.state["state"]["timeline"]["margin"][
            "bottom"
        ] = chart_timeline_controls_margin_bottom
        self.state["state"]["timeline"]["margin"][
            "right"
        ] = chart_timeline_controls_margin_right
        self.state["state"]["timeline"]["playback_button"][
            "margin_right"
        ] = chart_timeline_controls_playback_button_margin_right
        self.state["state"]["timeline"][
            "scrubber_height"
        ] = chart_timeline_controls_scrubber_height
        self.state["state"]["timeline"]["playback_button"][
            "margin_right_button"
        ] = chart_timeline_controls_playback_button_margin_right_button
        self.state["state"]["timeline"][
            "graph_settings"
        ] = chart_timeline_controls_graph_settings
        self.state["state"]["timeline"][
            "color_background"
        ] = chart_timeline_controls_color_background
        self.state["state"]["timeline"][
            "graph_height"
        ] = chart_timeline_controls_graph_height
        self.state["state"]["timeline"]["curve"] = chart_timeline_controls_curve
        self.state["state"]["timeline"][
            "playback_styling"
        ] = chart_timeline_controls_playback_styling
        self.state["state"]["timeline"]["playback_button"][
            "button_color"
        ] = chart_timeline_controls_playback_button_button_color
        self.state["state"]["timeline"]["playback_button"][
            "button_size"
        ] = chart_timeline_controls_playback_button_button_size
        self.state["state"]["timeline"]["playback_button"][
            "icon_color"
        ] = chart_timeline_controls_playback_button_icon_color
        self.state["state"]["timeline"]["playback_button"][
            "icon_size"
        ] = chart_timeline_controls_playback_button_icon_size
        self.state["state"]["timeline"]["playback_button"][
            "label_size"
        ] = chart_timeline_controls_playback_button_label_size
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_survey_details(
        self,
        dot_fill: str = None,
        dot_opacity: float = None,
        dot_opacity_unhighlighted: float = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        dot_shape: str = None,
        dot_sides: float = None,
        outline_width: float = None,
        outline_color: str = None,
        dot_label: str = None,
        dot_label_color: str = None,
        dot_label_bold: bool = None,
        dot_label_min: float = None,
        dot_label_auto_size: bool = None,
        dot_label_fixed: float = None,
        dot_label_scale: float = None,
        dot_label_size_value: bool = None,
        all_group_label: str = None,
        include_grouped_questions_on_shade_menu: bool = None,
        include_grouped_questions_on_compare_menu: bool = None,
        order_groups_by_size: bool = None,
        order_groups_by_size_mode: str = None,
        group_colors: bool = None,
        exclusions: str = None,
        exclude_blanks: bool = None,
        bundle_small_groups: bool = None,
        small_groups_threshold: float = None,
        small_groups_other_label: str = None,
        label_mode: str = None,
        label_tight_fit: bool = None,
        label_color: str = None,
        label_min_font_size: float = None,
        label_max_font_size: float = None,
        label_group_padding_lines: float = None,
        label_shadow_size: float = None,
        label_shadow_color: str = None,
        label_group_count: bool = None,
        label_group_percent: bool = None,
        label_group_percent_decimals: float = None,
        always_show_x_label: bool = None,
        show_xy_axis_labels_when_comparing: bool = None,
        compare_y_axis_width: float = None,
        compare_x_axis_height: float = None,
        chart_height_mode: str = None,
        chart_aspect_ratio_wide: float = None,
        chart_aspect_ratio_narrow: float = None,
        map_opacity_map_mode: float = None,
        map_opacity_non_map_mode: float = None,
        map_max_group_size: float = None,
        map_dimensions: str = None,
        map_aspect_ratio: float = None,
        map_region: str = None,
        map_region_url: str = None,
        map_region_bounds_x1: float = None,
        map_region_bounds_x2: float = None,
        map_region_bounds_y2: float = None,
        map_region_bounds_y1: float = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_custom_accessible: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        panel_background_color: str = None,
        panel_background_opacity: float = None,
        panel_text_color: str = None,
        panel_text_size: float = None,
        panel_icon_color: str = None,
        panel_width: float = None,
        panel_cog_color: str = None,
        panel_overlay: bool = None,
        panel_hide_cog: bool = None,
        select_group_show: bool = None,
        select_color_show: bool = None,
        select_size_show: bool = None,
        select_compare_show: bool = None,
        histogram_show: bool = None,
        select_group_text: str = None,
        select_color_text: str = None,
        select_size_text: str = None,
        select_compare_text: str = None,
        select_filter_text: str = None,
        select_map_text: str = None,
        chart_filter_controls_control_type: str = None,
        chart_filter_controls_control_styles: bool = None,
        chart_filter_controls_control_title: str = None,
        chart_filter_controls_button_group: bool = None,
        chart_filter_controls_button_group_width_mode: str = None,
        chart_filter_controls_button_group_width_fixed: float = None,
        chart_filter_controls_dropdown_width_mode: str = None,
        chart_filter_controls_dropdown_width_fixed: float = None,
        chart_filter_controls_slider_width: float = None,
        chart_filter_controls_slider_max_label_width: float = None,
        chart_filter_controls_slider_step_time: float = None,
        chart_filter_controls_slider_loop: bool = None,
        chart_filter_controls_slider_restart_pause: float = None,
        chart_filter_controls_sort: bool = None,
        column_filter_show_all: bool = None,
        column_filter_show_all_label: str = None,
        chart_controls_style_font_size: float = None,
        chart_controls_style_font_weight: str = None,
        chart_controls_style_height: float = None,
        chart_button_control_style_background: str = None,
        chart_button_control_style_background_selected: str = None,
        chart_button_control_style_background_hover: str = None,
        chart_button_control_style_font_color: str = None,
        chart_button_control_style_font_color_selected: str = None,
        chart_button_control_style_font_color_hover: str = None,
        chart_button_control_style_button_styles_advanced: bool = None,
        chart_button_control_style_border_width: float = None,
        chart_button_control_style_border_color: str = None,
        chart_button_control_style_border_transparency: float = None,
        chart_button_control_style_border_radius: float = None,
        chart_slider_control_style_track_color: str = None,
        chart_slider_control_style_font_color: str = None,
        chart_slider_control_style_handle_color: str = None,
        chart_slider_control_style_play_color: str = None,
        chart_slider_control_style_track_height: float = None,
        chart_slider_control_style_handle_height: float = None,
        chart_slider_control_style_play_button: bool = None,
        chart_dropdown_control_style_background: str = None,
        chart_dropdown_control_style_font_color: str = None,
        chart_dropdown_control_style_border_styles_advanced: bool = None,
        chart_dropdown_control_style_border_style: str = None,
        chart_dropdown_control_style_border_width: float = None,
        chart_dropdown_control_style_border_color: str = None,
        chart_dropdown_control_style_border_transparency: float = None,
        chart_dropdown_control_style_border_radius: float = None,
        chart_categorical_legend_show_legend: bool = None,
        chart_categorical_legend_title_mode: str = None,
        chart_categorical_legend_title: str = None,
        chart_categorical_legend_swatch_width: float = None,
        chart_categorical_legend_swatch_height: float = None,
        chart_categorical_legend_swatch_radius: float = None,
        chart_categorical_legend_legend_items_padding: float = None,
        chart_categorical_legend_swatch_outline: bool = None,
        chart_categorical_legend_swatch_outline_color: str = None,
        chart_categorical_legend_order_override: Union[list, str] = None,
        chart_categorical_legend_icon_height: float = None,
        chart_categorical_legend_icon_color: str = None,
        chart_categorical_legend_max_width: float = None,
        chart_categorical_legend_orientation: str = None,
        legend_position: str = None,
        legend_hide_space: bool = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        zoom_on_double_click: bool = None,
        zoom_on_mousewheel: bool = None,
        transition_duration: float = None,
        transition_stagger: float = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: survey.


        :param dot_fill: Default color. If left blank, the first color in the color palette will be used. Flourish type hint: color, defaults to None.
        :type dot_fill: str, optional
        :param dot_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type dot_opacity: float, optional
        :param dot_opacity_unhighlighted: Opacity (unhighlighted). The opacity of the unhighlighted dots when one of the dots is highlighted. Flourish type hint: number, defaults to None.
        :type dot_opacity_unhighlighted: float, optional
        :param chart_color_scale_categorical_palette: Color when shading. The colors to use when shading by the answer to a questions. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the name of the category that you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26) Note that overrides from the "Color overrides" sheet take priority over the overrides in this setting. Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param dot_shape: Shape. Choices: circle, square, polygon. Flourish type hint: string, defaults to None.
        :type dot_shape: str, optional
        :param dot_sides: Sides. Flourish type hint: number, defaults to None.
        :type dot_sides: float, optional
        :param outline_width: Stroke width. In pixels. The width of the outline stroke. Flourish type hint: number, defaults to None.
        :type outline_width: float, optional
        :param outline_color: Stroke color. Outline color for your dots/squares/polygons. If not set, the layout background color will be used. Flourish type hint: color, defaults to None.
        :type outline_color: str, optional
        :param dot_label: Default label or emoji. A label or emoji to show on each dot. Overriden by any label specified using the Label column setting. Flourish type hint: string, defaults to None.
        :type dot_label: str, optional
        :param dot_label_color: Color. Flourish type hint: color, defaults to None.
        :type dot_label_color: str, optional
        :param dot_label_bold: Bold. Flourish type hint: boolean, defaults to None.
        :type dot_label_bold: bool, optional
        :param dot_label_min: Min size to display. The minimum text size in pixels for dot labels. Below this level they will not render. Flourish type hint: number, defaults to None.
        :type dot_label_min: float, optional
        :param dot_label_auto_size: Sizing mode. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type dot_label_auto_size: bool, optional
        :param dot_label_fixed: Size in %. Specifies font size across the graphic as a percentage of dot height. Flourish type hint: number, defaults to None.
        :type dot_label_fixed: float, optional
        :param dot_label_scale: Scale. Scales the labels up or down from their default size. Flourish type hint: number, defaults to None.
        :type dot_label_scale: float, optional
        :param dot_label_size_value: Show numerical value when sizing dots. Flourish type hint: boolean, defaults to None.
        :type dot_label_size_value: bool, optional
        :param all_group_label: Name for "all" group. Flourish type hint: string, defaults to None.
        :type all_group_label: str, optional
        :param include_grouped_questions_on_shade_menu: Include grouped questions on shading menu. Flourish type hint: boolean, defaults to None.
        :type include_grouped_questions_on_shade_menu: bool, optional
        :param include_grouped_questions_on_compare_menu: Include grouped questions on compare menu. Flourish type hint: boolean, defaults to None.
        :type include_grouped_questions_on_compare_menu: bool, optional
        :param order_groups_by_size: Order groups by size. Flourish type hint: boolean, defaults to None.
        :type order_groups_by_size: bool, optional
        :param order_groups_by_size_mode: Choices: ascending, descending. Flourish type hint: string, defaults to None.
        :type order_groups_by_size_mode: str, optional
        :param group_colors: Arrange groups by color. If selected, dots of the same color are grouped together; if not the dots are placed in spreadsheet order. Flourish type hint: boolean, defaults to None.
        :type group_colors: bool, optional
        :param exclusions: Exclude groups with the following names. Case-sensitive comma-separated list. Flourish type hint: string, defaults to None.
        :type exclusions: str, optional
        :param exclude_blanks: Exclude groups with blank names. Flourish type hint: boolean, defaults to None.
        :type exclude_blanks: bool, optional
        :param bundle_small_groups: Bundle small groups. Flourish type hint: boolean, defaults to None.
        :type bundle_small_groups: bool, optional
        :param small_groups_threshold: Min size. Flourish type hint: number, defaults to None.
        :type small_groups_threshold: float, optional
        :param small_groups_other_label: "Other" group label. Flourish type hint: string, defaults to None.
        :type small_groups_other_label: str, optional
        :param label_mode: Label position. Choices: atop, around, above. Flourish type hint: string, defaults to None.
        :type label_mode: str, optional
        :param label_tight_fit: Position close to group. Flourish type hint: boolean, defaults to None.
        :type label_tight_fit: bool, optional
        :param label_color: Text color. Flourish type hint: color, defaults to None.
        :type label_color: str, optional
        :param label_min_font_size: Min font size. In pixels; the actual font size in any view is set automatically between the min and max. Flourish type hint: number, defaults to None.
        :type label_min_font_size: float, optional
        :param label_max_font_size: Max font size. In pixels; the actual font size in any view is set automatically between the min and max. Flourish type hint: number, defaults to None.
        :type label_max_font_size: float, optional
        :param label_group_padding_lines: Space for labels. The amount of space to leave above the groups, specified in lines of text. Flourish type hint: number, defaults to None.
        :type label_group_padding_lines: float, optional
        :param label_shadow_size: Size. As percent of font size. Flourish type hint: number, defaults to None.
        :type label_shadow_size: float, optional
        :param label_shadow_color: Color. Flourish type hint: color, defaults to None.
        :type label_shadow_color: str, optional
        :param label_group_count: Show number of dots in group. Adds the number in brackets after the main label; ignored in chart, map and compare modes. Flourish type hint: boolean, defaults to None.
        :type label_group_count: bool, optional
        :param label_group_percent: Show group size as % of visible dots. Adds group size as a percent of visible dots, in brackets after the main label.  This setting is ignored in chart, map and compare modes and when showing a grouped question. Flourish type hint: boolean, defaults to None.
        :type label_group_percent: bool, optional
        :param label_group_percent_decimals: Decimal places on percentage labels. Flourish type hint: number, defaults to None.
        :type label_group_percent_decimals: float, optional
        :param always_show_x_label: Show X label when not comparing. Show the groups label at the bottom of chart when not comparing two metrics. Flourish type hint: boolean, defaults to None.
        :type always_show_x_label: bool, optional
        :param show_xy_axis_labels_when_comparing: Show X/Y labels when comparing. Show groups labels on both axes when comparing two metrics. Flourish type hint: boolean, defaults to None.
        :type show_xy_axis_labels_when_comparing: bool, optional
        :param compare_y_axis_width: Y axis width. Flourish type hint: number, defaults to None.
        :type compare_y_axis_width: float, optional
        :param compare_x_axis_height: X axis height. Flourish type hint: number, defaults to None.
        :type compare_x_axis_height: float, optional
        :param chart_height_mode: Height mode. Choices: auto, aspect_ratio. How the graphic height will be set when embedded with the responsive script embed without a specified height. Flourish type hint: string, defaults to None.
        :type chart_height_mode: str, optional
        :param chart_aspect_ratio_wide: Desktop. The chart aspect ratio on screens 640 pixels wide and higher (1 for square - a smaller value means a bigger height). Flourish type hint: number, defaults to None.
        :type chart_aspect_ratio_wide: float, optional
        :param chart_aspect_ratio_narrow: Mobile. The chart aspect ratio on screens narrower than 640 pixels (1 for square - a smaller value means a bigger height). Flourish type hint: number, defaults to None.
        :type chart_aspect_ratio_narrow: float, optional
        :param map_opacity_map_mode: Map opacity (in map mode). Flourish type hint: number, defaults to None.
        :type map_opacity_map_mode: float, optional
        :param map_opacity_non_map_mode: Map opacity (in other modes). Flourish type hint: number, defaults to None.
        :type map_opacity_non_map_mode: float, optional
        :param map_max_group_size: Max group size in map view. In relative units. Flourish type hint: number, defaults to None.
        :type map_max_group_size: float, optional
        :param map_dimensions: Map dimensions. Choices: auto, aspect_ratio. Flourish type hint: string, defaults to None.
        :type map_dimensions: str, optional
        :param map_aspect_ratio: Map aspect ratio. Aspect ratio of the map. 1 will make the map square. Flourish type hint: number, defaults to None.
        :type map_aspect_ratio: float, optional
        :param map_region: Region. Choices: world, usa, europe, custom. Flourish type hint: string, defaults to None.
        :type map_region: str, optional
        :param map_region_url: Url to equirectangular projection of map. Flourish type hint: url, defaults to None.
        :type map_region_url: str, optional
        :param map_region_bounds_x1: Minimum longitude. Flourish type hint: number, defaults to None.
        :type map_region_bounds_x1: float, optional
        :param map_region_bounds_x2: Maximum longitude. Flourish type hint: number, defaults to None.
        :type map_region_bounds_x2: float, optional
        :param map_region_bounds_y2: Minimum latitude. Flourish type hint: number, defaults to None.
        :type map_region_bounds_y2: float, optional
        :param map_region_bounds_y1: Maximum latitude. Flourish type hint: number, defaults to None.
        :type map_region_bounds_y1: float, optional
        :param chart_popup_mode: Choices: none, popup, panel, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML styling or add category colors to popup headers.  To hide parts of the popup when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML for designs, styles, and images.  To hide parts of the popup when a column is empty use the syntax `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_custom_accessible: Popup custom accessible content. A text alternative to visual custom popup content that will be read out by screenreaders. This content is added as an aria-label attribute to data point elements. You can still use `{{column_name}}` to add values from your data, but do not use HTML. For example: `{{Name}}, Population: {{Population}}, GDP: {{GDP}}`. If left empty, accessible content will fallback to the default popup content. Flourish type hint: text, defaults to None.
        :type chart_popup_popup_custom_accessible: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for styling or add category colors to panel headers.  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for designs, styles, images, videos and embedded Flourish charts,  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing Click position is especially useful when your visualization is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param panel_background_color: Background. Flourish type hint: color, defaults to None.
        :type panel_background_color: str, optional
        :param panel_background_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type panel_background_opacity: float, optional
        :param panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type panel_text_color: str, optional
        :param panel_text_size: Text size. Flourish type hint: number, defaults to None.
        :type panel_text_size: float, optional
        :param panel_icon_color: Icon color. Choices: light, dark. Flourish type hint: string, defaults to None.
        :type panel_icon_color: str, optional
        :param panel_width: Panel width. Width of the controls panels on wide screens, ignored on mobile. Flourish type hint: number, defaults to None.
        :type panel_width: float, optional
        :param panel_cog_color: Cog icon color. Flourish type hint: color, defaults to None.
        :type panel_cog_color: str, optional
        :param panel_overlay: Overlay panel over graphic. Flourish type hint: boolean, defaults to None.
        :type panel_overlay: bool, optional
        :param panel_hide_cog: Disable controls toggle in published graphic. When checked, the controls icon for showing/ hiding the controls panel is visible only in the visualization and story editors  not in the published visualization or story.  When making a story, you can still lock the panel to be visible or hidden by clicking the cog icon in the story editor. Flourish type hint: boolean, defaults to None.
        :type panel_hide_cog: bool, optional
        :param select_group_show: Group menu. Populated by all category columns. Flourish type hint: boolean, defaults to None.
        :type select_group_show: bool, optional
        :param select_color_show: Color menu. Populated by all category columns. Flourish type hint: boolean, defaults to None.
        :type select_color_show: bool, optional
        :param select_size_show: Size menu. Populated by all continuous number columns. Flourish type hint: boolean, defaults to None.
        :type select_size_show: bool, optional
        :param select_compare_show: Compare menu. Populated by all category columns; appears only when Group by is selected. Flourish type hint: boolean, defaults to None.
        :type select_compare_show: bool, optional
        :param histogram_show: Bar mode. Flourish type hint: boolean, defaults to None.
        :type histogram_show: bool, optional
        :param select_group_text: Group by. Flourish type hint: string, defaults to None.
        :type select_group_text: str, optional
        :param select_color_text: Shade by. Flourish type hint: string, defaults to None.
        :type select_color_text: str, optional
        :param select_size_text: Size by. Flourish type hint: string, defaults to None.
        :type select_size_text: str, optional
        :param select_compare_text: Compare. Flourish type hint: string, defaults to None.
        :type select_compare_text: str, optional
        :param select_filter_text: Filter. Flourish type hint: string, defaults to None.
        :type select_filter_text: str, optional
        :param select_map_text: Group location. Flourish type hint: string, defaults to None.
        :type select_map_text: str, optional
        :param chart_filter_controls_control_type: Control type. Choices: dropdown, buttons, slider. Choose between a dropdown, buttons or a  time slider Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_type: str, optional
        :param chart_filter_controls_control_styles: Adv. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_control_styles: bool, optional
        :param chart_filter_controls_control_title: Control title. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_control_title: str, optional
        :param chart_filter_controls_button_group: Grouped. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_button_group: bool, optional
        :param chart_filter_controls_button_group_width_mode: Button group width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_button_group_width_mode: str, optional
        :param chart_filter_controls_button_group_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_button_group_width_fixed: float, optional
        :param chart_filter_controls_dropdown_width_mode: Dropdown width. Choices: auto, full, fixed. Flourish type hint: string, defaults to None.
        :type chart_filter_controls_dropdown_width_mode: str, optional
        :param chart_filter_controls_dropdown_width_fixed: Width. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_dropdown_width_fixed: float, optional
        :param chart_filter_controls_slider_width: Slider width. Width of the slider track in rems Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_width: float, optional
        :param chart_filter_controls_slider_max_label_width: Max label width. In rems, multiples of base font size. If larger than the longest label, only the space required to fit labels will be used. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_max_label_width: float, optional
        :param chart_filter_controls_slider_step_time: Time between steps. Measured in seconds, positive values move the slider left to right, negative values move the slider right to left. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_step_time: float, optional
        :param chart_filter_controls_slider_loop: Loop. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_slider_loop: bool, optional
        :param chart_filter_controls_slider_restart_pause: Pause before loop. Measured in seconds and in addition to the regular step time displayed above. Flourish type hint: number, defaults to None.
        :type chart_filter_controls_slider_restart_pause: float, optional
        :param chart_filter_controls_sort: Sorting. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_filter_controls_sort: bool, optional
        :param column_filter_show_all: Include "All" in slider/menu. Flourish type hint: boolean, defaults to None.
        :type column_filter_show_all: bool, optional
        :param column_filter_show_all_label: Label for All. Flourish type hint: string, defaults to None.
        :type column_filter_show_all_label: str, optional
        :param chart_controls_style_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_controls_style_font_size: float, optional
        :param chart_controls_style_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_controls_style_font_weight: str, optional
        :param chart_controls_style_height: Height. Flourish type hint: number, defaults to None.
        :type chart_controls_style_height: float, optional
        :param chart_button_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background: str, optional
        :param chart_button_control_style_background_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_selected: str, optional
        :param chart_button_control_style_background_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_background_hover: str, optional
        :param chart_button_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color: str, optional
        :param chart_button_control_style_font_color_selected: Selected. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_selected: str, optional
        :param chart_button_control_style_font_color_hover: Mouse over. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_font_color_hover: str, optional
        :param chart_button_control_style_button_styles_advanced: Button border styles. Flourish type hint: boolean, defaults to None.
        :type chart_button_control_style_button_styles_advanced: bool, optional
        :param chart_button_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_width: float, optional
        :param chart_button_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_button_control_style_border_color: str, optional
        :param chart_button_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_transparency: float, optional
        :param chart_button_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_button_control_style_border_radius: float, optional
        :param chart_slider_control_style_track_color: Track. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_track_color: str, optional
        :param chart_slider_control_style_font_color: Text. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_font_color: str, optional
        :param chart_slider_control_style_handle_color: Handle. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_handle_color: str, optional
        :param chart_slider_control_style_play_color: Play/pause. Flourish type hint: color, defaults to None.
        :type chart_slider_control_style_play_color: str, optional
        :param chart_slider_control_style_track_height: Track height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_track_height: float, optional
        :param chart_slider_control_style_handle_height: Height. Flourish type hint: number, defaults to None.
        :type chart_slider_control_style_handle_height: float, optional
        :param chart_slider_control_style_play_button: Play button. Flourish type hint: boolean, defaults to None.
        :type chart_slider_control_style_play_button: bool, optional
        :param chart_dropdown_control_style_background: Background. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_background: str, optional
        :param chart_dropdown_control_style_font_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_font_color: str, optional
        :param chart_dropdown_control_style_border_styles_advanced: Dropdown border styles. Flourish type hint: boolean, defaults to None.
        :type chart_dropdown_control_style_border_styles_advanced: bool, optional
        :param chart_dropdown_control_style_border_style: Border style. Choices: all, bottom. Show border on all sides, or only at the bottom. Flourish type hint: string, defaults to None.
        :type chart_dropdown_control_style_border_style: str, optional
        :param chart_dropdown_control_style_border_width: Border width. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_width: float, optional
        :param chart_dropdown_control_style_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_dropdown_control_style_border_color: str, optional
        :param chart_dropdown_control_style_border_transparency: Transparency. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_transparency: float, optional
        :param chart_dropdown_control_style_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type chart_dropdown_control_style_border_radius: float, optional
        :param chart_categorical_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_show_legend: bool, optional
        :param chart_categorical_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title_mode: str, optional
        :param chart_categorical_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title: str, optional
        :param chart_categorical_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_width: float, optional
        :param chart_categorical_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_height: float, optional
        :param chart_categorical_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_radius: float, optional
        :param chart_categorical_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_legend_items_padding: float, optional
        :param chart_categorical_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_swatch_outline: bool, optional
        :param chart_categorical_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_swatch_outline_color: str, optional
        :param chart_categorical_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_categorical_legend_order_override: Union[list, str], optional
        :param chart_categorical_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_icon_height: float, optional
        :param chart_categorical_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_icon_color: str, optional
        :param chart_categorical_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_max_width: float, optional
        :param chart_categorical_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_orientation: str, optional
        :param legend_position: Position. Choices: above, below. Flourish type hint: string, defaults to None.
        :type legend_position: str, optional
        :param legend_hide_space: Remove space when empty. Turn off to avoid the legend taking up space when empty.  Leave on to avoid the graphic jumping up and down a little when the legend is revealed or hidden. Flourish type hint: boolean, defaults to None.
        :type legend_hide_space: bool, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param zoom_on_double_click: Zoom on double click. Flourish type hint: boolean, defaults to None.
        :type zoom_on_double_click: bool, optional
        :param zoom_on_mousewheel: Zoom on pinch/mousewheel. Flourish type hint: boolean, defaults to None.
        :type zoom_on_mousewheel: bool, optional
        :param transition_duration: Duration. Time in milliseconds of each dots animation. Flourish type hint: number, defaults to None.
        :type transition_duration: float, optional
        :param transition_stagger: Stagger. The spread of time over which the dots start animating. Flourish type hint: number, defaults to None.
        :type transition_stagger: float, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "color": {},
                "map_region_bounds": {},
                "popup": {},
                "controls_filter": {},
                "controls_style": {},
                "button_style": {},
                "slider_style": {},
                "dropdown_style": {},
                "legend_categorical": {},
                "legend_container": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        self.state["state"]["dot_fill"] = dot_fill
        self.state["state"]["dot_opacity"] = dot_opacity
        self.state["state"]["dot_opacity_unhighlighted"] = dot_opacity_unhighlighted

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max

        list_dot_shape = ["circle", "square", "polygon"] + [None]
        if dot_shape not in list_dot_shape:
            raise ValueError(
                f"`dot_shape` must be one of: ['circle', 'square', 'polygon']"
            )
        elif dot_shape in list_dot_shape and dot_shape is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "circle": "circle",
                    "square": "square",
                    "polygon": "polygon",
                }.items()
                if dot_shape in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dot_shape"] = filtered_dict[dot_shape]
        self.state["state"]["dot_sides"] = dot_sides
        self.state["state"]["outline_width"] = outline_width
        self.state["state"]["outline_color"] = outline_color
        self.state["state"]["dot_label"] = dot_label
        self.state["state"]["dot_label_color"] = dot_label_color
        self.state["state"]["dot_label_bold"] = dot_label_bold
        self.state["state"]["dot_label_min"] = dot_label_min

        list_dot_label_auto_size = [True, False] + [None]
        if dot_label_auto_size not in list_dot_label_auto_size:
            raise ValueError(f"`dot_label_auto_size` must be one of: [True, False]")
        elif (
            dot_label_auto_size in list_dot_label_auto_size
            and dot_label_auto_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if dot_label_auto_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dot_label_auto_size"] = filtered_dict[
                    dot_label_auto_size
                ]
        self.state["state"]["dot_label_fixed"] = dot_label_fixed
        self.state["state"]["dot_label_scale"] = dot_label_scale
        self.state["state"]["dot_label_size_value"] = dot_label_size_value
        self.state["state"]["all_group_label"] = all_group_label
        self.state["state"][
            "include_grouped_questions_on_shade_menu"
        ] = include_grouped_questions_on_shade_menu
        self.state["state"][
            "include_grouped_questions_on_compare_menu"
        ] = include_grouped_questions_on_compare_menu
        self.state["state"]["order_groups_by_size"] = order_groups_by_size

        list_order_groups_by_size_mode = ["ascending", "descending"] + [None]
        if order_groups_by_size_mode not in list_order_groups_by_size_mode:
            raise ValueError(
                f"`order_groups_by_size_mode` must be one of: ['ascending', 'descending']"
            )
        elif (
            order_groups_by_size_mode in list_order_groups_by_size_mode
            and order_groups_by_size_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "ascending": "ascending",
                    "descending": "descending",
                }.items()
                if order_groups_by_size_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["order_groups_by_size_mode"] = filtered_dict[
                    order_groups_by_size_mode
                ]
        self.state["state"]["group_colors"] = group_colors
        self.state["state"]["exclusions"] = exclusions
        self.state["state"]["exclude_blanks"] = exclude_blanks
        self.state["state"]["bundle_small_groups"] = bundle_small_groups
        self.state["state"]["small_groups_threshold"] = small_groups_threshold
        self.state["state"]["small_groups_other_label"] = small_groups_other_label

        list_label_mode = ["atop", "around", "above"] + [None]
        if label_mode not in list_label_mode:
            raise ValueError(
                f"`label_mode` must be one of: ['atop', 'around', 'above']"
            )
        elif label_mode in list_label_mode and label_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "atop": "atop",
                    "around": "around",
                    "above": "above",
                }.items()
                if label_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["label_mode"] = filtered_dict[label_mode]
        self.state["state"]["label_tight_fit"] = label_tight_fit
        self.state["state"]["label_color"] = label_color
        self.state["state"]["label_min_font_size"] = label_min_font_size
        self.state["state"]["label_max_font_size"] = label_max_font_size
        self.state["state"]["label_group_padding_lines"] = label_group_padding_lines
        self.state["state"]["label_shadow_size"] = label_shadow_size
        self.state["state"]["label_shadow_color"] = label_shadow_color
        self.state["state"]["label_group_count"] = label_group_count
        self.state["state"]["label_group_percent"] = label_group_percent
        self.state["state"][
            "label_group_percent_decimals"
        ] = label_group_percent_decimals
        self.state["state"]["always_show_x_label"] = always_show_x_label
        self.state["state"][
            "show_xy_axis_labels_when_comparing"
        ] = show_xy_axis_labels_when_comparing
        self.state["state"]["compare_y_axis_width"] = compare_y_axis_width
        self.state["state"]["compare_x_axis_height"] = compare_x_axis_height

        list_chart_height_mode = ["auto", "aspect_ratio"] + [None]
        if chart_height_mode not in list_chart_height_mode:
            raise ValueError(
                f"`chart_height_mode` must be one of: ['auto', 'aspect_ratio']"
            )
        elif (
            chart_height_mode in list_chart_height_mode
            and chart_height_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "aspect_ratio": "aspect_ratio"}.items()
                if chart_height_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["chart_height_mode"] = filtered_dict[
                    chart_height_mode
                ]
        self.state["state"]["chart_aspect_ratio_wide"] = chart_aspect_ratio_wide
        self.state["state"]["chart_aspect_ratio_narrow"] = chart_aspect_ratio_narrow
        self.state["state"]["map_opacity_map_mode"] = map_opacity_map_mode
        self.state["state"]["map_opacity_non_map_mode"] = map_opacity_non_map_mode
        self.state["state"]["map_max_group_size"] = map_max_group_size

        list_map_dimensions = ["auto", "aspect_ratio"] + [None]
        if map_dimensions not in list_map_dimensions:
            raise ValueError(
                f"`map_dimensions` must be one of: ['auto', 'aspect_ratio']"
            )
        elif map_dimensions in list_map_dimensions and map_dimensions is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "aspect_ratio": "aspect_ratio"}.items()
                if map_dimensions in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["map_dimensions"] = filtered_dict[map_dimensions]
        self.state["state"]["map_aspect_ratio"] = map_aspect_ratio

        list_map_region = ["world", "usa", "europe", "custom"] + [None]
        if map_region not in list_map_region:
            raise ValueError(
                f"`map_region` must be one of: ['world', 'usa', 'europe', 'custom']"
            )
        elif map_region in list_map_region and map_region is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "world": "world",
                    "usa": "usa",
                    "europe": "europe",
                    "custom": "custom",
                }.items()
                if map_region in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["map_region"] = filtered_dict[map_region]
        self.state["state"]["map_region_url"] = map_region_url
        self.state["state"]["map_region_bounds"]["x1"] = map_region_bounds_x1
        self.state["state"]["map_region_bounds"]["x2"] = map_region_bounds_x2
        self.state["state"]["map_region_bounds"]["y2"] = map_region_bounds_y2
        self.state["state"]["map_region_bounds"]["y1"] = map_region_bounds_y1

        list_chart_popup_mode = ["none", "popup", "panel", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'panel', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "panel": "panel",
                    "both": "both",
                }.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popup"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popup"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popup"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        if (
            chart_popup_popup_custom_accessible is not None
            and len(chart_popup_popup_custom_accessible) > 1
            and isinstance(chart_popup_popup_custom_accessible, list)
        ):
            self.state["state"]["popup"]["popup_custom_accessible"] = " \n ".join(
                chart_popup_popup_custom_accessible
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_accessible"
            ] = chart_popup_popup_custom_accessible

        self.state["state"]["popup"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popup"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popup"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popup"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popup"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popup"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popup"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popup"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popup"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_label_weight"] = filtered_dict[
                    chart_popup_popup_list_label_weight
                ]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popup"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popup"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popup"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popup"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popup"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popup"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popup"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popup"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popup"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popup"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popup"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popup"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popup"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popup"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popup"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_vertical_position"] = filtered_dict[
                    chart_popup_panel_vertical_position
                ]
        self.state["state"]["popup"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popup"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popup"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popup"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popup"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popup"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_label_weight"] = filtered_dict[
                    chart_popup_panel_list_label_weight
                ]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popup"]["panel_shadow"] = chart_popup_panel_shadow
        self.state["state"]["panel_background_color"] = panel_background_color
        self.state["state"]["panel_background_opacity"] = panel_background_opacity
        self.state["state"]["panel_text_color"] = panel_text_color
        self.state["state"]["panel_text_size"] = panel_text_size

        list_panel_icon_color = ["light", "dark"] + [None]
        if panel_icon_color not in list_panel_icon_color:
            raise ValueError(f"`panel_icon_color` must be one of: ['light', 'dark']")
        elif panel_icon_color in list_panel_icon_color and panel_icon_color is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"light": "light", "dark": "dark"}.items()
                if panel_icon_color in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["panel_icon_color"] = filtered_dict[
                    panel_icon_color
                ]
        self.state["state"]["panel_width"] = panel_width
        self.state["state"]["panel_cog_color"] = panel_cog_color
        self.state["state"]["panel_overlay"] = panel_overlay
        self.state["state"]["panel_hide_cog"] = panel_hide_cog
        self.state["state"]["select_group_show"] = select_group_show
        self.state["state"]["select_color_show"] = select_color_show
        self.state["state"]["select_size_show"] = select_size_show
        self.state["state"]["select_compare_show"] = select_compare_show
        self.state["state"]["histogram_show"] = histogram_show
        self.state["state"]["select_group_text"] = select_group_text
        self.state["state"]["select_color_text"] = select_color_text
        self.state["state"]["select_size_text"] = select_size_text
        self.state["state"]["select_compare_text"] = select_compare_text
        self.state["state"]["select_filter_text"] = select_filter_text
        self.state["state"]["select_map_text"] = select_map_text

        list_chart_filter_controls_control_type = ["dropdown", "buttons", "slider"] + [
            None
        ]
        if (
            chart_filter_controls_control_type
            not in list_chart_filter_controls_control_type
        ):
            raise ValueError(
                f"`chart_filter_controls_control_type` must be one of: ['dropdown', 'buttons', 'slider']"
            )
        elif (
            chart_filter_controls_control_type
            in list_chart_filter_controls_control_type
            and chart_filter_controls_control_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "dropdown": "dropdown",
                    "buttons": "buttons",
                    "slider": "slider",
                }.items()
                if chart_filter_controls_control_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_filter"]["control_type"] = filtered_dict[
                    chart_filter_controls_control_type
                ]
        self.state["state"]["controls_filter"][
            "control_styles"
        ] = chart_filter_controls_control_styles
        self.state["state"]["controls_filter"][
            "control_title"
        ] = chart_filter_controls_control_title

        list_chart_filter_controls_button_group = [True, False] + [None]
        if (
            chart_filter_controls_button_group
            not in list_chart_filter_controls_button_group
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_button_group
            in list_chart_filter_controls_button_group
            and chart_filter_controls_button_group is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_button_group in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_filter"]["button_group"] = filtered_dict[
                    chart_filter_controls_button_group
                ]

        list_chart_filter_controls_button_group_width_mode = [
            "auto",
            "full",
            "fixed",
        ] + [None]
        if (
            chart_filter_controls_button_group_width_mode
            not in list_chart_filter_controls_button_group_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_button_group_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_button_group_width_mode
            in list_chart_filter_controls_button_group_width_mode
            and chart_filter_controls_button_group_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_button_group_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_filter"][
                    "button_group_width_mode"
                ] = filtered_dict[chart_filter_controls_button_group_width_mode]
        self.state["state"]["controls_filter"][
            "button_group_width_fixed"
        ] = chart_filter_controls_button_group_width_fixed

        list_chart_filter_controls_dropdown_width_mode = ["auto", "full", "fixed"] + [
            None
        ]
        if (
            chart_filter_controls_dropdown_width_mode
            not in list_chart_filter_controls_dropdown_width_mode
        ):
            raise ValueError(
                f"`chart_filter_controls_dropdown_width_mode` must be one of: ['auto', 'full', 'fixed']"
            )
        elif (
            chart_filter_controls_dropdown_width_mode
            in list_chart_filter_controls_dropdown_width_mode
            and chart_filter_controls_dropdown_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "full": "full", "fixed": "fixed"}.items()
                if chart_filter_controls_dropdown_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_filter"][
                    "dropdown_width_mode"
                ] = filtered_dict[chart_filter_controls_dropdown_width_mode]
        self.state["state"]["controls_filter"][
            "dropdown_width_fixed"
        ] = chart_filter_controls_dropdown_width_fixed
        self.state["state"]["controls_filter"][
            "slider_width"
        ] = chart_filter_controls_slider_width
        self.state["state"]["controls_filter"][
            "slider_max_label_width"
        ] = chart_filter_controls_slider_max_label_width
        self.state["state"]["controls_filter"][
            "slider_step_time"
        ] = chart_filter_controls_slider_step_time
        self.state["state"]["controls_filter"][
            "slider_loop"
        ] = chart_filter_controls_slider_loop
        self.state["state"]["controls_filter"][
            "slider_restart_pause"
        ] = chart_filter_controls_slider_restart_pause

        list_chart_filter_controls_sort = [True, False] + [None]
        if chart_filter_controls_sort not in list_chart_filter_controls_sort:
            raise ValueError(
                f"`chart_filter_controls_sort` must be one of: [True, False]"
            )
        elif (
            chart_filter_controls_sort in list_chart_filter_controls_sort
            and chart_filter_controls_sort is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_filter_controls_sort in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_filter"]["sort"] = filtered_dict[
                    chart_filter_controls_sort
                ]
        self.state["state"]["column_filter_show_all"] = column_filter_show_all
        self.state["state"][
            "column_filter_show_all_label"
        ] = column_filter_show_all_label
        self.state["state"]["controls_style"][
            "font_size"
        ] = chart_controls_style_font_size

        list_chart_controls_style_font_weight = ["bold", "normal"] + [None]
        if (
            chart_controls_style_font_weight
            not in list_chart_controls_style_font_weight
        ):
            raise ValueError(
                f"`chart_controls_style_font_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_controls_style_font_weight in list_chart_controls_style_font_weight
            and chart_controls_style_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_controls_style_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["controls_style"]["font_weight"] = filtered_dict[
                    chart_controls_style_font_weight
                ]
        self.state["state"]["controls_style"]["height"] = chart_controls_style_height
        self.state["state"]["button_style"][
            "background"
        ] = chart_button_control_style_background
        self.state["state"]["button_style"][
            "background_selected"
        ] = chart_button_control_style_background_selected
        self.state["state"]["button_style"][
            "background_hover"
        ] = chart_button_control_style_background_hover
        self.state["state"]["button_style"][
            "font_color"
        ] = chart_button_control_style_font_color
        self.state["state"]["button_style"][
            "font_color_selected"
        ] = chart_button_control_style_font_color_selected
        self.state["state"]["button_style"][
            "font_color_hover"
        ] = chart_button_control_style_font_color_hover
        self.state["state"]["button_style"][
            "button_styles_advanced"
        ] = chart_button_control_style_button_styles_advanced
        self.state["state"]["button_style"][
            "border_width"
        ] = chart_button_control_style_border_width
        self.state["state"]["button_style"][
            "border_color"
        ] = chart_button_control_style_border_color
        self.state["state"]["button_style"][
            "border_transparency"
        ] = chart_button_control_style_border_transparency
        self.state["state"]["button_style"][
            "border_radius"
        ] = chart_button_control_style_border_radius
        self.state["state"]["slider_style"][
            "track_color"
        ] = chart_slider_control_style_track_color
        self.state["state"]["slider_style"][
            "font_color"
        ] = chart_slider_control_style_font_color
        self.state["state"]["slider_style"][
            "handle_color"
        ] = chart_slider_control_style_handle_color
        self.state["state"]["slider_style"][
            "play_color"
        ] = chart_slider_control_style_play_color
        self.state["state"]["slider_style"][
            "track_height"
        ] = chart_slider_control_style_track_height
        self.state["state"]["slider_style"][
            "handle_height"
        ] = chart_slider_control_style_handle_height
        self.state["state"]["slider_style"][
            "play_button"
        ] = chart_slider_control_style_play_button
        self.state["state"]["dropdown_style"][
            "background"
        ] = chart_dropdown_control_style_background
        self.state["state"]["dropdown_style"][
            "font_color"
        ] = chart_dropdown_control_style_font_color
        self.state["state"]["dropdown_style"][
            "border_styles_advanced"
        ] = chart_dropdown_control_style_border_styles_advanced

        list_chart_dropdown_control_style_border_style = ["all", "bottom"] + [None]
        if (
            chart_dropdown_control_style_border_style
            not in list_chart_dropdown_control_style_border_style
        ):
            raise ValueError(
                f"`chart_dropdown_control_style_border_style` must be one of: ['all', 'bottom']"
            )
        elif (
            chart_dropdown_control_style_border_style
            in list_chart_dropdown_control_style_border_style
            and chart_dropdown_control_style_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "bottom": "bottom"}.items()
                if chart_dropdown_control_style_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["dropdown_style"]["border_style"] = filtered_dict[
                    chart_dropdown_control_style_border_style
                ]
        self.state["state"]["dropdown_style"][
            "border_width"
        ] = chart_dropdown_control_style_border_width
        self.state["state"]["dropdown_style"][
            "border_color"
        ] = chart_dropdown_control_style_border_color
        self.state["state"]["dropdown_style"][
            "border_transparency"
        ] = chart_dropdown_control_style_border_transparency
        self.state["state"]["dropdown_style"][
            "border_radius"
        ] = chart_dropdown_control_style_border_radius

        list_chart_categorical_legend_show_legend = [True, False] + [None]
        if (
            chart_categorical_legend_show_legend
            not in list_chart_categorical_legend_show_legend
        ):
            raise ValueError(
                f"`chart_categorical_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_categorical_legend_show_legend
            in list_chart_categorical_legend_show_legend
            and chart_categorical_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_categorical_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "show_legend"
                ] = filtered_dict[chart_categorical_legend_show_legend]

        list_chart_categorical_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_categorical_legend_title_mode
            not in list_chart_categorical_legend_title_mode
        ):
            raise ValueError(
                f"`chart_categorical_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_categorical_legend_title_mode
            in list_chart_categorical_legend_title_mode
            and chart_categorical_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_categorical_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"]["title_mode"] = filtered_dict[
                    chart_categorical_legend_title_mode
                ]
        self.state["state"]["legend_categorical"][
            "title"
        ] = chart_categorical_legend_title
        self.state["state"]["legend_categorical"][
            "swatch_width"
        ] = chart_categorical_legend_swatch_width
        self.state["state"]["legend_categorical"][
            "swatch_height"
        ] = chart_categorical_legend_swatch_height
        self.state["state"]["legend_categorical"][
            "swatch_radius"
        ] = chart_categorical_legend_swatch_radius
        self.state["state"]["legend_categorical"][
            "legend_items_padding"
        ] = chart_categorical_legend_legend_items_padding
        self.state["state"]["legend_categorical"][
            "swatch_outline"
        ] = chart_categorical_legend_swatch_outline
        self.state["state"]["legend_categorical"][
            "swatch_outline_color"
        ] = chart_categorical_legend_swatch_outline_color

        if (
            chart_categorical_legend_order_override is not None
            and len(chart_categorical_legend_order_override) > 1
            and isinstance(chart_categorical_legend_order_override, list)
        ):
            self.state["state"]["legend_categorical"]["order_override"] = " \n ".join(
                chart_categorical_legend_order_override
            )
        else:
            self.state["state"]["legend_categorical"][
                "order_override"
            ] = chart_categorical_legend_order_override

        self.state["state"]["legend_categorical"][
            "icon_height"
        ] = chart_categorical_legend_icon_height
        self.state["state"]["legend_categorical"][
            "icon_color"
        ] = chart_categorical_legend_icon_color
        self.state["state"]["legend_categorical"][
            "max_width"
        ] = chart_categorical_legend_max_width

        list_chart_categorical_legend_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_categorical_legend_orientation
            not in list_chart_categorical_legend_orientation
        ):
            raise ValueError(
                f"`chart_categorical_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_categorical_legend_orientation
            in list_chart_categorical_legend_orientation
            and chart_categorical_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_categorical_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "orientation"
                ] = filtered_dict[chart_categorical_legend_orientation]

        list_legend_position = ["above", "below"] + [None]
        if legend_position not in list_legend_position:
            raise ValueError(f"`legend_position` must be one of: ['above', 'below']")
        elif legend_position in list_legend_position and legend_position is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"above": "above", "below": "below"}.items()
                if legend_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_position"] = filtered_dict[legend_position]
        self.state["state"]["legend_hide_space"] = legend_hide_space

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size
        self.state["state"]["zoom_on_double_click"] = zoom_on_double_click
        self.state["state"]["zoom_on_mousewheel"] = zoom_on_mousewheel
        self.state["state"]["transition_duration"] = transition_duration
        self.state["state"]["transition_stagger"] = transition_stagger
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_svg_annotator_details(
        self,
        svg_url: str = None,
        svg_width_wide: float = None,
        mobile_view: bool = None,
        mobile_breakpoint: float = None,
        mobile_svg_mode: str = None,
        mobile_svg_url: str = None,
        mobile_svg_width: float = None,
        mobile_content_mode: str = None,
        clickable_svg_animation: str = None,
        clickable_svg_animation_duration: float = None,
        clickable_svg_animation_config: bool = None,
        clickable_svg_animation_attr: str = None,
        clickable_svg_animation_values: str = None,
        clickable_svg_animation_repeat: str = None,
        text_panel_enabled: bool = None,
        h1_default: Union[list, str] = None,
        h1_size: float = None,
        h2_default: Union[list, str] = None,
        h2_size: float = None,
        content_default: Union[list, str] = None,
        content_size: float = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        svg_reset_fonts: bool = None,
        show_css: bool = None,
        stylesheet: Union[list, str] = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: str = None,
        chart_layout_footer_note_secondary: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_hide_primary: bool = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
    ):
        """
        Set chart details for: svg annotator.


        :param svg_url: SVG file. Flourish type hint: url, defaults to None.
        :type svg_url: str, optional
        :param svg_width_wide: Image width. The width in % of the image in standard wide-screen view. Flourish type hint: number, defaults to None.
        :type svg_width_wide: float, optional
        :param mobile_view: Different mobile view. Flourish type hint: boolean, defaults to None.
        :type mobile_view: bool, optional
        :param mobile_breakpoint: Breakpoint. The size in pixels at which to switch to mobile layout. Flourish type hint: number, defaults to None.
        :type mobile_breakpoint: float, optional
        :param mobile_svg_mode: Image on mobile. Choices: none, same, different. Whether to show the image at all on mobile. Flourish type hint: string, defaults to None.
        :type mobile_svg_mode: str, optional
        :param mobile_svg_url: SVG file (mobile). Flourish type hint: url, defaults to None.
        :type mobile_svg_url: str, optional
        :param mobile_svg_width: Width. The width in % of the image on a mobile view. Flourish type hint: number, defaults to None.
        :type mobile_svg_width: float, optional
        :param mobile_content_mode: Mobile content mode. Choices: interactive, all, accordion. If turned on all content will display on load in mobile view. Flourish type hint: string, defaults to None.
        :type mobile_content_mode: str, optional
        :param clickable_svg_animation: Animation clickable elements. Choices: off, animation. Flourish type hint: string, defaults to None.
        :type clickable_svg_animation: str, optional
        :param clickable_svg_animation_duration: Duration. The duration of the highlight animation on each clickable element. Flourish type hint: number, defaults to None.
        :type clickable_svg_animation_duration: float, optional
        :param clickable_svg_animation_config: Advanced. Reveal settings to adjust the SVG Animation properties on clickable elements. See https://developer.mozilla.org/en-US/docs/Web/SVG/Element/animate for more details. Flourish type hint: boolean, defaults to None.
        :type clickable_svg_animation_config: bool, optional
        :param clickable_svg_animation_attr: Attribute. Flourish type hint: string, defaults to None.
        :type clickable_svg_animation_attr: str, optional
        :param clickable_svg_animation_values: Values. Flourish type hint: string, defaults to None.
        :type clickable_svg_animation_values: str, optional
        :param clickable_svg_animation_repeat: Repeat. Flourish type hint: string, defaults to None.
        :type clickable_svg_animation_repeat: str, optional
        :param text_panel_enabled: Text panel enabled. Set to disabled to only show text in popups. Flourish type hint: boolean, defaults to None.
        :type text_panel_enabled: bool, optional
        :param h1_default: Default heading. The text to show on load. Flourish type hint: text, defaults to None.
        :type h1_default: Union[list, str], optional
        :param h1_size: Size. Flourish type hint: number, defaults to None.
        :type h1_size: float, optional
        :param h2_default: Default subheading. The text to show on load. Flourish type hint: text, defaults to None.
        :type h2_default: Union[list, str], optional
        :param h2_size: Size. Flourish type hint: number, defaults to None.
        :type h2_size: float, optional
        :param content_default: Default subheading. The text to show on load. Flourish type hint: text, defaults to None.
        :type content_default: Union[list, str], optional
        :param content_size: Size. Flourish type hint: number, defaults to None.
        :type content_size: float, optional
        :param chart_popup_mode: Choices: none, popup, panel, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. The text to appear in the popup. You can use `{{column_name}}` to add a value from your data. It must be in a selected column, but you can add columns to Metadata if you just want to include them for use in the popup. Advanced users can include HTML to apply layouts, formatting, images, etc. You can also hide content based on a column name being empty using `{{# if column_name}}Text to display when column_name is not empty{{/if}}`. For example: `{{Country}} {{#if Capital}}(Capital: {{Capital}}){{/if}}` Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. The text to appear in the popup. You can use `{{column_name}}` to add a value from your data. It must be in a selected column, but you can add columns to Metadata if you just want to include them for use in the popup. Advanced users can include HTML to apply layouts, formatting, images, etc. You can also hide content based on a column name being empty using `{{# if column_name}}Text to display when column_name is not empty{{/if}}`. For example: `{{Country}} {{#if Capital}}(Capital: {{Capital}}){{/if}}` Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. The text to appear in the panel. You can use `{{column_name}}` to add a value from your data. It must be in a selected column, but you can add columns to Metadata if you just want to include them for use in the popup. Advanced users can include HTML to apply layouts, formatting, images, etc. You can also hide content based on a column name being empty using `{{# if column_name}}Text to display when column_name is not empty{{/if}}`. For example: `{{Country}} {{#if Capital}}(Capital: {{Capital}}){{/if}}` Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. The text to appear in the panel. You can use `{{column_name}}` to add a value from your data. It must be in a selected column, but you can add columns to Metadata if you just want to include them for use in the popup. Advanced users can include HTML to apply layouts, formatting, images, etc. You can also hide content based on a column name being empty using `{{# if column_name}}Text to display when column_name is not empty{{/if}}`. For example: `{{Country}} {{#if Capital}}(Capital: {{Capital}}){{/if}}` Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing "Click position" is especially useful when your visualisation is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param svg_reset_fonts: Override fonts in SVG. If enabled, font-family styles will be removed in the SVG, allowing the text to be inherited from the current theme or settings. Flourish type hint: boolean, defaults to None.
        :type svg_reset_fonts: bool, optional
        :param show_css: Edit CSS. Flourish type hint: boolean, defaults to None.
        :type show_css: bool, optional
        :param stylesheet: Custom styles. Use the class .clickable-element to target all interactive elements. When one is clicked, it is .highlighted and the others are .faded. The text for each clickable element is inside a .text-block, which is also .accordion in accordion mode. Flourish type hint: code, defaults to None.
        :type stylesheet: Union[list, str], optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default, but you can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, but you can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Choices: stack-default, stack-2, stack-3, stack-4. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements such as axes. Note that when direction is set to "right to left" any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size. Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size. Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size. Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualisation container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_note: str, optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_note_secondary: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background colour is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders. (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990. Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders. Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "popup": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        self.state["state"]["svg_url"] = svg_url
        self.state["state"]["svg_width_wide"] = svg_width_wide
        self.state["state"]["mobile_view"] = mobile_view
        self.state["state"]["mobile_breakpoint"] = mobile_breakpoint

        list_mobile_svg_mode = ["none", "same", "different"] + [None]
        if mobile_svg_mode not in list_mobile_svg_mode:
            raise ValueError(
                f"`mobile_svg_mode` must be one of: ['none', 'same', 'different']"
            )
        elif mobile_svg_mode in list_mobile_svg_mode and mobile_svg_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "same": "same",
                    "different": "different",
                }.items()
                if mobile_svg_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["mobile_svg_mode"] = filtered_dict[mobile_svg_mode]
        self.state["state"]["mobile_svg_url"] = mobile_svg_url
        self.state["state"]["mobile_svg_width"] = mobile_svg_width

        list_mobile_content_mode = ["interactive", "all", "accordion"] + [None]
        if mobile_content_mode not in list_mobile_content_mode:
            raise ValueError(
                f"`mobile_content_mode` must be one of: ['interactive', 'all', 'accordion']"
            )
        elif (
            mobile_content_mode in list_mobile_content_mode
            and mobile_content_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "interactive": "interactive",
                    "all": "all",
                    "accordion": "accordion",
                }.items()
                if mobile_content_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["mobile_content_mode"] = filtered_dict[
                    mobile_content_mode
                ]

        list_clickable_svg_animation = ["off", "animation"] + [None]
        if clickable_svg_animation not in list_clickable_svg_animation:
            raise ValueError(
                f"`clickable_svg_animation` must be one of: ['off', 'animation']"
            )
        elif (
            clickable_svg_animation in list_clickable_svg_animation
            and clickable_svg_animation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"off": "off", "animation": "animation"}.items()
                if clickable_svg_animation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["clickable_svg_animation"] = filtered_dict[
                    clickable_svg_animation
                ]
        self.state["state"][
            "clickable_svg_animation_duration"
        ] = clickable_svg_animation_duration
        self.state["state"][
            "clickable_svg_animation_config"
        ] = clickable_svg_animation_config
        self.state["state"][
            "clickable_svg_animation_attr"
        ] = clickable_svg_animation_attr
        self.state["state"][
            "clickable_svg_animation_values"
        ] = clickable_svg_animation_values
        self.state["state"][
            "clickable_svg_animation_repeat"
        ] = clickable_svg_animation_repeat
        self.state["state"]["text_panel_enabled"] = text_panel_enabled

        if (
            h1_default is not None
            and len(h1_default) > 1
            and isinstance(h1_default, list)
        ):
            self.state["state"]["h1_default"] = " \n ".join(h1_default)
        else:
            self.state["state"]["h1_default"] = h1_default

        self.state["state"]["h1_size"] = h1_size

        if (
            h2_default is not None
            and len(h2_default) > 1
            and isinstance(h2_default, list)
        ):
            self.state["state"]["h2_default"] = " \n ".join(h2_default)
        else:
            self.state["state"]["h2_default"] = h2_default

        self.state["state"]["h2_size"] = h2_size

        if (
            content_default is not None
            and len(content_default) > 1
            and isinstance(content_default, list)
        ):
            self.state["state"]["content_default"] = " \n ".join(content_default)
        else:
            self.state["state"]["content_default"] = content_default

        self.state["state"]["content_size"] = content_size

        list_chart_popup_mode = ["none", "popup", "panel", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'panel', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "panel": "panel",
                    "both": "both",
                }.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popup"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popup"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popup"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        self.state["state"]["popup"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popup"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popup"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popup"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popup"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popup"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popup"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popup"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popup"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_label_weight"] = filtered_dict[
                    chart_popup_popup_list_label_weight
                ]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popup"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popup"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popup"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popup"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popup"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popup"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popup"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popup"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popup"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popup"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popup"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popup"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popup"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popup"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popup"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_vertical_position"] = filtered_dict[
                    chart_popup_panel_vertical_position
                ]
        self.state["state"]["popup"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popup"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popup"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popup"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popup"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popup"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_label_weight"] = filtered_dict[
                    chart_popup_panel_list_label_weight
                ]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popup"]["panel_shadow"] = chart_popup_panel_shadow
        self.state["state"]["svg_reset_fonts"] = svg_reset_fonts
        self.state["state"]["show_css"] = show_css

        if (
            stylesheet is not None
            and len(stylesheet) > 1
            and isinstance(stylesheet, list)
        ):
            self.state["state"]["stylesheet"] = " \n ".join(stylesheet)
        else:
            self.state["state"]["stylesheet"] = stylesheet

        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]

        list_chart_layout_layout_order = [
            "stack-default",
            "stack-2",
            "stack-3",
            "stack-4",
        ] + [None]
        if chart_layout_layout_order not in list_chart_layout_layout_order:
            raise ValueError(
                f"`chart_layout_layout_order` must be one of: ['stack-default', 'stack-2', 'stack-3', 'stack-4']"
            )
        elif (
            chart_layout_layout_order in list_chart_layout_layout_order
            and chart_layout_layout_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "stack-default": "stack-default",
                    "stack-2": "stack-2",
                    "stack-3": "stack-3",
                    "stack-4": "stack-4",
                }.items()
                if chart_layout_layout_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["layout_order"] = filtered_dict[
                    chart_layout_layout_order
                ]

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label
        self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note
        self.state["state"]["layout"][
            "footer_note_secondary"
        ] = chart_layout_footer_note_secondary

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_table_details(
        self,
        table_min_width: float = None,
        table_border_width: float = None,
        table_border_color: str = None,
        sorting_enabled: str = None,
        sorting_custom_columns: Union[list, str] = None,
        pagination_amount: float = None,
        markdown_enabled: bool = None,
        cell_height: float = None,
        cell_padding_vertical: float = None,
        cell_padding_horizontal: float = None,
        cell_wrap: bool = None,
        cell_horizontal_alignment: str = None,
        cell_numeric_horizontal_alignment: str = None,
        cell_vertical_alignment: str = None,
        cell_fill_1: str = None,
        cell_fill_2: str = None,
        cell_fill_direction: str = None,
        cell_fill_custom_enabled: bool = None,
        cell_fill_custom_categorical: Union[list, str] = None,
        cell_fill_custom_numeric: Union[list, str] = None,
        cell_fill_margin_vertical: float = None,
        cell_fill_margin_horizontal: float = None,
        cell_border_mode: str = None,
        cell_border_color: str = None,
        cell_border_width: float = None,
        cell_border_style: str = None,
        cell_font_color: str = None,
        cell_link_color: str = None,
        cell_font_size: str = None,
        cell_font_size_custom: float = None,
        column_width_mode: str = None,
        column_widths: str = None,
        header_font_weight: str = None,
        header_fill: str = None,
        header_font_color: str = None,
        header_underline_sorting: bool = None,
        header_style_default: bool = None,
        header_height: float = None,
        header_padding: float = None,
        header_horizontal_alignment: str = None,
        header_font_default: bool = None,
        header_font_size: float = None,
        header_border_default: bool = None,
        header_border_color: str = None,
        header_border_width: float = None,
        header_border_style: str = None,
        cell_image_height: float = None,
        cell_image_radius: float = None,
        bar_columns_enabled: bool = None,
        bar_columns_bar_1_columns: Union[list, str] = None,
        bar_columns_bar_1_column_name: str = None,
        bar_columns_type: str = None,
        bar_columns_bar_1_height: float = None,
        bar_columns_bar_1_width: float = None,
        bar_columns_bar_1_column_padding: float = None,
        bar_columns_bar_1_proportional: bool = None,
        bar_columns_bar_1_same_scale: bool = None,
        bar_columns_bar_1_zero_line: bool = None,
        bar_columns_bar_1_zero_line_color: str = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        bar_columns_bar_1_labels: str = None,
        bar_columns_bar_1_label_size: float = None,
        chart_legend_show_legend: bool = None,
        chart_legend_title_mode: str = None,
        chart_legend_title: str = None,
        chart_legend_swatch_width: float = None,
        chart_legend_swatch_height: float = None,
        chart_legend_swatch_radius: float = None,
        chart_legend_legend_items_padding: float = None,
        chart_legend_swatch_outline: bool = None,
        chart_legend_swatch_outline_color: str = None,
        chart_legend_order_override: Union[list, str] = None,
        chart_legend_icon_height: float = None,
        chart_legend_icon_color: str = None,
        chart_legend_max_width: float = None,
        chart_legend_orientation: str = None,
        legend_position: str = None,
        chart_legend_container_alignment: str = None,
        chart_legend_container_orientation: str = None,
        chart_legend_container_title_weight: str = None,
        chart_legend_container_text_weight: str = None,
        chart_legend_container_text_color: str = None,
        chart_legend_container_text_size: float = None,
        line_columns_enabled: bool = None,
        line_columns_line_1_columns: Union[list, str] = None,
        line_columns_line_1_column_name: str = None,
        line_columns_line_1_width: float = None,
        line_columns_line_1_height: float = None,
        line_columns_line_1_color: str = None,
        line_columns_line_1_area: bool = None,
        line_columns_line_1_min_enabled: bool = None,
        line_columns_line_1_min: float = None,
        line_columns_line_1_max_enabled: bool = None,
        line_columns_line_1_max: float = None,
        mobile_view: bool = None,
        mobile_breakpoint: float = None,
        mobile_cell_font_size: str = None,
        mobile_cell_font_size_custom: float = None,
        mobile_pagination_amount: float = None,
        search_enabled: bool = None,
        search_mode: str = None,
        search_width: float = None,
        search_background_color: str = None,
        search_text_color: str = None,
        search_placeholder: str = None,
        no_results_text: str = None,
        search_hide_table: bool = None,
        search_hide_published: bool = None,
        search_columns: str = None,
        search_columns_custom: Union[list, str] = None,
        search_resize: bool = None,
        search_dropdown: bool = None,
        search_dropdown_persistent: bool = None,
        search_val: str = None,
        chart_popup_show_popups: bool = None,
        chart_popup_is_custom: bool = None,
        chart_popup_custom_template: Union[list, str] = None,
        chart_popup_show_pointer: bool = None,
        chart_popup_show_shadow: bool = None,
        chart_popup_style_popups: bool = None,
        chart_popup_text_color: str = None,
        chart_popup_align: str = None,
        chart_popup_text_size: float = None,
        chart_popup_fill_color: str = None,
        chart_popup_opacity: float = None,
        chart_popup_padding: float = None,
        chart_popup_border_radius: float = None,
        chart_popup_max_width: float = None,
        formatted_columns: Union[list, str] = None,
        chart_number_date_format_prefix: str = None,
        chart_number_date_format_suffix: str = None,
        chart_number_date_format_n_dec: float = None,
        chart_number_date_format_advanced: bool = None,
        chart_number_date_format_negative_sign: str = None,
        chart_number_date_format_strip_zeros: bool = None,
        chart_number_date_format_strip_separator: bool = None,
        chart_number_date_format_transform_labels: bool = None,
        chart_number_date_format_transform: str = None,
        chart_number_date_format_multiply_divide_constant: float = None,
        chart_number_date_format_exponentiate_constant: float = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
        chart_url_settings_enabled: bool = None,
        chart_url_settings_whitelist: Union[list, str] = None,
    ):
        """
        Set chart details for: table.


        :param table_min_width: Min width. Flourish type hint: number, defaults to None.
        :type table_min_width: float, optional
        :param table_border_width: Border. Flourish type hint: number, defaults to None.
        :type table_border_width: float, optional
        :param table_border_color: Border color. Flourish type hint: color, defaults to None.
        :type table_border_color: str, optional
        :param sorting_enabled: Sortable columns. Choices: all, none, custom. Determines whether a viewer can sort the table by clicking on the column headers. Custom allows the user only to sort listed columns. Flourish type hint: string, defaults to None.
        :type sorting_enabled: str, optional
        :param sorting_custom_columns: Columns to make sortable. Write each column name you want to make sortable on a new line. Flourish type hint: text, defaults to None.
        :type sorting_custom_columns: Union[list, str], optional
        :param pagination_amount: Rows per page. If you dont want pagination, set this number to a value greater than the number of rows in your data. Flourish type hint: number, defaults to None.
        :type pagination_amount: float, optional
        :param markdown_enabled: Cell text styling. Choices: True, False. Enables Markdown for your cells. For example for _italic_, **bold** text. Flourish type hint: boolean, defaults to None.
        :type markdown_enabled: bool, optional
        :param cell_height: Min height. Flourish type hint: number, defaults to None.
        :type cell_height: float, optional
        :param cell_padding_vertical: Padding vertical. Flourish type hint: number, defaults to None.
        :type cell_padding_vertical: float, optional
        :param cell_padding_horizontal: Padding horizontal. Flourish type hint: number, defaults to None.
        :type cell_padding_horizontal: float, optional
        :param cell_wrap: Wrap text in cell. Flourish type hint: boolean, defaults to None.
        :type cell_wrap: bool, optional
        :param cell_horizontal_alignment: Text. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type cell_horizontal_alignment: str, optional
        :param cell_numeric_horizontal_alignment: Numbers. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type cell_numeric_horizontal_alignment: str, optional
        :param cell_vertical_alignment: Vertical alignment. Choices: top, center, bottom. Flourish type hint: string, defaults to None.
        :type cell_vertical_alignment: str, optional
        :param cell_fill_1: Main color. Flourish type hint: color, defaults to None.
        :type cell_fill_1: str, optional
        :param cell_fill_2: Stripe color. Flourish type hint: color, defaults to None.
        :type cell_fill_2: str, optional
        :param cell_fill_direction: Stripe direction. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type cell_fill_direction: str, optional
        :param cell_fill_custom_enabled: Color cells based on content. Flourish type hint: boolean, defaults to None.
        :type cell_fill_custom_enabled: bool, optional
        :param cell_fill_custom_categorical: Categorical coloring. To color cells based on their content, use the format:  cell-color/text-color : cell-text : column name OR row-number To specify a row, write "row-" followed by the row number from the datasheet.  Its also possible to leave out the column name or row number if you want to target all the cells in the table For example:   red/white : Chelsea  Use * in place of cell-text to select an entire column or row. For example:  #0000dd/#ffffff : Alabama #ffffff/#dddddd : * : State #0000dd/#ffffff : * : row-2 #ffffff/#dddddd : n/a : Capital Flourish type hint: text, defaults to None.
        :type cell_fill_custom_categorical: Union[list, str], optional
        :param cell_fill_custom_numeric: Numeric coloring. Color cells numerically based on their content. For sequential coloring, use the format:   min_color >> max_color : column_name : domain_min >> domain_max  The domain is optional, for example:  #ffffff >> #00ff00 : Population #ffffff >> #00ff00 : Population : 0 >> 1000000000  For diverging coloring, use the format:  min_color >> midpt_color >> max_color : col_name : domain_min >> domain_mid >> domain_max  The domain is optional, for example:  #ffffff >> #00ff00 >> #ff00ff : Vote share #ffffff >> #00ff00 >> #ff00ff : Vote share : 0 >> 50 >> 100  Where both numeric and categorical coloring are used on a cell, categorical will override numeric. Flourish type hint: text, defaults to None.
        :type cell_fill_custom_numeric: Union[list, str], optional
        :param cell_fill_margin_vertical: Vertical margin. Flourish type hint: number, defaults to None.
        :type cell_fill_margin_vertical: float, optional
        :param cell_fill_margin_horizontal: Horizontal margin. Flourish type hint: number, defaults to None.
        :type cell_fill_margin_horizontal: float, optional
        :param cell_border_mode: Mode. Choices: none, horizontal, vertical, both. Flourish type hint: string, defaults to None.
        :type cell_border_mode: str, optional
        :param cell_border_color: Color. Flourish type hint: color, defaults to None.
        :type cell_border_color: str, optional
        :param cell_border_width: Thickness. Flourish type hint: number, defaults to None.
        :type cell_border_width: float, optional
        :param cell_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type cell_border_style: str, optional
        :param cell_font_color: Color. Flourish type hint: color, defaults to None.
        :type cell_font_color: str, optional
        :param cell_link_color: Link color. Flourish type hint: color, defaults to None.
        :type cell_link_color: str, optional
        :param cell_font_size: Size. Choices: 1, 1.25, 1.5, custom. Flourish type hint: string, defaults to None.
        :type cell_font_size: str, optional
        :param cell_font_size_custom: Custom. Specify a custom responsive font size in rems Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type cell_font_size_custom: float, optional
        :param column_width_mode: Choices: auto, equal, fixed. Flourish type hint: string, defaults to None.
        :type column_width_mode: str, optional
        :param column_widths: Column widths. A comma separated lists of column widths. The first column will be the first number in the list. You can use "px" to set fixed widths or "%" to use percentage of total width. (e.g. 200px,200px,25%). Flourish type hint: string, defaults to None.
        :type column_widths: str, optional
        :param header_font_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type header_font_weight: str, optional
        :param header_fill: Background. Flourish type hint: color, defaults to None.
        :type header_fill: str, optional
        :param header_font_color: Color. Flourish type hint: color, defaults to None.
        :type header_font_color: str, optional
        :param header_underline_sorting: Underline sorting header. Flourish type hint: boolean, defaults to None.
        :type header_underline_sorting: bool, optional
        :param header_style_default: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type header_style_default: bool, optional
        :param header_height: Height. Flourish type hint: number, defaults to None.
        :type header_height: float, optional
        :param header_padding: Padding. Flourish type hint: number, defaults to None.
        :type header_padding: float, optional
        :param header_horizontal_alignment: Horizontal alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type header_horizontal_alignment: str, optional
        :param header_font_default: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type header_font_default: bool, optional
        :param header_font_size: Size. Flourish type hint: number, defaults to None.
        :type header_font_size: float, optional
        :param header_border_default: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type header_border_default: bool, optional
        :param header_border_color: Color. Flourish type hint: color, defaults to None.
        :type header_border_color: str, optional
        :param header_border_width: Thickness. Flourish type hint: number, defaults to None.
        :type header_border_width: float, optional
        :param header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type header_border_style: str, optional
        :param cell_image_height: Height. as a percentage of the cell height. Flourish type hint: number, defaults to None.
        :type cell_image_height: float, optional
        :param cell_image_radius: Rounded corners. Sets the radius of the corner roundness (in %). A value of 50 means your image will show as a circle. Flourish type hint: number, defaults to None.
        :type cell_image_radius: float, optional
        :param bar_columns_enabled: Choices: True, False. This setting will convert numerical values in your data to a simple visual bar chart. Flourish type hint: boolean, defaults to None.
        :type bar_columns_enabled: bool, optional
        :param bar_columns_bar_1_columns: Which columns should be part of the bar chart?. Just write down the column names on a new line. Flourish type hint: text, defaults to None.
        :type bar_columns_bar_1_columns: Union[list, str], optional
        :param bar_columns_bar_1_column_name: New column name. Flourish type hint: string, defaults to None.
        :type bar_columns_bar_1_column_name: str, optional
        :param bar_columns_type: Bar type. Choices: bars, columns. Flourish type hint: string, defaults to None.
        :type bar_columns_type: str, optional
        :param bar_columns_bar_1_height: Max height. Flourish type hint: number, defaults to None.
        :type bar_columns_bar_1_height: float, optional
        :param bar_columns_bar_1_width: Width. Flourish type hint: number, defaults to None.
        :type bar_columns_bar_1_width: float, optional
        :param bar_columns_bar_1_column_padding: Padding. Flourish type hint: number, defaults to None.
        :type bar_columns_bar_1_column_padding: float, optional
        :param bar_columns_bar_1_proportional: Mode. Choices: False, True. Display data in a proportional bar chart or a standard stacked bar chart with a fixed min and max, e.g. for negative numbers. Flourish type hint: boolean, defaults to None.
        :type bar_columns_bar_1_proportional: bool, optional
        :param bar_columns_bar_1_same_scale: Consistent scale. If enabled, all the bar charts in the table will use the same X scale. Flourish type hint: boolean, defaults to None.
        :type bar_columns_bar_1_same_scale: bool, optional
        :param bar_columns_bar_1_zero_line: Show zero line. Flourish type hint: boolean, defaults to None.
        :type bar_columns_bar_1_zero_line: bool, optional
        :param bar_columns_bar_1_zero_line_color: Zero line color. Flourish type hint: color, defaults to None.
        :type bar_columns_bar_1_zero_line_color: str, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param bar_columns_bar_1_labels: Labels. Choices: none, popup, inline. Flourish type hint: string, defaults to None.
        :type bar_columns_bar_1_labels: str, optional
        :param bar_columns_bar_1_label_size: Inline label size. Flourish type hint: number, defaults to None.
        :type bar_columns_bar_1_label_size: float, optional
        :param chart_legend_show_legend: Legend. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_legend_show_legend: bool, optional
        :param chart_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_legend_title_mode: str, optional
        :param chart_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_legend_title: str, optional
        :param chart_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_legend_swatch_width: float, optional
        :param chart_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_legend_swatch_height: float, optional
        :param chart_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_legend_swatch_radius: float, optional
        :param chart_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_legend_legend_items_padding: float, optional
        :param chart_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_legend_swatch_outline: bool, optional
        :param chart_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_swatch_outline_color: str, optional
        :param chart_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_legend_order_override: Union[list, str], optional
        :param chart_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_legend_icon_height: float, optional
        :param chart_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_legend_icon_color: str, optional
        :param chart_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_legend_max_width: float, optional
        :param chart_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_orientation: str, optional
        :param legend_position: Legend position. Choices: above, below. Flourish type hint: string, defaults to None.
        :type legend_position: str, optional
        :param chart_legend_container_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_legend_container_alignment: str, optional
        :param chart_legend_container_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_legend_container_orientation: str, optional
        :param chart_legend_container_title_weight: Title weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_title_weight: str, optional
        :param chart_legend_container_text_weight: Text weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_legend_container_text_weight: str, optional
        :param chart_legend_container_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_legend_container_text_color: str, optional
        :param chart_legend_container_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_legend_container_text_size: float, optional
        :param line_columns_enabled: Choices: True, False. This setting will convert numerical values in your data to a simple visual line chart. Flourish type hint: boolean, defaults to None.
        :type line_columns_enabled: bool, optional
        :param line_columns_line_1_columns: Which columns should be part of the line chart?. Write down the column names on a new line. Flourish type hint: text, defaults to None.
        :type line_columns_line_1_columns: Union[list, str], optional
        :param line_columns_line_1_column_name: New column name. Flourish type hint: string, defaults to None.
        :type line_columns_line_1_column_name: str, optional
        :param line_columns_line_1_width: Width. Flourish type hint: number, defaults to None.
        :type line_columns_line_1_width: float, optional
        :param line_columns_line_1_height: Max height. Flourish type hint: number, defaults to None.
        :type line_columns_line_1_height: float, optional
        :param line_columns_line_1_color: Color. Flourish type hint: color, defaults to None.
        :type line_columns_line_1_color: str, optional
        :param line_columns_line_1_area: Area chart. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type line_columns_line_1_area: bool, optional
        :param line_columns_line_1_min_enabled: Min. Choices: True, False. Use a fixed min value. Flourish type hint: boolean, defaults to None.
        :type line_columns_line_1_min_enabled: bool, optional
        :param line_columns_line_1_min: Min value. Flourish type hint: number, defaults to None.
        :type line_columns_line_1_min: float, optional
        :param line_columns_line_1_max_enabled: Max. Choices: True, False. Use a fixed max value. Flourish type hint: boolean, defaults to None.
        :type line_columns_line_1_max_enabled: bool, optional
        :param line_columns_line_1_max: Max value. Flourish type hint: number, defaults to None.
        :type line_columns_line_1_max: float, optional
        :param mobile_view: Mobile view. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type mobile_view: bool, optional
        :param mobile_breakpoint: Mobile breakpoint width. Flourish type hint: number, defaults to None.
        :type mobile_breakpoint: float, optional
        :param mobile_cell_font_size: Text size. Choices: 1, 1.25, 1.5, custom. Flourish type hint: string, defaults to None.
        :type mobile_cell_font_size: str, optional
        :param mobile_cell_font_size_custom: Custom. Specify a custom responsive font size in rems Best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type mobile_cell_font_size_custom: float, optional
        :param mobile_pagination_amount: Rows per page. If you dont want pagination, set this number to a value greater than the number of rows in your data. Flourish type hint: number, defaults to None.
        :type mobile_pagination_amount: float, optional
        :param search_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type search_enabled: bool, optional
        :param search_mode: Search mode. Choices: anywhere, start, whole. Anywhere : Search for the specified text anywhere in the cell  Start : Search for the specified text at the beginning of the cell  Whole : Search for the exact specified text in the cell. Flourish type hint: string, defaults to None.
        :type search_mode: str, optional
        :param search_width: Width. Width of search container. Flourish type hint: number, defaults to None.
        :type search_width: float, optional
        :param search_background_color: Background. Flourish type hint: color, defaults to None.
        :type search_background_color: str, optional
        :param search_text_color: Text color. Flourish type hint: color, defaults to None.
        :type search_text_color: str, optional
        :param search_placeholder: Placeholder text. Flourish type hint: string, defaults to None.
        :type search_placeholder: str, optional
        :param no_results_text: Text when no results. Flourish type hint: string, defaults to None.
        :type no_results_text: str, optional
        :param search_hide_table: Hide table before search. Flourish type hint: boolean, defaults to None.
        :type search_hide_table: bool, optional
        :param search_hide_published: Hide search when published. Keeps the search box visible in the editor (e.g. for filtering in a story) but hides it in the published visualization or storyFlourish type hint: boolean, defaults to None.
        :type search_hide_published: bool, optional
        :param search_columns: Columns to search. Choices: all, first, custom. Choose which columns you want to search through. You might want to narrow this down with big datasets to speed it up You can select specific columns by writing them down on a new line, like this:  Column A Column B. Flourish type hint: string, defaults to None.
        :type search_columns: str, optional
        :param search_columns_custom: Flourish type hint: text, defaults to None.
        :type search_columns_custom: Union[list, str], optional
        :param search_resize: Resize table after searching. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type search_resize: bool, optional
        :param search_dropdown: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type search_dropdown: bool, optional
        :param search_dropdown_persistent: Always show dropdown suggestions. Flourish type hint: boolean, defaults to None.
        :type search_dropdown_persistent: bool, optional
        :param search_val: Search value. The current string value of the search box. Flourish type hint: hidden, defaults to None.
        :type search_val: str, optional
        :param chart_popup_show_popups: Popups. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popups: bool, optional
        :param chart_popup_is_custom: Popup contents. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_is_custom: bool, optional
        :param chart_popup_custom_template: Popup content. The text to appear in the popup. You can use `{{column_name}}` to add a value from your data. It must be in a selected column, but you can add columns to Metadata if you just want to include them for use in the popup. Advanced users can include HTML to apply layouts, formatting, images, etc. Flourish type hint: text, defaults to None.
        :type chart_popup_custom_template: Union[list, str], optional
        :param chart_popup_show_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_pointer: bool, optional
        :param chart_popup_show_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_shadow: bool, optional
        :param chart_popup_style_popups: Custom styling. Flourish type hint: boolean, defaults to None.
        :type chart_popup_style_popups: bool, optional
        :param chart_popup_text_color: Text colour. Flourish type hint: color, defaults to None.
        :type chart_popup_text_color: str, optional
        :param chart_popup_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_popup_align: str, optional
        :param chart_popup_text_size: Font size. Flourish type hint: number, defaults to None.
        :type chart_popup_text_size: float, optional
        :param chart_popup_fill_color: Fill colour. Flourish type hint: color, defaults to None.
        :type chart_popup_fill_color: str, optional
        :param chart_popup_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_opacity: float, optional
        :param chart_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_padding: float, optional
        :param chart_popup_border_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_border_radius: float, optional
        :param chart_popup_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_popup_max_width: float, optional
        :param formatted_columns: Columns to format. Write down the column names on a new line that you want to apply formatting to. Flourish type hint: text, defaults to None.
        :type formatted_columns: Union[list, str], optional
        :param chart_number_date_format_prefix: Prefix. Text to place in front of a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_prefix: str, optional
        :param chart_number_date_format_suffix: Suffix. Text to place after a number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_suffix: str, optional
        :param chart_number_date_format_n_dec: Decimal places. Decimal places. You can also enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_number_date_format_n_dec: float, optional
        :param chart_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_advanced: bool, optional
        :param chart_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_negative_sign: str, optional
        :param chart_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_zeros: bool, optional
        :param chart_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_separator: bool, optional
        :param chart_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_transform_labels: bool, optional
        :param chart_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_transform: str, optional
        :param chart_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_multiply_divide_constant: float, optional
        :param chart_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_exponentiate_constant: float, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        :param chart_url_settings_enabled: Update project from URL. Make it possible to change the visualizations settings/state from the URL hash, for example when embedding in an iframe or popup panel. Flourish type hint: boolean, defaults to None.
        :type chart_url_settings_enabled: bool, optional
        :param chart_url_settings_whitelist: Allowed state properties. List each state property you want to make changeable with the URL hash See the template page for a full list of state properties.  Add one property name per line. Use dot format for nested properties, e.g. `layout.background_color`. Flourish type hint: text, defaults to None.
        :type chart_url_settings_whitelist: Union[list, str], optional
        """
        details_error(self)

        self.state = {
            "state": {
                "sorting": {},
                "bar_columns": {},
                "color": {},
                "legend": {},
                "legend_container": {},
                "line_columns": {},
                "mobile": {},
                "popup": {},
                "number_format": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
                "url_state": {},
            }
        }

        self.state["state"]["table_min_width"] = table_min_width
        self.state["state"]["table_border_width"] = table_border_width
        self.state["state"]["table_border_color"] = table_border_color

        list_sorting_enabled = ["all", "none", "custom"] + [None]
        if sorting_enabled not in list_sorting_enabled:
            raise ValueError(
                f"`sorting_enabled` must be one of: ['all', 'none', 'custom']"
            )
        elif sorting_enabled in list_sorting_enabled and sorting_enabled is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"all": "all", "none": "none", "custom": "custom"}.items()
                if sorting_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["sorting"]["enabled"] = filtered_dict[
                    sorting_enabled
                ]

        if (
            sorting_custom_columns is not None
            and len(sorting_custom_columns) > 1
            and isinstance(sorting_custom_columns, list)
        ):
            self.state["state"]["sorting"]["custom_columns"] = " \n ".join(
                sorting_custom_columns
            )
        else:
            self.state["state"]["sorting"]["custom_columns"] = sorting_custom_columns

        self.state["state"]["pagination_amount"] = pagination_amount

        list_markdown_enabled = [True, False] + [None]
        if markdown_enabled not in list_markdown_enabled:
            raise ValueError(f"`markdown_enabled` must be one of: [True, False]")
        elif markdown_enabled in list_markdown_enabled and markdown_enabled is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if markdown_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["markdown_enabled"] = filtered_dict[
                    markdown_enabled
                ]
        self.state["state"]["cell_height"] = cell_height
        self.state["state"]["cell_padding_vertical"] = cell_padding_vertical
        self.state["state"]["cell_padding_horizontal"] = cell_padding_horizontal
        self.state["state"]["cell_wrap"] = cell_wrap

        list_cell_horizontal_alignment = ["start", "center", "end"] + [None]
        if cell_horizontal_alignment not in list_cell_horizontal_alignment:
            raise ValueError(
                f"`cell_horizontal_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            cell_horizontal_alignment in list_cell_horizontal_alignment
            and cell_horizontal_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if cell_horizontal_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["cell_horizontal_alignment"] = filtered_dict[
                    cell_horizontal_alignment
                ]

        list_cell_numeric_horizontal_alignment = ["start", "center", "end"] + [None]
        if (
            cell_numeric_horizontal_alignment
            not in list_cell_numeric_horizontal_alignment
        ):
            raise ValueError(
                f"`cell_numeric_horizontal_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            cell_numeric_horizontal_alignment in list_cell_numeric_horizontal_alignment
            and cell_numeric_horizontal_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if cell_numeric_horizontal_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"][
                    "cell_numeric_horizontal_alignment"
                ] = filtered_dict[cell_numeric_horizontal_alignment]

        list_cell_vertical_alignment = ["top", "center", "bottom"] + [None]
        if cell_vertical_alignment not in list_cell_vertical_alignment:
            raise ValueError(
                f"`cell_vertical_alignment` must be one of: ['top', 'center', 'bottom']"
            )
        elif (
            cell_vertical_alignment in list_cell_vertical_alignment
            and cell_vertical_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "center": "center",
                    "bottom": "bottom",
                }.items()
                if cell_vertical_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["cell_vertical_alignment"] = filtered_dict[
                    cell_vertical_alignment
                ]
        self.state["state"]["cell_fill_1"] = cell_fill_1
        self.state["state"]["cell_fill_2"] = cell_fill_2

        list_cell_fill_direction = ["horizontal", "vertical"] + [None]
        if cell_fill_direction not in list_cell_fill_direction:
            raise ValueError(
                f"`cell_fill_direction` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            cell_fill_direction in list_cell_fill_direction
            and cell_fill_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if cell_fill_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["cell_fill_direction"] = filtered_dict[
                    cell_fill_direction
                ]
        self.state["state"]["cell_fill_custom_enabled"] = cell_fill_custom_enabled

        if (
            cell_fill_custom_categorical is not None
            and len(cell_fill_custom_categorical) > 1
            and isinstance(cell_fill_custom_categorical, list)
        ):
            self.state["state"]["cell_fill_custom_categorical"] = " \n ".join(
                cell_fill_custom_categorical
            )
        else:
            self.state["state"][
                "cell_fill_custom_categorical"
            ] = cell_fill_custom_categorical

        if (
            cell_fill_custom_numeric is not None
            and len(cell_fill_custom_numeric) > 1
            and isinstance(cell_fill_custom_numeric, list)
        ):
            self.state["state"]["cell_fill_custom_numeric"] = " \n ".join(
                cell_fill_custom_numeric
            )
        else:
            self.state["state"]["cell_fill_custom_numeric"] = cell_fill_custom_numeric

        self.state["state"]["cell_fill_margin_vertical"] = cell_fill_margin_vertical
        self.state["state"]["cell_fill_margin_horizontal"] = cell_fill_margin_horizontal

        list_cell_border_mode = ["none", "horizontal", "vertical", "both"] + [None]
        if cell_border_mode not in list_cell_border_mode:
            raise ValueError(
                f"`cell_border_mode` must be one of: ['none', 'horizontal', 'vertical', 'both']"
            )
        elif cell_border_mode in list_cell_border_mode and cell_border_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                    "both": "both",
                }.items()
                if cell_border_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["cell_border_mode"] = filtered_dict[
                    cell_border_mode
                ]
        self.state["state"]["cell_border_color"] = cell_border_color
        self.state["state"]["cell_border_width"] = cell_border_width

        list_cell_border_style = ["solid", "dashed", "dotted"] + [None]
        if cell_border_style not in list_cell_border_style:
            raise ValueError(
                f"`cell_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            cell_border_style in list_cell_border_style
            and cell_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if cell_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["cell_border_style"] = filtered_dict[
                    cell_border_style
                ]
        self.state["state"]["cell_font_color"] = cell_font_color
        self.state["state"]["cell_link_color"] = cell_link_color

        list_cell_font_size = ["1", "1.25", "1.5", "custom"] + [None]
        if cell_font_size not in list_cell_font_size:
            raise ValueError(
                f"`cell_font_size` must be one of: ['1', '1.25', '1.5', 'custom']"
            )
        elif cell_font_size in list_cell_font_size and cell_font_size is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1": "1",
                    "1.25": "1.25",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if cell_font_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["cell_font_size"] = filtered_dict[cell_font_size]
        self.state["state"]["cell_font_size_custom"] = cell_font_size_custom

        list_column_width_mode = ["auto", "equal", "fixed"] + [None]
        if column_width_mode not in list_column_width_mode:
            raise ValueError(
                f"`column_width_mode` must be one of: ['auto', 'equal', 'fixed']"
            )
        elif (
            column_width_mode in list_column_width_mode
            and column_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "equal": "equal",
                    "fixed": "fixed",
                }.items()
                if column_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["column_width_mode"] = filtered_dict[
                    column_width_mode
                ]
        self.state["state"]["column_widths"] = column_widths

        list_header_font_weight = ["bold", "normal"] + [None]
        if header_font_weight not in list_header_font_weight:
            raise ValueError(f"`header_font_weight` must be one of: ['bold', 'normal']")
        elif (
            header_font_weight in list_header_font_weight
            and header_font_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if header_font_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["header_font_weight"] = filtered_dict[
                    header_font_weight
                ]
        self.state["state"]["header_fill"] = header_fill
        self.state["state"]["header_font_color"] = header_font_color
        self.state["state"]["header_underline_sorting"] = header_underline_sorting

        list_header_style_default = [True, False] + [None]
        if header_style_default not in list_header_style_default:
            raise ValueError(f"`header_style_default` must be one of: [True, False]")
        elif (
            header_style_default in list_header_style_default
            and header_style_default is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if header_style_default in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["header_style_default"] = filtered_dict[
                    header_style_default
                ]
        self.state["state"]["header_height"] = header_height
        self.state["state"]["header_padding"] = header_padding

        list_header_horizontal_alignment = ["start", "center", "end"] + [None]
        if header_horizontal_alignment not in list_header_horizontal_alignment:
            raise ValueError(
                f"`header_horizontal_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            header_horizontal_alignment in list_header_horizontal_alignment
            and header_horizontal_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if header_horizontal_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["header_horizontal_alignment"] = filtered_dict[
                    header_horizontal_alignment
                ]

        list_header_font_default = [True, False] + [None]
        if header_font_default not in list_header_font_default:
            raise ValueError(f"`header_font_default` must be one of: [True, False]")
        elif (
            header_font_default in list_header_font_default
            and header_font_default is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if header_font_default in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["header_font_default"] = filtered_dict[
                    header_font_default
                ]
        self.state["state"]["header_font_size"] = header_font_size

        list_header_border_default = [True, False] + [None]
        if header_border_default not in list_header_border_default:
            raise ValueError(f"`header_border_default` must be one of: [True, False]")
        elif (
            header_border_default in list_header_border_default
            and header_border_default is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if header_border_default in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["header_border_default"] = filtered_dict[
                    header_border_default
                ]
        self.state["state"]["header_border_color"] = header_border_color
        self.state["state"]["header_border_width"] = header_border_width

        list_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if header_border_style not in list_header_border_style:
            raise ValueError(
                f"`header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            header_border_style in list_header_border_style
            and header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["header_border_style"] = filtered_dict[
                    header_border_style
                ]
        self.state["state"]["cell_image_height"] = cell_image_height
        self.state["state"]["cell_image_radius"] = cell_image_radius

        list_bar_columns_enabled = [True, False] + [None]
        if bar_columns_enabled not in list_bar_columns_enabled:
            raise ValueError(f"`bar_columns_enabled` must be one of: [True, False]")
        elif (
            bar_columns_enabled in list_bar_columns_enabled
            and bar_columns_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if bar_columns_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["bar_columns"]["enabled"] = filtered_dict[
                    bar_columns_enabled
                ]

        if (
            bar_columns_bar_1_columns is not None
            and len(bar_columns_bar_1_columns) > 1
            and isinstance(bar_columns_bar_1_columns, list)
        ):
            self.state["state"]["bar_columns"]["bar_1_columns"] = " \n ".join(
                bar_columns_bar_1_columns
            )
        else:
            self.state["state"]["bar_columns"][
                "bar_1_columns"
            ] = bar_columns_bar_1_columns

        self.state["state"]["bar_columns"][
            "bar_1_column_name"
        ] = bar_columns_bar_1_column_name

        list_bar_columns_type = ["bars", "columns"] + [None]
        if bar_columns_type not in list_bar_columns_type:
            raise ValueError(f"`bar_columns_type` must be one of: ['bars', 'columns']")
        elif bar_columns_type in list_bar_columns_type and bar_columns_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"bars": "bars", "columns": "columns"}.items()
                if bar_columns_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["bar_columns"]["type"] = filtered_dict[
                    bar_columns_type
                ]
        self.state["state"]["bar_columns"]["bar_1_height"] = bar_columns_bar_1_height
        self.state["state"]["bar_columns"]["bar_1_width"] = bar_columns_bar_1_width
        self.state["state"]["bar_columns"][
            "bar_1_column_padding"
        ] = bar_columns_bar_1_column_padding

        list_bar_columns_bar_1_proportional = [False, True] + [None]
        if bar_columns_bar_1_proportional not in list_bar_columns_bar_1_proportional:
            raise ValueError(
                f"`bar_columns_bar_1_proportional` must be one of: [False, True]"
            )
        elif (
            bar_columns_bar_1_proportional in list_bar_columns_bar_1_proportional
            and bar_columns_bar_1_proportional is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if bar_columns_bar_1_proportional in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["bar_columns"][
                    "bar_1_proportional"
                ] = filtered_dict[bar_columns_bar_1_proportional]
        self.state["state"]["bar_columns"][
            "bar_1_same_scale"
        ] = bar_columns_bar_1_same_scale
        self.state["state"]["bar_columns"][
            "bar_1_zero_line"
        ] = bar_columns_bar_1_zero_line
        self.state["state"]["bar_columns"][
            "bar_1_zero_line_color"
        ] = bar_columns_bar_1_zero_line_color

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max

        list_bar_columns_bar_1_labels = ["none", "popup", "inline"] + [None]
        if bar_columns_bar_1_labels not in list_bar_columns_bar_1_labels:
            raise ValueError(
                f"`bar_columns_bar_1_labels` must be one of: ['none', 'popup', 'inline']"
            )
        elif (
            bar_columns_bar_1_labels in list_bar_columns_bar_1_labels
            and bar_columns_bar_1_labels is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "inline": "inline",
                }.items()
                if bar_columns_bar_1_labels in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["bar_columns"]["bar_1_labels"] = filtered_dict[
                    bar_columns_bar_1_labels
                ]
        self.state["state"]["bar_columns"][
            "bar_1_label_size"
        ] = bar_columns_bar_1_label_size

        list_chart_legend_show_legend = [True, False] + [None]
        if chart_legend_show_legend not in list_chart_legend_show_legend:
            raise ValueError(
                f"`chart_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_legend_show_legend in list_chart_legend_show_legend
            and chart_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend"]["show_legend"] = filtered_dict[
                    chart_legend_show_legend
                ]

        list_chart_legend_title_mode = ["auto", "custom"] + [None]
        if chart_legend_title_mode not in list_chart_legend_title_mode:
            raise ValueError(
                f"`chart_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_legend_title_mode in list_chart_legend_title_mode
            and chart_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend"]["title_mode"] = filtered_dict[
                    chart_legend_title_mode
                ]
        self.state["state"]["legend"]["title"] = chart_legend_title
        self.state["state"]["legend"]["swatch_width"] = chart_legend_swatch_width
        self.state["state"]["legend"]["swatch_height"] = chart_legend_swatch_height
        self.state["state"]["legend"]["swatch_radius"] = chart_legend_swatch_radius
        self.state["state"]["legend"][
            "legend_items_padding"
        ] = chart_legend_legend_items_padding
        self.state["state"]["legend"]["swatch_outline"] = chart_legend_swatch_outline
        self.state["state"]["legend"][
            "swatch_outline_color"
        ] = chart_legend_swatch_outline_color

        if (
            chart_legend_order_override is not None
            and len(chart_legend_order_override) > 1
            and isinstance(chart_legend_order_override, list)
        ):
            self.state["state"]["legend"]["order_override"] = " \n ".join(
                chart_legend_order_override
            )
        else:
            self.state["state"]["legend"][
                "order_override"
            ] = chart_legend_order_override

        self.state["state"]["legend"]["icon_height"] = chart_legend_icon_height
        self.state["state"]["legend"]["icon_color"] = chart_legend_icon_color
        self.state["state"]["legend"]["max_width"] = chart_legend_max_width

        list_chart_legend_orientation = ["horizontal", "vertical"] + [None]
        if chart_legend_orientation not in list_chart_legend_orientation:
            raise ValueError(
                f"`chart_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_orientation in list_chart_legend_orientation
            and chart_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend"]["orientation"] = filtered_dict[
                    chart_legend_orientation
                ]

        list_legend_position = ["above", "below"] + [None]
        if legend_position not in list_legend_position:
            raise ValueError(f"`legend_position` must be one of: ['above', 'below']")
        elif legend_position in list_legend_position and legend_position is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"above": "above", "below": "below"}.items()
                if legend_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_position"] = filtered_dict[legend_position]

        list_chart_legend_container_alignment = ["start", "center", "end"] + [None]
        if (
            chart_legend_container_alignment
            not in list_chart_legend_container_alignment
        ):
            raise ValueError(
                f"`chart_legend_container_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_legend_container_alignment in list_chart_legend_container_alignment
            and chart_legend_container_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_legend_container_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["alignment"] = filtered_dict[
                    chart_legend_container_alignment
                ]

        list_chart_legend_container_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_legend_container_orientation
            not in list_chart_legend_container_orientation
        ):
            raise ValueError(
                f"`chart_legend_container_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_legend_container_orientation
            in list_chart_legend_container_orientation
            and chart_legend_container_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_legend_container_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["orientation"] = filtered_dict[
                    chart_legend_container_orientation
                ]

        list_chart_legend_container_title_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_title_weight
            not in list_chart_legend_container_title_weight
        ):
            raise ValueError(
                f"`chart_legend_container_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_title_weight
            in list_chart_legend_container_title_weight
            and chart_legend_container_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["title_weight"] = filtered_dict[
                    chart_legend_container_title_weight
                ]

        list_chart_legend_container_text_weight = ["bold", "normal"] + [None]
        if (
            chart_legend_container_text_weight
            not in list_chart_legend_container_text_weight
        ):
            raise ValueError(
                f"`chart_legend_container_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_legend_container_text_weight
            in list_chart_legend_container_text_weight
            and chart_legend_container_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_legend_container_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_container"]["text_weight"] = filtered_dict[
                    chart_legend_container_text_weight
                ]
        self.state["state"]["legend_container"][
            "text_color"
        ] = chart_legend_container_text_color
        self.state["state"]["legend_container"][
            "text_size"
        ] = chart_legend_container_text_size

        list_line_columns_enabled = [True, False] + [None]
        if line_columns_enabled not in list_line_columns_enabled:
            raise ValueError(f"`line_columns_enabled` must be one of: [True, False]")
        elif (
            line_columns_enabled in list_line_columns_enabled
            and line_columns_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if line_columns_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_columns"]["enabled"] = filtered_dict[
                    line_columns_enabled
                ]

        if (
            line_columns_line_1_columns is not None
            and len(line_columns_line_1_columns) > 1
            and isinstance(line_columns_line_1_columns, list)
        ):
            self.state["state"]["line_columns"]["line_1_columns"] = " \n ".join(
                line_columns_line_1_columns
            )
        else:
            self.state["state"]["line_columns"][
                "line_1_columns"
            ] = line_columns_line_1_columns

        self.state["state"]["line_columns"][
            "line_1_column_name"
        ] = line_columns_line_1_column_name
        self.state["state"]["line_columns"]["line_1_width"] = line_columns_line_1_width
        self.state["state"]["line_columns"][
            "line_1_height"
        ] = line_columns_line_1_height
        self.state["state"]["line_columns"]["line_1_color"] = line_columns_line_1_color

        list_line_columns_line_1_area = [True, False] + [None]
        if line_columns_line_1_area not in list_line_columns_line_1_area:
            raise ValueError(
                f"`line_columns_line_1_area` must be one of: [True, False]"
            )
        elif (
            line_columns_line_1_area in list_line_columns_line_1_area
            and line_columns_line_1_area is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if line_columns_line_1_area in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_columns"]["line_1_area"] = filtered_dict[
                    line_columns_line_1_area
                ]

        list_line_columns_line_1_min_enabled = [True, False] + [None]
        if line_columns_line_1_min_enabled not in list_line_columns_line_1_min_enabled:
            raise ValueError(
                f"`line_columns_line_1_min_enabled` must be one of: [True, False]"
            )
        elif (
            line_columns_line_1_min_enabled in list_line_columns_line_1_min_enabled
            and line_columns_line_1_min_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if line_columns_line_1_min_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_columns"][
                    "line_1_min_enabled"
                ] = filtered_dict[line_columns_line_1_min_enabled]
        self.state["state"]["line_columns"]["line_1_min"] = line_columns_line_1_min

        list_line_columns_line_1_max_enabled = [True, False] + [None]
        if line_columns_line_1_max_enabled not in list_line_columns_line_1_max_enabled:
            raise ValueError(
                f"`line_columns_line_1_max_enabled` must be one of: [True, False]"
            )
        elif (
            line_columns_line_1_max_enabled in list_line_columns_line_1_max_enabled
            and line_columns_line_1_max_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if line_columns_line_1_max_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_columns"][
                    "line_1_max_enabled"
                ] = filtered_dict[line_columns_line_1_max_enabled]
        self.state["state"]["line_columns"]["line_1_max"] = line_columns_line_1_max

        list_mobile_view = [False, True] + [None]
        if mobile_view not in list_mobile_view:
            raise ValueError(f"`mobile_view` must be one of: [False, True]")
        elif mobile_view in list_mobile_view and mobile_view is not None:
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if mobile_view in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["mobile"]["view"] = filtered_dict[mobile_view]
        self.state["state"]["mobile"]["breakpoint"] = mobile_breakpoint

        list_mobile_cell_font_size = ["1", "1.25", "1.5", "custom"] + [None]
        if mobile_cell_font_size not in list_mobile_cell_font_size:
            raise ValueError(
                f"`mobile_cell_font_size` must be one of: ['1', '1.25', '1.5', 'custom']"
            )
        elif (
            mobile_cell_font_size in list_mobile_cell_font_size
            and mobile_cell_font_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1": "1",
                    "1.25": "1.25",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if mobile_cell_font_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["mobile"]["cell_font_size"] = filtered_dict[
                    mobile_cell_font_size
                ]
        self.state["state"]["mobile"][
            "cell_font_size_custom"
        ] = mobile_cell_font_size_custom
        self.state["state"]["mobile"]["pagination_amount"] = mobile_pagination_amount

        list_search_enabled = [True, False] + [None]
        if search_enabled not in list_search_enabled:
            raise ValueError(f"`search_enabled` must be one of: [True, False]")
        elif search_enabled in list_search_enabled and search_enabled is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if search_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["search_enabled"] = filtered_dict[search_enabled]

        list_search_mode = ["anywhere", "start", "whole"] + [None]
        if search_mode not in list_search_mode:
            raise ValueError(
                f"`search_mode` must be one of: ['anywhere', 'start', 'whole']"
            )
        elif search_mode in list_search_mode and search_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "anywhere": "anywhere",
                    "start": "start",
                    "whole": "whole",
                }.items()
                if search_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["search_mode"] = filtered_dict[search_mode]
        self.state["state"]["search_width"] = search_width
        self.state["state"]["search_background_color"] = search_background_color
        self.state["state"]["search_text_color"] = search_text_color
        self.state["state"]["search_placeholder"] = search_placeholder
        self.state["state"]["no_results_text"] = no_results_text
        self.state["state"]["search_hide_table"] = search_hide_table
        self.state["state"]["search_hide_published"] = search_hide_published

        list_search_columns = ["all", "first", "custom"] + [None]
        if search_columns not in list_search_columns:
            raise ValueError(
                f"`search_columns` must be one of: ['all', 'first', 'custom']"
            )
        elif search_columns in list_search_columns and search_columns is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "all": "all",
                    "first": "first",
                    "custom": "custom",
                }.items()
                if search_columns in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["search_columns"] = filtered_dict[search_columns]

        if (
            search_columns_custom is not None
            and len(search_columns_custom) > 1
            and isinstance(search_columns_custom, list)
        ):
            self.state["state"]["search_columns_custom"] = " \n ".join(
                search_columns_custom
            )
        else:
            self.state["state"]["search_columns_custom"] = search_columns_custom

        list_search_resize = [True, False] + [None]
        if search_resize not in list_search_resize:
            raise ValueError(f"`search_resize` must be one of: [True, False]")
        elif search_resize in list_search_resize and search_resize is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if search_resize in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["search_resize"] = filtered_dict[search_resize]

        list_search_dropdown = [True, False] + [None]
        if search_dropdown not in list_search_dropdown:
            raise ValueError(f"`search_dropdown` must be one of: [True, False]")
        elif search_dropdown in list_search_dropdown and search_dropdown is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if search_dropdown in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["search_dropdown"] = filtered_dict[search_dropdown]
        self.state["state"]["search_dropdown_persistent"] = search_dropdown_persistent
        self.state["state"]["search_val"] = search_val

        list_chart_popup_show_popups = [True, False] + [None]
        if chart_popup_show_popups not in list_chart_popup_show_popups:
            raise ValueError(f"`chart_popup_show_popups` must be one of: [True, False]")
        elif (
            chart_popup_show_popups in list_chart_popup_show_popups
            and chart_popup_show_popups is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_popup_show_popups in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["show_popups"] = filtered_dict[
                    chart_popup_show_popups
                ]

        list_chart_popup_is_custom = [False, True] + [None]
        if chart_popup_is_custom not in list_chart_popup_is_custom:
            raise ValueError(f"`chart_popup_is_custom` must be one of: [False, True]")
        elif (
            chart_popup_is_custom in list_chart_popup_is_custom
            and chart_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["is_custom"] = filtered_dict[
                    chart_popup_is_custom
                ]

        if (
            chart_popup_custom_template is not None
            and len(chart_popup_custom_template) > 1
            and isinstance(chart_popup_custom_template, list)
        ):
            self.state["state"]["popup"]["custom_template"] = " \n ".join(
                chart_popup_custom_template
            )
        else:
            self.state["state"]["popup"][
                "custom_template"
            ] = chart_popup_custom_template

        self.state["state"]["popup"]["show_pointer"] = chart_popup_show_pointer
        self.state["state"]["popup"]["show_shadow"] = chart_popup_show_shadow
        self.state["state"]["popup"]["style_popups"] = chart_popup_style_popups
        self.state["state"]["popup"]["text_color"] = chart_popup_text_color

        list_chart_popup_align = ["left", "center", "right"] + [None]
        if chart_popup_align not in list_chart_popup_align:
            raise ValueError(
                f"`chart_popup_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_popup_align in list_chart_popup_align
            and chart_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["align"] = filtered_dict[chart_popup_align]
        self.state["state"]["popup"]["text_size"] = chart_popup_text_size
        self.state["state"]["popup"]["fill_color"] = chart_popup_fill_color
        self.state["state"]["popup"]["opacity"] = chart_popup_opacity
        self.state["state"]["popup"]["padding"] = chart_popup_padding
        self.state["state"]["popup"]["border_radius"] = chart_popup_border_radius
        self.state["state"]["popup"]["max_width"] = chart_popup_max_width

        if (
            formatted_columns is not None
            and len(formatted_columns) > 1
            and isinstance(formatted_columns, list)
        ):
            self.state["state"]["formatted_columns"] = " \n ".join(formatted_columns)
        else:
            self.state["state"]["formatted_columns"] = formatted_columns

        self.state["state"]["number_format"]["prefix"] = chart_number_date_format_prefix
        self.state["state"]["number_format"]["suffix"] = chart_number_date_format_suffix
        self.state["state"]["number_format"]["n_dec"] = chart_number_date_format_n_dec
        self.state["state"]["number_format"][
            "advanced"
        ] = chart_number_date_format_advanced

        list_chart_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_number_date_format_negative_sign
            not in list_chart_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_number_date_format_negative_sign
            in list_chart_number_date_format_negative_sign
            and chart_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["number_format"]["negative_sign"] = filtered_dict[
                    chart_number_date_format_negative_sign
                ]
        self.state["state"]["number_format"][
            "strip_zeros"
        ] = chart_number_date_format_strip_zeros
        self.state["state"]["number_format"][
            "strip_separator"
        ] = chart_number_date_format_strip_separator
        self.state["state"]["number_format"][
            "transform_labels"
        ] = chart_number_date_format_transform_labels

        list_chart_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_number_date_format_transform
            not in list_chart_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_number_date_format_transform
            in list_chart_number_date_format_transform
            and chart_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["number_format"]["transform"] = filtered_dict[
                    chart_number_date_format_transform
                ]
        self.state["state"]["number_format"][
            "multiply_divide_constant"
        ] = chart_number_date_format_multiply_divide_constant
        self.state["state"]["number_format"][
            "exponentiate_constant"
        ] = chart_number_date_format_exponentiate_constant
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        self.state["state"]["url_state"]["enabled"] = chart_url_settings_enabled

        if (
            chart_url_settings_whitelist is not None
            and len(chart_url_settings_whitelist) > 1
            and isinstance(chart_url_settings_whitelist, list)
        ):
            self.state["state"]["url_state"]["whitelist"] = " \n ".join(
                chart_url_settings_whitelist
            )
        else:
            self.state["state"]["url_state"]["whitelist"] = chart_url_settings_whitelist

        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_text_annotator_details(
        self,
        text: Union[list, str] = None,
        highlight_color: str = None,
        layout_align: str = None,
        text_container_width: float = None,
        text_font_size: float = None,
        text_font_color: str = None,
        text_font_color_highlighted: str = None,
        text_font_color_highlighted_contrast: str = None,
        text_highlight_type: str = None,
        text_highlight_handdrawn: str = None,
        highlighted_stroke_end: str = None,
        highlighted_stroke_amount: float = None,
        highlighted_stroke_width: float = None,
        note_type: str = None,
        note_visibility: str = None,
        note_font_size: float = None,
        side_panel_width: float = None,
        note_font_color: str = None,
        note_background_color: str = None,
        note_custom_content: Union[list, str] = None,
        note_mobile_mode: str = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: text annotator.


        :param text: Text. Fill in the text you want to annotate In the datasheet, you can write which parts of the text should be annotated. If you want to annotate a specific part of the text that occurs more than once, you can add identifiers to your text. For example, "Id like to annotate the word beautiful\{beautiful-annotation}." Then, in the datasheet, you can write "beautiful-annotation" in the first column and the text to include in the annotation in the second column. Flourish type hint: html, defaults to None.
        :type text: Union[list, str], optional
        :param highlight_color: Highlight color. Flourish type hint: color, defaults to None.
        :type highlight_color: str, optional
        :param layout_align: Align. Choices: center, start. Flourish type hint: string, defaults to None.
        :type layout_align: str, optional
        :param text_container_width: Width. Max width of text container. Flourish type hint: number, defaults to None.
        :type text_container_width: float, optional
        :param text_font_size: Font size. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type text_font_size: float, optional
        :param text_font_color: Text color. Flourish type hint: color, defaults to None.
        :type text_font_color: str, optional
        :param text_font_color_highlighted: Text color (highlighted). Flourish type hint: color, defaults to None.
        :type text_font_color_highlighted: str, optional
        :param text_font_color_highlighted_contrast: Text color (highlighted). Flourish type hint: color, defaults to None.
        :type text_font_color_highlighted_contrast: str, optional
        :param text_highlight_type: Highlight type. Choices: handdrawn, background, text_color, underline. Flourish type hint: string, defaults to None.
        :type text_highlight_type: str, optional
        :param text_highlight_handdrawn: Handdrawn type. Choices: circle, highlight, box, underline. Flourish type hint: string, defaults to None.
        :type text_highlight_handdrawn: str, optional
        :param highlighted_stroke_end: Stroke end. Choices: round,Flourish type hint: string, defaults to None.
        :type highlighted_stroke_end: str, optional
        :param highlighted_stroke_amount: Iterations. Number of lines to draw. Flourish type hint: number, defaults to None.
        :type highlighted_stroke_amount: float, optional
        :param highlighted_stroke_width: Thickness. Flourish type hint: number, defaults to None.
        :type highlighted_stroke_width: float, optional
        :param note_type: Mode. Choices: side-panel, inline. Flourish type hint: string, defaults to None.
        :type note_type: str, optional
        :param note_visibility: Show notes. Choices: always, click. Flourish type hint: string, defaults to None.
        :type note_visibility: str, optional
        :param note_font_size: Text size. Flourish type hint: number, defaults to None.
        :type note_font_size: float, optional
        :param side_panel_width: Width. Max width of side panel. Flourish type hint: number, defaults to None.
        :type side_panel_width: float, optional
        :param note_font_color: Text color. Flourish type hint: color, defaults to None.
        :type note_font_color: str, optional
        :param note_background_color: Background color. Flourish type hint: color, defaults to None.
        :type note_background_color: str, optional
        :param note_custom_content: Note content. Use `{{NOTE}}` to show the annotation content. Use this setting to add prefixes, suffixes or additional HTML styling to your annotations. Flourish type hint: html, defaults to None.
        :type note_custom_content: Union[list, str], optional
        :param note_mobile_mode: Mobile mode. Choices: side-panel, inline, overlay. Choose where to display the notes on smaller screens. Flourish type hint: string, defaults to None.
        :type note_mobile_mode: str, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        if text is not None and len(text) > 1 and isinstance(text, list):
            self.state["state"]["text"] = " \n ".join(text)
        else:
            self.state["state"]["text"] = text

        self.state["state"]["highlight_color"] = highlight_color

        list_layout_align = ["center", "start"] + [None]
        if layout_align not in list_layout_align:
            raise ValueError(f"`layout_align` must be one of: ['center', 'start']")
        elif layout_align in list_layout_align and layout_align is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"center": "center", "start": "start"}.items()
                if layout_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout_align"] = filtered_dict[layout_align]
        self.state["state"]["text_container_width"] = text_container_width
        self.state["state"]["text_font_size"] = text_font_size
        self.state["state"]["text_font_color"] = text_font_color
        self.state["state"]["text_font_color_highlighted"] = text_font_color_highlighted
        self.state["state"][
            "text_font_color_highlighted_contrast"
        ] = text_font_color_highlighted_contrast

        list_text_highlight_type = [
            "handdrawn",
            "background",
            "text_color",
            "underline",
        ] + [None]
        if text_highlight_type not in list_text_highlight_type:
            raise ValueError(
                f"`text_highlight_type` must be one of: ['handdrawn', 'background', 'text_color', 'underline']"
            )
        elif (
            text_highlight_type in list_text_highlight_type
            and text_highlight_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "handdrawn": "handdrawn",
                    "background": "background",
                    "text_color": "text_color",
                    "underline": "underline",
                }.items()
                if text_highlight_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["text_highlight_type"] = filtered_dict[
                    text_highlight_type
                ]

        list_text_highlight_handdrawn = ["circle", "highlight", "box", "underline"] + [
            None
        ]
        if text_highlight_handdrawn not in list_text_highlight_handdrawn:
            raise ValueError(
                f"`text_highlight_handdrawn` must be one of: ['circle', 'highlight', 'box', 'underline']"
            )
        elif (
            text_highlight_handdrawn in list_text_highlight_handdrawn
            and text_highlight_handdrawn is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "circle": "circle",
                    "highlight": "highlight",
                    "box": "box",
                    "underline": "underline",
                }.items()
                if text_highlight_handdrawn in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["text_highlight_handdrawn"] = filtered_dict[
                    text_highlight_handdrawn
                ]

        list_highlighted_stroke_end = ["round", ""] + [None]
        if highlighted_stroke_end not in list_highlighted_stroke_end:
            raise ValueError(f"`highlighted_stroke_end` must be one of: ['round', '']")
        elif (
            highlighted_stroke_end in list_highlighted_stroke_end
            and highlighted_stroke_end is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"round": "round", "": ""}.items()
                if highlighted_stroke_end in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["highlighted_stroke_end"] = filtered_dict[
                    highlighted_stroke_end
                ]
        self.state["state"]["highlighted_stroke_amount"] = highlighted_stroke_amount
        self.state["state"]["highlighted_stroke_width"] = highlighted_stroke_width

        list_note_type = ["side-panel", "inline"] + [None]
        if note_type not in list_note_type:
            raise ValueError(f"`note_type` must be one of: ['side-panel', 'inline']")
        elif note_type in list_note_type and note_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"side-panel": "side-panel", "inline": "inline"}.items()
                if note_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["note_type"] = filtered_dict[note_type]

        list_note_visibility = ["always", "click"] + [None]
        if note_visibility not in list_note_visibility:
            raise ValueError(f"`note_visibility` must be one of: ['always', 'click']")
        elif note_visibility in list_note_visibility and note_visibility is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"always": "always", "click": "click"}.items()
                if note_visibility in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["note_visibility"] = filtered_dict[note_visibility]
        self.state["state"]["note_font_size"] = note_font_size
        self.state["state"]["side_panel_width"] = side_panel_width
        self.state["state"]["note_font_color"] = note_font_color
        self.state["state"]["note_background_color"] = note_background_color

        if (
            note_custom_content is not None
            and len(note_custom_content) > 1
            and isinstance(note_custom_content, list)
        ):
            self.state["state"]["note_custom_content"] = " \n ".join(
                note_custom_content
            )
        else:
            self.state["state"]["note_custom_content"] = note_custom_content

        list_note_mobile_mode = ["side-panel", "inline", "overlay"] + [None]
        if note_mobile_mode not in list_note_mobile_mode:
            raise ValueError(
                f"`note_mobile_mode` must be one of: ['side-panel', 'inline', 'overlay']"
            )
        elif note_mobile_mode in list_note_mobile_mode and note_mobile_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "side-panel": "side-panel",
                    "inline": "inline",
                    "overlay": "overlay",
                }.items()
                if note_mobile_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["note_mobile_mode"] = filtered_dict[
                    note_mobile_mode
                ]
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_timeline_details(
        self,
        widescreen_orientation: str = None,
        height_mode: str = None,
        facet_aspect: str = None,
        facet_aspect_custom: float = None,
        facet_aspect_breakpoint: float = None,
        facet_aspect_mobile: str = None,
        facet_aspect_mobile_custom: float = None,
        line_color: str = None,
        line_width: float = None,
        line_cap: str = None,
        events_scale_type: str = None,
        background_opacity: float = None,
        background_sizing: str = None,
        background_zoom: float = None,
        background_gradient_size: float = None,
        background_gradient_opacity: float = None,
        background_gradient_blur: float = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        marker_size: float = None,
        marker_background_color: str = None,
        marker_background_color_custom: str = None,
        marker_border_width: float = None,
        marker_border_color: str = None,
        marker_border_color_custom: str = None,
        connector_size: float = None,
        connector_space: float = None,
        connector_color: str = None,
        connector_opacity: float = None,
        content_background_color: str = None,
        content_padding: float = None,
        content_space_between: float = None,
        content_consistent_size: bool = None,
        content_border_radius: float = None,
        individual_borders: bool = None,
        content_border_width: float = None,
        content_border_opacity: float = None,
        content_border_color: str = None,
        content_border_color_custom: str = None,
        content_border_top_width: float = None,
        content_border_top_opacity: float = None,
        content_border_top_color: str = None,
        content_border_top_color_custom: str = None,
        content_border_right_width: float = None,
        content_border_right_opacity: float = None,
        content_border_right_color: str = None,
        content_border_right_color_custom: str = None,
        content_border_bottom_width: float = None,
        content_border_bottom_opacity: float = None,
        content_border_bottom_color: str = None,
        content_border_bottom_color_custom: str = None,
        content_border_left_width: float = None,
        content_border_left_opacity: float = None,
        content_border_left_color: str = None,
        content_border_left_color_custom: str = None,
        content_title_alignment: str = None,
        content_title_styling: bool = None,
        content_title_line_height: float = None,
        content_title_size: str = None,
        content_title_size_custom: float = None,
        content_title_weight: str = None,
        content_title_color: str = None,
        content_title_color_custom: str = None,
        content_title_space_above: str = None,
        content_title_space_above_custom: float = None,
        content_subtitle_alignment: str = None,
        content_subtitle_styling: bool = None,
        content_subtitle_line_height: float = None,
        content_subtitle_size: str = None,
        content_subtitle_size_custom: float = None,
        content_subtitle_weight: str = None,
        content_subtitle_color: str = None,
        content_subtitle_color_custom: str = None,
        content_subtitle_space_above: str = None,
        content_subtitle_space_above_custom: float = None,
        content_text_alignment: str = None,
        content_text_styling: bool = None,
        content_text_line_height: float = None,
        content_text_size: str = None,
        content_text_size_custom: float = None,
        content_text_weight: str = None,
        content_text_color: str = None,
        content_text_color_custom: str = None,
        content_text_space_above: str = None,
        content_text_space_above_custom: float = None,
        link_weight: str = None,
        link_color: str = None,
        link_underline: bool = None,
        image_location: str = None,
        image_opacity: float = None,
        image_display: str = None,
        image_sizing: str = None,
        image_zoom: float = None,
        image_content_sizing: str = None,
        image_content_zoom: float = None,
        image_float_position: str = None,
        image_inline_position: str = None,
        image_alignment: str = None,
        content_banner_depth: str = None,
        content_banner_depth_custom: float = None,
        image_width: float = None,
        image_margin: float = None,
        image_aspect: float = None,
        navigation_step_type: str = None,
        navigation_screen_proportion: float = None,
        navigation_event_number: float = None,
        navigation_icon_type: str = None,
        navigation_icon_size: float = None,
        navigation_icon_opacity: float = None,
        navigation_icon_custom: str = None,
        navigation_icon_color: str = None,
        navigation_gradient_color: str = None,
        navigation_gradient_width: float = None,
        navigation_gradient_opacity: float = None,
        chart_x_axis_axis_position: str = None,
        chart_x_axis_y_axis_position: str = None,
        chart_x_axis_numeric_scale_type: str = None,
        chart_x_axis_linear_min: float = None,
        chart_x_axis_linear_max: float = None,
        chart_x_axis_log_min: float = None,
        chart_x_axis_log_max: float = None,
        chart_x_axis_datetime_min: str = None,
        chart_x_axis_datetime_max: str = None,
        chart_x_axis_flip: bool = None,
        chart_x_axis_show_scale_settings: bool = None,
        chart_x_axis_nice: bool = None,
        chart_x_axis_zero_axis: str = None,
        chart_x_axis_title_mode: str = None,
        chart_x_axis_title: str = None,
        chart_x_axis_title_styling: bool = None,
        chart_x_axis_title_weight: str = None,
        chart_x_axis_title_color: str = None,
        chart_x_axis_title_size: float = None,
        chart_x_axis_title_padding: float = None,
        chart_x_axis_tick_label_position: str = None,
        chart_x_axis_tick_label_styling: bool = None,
        chart_x_axis_tick_label_size: float = None,
        chart_x_axis_tick_label_color: str = None,
        chart_x_axis_tick_padding: float = None,
        chart_x_axis_tick_label_angle: str = None,
        chart_x_axis_tick_label_weight: str = None,
        chart_x_axis_tick_label_max_lines: float = None,
        chart_x_axis_tick_label_line_height: float = None,
        chart_x_axis_tick_label_space_mode: str = None,
        chart_x_axis_tick_label_space: float = None,
        chart_x_axis_tick_mode: str = None,
        chart_x_axis_tick_number: float = None,
        chart_x_axis_tick_custom: Union[list, str] = None,
        chart_x_axis_line_and_tick_color: str = None,
        chart_x_axis_line_and_tick_width: float = None,
        chart_x_axis_tick_length: float = None,
        chart_x_axis_tick_side: str = None,
        chart_x_axis_line_visible: bool = None,
        chart_x_axis_edge_padding: float = None,
        chart_x_axis_gridlines_visible: bool = None,
        chart_x_axis_gridlines_styling: bool = None,
        chart_x_axis_gridline_color: str = None,
        chart_x_axis_gridline_style: str = None,
        chart_x_axis_gridline_width: float = None,
        chart_x_axis_gridline_category_dividers: bool = None,
        chart_x_axis_gridline_category_dividers_extend: bool = None,
        chart_y_axis_axis_visible: bool = None,
        chart_y_axis_numeric_scale_type: str = None,
        chart_y_axis_linear_min: float = None,
        chart_y_axis_linear_max: float = None,
        chart_y_axis_log_min: float = None,
        chart_y_axis_log_max: float = None,
        chart_y_axis_datetime_min: str = None,
        chart_y_axis_datetime_max: str = None,
        chart_y_axis_flip: bool = None,
        chart_y_axis_show_scale_settings: bool = None,
        chart_y_axis_nice: bool = None,
        chart_y_axis_zero_axis: str = None,
        chart_y_axis_title_mode: str = None,
        chart_y_axis_title: str = None,
        chart_y_axis_title_styling: bool = None,
        chart_y_axis_title_position: str = None,
        chart_y_axis_title_weight: str = None,
        chart_y_axis_title_color: str = None,
        chart_y_axis_title_size: float = None,
        chart_y_axis_title_padding: float = None,
        chart_y_axis_tick_label_position: str = None,
        chart_y_axis_tick_label_styling: bool = None,
        chart_y_axis_tick_label_size: float = None,
        chart_y_axis_tick_label_color: str = None,
        chart_y_axis_tick_padding: float = None,
        chart_y_axis_tick_label_angle: str = None,
        chart_y_axis_tick_label_weight: str = None,
        chart_y_axis_tick_label_max_lines: float = None,
        chart_y_axis_tick_label_line_height: float = None,
        chart_y_axis_tick_label_space_mode: str = None,
        chart_y_axis_tick_label_space: float = None,
        chart_y_axis_tick_mode: str = None,
        chart_y_axis_tick_number: float = None,
        chart_y_axis_tick_custom: Union[list, str] = None,
        chart_y_axis_line_and_tick_color: str = None,
        chart_y_axis_line_and_tick_width: float = None,
        chart_y_axis_tick_length: float = None,
        chart_y_axis_tick_side: str = None,
        chart_y_axis_line_visible: bool = None,
        chart_y_axis_edge_padding: float = None,
        chart_y_axis_gridlines_visible: bool = None,
        chart_y_axis_gridlines_styling: bool = None,
        chart_y_axis_gridline_color: str = None,
        chart_y_axis_gridline_style: str = None,
        chart_y_axis_gridline_width: float = None,
        chart_y_axis_gridline_category_dividers: bool = None,
        chart_y_axis_gridline_category_dividers_extend: bool = None,
        chart_categorical_legend_show_legend: bool = None,
        chart_categorical_legend_title_mode: str = None,
        chart_categorical_legend_title: str = None,
        chart_categorical_legend_swatch_width: float = None,
        chart_categorical_legend_swatch_height: float = None,
        chart_categorical_legend_swatch_radius: float = None,
        chart_categorical_legend_legend_items_padding: float = None,
        chart_categorical_legend_swatch_outline: bool = None,
        chart_categorical_legend_swatch_outline_color: str = None,
        chart_categorical_legend_order_override: Union[list, str] = None,
        chart_categorical_legend_icon_height: float = None,
        chart_categorical_legend_icon_color: str = None,
        chart_categorical_legend_max_width: float = None,
        chart_categorical_legend_orientation: str = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: timeline.


        :param widescreen_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type widescreen_orientation: str, optional
        :param height_mode: Height mode. Choices: auto, standard, aspect. Auto: sets the height based on the chart type, data and width.  Standard: uses the default Flourish responsive sizing.  Aspect ratio: sets the aspect of each plot.  This setting is ignored when embedded in a fixed-height context, such as a simple iframe embedFlourish type hint: string, defaults to None.
        :type height_mode: str, optional
        :param facet_aspect: Desktop aspect. Choices: 0.75, 1, 1.5, custom. Aspect ratio of the visualization in desktop mode. Flourish type hint: string, defaults to None.
        :type facet_aspect: str, optional
        :param facet_aspect_custom: Custom. 1 is square, above 1 is wider, and below 1 is taller. Flourish type hint: number, defaults to None.
        :type facet_aspect_custom: float, optional
        :param facet_aspect_breakpoint: Breakpoint. The width at which mobile mode ends and desktop begins. Flourish type hint: number, defaults to None.
        :type facet_aspect_breakpoint: float, optional
        :param facet_aspect_mobile: Mobile aspect. Choices: 0.75, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type facet_aspect_mobile: str, optional
        :param facet_aspect_mobile_custom: Custom. 1 is square, above 1 is wider, and below 1 is taller. Flourish type hint: number, defaults to None.
        :type facet_aspect_mobile_custom: float, optional
        :param line_color: Color. Flourish type hint: color, defaults to None.
        :type line_color: str, optional
        :param line_width: Width. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type line_width: float, optional
        :param line_cap: Cap. Choices: butt, round, square. The shape used to draw the end points. Flourish type hint: string, defaults to None.
        :type line_cap: str, optional
        :param events_scale_type: Choices: linear, timescale. Flourish type hint: string, defaults to None.
        :type events_scale_type: str, optional
        :param background_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type background_opacity: float, optional
        :param background_sizing: Sizing. Choices: contain, cover, zoom. Flourish type hint: string, defaults to None.
        :type background_sizing: str, optional
        :param background_zoom: Zoom. Sets what size the image should fill the container as a percentage of the container size. Flourish type hint: number, defaults to None.
        :type background_zoom: float, optional
        :param background_gradient_size: Size. Flourish type hint: number, defaults to None.
        :type background_gradient_size: float, optional
        :param background_gradient_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type background_gradient_opacity: float, optional
        :param background_gradient_blur: Blur. Flourish type hint: number, defaults to None.
        :type background_gradient_blur: float, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param marker_size: Size. Flourish type hint: number, defaults to None.
        :type marker_size: float, optional
        :param marker_background_color: Color. Choices: data, custom. Flourish type hint: string, defaults to None.
        :type marker_background_color: str, optional
        :param marker_background_color_custom: Flourish type hint: color, defaults to None.
        :type marker_background_color_custom: str, optional
        :param marker_border_width: Size. Flourish type hint: number, defaults to None.
        :type marker_border_width: float, optional
        :param marker_border_color: Color. Choices: data, custom. Flourish type hint: string, defaults to None.
        :type marker_border_color: str, optional
        :param marker_border_color_custom: Flourish type hint: color, defaults to None.
        :type marker_border_color_custom: str, optional
        :param connector_size: Size. Flourish type hint: number, defaults to None.
        :type connector_size: float, optional
        :param connector_space: Space. Sets the area around the markers to keep clear of content containers. Flourish type hint: number, defaults to None.
        :type connector_space: float, optional
        :param connector_color: Color. Flourish type hint: color, defaults to None.
        :type connector_color: str, optional
        :param connector_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type connector_opacity: float, optional
        :param content_background_color: Background. Flourish type hint: color, defaults to None.
        :type content_background_color: str, optional
        :param content_padding: Padding. Flourish type hint: number, defaults to None.
        :type content_padding: float, optional
        :param content_space_between: Space between. Defines the minimum amount of space between each content container. Flourish type hint: number, defaults to None.
        :type content_space_between: float, optional
        :param content_consistent_size: Keep sizes consistent. Flourish type hint: boolean, defaults to None.
        :type content_consistent_size: bool, optional
        :param content_border_radius: Radius. Flourish type hint: number, defaults to None.
        :type content_border_radius: float, optional
        :param individual_borders: Style borders individually. Flourish type hint: boolean, defaults to None.
        :type individual_borders: bool, optional
        :param content_border_width: Width. Flourish type hint: number, defaults to None.
        :type content_border_width: float, optional
        :param content_border_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type content_border_opacity: float, optional
        :param content_border_color: Color. Choices: data, custom. Flourish type hint: string, defaults to None.
        :type content_border_color: str, optional
        :param content_border_color_custom: Flourish type hint: color, defaults to None.
        :type content_border_color_custom: str, optional
        :param content_border_top_width: Width. Flourish type hint: number, defaults to None.
        :type content_border_top_width: float, optional
        :param content_border_top_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type content_border_top_opacity: float, optional
        :param content_border_top_color: Color. Choices: data, custom. Flourish type hint: string, defaults to None.
        :type content_border_top_color: str, optional
        :param content_border_top_color_custom: Flourish type hint: color, defaults to None.
        :type content_border_top_color_custom: str, optional
        :param content_border_right_width: Width. Flourish type hint: number, defaults to None.
        :type content_border_right_width: float, optional
        :param content_border_right_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type content_border_right_opacity: float, optional
        :param content_border_right_color: Color. Choices: data, custom. Flourish type hint: string, defaults to None.
        :type content_border_right_color: str, optional
        :param content_border_right_color_custom: Flourish type hint: color, defaults to None.
        :type content_border_right_color_custom: str, optional
        :param content_border_bottom_width: Width. Flourish type hint: number, defaults to None.
        :type content_border_bottom_width: float, optional
        :param content_border_bottom_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type content_border_bottom_opacity: float, optional
        :param content_border_bottom_color: Color. Choices: data, custom. Flourish type hint: string, defaults to None.
        :type content_border_bottom_color: str, optional
        :param content_border_bottom_color_custom: Flourish type hint: color, defaults to None.
        :type content_border_bottom_color_custom: str, optional
        :param content_border_left_width: Width. Flourish type hint: number, defaults to None.
        :type content_border_left_width: float, optional
        :param content_border_left_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type content_border_left_opacity: float, optional
        :param content_border_left_color: Color. Choices: data, custom. Flourish type hint: string, defaults to None.
        :type content_border_left_color: str, optional
        :param content_border_left_color_custom: Flourish type hint: color, defaults to None.
        :type content_border_left_color_custom: str, optional
        :param content_title_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type content_title_alignment: str, optional
        :param content_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type content_title_styling: bool, optional
        :param content_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type content_title_line_height: float, optional
        :param content_title_size: Size. Choices: 1.0, 1.2, custom. Flourish type hint: string, defaults to None.
        :type content_title_size: str, optional
        :param content_title_size_custom: Custom. Specify a custom responsive font size. Best results will be with values between 0.8 and 3. Flourish type hint: number, defaults to None.
        :type content_title_size_custom: float, optional
        :param content_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type content_title_weight: str, optional
        :param content_title_color: Color. Choices: data, custom. Flourish type hint: string, defaults to None.
        :type content_title_color: str, optional
        :param content_title_color_custom: Flourish type hint: color, defaults to None.
        :type content_title_color_custom: str, optional
        :param content_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type content_title_space_above: str, optional
        :param content_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type content_title_space_above_custom: float, optional
        :param content_subtitle_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type content_subtitle_alignment: str, optional
        :param content_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type content_subtitle_styling: bool, optional
        :param content_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type content_subtitle_line_height: float, optional
        :param content_subtitle_size: Size. Choices: 1.0, 1.2, custom. Flourish type hint: string, defaults to None.
        :type content_subtitle_size: str, optional
        :param content_subtitle_size_custom: Custom. Specify a custom responsive font size. Best results will be with values between 0.8 and 3. Flourish type hint: number, defaults to None.
        :type content_subtitle_size_custom: float, optional
        :param content_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type content_subtitle_weight: str, optional
        :param content_subtitle_color: Color. Choices: data, custom. Flourish type hint: string, defaults to None.
        :type content_subtitle_color: str, optional
        :param content_subtitle_color_custom: Flourish type hint: color, defaults to None.
        :type content_subtitle_color_custom: str, optional
        :param content_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type content_subtitle_space_above: str, optional
        :param content_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type content_subtitle_space_above_custom: float, optional
        :param content_text_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type content_text_alignment: str, optional
        :param content_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type content_text_styling: bool, optional
        :param content_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type content_text_line_height: float, optional
        :param content_text_size: Size. Choices: 1.0, 1.2, custom. Flourish type hint: string, defaults to None.
        :type content_text_size: str, optional
        :param content_text_size_custom: Custom. Specify a custom responsive font size. Best results will be with values between 0.8 and 3. Flourish type hint: number, defaults to None.
        :type content_text_size_custom: float, optional
        :param content_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type content_text_weight: str, optional
        :param content_text_color: Color. Choices: data, custom. Flourish type hint: string, defaults to None.
        :type content_text_color: str, optional
        :param content_text_color_custom: Flourish type hint: color, defaults to None.
        :type content_text_color_custom: str, optional
        :param content_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type content_text_space_above: str, optional
        :param content_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type content_text_space_above_custom: float, optional
        :param link_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type link_weight: str, optional
        :param link_color: Color. Flourish type hint: color, defaults to None.
        :type link_color: str, optional
        :param link_underline: Underline. Flourish type hint: boolean, defaults to None.
        :type link_underline: bool, optional
        :param image_location: Location. Choices: none, marker, content. Flourish type hint: string, defaults to None.
        :type image_location: str, optional
        :param image_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type image_opacity: float, optional
        :param image_display: Content display. Choices: float, inline, banner, background. Flourish type hint: string, defaults to None.
        :type image_display: str, optional
        :param image_sizing: Sizing. Choices: contain, cover, zoom. Flourish type hint: string, defaults to None.
        :type image_sizing: str, optional
        :param image_zoom: Zoom. Sets what size the image should fill the container as a percentage of the container size. Flourish type hint: number, defaults to None.
        :type image_zoom: float, optional
        :param image_content_sizing: Sizing. Choices: contain, cover, zoom. Flourish type hint: string, defaults to None.
        :type image_content_sizing: str, optional
        :param image_content_zoom: Zoom. Sets what size the image should fill the container as a percentage of the container size. Flourish type hint: number, defaults to None.
        :type image_content_zoom: float, optional
        :param image_float_position: Position. Choices: 1, 2. Flourish type hint: string, defaults to None.
        :type image_float_position: str, optional
        :param image_inline_position: Position. Choices: 1, 2, 3. Flourish type hint: string, defaults to None.
        :type image_inline_position: str, optional
        :param image_alignment: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type image_alignment: str, optional
        :param content_banner_depth: Banner depth. Choices: 2, 4, 6, custom. Flourish type hint: string, defaults to None.
        :type content_banner_depth: str, optional
        :param content_banner_depth_custom: Custom. Flourish type hint: number, defaults to None.
        :type content_banner_depth_custom: float, optional
        :param image_width: Width. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type image_width: float, optional
        :param image_margin: Margin. Flourish type hint: number, defaults to None.
        :type image_margin: float, optional
        :param image_aspect: Aspect ratio. As a multiplier of the images width. For example: a value of 2, means the image height is 2 times the image width. Flourish type hint: number, defaults to None.
        :type image_aspect: float, optional
        :param navigation_step_type: Step by. Choices: screen, event. Determines by which measure the timeline is approximately moved each time the navigation buttons are clicked. Flourish type hint: string, defaults to None.
        :type navigation_step_type: str, optional
        :param navigation_screen_proportion: Proportion. Flourish type hint: number, defaults to None.
        :type navigation_screen_proportion: float, optional
        :param navigation_event_number: Number. Flourish type hint: number, defaults to None.
        :type navigation_event_number: float, optional
        :param navigation_icon_type: Icon. Choices: default, custom. Flourish type hint: string, defaults to None.
        :type navigation_icon_type: str, optional
        :param navigation_icon_size: Size. Flourish type hint: number, defaults to None.
        :type navigation_icon_size: float, optional
        :param navigation_icon_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type navigation_icon_opacity: float, optional
        :param navigation_icon_custom: Custom icon. Flourish type hint: url, defaults to None.
        :type navigation_icon_custom: str, optional
        :param navigation_icon_color: Color. Flourish type hint: color, defaults to None.
        :type navigation_icon_color: str, optional
        :param navigation_gradient_color: Color. If undefined the color will default to the background of the visualization. Flourish type hint: color, defaults to None.
        :type navigation_gradient_color: str, optional
        :param navigation_gradient_width: Width. Flourish type hint: number, defaults to None.
        :type navigation_gradient_width: float, optional
        :param navigation_gradient_opacity: Opacity. Flourish type hint: number, defaults to None.
        :type navigation_gradient_opacity: float, optional
        :param chart_x_axis_axis_position: Position. Choices: bottom, top, hidden. Flourish type hint: string, defaults to None.
        :type chart_x_axis_axis_position: str, optional
        :param chart_x_axis_y_axis_position: Y value. Vertical position of the X axis on the Y scale. Flourish type hint: string, defaults to None.
        :type chart_x_axis_y_axis_position: str, optional
        :param chart_x_axis_numeric_scale_type: Type. Choices: linear, log. Flourish type hint: string, defaults to None.
        :type chart_x_axis_numeric_scale_type: str, optional
        :param chart_x_axis_linear_min: Min. Flourish type hint: number, defaults to None.
        :type chart_x_axis_linear_min: float, optional
        :param chart_x_axis_linear_max: Max. Flourish type hint: number, defaults to None.
        :type chart_x_axis_linear_max: float, optional
        :param chart_x_axis_log_min: Min. Flourish type hint: number, defaults to None.
        :type chart_x_axis_log_min: float, optional
        :param chart_x_axis_log_max: Max. Flourish type hint: number, defaults to None.
        :type chart_x_axis_log_max: float, optional
        :param chart_x_axis_datetime_min: Min (date). Flourish type hint: string, defaults to None.
        :type chart_x_axis_datetime_min: str, optional
        :param chart_x_axis_datetime_max: Max (date). Flourish type hint: string, defaults to None.
        :type chart_x_axis_datetime_max: str, optional
        :param chart_x_axis_flip: Flip axis. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_flip: bool, optional
        :param chart_x_axis_show_scale_settings: Configure default min/max. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_show_scale_settings: bool, optional
        :param chart_x_axis_nice: Round min/max. Choices: True, False. Enabling this option rounds the X axis start and end values to tidy numbers, such as 0, 50, 100 or whole years. Specified min and max values will override this feature. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_nice: bool, optional
        :param chart_x_axis_zero_axis: Include zero. Choices: auto, on, off. Enable to extend the axis to include zero, even when data is all positive or all negative. This is ignored if you set specific min and max scale values. Flourish type hint: string, defaults to None.
        :type chart_x_axis_zero_axis: str, optional
        :param chart_x_axis_title_mode: Type. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title_mode: str, optional
        :param chart_x_axis_title: Text. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title: str, optional
        :param chart_x_axis_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_title_styling: bool, optional
        :param chart_x_axis_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_x_axis_title_weight: str, optional
        :param chart_x_axis_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_title_color: str, optional
        :param chart_x_axis_title_size: Size. Flourish type hint: number, defaults to None.
        :type chart_x_axis_title_size: float, optional
        :param chart_x_axis_title_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_x_axis_title_padding: float, optional
        :param chart_x_axis_tick_label_position: Position. Choices: default, left, right. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_position: str, optional
        :param chart_x_axis_tick_label_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_tick_label_styling: bool, optional
        :param chart_x_axis_tick_label_size: Size. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_size: float, optional
        :param chart_x_axis_tick_label_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_tick_label_color: str, optional
        :param chart_x_axis_tick_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_padding: float, optional
        :param chart_x_axis_tick_label_angle: Angle. Choices: 0, 30, 45, 60, 90. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_angle: str, optional
        :param chart_x_axis_tick_label_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_weight: str, optional
        :param chart_x_axis_tick_label_max_lines: Max lines. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_max_lines: float, optional
        :param chart_x_axis_tick_label_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_line_height: float, optional
        :param chart_x_axis_tick_label_space_mode: Space mode. Choices: auto, max, fixed. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_label_space_mode: str, optional
        :param chart_x_axis_tick_label_space: Space. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_label_space: float, optional
        :param chart_x_axis_tick_mode: Mode. Choices: auto, number, custom. Sets the method for selecting tick values on the axis:  Auto automatically selects the ticks  Number allows you to choose the number of ticks to display.  Custom lets you select specific ticks to show.  Note: If the axis is categorical, Number mode is ignored. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_mode: str, optional
        :param chart_x_axis_tick_number: Number. Approximate number of ticks or gridlines. The actual number will depend on the range of values, chart size, etc. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_number: float, optional
        :param chart_x_axis_tick_custom: One tick label per line. Specify the ticks to show, one per line. For dates, use the input format as specified in the datasheet.  You can also use `{{FIRST}}` and `{{LAST}}` to add ticks at the minimum and maximum of the axis. For example:  `{{FIRST}}` 25000 50000 75000 `{{LAST}}`. Flourish type hint: text, defaults to None.
        :type chart_x_axis_tick_custom: Union[list, str], optional
        :param chart_x_axis_line_and_tick_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_line_and_tick_color: str, optional
        :param chart_x_axis_line_and_tick_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_x_axis_line_and_tick_width: float, optional
        :param chart_x_axis_tick_length: Tick length. Flourish type hint: number, defaults to None.
        :type chart_x_axis_tick_length: float, optional
        :param chart_x_axis_tick_side: Tick side. Choices: out, in. Flourish type hint: string, defaults to None.
        :type chart_x_axis_tick_side: str, optional
        :param chart_x_axis_line_visible: Axis line. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_line_visible: bool, optional
        :param chart_x_axis_edge_padding: Edge padding (%). Space between start/end of axis line and first/last category tick as a percentage of the spacing between ticks. Flourish type hint: number, defaults to None.
        :type chart_x_axis_edge_padding: float, optional
        :param chart_x_axis_gridlines_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridlines_visible: bool, optional
        :param chart_x_axis_gridlines_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridlines_styling: bool, optional
        :param chart_x_axis_gridline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_x_axis_gridline_color: str, optional
        :param chart_x_axis_gridline_style: Style. Choices: solid, dash, dot, dot_dash. Flourish type hint: string, defaults to None.
        :type chart_x_axis_gridline_style: str, optional
        :param chart_x_axis_gridline_width: Width. Flourish type hint: number, defaults to None.
        :type chart_x_axis_gridline_width: float, optional
        :param chart_x_axis_gridline_category_dividers: Put lines between categories. On a categorical axis, this option disables the gridline on each tick and instead adds rules between each category to give a table-like design. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridline_category_dividers: bool, optional
        :param chart_x_axis_gridline_category_dividers_extend: Extend. Extends the dividers into the axis margins. Flourish type hint: boolean, defaults to None.
        :type chart_x_axis_gridline_category_dividers_extend: bool, optional
        :param chart_y_axis_axis_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_axis_visible: bool, optional
        :param chart_y_axis_numeric_scale_type: Type. Choices: linear, log. Flourish type hint: string, defaults to None.
        :type chart_y_axis_numeric_scale_type: str, optional
        :param chart_y_axis_linear_min: Min. Flourish type hint: number, defaults to None.
        :type chart_y_axis_linear_min: float, optional
        :param chart_y_axis_linear_max: Max. Flourish type hint: number, defaults to None.
        :type chart_y_axis_linear_max: float, optional
        :param chart_y_axis_log_min: Min. Flourish type hint: number, defaults to None.
        :type chart_y_axis_log_min: float, optional
        :param chart_y_axis_log_max: Max. Flourish type hint: number, defaults to None.
        :type chart_y_axis_log_max: float, optional
        :param chart_y_axis_datetime_min: Min (date). Flourish type hint: string, defaults to None.
        :type chart_y_axis_datetime_min: str, optional
        :param chart_y_axis_datetime_max: Max (date). Flourish type hint: string, defaults to None.
        :type chart_y_axis_datetime_max: str, optional
        :param chart_y_axis_flip: Flip axis. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_flip: bool, optional
        :param chart_y_axis_show_scale_settings: Configure default min/max. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_show_scale_settings: bool, optional
        :param chart_y_axis_nice: Round min/max. Choices: True, False. When enabled, scales automatically extend to "nice" rounded start/end values, such as hundreds or whole years. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_nice: bool, optional
        :param chart_y_axis_zero_axis: Include zero. Choices: auto, on, off. Whether to extend the axis to include zero if the data values are all positive or all negative. Flourish type hint: string, defaults to None.
        :type chart_y_axis_zero_axis: str, optional
        :param chart_y_axis_title_mode: Type. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_mode: str, optional
        :param chart_y_axis_title: Text. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title: str, optional
        :param chart_y_axis_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_title_styling: bool, optional
        :param chart_y_axis_title_position: Position. Choices: side, end. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_position: str, optional
        :param chart_y_axis_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_y_axis_title_weight: str, optional
        :param chart_y_axis_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_title_color: str, optional
        :param chart_y_axis_title_size: Size. Flourish type hint: number, defaults to None.
        :type chart_y_axis_title_size: float, optional
        :param chart_y_axis_title_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_y_axis_title_padding: float, optional
        :param chart_y_axis_tick_label_position: Position. Choices: default, above, below. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_position: str, optional
        :param chart_y_axis_tick_label_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_tick_label_styling: bool, optional
        :param chart_y_axis_tick_label_size: Size. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_size: float, optional
        :param chart_y_axis_tick_label_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_tick_label_color: str, optional
        :param chart_y_axis_tick_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_padding: float, optional
        :param chart_y_axis_tick_label_angle: Angle. Choices: 0, 30, 45, 60, 90. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_angle: str, optional
        :param chart_y_axis_tick_label_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_weight: str, optional
        :param chart_y_axis_tick_label_max_lines: Max lines. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_max_lines: float, optional
        :param chart_y_axis_tick_label_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_line_height: float, optional
        :param chart_y_axis_tick_label_space_mode: Space mode. Choices: auto, max, fixed. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_label_space_mode: str, optional
        :param chart_y_axis_tick_label_space: Space. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_label_space: float, optional
        :param chart_y_axis_tick_mode: Mode. Choices: auto, number, custom. Sets the method for selecting tick values on the axis:  Auto automatically selects the ticks  Number allows you to choose the number of ticks to display.  Custom lets you select specific ticks to show.  Note: If the axis is categorical, Number mode is ignored. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_mode: str, optional
        :param chart_y_axis_tick_number: Number. Approximate number of ticks or gridlines. The actual number will depend on the range of values, chart size, etc. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_number: float, optional
        :param chart_y_axis_tick_custom: One tick label per line. Specify the ticks to show, one per line. For dates, use the input format as specified in the datasheet.  You can also use `{{FIRST}}` and `{{LAST}}` to add ticks at the minimum and maximum of the axis. For example:  `{{FIRST}}` 25000 50000 75000 `{{LAST}}`. Flourish type hint: text, defaults to None.
        :type chart_y_axis_tick_custom: Union[list, str], optional
        :param chart_y_axis_line_and_tick_color: Line color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_line_and_tick_color: str, optional
        :param chart_y_axis_line_and_tick_width: Line width. Flourish type hint: number, defaults to None.
        :type chart_y_axis_line_and_tick_width: float, optional
        :param chart_y_axis_tick_length: Tick length. Flourish type hint: number, defaults to None.
        :type chart_y_axis_tick_length: float, optional
        :param chart_y_axis_tick_side: Side. Choices: out, in. Flourish type hint: string, defaults to None.
        :type chart_y_axis_tick_side: str, optional
        :param chart_y_axis_line_visible: Axis line. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_line_visible: bool, optional
        :param chart_y_axis_edge_padding: Edge padding (%). Space between start/end of axis line and first/last category tick as a percentage of the spacing between ticks. Flourish type hint: number, defaults to None.
        :type chart_y_axis_edge_padding: float, optional
        :param chart_y_axis_gridlines_visible: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridlines_visible: bool, optional
        :param chart_y_axis_gridlines_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridlines_styling: bool, optional
        :param chart_y_axis_gridline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_y_axis_gridline_color: str, optional
        :param chart_y_axis_gridline_style: Style. Choices: solid, dash, dot, dot_dash. Flourish type hint: string, defaults to None.
        :type chart_y_axis_gridline_style: str, optional
        :param chart_y_axis_gridline_width: Width. Flourish type hint: number, defaults to None.
        :type chart_y_axis_gridline_width: float, optional
        :param chart_y_axis_gridline_category_dividers: Put lines between categories. On a categorical axis, this option disables the gridline on each tick and instead adds rules between each category to give a table-like design. Ignored for date and numeric axes. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridline_category_dividers: bool, optional
        :param chart_y_axis_gridline_category_dividers_extend: Extend. Extends the dividers into the axis margins. Flourish type hint: boolean, defaults to None.
        :type chart_y_axis_gridline_category_dividers_extend: bool, optional
        :param chart_categorical_legend_show_legend: Legend mode. Choices: True, False. A legend will not show with a single entry. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_show_legend: bool, optional
        :param chart_categorical_legend_title_mode: Title mode. Choices: auto, custom. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title_mode: str, optional
        :param chart_categorical_legend_title: Title. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_title: str, optional
        :param chart_categorical_legend_swatch_width: Width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_width: float, optional
        :param chart_categorical_legend_swatch_height: Height. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_height: float, optional
        :param chart_categorical_legend_swatch_radius: Roundness. The radius of the corners of the swatch (in pixels). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_swatch_radius: float, optional
        :param chart_categorical_legend_legend_items_padding: Padding. Padding between legend items ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_legend_items_padding: float, optional
        :param chart_categorical_legend_swatch_outline: Outline. An optional outline for the swatch in the legend. Flourish type hint: boolean, defaults to None.
        :type chart_categorical_legend_swatch_outline: bool, optional
        :param chart_categorical_legend_swatch_outline_color: Color. Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_swatch_outline_color: str, optional
        :param chart_categorical_legend_order_override: Custom order override. Manually specify the order of legend entries (one entry per line). Flourish type hint: text, defaults to None.
        :type chart_categorical_legend_order_override: Union[list, str], optional
        :param chart_categorical_legend_icon_height: Height. Height of icon ( in rems ). Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_icon_height: float, optional
        :param chart_categorical_legend_icon_color: Color. Fallback color (icon color if not determined by template). Flourish type hint: color, defaults to None.
        :type chart_categorical_legend_icon_color: str, optional
        :param chart_categorical_legend_max_width: Max width. Flourish type hint: number, defaults to None.
        :type chart_categorical_legend_max_width: float, optional
        :param chart_categorical_legend_orientation: Orientation. Choices: horizontal, vertical. Flourish type hint: string, defaults to None.
        :type chart_categorical_legend_orientation: str, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "color": {},
                "x": {},
                "y": {},
                "legend_categorical": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        list_widescreen_orientation = ["horizontal", "vertical"] + [None]
        if widescreen_orientation not in list_widescreen_orientation:
            raise ValueError(
                f"`widescreen_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            widescreen_orientation in list_widescreen_orientation
            and widescreen_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if widescreen_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["widescreen_orientation"] = filtered_dict[
                    widescreen_orientation
                ]

        list_height_mode = ["auto", "standard", "aspect"] + [None]
        if height_mode not in list_height_mode:
            raise ValueError(
                f"`height_mode` must be one of: ['auto', 'standard', 'aspect']"
            )
        elif height_mode in list_height_mode and height_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "standard": "standard",
                    "aspect": "aspect",
                }.items()
                if height_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["height_mode"] = filtered_dict[height_mode]

        list_facet_aspect = ["0.75", "1", "1.5", "custom"] + [None]
        if facet_aspect not in list_facet_aspect:
            raise ValueError(
                f"`facet_aspect` must be one of: ['0.75', '1', '1.5', 'custom']"
            )
        elif facet_aspect in list_facet_aspect and facet_aspect is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.75": "0.75",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if facet_aspect in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facet_aspect"] = filtered_dict[facet_aspect]
        self.state["state"]["facet_aspect_custom"] = facet_aspect_custom
        self.state["state"]["facet_aspect_breakpoint"] = facet_aspect_breakpoint

        list_facet_aspect_mobile = ["0.75", "1", "1.5", "custom"] + [None]
        if facet_aspect_mobile not in list_facet_aspect_mobile:
            raise ValueError(
                f"`facet_aspect_mobile` must be one of: ['0.75', '1', '1.5', 'custom']"
            )
        elif (
            facet_aspect_mobile in list_facet_aspect_mobile
            and facet_aspect_mobile is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.75": "0.75",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if facet_aspect_mobile in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["facet_aspect_mobile"] = filtered_dict[
                    facet_aspect_mobile
                ]
        self.state["state"]["facet_aspect_mobile_custom"] = facet_aspect_mobile_custom
        self.state["state"]["line_color"] = line_color
        self.state["state"]["line_width"] = line_width

        list_line_cap = ["butt", "round", "square"] + [None]
        if line_cap not in list_line_cap:
            raise ValueError(f"`line_cap` must be one of: ['butt', 'round', 'square']")
        elif line_cap in list_line_cap and line_cap is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "butt": "butt",
                    "round": "round",
                    "square": "square",
                }.items()
                if line_cap in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["line_cap"] = filtered_dict[line_cap]

        list_events_scale_type = ["linear", "timescale"] + [None]
        if events_scale_type not in list_events_scale_type:
            raise ValueError(
                f"`events_scale_type` must be one of: ['linear', 'timescale']"
            )
        elif (
            events_scale_type in list_events_scale_type
            and events_scale_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "timescale": "timescale"}.items()
                if events_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["events_scale_type"] = filtered_dict[
                    events_scale_type
                ]
        self.state["state"]["background_opacity"] = background_opacity

        list_background_sizing = ["contain", "cover", "zoom"] + [None]
        if background_sizing not in list_background_sizing:
            raise ValueError(
                f"`background_sizing` must be one of: ['contain', 'cover', 'zoom']"
            )
        elif (
            background_sizing in list_background_sizing
            and background_sizing is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "contain": "contain",
                    "cover": "cover",
                    "zoom": "zoom",
                }.items()
                if background_sizing in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["background_sizing"] = filtered_dict[
                    background_sizing
                ]
        self.state["state"]["background_zoom"] = background_zoom
        self.state["state"]["background_gradient_size"] = background_gradient_size
        self.state["state"]["background_gradient_opacity"] = background_gradient_opacity
        self.state["state"]["background_gradient_blur"] = background_gradient_blur

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max
        self.state["state"]["marker_size"] = marker_size

        list_marker_background_color = ["data", "custom"] + [None]
        if marker_background_color not in list_marker_background_color:
            raise ValueError(
                f"`marker_background_color` must be one of: ['data', 'custom']"
            )
        elif (
            marker_background_color in list_marker_background_color
            and marker_background_color is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"data": "data", "custom": "custom"}.items()
                if marker_background_color in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["marker_background_color"] = filtered_dict[
                    marker_background_color
                ]
        self.state["state"][
            "marker_background_color_custom"
        ] = marker_background_color_custom
        self.state["state"]["marker_border_width"] = marker_border_width

        list_marker_border_color = ["data", "custom"] + [None]
        if marker_border_color not in list_marker_border_color:
            raise ValueError(
                f"`marker_border_color` must be one of: ['data', 'custom']"
            )
        elif (
            marker_border_color in list_marker_border_color
            and marker_border_color is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"data": "data", "custom": "custom"}.items()
                if marker_border_color in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["marker_border_color"] = filtered_dict[
                    marker_border_color
                ]
        self.state["state"]["marker_border_color_custom"] = marker_border_color_custom
        self.state["state"]["connector_size"] = connector_size
        self.state["state"]["connector_space"] = connector_space
        self.state["state"]["connector_color"] = connector_color
        self.state["state"]["connector_opacity"] = connector_opacity
        self.state["state"]["content_background_color"] = content_background_color
        self.state["state"]["content_padding"] = content_padding
        self.state["state"]["content_space_between"] = content_space_between
        self.state["state"]["content_consistent_size"] = content_consistent_size
        self.state["state"]["content_border_radius"] = content_border_radius
        self.state["state"]["individual_borders"] = individual_borders
        self.state["state"]["content_border_width"] = content_border_width
        self.state["state"]["content_border_opacity"] = content_border_opacity

        list_content_border_color = ["data", "custom"] + [None]
        if content_border_color not in list_content_border_color:
            raise ValueError(
                f"`content_border_color` must be one of: ['data', 'custom']"
            )
        elif (
            content_border_color in list_content_border_color
            and content_border_color is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"data": "data", "custom": "custom"}.items()
                if content_border_color in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_border_color"] = filtered_dict[
                    content_border_color
                ]
        self.state["state"]["content_border_color_custom"] = content_border_color_custom
        self.state["state"]["content_border_top_width"] = content_border_top_width
        self.state["state"]["content_border_top_opacity"] = content_border_top_opacity

        list_content_border_top_color = ["data", "custom"] + [None]
        if content_border_top_color not in list_content_border_top_color:
            raise ValueError(
                f"`content_border_top_color` must be one of: ['data', 'custom']"
            )
        elif (
            content_border_top_color in list_content_border_top_color
            and content_border_top_color is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"data": "data", "custom": "custom"}.items()
                if content_border_top_color in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_border_top_color"] = filtered_dict[
                    content_border_top_color
                ]
        self.state["state"][
            "content_border_top_color_custom"
        ] = content_border_top_color_custom
        self.state["state"]["content_border_right_width"] = content_border_right_width
        self.state["state"][
            "content_border_right_opacity"
        ] = content_border_right_opacity

        list_content_border_right_color = ["data", "custom"] + [None]
        if content_border_right_color not in list_content_border_right_color:
            raise ValueError(
                f"`content_border_right_color` must be one of: ['data', 'custom']"
            )
        elif (
            content_border_right_color in list_content_border_right_color
            and content_border_right_color is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"data": "data", "custom": "custom"}.items()
                if content_border_right_color in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_border_right_color"] = filtered_dict[
                    content_border_right_color
                ]
        self.state["state"][
            "content_border_right_color_custom"
        ] = content_border_right_color_custom
        self.state["state"]["content_border_bottom_width"] = content_border_bottom_width
        self.state["state"][
            "content_border_bottom_opacity"
        ] = content_border_bottom_opacity

        list_content_border_bottom_color = ["data", "custom"] + [None]
        if content_border_bottom_color not in list_content_border_bottom_color:
            raise ValueError(
                f"`content_border_bottom_color` must be one of: ['data', 'custom']"
            )
        elif (
            content_border_bottom_color in list_content_border_bottom_color
            and content_border_bottom_color is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"data": "data", "custom": "custom"}.items()
                if content_border_bottom_color in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_border_bottom_color"] = filtered_dict[
                    content_border_bottom_color
                ]
        self.state["state"][
            "content_border_bottom_color_custom"
        ] = content_border_bottom_color_custom
        self.state["state"]["content_border_left_width"] = content_border_left_width
        self.state["state"]["content_border_left_opacity"] = content_border_left_opacity

        list_content_border_left_color = ["data", "custom"] + [None]
        if content_border_left_color not in list_content_border_left_color:
            raise ValueError(
                f"`content_border_left_color` must be one of: ['data', 'custom']"
            )
        elif (
            content_border_left_color in list_content_border_left_color
            and content_border_left_color is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"data": "data", "custom": "custom"}.items()
                if content_border_left_color in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_border_left_color"] = filtered_dict[
                    content_border_left_color
                ]
        self.state["state"][
            "content_border_left_color_custom"
        ] = content_border_left_color_custom

        list_content_title_alignment = ["start", "center", "end"] + [None]
        if content_title_alignment not in list_content_title_alignment:
            raise ValueError(
                f"`content_title_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            content_title_alignment in list_content_title_alignment
            and content_title_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if content_title_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_title_alignment"] = filtered_dict[
                    content_title_alignment
                ]
        self.state["state"]["content_title_styling"] = content_title_styling
        self.state["state"]["content_title_line_height"] = content_title_line_height

        list_content_title_size = ["1.0", "1.2", "custom"] + [None]
        if content_title_size not in list_content_title_size:
            raise ValueError(
                f"`content_title_size` must be one of: ['1.0', '1.2', 'custom']"
            )
        elif (
            content_title_size in list_content_title_size
            and content_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"1.0": "1.0", "1.2": "1.2", "custom": "custom"}.items()
                if content_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_title_size"] = filtered_dict[
                    content_title_size
                ]
        self.state["state"]["content_title_size_custom"] = content_title_size_custom

        list_content_title_weight = ["bold", "normal"] + [None]
        if content_title_weight not in list_content_title_weight:
            raise ValueError(
                f"`content_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            content_title_weight in list_content_title_weight
            and content_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if content_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_title_weight"] = filtered_dict[
                    content_title_weight
                ]

        list_content_title_color = ["data", "custom"] + [None]
        if content_title_color not in list_content_title_color:
            raise ValueError(
                f"`content_title_color` must be one of: ['data', 'custom']"
            )
        elif (
            content_title_color in list_content_title_color
            and content_title_color is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"data": "data", "custom": "custom"}.items()
                if content_title_color in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_title_color"] = filtered_dict[
                    content_title_color
                ]
        self.state["state"]["content_title_color_custom"] = content_title_color_custom

        list_content_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if content_title_space_above not in list_content_title_space_above:
            raise ValueError(
                f"`content_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            content_title_space_above in list_content_title_space_above
            and content_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if content_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_title_space_above"] = filtered_dict[
                    content_title_space_above
                ]
        self.state["state"][
            "content_title_space_above_custom"
        ] = content_title_space_above_custom

        list_content_subtitle_alignment = ["start", "center", "end"] + [None]
        if content_subtitle_alignment not in list_content_subtitle_alignment:
            raise ValueError(
                f"`content_subtitle_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            content_subtitle_alignment in list_content_subtitle_alignment
            and content_subtitle_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if content_subtitle_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_subtitle_alignment"] = filtered_dict[
                    content_subtitle_alignment
                ]
        self.state["state"]["content_subtitle_styling"] = content_subtitle_styling
        self.state["state"][
            "content_subtitle_line_height"
        ] = content_subtitle_line_height

        list_content_subtitle_size = ["1.0", "1.2", "custom"] + [None]
        if content_subtitle_size not in list_content_subtitle_size:
            raise ValueError(
                f"`content_subtitle_size` must be one of: ['1.0', '1.2', 'custom']"
            )
        elif (
            content_subtitle_size in list_content_subtitle_size
            and content_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"1.0": "1.0", "1.2": "1.2", "custom": "custom"}.items()
                if content_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_subtitle_size"] = filtered_dict[
                    content_subtitle_size
                ]
        self.state["state"][
            "content_subtitle_size_custom"
        ] = content_subtitle_size_custom

        list_content_subtitle_weight = ["bold", "normal"] + [None]
        if content_subtitle_weight not in list_content_subtitle_weight:
            raise ValueError(
                f"`content_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            content_subtitle_weight in list_content_subtitle_weight
            and content_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if content_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_subtitle_weight"] = filtered_dict[
                    content_subtitle_weight
                ]

        list_content_subtitle_color = ["data", "custom"] + [None]
        if content_subtitle_color not in list_content_subtitle_color:
            raise ValueError(
                f"`content_subtitle_color` must be one of: ['data', 'custom']"
            )
        elif (
            content_subtitle_color in list_content_subtitle_color
            and content_subtitle_color is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"data": "data", "custom": "custom"}.items()
                if content_subtitle_color in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_subtitle_color"] = filtered_dict[
                    content_subtitle_color
                ]
        self.state["state"][
            "content_subtitle_color_custom"
        ] = content_subtitle_color_custom

        list_content_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if content_subtitle_space_above not in list_content_subtitle_space_above:
            raise ValueError(
                f"`content_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            content_subtitle_space_above in list_content_subtitle_space_above
            and content_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if content_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_subtitle_space_above"] = filtered_dict[
                    content_subtitle_space_above
                ]
        self.state["state"][
            "content_subtitle_space_above_custom"
        ] = content_subtitle_space_above_custom

        list_content_text_alignment = ["start", "center", "end"] + [None]
        if content_text_alignment not in list_content_text_alignment:
            raise ValueError(
                f"`content_text_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif (
            content_text_alignment in list_content_text_alignment
            and content_text_alignment is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if content_text_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_text_alignment"] = filtered_dict[
                    content_text_alignment
                ]
        self.state["state"]["content_text_styling"] = content_text_styling
        self.state["state"]["content_text_line_height"] = content_text_line_height

        list_content_text_size = ["1.0", "1.2", "custom"] + [None]
        if content_text_size not in list_content_text_size:
            raise ValueError(
                f"`content_text_size` must be one of: ['1.0', '1.2', 'custom']"
            )
        elif (
            content_text_size in list_content_text_size
            and content_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"1.0": "1.0", "1.2": "1.2", "custom": "custom"}.items()
                if content_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_text_size"] = filtered_dict[
                    content_text_size
                ]
        self.state["state"]["content_text_size_custom"] = content_text_size_custom

        list_content_text_weight = ["bold", "normal"] + [None]
        if content_text_weight not in list_content_text_weight:
            raise ValueError(
                f"`content_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            content_text_weight in list_content_text_weight
            and content_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if content_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_text_weight"] = filtered_dict[
                    content_text_weight
                ]

        list_content_text_color = ["data", "custom"] + [None]
        if content_text_color not in list_content_text_color:
            raise ValueError(f"`content_text_color` must be one of: ['data', 'custom']")
        elif (
            content_text_color in list_content_text_color
            and content_text_color is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"data": "data", "custom": "custom"}.items()
                if content_text_color in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_text_color"] = filtered_dict[
                    content_text_color
                ]
        self.state["state"]["content_text_color_custom"] = content_text_color_custom

        list_content_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if content_text_space_above not in list_content_text_space_above:
            raise ValueError(
                f"`content_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            content_text_space_above in list_content_text_space_above
            and content_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if content_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_text_space_above"] = filtered_dict[
                    content_text_space_above
                ]
        self.state["state"][
            "content_text_space_above_custom"
        ] = content_text_space_above_custom

        list_link_weight = ["bold", "normal"] + [None]
        if link_weight not in list_link_weight:
            raise ValueError(f"`link_weight` must be one of: ['bold', 'normal']")
        elif link_weight in list_link_weight and link_weight is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if link_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["link_weight"] = filtered_dict[link_weight]
        self.state["state"]["link_color"] = link_color
        self.state["state"]["link_underline"] = link_underline

        list_image_location = ["none", "marker", "content"] + [None]
        if image_location not in list_image_location:
            raise ValueError(
                f"`image_location` must be one of: ['none', 'marker', 'content']"
            )
        elif image_location in list_image_location and image_location is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "marker": "marker",
                    "content": "content",
                }.items()
                if image_location in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_location"] = filtered_dict[image_location]
        self.state["state"]["image_opacity"] = image_opacity

        list_image_display = ["float", "inline", "banner", "background"] + [None]
        if image_display not in list_image_display:
            raise ValueError(
                f"`image_display` must be one of: ['float', 'inline', 'banner', 'background']"
            )
        elif image_display in list_image_display and image_display is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "float": "float",
                    "inline": "inline",
                    "banner": "banner",
                    "background": "background",
                }.items()
                if image_display in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_display"] = filtered_dict[image_display]

        list_image_sizing = ["contain", "cover", "zoom"] + [None]
        if image_sizing not in list_image_sizing:
            raise ValueError(
                f"`image_sizing` must be one of: ['contain', 'cover', 'zoom']"
            )
        elif image_sizing in list_image_sizing and image_sizing is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "contain": "contain",
                    "cover": "cover",
                    "zoom": "zoom",
                }.items()
                if image_sizing in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_sizing"] = filtered_dict[image_sizing]
        self.state["state"]["image_zoom"] = image_zoom

        list_image_content_sizing = ["contain", "cover", "zoom"] + [None]
        if image_content_sizing not in list_image_content_sizing:
            raise ValueError(
                f"`image_content_sizing` must be one of: ['contain', 'cover', 'zoom']"
            )
        elif (
            image_content_sizing in list_image_content_sizing
            and image_content_sizing is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "contain": "contain",
                    "cover": "cover",
                    "zoom": "zoom",
                }.items()
                if image_content_sizing in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_content_sizing"] = filtered_dict[
                    image_content_sizing
                ]
        self.state["state"]["image_content_zoom"] = image_content_zoom

        list_image_float_position = ["1", "2"] + [None]
        if image_float_position not in list_image_float_position:
            raise ValueError(f"`image_float_position` must be one of: ['1', '2']")
        elif (
            image_float_position in list_image_float_position
            and image_float_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"1": "1", "2": "2"}.items()
                if image_float_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_float_position"] = filtered_dict[
                    image_float_position
                ]

        list_image_inline_position = ["1", "2", "3"] + [None]
        if image_inline_position not in list_image_inline_position:
            raise ValueError(f"`image_inline_position` must be one of: ['1', '2', '3']")
        elif (
            image_inline_position in list_image_inline_position
            and image_inline_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"1": "1", "2": "2", "3": "3"}.items()
                if image_inline_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_inline_position"] = filtered_dict[
                    image_inline_position
                ]

        list_image_alignment = ["start", "center", "end"] + [None]
        if image_alignment not in list_image_alignment:
            raise ValueError(
                f"`image_alignment` must be one of: ['start', 'center', 'end']"
            )
        elif image_alignment in list_image_alignment and image_alignment is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if image_alignment in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_alignment"] = filtered_dict[image_alignment]

        list_content_banner_depth = ["2", "4", "6", "custom"] + [None]
        if content_banner_depth not in list_content_banner_depth:
            raise ValueError(
                f"`content_banner_depth` must be one of: ['2', '4', '6', 'custom']"
            )
        elif (
            content_banner_depth in list_content_banner_depth
            and content_banner_depth is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"2": "2", "4": "4", "6": "6", "custom": "custom"}.items()
                if content_banner_depth in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["content_banner_depth"] = filtered_dict[
                    content_banner_depth
                ]
        self.state["state"]["content_banner_depth_custom"] = content_banner_depth_custom
        self.state["state"]["image_width"] = image_width
        self.state["state"]["image_margin"] = image_margin
        self.state["state"]["image_aspect"] = image_aspect

        list_navigation_step_type = ["screen", "event"] + [None]
        if navigation_step_type not in list_navigation_step_type:
            raise ValueError(
                f"`navigation_step_type` must be one of: ['screen', 'event']"
            )
        elif (
            navigation_step_type in list_navigation_step_type
            and navigation_step_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"screen": "screen", "event": "event"}.items()
                if navigation_step_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["navigation_step_type"] = filtered_dict[
                    navigation_step_type
                ]
        self.state["state"][
            "navigation_screen_proportion"
        ] = navigation_screen_proportion
        self.state["state"]["navigation_event_number"] = navigation_event_number

        list_navigation_icon_type = ["default", "custom"] + [None]
        if navigation_icon_type not in list_navigation_icon_type:
            raise ValueError(
                f"`navigation_icon_type` must be one of: ['default', 'custom']"
            )
        elif (
            navigation_icon_type in list_navigation_icon_type
            and navigation_icon_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"default": "default", "custom": "custom"}.items()
                if navigation_icon_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["navigation_icon_type"] = filtered_dict[
                    navigation_icon_type
                ]
        self.state["state"]["navigation_icon_size"] = navigation_icon_size
        self.state["state"]["navigation_icon_opacity"] = navigation_icon_opacity
        self.state["state"]["navigation_icon_custom"] = navigation_icon_custom
        self.state["state"]["navigation_icon_color"] = navigation_icon_color
        self.state["state"]["navigation_gradient_color"] = navigation_gradient_color
        self.state["state"]["navigation_gradient_width"] = navigation_gradient_width
        self.state["state"]["navigation_gradient_opacity"] = navigation_gradient_opacity

        list_chart_x_axis_axis_position = ["bottom", "top", "hidden"] + [None]
        if chart_x_axis_axis_position not in list_chart_x_axis_axis_position:
            raise ValueError(
                f"`chart_x_axis_axis_position` must be one of: ['bottom', 'top', 'hidden']"
            )
        elif (
            chart_x_axis_axis_position in list_chart_x_axis_axis_position
            and chart_x_axis_axis_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "bottom": "bottom",
                    "top": "top",
                    "hidden": "hidden",
                }.items()
                if chart_x_axis_axis_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["axis_position"] = filtered_dict[
                    chart_x_axis_axis_position
                ]
        self.state["state"]["x"]["y_axis_position"] = chart_x_axis_y_axis_position

        list_chart_x_axis_numeric_scale_type = ["linear", "log"] + [None]
        if chart_x_axis_numeric_scale_type not in list_chart_x_axis_numeric_scale_type:
            raise ValueError(
                f"`chart_x_axis_numeric_scale_type` must be one of: ['linear', 'log']"
            )
        elif (
            chart_x_axis_numeric_scale_type in list_chart_x_axis_numeric_scale_type
            and chart_x_axis_numeric_scale_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "log": "log"}.items()
                if chart_x_axis_numeric_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["numeric_scale_type"] = filtered_dict[
                    chart_x_axis_numeric_scale_type
                ]
        self.state["state"]["x"]["linear_min"] = chart_x_axis_linear_min
        self.state["state"]["x"]["linear_max"] = chart_x_axis_linear_max
        self.state["state"]["x"]["log_min"] = chart_x_axis_log_min
        self.state["state"]["x"]["log_max"] = chart_x_axis_log_max
        self.state["state"]["x"]["datetime_min"] = chart_x_axis_datetime_min
        self.state["state"]["x"]["datetime_max"] = chart_x_axis_datetime_max
        self.state["state"]["x"]["flip"] = chart_x_axis_flip
        self.state["state"]["x"][
            "show_scale_settings"
        ] = chart_x_axis_show_scale_settings

        list_chart_x_axis_nice = [True, False] + [None]
        if chart_x_axis_nice not in list_chart_x_axis_nice:
            raise ValueError(f"`chart_x_axis_nice` must be one of: [True, False]")
        elif (
            chart_x_axis_nice in list_chart_x_axis_nice
            and chart_x_axis_nice is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_x_axis_nice in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["nice"] = filtered_dict[chart_x_axis_nice]

        list_chart_x_axis_zero_axis = ["auto", "on", "off"] + [None]
        if chart_x_axis_zero_axis not in list_chart_x_axis_zero_axis:
            raise ValueError(
                f"`chart_x_axis_zero_axis` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_x_axis_zero_axis in list_chart_x_axis_zero_axis
            and chart_x_axis_zero_axis is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_x_axis_zero_axis in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["zero_axis"] = filtered_dict[
                    chart_x_axis_zero_axis
                ]

        list_chart_x_axis_title_mode = ["auto", "custom"] + [None]
        if chart_x_axis_title_mode not in list_chart_x_axis_title_mode:
            raise ValueError(
                f"`chart_x_axis_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_x_axis_title_mode in list_chart_x_axis_title_mode
            and chart_x_axis_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_x_axis_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["title_mode"] = filtered_dict[
                    chart_x_axis_title_mode
                ]
        self.state["state"]["x"]["title"] = chart_x_axis_title
        self.state["state"]["x"]["title_styling"] = chart_x_axis_title_styling

        list_chart_x_axis_title_weight = ["bold", "normal"] + [None]
        if chart_x_axis_title_weight not in list_chart_x_axis_title_weight:
            raise ValueError(
                f"`chart_x_axis_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_x_axis_title_weight in list_chart_x_axis_title_weight
            and chart_x_axis_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_x_axis_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["title_weight"] = filtered_dict[
                    chart_x_axis_title_weight
                ]
        self.state["state"]["x"]["title_color"] = chart_x_axis_title_color
        self.state["state"]["x"]["title_size"] = chart_x_axis_title_size
        self.state["state"]["x"]["title_padding"] = chart_x_axis_title_padding

        list_chart_x_axis_tick_label_position = ["default", "left", "right"] + [None]
        if (
            chart_x_axis_tick_label_position
            not in list_chart_x_axis_tick_label_position
        ):
            raise ValueError(
                f"`chart_x_axis_tick_label_position` must be one of: ['default', 'left', 'right']"
            )
        elif (
            chart_x_axis_tick_label_position in list_chart_x_axis_tick_label_position
            and chart_x_axis_tick_label_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "default": "default",
                    "left": "left",
                    "right": "right",
                }.items()
                if chart_x_axis_tick_label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_position"] = filtered_dict[
                    chart_x_axis_tick_label_position
                ]
        self.state["state"]["x"]["tick_label_styling"] = chart_x_axis_tick_label_styling
        self.state["state"]["x"]["tick_label_size"] = chart_x_axis_tick_label_size
        self.state["state"]["x"]["tick_label_color"] = chart_x_axis_tick_label_color
        self.state["state"]["x"]["tick_padding"] = chart_x_axis_tick_padding

        list_chart_x_axis_tick_label_angle = ["0", "30", "45", "60", "90"] + [None]
        if chart_x_axis_tick_label_angle not in list_chart_x_axis_tick_label_angle:
            raise ValueError(
                f"`chart_x_axis_tick_label_angle` must be one of: ['0', '30', '45', '60', '90']"
            )
        elif (
            chart_x_axis_tick_label_angle in list_chart_x_axis_tick_label_angle
            and chart_x_axis_tick_label_angle is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "30": "30",
                    "45": "45",
                    "60": "60",
                    "90": "90",
                }.items()
                if chart_x_axis_tick_label_angle in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_angle"] = filtered_dict[
                    chart_x_axis_tick_label_angle
                ]

        list_chart_x_axis_tick_label_weight = ["bold", "normal"] + [None]
        if chart_x_axis_tick_label_weight not in list_chart_x_axis_tick_label_weight:
            raise ValueError(
                f"`chart_x_axis_tick_label_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_x_axis_tick_label_weight in list_chart_x_axis_tick_label_weight
            and chart_x_axis_tick_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_x_axis_tick_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_weight"] = filtered_dict[
                    chart_x_axis_tick_label_weight
                ]
        self.state["state"]["x"][
            "tick_label_max_lines"
        ] = chart_x_axis_tick_label_max_lines
        self.state["state"]["x"][
            "tick_label_line_height"
        ] = chart_x_axis_tick_label_line_height

        list_chart_x_axis_tick_label_space_mode = ["auto", "max", "fixed"] + [None]
        if (
            chart_x_axis_tick_label_space_mode
            not in list_chart_x_axis_tick_label_space_mode
        ):
            raise ValueError(
                f"`chart_x_axis_tick_label_space_mode` must be one of: ['auto', 'max', 'fixed']"
            )
        elif (
            chart_x_axis_tick_label_space_mode
            in list_chart_x_axis_tick_label_space_mode
            and chart_x_axis_tick_label_space_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "max": "max", "fixed": "fixed"}.items()
                if chart_x_axis_tick_label_space_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_label_space_mode"] = filtered_dict[
                    chart_x_axis_tick_label_space_mode
                ]
        self.state["state"]["x"]["tick_label_space"] = chart_x_axis_tick_label_space

        list_chart_x_axis_tick_mode = ["auto", "number", "custom"] + [None]
        if chart_x_axis_tick_mode not in list_chart_x_axis_tick_mode:
            raise ValueError(
                f"`chart_x_axis_tick_mode` must be one of: ['auto', 'number', 'custom']"
            )
        elif (
            chart_x_axis_tick_mode in list_chart_x_axis_tick_mode
            and chart_x_axis_tick_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "number": "number",
                    "custom": "custom",
                }.items()
                if chart_x_axis_tick_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_mode"] = filtered_dict[
                    chart_x_axis_tick_mode
                ]
        self.state["state"]["x"]["tick_number"] = chart_x_axis_tick_number

        if (
            chart_x_axis_tick_custom is not None
            and len(chart_x_axis_tick_custom) > 1
            and isinstance(chart_x_axis_tick_custom, list)
        ):
            self.state["state"]["x"]["tick_custom"] = " \n ".join(
                chart_x_axis_tick_custom
            )
        else:
            self.state["state"]["x"]["tick_custom"] = chart_x_axis_tick_custom

        self.state["state"]["x"][
            "line_and_tick_color"
        ] = chart_x_axis_line_and_tick_color
        self.state["state"]["x"][
            "line_and_tick_width"
        ] = chart_x_axis_line_and_tick_width
        self.state["state"]["x"]["tick_length"] = chart_x_axis_tick_length

        list_chart_x_axis_tick_side = ["out", "in"] + [None]
        if chart_x_axis_tick_side not in list_chart_x_axis_tick_side:
            raise ValueError(f"`chart_x_axis_tick_side` must be one of: ['out', 'in']")
        elif (
            chart_x_axis_tick_side in list_chart_x_axis_tick_side
            and chart_x_axis_tick_side is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"out": "out", "in": "in"}.items()
                if chart_x_axis_tick_side in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["tick_side"] = filtered_dict[
                    chart_x_axis_tick_side
                ]
        self.state["state"]["x"]["line_visible"] = chart_x_axis_line_visible
        self.state["state"]["x"]["edge_padding"] = chart_x_axis_edge_padding

        list_chart_x_axis_gridlines_visible = [True, False] + [None]
        if chart_x_axis_gridlines_visible not in list_chart_x_axis_gridlines_visible:
            raise ValueError(
                f"`chart_x_axis_gridlines_visible` must be one of: [True, False]"
            )
        elif (
            chart_x_axis_gridlines_visible in list_chart_x_axis_gridlines_visible
            and chart_x_axis_gridlines_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_x_axis_gridlines_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["gridlines_visible"] = filtered_dict[
                    chart_x_axis_gridlines_visible
                ]
        self.state["state"]["x"]["gridlines_styling"] = chart_x_axis_gridlines_styling
        self.state["state"]["x"]["gridline_color"] = chart_x_axis_gridline_color

        list_chart_x_axis_gridline_style = ["solid", "dash", "dot", "dot_dash"] + [None]
        if chart_x_axis_gridline_style not in list_chart_x_axis_gridline_style:
            raise ValueError(
                f"`chart_x_axis_gridline_style` must be one of: ['solid', 'dash', 'dot', 'dot_dash']"
            )
        elif (
            chart_x_axis_gridline_style in list_chart_x_axis_gridline_style
            and chart_x_axis_gridline_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dash": "dash",
                    "dot": "dot",
                    "dot_dash": "dot_dash",
                }.items()
                if chart_x_axis_gridline_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["x"]["gridline_style"] = filtered_dict[
                    chart_x_axis_gridline_style
                ]
        self.state["state"]["x"]["gridline_width"] = chart_x_axis_gridline_width
        self.state["state"]["x"][
            "gridline_category_dividers"
        ] = chart_x_axis_gridline_category_dividers
        self.state["state"]["x"][
            "gridline_category_dividers_extend"
        ] = chart_x_axis_gridline_category_dividers_extend

        list_chart_y_axis_axis_visible = [True, False] + [None]
        if chart_y_axis_axis_visible not in list_chart_y_axis_axis_visible:
            raise ValueError(
                f"`chart_y_axis_axis_visible` must be one of: [True, False]"
            )
        elif (
            chart_y_axis_axis_visible in list_chart_y_axis_axis_visible
            and chart_y_axis_axis_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_axis_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["axis_visible"] = filtered_dict[
                    chart_y_axis_axis_visible
                ]

        list_chart_y_axis_numeric_scale_type = ["linear", "log"] + [None]
        if chart_y_axis_numeric_scale_type not in list_chart_y_axis_numeric_scale_type:
            raise ValueError(
                f"`chart_y_axis_numeric_scale_type` must be one of: ['linear', 'log']"
            )
        elif (
            chart_y_axis_numeric_scale_type in list_chart_y_axis_numeric_scale_type
            and chart_y_axis_numeric_scale_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "log": "log"}.items()
                if chart_y_axis_numeric_scale_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["numeric_scale_type"] = filtered_dict[
                    chart_y_axis_numeric_scale_type
                ]
        self.state["state"]["y"]["linear_min"] = chart_y_axis_linear_min
        self.state["state"]["y"]["linear_max"] = chart_y_axis_linear_max
        self.state["state"]["y"]["log_min"] = chart_y_axis_log_min
        self.state["state"]["y"]["log_max"] = chart_y_axis_log_max
        self.state["state"]["y"]["datetime_min"] = chart_y_axis_datetime_min
        self.state["state"]["y"]["datetime_max"] = chart_y_axis_datetime_max
        self.state["state"]["y"]["flip"] = chart_y_axis_flip
        self.state["state"]["y"][
            "show_scale_settings"
        ] = chart_y_axis_show_scale_settings

        list_chart_y_axis_nice = [True, False] + [None]
        if chart_y_axis_nice not in list_chart_y_axis_nice:
            raise ValueError(f"`chart_y_axis_nice` must be one of: [True, False]")
        elif (
            chart_y_axis_nice in list_chart_y_axis_nice
            and chart_y_axis_nice is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_nice in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["nice"] = filtered_dict[chart_y_axis_nice]

        list_chart_y_axis_zero_axis = ["auto", "on", "off"] + [None]
        if chart_y_axis_zero_axis not in list_chart_y_axis_zero_axis:
            raise ValueError(
                f"`chart_y_axis_zero_axis` must be one of: ['auto', 'on', 'off']"
            )
        elif (
            chart_y_axis_zero_axis in list_chart_y_axis_zero_axis
            and chart_y_axis_zero_axis is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "on": "on", "off": "off"}.items()
                if chart_y_axis_zero_axis in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["zero_axis"] = filtered_dict[
                    chart_y_axis_zero_axis
                ]

        list_chart_y_axis_title_mode = ["auto", "custom"] + [None]
        if chart_y_axis_title_mode not in list_chart_y_axis_title_mode:
            raise ValueError(
                f"`chart_y_axis_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_y_axis_title_mode in list_chart_y_axis_title_mode
            and chart_y_axis_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_y_axis_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_mode"] = filtered_dict[
                    chart_y_axis_title_mode
                ]
        self.state["state"]["y"]["title"] = chart_y_axis_title
        self.state["state"]["y"]["title_styling"] = chart_y_axis_title_styling

        list_chart_y_axis_title_position = ["side", "end"] + [None]
        if chart_y_axis_title_position not in list_chart_y_axis_title_position:
            raise ValueError(
                f"`chart_y_axis_title_position` must be one of: ['side', 'end']"
            )
        elif (
            chart_y_axis_title_position in list_chart_y_axis_title_position
            and chart_y_axis_title_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"side": "side", "end": "end"}.items()
                if chart_y_axis_title_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_position"] = filtered_dict[
                    chart_y_axis_title_position
                ]

        list_chart_y_axis_title_weight = ["bold", "normal"] + [None]
        if chart_y_axis_title_weight not in list_chart_y_axis_title_weight:
            raise ValueError(
                f"`chart_y_axis_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_y_axis_title_weight in list_chart_y_axis_title_weight
            and chart_y_axis_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_y_axis_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["title_weight"] = filtered_dict[
                    chart_y_axis_title_weight
                ]
        self.state["state"]["y"]["title_color"] = chart_y_axis_title_color
        self.state["state"]["y"]["title_size"] = chart_y_axis_title_size
        self.state["state"]["y"]["title_padding"] = chart_y_axis_title_padding

        list_chart_y_axis_tick_label_position = ["default", "above", "below"] + [None]
        if (
            chart_y_axis_tick_label_position
            not in list_chart_y_axis_tick_label_position
        ):
            raise ValueError(
                f"`chart_y_axis_tick_label_position` must be one of: ['default', 'above', 'below']"
            )
        elif (
            chart_y_axis_tick_label_position in list_chart_y_axis_tick_label_position
            and chart_y_axis_tick_label_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "default": "default",
                    "above": "above",
                    "below": "below",
                }.items()
                if chart_y_axis_tick_label_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_position"] = filtered_dict[
                    chart_y_axis_tick_label_position
                ]
        self.state["state"]["y"]["tick_label_styling"] = chart_y_axis_tick_label_styling
        self.state["state"]["y"]["tick_label_size"] = chart_y_axis_tick_label_size
        self.state["state"]["y"]["tick_label_color"] = chart_y_axis_tick_label_color
        self.state["state"]["y"]["tick_padding"] = chart_y_axis_tick_padding

        list_chart_y_axis_tick_label_angle = ["0", "30", "45", "60", "90"] + [None]
        if chart_y_axis_tick_label_angle not in list_chart_y_axis_tick_label_angle:
            raise ValueError(
                f"`chart_y_axis_tick_label_angle` must be one of: ['0', '30', '45', '60', '90']"
            )
        elif (
            chart_y_axis_tick_label_angle in list_chart_y_axis_tick_label_angle
            and chart_y_axis_tick_label_angle is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "30": "30",
                    "45": "45",
                    "60": "60",
                    "90": "90",
                }.items()
                if chart_y_axis_tick_label_angle in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_angle"] = filtered_dict[
                    chart_y_axis_tick_label_angle
                ]

        list_chart_y_axis_tick_label_weight = ["bold", "normal"] + [None]
        if chart_y_axis_tick_label_weight not in list_chart_y_axis_tick_label_weight:
            raise ValueError(
                f"`chart_y_axis_tick_label_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_y_axis_tick_label_weight in list_chart_y_axis_tick_label_weight
            and chart_y_axis_tick_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_y_axis_tick_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_weight"] = filtered_dict[
                    chart_y_axis_tick_label_weight
                ]
        self.state["state"]["y"][
            "tick_label_max_lines"
        ] = chart_y_axis_tick_label_max_lines
        self.state["state"]["y"][
            "tick_label_line_height"
        ] = chart_y_axis_tick_label_line_height

        list_chart_y_axis_tick_label_space_mode = ["auto", "max", "fixed"] + [None]
        if (
            chart_y_axis_tick_label_space_mode
            not in list_chart_y_axis_tick_label_space_mode
        ):
            raise ValueError(
                f"`chart_y_axis_tick_label_space_mode` must be one of: ['auto', 'max', 'fixed']"
            )
        elif (
            chart_y_axis_tick_label_space_mode
            in list_chart_y_axis_tick_label_space_mode
            and chart_y_axis_tick_label_space_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "max": "max", "fixed": "fixed"}.items()
                if chart_y_axis_tick_label_space_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_label_space_mode"] = filtered_dict[
                    chart_y_axis_tick_label_space_mode
                ]
        self.state["state"]["y"]["tick_label_space"] = chart_y_axis_tick_label_space

        list_chart_y_axis_tick_mode = ["auto", "number", "custom"] + [None]
        if chart_y_axis_tick_mode not in list_chart_y_axis_tick_mode:
            raise ValueError(
                f"`chart_y_axis_tick_mode` must be one of: ['auto', 'number', 'custom']"
            )
        elif (
            chart_y_axis_tick_mode in list_chart_y_axis_tick_mode
            and chart_y_axis_tick_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "number": "number",
                    "custom": "custom",
                }.items()
                if chart_y_axis_tick_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_mode"] = filtered_dict[
                    chart_y_axis_tick_mode
                ]
        self.state["state"]["y"]["tick_number"] = chart_y_axis_tick_number

        if (
            chart_y_axis_tick_custom is not None
            and len(chart_y_axis_tick_custom) > 1
            and isinstance(chart_y_axis_tick_custom, list)
        ):
            self.state["state"]["y"]["tick_custom"] = " \n ".join(
                chart_y_axis_tick_custom
            )
        else:
            self.state["state"]["y"]["tick_custom"] = chart_y_axis_tick_custom

        self.state["state"]["y"][
            "line_and_tick_color"
        ] = chart_y_axis_line_and_tick_color
        self.state["state"]["y"][
            "line_and_tick_width"
        ] = chart_y_axis_line_and_tick_width
        self.state["state"]["y"]["tick_length"] = chart_y_axis_tick_length

        list_chart_y_axis_tick_side = ["out", "in"] + [None]
        if chart_y_axis_tick_side not in list_chart_y_axis_tick_side:
            raise ValueError(f"`chart_y_axis_tick_side` must be one of: ['out', 'in']")
        elif (
            chart_y_axis_tick_side in list_chart_y_axis_tick_side
            and chart_y_axis_tick_side is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"out": "out", "in": "in"}.items()
                if chart_y_axis_tick_side in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["tick_side"] = filtered_dict[
                    chart_y_axis_tick_side
                ]
        self.state["state"]["y"]["line_visible"] = chart_y_axis_line_visible
        self.state["state"]["y"]["edge_padding"] = chart_y_axis_edge_padding

        list_chart_y_axis_gridlines_visible = [True, False] + [None]
        if chart_y_axis_gridlines_visible not in list_chart_y_axis_gridlines_visible:
            raise ValueError(
                f"`chart_y_axis_gridlines_visible` must be one of: [True, False]"
            )
        elif (
            chart_y_axis_gridlines_visible in list_chart_y_axis_gridlines_visible
            and chart_y_axis_gridlines_visible is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_y_axis_gridlines_visible in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["gridlines_visible"] = filtered_dict[
                    chart_y_axis_gridlines_visible
                ]
        self.state["state"]["y"]["gridlines_styling"] = chart_y_axis_gridlines_styling
        self.state["state"]["y"]["gridline_color"] = chart_y_axis_gridline_color

        list_chart_y_axis_gridline_style = ["solid", "dash", "dot", "dot_dash"] + [None]
        if chart_y_axis_gridline_style not in list_chart_y_axis_gridline_style:
            raise ValueError(
                f"`chart_y_axis_gridline_style` must be one of: ['solid', 'dash', 'dot', 'dot_dash']"
            )
        elif (
            chart_y_axis_gridline_style in list_chart_y_axis_gridline_style
            and chart_y_axis_gridline_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dash": "dash",
                    "dot": "dot",
                    "dot_dash": "dot_dash",
                }.items()
                if chart_y_axis_gridline_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["y"]["gridline_style"] = filtered_dict[
                    chart_y_axis_gridline_style
                ]
        self.state["state"]["y"]["gridline_width"] = chart_y_axis_gridline_width
        self.state["state"]["y"][
            "gridline_category_dividers"
        ] = chart_y_axis_gridline_category_dividers
        self.state["state"]["y"][
            "gridline_category_dividers_extend"
        ] = chart_y_axis_gridline_category_dividers_extend

        list_chart_categorical_legend_show_legend = [True, False] + [None]
        if (
            chart_categorical_legend_show_legend
            not in list_chart_categorical_legend_show_legend
        ):
            raise ValueError(
                f"`chart_categorical_legend_show_legend` must be one of: [True, False]"
            )
        elif (
            chart_categorical_legend_show_legend
            in list_chart_categorical_legend_show_legend
            and chart_categorical_legend_show_legend is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_categorical_legend_show_legend in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "show_legend"
                ] = filtered_dict[chart_categorical_legend_show_legend]

        list_chart_categorical_legend_title_mode = ["auto", "custom"] + [None]
        if (
            chart_categorical_legend_title_mode
            not in list_chart_categorical_legend_title_mode
        ):
            raise ValueError(
                f"`chart_categorical_legend_title_mode` must be one of: ['auto', 'custom']"
            )
        elif (
            chart_categorical_legend_title_mode
            in list_chart_categorical_legend_title_mode
            and chart_categorical_legend_title_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "custom": "custom"}.items()
                if chart_categorical_legend_title_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"]["title_mode"] = filtered_dict[
                    chart_categorical_legend_title_mode
                ]
        self.state["state"]["legend_categorical"][
            "title"
        ] = chart_categorical_legend_title
        self.state["state"]["legend_categorical"][
            "swatch_width"
        ] = chart_categorical_legend_swatch_width
        self.state["state"]["legend_categorical"][
            "swatch_height"
        ] = chart_categorical_legend_swatch_height
        self.state["state"]["legend_categorical"][
            "swatch_radius"
        ] = chart_categorical_legend_swatch_radius
        self.state["state"]["legend_categorical"][
            "legend_items_padding"
        ] = chart_categorical_legend_legend_items_padding
        self.state["state"]["legend_categorical"][
            "swatch_outline"
        ] = chart_categorical_legend_swatch_outline
        self.state["state"]["legend_categorical"][
            "swatch_outline_color"
        ] = chart_categorical_legend_swatch_outline_color

        if (
            chart_categorical_legend_order_override is not None
            and len(chart_categorical_legend_order_override) > 1
            and isinstance(chart_categorical_legend_order_override, list)
        ):
            self.state["state"]["legend_categorical"]["order_override"] = " \n ".join(
                chart_categorical_legend_order_override
            )
        else:
            self.state["state"]["legend_categorical"][
                "order_override"
            ] = chart_categorical_legend_order_override

        self.state["state"]["legend_categorical"][
            "icon_height"
        ] = chart_categorical_legend_icon_height
        self.state["state"]["legend_categorical"][
            "icon_color"
        ] = chart_categorical_legend_icon_color
        self.state["state"]["legend_categorical"][
            "max_width"
        ] = chart_categorical_legend_max_width

        list_chart_categorical_legend_orientation = ["horizontal", "vertical"] + [None]
        if (
            chart_categorical_legend_orientation
            not in list_chart_categorical_legend_orientation
        ):
            raise ValueError(
                f"`chart_categorical_legend_orientation` must be one of: ['horizontal', 'vertical']"
            )
        elif (
            chart_categorical_legend_orientation
            in list_chart_categorical_legend_orientation
            and chart_categorical_legend_orientation is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "horizontal": "horizontal",
                    "vertical": "vertical",
                }.items()
                if chart_categorical_legend_orientation in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["legend_categorical"][
                    "orientation"
                ] = filtered_dict[chart_categorical_legend_orientation]
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_tournament_details(
        self,
        min_round_width_mode: str = None,
        min_round_width_fixed: float = None,
        inner_padding_vertical: float = None,
        inner_padding_horizontal: float = None,
        link_width: float = None,
        outer_padding: float = None,
        winning_team_color: str = None,
        losing_team_color: str = None,
        upcoming_fill_color: str = None,
        boxes_stroke_color: str = None,
        boxes_stroke_width: float = None,
        boxes_roundness: float = None,
        winning_team_text_color: str = None,
        losing_team_text_color: str = None,
        font_size: float = None,
        text_weight_mode: str = None,
        link_thickness: float = None,
        link_color: str = None,
        link_radius: float = None,
        image_size: float = None,
        image_scale: str = None,
        image_zoom: float = None,
        image_shape: str = None,
        headings_enabled: bool = None,
        headings_size: float = None,
        headings_padding: float = None,
        headings_color: str = None,
        headings_weight: str = None,
        headings_position: str = None,
        navigation_icon_position: str = None,
        navigation_icon_mode: str = None,
        navigation_icon_upload: str = None,
        navigation_icon_size: float = None,
        navigation_icon_color: str = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_custom_accessible: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        popup_header_separator: str = None,
        animation_duration: float = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: tournament.


        :param min_round_width_mode: Width mode. Choices: auto, fixed. Auto mode sets round width to the smallest it can be while still fitting text content. In Fixed mode you can choose a fixed minimum round width (text will be ellipsed if it does not fit). Flourish type hint: string, defaults to None.
        :type min_round_width_mode: str, optional
        :param min_round_width_fixed: Min stage width. The minimum width given to a specific stage (e.g. Quarterfinals), specified in px. Flourish type hint: number, defaults to None.
        :type min_round_width_fixed: float, optional
        :param inner_padding_vertical: Box height. Flourish type hint: number, defaults to None.
        :type inner_padding_vertical: float, optional
        :param inner_padding_horizontal: Box padding. Horizontal space on sides of box. Flourish type hint: number, defaults to None.
        :type inner_padding_horizontal: float, optional
        :param link_width: Horizontal space. Horizontal space between stages. Flourish type hint: number, defaults to None.
        :type link_width: float, optional
        :param outer_padding: Vertical space. Vertical space between stages. Flourish type hint: number, defaults to None.
        :type outer_padding: float, optional
        :param winning_team_color: Winning team. Flourish type hint: color, defaults to None.
        :type winning_team_color: str, optional
        :param losing_team_color: Losing team. Flourish type hint: color, defaults to None.
        :type losing_team_color: str, optional
        :param upcoming_fill_color: Upcoming match. Flourish type hint: color, defaults to None.
        :type upcoming_fill_color: str, optional
        :param boxes_stroke_color: Outline color. Flourish type hint: color, defaults to None.
        :type boxes_stroke_color: str, optional
        :param boxes_stroke_width: Outline width. Flourish type hint: number, defaults to None.
        :type boxes_stroke_width: float, optional
        :param boxes_roundness: Roundness. Flourish type hint: number, defaults to None.
        :type boxes_roundness: float, optional
        :param winning_team_text_color: Winning team. Flourish type hint: color, defaults to None.
        :type winning_team_text_color: str, optional
        :param losing_team_text_color: Losing team. Flourish type hint: color, defaults to None.
        :type losing_team_text_color: str, optional
        :param font_size: Size. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type font_size: float, optional
        :param text_weight_mode: Weight. Choices: winner_bold, regular, bold. Flourish type hint: string, defaults to None.
        :type text_weight_mode: str, optional
        :param link_thickness: Thickness. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type link_thickness: float, optional
        :param link_color: Color. Flourish type hint: color, defaults to None.
        :type link_color: str, optional
        :param link_radius: Roundness. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type link_radius: float, optional
        :param image_size: Size. Specified as a % of the box for that match. Flourish type hint: number, defaults to None.
        :type image_size: float, optional
        :param image_scale: Scale. Choices: contain, cover, zoom. Fill will not preserve the aspect ratio of images but stretch them to fill the area.  Fit and Zoom both preserve the aspect ratio of images, but Fit ensures none of the image is cut off. Flourish type hint: string, defaults to None.
        :type image_scale: str, optional
        :param image_zoom: Zoom. Sets what size the image should fill the container as a percentage of the container size. Flourish type hint: number, defaults to None.
        :type image_zoom: float, optional
        :param image_shape: Shape. Choices: circle, square. Flourish type hint: string, defaults to None.
        :type image_shape: str, optional
        :param headings_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type headings_enabled: bool, optional
        :param headings_size: Size. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type headings_size: float, optional
        :param headings_padding: Padding. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type headings_padding: float, optional
        :param headings_color: Color. Flourish type hint: color, defaults to None.
        :type headings_color: str, optional
        :param headings_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type headings_weight: str, optional
        :param headings_position: Position. Choices: middle, start. Flourish type hint: string, defaults to None.
        :type headings_position: str, optional
        :param navigation_icon_position: Position. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type navigation_icon_position: str, optional
        :param navigation_icon_mode: Type. Choices: arrow, custom. Flourish type hint: string, defaults to None.
        :type navigation_icon_mode: str, optional
        :param navigation_icon_upload: Upload icon. Upload a right-facing icon (your icon will be rotated for the left side). Flourish type hint: url, defaults to None.
        :type navigation_icon_upload: str, optional
        :param navigation_icon_size: Size. In rems, a multiple of the pages base font size. Flourish type hint: number, defaults to None.
        :type navigation_icon_size: float, optional
        :param navigation_icon_color: Color. Flourish type hint: color, defaults to None.
        :type navigation_icon_color: str, optional
        :param chart_popup_mode: Choices: none, popup, panel, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML styling or add category colors to popup headers.  To hide parts of the popup when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML for designs, styles, and images.  To hide parts of the popup when a column is empty use the syntax `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_custom_accessible: Popup custom accessible content. A text alternative to visual custom popup content that will be read out by screenreaders. This content is added as an aria-label attribute to data point elements. You can still use `{{column_name}}` to add values from your data, but do not use HTML. For example: `{{Name}}, Population: {{Population}}, GDP: {{GDP}}`. If left empty, accessible content will fallback to the default popup content. Flourish type hint: text, defaults to None.
        :type chart_popup_popup_custom_accessible: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for styling or add category colors to panel headers.  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for designs, styles, images, videos and embedded Flourish charts,  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing Click position is especially useful when your visualization is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param popup_header_separator: Header separator. Flourish type hint: string, defaults to None.
        :type popup_header_separator: str, optional
        :param animation_duration: Duration. The duration, in seconds, of intro animation. Flourish type hint: number, defaults to None.
        :type animation_duration: float, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "popup": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        list_min_round_width_mode = ["auto", "fixed"] + [None]
        if min_round_width_mode not in list_min_round_width_mode:
            raise ValueError(
                f"`min_round_width_mode` must be one of: ['auto', 'fixed']"
            )
        elif (
            min_round_width_mode in list_min_round_width_mode
            and min_round_width_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"auto": "auto", "fixed": "fixed"}.items()
                if min_round_width_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["min_round_width_mode"] = filtered_dict[
                    min_round_width_mode
                ]
        self.state["state"]["min_round_width_fixed"] = min_round_width_fixed
        self.state["state"]["inner_padding_vertical"] = inner_padding_vertical
        self.state["state"]["inner_padding_horizontal"] = inner_padding_horizontal
        self.state["state"]["link_width"] = link_width
        self.state["state"]["outer_padding"] = outer_padding
        self.state["state"]["winning_team_color"] = winning_team_color
        self.state["state"]["losing_team_color"] = losing_team_color
        self.state["state"]["upcoming_fill_color"] = upcoming_fill_color
        self.state["state"]["boxes_stroke_color"] = boxes_stroke_color
        self.state["state"]["boxes_stroke_width"] = boxes_stroke_width
        self.state["state"]["boxes_roundness"] = boxes_roundness
        self.state["state"]["winning_team_text_color"] = winning_team_text_color
        self.state["state"]["losing_team_text_color"] = losing_team_text_color
        self.state["state"]["font_size"] = font_size

        list_text_weight_mode = ["winner_bold", "regular", "bold"] + [None]
        if text_weight_mode not in list_text_weight_mode:
            raise ValueError(
                f"`text_weight_mode` must be one of: ['winner_bold', 'regular', 'bold']"
            )
        elif text_weight_mode in list_text_weight_mode and text_weight_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "winner_bold": "winner_bold",
                    "regular": "regular",
                    "bold": "bold",
                }.items()
                if text_weight_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["text_weight_mode"] = filtered_dict[
                    text_weight_mode
                ]
        self.state["state"]["link_thickness"] = link_thickness
        self.state["state"]["link_color"] = link_color
        self.state["state"]["link_radius"] = link_radius
        self.state["state"]["image_size"] = image_size

        list_image_scale = ["contain", "cover", "zoom"] + [None]
        if image_scale not in list_image_scale:
            raise ValueError(
                f"`image_scale` must be one of: ['contain', 'cover', 'zoom']"
            )
        elif image_scale in list_image_scale and image_scale is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "contain": "contain",
                    "cover": "cover",
                    "zoom": "zoom",
                }.items()
                if image_scale in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_scale"] = filtered_dict[image_scale]
        self.state["state"]["image_zoom"] = image_zoom

        list_image_shape = ["circle", "square"] + [None]
        if image_shape not in list_image_shape:
            raise ValueError(f"`image_shape` must be one of: ['circle', 'square']")
        elif image_shape in list_image_shape and image_shape is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"circle": "circle", "square": "square"}.items()
                if image_shape in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["image_shape"] = filtered_dict[image_shape]

        list_headings_enabled = [True, False] + [None]
        if headings_enabled not in list_headings_enabled:
            raise ValueError(f"`headings_enabled` must be one of: [True, False]")
        elif headings_enabled in list_headings_enabled and headings_enabled is not None:
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if headings_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["headings_enabled"] = filtered_dict[
                    headings_enabled
                ]
        self.state["state"]["headings_size"] = headings_size
        self.state["state"]["headings_padding"] = headings_padding
        self.state["state"]["headings_color"] = headings_color

        list_headings_weight = ["bold", "normal"] + [None]
        if headings_weight not in list_headings_weight:
            raise ValueError(f"`headings_weight` must be one of: ['bold', 'normal']")
        elif headings_weight in list_headings_weight and headings_weight is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if headings_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["headings_weight"] = filtered_dict[headings_weight]

        list_headings_position = ["middle", "start"] + [None]
        if headings_position not in list_headings_position:
            raise ValueError(f"`headings_position` must be one of: ['middle', 'start']")
        elif (
            headings_position in list_headings_position
            and headings_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"middle": "middle", "start": "start"}.items()
                if headings_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["headings_position"] = filtered_dict[
                    headings_position
                ]

        list_navigation_icon_position = ["start", "center", "end"] + [None]
        if navigation_icon_position not in list_navigation_icon_position:
            raise ValueError(
                f"`navigation_icon_position` must be one of: ['start', 'center', 'end']"
            )
        elif (
            navigation_icon_position in list_navigation_icon_position
            and navigation_icon_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if navigation_icon_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["navigation_icon_position"] = filtered_dict[
                    navigation_icon_position
                ]

        list_navigation_icon_mode = ["arrow", "custom"] + [None]
        if navigation_icon_mode not in list_navigation_icon_mode:
            raise ValueError(
                f"`navigation_icon_mode` must be one of: ['arrow', 'custom']"
            )
        elif (
            navigation_icon_mode in list_navigation_icon_mode
            and navigation_icon_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"arrow": "arrow", "custom": "custom"}.items()
                if navigation_icon_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["navigation_icon_mode"] = filtered_dict[
                    navigation_icon_mode
                ]
        self.state["state"]["navigation_icon_upload"] = navigation_icon_upload
        self.state["state"]["navigation_icon_size"] = navigation_icon_size
        self.state["state"]["navigation_icon_color"] = navigation_icon_color

        list_chart_popup_mode = ["none", "popup", "panel", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'panel', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "panel": "panel",
                    "both": "both",
                }.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popup"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popup"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popup"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        if (
            chart_popup_popup_custom_accessible is not None
            and len(chart_popup_popup_custom_accessible) > 1
            and isinstance(chart_popup_popup_custom_accessible, list)
        ):
            self.state["state"]["popup"]["popup_custom_accessible"] = " \n ".join(
                chart_popup_popup_custom_accessible
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_accessible"
            ] = chart_popup_popup_custom_accessible

        self.state["state"]["popup"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popup"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popup"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popup"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popup"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popup"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popup"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popup"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popup"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_label_weight"] = filtered_dict[
                    chart_popup_popup_list_label_weight
                ]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popup"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popup"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popup"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popup"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popup"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popup"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popup"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popup"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popup"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popup"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popup"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popup"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popup"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popup"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popup"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_vertical_position"] = filtered_dict[
                    chart_popup_panel_vertical_position
                ]
        self.state["state"]["popup"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popup"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popup"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popup"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popup"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popup"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_label_weight"] = filtered_dict[
                    chart_popup_panel_list_label_weight
                ]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popup"]["panel_shadow"] = chart_popup_panel_shadow
        self.state["state"]["popup_header_separator"] = popup_header_separator
        self.state["state"]["animation_duration"] = animation_duration
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self

    def set_word_cloud_details(
        self,
        using_tables: bool = None,
        word_limit: float = None,
        raw_text: Union[list, str] = None,
        exclusions: bool = None,
        excluded_words: Union[list, str] = None,
        strip_trailing_s: bool = None,
        convert_to_lowercase: bool = None,
        cloud_font: str = None,
        text_color: str = None,
        word_padding: float = None,
        random_seed: float = None,
        angle_min: float = None,
        angle_max: float = None,
        angle_number: float = None,
        font_size_min: float = None,
        font_size_max: float = None,
        size_mode: str = None,
        height_mode: str = None,
        aspect_ratio: float = None,
        aspect_ratio_mobile: float = None,
        aspect_ratio_breakpoint: float = None,
        chart_color_scale_categorical_palette: Union[list, str] = None,
        chart_color_scale_categorical_extend: bool = None,
        chart_color_scale_categorical_custom_palette: Union[list, str] = None,
        chart_color_scale_numeric_type: str = None,
        chart_color_scale_binning: bool = None,
        chart_color_scale_bin_mode: str = None,
        chart_color_scale_bin_count: float = None,
        chart_color_scale_bin_thresholds: str = None,
        chart_color_scale_sequential_palette: str = None,
        chart_color_scale_sequential_reverse: bool = None,
        chart_color_scale_sequential_custom_min: str = None,
        chart_color_scale_sequential_custom_max: str = None,
        chart_color_scale_sequential_color_space: str = None,
        chart_color_scale_sequential_custom_domain: bool = None,
        chart_color_scale_sequential_domain_min: float = None,
        chart_color_scale_sequential_domain_max: float = None,
        chart_color_scale_diverging_palette: str = None,
        chart_color_scale_diverging_reverse: bool = None,
        chart_color_scale_diverging_custom_min: str = None,
        chart_color_scale_diverging_custom_mid: str = None,
        chart_color_scale_diverging_custom_max: str = None,
        chart_color_scale_diverging_color_space: str = None,
        chart_color_scale_diverging_custom_domain: bool = None,
        chart_color_scale_diverging_domain_min: float = None,
        chart_color_scale_diverging_domain_mid: float = None,
        chart_color_scale_diverging_domain_max: float = None,
        animation_type: str = None,
        duration: float = None,
        stagger: float = None,
        chart_number_date_format_prefix: str = None,
        chart_number_date_format_suffix: str = None,
        chart_number_date_format_n_dec: float = None,
        chart_number_date_format_advanced: bool = None,
        chart_number_date_format_negative_sign: str = None,
        chart_number_date_format_strip_zeros: bool = None,
        chart_number_date_format_strip_separator: bool = None,
        chart_number_date_format_transform_labels: bool = None,
        chart_number_date_format_transform: str = None,
        chart_number_date_format_multiply_divide_constant: float = None,
        chart_number_date_format_exponentiate_constant: float = None,
        chart_number_localization_input_decimal_separator: str = None,
        chart_number_localization_output_separators: str = None,
        chart_popup_mode: str = None,
        chart_popup_popup_is_custom: bool = None,
        chart_popup_show_popup_styles: bool = None,
        chart_popup_popup_custom_header: Union[list, str] = None,
        chart_popup_popup_custom_main: Union[list, str] = None,
        chart_popup_popup_custom_accessible: Union[list, str] = None,
        chart_popup_popup_width: float = None,
        chart_popup_popup_font_size: float = None,
        chart_popup_popup_text_color: str = None,
        chart_popup_popup_align: str = None,
        chart_popup_popup_background: str = None,
        chart_popup_popup_background_opacity: float = None,
        chart_popup_popup_padding: float = None,
        chart_popup_popup_radius: float = None,
        chart_popup_popup_header_type: str = None,
        chart_popup_popup_header_background: str = None,
        chart_popup_popup_header_text_color: str = None,
        chart_popup_popup_list_type: str = None,
        chart_popup_popup_list_label_weight: str = None,
        chart_popup_popup_list_separator: str = None,
        chart_popup_popup_shadow: bool = None,
        chart_popup_popup_pointer: bool = None,
        chart_popup_panel_position: str = None,
        chart_popup_panel_open_duration: float = None,
        chart_popup_panel_side_fixed: bool = None,
        chart_popup_panel_side_default_content: Union[list, str] = None,
        chart_popup_panel_is_custom: bool = None,
        chart_popup_show_panel_styles: bool = None,
        chart_popup_panel_custom_header: Union[list, str] = None,
        chart_popup_panel_custom_main: Union[list, str] = None,
        chart_popup_panel_width_overlay: float = None,
        chart_popup_panel_height_overlay: float = None,
        chart_popup_panel_width_side: float = None,
        chart_popup_panel_height_side: float = None,
        chart_popup_panel_max_width: float = None,
        chart_popup_panel_max_height: float = None,
        chart_popup_panel_vertical_position: str = None,
        chart_popup_panel_text_color: str = None,
        chart_popup_panel_font_size: float = None,
        chart_popup_panel_align: str = None,
        chart_popup_panel_background: str = None,
        chart_popup_panel_background_opacity: float = None,
        chart_popup_panel_padding: float = None,
        chart_popup_panel_radius: float = None,
        chart_popup_panel_list_type: str = None,
        chart_popup_panel_list_label_weight: str = None,
        chart_popup_panel_list_separator: str = None,
        chart_popup_panel_shadow: bool = None,
        chart_layout_body_font: str = None,
        chart_layout_font_color: str = None,
        chart_layout_background_color_enabled: bool = None,
        chart_layout_background_image_enabled: bool = None,
        chart_layout_background_color: str = None,
        chart_layout_background_image_src: str = None,
        chart_layout_background_image_size: str = None,
        chart_layout_background_image_position: str = None,
        chart_layout_max_width_target: str = None,
        chart_layout_max_width: float = None,
        chart_layout_max_width_align: str = None,
        chart_layout_layout_order: str = None,
        chart_layout_space_between_sections: str = None,
        chart_layout_space_between_sections_custom: float = None,
        chart_layout_margin_top: float = None,
        chart_layout_margin_right: float = None,
        chart_layout_margin_bottom: float = None,
        chart_layout_margin_left: float = None,
        chart_layout_border_enabled: bool = None,
        chart_layout_border_top_width: float = None,
        chart_layout_border_top_style: str = None,
        chart_layout_border_top_color: str = None,
        chart_layout_border_right_width: float = None,
        chart_layout_border_right_style: str = None,
        chart_layout_border_right_color: str = None,
        chart_layout_border_bottom_width: float = None,
        chart_layout_border_bottom_style: str = None,
        chart_layout_border_bottom_color: str = None,
        chart_layout_border_left_width: float = None,
        chart_layout_border_left_style: str = None,
        chart_layout_border_left_color: str = None,
        chart_layout_read_direction: str = None,
        chart_layout_font_size_mobile_small: float = None,
        chart_layout_font_size_mobile_big: float = None,
        chart_layout_font_size_tablet: float = None,
        chart_layout_font_size_desktop: float = None,
        chart_layout_font_size_big_screen: float = None,
        chart_layout_breakpoint_mobile_small: float = None,
        chart_layout_breakpoint_mobile_big: float = None,
        chart_layout_breakpoint_tablet: float = None,
        chart_layout_breakpoint_desktop: float = None,
        chart_layout_breakpoint_big_screen: float = None,
        chart_layout_header_align: str = None,
        chart_layout_title: Union[list, str] = None,
        chart_layout_title_styling: bool = None,
        chart_layout_title_font: str = None,
        chart_layout_title_size: str = None,
        chart_layout_title_size_custom: float = None,
        chart_layout_title_weight: str = None,
        chart_layout_title_color: str = None,
        chart_layout_title_line_height: float = None,
        chart_layout_title_space_above: str = None,
        chart_layout_title_space_above_custom: float = None,
        chart_layout_subtitle: Union[list, str] = None,
        chart_layout_subtitle_styling: bool = None,
        chart_layout_subtitle_font: str = None,
        chart_layout_subtitle_size: str = None,
        chart_layout_subtitle_size_custom: float = None,
        chart_layout_subtitle_weight: str = None,
        chart_layout_subtitle_color: str = None,
        chart_layout_subtitle_line_height: float = None,
        chart_layout_subtitle_space_above: str = None,
        chart_layout_subtitle_space_above_custom: float = None,
        chart_layout_header_text: Union[list, str] = None,
        chart_layout_header_text_styling: bool = None,
        chart_layout_header_text_size: str = None,
        chart_layout_header_text_size_custom: float = None,
        chart_layout_header_text_weight: str = None,
        chart_layout_header_text_color: str = None,
        chart_layout_header_text_line_height: float = None,
        chart_layout_header_text_space_above: str = None,
        chart_layout_header_text_space_above_custom: float = None,
        chart_layout_header_border: str = None,
        chart_layout_header_border_width: float = None,
        chart_layout_header_border_color: str = None,
        chart_layout_header_border_style: str = None,
        chart_layout_header_border_space: float = None,
        chart_layout_header_logo_enabled: bool = None,
        chart_layout_header_logo_src: str = None,
        chart_layout_header_logo_alt: str = None,
        chart_layout_header_logo_link_url: str = None,
        chart_layout_header_logo_height: float = None,
        chart_layout_header_logo_align: str = None,
        chart_layout_header_logo_position_inside: str = None,
        chart_layout_header_logo_position_outside: str = None,
        chart_layout_header_logo_margin_top: float = None,
        chart_layout_header_logo_margin_right: float = None,
        chart_layout_header_logo_margin_bottom: float = None,
        chart_layout_header_logo_margin_left: float = None,
        chart_layout_footer_align: str = None,
        chart_layout_footer_text_size: float = None,
        chart_layout_footer_text_color: str = None,
        chart_layout_footer_styling: bool = None,
        chart_layout_footer_font: str = None,
        chart_layout_footer_text_weight: str = None,
        chart_layout_source_name: str = None,
        chart_layout_source_url: str = None,
        chart_layout_multiple_sources: bool = None,
        chart_layout_source_name_2: str = None,
        chart_layout_source_url_2: str = None,
        chart_layout_source_name_3: str = None,
        chart_layout_source_url_3: str = None,
        chart_layout_source_label: str = None,
        chart_layout_footer_note: Union[list, str] = None,
        chart_layout_footer_note_secondary: Union[list, str] = None,
        chart_layout_advanced_note_styling: bool = None,
        chart_layout_footer_timestamp_format: str = None,
        chart_layout_footer_logo_enabled: bool = None,
        chart_layout_footer_logo_src: str = None,
        chart_layout_footer_logo_src_light: str = None,
        chart_layout_footer_logo_alt: str = None,
        chart_layout_footer_logo_link_url: str = None,
        chart_layout_footer_logo_height: float = None,
        chart_layout_footer_logo_margin: float = None,
        chart_layout_footer_logo_order: str = None,
        chart_layout_footer_align_vertical: str = None,
        chart_layout_footer_border: str = None,
        chart_layout_footer_border_width: float = None,
        chart_layout_footer_border_color: str = None,
        chart_layout_footer_border_style: str = None,
        chart_layout_footer_border_space: float = None,
        chart_layout_screenreader_text_primary: Union[list, str] = None,
        chart_layout_screenreader_label: str = None,
        chart_layout_screenreader_hide_primary: bool = None,
    ):
        """
        Set chart details for: word cloud.


        :param using_tables: Text input. Choices: False, True. Pasting in raw text is simplest but may be slow for large amounts of text. Flourish type hint: boolean, defaults to None.
        :type using_tables: bool, optional
        :param word_limit: Word limit. Limits the number of words, in order of frequency. Leave blank to show all words in the data table. Flourish type hint: number, defaults to None.
        :type word_limit: float, optional
        :param raw_text: Text. Note that the raw text will be available in the HTML of the generated page. This occurs when using both Paste in raw text and Datasheet options. Flourish type hint: text, defaults to None.
        :type raw_text: Union[list, str], optional
        :param exclusions: Exclude common words. Flourish type hint: boolean, defaults to None.
        :type exclusions: bool, optional
        :param excluded_words: Exclude words. Flourish type hint: text, defaults to None.
        :type excluded_words: Union[list, str], optional
        :param strip_trailing_s: Strip all trailing “s” from words. e.g. "mother" and "mothers" are considered one word. This includes both apostrophe and quotation mark forms (s and s). Flourish type hint: boolean, defaults to None.
        :type strip_trailing_s: bool, optional
        :param convert_to_lowercase: Convert all words to lowercase. e.g. "mother" and "Mother" are considered one word. This will also apply to the words in the Exclude words setting. Flourish type hint: boolean, defaults to None.
        :type convert_to_lowercase: bool, optional
        :param cloud_font: Font. Flourish type hint: font, defaults to None.
        :type cloud_font: str, optional
        :param text_color: Text color. Flourish type hint: color, defaults to None.
        :type text_color: str, optional
        :param word_padding: Spacing. Spacing between the words (in arbitrary units). Flourish type hint: number, defaults to None.
        :type word_padding: float, optional
        :param random_seed: Layout number. Change the number to try different word layouts. Flourish type hint: number, defaults to None.
        :type random_seed: float, optional
        :param angle_min: Min angle. Flourish type hint: number, defaults to None.
        :type angle_min: float, optional
        :param angle_max: Max angle. Flourish type hint: number, defaults to None.
        :type angle_max: float, optional
        :param angle_number: Number of angles. Flourish type hint: number, defaults to None.
        :type angle_number: float, optional
        :param font_size_min: Min size. In arbitrary units. Actual display size will depend in screen size and layout. Flourish type hint: number, defaults to None.
        :type font_size_min: float, optional
        :param font_size_max: Max size. In arbitrary units. Actual display size will depend in screen size and layout. Flourish type hint: number, defaults to None.
        :type font_size_max: float, optional
        :param size_mode: Scaling. Choices: linear, sqrt, log. This scale will determine the relationship in size between the biggest and the smallest word. Flourish type hint: string, defaults to None.
        :type size_mode: str, optional
        :param height_mode: Height mode. Choices: fill_space, aspect. In Fill space mode, the graphic will fill the container (which by default will be the standard Flourish responsive chart size). In Aspect ratio mode, you set the aspect ratio of the plot, and the container will be updated to accommodate it.  This setting is ignored when embedded in a fixed-height context, such as a simple iframe embedFlourish type hint: string, defaults to None.
        :type height_mode: str, optional
        :param aspect_ratio: Aspect (desktop). Aspect ratio of each plot in desktop mode, where 1 is square, above 1 is wider, and below 1 is taller. Flourish type hint: number, defaults to None.
        :type aspect_ratio: float, optional
        :param aspect_ratio_mobile: Aspect (mobile). Aspect ratio of each plot in mobile mode, where 1 is square, above 1 is wider, and below 1 is taller. Flourish type hint: number, defaults to None.
        :type aspect_ratio_mobile: float, optional
        :param aspect_ratio_breakpoint: Breakpoint. The width at which mobile mode ends and desktop begins. Flourish type hint: number, defaults to None.
        :type aspect_ratio_breakpoint: float, optional
        :param chart_color_scale_categorical_palette: Palette. Flourish type hint: colors, defaults to None.
        :type chart_color_scale_categorical_palette: Union[list, str], optional
        :param chart_color_scale_categorical_extend: Extend. Automatically generate additional colours when needed to avoid the palette colours being used more than once. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_categorical_extend: bool, optional
        :param chart_color_scale_categorical_custom_palette: Custom overrides. Enter the label name for which you wish to set the color, followed by a colon and the desired color value.  Colors can be set using Hex, RGB, color names or RGBA, if you want to set the opacity Multiple colors can be set using multiple lines. For example:  Party 1: red Party 2: #4455AA Party 3: rgb(30,168,26). Flourish type hint: text, defaults to None.
        :type chart_color_scale_categorical_custom_palette: Union[list, str], optional
        :param chart_color_scale_numeric_type: Scale type. Choices: sequential, diverging. Flourish type hint: string, defaults to None.
        :type chart_color_scale_numeric_type: str, optional
        :param chart_color_scale_binning: Choices: False, True. In linear mode, the color scale will run as a smooth gradient between 2 colors. In binned mode, the gradient will be divided in smaller blocks. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_binning: bool, optional
        :param chart_color_scale_bin_mode: Binning mode. Choices: fixed, quantile, custom. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_mode: str, optional
        :param chart_color_scale_bin_count: Number of bins. Flourish type hint: number, defaults to None.
        :type chart_color_scale_bin_count: float, optional
        :param chart_color_scale_bin_thresholds: Custom thresholds. Enter your desired thresholds, separating them with a ";". For instance, "5;10;15".  Bins form as follows:  From the datas minimum value (domain minimum) up to the first threshold.  Between consecutive thresholds.  From the last threshold to the datas maximum value (domain maximum).   For "5;10;15", youll get four bins based on your datas range. Flourish type hint: string, defaults to None.
        :type chart_color_scale_bin_thresholds: str, optional
        :param chart_color_scale_sequential_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_palette: str, optional
        :param chart_color_scale_sequential_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_reverse: bool, optional
        :param chart_color_scale_sequential_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_min: str, optional
        :param chart_color_scale_sequential_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_sequential_custom_max: str, optional
        :param chart_color_scale_sequential_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_sequential_color_space: str, optional
        :param chart_color_scale_sequential_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_sequential_custom_domain: bool, optional
        :param chart_color_scale_sequential_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_min: float, optional
        :param chart_color_scale_sequential_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_sequential_domain_max: float, optional
        :param chart_color_scale_diverging_palette: Palette. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_palette: str, optional
        :param chart_color_scale_diverging_reverse: Reverse. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_reverse: bool, optional
        :param chart_color_scale_diverging_custom_min: Minimum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_min: str, optional
        :param chart_color_scale_diverging_custom_mid: Midpoint color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_mid: str, optional
        :param chart_color_scale_diverging_custom_max: Maximum color. Flourish type hint: color, defaults to None.
        :type chart_color_scale_diverging_custom_max: str, optional
        :param chart_color_scale_diverging_color_space: Color space. Choices: rgb, lab, hcl, hsl. Flourish type hint: string, defaults to None.
        :type chart_color_scale_diverging_color_space: str, optional
        :param chart_color_scale_diverging_custom_domain: Domain. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_color_scale_diverging_custom_domain: bool, optional
        :param chart_color_scale_diverging_domain_min: Min. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_min: float, optional
        :param chart_color_scale_diverging_domain_mid: Mid. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_mid: float, optional
        :param chart_color_scale_diverging_domain_max: Max. Flourish type hint: number, defaults to None.
        :type chart_color_scale_diverging_domain_max: float, optional
        :param animation_type: Animation style. Choices: auto, fade, grow, none. Controls the animation on load.  Auto mode will use Grow if there are fewer than 100 words visible, Fade if there are fewer than 500, and None if there are 500 or more. Flourish type hint: string, defaults to None.
        :type animation_type: str, optional
        :param duration: Duration. The time in seconds it takes for an individual word to move from the start position to end position. Flourish type hint: number, defaults to None.
        :type duration: float, optional
        :param stagger: Stagger. The time in seconds between the first and last word animations starting. Flourish type hint: number, defaults to None.
        :type stagger: float, optional
        :param chart_number_date_format_prefix: Prefix. Text to place in front of number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_prefix: str, optional
        :param chart_number_date_format_suffix: Suffix. Text to place after number. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_suffix: str, optional
        :param chart_number_date_format_n_dec: Decimal places. Enter a negative integer to round to a whole number with that many zeros. For example, -2 will round to the nearest hundred. Flourish type hint: number, defaults to None.
        :type chart_number_date_format_n_dec: float, optional
        :param chart_number_date_format_advanced: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_advanced: bool, optional
        :param chart_number_date_format_negative_sign: Styling of negative numbers. Choices: -$nk, $-nk, ($nk), $(n)k, none. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_negative_sign: str, optional
        :param chart_number_date_format_strip_zeros: Remove trailing zeros. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_zeros: bool, optional
        :param chart_number_date_format_strip_separator: Hide thousands separator below 10,000. Turn off if you want four-digit numbers to include a separator, e.g. 1,234 rather than 1234. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_strip_separator: bool, optional
        :param chart_number_date_format_transform_labels: Multiply/divide values. Flourish type hint: boolean, defaults to None.
        :type chart_number_date_format_transform_labels: bool, optional
        :param chart_number_date_format_transform: Choices: multiply, divide, exponentiate. Flourish type hint: string, defaults to None.
        :type chart_number_date_format_transform: str, optional
        :param chart_number_date_format_multiply_divide_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_multiply_divide_constant: float, optional
        :param chart_number_date_format_exponentiate_constant: Flourish type hint: number, defaults to None.
        :type chart_number_date_format_exponentiate_constant: float, optional
        :param chart_number_localization_input_decimal_separator: Decimal separator in data sheet. Choices: ., ,. Used for interpreting your data. Only change if data is not displaying on the chart as expected. Flourish type hint: string, defaults to None.
        :type chart_number_localization_input_decimal_separator: str, optional
        :param chart_number_localization_output_separators: Number format to display. Choices: ,., .,, ., ,, ., ,. How the numbers should appear on chart labels. Flourish type hint: string, defaults to None.
        :type chart_number_localization_output_separators: str, optional
        :param chart_popup_mode: Choices: none, popup, panel, both. Flourish type hint: string, defaults to None.
        :type chart_popup_mode: str, optional
        :param chart_popup_popup_is_custom: Popup content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_is_custom: bool, optional
        :param chart_popup_show_popup_styles: Show popup styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_popup_styles: bool, optional
        :param chart_popup_popup_custom_header: Popup custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML styling or add category colors to popup headers.  To hide parts of the popup when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_header: Union[list, str], optional
        :param chart_popup_popup_custom_main: Popup custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for popup use.  Advanced users can add HTML for designs, styles, and images.  To hide parts of the popup when a column is empty use the syntax `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_popup_custom_main: Union[list, str], optional
        :param chart_popup_popup_custom_accessible: Popup custom accessible content. A text alternative to visual custom popup content that will be read out by screenreaders. This content is added as an aria-label attribute to data point elements. You can still use `{{column_name}}` to add values from your data, but do not use HTML. For example: `{{Name}}, Population: {{Population}}, GDP: {{GDP}}`. If left empty, accessible content will fallback to the default popup content. Flourish type hint: text, defaults to None.
        :type chart_popup_popup_custom_accessible: Union[list, str], optional
        :param chart_popup_popup_width: Max width. In rems, multiples of base font size. Leave blank to let the width adjust based on the contents. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_width: float, optional
        :param chart_popup_popup_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_font_size: float, optional
        :param chart_popup_popup_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_text_color: str, optional
        :param chart_popup_popup_align: Align. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_align: str, optional
        :param chart_popup_popup_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_background: str, optional
        :param chart_popup_popup_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_background_opacity: float, optional
        :param chart_popup_popup_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_padding: float, optional
        :param chart_popup_popup_radius: Radius. Corner radius of popup. Flourish type hint: number, defaults to None.
        :type chart_popup_popup_radius: float, optional
        :param chart_popup_popup_header_type: Header style. Choices: block, inline. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_header_type: str, optional
        :param chart_popup_popup_header_background: Background. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_background: str, optional
        :param chart_popup_popup_header_text_color: Text. Flourish type hint: color, defaults to None.
        :type chart_popup_popup_header_text_color: str, optional
        :param chart_popup_popup_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_type: str, optional
        :param chart_popup_popup_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_label_weight: str, optional
        :param chart_popup_popup_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_popup_list_separator: str, optional
        :param chart_popup_popup_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_shadow: bool, optional
        :param chart_popup_popup_pointer: Pointer. Flourish type hint: boolean, defaults to None.
        :type chart_popup_popup_pointer: bool, optional
        :param chart_popup_panel_position: Choices: overlay, left, right, top, bottom. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_position: str, optional
        :param chart_popup_panel_open_duration: Open duration. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_open_duration: float, optional
        :param chart_popup_panel_side_fixed: Always show. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_side_fixed: bool, optional
        :param chart_popup_panel_side_default_content: Placeholder content. Flourish type hint: text, defaults to None.
        :type chart_popup_panel_side_default_content: Union[list, str], optional
        :param chart_popup_panel_is_custom: Panel content. Choices: False, True. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_is_custom: bool, optional
        :param chart_popup_show_panel_styles: Show panel styles. Flourish type hint: boolean, defaults to None.
        :type chart_popup_show_panel_styles: bool, optional
        :param chart_popup_panel_custom_header: Panel custom header. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for styling or add category colors to panel headers.  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_header: Union[list, str], optional
        :param chart_popup_panel_custom_main: Panel custom main content. Use `{{column_name}}` to add a value from your data Ensure the column is selected, or add it to Info for popups for panel use.  Advanced users can add HTML for designs, styles, images, videos and embedded Flourish charts,  To hide parts of the panel when a column is empty using `{{#if column_name}}Content for non-empty column_name{{/if}}`. For example: `{{#if Capital name}}Capital:{{/if}} {{Capital name}}`. Here, the word "Capital:" will only show if the corresponding cell in the "Capital name" column is not empty. Flourish type hint: html, defaults to None.
        :type chart_popup_panel_custom_main: Union[list, str], optional
        :param chart_popup_panel_width_overlay: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_overlay: float, optional
        :param chart_popup_panel_height_overlay: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_overlay: float, optional
        :param chart_popup_panel_width_side: Width (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_width_side: float, optional
        :param chart_popup_panel_height_side: Height (%). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_height_side: float, optional
        :param chart_popup_panel_max_width: Max width (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_width: float, optional
        :param chart_popup_panel_max_height: Max height (px). Flourish type hint: number, defaults to None.
        :type chart_popup_panel_max_height: float, optional
        :param chart_popup_panel_vertical_position: Vertical position. Choices: click, center. Choosing Click position is especially useful when your visualization is really tall, this will make sure the panel content is always on top of the element youve clicked on. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_vertical_position: str, optional
        :param chart_popup_panel_text_color: Text color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_text_color: str, optional
        :param chart_popup_panel_font_size: Text size. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_font_size: float, optional
        :param chart_popup_panel_align: Alignment. Choices: start, center, end. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_align: str, optional
        :param chart_popup_panel_background: Fill color. Flourish type hint: color, defaults to None.
        :type chart_popup_panel_background: str, optional
        :param chart_popup_panel_background_opacity: Fill opacity. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_background_opacity: float, optional
        :param chart_popup_panel_padding: Padding. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_padding: float, optional
        :param chart_popup_panel_radius: Radius. Corner radius of panel. Flourish type hint: number, defaults to None.
        :type chart_popup_panel_radius: float, optional
        :param chart_popup_panel_list_type: List type. Choices: table, ul. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_type: str, optional
        :param chart_popup_panel_list_label_weight: Label weight. Choices: normal, bold. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_label_weight: str, optional
        :param chart_popup_panel_list_separator: List separator. Choices: :, , , `<br />`. Flourish type hint: string, defaults to None.
        :type chart_popup_panel_list_separator: str, optional
        :param chart_popup_panel_shadow: Shadow. Flourish type hint: boolean, defaults to None.
        :type chart_popup_panel_shadow: bool, optional
        :param chart_layout_body_font: Main font. This font will apply to the whole graphic by default. You can optionally change the font for the title, subtitle, footer, etc in the Header and Footer settings panels. Flourish type hint: font, defaults to None.
        :type chart_layout_body_font: str, optional
        :param chart_layout_font_color: Text color. This color will apply to the whole graphic by default, You can optionally change the color for individual text elements, in other settings panels. Flourish type hint: color, defaults to None.
        :type chart_layout_font_color: str, optional
        :param chart_layout_background_color_enabled: Color. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_color_enabled: bool, optional
        :param chart_layout_background_image_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_background_image_enabled: bool, optional
        :param chart_layout_background_color: Background color. Flourish type hint: color, defaults to None.
        :type chart_layout_background_color: str, optional
        :param chart_layout_background_image_src: Image URL. Flourish type hint: url, defaults to None.
        :type chart_layout_background_image_src: str, optional
        :param chart_layout_background_image_size: Size. Choices: cover, contain, auto, 100% 100%. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_size: str, optional
        :param chart_layout_background_image_position: Position. Choices: top left, top center, top right, center left, center center, center right, bottom left, bottom center, bottom right. Flourish type hint: string, defaults to None.
        :type chart_layout_background_image_position: str, optional
        :param chart_layout_max_width_target: Maximum width. Choices: none, wrapper, primary. Apply a maximum width to just the main graphic or everything (main graphic plus header, footer, etc). Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_target: str, optional
        :param chart_layout_max_width: Maximum width. Leave blank to stretch to container width. Flourish type hint: number, defaults to None.
        :type chart_layout_max_width: float, optional
        :param chart_layout_max_width_align: Align. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_max_width_align: str, optional
        :param chart_layout_layout_order: Layout order. Flourish type hint: string, defaults to None.
        :type chart_layout_layout_order: str, optional
        :param chart_layout_space_between_sections: Space between sections. Choices: 0.5, 1, 1.5, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_space_between_sections: str, optional
        :param chart_layout_space_between_sections_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_space_between_sections_custom: float, optional
        :param chart_layout_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_top: float, optional
        :param chart_layout_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_right: float, optional
        :param chart_layout_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_bottom: float, optional
        :param chart_layout_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_margin_left: float, optional
        :param chart_layout_border_enabled: Show borders around visualisation. Flourish type hint: boolean, defaults to None.
        :type chart_layout_border_enabled: bool, optional
        :param chart_layout_border_top_width: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_border_top_width: float, optional
        :param chart_layout_border_top_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_top_style: str, optional
        :param chart_layout_border_top_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_top_color: str, optional
        :param chart_layout_border_right_width: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_border_right_width: float, optional
        :param chart_layout_border_right_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_right_style: str, optional
        :param chart_layout_border_right_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_right_color: str, optional
        :param chart_layout_border_bottom_width: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_border_bottom_width: float, optional
        :param chart_layout_border_bottom_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_bottom_style: str, optional
        :param chart_layout_border_bottom_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_bottom_color: str, optional
        :param chart_layout_border_left_width: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_border_left_width: float, optional
        :param chart_layout_border_left_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_border_left_style: str, optional
        :param chart_layout_border_left_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_border_left_color: str, optional
        :param chart_layout_read_direction: Read direction. Choices: ltr, rtl. This will change the reading direction of the main text elements on the page. Its not possible to adjust this on all elements, such as axes.  Note that when direction is set to right to left any alignment icons will be reversed. Flourish type hint: string, defaults to None.
        :type chart_layout_read_direction: str, optional
        :param chart_layout_font_size_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_small: float, optional
        :param chart_layout_font_size_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_mobile_big: float, optional
        :param chart_layout_font_size_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_tablet: float, optional
        :param chart_layout_font_size_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_desktop: float, optional
        :param chart_layout_font_size_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_font_size_big_screen: float, optional
        :param chart_layout_breakpoint_mobile_small: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_small: float, optional
        :param chart_layout_breakpoint_mobile_big: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_mobile_big: float, optional
        :param chart_layout_breakpoint_tablet: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_tablet: float, optional
        :param chart_layout_breakpoint_desktop: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_desktop: float, optional
        :param chart_layout_breakpoint_big_screen: Flourish type hint: number, defaults to None.
        :type chart_layout_breakpoint_big_screen: float, optional
        :param chart_layout_header_align: Alignment. Choices: left, center, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_align: str, optional
        :param chart_layout_title: Flourish type hint: html, defaults to None.
        :type chart_layout_title: Union[list, str], optional
        :param chart_layout_title_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_title_styling: bool, optional
        :param chart_layout_title_font: Title Font. Flourish type hint: font, defaults to None.
        :type chart_layout_title_font: str, optional
        :param chart_layout_title_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_size: str, optional
        :param chart_layout_title_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_title_size_custom: float, optional
        :param chart_layout_title_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_title_weight: str, optional
        :param chart_layout_title_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_title_color: str, optional
        :param chart_layout_title_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_title_line_height: float, optional
        :param chart_layout_title_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_title_space_above: str, optional
        :param chart_layout_title_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_title_space_above_custom: float, optional
        :param chart_layout_subtitle: Flourish type hint: html, defaults to None.
        :type chart_layout_subtitle: Union[list, str], optional
        :param chart_layout_subtitle_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_subtitle_styling: bool, optional
        :param chart_layout_subtitle_font: Subtitle Font. Flourish type hint: font, defaults to None.
        :type chart_layout_subtitle_font: str, optional
        :param chart_layout_subtitle_size: Size. Choices: 1.4, 1.6, 2, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_size: str, optional
        :param chart_layout_subtitle_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_size_custom: float, optional
        :param chart_layout_subtitle_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_weight: str, optional
        :param chart_layout_subtitle_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_subtitle_color: str, optional
        :param chart_layout_subtitle_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_line_height: float, optional
        :param chart_layout_subtitle_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_subtitle_space_above: str, optional
        :param chart_layout_subtitle_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_subtitle_space_above_custom: float, optional
        :param chart_layout_header_text: Flourish type hint: html, defaults to None.
        :type chart_layout_header_text: Union[list, str], optional
        :param chart_layout_header_text_styling: Styling. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_text_styling: bool, optional
        :param chart_layout_header_text_size: Size. Choices: 1.2, 1.4, 1.6, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_size: str, optional
        :param chart_layout_header_text_size_custom: Custom. Specify a custom responsive font size in rems The best results will be with values between 1.2 and 3. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_size_custom: float, optional
        :param chart_layout_header_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_weight: str, optional
        :param chart_layout_header_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_text_color: str, optional
        :param chart_layout_header_text_line_height: Line height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_line_height: float, optional
        :param chart_layout_header_text_space_above: Space above. Choices: 0, 0.5, 1, custom. Flourish type hint: string, defaults to None.
        :type chart_layout_header_text_space_above: str, optional
        :param chart_layout_header_text_space_above_custom: Custom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_text_space_above_custom: float, optional
        :param chart_layout_header_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border: str, optional
        :param chart_layout_header_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_width: float, optional
        :param chart_layout_header_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_header_border_color: str, optional
        :param chart_layout_header_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_header_border_style: str, optional
        :param chart_layout_header_border_space: Space. Space between border and header text. Flourish type hint: number, defaults to None.
        :type chart_layout_header_border_space: float, optional
        :param chart_layout_header_logo_enabled: Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_header_logo_enabled: bool, optional
        :param chart_layout_header_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_header_logo_src: str, optional
        :param chart_layout_header_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_alt: str, optional
        :param chart_layout_header_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_link_url: str, optional
        :param chart_layout_header_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_height: float, optional
        :param chart_layout_header_logo_align: Align. Choices: inside, outside. Align logo inside either the header or the main visualization container. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_align: str, optional
        :param chart_layout_header_logo_position_inside: Position. Choices: top, left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_inside: str, optional
        :param chart_layout_header_logo_position_outside: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_header_logo_position_outside: str, optional
        :param chart_layout_header_logo_margin_top: Top. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_top: float, optional
        :param chart_layout_header_logo_margin_right: Right. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_right: float, optional
        :param chart_layout_header_logo_margin_bottom: Bottom. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_bottom: float, optional
        :param chart_layout_header_logo_margin_left: Left. Flourish type hint: number, defaults to None.
        :type chart_layout_header_logo_margin_left: float, optional
        :param chart_layout_footer_align: Alignment. Choices: left, center, right, justify. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align: str, optional
        :param chart_layout_footer_text_size: Size. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_text_size: float, optional
        :param chart_layout_footer_text_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_text_color: str, optional
        :param chart_layout_footer_styling: Advanced footer styles. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_styling: bool, optional
        :param chart_layout_footer_font: Font. Flourish type hint: font, defaults to None.
        :type chart_layout_footer_font: str, optional
        :param chart_layout_footer_text_weight: Weight. Choices: bold, normal. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_text_weight: str, optional
        :param chart_layout_source_name: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name: str, optional
        :param chart_layout_source_url: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url: str, optional
        :param chart_layout_multiple_sources: Multiple sources. Flourish type hint: boolean, defaults to None.
        :type chart_layout_multiple_sources: bool, optional
        :param chart_layout_source_name_2: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_2: str, optional
        :param chart_layout_source_url_2: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_2: str, optional
        :param chart_layout_source_name_3: Source name. Flourish type hint: string, defaults to None.
        :type chart_layout_source_name_3: str, optional
        :param chart_layout_source_url_3: Source url. Flourish type hint: string, defaults to None.
        :type chart_layout_source_url_3: str, optional
        :param chart_layout_source_label: Source label. Flourish type hint: string, defaults to None.
        :type chart_layout_source_label: str, optional
        :param chart_layout_footer_note: Note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note: Union[list, str], optional
        :param chart_layout_footer_note_secondary: Note (secondary). The secondary note is placed below the source and primary note. To add the time/date stamp of when the data was last updated add `{{data_last_updated}}`. For example, "Last updated at `{{data_last_updated}}`". To customize the format, use the advanced options below. Flourish type hint: html, defaults to None.
        :type chart_layout_footer_note_secondary: Union[list, str], optional
        :param chart_layout_advanced_note_styling: Advanced. Flourish type hint: boolean, defaults to None.
        :type chart_layout_advanced_note_styling: bool, optional
        :param chart_layout_footer_timestamp_format: Time/date stamp formatting. Choices: %H:%M:%S, %I:%M %p, %H:%M, %H:%M %p, %H:%M:%S, %d %b %Y, %H:%M, %d %b %Y, %H:%M, %d/%m/%Y, %H:%M, %m/%d/%Y, %H:%M, %d-%m-%Y, %H:%M, %m-%d-%Y, %d %b %Y, %m/%d/%Y, %d/%m/%Y, %m-%d-%Y, %d-%m-%Y, %Y-%m-%d, %Y-%m-%d %H:%M:%S. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_timestamp_format: str, optional
        :param chart_layout_footer_logo_enabled: Image. Choices: True, False. Flourish type hint: boolean, defaults to None.
        :type chart_layout_footer_logo_enabled: bool, optional
        :param chart_layout_footer_logo_src: Image. Flourish type hint: url, defaults to None.
        :type chart_layout_footer_logo_src: str, optional
        :param chart_layout_footer_logo_src_light: Image (light version). If provided this version will be used whenever the background color is dark. Flourish type hint: hidden, defaults to None.
        :type chart_layout_footer_logo_src_light: str, optional
        :param chart_layout_footer_logo_alt: Alt text. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_alt: str, optional
        :param chart_layout_footer_logo_link_url: Link. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_link_url: str, optional
        :param chart_layout_footer_logo_height: Height. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_height: float, optional
        :param chart_layout_footer_logo_margin: Margin. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_logo_margin: float, optional
        :param chart_layout_footer_logo_order: Position. Choices: left, right. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_logo_order: str, optional
        :param chart_layout_footer_align_vertical: V. align. Choices: flex-start, center, flex-end. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_align_vertical: str, optional
        :param chart_layout_footer_border: Choices: top, bottom, top_and_bottom, none. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border: str, optional
        :param chart_layout_footer_border_width: Width. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_width: float, optional
        :param chart_layout_footer_border_color: Color. Flourish type hint: color, defaults to None.
        :type chart_layout_footer_border_color: str, optional
        :param chart_layout_footer_border_style: Style. Choices: solid, dashed, dotted. Flourish type hint: string, defaults to None.
        :type chart_layout_footer_border_style: str, optional
        :param chart_layout_footer_border_space: Space. Space between border and footer text. Flourish type hint: number, defaults to None.
        :type chart_layout_footer_border_space: float, optional
        :param chart_layout_screenreader_text_primary: Screenreader description. A text alternative to the visual content that will only be visible to screenreaders, e.g. The line chart shows China consistently higher than the other countries since 1990.  Do not replicate your title, since that will also be read by screenreaders. Flourish type hint: text, defaults to None.
        :type chart_layout_screenreader_text_primary: Union[list, str], optional
        :param chart_layout_screenreader_label: Screenreader label. A short text label given to the main Flourish embed wrapper to provide an accessible name that is only visible to screenreaders Added in the form of an "aria-label". Flourish type hint: string, defaults to None.
        :type chart_layout_screenreader_label: str, optional
        :param chart_layout_screenreader_hide_primary: Screenreader mode for main visual container. Choices: True, False. Whether the main visual container is visible to screenreaders (Text in the header and footer are always available to screenreaders.). Flourish type hint: boolean, defaults to None.
        :type chart_layout_screenreader_hide_primary: bool, optional
        """
        details_error(self)

        self.state = {
            "state": {
                "color": {},
                "number_format": {},
                "localization": {},
                "popup": {},
                "layout": {
                    "border": {"top": {}, "right": {}, "bottom": {}, "left": {}}
                },
            }
        }

        list_using_tables = [False, True] + [None]
        if using_tables not in list_using_tables:
            raise ValueError(f"`using_tables` must be one of: [False, True]")
        elif using_tables in list_using_tables and using_tables is not None:
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if using_tables in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["using_tables"] = filtered_dict[using_tables]
        self.state["state"]["word_limit"] = word_limit

        if raw_text is not None and len(raw_text) > 1 and isinstance(raw_text, list):
            self.state["state"]["raw_text"] = " \n ".join(raw_text)
        else:
            self.state["state"]["raw_text"] = raw_text

        self.state["state"]["exclusions"] = exclusions

        if (
            excluded_words is not None
            and len(excluded_words) > 1
            and isinstance(excluded_words, list)
        ):
            self.state["state"]["excluded_words"] = " \n ".join(excluded_words)
        else:
            self.state["state"]["excluded_words"] = excluded_words

        self.state["state"]["strip_trailing_s"] = strip_trailing_s
        self.state["state"]["convert_to_lowercase"] = convert_to_lowercase
        self.state["state"]["cloud_font"] = cloud_font
        self.state["state"]["text_color"] = text_color
        self.state["state"]["word_padding"] = word_padding
        self.state["state"]["random_seed"] = random_seed
        self.state["state"]["angle_min"] = angle_min
        self.state["state"]["angle_max"] = angle_max
        self.state["state"]["angle_number"] = angle_number
        self.state["state"]["font_size_min"] = font_size_min
        self.state["state"]["font_size_max"] = font_size_max

        list_size_mode = ["linear", "sqrt", "log"] + [None]
        if size_mode not in list_size_mode:
            raise ValueError(f"`size_mode` must be one of: ['linear', 'sqrt', 'log']")
        elif size_mode in list_size_mode and size_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"linear": "linear", "sqrt": "sqrt", "log": "log"}.items()
                if size_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["size_mode"] = filtered_dict[size_mode]

        list_height_mode = ["fill_space", "aspect"] + [None]
        if height_mode not in list_height_mode:
            raise ValueError(f"`height_mode` must be one of: ['fill_space', 'aspect']")
        elif height_mode in list_height_mode and height_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {"fill_space": "fill_space", "aspect": "aspect"}.items()
                if height_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["height_mode"] = filtered_dict[height_mode]
        self.state["state"]["aspect_ratio"] = aspect_ratio
        self.state["state"]["aspect_ratio_mobile"] = aspect_ratio_mobile
        self.state["state"]["aspect_ratio_breakpoint"] = aspect_ratio_breakpoint

        if (
            chart_color_scale_categorical_palette is not None
            and len(chart_color_scale_categorical_palette) > 1
            and isinstance(chart_color_scale_categorical_palette, list)
        ):
            self.state["state"]["color"]["categorical_palette"] = " \n ".join(
                chart_color_scale_categorical_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_palette"
            ] = chart_color_scale_categorical_palette

        self.state["state"]["color"][
            "categorical_extend"
        ] = chart_color_scale_categorical_extend

        if (
            chart_color_scale_categorical_custom_palette is not None
            and len(chart_color_scale_categorical_custom_palette) > 1
            and isinstance(chart_color_scale_categorical_custom_palette, list)
        ):
            self.state["state"]["color"]["categorical_custom_palette"] = " \n ".join(
                chart_color_scale_categorical_custom_palette
            )
        else:
            self.state["state"]["color"][
                "categorical_custom_palette"
            ] = chart_color_scale_categorical_custom_palette

        list_chart_color_scale_numeric_type = ["sequential", "diverging"] + [None]
        if chart_color_scale_numeric_type not in list_chart_color_scale_numeric_type:
            raise ValueError(
                f"`chart_color_scale_numeric_type` must be one of: ['sequential', 'diverging']"
            )
        elif (
            chart_color_scale_numeric_type in list_chart_color_scale_numeric_type
            and chart_color_scale_numeric_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "sequential": "sequential",
                    "diverging": "diverging",
                }.items()
                if chart_color_scale_numeric_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["numeric_type"] = filtered_dict[
                    chart_color_scale_numeric_type
                ]

        list_chart_color_scale_binning = [False, True] + [None]
        if chart_color_scale_binning not in list_chart_color_scale_binning:
            raise ValueError(
                f"`chart_color_scale_binning` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_binning in list_chart_color_scale_binning
            and chart_color_scale_binning is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_binning in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["binning"] = filtered_dict[
                    chart_color_scale_binning
                ]

        list_chart_color_scale_bin_mode = ["fixed", "quantile", "custom"] + [None]
        if chart_color_scale_bin_mode not in list_chart_color_scale_bin_mode:
            raise ValueError(
                f"`chart_color_scale_bin_mode` must be one of: ['fixed', 'quantile', 'custom']"
            )
        elif (
            chart_color_scale_bin_mode in list_chart_color_scale_bin_mode
            and chart_color_scale_bin_mode is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "fixed": "fixed",
                    "quantile": "quantile",
                    "custom": "custom",
                }.items()
                if chart_color_scale_bin_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["bin_mode"] = filtered_dict[
                    chart_color_scale_bin_mode
                ]
        self.state["state"]["color"]["bin_count"] = chart_color_scale_bin_count
        self.state["state"]["color"][
            "bin_thresholds"
        ] = chart_color_scale_bin_thresholds
        self.state["state"]["color"][
            "sequential_palette"
        ] = chart_color_scale_sequential_palette
        self.state["state"]["color"][
            "sequential_reverse"
        ] = chart_color_scale_sequential_reverse
        self.state["state"]["color"][
            "sequential_custom_min"
        ] = chart_color_scale_sequential_custom_min
        self.state["state"]["color"][
            "sequential_custom_max"
        ] = chart_color_scale_sequential_custom_max

        list_chart_color_scale_sequential_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_sequential_color_space
            not in list_chart_color_scale_sequential_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_sequential_color_space
            in list_chart_color_scale_sequential_color_space
            and chart_color_scale_sequential_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_sequential_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["sequential_color_space"] = filtered_dict[
                    chart_color_scale_sequential_color_space
                ]

        list_chart_color_scale_sequential_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_sequential_custom_domain
            not in list_chart_color_scale_sequential_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_sequential_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_sequential_custom_domain
            in list_chart_color_scale_sequential_custom_domain
            and chart_color_scale_sequential_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_sequential_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"][
                    "sequential_custom_domain"
                ] = filtered_dict[chart_color_scale_sequential_custom_domain]
        self.state["state"]["color"][
            "sequential_domain_min"
        ] = chart_color_scale_sequential_domain_min
        self.state["state"]["color"][
            "sequential_domain_max"
        ] = chart_color_scale_sequential_domain_max
        self.state["state"]["color"][
            "diverging_palette"
        ] = chart_color_scale_diverging_palette
        self.state["state"]["color"][
            "diverging_reverse"
        ] = chart_color_scale_diverging_reverse
        self.state["state"]["color"][
            "diverging_custom_min"
        ] = chart_color_scale_diverging_custom_min
        self.state["state"]["color"][
            "diverging_custom_mid"
        ] = chart_color_scale_diverging_custom_mid
        self.state["state"]["color"][
            "diverging_custom_max"
        ] = chart_color_scale_diverging_custom_max

        list_chart_color_scale_diverging_color_space = ["rgb", "lab", "hcl", "hsl"] + [
            None
        ]
        if (
            chart_color_scale_diverging_color_space
            not in list_chart_color_scale_diverging_color_space
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_color_space` must be one of: ['rgb', 'lab', 'hcl', 'hsl']"
            )
        elif (
            chart_color_scale_diverging_color_space
            in list_chart_color_scale_diverging_color_space
            and chart_color_scale_diverging_color_space is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "rgb": "rgb",
                    "lab": "lab",
                    "hcl": "hcl",
                    "hsl": "hsl",
                }.items()
                if chart_color_scale_diverging_color_space in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_color_space"] = filtered_dict[
                    chart_color_scale_diverging_color_space
                ]

        list_chart_color_scale_diverging_custom_domain = [False, True] + [None]
        if (
            chart_color_scale_diverging_custom_domain
            not in list_chart_color_scale_diverging_custom_domain
        ):
            raise ValueError(
                f"`chart_color_scale_diverging_custom_domain` must be one of: [False, True]"
            )
        elif (
            chart_color_scale_diverging_custom_domain
            in list_chart_color_scale_diverging_custom_domain
            and chart_color_scale_diverging_custom_domain is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_color_scale_diverging_custom_domain in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["color"]["diverging_custom_domain"] = filtered_dict[
                    chart_color_scale_diverging_custom_domain
                ]
        self.state["state"]["color"][
            "diverging_domain_min"
        ] = chart_color_scale_diverging_domain_min
        self.state["state"]["color"][
            "diverging_domain_mid"
        ] = chart_color_scale_diverging_domain_mid
        self.state["state"]["color"][
            "diverging_domain_max"
        ] = chart_color_scale_diverging_domain_max

        list_animation_type = ["auto", "fade", "grow", "none"] + [None]
        if animation_type not in list_animation_type:
            raise ValueError(
                f"`animation_type` must be one of: ['auto', 'fade', 'grow', 'none']"
            )
        elif animation_type in list_animation_type and animation_type is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "auto": "auto",
                    "fade": "fade",
                    "grow": "grow",
                    "none": "none",
                }.items()
                if animation_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["animation_type"] = filtered_dict[animation_type]
        self.state["state"]["duration"] = duration
        self.state["state"]["stagger"] = stagger
        self.state["state"]["number_format"]["prefix"] = chart_number_date_format_prefix
        self.state["state"]["number_format"]["suffix"] = chart_number_date_format_suffix
        self.state["state"]["number_format"]["n_dec"] = chart_number_date_format_n_dec
        self.state["state"]["number_format"][
            "advanced"
        ] = chart_number_date_format_advanced

        list_chart_number_date_format_negative_sign = [
            "-$nk",
            "$-nk",
            "($nk)",
            "$(n)k",
            "none",
        ] + [None]
        if (
            chart_number_date_format_negative_sign
            not in list_chart_number_date_format_negative_sign
        ):
            raise ValueError(
                f"`chart_number_date_format_negative_sign` must be one of: ['-$nk', '$-nk', '($nk)', '$(n)k', 'none']"
            )
        elif (
            chart_number_date_format_negative_sign
            in list_chart_number_date_format_negative_sign
            and chart_number_date_format_negative_sign is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "-$nk": "-$nk",
                    "$-nk": "$-nk",
                    "($nk)": "($nk)",
                    "$(n)k": "$(n)k",
                    "none": "none",
                }.items()
                if chart_number_date_format_negative_sign in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["number_format"]["negative_sign"] = filtered_dict[
                    chart_number_date_format_negative_sign
                ]
        self.state["state"]["number_format"][
            "strip_zeros"
        ] = chart_number_date_format_strip_zeros
        self.state["state"]["number_format"][
            "strip_separator"
        ] = chart_number_date_format_strip_separator
        self.state["state"]["number_format"][
            "transform_labels"
        ] = chart_number_date_format_transform_labels

        list_chart_number_date_format_transform = [
            "multiply",
            "divide",
            "exponentiate",
        ] + [None]
        if (
            chart_number_date_format_transform
            not in list_chart_number_date_format_transform
        ):
            raise ValueError(
                f"`chart_number_date_format_transform` must be one of: ['multiply', 'divide', 'exponentiate']"
            )
        elif (
            chart_number_date_format_transform
            in list_chart_number_date_format_transform
            and chart_number_date_format_transform is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "multiply": "multiply",
                    "divide": "divide",
                    "exponentiate": "exponentiate",
                }.items()
                if chart_number_date_format_transform in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["number_format"]["transform"] = filtered_dict[
                    chart_number_date_format_transform
                ]
        self.state["state"]["number_format"][
            "multiply_divide_constant"
        ] = chart_number_date_format_multiply_divide_constant
        self.state["state"]["number_format"][
            "exponentiate_constant"
        ] = chart_number_date_format_exponentiate_constant

        list_chart_number_localization_input_decimal_separator = [".", ","] + [None]
        if (
            chart_number_localization_input_decimal_separator
            not in list_chart_number_localization_input_decimal_separator
        ):
            raise ValueError(
                f"`chart_number_localization_input_decimal_separator` must be one of: ['.', ',']"
            )
        elif (
            chart_number_localization_input_decimal_separator
            in list_chart_number_localization_input_decimal_separator
            and chart_number_localization_input_decimal_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {".": ".", ",": ","}.items()
                if chart_number_localization_input_decimal_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "input_decimal_separator"
                ] = filtered_dict[chart_number_localization_input_decimal_separator]

        list_chart_number_localization_output_separators = [
            ",.",
            ".,",
            ".",
            ",",
            " .",
            " ,",
        ] + [None]
        if (
            chart_number_localization_output_separators
            not in list_chart_number_localization_output_separators
        ):
            raise ValueError(
                f"`chart_number_localization_output_separators` must be one of: [',.', '.,', '.', ',', ' .', ' ,']"
            )
        elif (
            chart_number_localization_output_separators
            in list_chart_number_localization_output_separators
            and chart_number_localization_output_separators is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ",.": ",.",
                    ".,": ".,",
                    ".": ".",
                    ",": ",",
                    " .": " .",
                    " ,": " ,",
                }.items()
                if chart_number_localization_output_separators in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["localization"][
                    "output_separators"
                ] = filtered_dict[chart_number_localization_output_separators]

        list_chart_popup_mode = ["none", "popup", "panel", "both"] + [None]
        if chart_popup_mode not in list_chart_popup_mode:
            raise ValueError(
                f"`chart_popup_mode` must be one of: ['none', 'popup', 'panel', 'both']"
            )
        elif chart_popup_mode in list_chart_popup_mode and chart_popup_mode is not None:
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "popup": "popup",
                    "panel": "panel",
                    "both": "both",
                }.items()
                if chart_popup_mode in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["mode"] = filtered_dict[chart_popup_mode]

        list_chart_popup_popup_is_custom = [False, True] + [None]
        if chart_popup_popup_is_custom not in list_chart_popup_popup_is_custom:
            raise ValueError(
                f"`chart_popup_popup_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_popup_is_custom in list_chart_popup_popup_is_custom
            and chart_popup_popup_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_popup_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_is_custom"] = filtered_dict[
                    chart_popup_popup_is_custom
                ]
        self.state["state"]["popup"][
            "show_popup_styles"
        ] = chart_popup_show_popup_styles

        if (
            chart_popup_popup_custom_header is not None
            and len(chart_popup_popup_custom_header) > 1
            and isinstance(chart_popup_popup_custom_header, list)
        ):
            self.state["state"]["popup"]["popup_custom_header"] = " \n ".join(
                chart_popup_popup_custom_header
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_header"
            ] = chart_popup_popup_custom_header

        if (
            chart_popup_popup_custom_main is not None
            and len(chart_popup_popup_custom_main) > 1
            and isinstance(chart_popup_popup_custom_main, list)
        ):
            self.state["state"]["popup"]["popup_custom_main"] = " \n ".join(
                chart_popup_popup_custom_main
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_main"
            ] = chart_popup_popup_custom_main

        if (
            chart_popup_popup_custom_accessible is not None
            and len(chart_popup_popup_custom_accessible) > 1
            and isinstance(chart_popup_popup_custom_accessible, list)
        ):
            self.state["state"]["popup"]["popup_custom_accessible"] = " \n ".join(
                chart_popup_popup_custom_accessible
            )
        else:
            self.state["state"]["popup"][
                "popup_custom_accessible"
            ] = chart_popup_popup_custom_accessible

        self.state["state"]["popup"]["popup_width"] = chart_popup_popup_width
        self.state["state"]["popup"]["popup_font_size"] = chart_popup_popup_font_size
        self.state["state"]["popup"]["popup_text_color"] = chart_popup_popup_text_color

        list_chart_popup_popup_align = ["start", "center", "end"] + [None]
        if chart_popup_popup_align not in list_chart_popup_popup_align:
            raise ValueError(
                f"`chart_popup_popup_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_popup_align in list_chart_popup_popup_align
            and chart_popup_popup_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_popup_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_align"] = filtered_dict[
                    chart_popup_popup_align
                ]
        self.state["state"]["popup"]["popup_background"] = chart_popup_popup_background
        self.state["state"]["popup"][
            "popup_background_opacity"
        ] = chart_popup_popup_background_opacity
        self.state["state"]["popup"]["popup_padding"] = chart_popup_popup_padding
        self.state["state"]["popup"]["popup_radius"] = chart_popup_popup_radius

        list_chart_popup_popup_header_type = ["block", "inline"] + [None]
        if chart_popup_popup_header_type not in list_chart_popup_popup_header_type:
            raise ValueError(
                f"`chart_popup_popup_header_type` must be one of: ['block', 'inline']"
            )
        elif (
            chart_popup_popup_header_type in list_chart_popup_popup_header_type
            and chart_popup_popup_header_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"block": "block", "inline": "inline"}.items()
                if chart_popup_popup_header_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_header_type"] = filtered_dict[
                    chart_popup_popup_header_type
                ]
        self.state["state"]["popup"][
            "popup_header_background"
        ] = chart_popup_popup_header_background
        self.state["state"]["popup"][
            "popup_header_text_color"
        ] = chart_popup_popup_header_text_color

        list_chart_popup_popup_list_type = ["table", "ul"] + [None]
        if chart_popup_popup_list_type not in list_chart_popup_popup_list_type:
            raise ValueError(
                f"`chart_popup_popup_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_popup_list_type in list_chart_popup_popup_list_type
            and chart_popup_popup_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_popup_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_type"] = filtered_dict[
                    chart_popup_popup_list_type
                ]

        list_chart_popup_popup_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_popup_list_label_weight
            not in list_chart_popup_popup_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_popup_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_popup_list_label_weight
            in list_chart_popup_popup_list_label_weight
            and chart_popup_popup_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_popup_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_label_weight"] = filtered_dict[
                    chart_popup_popup_list_label_weight
                ]

        list_chart_popup_popup_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_popup_list_separator
            not in list_chart_popup_popup_list_separator
        ):
            raise ValueError(
                f"`chart_popup_popup_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_popup_list_separator in list_chart_popup_popup_list_separator
            and chart_popup_popup_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_popup_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["popup_list_separator"] = filtered_dict[
                    chart_popup_popup_list_separator
                ]
        self.state["state"]["popup"]["popup_shadow"] = chart_popup_popup_shadow
        self.state["state"]["popup"]["popup_pointer"] = chart_popup_popup_pointer

        list_chart_popup_panel_position = [
            "overlay",
            "left",
            "right",
            "top",
            "bottom",
        ] + [None]
        if chart_popup_panel_position not in list_chart_popup_panel_position:
            raise ValueError(
                f"`chart_popup_panel_position` must be one of: ['overlay', 'left', 'right', 'top', 'bottom']"
            )
        elif (
            chart_popup_panel_position in list_chart_popup_panel_position
            and chart_popup_panel_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "overlay": "overlay",
                    "left": "left",
                    "right": "right",
                    "top": "top",
                    "bottom": "bottom",
                }.items()
                if chart_popup_panel_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_position"] = filtered_dict[
                    chart_popup_panel_position
                ]
        self.state["state"]["popup"][
            "panel_open_duration"
        ] = chart_popup_panel_open_duration
        self.state["state"]["popup"]["panel_side_fixed"] = chart_popup_panel_side_fixed

        if (
            chart_popup_panel_side_default_content is not None
            and len(chart_popup_panel_side_default_content) > 1
            and isinstance(chart_popup_panel_side_default_content, list)
        ):
            self.state["state"]["popup"]["panel_side_default_content"] = " \n ".join(
                chart_popup_panel_side_default_content
            )
        else:
            self.state["state"]["popup"][
                "panel_side_default_content"
            ] = chart_popup_panel_side_default_content

        list_chart_popup_panel_is_custom = [False, True] + [None]
        if chart_popup_panel_is_custom not in list_chart_popup_panel_is_custom:
            raise ValueError(
                f"`chart_popup_panel_is_custom` must be one of: [False, True]"
            )
        elif (
            chart_popup_panel_is_custom in list_chart_popup_panel_is_custom
            and chart_popup_panel_is_custom is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {False: False, True: True}.items()
                if chart_popup_panel_is_custom in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_is_custom"] = filtered_dict[
                    chart_popup_panel_is_custom
                ]
        self.state["state"]["popup"][
            "show_panel_styles"
        ] = chart_popup_show_panel_styles

        if (
            chart_popup_panel_custom_header is not None
            and len(chart_popup_panel_custom_header) > 1
            and isinstance(chart_popup_panel_custom_header, list)
        ):
            self.state["state"]["popup"]["panel_custom_header"] = " \n ".join(
                chart_popup_panel_custom_header
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_header"
            ] = chart_popup_panel_custom_header

        if (
            chart_popup_panel_custom_main is not None
            and len(chart_popup_panel_custom_main) > 1
            and isinstance(chart_popup_panel_custom_main, list)
        ):
            self.state["state"]["popup"]["panel_custom_main"] = " \n ".join(
                chart_popup_panel_custom_main
            )
        else:
            self.state["state"]["popup"][
                "panel_custom_main"
            ] = chart_popup_panel_custom_main

        self.state["state"]["popup"][
            "panel_width_overlay"
        ] = chart_popup_panel_width_overlay
        self.state["state"]["popup"][
            "panel_height_overlay"
        ] = chart_popup_panel_height_overlay
        self.state["state"]["popup"]["panel_width_side"] = chart_popup_panel_width_side
        self.state["state"]["popup"][
            "panel_height_side"
        ] = chart_popup_panel_height_side
        self.state["state"]["popup"]["panel_max_width"] = chart_popup_panel_max_width
        self.state["state"]["popup"]["panel_max_height"] = chart_popup_panel_max_height

        list_chart_popup_panel_vertical_position = ["click", "center"] + [None]
        if (
            chart_popup_panel_vertical_position
            not in list_chart_popup_panel_vertical_position
        ):
            raise ValueError(
                f"`chart_popup_panel_vertical_position` must be one of: ['click', 'center']"
            )
        elif (
            chart_popup_panel_vertical_position
            in list_chart_popup_panel_vertical_position
            and chart_popup_panel_vertical_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"click": "click", "center": "center"}.items()
                if chart_popup_panel_vertical_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_vertical_position"] = filtered_dict[
                    chart_popup_panel_vertical_position
                ]
        self.state["state"]["popup"]["panel_text_color"] = chart_popup_panel_text_color
        self.state["state"]["popup"]["panel_font_size"] = chart_popup_panel_font_size

        list_chart_popup_panel_align = ["start", "center", "end"] + [None]
        if chart_popup_panel_align not in list_chart_popup_panel_align:
            raise ValueError(
                f"`chart_popup_panel_align` must be one of: ['start', 'center', 'end']"
            )
        elif (
            chart_popup_panel_align in list_chart_popup_panel_align
            and chart_popup_panel_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "start": "start",
                    "center": "center",
                    "end": "end",
                }.items()
                if chart_popup_panel_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_align"] = filtered_dict[
                    chart_popup_panel_align
                ]
        self.state["state"]["popup"]["panel_background"] = chart_popup_panel_background
        self.state["state"]["popup"][
            "panel_background_opacity"
        ] = chart_popup_panel_background_opacity
        self.state["state"]["popup"]["panel_padding"] = chart_popup_panel_padding
        self.state["state"]["popup"]["panel_radius"] = chart_popup_panel_radius

        list_chart_popup_panel_list_type = ["table", "ul"] + [None]
        if chart_popup_panel_list_type not in list_chart_popup_panel_list_type:
            raise ValueError(
                f"`chart_popup_panel_list_type` must be one of: ['table', 'ul']"
            )
        elif (
            chart_popup_panel_list_type in list_chart_popup_panel_list_type
            and chart_popup_panel_list_type is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"table": "table", "ul": "ul"}.items()
                if chart_popup_panel_list_type in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_type"] = filtered_dict[
                    chart_popup_panel_list_type
                ]

        list_chart_popup_panel_list_label_weight = ["normal", "bold"] + [None]
        if (
            chart_popup_panel_list_label_weight
            not in list_chart_popup_panel_list_label_weight
        ):
            raise ValueError(
                f"`chart_popup_panel_list_label_weight` must be one of: ['normal', 'bold']"
            )
        elif (
            chart_popup_panel_list_label_weight
            in list_chart_popup_panel_list_label_weight
            and chart_popup_panel_list_label_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"normal": "normal", "bold": "bold"}.items()
                if chart_popup_panel_list_label_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_label_weight"] = filtered_dict[
                    chart_popup_panel_list_label_weight
                ]

        list_chart_popup_panel_list_separator = [": ", "  ", " ", "<br />"] + [None]
        if (
            chart_popup_panel_list_separator
            not in list_chart_popup_panel_list_separator
        ):
            raise ValueError(
                f"`chart_popup_panel_list_separator` must be one of: [': ', '  ', ' ', '<br />']"
            )
        elif (
            chart_popup_panel_list_separator in list_chart_popup_panel_list_separator
            and chart_popup_panel_list_separator is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    ": ": ": ",
                    " – ": " – ",
                    " ": " ",
                    "<br />": "<br />",
                }.items()
                if chart_popup_panel_list_separator in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["popup"]["panel_list_separator"] = filtered_dict[
                    chart_popup_panel_list_separator
                ]
        self.state["state"]["popup"]["panel_shadow"] = chart_popup_panel_shadow
        self.state["state"]["layout"]["body_font"] = chart_layout_body_font
        self.state["state"]["layout"]["font_color"] = chart_layout_font_color

        list_chart_layout_background_color_enabled = [True, False] + [None]
        if (
            chart_layout_background_color_enabled
            not in list_chart_layout_background_color_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_color_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_color_enabled
            in list_chart_layout_background_color_enabled
            and chart_layout_background_color_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_color_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_color_enabled"
                ] = filtered_dict[chart_layout_background_color_enabled]

        list_chart_layout_background_image_enabled = [True, False] + [None]
        if (
            chart_layout_background_image_enabled
            not in list_chart_layout_background_image_enabled
        ):
            raise ValueError(
                f"`chart_layout_background_image_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_background_image_enabled
            in list_chart_layout_background_image_enabled
            and chart_layout_background_image_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_background_image_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_enabled"
                ] = filtered_dict[chart_layout_background_image_enabled]
        self.state["state"]["layout"][
            "background_color"
        ] = chart_layout_background_color
        self.state["state"]["layout"][
            "background_image_src"
        ] = chart_layout_background_image_src

        list_chart_layout_background_image_size = [
            "cover",
            "contain",
            "auto",
            "100% 100%",
        ] + [None]
        if (
            chart_layout_background_image_size
            not in list_chart_layout_background_image_size
        ):
            raise ValueError(
                f"`chart_layout_background_image_size` must be one of: ['cover', 'contain', 'auto', '100% 100%']"
            )
        elif (
            chart_layout_background_image_size
            in list_chart_layout_background_image_size
            and chart_layout_background_image_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "cover": "cover",
                    "contain": "contain",
                    "auto": "auto",
                    "100% 100%": "100% 100%",
                }.items()
                if chart_layout_background_image_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["background_image_size"] = filtered_dict[
                    chart_layout_background_image_size
                ]

        list_chart_layout_background_image_position = [
            "top left",
            "top center",
            "top right",
            "center left",
            "center center",
            "center right",
            "bottom left",
            "bottom center",
            "bottom right",
        ] + [None]
        if (
            chart_layout_background_image_position
            not in list_chart_layout_background_image_position
        ):
            raise ValueError(
                f"`chart_layout_background_image_position` must be one of: ['top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right']"
            )
        elif (
            chart_layout_background_image_position
            in list_chart_layout_background_image_position
            and chart_layout_background_image_position is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top left": "top left",
                    "top center": "top center",
                    "top right": "top right",
                    "center left": "center left",
                    "center center": "center center",
                    "center right": "center right",
                    "bottom left": "bottom left",
                    "bottom center": "bottom center",
                    "bottom right": "bottom right",
                }.items()
                if chart_layout_background_image_position in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "background_image_position"
                ] = filtered_dict[chart_layout_background_image_position]

        list_chart_layout_max_width_target = ["none", "wrapper", "primary"] + [None]
        if chart_layout_max_width_target not in list_chart_layout_max_width_target:
            raise ValueError(
                f"`chart_layout_max_width_target` must be one of: ['none', 'wrapper', 'primary']"
            )
        elif (
            chart_layout_max_width_target in list_chart_layout_max_width_target
            and chart_layout_max_width_target is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "none": "none",
                    "wrapper": "wrapper",
                    "primary": "primary",
                }.items()
                if chart_layout_max_width_target in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_target"] = filtered_dict[
                    chart_layout_max_width_target
                ]
        self.state["state"]["layout"]["max_width"] = chart_layout_max_width

        list_chart_layout_max_width_align = ["left", "center", "right"] + [None]
        if chart_layout_max_width_align not in list_chart_layout_max_width_align:
            raise ValueError(
                f"`chart_layout_max_width_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_max_width_align in list_chart_layout_max_width_align
            and chart_layout_max_width_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_max_width_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["max_width_align"] = filtered_dict[
                    chart_layout_max_width_align
                ]
        self.state["state"]["layout"]["layout_order"] = chart_layout_layout_order

        list_chart_layout_space_between_sections = ["0.5", "1", "1.5", "custom"] + [
            None
        ]
        if (
            chart_layout_space_between_sections
            not in list_chart_layout_space_between_sections
        ):
            raise ValueError(
                f"`chart_layout_space_between_sections` must be one of: ['0.5', '1', '1.5', 'custom']"
            )
        elif (
            chart_layout_space_between_sections
            in list_chart_layout_space_between_sections
            and chart_layout_space_between_sections is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0.5": "0.5",
                    "1": "1",
                    "1.5": "1.5",
                    "custom": "custom",
                }.items()
                if chart_layout_space_between_sections in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["space_between_sections"] = filtered_dict[
                    chart_layout_space_between_sections
                ]
        self.state["state"]["layout"][
            "space_between_sections_custom"
        ] = chart_layout_space_between_sections_custom
        self.state["state"]["layout"]["margin_top"] = chart_layout_margin_top
        self.state["state"]["layout"]["margin_right"] = chart_layout_margin_right
        self.state["state"]["layout"]["margin_bottom"] = chart_layout_margin_bottom
        self.state["state"]["layout"]["margin_left"] = chart_layout_margin_left
        self.state["state"]["layout"]["border"]["enabled"] = chart_layout_border_enabled
        self.state["state"]["layout"]["border"]["top"][
            "width"
        ] = chart_layout_border_top_width

        list_chart_layout_border_top_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_top_style not in list_chart_layout_border_top_style:
            raise ValueError(
                f"`chart_layout_border_top_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_top_style in list_chart_layout_border_top_style
            and chart_layout_border_top_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_top_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["top"]["style"] = filtered_dict[
                    chart_layout_border_top_style
                ]
        self.state["state"]["layout"]["border"]["top"][
            "color"
        ] = chart_layout_border_top_color
        self.state["state"]["layout"]["border"]["right"][
            "width"
        ] = chart_layout_border_right_width

        list_chart_layout_border_right_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_right_style not in list_chart_layout_border_right_style:
            raise ValueError(
                f"`chart_layout_border_right_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_right_style in list_chart_layout_border_right_style
            and chart_layout_border_right_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_right_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["right"][
                    "style"
                ] = filtered_dict[chart_layout_border_right_style]
        self.state["state"]["layout"]["border"]["right"][
            "color"
        ] = chart_layout_border_right_color
        self.state["state"]["layout"]["border"]["bottom"][
            "width"
        ] = chart_layout_border_bottom_width

        list_chart_layout_border_bottom_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_border_bottom_style
            not in list_chart_layout_border_bottom_style
        ):
            raise ValueError(
                f"`chart_layout_border_bottom_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_bottom_style in list_chart_layout_border_bottom_style
            and chart_layout_border_bottom_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_bottom_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["bottom"][
                    "style"
                ] = filtered_dict[chart_layout_border_bottom_style]
        self.state["state"]["layout"]["border"]["bottom"][
            "color"
        ] = chart_layout_border_bottom_color
        self.state["state"]["layout"]["border"]["left"][
            "width"
        ] = chart_layout_border_left_width

        list_chart_layout_border_left_style = ["solid", "dashed", "dotted"] + [None]
        if chart_layout_border_left_style not in list_chart_layout_border_left_style:
            raise ValueError(
                f"`chart_layout_border_left_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_border_left_style in list_chart_layout_border_left_style
            and chart_layout_border_left_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_border_left_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["border"]["left"][
                    "style"
                ] = filtered_dict[chart_layout_border_left_style]
        self.state["state"]["layout"]["border"]["left"][
            "color"
        ] = chart_layout_border_left_color

        list_chart_layout_read_direction = ["ltr", "rtl"] + [None]
        if chart_layout_read_direction not in list_chart_layout_read_direction:
            raise ValueError(
                f"`chart_layout_read_direction` must be one of: ['ltr', 'rtl']"
            )
        elif (
            chart_layout_read_direction in list_chart_layout_read_direction
            and chart_layout_read_direction is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"ltr": "ltr", "rtl": "rtl"}.items()
                if chart_layout_read_direction in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["read_direction"] = filtered_dict[
                    chart_layout_read_direction
                ]
        self.state["state"]["layout"][
            "font_size_mobile_small"
        ] = chart_layout_font_size_mobile_small
        self.state["state"]["layout"][
            "font_size_mobile_big"
        ] = chart_layout_font_size_mobile_big
        self.state["state"]["layout"][
            "font_size_tablet"
        ] = chart_layout_font_size_tablet
        self.state["state"]["layout"][
            "font_size_desktop"
        ] = chart_layout_font_size_desktop
        self.state["state"]["layout"][
            "font_size_big_screen"
        ] = chart_layout_font_size_big_screen
        self.state["state"]["layout"][
            "breakpoint_mobile_small"
        ] = chart_layout_breakpoint_mobile_small
        self.state["state"]["layout"][
            "breakpoint_mobile_big"
        ] = chart_layout_breakpoint_mobile_big
        self.state["state"]["layout"][
            "breakpoint_tablet"
        ] = chart_layout_breakpoint_tablet
        self.state["state"]["layout"][
            "breakpoint_desktop"
        ] = chart_layout_breakpoint_desktop
        self.state["state"]["layout"][
            "breakpoint_big_screen"
        ] = chart_layout_breakpoint_big_screen

        list_chart_layout_header_align = ["left", "center", "right"] + [None]
        if chart_layout_header_align not in list_chart_layout_header_align:
            raise ValueError(
                f"`chart_layout_header_align` must be one of: ['left', 'center', 'right']"
            )
        elif (
            chart_layout_header_align in list_chart_layout_header_align
            and chart_layout_header_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                }.items()
                if chart_layout_header_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_align"] = filtered_dict[
                    chart_layout_header_align
                ]

        if (
            chart_layout_title is not None
            and len(chart_layout_title) > 1
            and isinstance(chart_layout_title, list)
        ):
            self.state["state"]["layout"]["title"] = " \n ".join(chart_layout_title)
        else:
            self.state["state"]["layout"]["title"] = chart_layout_title

        self.state["state"]["layout"]["title_styling"] = chart_layout_title_styling
        self.state["state"]["layout"]["title_font"] = chart_layout_title_font

        list_chart_layout_title_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_title_size not in list_chart_layout_title_size:
            raise ValueError(
                f"`chart_layout_title_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_title_size in list_chart_layout_title_size
            and chart_layout_title_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_title_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_size"] = filtered_dict[
                    chart_layout_title_size
                ]
        self.state["state"]["layout"][
            "title_size_custom"
        ] = chart_layout_title_size_custom

        list_chart_layout_title_weight = ["bold", "normal"] + [None]
        if chart_layout_title_weight not in list_chart_layout_title_weight:
            raise ValueError(
                f"`chart_layout_title_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_title_weight in list_chart_layout_title_weight
            and chart_layout_title_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_title_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_weight"] = filtered_dict[
                    chart_layout_title_weight
                ]
        self.state["state"]["layout"]["title_color"] = chart_layout_title_color
        self.state["state"]["layout"][
            "title_line_height"
        ] = chart_layout_title_line_height

        list_chart_layout_title_space_above = ["0", "0.5", "1", "custom"] + [None]
        if chart_layout_title_space_above not in list_chart_layout_title_space_above:
            raise ValueError(
                f"`chart_layout_title_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_title_space_above in list_chart_layout_title_space_above
            and chart_layout_title_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_title_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["title_space_above"] = filtered_dict[
                    chart_layout_title_space_above
                ]
        self.state["state"]["layout"][
            "title_space_above_custom"
        ] = chart_layout_title_space_above_custom

        if (
            chart_layout_subtitle is not None
            and len(chart_layout_subtitle) > 1
            and isinstance(chart_layout_subtitle, list)
        ):
            self.state["state"]["layout"]["subtitle"] = " \n ".join(
                chart_layout_subtitle
            )
        else:
            self.state["state"]["layout"]["subtitle"] = chart_layout_subtitle

        self.state["state"]["layout"][
            "subtitle_styling"
        ] = chart_layout_subtitle_styling
        self.state["state"]["layout"]["subtitle_font"] = chart_layout_subtitle_font

        list_chart_layout_subtitle_size = ["1.4", "1.6", "2", "custom"] + [None]
        if chart_layout_subtitle_size not in list_chart_layout_subtitle_size:
            raise ValueError(
                f"`chart_layout_subtitle_size` must be one of: ['1.4', '1.6', '2', 'custom']"
            )
        elif (
            chart_layout_subtitle_size in list_chart_layout_subtitle_size
            and chart_layout_subtitle_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "2": "2",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_size"] = filtered_dict[
                    chart_layout_subtitle_size
                ]
        self.state["state"]["layout"][
            "subtitle_size_custom"
        ] = chart_layout_subtitle_size_custom

        list_chart_layout_subtitle_weight = ["bold", "normal"] + [None]
        if chart_layout_subtitle_weight not in list_chart_layout_subtitle_weight:
            raise ValueError(
                f"`chart_layout_subtitle_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_subtitle_weight in list_chart_layout_subtitle_weight
            and chart_layout_subtitle_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_subtitle_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_weight"] = filtered_dict[
                    chart_layout_subtitle_weight
                ]
        self.state["state"]["layout"]["subtitle_color"] = chart_layout_subtitle_color
        self.state["state"]["layout"][
            "subtitle_line_height"
        ] = chart_layout_subtitle_line_height

        list_chart_layout_subtitle_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_subtitle_space_above
            not in list_chart_layout_subtitle_space_above
        ):
            raise ValueError(
                f"`chart_layout_subtitle_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_subtitle_space_above in list_chart_layout_subtitle_space_above
            and chart_layout_subtitle_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_subtitle_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["subtitle_space_above"] = filtered_dict[
                    chart_layout_subtitle_space_above
                ]
        self.state["state"]["layout"][
            "subtitle_space_above_custom"
        ] = chart_layout_subtitle_space_above_custom

        if (
            chart_layout_header_text is not None
            and len(chart_layout_header_text) > 1
            and isinstance(chart_layout_header_text, list)
        ):
            self.state["state"]["layout"]["header_text"] = " \n ".join(
                chart_layout_header_text
            )
        else:
            self.state["state"]["layout"]["header_text"] = chart_layout_header_text

        self.state["state"]["layout"][
            "header_text_styling"
        ] = chart_layout_header_text_styling

        list_chart_layout_header_text_size = ["1.2", "1.4", "1.6", "custom"] + [None]
        if chart_layout_header_text_size not in list_chart_layout_header_text_size:
            raise ValueError(
                f"`chart_layout_header_text_size` must be one of: ['1.2', '1.4', '1.6', 'custom']"
            )
        elif (
            chart_layout_header_text_size in list_chart_layout_header_text_size
            and chart_layout_header_text_size is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "1.2": "1.2",
                    "1.4": "1.4",
                    "1.6": "1.6",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_size in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_size"] = filtered_dict[
                    chart_layout_header_text_size
                ]
        self.state["state"]["layout"][
            "header_text_size_custom"
        ] = chart_layout_header_text_size_custom

        list_chart_layout_header_text_weight = ["bold", "normal"] + [None]
        if chart_layout_header_text_weight not in list_chart_layout_header_text_weight:
            raise ValueError(
                f"`chart_layout_header_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_header_text_weight in list_chart_layout_header_text_weight
            and chart_layout_header_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_header_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_text_weight"] = filtered_dict[
                    chart_layout_header_text_weight
                ]
        self.state["state"]["layout"][
            "header_text_color"
        ] = chart_layout_header_text_color
        self.state["state"]["layout"][
            "header_text_line_height"
        ] = chart_layout_header_text_line_height

        list_chart_layout_header_text_space_above = ["0", "0.5", "1", "custom"] + [None]
        if (
            chart_layout_header_text_space_above
            not in list_chart_layout_header_text_space_above
        ):
            raise ValueError(
                f"`chart_layout_header_text_space_above` must be one of: ['0', '0.5', '1', 'custom']"
            )
        elif (
            chart_layout_header_text_space_above
            in list_chart_layout_header_text_space_above
            and chart_layout_header_text_space_above is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "0": "0",
                    "0.5": "0.5",
                    "1": "1",
                    "custom": "custom",
                }.items()
                if chart_layout_header_text_space_above in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_text_space_above"
                ] = filtered_dict[chart_layout_header_text_space_above]
        self.state["state"]["layout"][
            "header_text_space_above_custom"
        ] = chart_layout_header_text_space_above_custom

        list_chart_layout_header_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_header_border not in list_chart_layout_header_border:
            raise ValueError(
                f"`chart_layout_header_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_header_border in list_chart_layout_header_border
            and chart_layout_header_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_header_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border"] = filtered_dict[
                    chart_layout_header_border
                ]
        self.state["state"]["layout"][
            "header_border_width"
        ] = chart_layout_header_border_width
        self.state["state"]["layout"][
            "header_border_color"
        ] = chart_layout_header_border_color

        list_chart_layout_header_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_header_border_style
            not in list_chart_layout_header_border_style
        ):
            raise ValueError(
                f"`chart_layout_header_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_header_border_style in list_chart_layout_header_border_style
            and chart_layout_header_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_header_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_border_style"] = filtered_dict[
                    chart_layout_header_border_style
                ]
        self.state["state"]["layout"][
            "header_border_space"
        ] = chart_layout_header_border_space

        list_chart_layout_header_logo_enabled = [True, False] + [None]
        if (
            chart_layout_header_logo_enabled
            not in list_chart_layout_header_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_header_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_header_logo_enabled in list_chart_layout_header_logo_enabled
            and chart_layout_header_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_header_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_enabled"] = filtered_dict[
                    chart_layout_header_logo_enabled
                ]
        self.state["state"]["layout"]["header_logo_src"] = chart_layout_header_logo_src
        self.state["state"]["layout"]["header_logo_alt"] = chart_layout_header_logo_alt
        self.state["state"]["layout"][
            "header_logo_link_url"
        ] = chart_layout_header_logo_link_url
        self.state["state"]["layout"][
            "header_logo_height"
        ] = chart_layout_header_logo_height

        list_chart_layout_header_logo_align = ["inside", "outside"] + [None]
        if chart_layout_header_logo_align not in list_chart_layout_header_logo_align:
            raise ValueError(
                f"`chart_layout_header_logo_align` must be one of: ['inside', 'outside']"
            )
        elif (
            chart_layout_header_logo_align in list_chart_layout_header_logo_align
            and chart_layout_header_logo_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"inside": "inside", "outside": "outside"}.items()
                if chart_layout_header_logo_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["header_logo_align"] = filtered_dict[
                    chart_layout_header_logo_align
                ]

        list_chart_layout_header_logo_position_inside = ["top", "left", "right"] + [
            None
        ]
        if (
            chart_layout_header_logo_position_inside
            not in list_chart_layout_header_logo_position_inside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_inside` must be one of: ['top', 'left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_inside
            in list_chart_layout_header_logo_position_inside
            and chart_layout_header_logo_position_inside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"top": "top", "left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_inside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_inside"
                ] = filtered_dict[chart_layout_header_logo_position_inside]

        list_chart_layout_header_logo_position_outside = ["left", "right"] + [None]
        if (
            chart_layout_header_logo_position_outside
            not in list_chart_layout_header_logo_position_outside
        ):
            raise ValueError(
                f"`chart_layout_header_logo_position_outside` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_header_logo_position_outside
            in list_chart_layout_header_logo_position_outside
            and chart_layout_header_logo_position_outside is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_header_logo_position_outside in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "header_logo_position_outside"
                ] = filtered_dict[chart_layout_header_logo_position_outside]
        self.state["state"]["layout"][
            "header_logo_margin_top"
        ] = chart_layout_header_logo_margin_top
        self.state["state"]["layout"][
            "header_logo_margin_right"
        ] = chart_layout_header_logo_margin_right
        self.state["state"]["layout"][
            "header_logo_margin_bottom"
        ] = chart_layout_header_logo_margin_bottom
        self.state["state"]["layout"][
            "header_logo_margin_left"
        ] = chart_layout_header_logo_margin_left

        list_chart_layout_footer_align = ["left", "center", "right", "justify"] + [None]
        if chart_layout_footer_align not in list_chart_layout_footer_align:
            raise ValueError(
                f"`chart_layout_footer_align` must be one of: ['left', 'center', 'right', 'justify']"
            )
        elif (
            chart_layout_footer_align in list_chart_layout_footer_align
            and chart_layout_footer_align is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "left": "left",
                    "center": "center",
                    "right": "right",
                    "justify": "justify",
                }.items()
                if chart_layout_footer_align in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align"] = filtered_dict[
                    chart_layout_footer_align
                ]
        self.state["state"]["layout"][
            "footer_text_size"
        ] = chart_layout_footer_text_size
        self.state["state"]["layout"][
            "footer_text_color"
        ] = chart_layout_footer_text_color
        self.state["state"]["layout"]["footer_styling"] = chart_layout_footer_styling
        self.state["state"]["layout"]["footer_font"] = chart_layout_footer_font

        list_chart_layout_footer_text_weight = ["bold", "normal"] + [None]
        if chart_layout_footer_text_weight not in list_chart_layout_footer_text_weight:
            raise ValueError(
                f"`chart_layout_footer_text_weight` must be one of: ['bold', 'normal']"
            )
        elif (
            chart_layout_footer_text_weight in list_chart_layout_footer_text_weight
            and chart_layout_footer_text_weight is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"bold": "bold", "normal": "normal"}.items()
                if chart_layout_footer_text_weight in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_text_weight"] = filtered_dict[
                    chart_layout_footer_text_weight
                ]
        self.state["state"]["layout"]["source_name"] = chart_layout_source_name
        self.state["state"]["layout"]["source_url"] = chart_layout_source_url
        self.state["state"]["layout"][
            "multiple_sources"
        ] = chart_layout_multiple_sources
        self.state["state"]["layout"]["source_name_2"] = chart_layout_source_name_2
        self.state["state"]["layout"]["source_url_2"] = chart_layout_source_url_2
        self.state["state"]["layout"]["source_name_3"] = chart_layout_source_name_3
        self.state["state"]["layout"]["source_url_3"] = chart_layout_source_url_3
        self.state["state"]["layout"]["source_label"] = chart_layout_source_label

        if (
            chart_layout_footer_note is not None
            and len(chart_layout_footer_note) > 1
            and isinstance(chart_layout_footer_note, list)
        ):
            self.state["state"]["layout"]["footer_note"] = " \n ".join(
                chart_layout_footer_note
            )
        else:
            self.state["state"]["layout"]["footer_note"] = chart_layout_footer_note

        if (
            chart_layout_footer_note_secondary is not None
            and len(chart_layout_footer_note_secondary) > 1
            and isinstance(chart_layout_footer_note_secondary, list)
        ):
            self.state["state"]["layout"]["footer_note_secondary"] = " \n ".join(
                chart_layout_footer_note_secondary
            )
        else:
            self.state["state"]["layout"][
                "footer_note_secondary"
            ] = chart_layout_footer_note_secondary

        self.state["state"]["layout"][
            "advanced_note_styling"
        ] = chart_layout_advanced_note_styling

        list_chart_layout_footer_timestamp_format = [
            "%H:%M:%S",
            "%I:%M %p",
            "%H:%M",
            "%H:%M %p",
            "%H:%M:%S, %d %b %Y",
            "%H:%M, %d %b %Y",
            "%H:%M, %d/%m/%Y",
            "%H:%M, %m/%d/%Y",
            "%H:%M, %d-%m-%Y",
            "%H:%M, %m-%d-%Y",
            "%d %b %Y",
            "%m/%d/%Y",
            "%d/%m/%Y",
            "%m-%d-%Y",
            "%d-%m-%Y",
            "%Y-%m-%d",
            "%Y-%m-%d %H:%M:%S",
        ] + [None]
        if (
            chart_layout_footer_timestamp_format
            not in list_chart_layout_footer_timestamp_format
        ):
            raise ValueError(
                f"`chart_layout_footer_timestamp_format` must be one of: ['%H:%M:%S', '%I:%M %p', '%H:%M', '%H:%M %p', '%H:%M:%S, %d %b %Y', '%H:%M, %d %b %Y', '%H:%M, %d/%m/%Y', '%H:%M, %m/%d/%Y', '%H:%M, %d-%m-%Y', '%H:%M, %m-%d-%Y', '%d %b %Y', '%m/%d/%Y', '%d/%m/%Y', '%m-%d-%Y', '%d-%m-%Y', '%Y-%m-%d', '%Y-%m-%d %H:%M:%S']"
            )
        elif (
            chart_layout_footer_timestamp_format
            in list_chart_layout_footer_timestamp_format
            and chart_layout_footer_timestamp_format is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "%H:%M:%S": "%H:%M:%S",
                    "%I:%M %p": "%I:%M %p",
                    "%H:%M": "%H:%M",
                    "%H:%M %p": "%H:%M %p",
                    "%H:%M:%S, %d %b %Y": "%H:%M:%S, %d %b %Y",
                    "%H:%M, %d %b %Y": "%H:%M, %d %b %Y",
                    "%H:%M, %d/%m/%Y": "%H:%M, %d/%m/%Y",
                    "%H:%M, %m/%d/%Y": "%H:%M, %m/%d/%Y",
                    "%H:%M, %d-%m-%Y": "%H:%M, %d-%m-%Y",
                    "%H:%M, %m-%d-%Y": "%H:%M, %m-%d-%Y",
                    "%d %b %Y": "%d %b %Y",
                    "%m/%d/%Y": "%m/%d/%Y",
                    "%d/%m/%Y": "%d/%m/%Y",
                    "%m-%d-%Y": "%m-%d-%Y",
                    "%d-%m-%Y": "%d-%m-%Y",
                    "%Y-%m-%d": "%Y-%m-%d",
                    "%Y-%m-%d %H:%M:%S": "%Y-%m-%d %H:%M:%S",
                }.items()
                if chart_layout_footer_timestamp_format in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "footer_timestamp_format"
                ] = filtered_dict[chart_layout_footer_timestamp_format]

        list_chart_layout_footer_logo_enabled = [True, False] + [None]
        if (
            chart_layout_footer_logo_enabled
            not in list_chart_layout_footer_logo_enabled
        ):
            raise ValueError(
                f"`chart_layout_footer_logo_enabled` must be one of: [True, False]"
            )
        elif (
            chart_layout_footer_logo_enabled in list_chart_layout_footer_logo_enabled
            and chart_layout_footer_logo_enabled is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_footer_logo_enabled in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_enabled"] = filtered_dict[
                    chart_layout_footer_logo_enabled
                ]
        self.state["state"]["layout"]["footer_logo_src"] = chart_layout_footer_logo_src
        self.state["state"]["layout"][
            "footer_logo_src_light"
        ] = chart_layout_footer_logo_src_light
        self.state["state"]["layout"]["footer_logo_alt"] = chart_layout_footer_logo_alt
        self.state["state"]["layout"][
            "footer_logo_link_url"
        ] = chart_layout_footer_logo_link_url
        self.state["state"]["layout"][
            "footer_logo_height"
        ] = chart_layout_footer_logo_height
        self.state["state"]["layout"][
            "footer_logo_margin"
        ] = chart_layout_footer_logo_margin

        list_chart_layout_footer_logo_order = ["left", "right"] + [None]
        if chart_layout_footer_logo_order not in list_chart_layout_footer_logo_order:
            raise ValueError(
                f"`chart_layout_footer_logo_order` must be one of: ['left', 'right']"
            )
        elif (
            chart_layout_footer_logo_order in list_chart_layout_footer_logo_order
            and chart_layout_footer_logo_order is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {"left": "left", "right": "right"}.items()
                if chart_layout_footer_logo_order in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_logo_order"] = filtered_dict[
                    chart_layout_footer_logo_order
                ]

        list_chart_layout_footer_align_vertical = [
            "flex-start",
            "center",
            "flex-end",
        ] + [None]
        if (
            chart_layout_footer_align_vertical
            not in list_chart_layout_footer_align_vertical
        ):
            raise ValueError(
                f"`chart_layout_footer_align_vertical` must be one of: ['flex-start', 'center', 'flex-end']"
            )
        elif (
            chart_layout_footer_align_vertical
            in list_chart_layout_footer_align_vertical
            and chart_layout_footer_align_vertical is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "flex-start": "flex-start",
                    "center": "center",
                    "flex-end": "flex-end",
                }.items()
                if chart_layout_footer_align_vertical in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_align_vertical"] = filtered_dict[
                    chart_layout_footer_align_vertical
                ]

        list_chart_layout_footer_border = [
            "top",
            "bottom",
            "top_and_bottom",
            "none",
        ] + [None]
        if chart_layout_footer_border not in list_chart_layout_footer_border:
            raise ValueError(
                f"`chart_layout_footer_border` must be one of: ['top', 'bottom', 'top_and_bottom', 'none']"
            )
        elif (
            chart_layout_footer_border in list_chart_layout_footer_border
            and chart_layout_footer_border is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "top": "top",
                    "bottom": "bottom",
                    "top_and_bottom": "top_and_bottom",
                    "none": "none",
                }.items()
                if chart_layout_footer_border in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border"] = filtered_dict[
                    chart_layout_footer_border
                ]
        self.state["state"]["layout"][
            "footer_border_width"
        ] = chart_layout_footer_border_width
        self.state["state"]["layout"][
            "footer_border_color"
        ] = chart_layout_footer_border_color

        list_chart_layout_footer_border_style = ["solid", "dashed", "dotted"] + [None]
        if (
            chart_layout_footer_border_style
            not in list_chart_layout_footer_border_style
        ):
            raise ValueError(
                f"`chart_layout_footer_border_style` must be one of: ['solid', 'dashed', 'dotted']"
            )
        elif (
            chart_layout_footer_border_style in list_chart_layout_footer_border_style
            and chart_layout_footer_border_style is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {
                    "solid": "solid",
                    "dashed": "dashed",
                    "dotted": "dotted",
                }.items()
                if chart_layout_footer_border_style in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"]["footer_border_style"] = filtered_dict[
                    chart_layout_footer_border_style
                ]
        self.state["state"]["layout"][
            "footer_border_space"
        ] = chart_layout_footer_border_space

        if (
            chart_layout_screenreader_text_primary is not None
            and len(chart_layout_screenreader_text_primary) > 1
            and isinstance(chart_layout_screenreader_text_primary, list)
        ):
            self.state["state"]["layout"]["screenreader_text_primary"] = " \n ".join(
                chart_layout_screenreader_text_primary
            )
        else:
            self.state["state"]["layout"][
                "screenreader_text_primary"
            ] = chart_layout_screenreader_text_primary

        self.state["state"]["layout"][
            "screenreader_label"
        ] = chart_layout_screenreader_label

        list_chart_layout_screenreader_hide_primary = [True, False] + [None]
        if (
            chart_layout_screenreader_hide_primary
            not in list_chart_layout_screenreader_hide_primary
        ):
            raise ValueError(
                f"`chart_layout_screenreader_hide_primary` must be one of: [True, False]"
            )
        elif (
            chart_layout_screenreader_hide_primary
            in list_chart_layout_screenreader_hide_primary
            and chart_layout_screenreader_hide_primary is not None
        ):
            filtered_dict = {
                k: v
                for (k, v) in {True: True, False: False}.items()
                if chart_layout_screenreader_hide_primary in k
            }
            if len(filtered_dict) > 0:
                self.state["state"]["layout"][
                    "screenreader_hide_primary"
                ] = filtered_dict[chart_layout_screenreader_hide_primary]
        dict_to_merge = self.state
        clean_dict = clean_null_terms(dict_to_merge)
        self._model_data = deep_merge(self._model_data, clean_dict)
        return self
